/* Automatically generated by amd/registers/makeregheader.py */


/*
 * Copyright 2015-2019 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * on the rights to use, copy, modify, merge, publish, distribute, sub
 * license, and/or sell copies of the Software, and to permit persons to whom
 * the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHOR(S) AND/OR THEIR SUPPLIERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
 * USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 */

#ifndef AMDGFXREGS_H
#define AMDGFXREGS_H

#define R_370_CONTROL                                                   0x370
#define   S_370_DST_SEL(x)                                            (((unsigned)(x) & 0xF) << 8)
#define   G_370_DST_SEL(x)                                            (((x) >> 8) & 0xF)
#define   C_370_DST_SEL                                               0xFFFFF0FF
#define     V_370_MEM_MAPPED_REGISTER                               0
#define     V_370_MEM_GRBM                                          1
#define     V_370_TC_L2                                             2
#define     V_370_GDS                                               3
#define     V_370_RESERVED                                          4
#define     V_370_MEM                                               5 /* >= gfx7 */
#define   S_370_WR_ONE_ADDR(x)                                        (((unsigned)(x) & 0x1) << 16)
#define   G_370_WR_ONE_ADDR(x)                                        (((x) >> 16) & 0x1)
#define   C_370_WR_ONE_ADDR                                           0xFFFEFFFF
#define   S_370_WR_CONFIRM(x)                                         (((unsigned)(x) & 0x1) << 20)
#define   G_370_WR_CONFIRM(x)                                         (((x) >> 20) & 0x1)
#define   C_370_WR_CONFIRM                                            0xFFEFFFFF
#define   S_370_ENGINE_SEL(x)                                         (((unsigned)(x) & 0x3) << 30)
#define   G_370_ENGINE_SEL(x)                                         (((x) >> 30) & 0x3)
#define   C_370_ENGINE_SEL                                            0x3FFFFFFF
#define     V_370_ME                                                0
#define     V_370_PFP                                               1
#define     V_370_CE                                                2
#define     V_370_DE                                                3
#define R_371_DST_ADDR_LO                                               0x371
#define R_372_DST_ADDR_HI                                               0x372
#define R_3F0_IB_BASE_LO                                                0x3F0
#define R_3F1_IB_BASE_HI                                                0x3F1
#define R_3F2_IB_CONTROL                                                0x3F2
#define   S_3F2_IB_SIZE(x)                                            (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_3F2_IB_SIZE(x)                                            (((x) >> 0) & 0xFFFFF)
#define   C_3F2_IB_SIZE                                               0xFFF00000
#define   S_3F2_CHAIN(x)                                              (((unsigned)(x) & 0x1) << 20)
#define   G_3F2_CHAIN(x)                                              (((x) >> 20) & 0x1)
#define   C_3F2_CHAIN                                                 0xFFEFFFFF
#define   S_3F2_VALID(x)                                              (((unsigned)(x) & 0x1) << 23)
#define   G_3F2_VALID(x)                                              (((x) >> 23) & 0x1)
#define   C_3F2_VALID                                                 0xFF7FFFFF
#define R_410_CP_DMA_WORD0                                              0x410
#define   S_410_SRC_ADDR_LO(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_410_SRC_ADDR_LO(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_410_SRC_ADDR_LO                                           0x00000000
#define R_411_CP_DMA_WORD1                                              0x411
#define   S_411_SRC_ADDR_HI(x)                                        (((unsigned)(x) & 0xFFFF) << 0)
#define   G_411_SRC_ADDR_HI(x)                                        (((x) >> 0) & 0xFFFF)
#define   C_411_SRC_ADDR_HI                                           0xFFFF0000
#define   S_411_DST_SEL(x)                                            (((unsigned)(x) & 0x3) << 20)
#define   G_411_DST_SEL(x)                                            (((x) >> 20) & 0x3)
#define   C_411_DST_SEL                                               0xFFCFFFFF
#define     V_411_DST_ADDR                                          0
#define     V_411_GDS                                               1
#define     V_411_NOWHERE                                           2 /* >= gfx9 */
#define     V_411_DST_ADDR_TC_L2                                    3 /* >= gfx7 */
#define   S_411_ENGINE(x)                                             (((unsigned)(x) & 0x1) << 27)
#define   G_411_ENGINE(x)                                             (((x) >> 27) & 0x1)
#define   C_411_ENGINE                                                0xF7FFFFFF
#define     V_411_ME                                                0
#define     V_411_PFP                                               1
#define   S_411_SRC_SEL(x)                                            (((unsigned)(x) & 0x3) << 29)
#define   G_411_SRC_SEL(x)                                            (((x) >> 29) & 0x3)
#define   C_411_SRC_SEL                                               0x9FFFFFFF
#define     V_411_SRC_ADDR                                          0
#define     V_411_DATA                                              2
#define     V_411_SRC_ADDR_TC_L2                                    3 /* >= gfx7 */
#define   S_411_CP_SYNC(x)                                            (((unsigned)(x) & 0x1) << 31)
#define   G_411_CP_SYNC(x)                                            (((x) >> 31) & 0x1)
#define   C_411_CP_SYNC                                               0x7FFFFFFF
#define R_412_CP_DMA_WORD2                                              0x412
#define   S_412_DST_ADDR_LO(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_412_DST_ADDR_LO(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_412_DST_ADDR_LO                                           0x00000000
#define R_413_CP_DMA_WORD3                                              0x413
#define   S_413_DST_ADDR_HI(x)                                        (((unsigned)(x) & 0xFFFF) << 0)
#define   G_413_DST_ADDR_HI(x)                                        (((x) >> 0) & 0xFFFF)
#define   C_413_DST_ADDR_HI                                           0xFFFF0000
#define R_414_COMMAND                                                   0x414
#define   S_414_BYTE_COUNT_GFX6(x)                                    (((unsigned)(x) & 0x1FFFFF) << 0) /* <= stoney */
#define   G_414_BYTE_COUNT_GFX6(x)                                    (((x) >> 0) & 0x1FFFFF)
#define   C_414_BYTE_COUNT_GFX6                                       0xFFE00000
#define   S_414_BYTE_COUNT_GFX9(x)                                    (((unsigned)(x) & 0x3FFFFFF) << 0) /* >= gfx9 */
#define   G_414_BYTE_COUNT_GFX9(x)                                    (((x) >> 0) & 0x3FFFFFF)
#define   C_414_BYTE_COUNT_GFX9                                       0xFC000000
#define   S_414_DISABLE_WR_CONFIRM_GFX6(x)                            (((unsigned)(x) & 0x1) << 21) /* <= stoney */
#define   G_414_DISABLE_WR_CONFIRM_GFX6(x)                            (((x) >> 21) & 0x1)
#define   C_414_DISABLE_WR_CONFIRM_GFX6                               0xFFDFFFFF
#define   S_414_SRC_SWAP(x)                                           (((unsigned)(x) & 0x3) << 22) /* <= stoney */
#define   G_414_SRC_SWAP(x)                                           (((x) >> 22) & 0x3)
#define   C_414_SRC_SWAP                                              0xFF3FFFFF
#define     V_414_NONE                                              0
#define     V_414_8_IN_16                                           1
#define     V_414_8_IN_32                                           2
#define     V_414_8_IN_64                                           3
#define   S_414_DST_SWAP(x)                                           (((unsigned)(x) & 0x3) << 24) /* <= stoney */
#define   G_414_DST_SWAP(x)                                           (((x) >> 24) & 0x3)
#define   C_414_DST_SWAP                                              0xFCFFFFFF
#define   S_414_SAS(x)                                                (((unsigned)(x) & 0x1) << 26)
#define   G_414_SAS(x)                                                (((x) >> 26) & 0x1)
#define   C_414_SAS                                                   0xFBFFFFFF
#define     V_414_MEMORY                                            0
#define     V_414_REGISTER                                          1
#define   S_414_DAS(x)                                                (((unsigned)(x) & 0x1) << 27)
#define   G_414_DAS(x)                                                (((x) >> 27) & 0x1)
#define   C_414_DAS                                                   0xF7FFFFFF
#define   S_414_SAIC(x)                                               (((unsigned)(x) & 0x1) << 28)
#define   G_414_SAIC(x)                                               (((x) >> 28) & 0x1)
#define   C_414_SAIC                                                  0xEFFFFFFF
#define     V_414_INCREMENT                                         0
#define     V_414_NO_INCREMENT                                      1
#define   S_414_DAIC(x)                                               (((unsigned)(x) & 0x1) << 29)
#define   G_414_DAIC(x)                                               (((x) >> 29) & 0x1)
#define   C_414_DAIC                                                  0xDFFFFFFF
#define   S_414_RAW_WAIT(x)                                           (((unsigned)(x) & 0x1) << 30)
#define   G_414_RAW_WAIT(x)                                           (((x) >> 30) & 0x1)
#define   C_414_RAW_WAIT                                              0xBFFFFFFF
#define   S_414_DISABLE_WR_CONFIRM_GFX9(x)                            (((unsigned)(x) & 0x1) << 31) /* >= gfx9 */
#define   G_414_DISABLE_WR_CONFIRM_GFX9(x)                            (((x) >> 31) & 0x1)
#define   C_414_DISABLE_WR_CONFIRM_GFX9                               0x7FFFFFFF
#define R_490_RELEASE_MEM_OP                                            0x490 /* >= gfx10 */
#define   S_490_EVENT_TYPE(x)                                         (((unsigned)(x) & 0x3F) << 0)
#define   G_490_EVENT_TYPE(x)                                         (((x) >> 0) & 0x3F)
#define   C_490_EVENT_TYPE                                            0xFFFFFFC0
#define   S_490_EVENT_INDEX(x)                                        (((unsigned)(x) & 0xF) << 8)
#define   G_490_EVENT_INDEX(x)                                        (((x) >> 8) & 0xF)
#define   C_490_EVENT_INDEX                                           0xFFFFF0FF
#define   S_490_GLM_WB(x)                                             (((unsigned)(x) & 0x1) << 12)
#define   G_490_GLM_WB(x)                                             (((x) >> 12) & 0x1)
#define   C_490_GLM_WB                                                0xFFFFEFFF
#define   S_490_GLM_INV(x)                                            (((unsigned)(x) & 0x1) << 13)
#define   G_490_GLM_INV(x)                                            (((x) >> 13) & 0x1)
#define   C_490_GLM_INV                                               0xFFFFDFFF
#define   S_490_GLV_INV(x)                                            (((unsigned)(x) & 0x1) << 14)
#define   G_490_GLV_INV(x)                                            (((x) >> 14) & 0x1)
#define   C_490_GLV_INV                                               0xFFFFBFFF
#define   S_490_GL1_INV(x)                                            (((unsigned)(x) & 0x1) << 15)
#define   G_490_GL1_INV(x)                                            (((x) >> 15) & 0x1)
#define   C_490_GL1_INV                                               0xFFFF7FFF
#define   S_490_GL2_US(x)                                             (((unsigned)(x) & 0x1) << 16)
#define   G_490_GL2_US(x)                                             (((x) >> 16) & 0x1)
#define   C_490_GL2_US                                                0xFFFEFFFF
#define   S_490_GL2_RANGE(x)                                          (((unsigned)(x) & 0x3) << 17)
#define   G_490_GL2_RANGE(x)                                          (((x) >> 17) & 0x3)
#define   C_490_GL2_RANGE                                             0xFFF9FFFF
#define     V_490_GL2_ALL                                           0
#define     V_490_GL2_VOL                                           1
#define     V_490_GL2_RANGE                                         2
#define     V_490_GL2_FIRST_LAST                                    3
#define   S_490_GL2_DISCARD(x)                                        (((unsigned)(x) & 0x1) << 19)
#define   G_490_GL2_DISCARD(x)                                        (((x) >> 19) & 0x1)
#define   C_490_GL2_DISCARD                                           0xFFF7FFFF
#define   S_490_GL2_INV(x)                                            (((unsigned)(x) & 0x1) << 20)
#define   G_490_GL2_INV(x)                                            (((x) >> 20) & 0x1)
#define   C_490_GL2_INV                                               0xFFEFFFFF
#define   S_490_GL2_WB(x)                                             (((unsigned)(x) & 0x1) << 21)
#define   G_490_GL2_WB(x)                                             (((x) >> 21) & 0x1)
#define   C_490_GL2_WB                                                0xFFDFFFFF
#define   S_490_SEQ(x)                                                (((unsigned)(x) & 0x3) << 22)
#define   G_490_SEQ(x)                                                (((x) >> 22) & 0x3)
#define   C_490_SEQ                                                   0xFF3FFFFF
#define     V_490_SEQ_PARALLEL                                      0
#define     V_490_SEQ_FORWARD                                       1
#define     V_490_SEQ_REVERSE                                       2
#define R_500_DMA_DATA_WORD0                                            0x500
#define   S_500_ENGINE(x)                                             (((unsigned)(x) & 0x1) << 0)
#define   G_500_ENGINE(x)                                             (((x) >> 0) & 0x1)
#define   C_500_ENGINE                                                0xFFFFFFFE
#define     V_500_ME                                                0
#define     V_500_PFP                                               1
#define   S_500_SRC_CACHE_POLICY(x)                                   (((unsigned)(x) & 0x3) << 13) /* >= gfx7 */
#define   G_500_SRC_CACHE_POLICY(x)                                   (((x) >> 13) & 0x3)
#define   C_500_SRC_CACHE_POLICY                                      0xFFFF9FFF
#define   S_500_DST_SEL(x)                                            (((unsigned)(x) & 0x3) << 20)
#define   G_500_DST_SEL(x)                                            (((x) >> 20) & 0x3)
#define   C_500_DST_SEL                                               0xFFCFFFFF
#define     V_500_DST_ADDR                                          0
#define     V_500_GDS                                               1
#define     V_500_NOWHERE                                           2 /* >= gfx9 */
#define     V_500_DST_ADDR_TC_L2                                    3 /* >= gfx7 */
#define   S_500_DST_CACHE_POLICY(x)                                   (((unsigned)(x) & 0x3) << 25) /* >= gfx7 */
#define   G_500_DST_CACHE_POLICY(x)                                   (((x) >> 25) & 0x3)
#define   C_500_DST_CACHE_POLICY                                      0xF9FFFFFF
#define   S_500_SRC_SEL(x)                                            (((unsigned)(x) & 0x3) << 29)
#define   G_500_SRC_SEL(x)                                            (((x) >> 29) & 0x3)
#define   C_500_SRC_SEL                                               0x9FFFFFFF
#define     V_500_SRC_ADDR                                          0
#define     V_500_DATA                                              2
#define     V_500_SRC_ADDR_TC_L2                                    3 /* >= gfx7 */
#define   S_500_CP_SYNC(x)                                            (((unsigned)(x) & 0x1) << 31)
#define   G_500_CP_SYNC(x)                                            (((x) >> 31) & 0x1)
#define   C_500_CP_SYNC                                               0x7FFFFFFF
#define R_501_SRC_ADDR_LO                                               0x501
#define R_502_SRC_ADDR_HI                                               0x502
#define R_503_DST_ADDR_LO                                               0x503
#define R_504_DST_ADDR_HI                                               0x504
#define R_586_GCR_CNTL                                                  0x586 /* >= gfx10 */
#define   S_586_GLI_INV(x)                                            (((unsigned)(x) & 0x3) << 0)
#define   G_586_GLI_INV(x)                                            (((x) >> 0) & 0x3)
#define   C_586_GLI_INV                                               0xFFFFFFFC
#define     V_586_GLI_NOP                                           0
#define     V_586_GLI_ALL                                           1
#define     V_586_GLI_RANGE                                         2
#define     V_586_GLI_FIRST_LAST                                    3
#define   S_586_GL1_RANGE(x)                                          (((unsigned)(x) & 0x3) << 2)
#define   G_586_GL1_RANGE(x)                                          (((x) >> 2) & 0x3)
#define   C_586_GL1_RANGE                                             0xFFFFFFF3
#define     V_586_GL1_ALL                                           0
#define     V_586_GL1_RANGE                                         2
#define     V_586_GL1_FIRST_LAST                                    3
#define   S_586_GLM_WB(x)                                             (((unsigned)(x) & 0x1) << 4)
#define   G_586_GLM_WB(x)                                             (((x) >> 4) & 0x1)
#define   C_586_GLM_WB                                                0xFFFFFFEF
#define   S_586_GLM_INV(x)                                            (((unsigned)(x) & 0x1) << 5)
#define   G_586_GLM_INV(x)                                            (((x) >> 5) & 0x1)
#define   C_586_GLM_INV                                               0xFFFFFFDF
#define   S_586_GLK_WB(x)                                             (((unsigned)(x) & 0x1) << 6)
#define   G_586_GLK_WB(x)                                             (((x) >> 6) & 0x1)
#define   C_586_GLK_WB                                                0xFFFFFFBF
#define   S_586_GLK_INV(x)                                            (((unsigned)(x) & 0x1) << 7)
#define   G_586_GLK_INV(x)                                            (((x) >> 7) & 0x1)
#define   C_586_GLK_INV                                               0xFFFFFF7F
#define   S_586_GLV_INV(x)                                            (((unsigned)(x) & 0x1) << 8)
#define   G_586_GLV_INV(x)                                            (((x) >> 8) & 0x1)
#define   C_586_GLV_INV                                               0xFFFFFEFF
#define   S_586_GL1_INV(x)                                            (((unsigned)(x) & 0x1) << 9)
#define   G_586_GL1_INV(x)                                            (((x) >> 9) & 0x1)
#define   C_586_GL1_INV                                               0xFFFFFDFF
#define   S_586_GL2_US(x)                                             (((unsigned)(x) & 0x1) << 10)
#define   G_586_GL2_US(x)                                             (((x) >> 10) & 0x1)
#define   C_586_GL2_US                                                0xFFFFFBFF
#define   S_586_GL2_RANGE(x)                                          (((unsigned)(x) & 0x3) << 11)
#define   G_586_GL2_RANGE(x)                                          (((x) >> 11) & 0x3)
#define   C_586_GL2_RANGE                                             0xFFFFE7FF
#define     V_586_GL2_ALL                                           0
#define     V_586_GL2_VOL                                           1
#define     V_586_GL2_RANGE                                         2
#define     V_586_GL2_FIRST_LAST                                    3
#define   S_586_GL2_DISCARD(x)                                        (((unsigned)(x) & 0x1) << 13)
#define   G_586_GL2_DISCARD(x)                                        (((x) >> 13) & 0x1)
#define   C_586_GL2_DISCARD                                           0xFFFFDFFF
#define   S_586_GL2_INV(x)                                            (((unsigned)(x) & 0x1) << 14)
#define   G_586_GL2_INV(x)                                            (((x) >> 14) & 0x1)
#define   C_586_GL2_INV                                               0xFFFFBFFF
#define   S_586_GL2_WB(x)                                             (((unsigned)(x) & 0x1) << 15)
#define   G_586_GL2_WB(x)                                             (((x) >> 15) & 0x1)
#define   C_586_GL2_WB                                                0xFFFF7FFF
#define   S_586_SEQ(x)                                                (((unsigned)(x) & 0x3) << 16)
#define   G_586_SEQ(x)                                                (((x) >> 16) & 0x3)
#define   C_586_SEQ                                                   0xFFFCFFFF
#define     V_586_SEQ_PARALLEL                                      0
#define     V_586_SEQ_FORWARD                                       1
#define     V_586_SEQ_REVERSE                                       2
#define   S_586_RANGE_IS_PA(x)                                        (((unsigned)(x) & 0x1) << 18)
#define   G_586_RANGE_IS_PA(x)                                        (((x) >> 18) & 0x1)
#define   C_586_RANGE_IS_PA                                           0xFFFBFFFF
#define R_000E4C_SRBM_STATUS2                                           0x000E4C /* <= stoney */
#define   S_000E4C_SDMA_RQ_PENDING(x)                                 (((unsigned)(x) & 0x1) << 0)
#define   G_000E4C_SDMA_RQ_PENDING(x)                                 (((x) >> 0) & 0x1)
#define   C_000E4C_SDMA_RQ_PENDING                                    0xFFFFFFFE
#define   S_000E4C_TST_RQ_PENDING(x)                                  (((unsigned)(x) & 0x1) << 1)
#define   G_000E4C_TST_RQ_PENDING(x)                                  (((x) >> 1) & 0x1)
#define   C_000E4C_TST_RQ_PENDING                                     0xFFFFFFFD
#define   S_000E4C_SDMA1_RQ_PENDING(x)                                (((unsigned)(x) & 0x1) << 2)
#define   G_000E4C_SDMA1_RQ_PENDING(x)                                (((x) >> 2) & 0x1)
#define   C_000E4C_SDMA1_RQ_PENDING                                   0xFFFFFFFB
#define   S_000E4C_VCE0_RQ_PENDING(x)                                 (((unsigned)(x) & 0x1) << 3)
#define   G_000E4C_VCE0_RQ_PENDING(x)                                 (((x) >> 3) & 0x1)
#define   C_000E4C_VCE0_RQ_PENDING                                    0xFFFFFFF7
#define   S_000E4C_VP8_BUSY(x)                                        (((unsigned)(x) & 0x1) << 4)
#define   G_000E4C_VP8_BUSY(x)                                        (((x) >> 4) & 0x1)
#define   C_000E4C_VP8_BUSY                                           0xFFFFFFEF
#define   S_000E4C_SDMA_BUSY(x)                                       (((unsigned)(x) & 0x1) << 5)
#define   G_000E4C_SDMA_BUSY(x)                                       (((x) >> 5) & 0x1)
#define   C_000E4C_SDMA_BUSY                                          0xFFFFFFDF
#define   S_000E4C_SDMA1_BUSY(x)                                      (((unsigned)(x) & 0x1) << 6)
#define   G_000E4C_SDMA1_BUSY(x)                                      (((x) >> 6) & 0x1)
#define   C_000E4C_SDMA1_BUSY                                         0xFFFFFFBF
#define   S_000E4C_VCE0_BUSY(x)                                       (((unsigned)(x) & 0x1) << 7)
#define   G_000E4C_VCE0_BUSY(x)                                       (((x) >> 7) & 0x1)
#define   C_000E4C_VCE0_BUSY                                          0xFFFFFF7F
#define   S_000E4C_XDMA_BUSY(x)                                       (((unsigned)(x) & 0x1) << 8)
#define   G_000E4C_XDMA_BUSY(x)                                       (((x) >> 8) & 0x1)
#define   C_000E4C_XDMA_BUSY                                          0xFFFFFEFF
#define   S_000E4C_CHUB_BUSY(x)                                       (((unsigned)(x) & 0x1) << 9)
#define   G_000E4C_CHUB_BUSY(x)                                       (((x) >> 9) & 0x1)
#define   C_000E4C_CHUB_BUSY                                          0xFFFFFDFF
#define   S_000E4C_SDMA2_BUSY(x)                                      (((unsigned)(x) & 0x1) << 10)
#define   G_000E4C_SDMA2_BUSY(x)                                      (((x) >> 10) & 0x1)
#define   C_000E4C_SDMA2_BUSY                                         0xFFFFFBFF
#define   S_000E4C_SDMA3_BUSY(x)                                      (((unsigned)(x) & 0x1) << 11)
#define   G_000E4C_SDMA3_BUSY(x)                                      (((x) >> 11) & 0x1)
#define   C_000E4C_SDMA3_BUSY                                         0xFFFFF7FF
#define   S_000E4C_SAMSCP_BUSY(x)                                     (((unsigned)(x) & 0x1) << 12)
#define   G_000E4C_SAMSCP_BUSY(x)                                     (((x) >> 12) & 0x1)
#define   C_000E4C_SAMSCP_BUSY                                        0xFFFFEFFF
#define   S_000E4C_ISP_BUSY(x)                                        (((unsigned)(x) & 0x1) << 13)
#define   G_000E4C_ISP_BUSY(x)                                        (((x) >> 13) & 0x1)
#define   C_000E4C_ISP_BUSY                                           0xFFFFDFFF
#define   S_000E4C_VCE1_BUSY(x)                                       (((unsigned)(x) & 0x1) << 14)
#define   G_000E4C_VCE1_BUSY(x)                                       (((x) >> 14) & 0x1)
#define   C_000E4C_VCE1_BUSY                                          0xFFFFBFFF
#define   S_000E4C_ODE_BUSY(x)                                        (((unsigned)(x) & 0x1) << 15)
#define   G_000E4C_ODE_BUSY(x)                                        (((x) >> 15) & 0x1)
#define   C_000E4C_ODE_BUSY                                           0xFFFF7FFF
#define   S_000E4C_SDMA2_RQ_PENDING(x)                                (((unsigned)(x) & 0x1) << 16)
#define   G_000E4C_SDMA2_RQ_PENDING(x)                                (((x) >> 16) & 0x1)
#define   C_000E4C_SDMA2_RQ_PENDING                                   0xFFFEFFFF
#define   S_000E4C_SDMA3_RQ_PENDING(x)                                (((unsigned)(x) & 0x1) << 17)
#define   G_000E4C_SDMA3_RQ_PENDING(x)                                (((x) >> 17) & 0x1)
#define   C_000E4C_SDMA3_RQ_PENDING                                   0xFFFDFFFF
#define   S_000E4C_SAMSCP_RQ_PENDING(x)                               (((unsigned)(x) & 0x1) << 18)
#define   G_000E4C_SAMSCP_RQ_PENDING(x)                               (((x) >> 18) & 0x1)
#define   C_000E4C_SAMSCP_RQ_PENDING                                  0xFFFBFFFF
#define   S_000E4C_ISP_RQ_PENDING(x)                                  (((unsigned)(x) & 0x1) << 19)
#define   G_000E4C_ISP_RQ_PENDING(x)                                  (((x) >> 19) & 0x1)
#define   C_000E4C_ISP_RQ_PENDING                                     0xFFF7FFFF
#define   S_000E4C_VCE1_RQ_PENDING(x)                                 (((unsigned)(x) & 0x1) << 20)
#define   G_000E4C_VCE1_RQ_PENDING(x)                                 (((x) >> 20) & 0x1)
#define   C_000E4C_VCE1_RQ_PENDING                                    0xFFEFFFFF
#define R_000E50_SRBM_STATUS                                            0x000E50 /* <= stoney */
#define   S_000E50_UVD_RQ_PENDING(x)                                  (((unsigned)(x) & 0x1) << 1)
#define   G_000E50_UVD_RQ_PENDING(x)                                  (((x) >> 1) & 0x1)
#define   C_000E50_UVD_RQ_PENDING                                     0xFFFFFFFD
#define   S_000E50_SAMMSP_RQ_PENDING(x)                               (((unsigned)(x) & 0x1) << 2)
#define   G_000E50_SAMMSP_RQ_PENDING(x)                               (((x) >> 2) & 0x1)
#define   C_000E50_SAMMSP_RQ_PENDING                                  0xFFFFFFFB
#define   S_000E50_ACP_RQ_PENDING(x)                                  (((unsigned)(x) & 0x1) << 3)
#define   G_000E50_ACP_RQ_PENDING(x)                                  (((x) >> 3) & 0x1)
#define   C_000E50_ACP_RQ_PENDING                                     0xFFFFFFF7
#define   S_000E50_SMU_RQ_PENDING(x)                                  (((unsigned)(x) & 0x1) << 4)
#define   G_000E50_SMU_RQ_PENDING(x)                                  (((x) >> 4) & 0x1)
#define   C_000E50_SMU_RQ_PENDING                                     0xFFFFFFEF
#define   S_000E50_GRBM_RQ_PENDING(x)                                 (((unsigned)(x) & 0x1) << 5)
#define   G_000E50_GRBM_RQ_PENDING(x)                                 (((x) >> 5) & 0x1)
#define   C_000E50_GRBM_RQ_PENDING                                    0xFFFFFFDF
#define   S_000E50_HI_RQ_PENDING(x)                                   (((unsigned)(x) & 0x1) << 6)
#define   G_000E50_HI_RQ_PENDING(x)                                   (((x) >> 6) & 0x1)
#define   C_000E50_HI_RQ_PENDING                                      0xFFFFFFBF
#define   S_000E50_VMC_BUSY(x)                                        (((unsigned)(x) & 0x1) << 8)
#define   G_000E50_VMC_BUSY(x)                                        (((x) >> 8) & 0x1)
#define   C_000E50_VMC_BUSY                                           0xFFFFFEFF
#define   S_000E50_MCB_BUSY(x)                                        (((unsigned)(x) & 0x1) << 9)
#define   G_000E50_MCB_BUSY(x)                                        (((x) >> 9) & 0x1)
#define   C_000E50_MCB_BUSY                                           0xFFFFFDFF
#define   S_000E50_MCB_NON_DISPLAY_BUSY(x)                            (((unsigned)(x) & 0x1) << 10)
#define   G_000E50_MCB_NON_DISPLAY_BUSY(x)                            (((x) >> 10) & 0x1)
#define   C_000E50_MCB_NON_DISPLAY_BUSY                               0xFFFFFBFF
#define   S_000E50_MCC_BUSY(x)                                        (((unsigned)(x) & 0x1) << 11)
#define   G_000E50_MCC_BUSY(x)                                        (((x) >> 11) & 0x1)
#define   C_000E50_MCC_BUSY                                           0xFFFFF7FF
#define   S_000E50_MCD_BUSY(x)                                        (((unsigned)(x) & 0x1) << 12)
#define   G_000E50_MCD_BUSY(x)                                        (((x) >> 12) & 0x1)
#define   C_000E50_MCD_BUSY                                           0xFFFFEFFF
#define   S_000E50_VMC1_BUSY(x)                                       (((unsigned)(x) & 0x1) << 13)
#define   G_000E50_VMC1_BUSY(x)                                       (((x) >> 13) & 0x1)
#define   C_000E50_VMC1_BUSY                                          0xFFFFDFFF
#define   S_000E50_SEM_BUSY(x)                                        (((unsigned)(x) & 0x1) << 14)
#define   G_000E50_SEM_BUSY(x)                                        (((x) >> 14) & 0x1)
#define   C_000E50_SEM_BUSY                                           0xFFFFBFFF
#define   S_000E50_ACP_BUSY(x)                                        (((unsigned)(x) & 0x1) << 16)
#define   G_000E50_ACP_BUSY(x)                                        (((x) >> 16) & 0x1)
#define   C_000E50_ACP_BUSY                                           0xFFFEFFFF
#define   S_000E50_IH_BUSY(x)                                         (((unsigned)(x) & 0x1) << 17)
#define   G_000E50_IH_BUSY(x)                                         (((x) >> 17) & 0x1)
#define   C_000E50_IH_BUSY                                            0xFFFDFFFF
#define   S_000E50_UVD_BUSY(x)                                        (((unsigned)(x) & 0x1) << 19)
#define   G_000E50_UVD_BUSY(x)                                        (((x) >> 19) & 0x1)
#define   C_000E50_UVD_BUSY                                           0xFFF7FFFF
#define   S_000E50_SAMMSP_BUSY(x)                                     (((unsigned)(x) & 0x1) << 20)
#define   G_000E50_SAMMSP_BUSY(x)                                     (((x) >> 20) & 0x1)
#define   C_000E50_SAMMSP_BUSY                                        0xFFEFFFFF
#define   S_000E50_GCATCL2_BUSY(x)                                    (((unsigned)(x) & 0x1) << 21)
#define   G_000E50_GCATCL2_BUSY(x)                                    (((x) >> 21) & 0x1)
#define   C_000E50_GCATCL2_BUSY                                       0xFFDFFFFF
#define   S_000E50_OSATCL2_BUSY(x)                                    (((unsigned)(x) & 0x1) << 22)
#define   G_000E50_OSATCL2_BUSY(x)                                    (((x) >> 22) & 0x1)
#define   C_000E50_OSATCL2_BUSY                                       0xFFBFFFFF
#define   S_000E50_BIF_BUSY(x)                                        (((unsigned)(x) & 0x1) << 29)
#define   G_000E50_BIF_BUSY(x)                                        (((x) >> 29) & 0x1)
#define   C_000E50_BIF_BUSY                                           0xDFFFFFFF
#define R_000E54_SRBM_STATUS3                                           0x000E54 /* <= stoney */
#define   S_000E54_MCC0_BUSY(x)                                       (((unsigned)(x) & 0x1) << 0)
#define   G_000E54_MCC0_BUSY(x)                                       (((x) >> 0) & 0x1)
#define   C_000E54_MCC0_BUSY                                          0xFFFFFFFE
#define   S_000E54_MCC1_BUSY(x)                                       (((unsigned)(x) & 0x1) << 1)
#define   G_000E54_MCC1_BUSY(x)                                       (((x) >> 1) & 0x1)
#define   C_000E54_MCC1_BUSY                                          0xFFFFFFFD
#define   S_000E54_MCC2_BUSY(x)                                       (((unsigned)(x) & 0x1) << 2)
#define   G_000E54_MCC2_BUSY(x)                                       (((x) >> 2) & 0x1)
#define   C_000E54_MCC2_BUSY                                          0xFFFFFFFB
#define   S_000E54_MCC3_BUSY(x)                                       (((unsigned)(x) & 0x1) << 3)
#define   G_000E54_MCC3_BUSY(x)                                       (((x) >> 3) & 0x1)
#define   C_000E54_MCC3_BUSY                                          0xFFFFFFF7
#define   S_000E54_MCC4_BUSY(x)                                       (((unsigned)(x) & 0x1) << 4)
#define   G_000E54_MCC4_BUSY(x)                                       (((x) >> 4) & 0x1)
#define   C_000E54_MCC4_BUSY                                          0xFFFFFFEF
#define   S_000E54_MCC5_BUSY(x)                                       (((unsigned)(x) & 0x1) << 5)
#define   G_000E54_MCC5_BUSY(x)                                       (((x) >> 5) & 0x1)
#define   C_000E54_MCC5_BUSY                                          0xFFFFFFDF
#define   S_000E54_MCC6_BUSY(x)                                       (((unsigned)(x) & 0x1) << 6)
#define   G_000E54_MCC6_BUSY(x)                                       (((x) >> 6) & 0x1)
#define   C_000E54_MCC6_BUSY                                          0xFFFFFFBF
#define   S_000E54_MCC7_BUSY(x)                                       (((unsigned)(x) & 0x1) << 7)
#define   G_000E54_MCC7_BUSY(x)                                       (((x) >> 7) & 0x1)
#define   C_000E54_MCC7_BUSY                                          0xFFFFFF7F
#define   S_000E54_MCD0_BUSY(x)                                       (((unsigned)(x) & 0x1) << 8)
#define   G_000E54_MCD0_BUSY(x)                                       (((x) >> 8) & 0x1)
#define   C_000E54_MCD0_BUSY                                          0xFFFFFEFF
#define   S_000E54_MCD1_BUSY(x)                                       (((unsigned)(x) & 0x1) << 9)
#define   G_000E54_MCD1_BUSY(x)                                       (((x) >> 9) & 0x1)
#define   C_000E54_MCD1_BUSY                                          0xFFFFFDFF
#define   S_000E54_MCD2_BUSY(x)                                       (((unsigned)(x) & 0x1) << 10)
#define   G_000E54_MCD2_BUSY(x)                                       (((x) >> 10) & 0x1)
#define   C_000E54_MCD2_BUSY                                          0xFFFFFBFF
#define   S_000E54_MCD3_BUSY(x)                                       (((unsigned)(x) & 0x1) << 11)
#define   G_000E54_MCD3_BUSY(x)                                       (((x) >> 11) & 0x1)
#define   C_000E54_MCD3_BUSY                                          0xFFFFF7FF
#define   S_000E54_MCD4_BUSY(x)                                       (((unsigned)(x) & 0x1) << 12)
#define   G_000E54_MCD4_BUSY(x)                                       (((x) >> 12) & 0x1)
#define   C_000E54_MCD4_BUSY                                          0xFFFFEFFF
#define   S_000E54_MCD5_BUSY(x)                                       (((unsigned)(x) & 0x1) << 13)
#define   G_000E54_MCD5_BUSY(x)                                       (((x) >> 13) & 0x1)
#define   C_000E54_MCD5_BUSY                                          0xFFFFDFFF
#define   S_000E54_MCD6_BUSY(x)                                       (((unsigned)(x) & 0x1) << 14)
#define   G_000E54_MCD6_BUSY(x)                                       (((x) >> 14) & 0x1)
#define   C_000E54_MCD6_BUSY                                          0xFFFFBFFF
#define   S_000E54_MCD7_BUSY(x)                                       (((unsigned)(x) & 0x1) << 15)
#define   G_000E54_MCD7_BUSY(x)                                       (((x) >> 15) & 0x1)
#define   C_000E54_MCD7_BUSY                                          0xFFFF7FFF
#define R_008008_GRBM_STATUS2                                           0x008008 /* <= gfx9 */
#define   S_008008_ME0PIPE1_CMDFIFO_AVAIL(x)                          (((unsigned)(x) & 0xF) << 0)
#define   G_008008_ME0PIPE1_CMDFIFO_AVAIL(x)                          (((x) >> 0) & 0xF)
#define   C_008008_ME0PIPE1_CMDFIFO_AVAIL                             0xFFFFFFF0
#define   S_008008_ME0PIPE1_CF_RQ_PENDING(x)                          (((unsigned)(x) & 0x1) << 4)
#define   G_008008_ME0PIPE1_CF_RQ_PENDING(x)                          (((x) >> 4) & 0x1)
#define   C_008008_ME0PIPE1_CF_RQ_PENDING                             0xFFFFFFEF
#define   S_008008_ME0PIPE1_PF_RQ_PENDING(x)                          (((unsigned)(x) & 0x1) << 5)
#define   G_008008_ME0PIPE1_PF_RQ_PENDING(x)                          (((x) >> 5) & 0x1)
#define   C_008008_ME0PIPE1_PF_RQ_PENDING                             0xFFFFFFDF
#define   S_008008_ME1PIPE0_RQ_PENDING(x)                             (((unsigned)(x) & 0x1) << 6)
#define   G_008008_ME1PIPE0_RQ_PENDING(x)                             (((x) >> 6) & 0x1)
#define   C_008008_ME1PIPE0_RQ_PENDING                                0xFFFFFFBF
#define   S_008008_ME1PIPE1_RQ_PENDING(x)                             (((unsigned)(x) & 0x1) << 7)
#define   G_008008_ME1PIPE1_RQ_PENDING(x)                             (((x) >> 7) & 0x1)
#define   C_008008_ME1PIPE1_RQ_PENDING                                0xFFFFFF7F
#define   S_008008_ME1PIPE2_RQ_PENDING(x)                             (((unsigned)(x) & 0x1) << 8)
#define   G_008008_ME1PIPE2_RQ_PENDING(x)                             (((x) >> 8) & 0x1)
#define   C_008008_ME1PIPE2_RQ_PENDING                                0xFFFFFEFF
#define   S_008008_ME1PIPE3_RQ_PENDING(x)                             (((unsigned)(x) & 0x1) << 9)
#define   G_008008_ME1PIPE3_RQ_PENDING(x)                             (((x) >> 9) & 0x1)
#define   C_008008_ME1PIPE3_RQ_PENDING                                0xFFFFFDFF
#define   S_008008_ME2PIPE0_RQ_PENDING(x)                             (((unsigned)(x) & 0x1) << 10)
#define   G_008008_ME2PIPE0_RQ_PENDING(x)                             (((x) >> 10) & 0x1)
#define   C_008008_ME2PIPE0_RQ_PENDING                                0xFFFFFBFF
#define   S_008008_ME2PIPE1_RQ_PENDING(x)                             (((unsigned)(x) & 0x1) << 11)
#define   G_008008_ME2PIPE1_RQ_PENDING(x)                             (((x) >> 11) & 0x1)
#define   C_008008_ME2PIPE1_RQ_PENDING                                0xFFFFF7FF
#define   S_008008_ME2PIPE2_RQ_PENDING(x)                             (((unsigned)(x) & 0x1) << 12)
#define   G_008008_ME2PIPE2_RQ_PENDING(x)                             (((x) >> 12) & 0x1)
#define   C_008008_ME2PIPE2_RQ_PENDING                                0xFFFFEFFF
#define   S_008008_ME2PIPE3_RQ_PENDING(x)                             (((unsigned)(x) & 0x1) << 13)
#define   G_008008_ME2PIPE3_RQ_PENDING(x)                             (((x) >> 13) & 0x1)
#define   C_008008_ME2PIPE3_RQ_PENDING                                0xFFFFDFFF
#define   S_008008_RLC_RQ_PENDING(x)                                  (((unsigned)(x) & 0x1) << 14)
#define   G_008008_RLC_RQ_PENDING(x)                                  (((x) >> 14) & 0x1)
#define   C_008008_RLC_RQ_PENDING                                     0xFFFFBFFF
#define   S_008008_UTCL2_BUSY(x)                                      (((unsigned)(x) & 0x1) << 15) /* gfx9 */
#define   G_008008_UTCL2_BUSY(x)                                      (((x) >> 15) & 0x1)
#define   C_008008_UTCL2_BUSY                                         0xFFFF7FFF
#define   S_008008_EA_BUSY(x)                                         (((unsigned)(x) & 0x1) << 16) /* gfx9 */
#define   G_008008_EA_BUSY(x)                                         (((x) >> 16) & 0x1)
#define   C_008008_EA_BUSY                                            0xFFFEFFFF
#define   S_008008_RMI_BUSY(x)                                        (((unsigned)(x) & 0x1) << 17) /* gfx9 */
#define   G_008008_RMI_BUSY(x)                                        (((x) >> 17) & 0x1)
#define   C_008008_RMI_BUSY                                           0xFFFDFFFF
#define   S_008008_UTCL2_RQ_PENDING(x)                                (((unsigned)(x) & 0x1) << 18) /* gfx9 */
#define   G_008008_UTCL2_RQ_PENDING(x)                                (((x) >> 18) & 0x1)
#define   C_008008_UTCL2_RQ_PENDING                                   0xFFFBFFFF
#define   S_008008_CPF_RQ_PENDING(x)                                  (((unsigned)(x) & 0x1) << 19) /* gfx9 */
#define   G_008008_CPF_RQ_PENDING(x)                                  (((x) >> 19) & 0x1)
#define   C_008008_CPF_RQ_PENDING                                     0xFFF7FFFF
#define   S_008008_EA_LINK_BUSY(x)                                    (((unsigned)(x) & 0x1) << 20) /* gfx9 */
#define   G_008008_EA_LINK_BUSY(x)                                    (((x) >> 20) & 0x1)
#define   C_008008_EA_LINK_BUSY                                       0xFFEFFFFF
#define   S_008008_RLC_BUSY(x)                                        (((unsigned)(x) & 0x1) << 24)
#define   G_008008_RLC_BUSY(x)                                        (((x) >> 24) & 0x1)
#define   C_008008_RLC_BUSY                                           0xFEFFFFFF
#define   S_008008_TC_BUSY(x)                                         (((unsigned)(x) & 0x1) << 25)
#define   G_008008_TC_BUSY(x)                                         (((x) >> 25) & 0x1)
#define   C_008008_TC_BUSY                                            0xFDFFFFFF
#define   S_008008_TCC_CC_RESIDENT(x)                                 (((unsigned)(x) & 0x1) << 26)
#define   G_008008_TCC_CC_RESIDENT(x)                                 (((x) >> 26) & 0x1)
#define   C_008008_TCC_CC_RESIDENT                                    0xFBFFFFFF
#define   S_008008_CPF_BUSY(x)                                        (((unsigned)(x) & 0x1) << 28)
#define   G_008008_CPF_BUSY(x)                                        (((x) >> 28) & 0x1)
#define   C_008008_CPF_BUSY                                           0xEFFFFFFF
#define   S_008008_CPC_BUSY(x)                                        (((unsigned)(x) & 0x1) << 29)
#define   G_008008_CPC_BUSY(x)                                        (((x) >> 29) & 0x1)
#define   C_008008_CPC_BUSY                                           0xDFFFFFFF
#define   S_008008_CPG_BUSY(x)                                        (((unsigned)(x) & 0x1) << 30)
#define   G_008008_CPG_BUSY(x)                                        (((x) >> 30) & 0x1)
#define   C_008008_CPG_BUSY                                           0xBFFFFFFF
#define   S_008008_CPAXI_BUSY(x)                                      (((unsigned)(x) & 0x1) << 31) /* gfx9 */
#define   G_008008_CPAXI_BUSY(x)                                      (((x) >> 31) & 0x1)
#define   C_008008_CPAXI_BUSY                                         0x7FFFFFFF
#define R_008010_GRBM_STATUS                                            0x008010 /* <= gfx9 */
#define   S_008010_ME0PIPE0_CMDFIFO_AVAIL(x)                          (((unsigned)(x) & 0xF) << 0)
#define   G_008010_ME0PIPE0_CMDFIFO_AVAIL(x)                          (((x) >> 0) & 0xF)
#define   C_008010_ME0PIPE0_CMDFIFO_AVAIL                             0xFFFFFFF0
#define   S_008010_RSMU_RQ_PENDING(x)                                 (((unsigned)(x) & 0x1) << 5) /* gfx9 */
#define   G_008010_RSMU_RQ_PENDING(x)                                 (((x) >> 5) & 0x1)
#define   C_008010_RSMU_RQ_PENDING                                    0xFFFFFFDF
#define   S_008010_SRBM_RQ_PENDING(x)                                 (((unsigned)(x) & 0x1) << 5) /* <= stoney */
#define   G_008010_SRBM_RQ_PENDING(x)                                 (((x) >> 5) & 0x1)
#define   C_008010_SRBM_RQ_PENDING                                    0xFFFFFFDF
#define   S_008010_ME0PIPE0_CF_RQ_PENDING(x)                          (((unsigned)(x) & 0x1) << 7)
#define   G_008010_ME0PIPE0_CF_RQ_PENDING(x)                          (((x) >> 7) & 0x1)
#define   C_008010_ME0PIPE0_CF_RQ_PENDING                             0xFFFFFF7F
#define   S_008010_ME0PIPE0_PF_RQ_PENDING(x)                          (((unsigned)(x) & 0x1) << 8)
#define   G_008010_ME0PIPE0_PF_RQ_PENDING(x)                          (((x) >> 8) & 0x1)
#define   C_008010_ME0PIPE0_PF_RQ_PENDING                             0xFFFFFEFF
#define   S_008010_GDS_DMA_RQ_PENDING(x)                              (((unsigned)(x) & 0x1) << 9)
#define   G_008010_GDS_DMA_RQ_PENDING(x)                              (((x) >> 9) & 0x1)
#define   C_008010_GDS_DMA_RQ_PENDING                                 0xFFFFFDFF
#define   S_008010_DB_CLEAN(x)                                        (((unsigned)(x) & 0x1) << 12)
#define   G_008010_DB_CLEAN(x)                                        (((x) >> 12) & 0x1)
#define   C_008010_DB_CLEAN                                           0xFFFFEFFF
#define   S_008010_CB_CLEAN(x)                                        (((unsigned)(x) & 0x1) << 13)
#define   G_008010_CB_CLEAN(x)                                        (((x) >> 13) & 0x1)
#define   C_008010_CB_CLEAN                                           0xFFFFDFFF
#define   S_008010_TA_BUSY(x)                                         (((unsigned)(x) & 0x1) << 14)
#define   G_008010_TA_BUSY(x)                                         (((x) >> 14) & 0x1)
#define   C_008010_TA_BUSY                                            0xFFFFBFFF
#define   S_008010_GDS_BUSY(x)                                        (((unsigned)(x) & 0x1) << 15)
#define   G_008010_GDS_BUSY(x)                                        (((x) >> 15) & 0x1)
#define   C_008010_GDS_BUSY                                           0xFFFF7FFF
#define   S_008010_WD_BUSY_NO_DMA(x)                                  (((unsigned)(x) & 0x1) << 16)
#define   G_008010_WD_BUSY_NO_DMA(x)                                  (((x) >> 16) & 0x1)
#define   C_008010_WD_BUSY_NO_DMA                                     0xFFFEFFFF
#define   S_008010_VGT_BUSY(x)                                        (((unsigned)(x) & 0x1) << 17)
#define   G_008010_VGT_BUSY(x)                                        (((x) >> 17) & 0x1)
#define   C_008010_VGT_BUSY                                           0xFFFDFFFF
#define   S_008010_IA_BUSY_NO_DMA(x)                                  (((unsigned)(x) & 0x1) << 18)
#define   G_008010_IA_BUSY_NO_DMA(x)                                  (((x) >> 18) & 0x1)
#define   C_008010_IA_BUSY_NO_DMA                                     0xFFFBFFFF
#define   S_008010_IA_BUSY(x)                                         (((unsigned)(x) & 0x1) << 19)
#define   G_008010_IA_BUSY(x)                                         (((x) >> 19) & 0x1)
#define   C_008010_IA_BUSY                                            0xFFF7FFFF
#define   S_008010_SX_BUSY(x)                                         (((unsigned)(x) & 0x1) << 20)
#define   G_008010_SX_BUSY(x)                                         (((x) >> 20) & 0x1)
#define   C_008010_SX_BUSY                                            0xFFEFFFFF
#define   S_008010_WD_BUSY(x)                                         (((unsigned)(x) & 0x1) << 21)
#define   G_008010_WD_BUSY(x)                                         (((x) >> 21) & 0x1)
#define   C_008010_WD_BUSY                                            0xFFDFFFFF
#define   S_008010_SPI_BUSY(x)                                        (((unsigned)(x) & 0x1) << 22)
#define   G_008010_SPI_BUSY(x)                                        (((x) >> 22) & 0x1)
#define   C_008010_SPI_BUSY                                           0xFFBFFFFF
#define   S_008010_BCI_BUSY(x)                                        (((unsigned)(x) & 0x1) << 23)
#define   G_008010_BCI_BUSY(x)                                        (((x) >> 23) & 0x1)
#define   C_008010_BCI_BUSY                                           0xFF7FFFFF
#define   S_008010_SC_BUSY(x)                                         (((unsigned)(x) & 0x1) << 24)
#define   G_008010_SC_BUSY(x)                                         (((x) >> 24) & 0x1)
#define   C_008010_SC_BUSY                                            0xFEFFFFFF
#define   S_008010_PA_BUSY(x)                                         (((unsigned)(x) & 0x1) << 25)
#define   G_008010_PA_BUSY(x)                                         (((x) >> 25) & 0x1)
#define   C_008010_PA_BUSY                                            0xFDFFFFFF
#define   S_008010_DB_BUSY(x)                                         (((unsigned)(x) & 0x1) << 26)
#define   G_008010_DB_BUSY(x)                                         (((x) >> 26) & 0x1)
#define   C_008010_DB_BUSY                                            0xFBFFFFFF
#define   S_008010_CP_COHERENCY_BUSY(x)                               (((unsigned)(x) & 0x1) << 28)
#define   G_008010_CP_COHERENCY_BUSY(x)                               (((x) >> 28) & 0x1)
#define   C_008010_CP_COHERENCY_BUSY                                  0xEFFFFFFF
#define   S_008010_CP_BUSY(x)                                         (((unsigned)(x) & 0x1) << 29)
#define   G_008010_CP_BUSY(x)                                         (((x) >> 29) & 0x1)
#define   C_008010_CP_BUSY                                            0xDFFFFFFF
#define   S_008010_CB_BUSY(x)                                         (((unsigned)(x) & 0x1) << 30)
#define   G_008010_CB_BUSY(x)                                         (((x) >> 30) & 0x1)
#define   C_008010_CB_BUSY                                            0xBFFFFFFF
#define   S_008010_GUI_ACTIVE(x)                                      (((unsigned)(x) & 0x1) << 31)
#define   G_008010_GUI_ACTIVE(x)                                      (((x) >> 31) & 0x1)
#define   C_008010_GUI_ACTIVE                                         0x7FFFFFFF
#define R_008014_GRBM_STATUS_SE0                                        0x008014 /* <= gfx9 */
#define   S_008014_DB_CLEAN(x)                                        (((unsigned)(x) & 0x1) << 1)
#define   G_008014_DB_CLEAN(x)                                        (((x) >> 1) & 0x1)
#define   C_008014_DB_CLEAN                                           0xFFFFFFFD
#define   S_008014_CB_CLEAN(x)                                        (((unsigned)(x) & 0x1) << 2)
#define   G_008014_CB_CLEAN(x)                                        (((x) >> 2) & 0x1)
#define   C_008014_CB_CLEAN                                           0xFFFFFFFB
#define   S_008014_RMI_BUSY(x)                                        (((unsigned)(x) & 0x1) << 21) /* gfx9 */
#define   G_008014_RMI_BUSY(x)                                        (((x) >> 21) & 0x1)
#define   C_008014_RMI_BUSY                                           0xFFDFFFFF
#define   S_008014_BCI_BUSY(x)                                        (((unsigned)(x) & 0x1) << 22)
#define   G_008014_BCI_BUSY(x)                                        (((x) >> 22) & 0x1)
#define   C_008014_BCI_BUSY                                           0xFFBFFFFF
#define   S_008014_VGT_BUSY(x)                                        (((unsigned)(x) & 0x1) << 23)
#define   G_008014_VGT_BUSY(x)                                        (((x) >> 23) & 0x1)
#define   C_008014_VGT_BUSY                                           0xFF7FFFFF
#define   S_008014_PA_BUSY(x)                                         (((unsigned)(x) & 0x1) << 24)
#define   G_008014_PA_BUSY(x)                                         (((x) >> 24) & 0x1)
#define   C_008014_PA_BUSY                                            0xFEFFFFFF
#define   S_008014_TA_BUSY(x)                                         (((unsigned)(x) & 0x1) << 25)
#define   G_008014_TA_BUSY(x)                                         (((x) >> 25) & 0x1)
#define   C_008014_TA_BUSY                                            0xFDFFFFFF
#define   S_008014_SX_BUSY(x)                                         (((unsigned)(x) & 0x1) << 26)
#define   G_008014_SX_BUSY(x)                                         (((x) >> 26) & 0x1)
#define   C_008014_SX_BUSY                                            0xFBFFFFFF
#define   S_008014_SPI_BUSY(x)                                        (((unsigned)(x) & 0x1) << 27)
#define   G_008014_SPI_BUSY(x)                                        (((x) >> 27) & 0x1)
#define   C_008014_SPI_BUSY                                           0xF7FFFFFF
#define   S_008014_SC_BUSY(x)                                         (((unsigned)(x) & 0x1) << 29)
#define   G_008014_SC_BUSY(x)                                         (((x) >> 29) & 0x1)
#define   C_008014_SC_BUSY                                            0xDFFFFFFF
#define   S_008014_DB_BUSY(x)                                         (((unsigned)(x) & 0x1) << 30)
#define   G_008014_DB_BUSY(x)                                         (((x) >> 30) & 0x1)
#define   C_008014_DB_BUSY                                            0xBFFFFFFF
#define   S_008014_CB_BUSY(x)                                         (((unsigned)(x) & 0x1) << 31)
#define   G_008014_CB_BUSY(x)                                         (((x) >> 31) & 0x1)
#define   C_008014_CB_BUSY                                            0x7FFFFFFF
#define R_008018_GRBM_STATUS_SE1                                        0x008018 /* <= gfx9 */
#define R_00802C_GRBM_GFX_INDEX                                         0x00802C /* <= gfx6 */
#define   S_00802C_INSTANCE_INDEX(x)                                  (((unsigned)(x) & 0xFF) << 0)
#define   G_00802C_INSTANCE_INDEX(x)                                  (((x) >> 0) & 0xFF)
#define   C_00802C_INSTANCE_INDEX                                     0xFFFFFF00
#define   S_00802C_SH_INDEX(x)                                        (((unsigned)(x) & 0xFF) << 8)
#define   G_00802C_SH_INDEX(x)                                        (((x) >> 8) & 0xFF)
#define   C_00802C_SH_INDEX                                           0xFFFF00FF
#define   S_00802C_SE_INDEX(x)                                        (((unsigned)(x) & 0xFF) << 16)
#define   G_00802C_SE_INDEX(x)                                        (((x) >> 16) & 0xFF)
#define   C_00802C_SE_INDEX                                           0xFF00FFFF
#define   S_00802C_SH_BROADCAST_WRITES(x)                             (((unsigned)(x) & 0x1) << 29)
#define   G_00802C_SH_BROADCAST_WRITES(x)                             (((x) >> 29) & 0x1)
#define   C_00802C_SH_BROADCAST_WRITES                                0xDFFFFFFF
#define   S_00802C_INSTANCE_BROADCAST_WRITES(x)                       (((unsigned)(x) & 0x1) << 30)
#define   G_00802C_INSTANCE_BROADCAST_WRITES(x)                       (((x) >> 30) & 0x1)
#define   C_00802C_INSTANCE_BROADCAST_WRITES                          0xBFFFFFFF
#define   S_00802C_SE_BROADCAST_WRITES(x)                             (((unsigned)(x) & 0x1) << 31)
#define   G_00802C_SE_BROADCAST_WRITES(x)                             (((x) >> 31) & 0x1)
#define   C_00802C_SE_BROADCAST_WRITES                                0x7FFFFFFF
#define R_008038_GRBM_STATUS_SE2                                        0x008038 /* <= gfx9 */
#define R_00803C_GRBM_STATUS_SE3                                        0x00803C /* <= gfx9 */
#define R_008210_CP_CPC_STATUS                                          0x008210 /* <= gfx9 */
#define   S_008210_MEC1_BUSY(x)                                       (((unsigned)(x) & 0x1) << 0)
#define   G_008210_MEC1_BUSY(x)                                       (((x) >> 0) & 0x1)
#define   C_008210_MEC1_BUSY                                          0xFFFFFFFE
#define   S_008210_MEC2_BUSY(x)                                       (((unsigned)(x) & 0x1) << 1)
#define   G_008210_MEC2_BUSY(x)                                       (((x) >> 1) & 0x1)
#define   C_008210_MEC2_BUSY                                          0xFFFFFFFD
#define   S_008210_DC0_BUSY(x)                                        (((unsigned)(x) & 0x1) << 2)
#define   G_008210_DC0_BUSY(x)                                        (((x) >> 2) & 0x1)
#define   C_008210_DC0_BUSY                                           0xFFFFFFFB
#define   S_008210_DC1_BUSY(x)                                        (((unsigned)(x) & 0x1) << 3)
#define   G_008210_DC1_BUSY(x)                                        (((x) >> 3) & 0x1)
#define   C_008210_DC1_BUSY                                           0xFFFFFFF7
#define   S_008210_RCIU1_BUSY(x)                                      (((unsigned)(x) & 0x1) << 4)
#define   G_008210_RCIU1_BUSY(x)                                      (((x) >> 4) & 0x1)
#define   C_008210_RCIU1_BUSY                                         0xFFFFFFEF
#define   S_008210_RCIU2_BUSY(x)                                      (((unsigned)(x) & 0x1) << 5)
#define   G_008210_RCIU2_BUSY(x)                                      (((x) >> 5) & 0x1)
#define   C_008210_RCIU2_BUSY                                         0xFFFFFFDF
#define   S_008210_ROQ1_BUSY(x)                                       (((unsigned)(x) & 0x1) << 6)
#define   G_008210_ROQ1_BUSY(x)                                       (((x) >> 6) & 0x1)
#define   C_008210_ROQ1_BUSY                                          0xFFFFFFBF
#define   S_008210_ROQ2_BUSY(x)                                       (((unsigned)(x) & 0x1) << 7)
#define   G_008210_ROQ2_BUSY(x)                                       (((x) >> 7) & 0x1)
#define   C_008210_ROQ2_BUSY                                          0xFFFFFF7F
#define   S_008210_TCIU_BUSY(x)                                       (((unsigned)(x) & 0x1) << 10)
#define   G_008210_TCIU_BUSY(x)                                       (((x) >> 10) & 0x1)
#define   C_008210_TCIU_BUSY                                          0xFFFFFBFF
#define   S_008210_SCRATCH_RAM_BUSY(x)                                (((unsigned)(x) & 0x1) << 11)
#define   G_008210_SCRATCH_RAM_BUSY(x)                                (((x) >> 11) & 0x1)
#define   C_008210_SCRATCH_RAM_BUSY                                   0xFFFFF7FF
#define   S_008210_QU_BUSY(x)                                         (((unsigned)(x) & 0x1) << 12)
#define   G_008210_QU_BUSY(x)                                         (((x) >> 12) & 0x1)
#define   C_008210_QU_BUSY                                            0xFFFFEFFF
#define   S_008210_ATCL2IU_BUSY(x)                                    (((unsigned)(x) & 0x1) << 13) /* <= stoney */
#define   G_008210_ATCL2IU_BUSY(x)                                    (((x) >> 13) & 0x1)
#define   C_008210_ATCL2IU_BUSY                                       0xFFFFDFFF
#define   S_008210_UTCL2IU_BUSY(x)                                    (((unsigned)(x) & 0x1) << 13) /* gfx9 */
#define   G_008210_UTCL2IU_BUSY(x)                                    (((x) >> 13) & 0x1)
#define   C_008210_UTCL2IU_BUSY                                       0xFFFFDFFF
#define   S_008210_SAVE_RESTORE_BUSY(x)                               (((unsigned)(x) & 0x1) << 14) /* gfx9 */
#define   G_008210_SAVE_RESTORE_BUSY(x)                               (((x) >> 14) & 0x1)
#define   C_008210_SAVE_RESTORE_BUSY                                  0xFFFFBFFF
#define   S_008210_CPG_CPC_BUSY(x)                                    (((unsigned)(x) & 0x1) << 29)
#define   G_008210_CPG_CPC_BUSY(x)                                    (((x) >> 29) & 0x1)
#define   C_008210_CPG_CPC_BUSY                                       0xDFFFFFFF
#define   S_008210_CPF_CPC_BUSY(x)                                    (((unsigned)(x) & 0x1) << 30)
#define   G_008210_CPF_CPC_BUSY(x)                                    (((x) >> 30) & 0x1)
#define   C_008210_CPF_CPC_BUSY                                       0xBFFFFFFF
#define   S_008210_CPC_BUSY(x)                                        (((unsigned)(x) & 0x1) << 31)
#define   G_008210_CPC_BUSY(x)                                        (((x) >> 31) & 0x1)
#define   C_008210_CPC_BUSY                                           0x7FFFFFFF
#define R_008214_CP_CPC_BUSY_STAT                                       0x008214 /* <= gfx9 */
#define   S_008214_MEC1_LOAD_BUSY(x)                                  (((unsigned)(x) & 0x1) << 0)
#define   G_008214_MEC1_LOAD_BUSY(x)                                  (((x) >> 0) & 0x1)
#define   C_008214_MEC1_LOAD_BUSY                                     0xFFFFFFFE
#define   S_008214_MEC1_SEMAPOHRE_BUSY(x)                             (((unsigned)(x) & 0x1) << 1)
#define   G_008214_MEC1_SEMAPOHRE_BUSY(x)                             (((x) >> 1) & 0x1)
#define   C_008214_MEC1_SEMAPOHRE_BUSY                                0xFFFFFFFD
#define   S_008214_MEC1_MUTEX_BUSY(x)                                 (((unsigned)(x) & 0x1) << 2)
#define   G_008214_MEC1_MUTEX_BUSY(x)                                 (((x) >> 2) & 0x1)
#define   C_008214_MEC1_MUTEX_BUSY                                    0xFFFFFFFB
#define   S_008214_MEC1_MESSAGE_BUSY(x)                               (((unsigned)(x) & 0x1) << 3)
#define   G_008214_MEC1_MESSAGE_BUSY(x)                               (((x) >> 3) & 0x1)
#define   C_008214_MEC1_MESSAGE_BUSY                                  0xFFFFFFF7
#define   S_008214_MEC1_EOP_QUEUE_BUSY(x)                             (((unsigned)(x) & 0x1) << 4)
#define   G_008214_MEC1_EOP_QUEUE_BUSY(x)                             (((x) >> 4) & 0x1)
#define   C_008214_MEC1_EOP_QUEUE_BUSY                                0xFFFFFFEF
#define   S_008214_MEC1_IQ_QUEUE_BUSY(x)                              (((unsigned)(x) & 0x1) << 5)
#define   G_008214_MEC1_IQ_QUEUE_BUSY(x)                              (((x) >> 5) & 0x1)
#define   C_008214_MEC1_IQ_QUEUE_BUSY                                 0xFFFFFFDF
#define   S_008214_MEC1_IB_QUEUE_BUSY(x)                              (((unsigned)(x) & 0x1) << 6)
#define   G_008214_MEC1_IB_QUEUE_BUSY(x)                              (((x) >> 6) & 0x1)
#define   C_008214_MEC1_IB_QUEUE_BUSY                                 0xFFFFFFBF
#define   S_008214_MEC1_TC_BUSY(x)                                    (((unsigned)(x) & 0x1) << 7)
#define   G_008214_MEC1_TC_BUSY(x)                                    (((x) >> 7) & 0x1)
#define   C_008214_MEC1_TC_BUSY                                       0xFFFFFF7F
#define   S_008214_MEC1_DMA_BUSY(x)                                   (((unsigned)(x) & 0x1) << 8)
#define   G_008214_MEC1_DMA_BUSY(x)                                   (((x) >> 8) & 0x1)
#define   C_008214_MEC1_DMA_BUSY                                      0xFFFFFEFF
#define   S_008214_MEC1_PARTIAL_FLUSH_BUSY(x)                         (((unsigned)(x) & 0x1) << 9)
#define   G_008214_MEC1_PARTIAL_FLUSH_BUSY(x)                         (((x) >> 9) & 0x1)
#define   C_008214_MEC1_PARTIAL_FLUSH_BUSY                            0xFFFFFDFF
#define   S_008214_MEC1_PIPE0_BUSY(x)                                 (((unsigned)(x) & 0x1) << 10)
#define   G_008214_MEC1_PIPE0_BUSY(x)                                 (((x) >> 10) & 0x1)
#define   C_008214_MEC1_PIPE0_BUSY                                    0xFFFFFBFF
#define   S_008214_MEC1_PIPE1_BUSY(x)                                 (((unsigned)(x) & 0x1) << 11)
#define   G_008214_MEC1_PIPE1_BUSY(x)                                 (((x) >> 11) & 0x1)
#define   C_008214_MEC1_PIPE1_BUSY                                    0xFFFFF7FF
#define   S_008214_MEC1_PIPE2_BUSY(x)                                 (((unsigned)(x) & 0x1) << 12)
#define   G_008214_MEC1_PIPE2_BUSY(x)                                 (((x) >> 12) & 0x1)
#define   C_008214_MEC1_PIPE2_BUSY                                    0xFFFFEFFF
#define   S_008214_MEC1_PIPE3_BUSY(x)                                 (((unsigned)(x) & 0x1) << 13)
#define   G_008214_MEC1_PIPE3_BUSY(x)                                 (((x) >> 13) & 0x1)
#define   C_008214_MEC1_PIPE3_BUSY                                    0xFFFFDFFF
#define   S_008214_MEC2_LOAD_BUSY(x)                                  (((unsigned)(x) & 0x1) << 16)
#define   G_008214_MEC2_LOAD_BUSY(x)                                  (((x) >> 16) & 0x1)
#define   C_008214_MEC2_LOAD_BUSY                                     0xFFFEFFFF
#define   S_008214_MEC2_SEMAPOHRE_BUSY(x)                             (((unsigned)(x) & 0x1) << 17)
#define   G_008214_MEC2_SEMAPOHRE_BUSY(x)                             (((x) >> 17) & 0x1)
#define   C_008214_MEC2_SEMAPOHRE_BUSY                                0xFFFDFFFF
#define   S_008214_MEC2_MUTEX_BUSY(x)                                 (((unsigned)(x) & 0x1) << 18)
#define   G_008214_MEC2_MUTEX_BUSY(x)                                 (((x) >> 18) & 0x1)
#define   C_008214_MEC2_MUTEX_BUSY                                    0xFFFBFFFF
#define   S_008214_MEC2_MESSAGE_BUSY(x)                               (((unsigned)(x) & 0x1) << 19)
#define   G_008214_MEC2_MESSAGE_BUSY(x)                               (((x) >> 19) & 0x1)
#define   C_008214_MEC2_MESSAGE_BUSY                                  0xFFF7FFFF
#define   S_008214_MEC2_EOP_QUEUE_BUSY(x)                             (((unsigned)(x) & 0x1) << 20)
#define   G_008214_MEC2_EOP_QUEUE_BUSY(x)                             (((x) >> 20) & 0x1)
#define   C_008214_MEC2_EOP_QUEUE_BUSY                                0xFFEFFFFF
#define   S_008214_MEC2_IQ_QUEUE_BUSY(x)                              (((unsigned)(x) & 0x1) << 21)
#define   G_008214_MEC2_IQ_QUEUE_BUSY(x)                              (((x) >> 21) & 0x1)
#define   C_008214_MEC2_IQ_QUEUE_BUSY                                 0xFFDFFFFF
#define   S_008214_MEC2_IB_QUEUE_BUSY(x)                              (((unsigned)(x) & 0x1) << 22)
#define   G_008214_MEC2_IB_QUEUE_BUSY(x)                              (((x) >> 22) & 0x1)
#define   C_008214_MEC2_IB_QUEUE_BUSY                                 0xFFBFFFFF
#define   S_008214_MEC2_TC_BUSY(x)                                    (((unsigned)(x) & 0x1) << 23)
#define   G_008214_MEC2_TC_BUSY(x)                                    (((x) >> 23) & 0x1)
#define   C_008214_MEC2_TC_BUSY                                       0xFF7FFFFF
#define   S_008214_MEC2_DMA_BUSY(x)                                   (((unsigned)(x) & 0x1) << 24)
#define   G_008214_MEC2_DMA_BUSY(x)                                   (((x) >> 24) & 0x1)
#define   C_008214_MEC2_DMA_BUSY                                      0xFEFFFFFF
#define   S_008214_MEC2_PARTIAL_FLUSH_BUSY(x)                         (((unsigned)(x) & 0x1) << 25)
#define   G_008214_MEC2_PARTIAL_FLUSH_BUSY(x)                         (((x) >> 25) & 0x1)
#define   C_008214_MEC2_PARTIAL_FLUSH_BUSY                            0xFDFFFFFF
#define   S_008214_MEC2_PIPE0_BUSY(x)                                 (((unsigned)(x) & 0x1) << 26)
#define   G_008214_MEC2_PIPE0_BUSY(x)                                 (((x) >> 26) & 0x1)
#define   C_008214_MEC2_PIPE0_BUSY                                    0xFBFFFFFF
#define   S_008214_MEC2_PIPE1_BUSY(x)                                 (((unsigned)(x) & 0x1) << 27)
#define   G_008214_MEC2_PIPE1_BUSY(x)                                 (((x) >> 27) & 0x1)
#define   C_008214_MEC2_PIPE1_BUSY                                    0xF7FFFFFF
#define   S_008214_MEC2_PIPE2_BUSY(x)                                 (((unsigned)(x) & 0x1) << 28)
#define   G_008214_MEC2_PIPE2_BUSY(x)                                 (((x) >> 28) & 0x1)
#define   C_008214_MEC2_PIPE2_BUSY                                    0xEFFFFFFF
#define   S_008214_MEC2_PIPE3_BUSY(x)                                 (((unsigned)(x) & 0x1) << 29)
#define   G_008214_MEC2_PIPE3_BUSY(x)                                 (((x) >> 29) & 0x1)
#define   C_008214_MEC2_PIPE3_BUSY                                    0xDFFFFFFF
#define R_008218_CP_CPC_STALLED_STAT1                                   0x008218 /* <= gfx9 */
#define   S_008218_RCIU_TX_FREE_STALL(x)                              (((unsigned)(x) & 0x1) << 3)
#define   G_008218_RCIU_TX_FREE_STALL(x)                              (((x) >> 3) & 0x1)
#define   C_008218_RCIU_TX_FREE_STALL                                 0xFFFFFFF7
#define   S_008218_RCIU_PRIV_VIOLATION(x)                             (((unsigned)(x) & 0x1) << 4)
#define   G_008218_RCIU_PRIV_VIOLATION(x)                             (((x) >> 4) & 0x1)
#define   C_008218_RCIU_PRIV_VIOLATION                                0xFFFFFFEF
#define   S_008218_TCIU_TX_FREE_STALL(x)                              (((unsigned)(x) & 0x1) << 6)
#define   G_008218_TCIU_TX_FREE_STALL(x)                              (((x) >> 6) & 0x1)
#define   C_008218_TCIU_TX_FREE_STALL                                 0xFFFFFFBF
#define   S_008218_MEC1_DECODING_PACKET(x)                            (((unsigned)(x) & 0x1) << 8)
#define   G_008218_MEC1_DECODING_PACKET(x)                            (((x) >> 8) & 0x1)
#define   C_008218_MEC1_DECODING_PACKET                               0xFFFFFEFF
#define   S_008218_MEC1_WAIT_ON_RCIU(x)                               (((unsigned)(x) & 0x1) << 9)
#define   G_008218_MEC1_WAIT_ON_RCIU(x)                               (((x) >> 9) & 0x1)
#define   C_008218_MEC1_WAIT_ON_RCIU                                  0xFFFFFDFF
#define   S_008218_MEC1_WAIT_ON_RCIU_READ(x)                          (((unsigned)(x) & 0x1) << 10)
#define   G_008218_MEC1_WAIT_ON_RCIU_READ(x)                          (((x) >> 10) & 0x1)
#define   C_008218_MEC1_WAIT_ON_RCIU_READ                             0xFFFFFBFF
#define   S_008218_MEC1_WAIT_ON_ROQ_DATA(x)                           (((unsigned)(x) & 0x1) << 13)
#define   G_008218_MEC1_WAIT_ON_ROQ_DATA(x)                           (((x) >> 13) & 0x1)
#define   C_008218_MEC1_WAIT_ON_ROQ_DATA                              0xFFFFDFFF
#define   S_008218_MEC2_DECODING_PACKET(x)                            (((unsigned)(x) & 0x1) << 16)
#define   G_008218_MEC2_DECODING_PACKET(x)                            (((x) >> 16) & 0x1)
#define   C_008218_MEC2_DECODING_PACKET                               0xFFFEFFFF
#define   S_008218_MEC2_WAIT_ON_RCIU(x)                               (((unsigned)(x) & 0x1) << 17)
#define   G_008218_MEC2_WAIT_ON_RCIU(x)                               (((x) >> 17) & 0x1)
#define   C_008218_MEC2_WAIT_ON_RCIU                                  0xFFFDFFFF
#define   S_008218_MEC2_WAIT_ON_RCIU_READ(x)                          (((unsigned)(x) & 0x1) << 18)
#define   G_008218_MEC2_WAIT_ON_RCIU_READ(x)                          (((x) >> 18) & 0x1)
#define   C_008218_MEC2_WAIT_ON_RCIU_READ                             0xFFFBFFFF
#define   S_008218_MEC2_WAIT_ON_ROQ_DATA(x)                           (((unsigned)(x) & 0x1) << 21)
#define   G_008218_MEC2_WAIT_ON_ROQ_DATA(x)                           (((x) >> 21) & 0x1)
#define   C_008218_MEC2_WAIT_ON_ROQ_DATA                              0xFFDFFFFF
#define   S_008218_ATCL2IU_WAITING_ON_FREE(x)                         (((unsigned)(x) & 0x1) << 22) /* <= stoney */
#define   G_008218_ATCL2IU_WAITING_ON_FREE(x)                         (((x) >> 22) & 0x1)
#define   C_008218_ATCL2IU_WAITING_ON_FREE                            0xFFBFFFFF
#define   S_008218_UTCL2IU_WAITING_ON_FREE(x)                         (((unsigned)(x) & 0x1) << 22) /* gfx9 */
#define   G_008218_UTCL2IU_WAITING_ON_FREE(x)                         (((x) >> 22) & 0x1)
#define   C_008218_UTCL2IU_WAITING_ON_FREE                            0xFFBFFFFF
#define   S_008218_ATCL2IU_WAITING_ON_TAGS(x)                         (((unsigned)(x) & 0x1) << 23) /* <= stoney */
#define   G_008218_ATCL2IU_WAITING_ON_TAGS(x)                         (((x) >> 23) & 0x1)
#define   C_008218_ATCL2IU_WAITING_ON_TAGS                            0xFF7FFFFF
#define   S_008218_UTCL2IU_WAITING_ON_TAGS(x)                         (((unsigned)(x) & 0x1) << 23) /* gfx9 */
#define   G_008218_UTCL2IU_WAITING_ON_TAGS(x)                         (((x) >> 23) & 0x1)
#define   C_008218_UTCL2IU_WAITING_ON_TAGS                            0xFF7FFFFF
#define   S_008218_ATCL1_WAITING_ON_TRANS(x)                          (((unsigned)(x) & 0x1) << 24) /* <= stoney */
#define   G_008218_ATCL1_WAITING_ON_TRANS(x)                          (((x) >> 24) & 0x1)
#define   C_008218_ATCL1_WAITING_ON_TRANS                             0xFEFFFFFF
#define   S_008218_UTCL1_WAITING_ON_TRANS(x)                          (((unsigned)(x) & 0x1) << 24) /* gfx9 */
#define   G_008218_UTCL1_WAITING_ON_TRANS(x)                          (((x) >> 24) & 0x1)
#define   C_008218_UTCL1_WAITING_ON_TRANS                             0xFEFFFFFF
#define R_00821C_CP_CPF_STATUS                                          0x00821C /* <= gfx9 */
#define   S_00821C_POST_WPTR_GFX_BUSY(x)                              (((unsigned)(x) & 0x1) << 0)
#define   G_00821C_POST_WPTR_GFX_BUSY(x)                              (((x) >> 0) & 0x1)
#define   C_00821C_POST_WPTR_GFX_BUSY                                 0xFFFFFFFE
#define   S_00821C_CSF_BUSY(x)                                        (((unsigned)(x) & 0x1) << 1)
#define   G_00821C_CSF_BUSY(x)                                        (((x) >> 1) & 0x1)
#define   C_00821C_CSF_BUSY                                           0xFFFFFFFD
#define   S_00821C_ROQ_ALIGN_BUSY(x)                                  (((unsigned)(x) & 0x1) << 4)
#define   G_00821C_ROQ_ALIGN_BUSY(x)                                  (((x) >> 4) & 0x1)
#define   C_00821C_ROQ_ALIGN_BUSY                                     0xFFFFFFEF
#define   S_00821C_ROQ_RING_BUSY(x)                                   (((unsigned)(x) & 0x1) << 5)
#define   G_00821C_ROQ_RING_BUSY(x)                                   (((x) >> 5) & 0x1)
#define   C_00821C_ROQ_RING_BUSY                                      0xFFFFFFDF
#define   S_00821C_ROQ_INDIRECT1_BUSY(x)                              (((unsigned)(x) & 0x1) << 6)
#define   G_00821C_ROQ_INDIRECT1_BUSY(x)                              (((x) >> 6) & 0x1)
#define   C_00821C_ROQ_INDIRECT1_BUSY                                 0xFFFFFFBF
#define   S_00821C_ROQ_INDIRECT2_BUSY(x)                              (((unsigned)(x) & 0x1) << 7)
#define   G_00821C_ROQ_INDIRECT2_BUSY(x)                              (((x) >> 7) & 0x1)
#define   C_00821C_ROQ_INDIRECT2_BUSY                                 0xFFFFFF7F
#define   S_00821C_ROQ_STATE_BUSY(x)                                  (((unsigned)(x) & 0x1) << 8)
#define   G_00821C_ROQ_STATE_BUSY(x)                                  (((x) >> 8) & 0x1)
#define   C_00821C_ROQ_STATE_BUSY                                     0xFFFFFEFF
#define   S_00821C_ROQ_CE_RING_BUSY(x)                                (((unsigned)(x) & 0x1) << 9)
#define   G_00821C_ROQ_CE_RING_BUSY(x)                                (((x) >> 9) & 0x1)
#define   C_00821C_ROQ_CE_RING_BUSY                                   0xFFFFFDFF
#define   S_00821C_ROQ_CE_INDIRECT1_BUSY(x)                           (((unsigned)(x) & 0x1) << 10)
#define   G_00821C_ROQ_CE_INDIRECT1_BUSY(x)                           (((x) >> 10) & 0x1)
#define   C_00821C_ROQ_CE_INDIRECT1_BUSY                              0xFFFFFBFF
#define   S_00821C_ROQ_CE_INDIRECT2_BUSY(x)                           (((unsigned)(x) & 0x1) << 11)
#define   G_00821C_ROQ_CE_INDIRECT2_BUSY(x)                           (((x) >> 11) & 0x1)
#define   C_00821C_ROQ_CE_INDIRECT2_BUSY                              0xFFFFF7FF
#define   S_00821C_SEMAPHORE_BUSY(x)                                  (((unsigned)(x) & 0x1) << 12)
#define   G_00821C_SEMAPHORE_BUSY(x)                                  (((x) >> 12) & 0x1)
#define   C_00821C_SEMAPHORE_BUSY                                     0xFFFFEFFF
#define   S_00821C_INTERRUPT_BUSY(x)                                  (((unsigned)(x) & 0x1) << 13)
#define   G_00821C_INTERRUPT_BUSY(x)                                  (((x) >> 13) & 0x1)
#define   C_00821C_INTERRUPT_BUSY                                     0xFFFFDFFF
#define   S_00821C_TCIU_BUSY(x)                                       (((unsigned)(x) & 0x1) << 14)
#define   G_00821C_TCIU_BUSY(x)                                       (((x) >> 14) & 0x1)
#define   C_00821C_TCIU_BUSY                                          0xFFFFBFFF
#define   S_00821C_HQD_BUSY(x)                                        (((unsigned)(x) & 0x1) << 15)
#define   G_00821C_HQD_BUSY(x)                                        (((x) >> 15) & 0x1)
#define   C_00821C_HQD_BUSY                                           0xFFFF7FFF
#define   S_00821C_PRT_BUSY(x)                                        (((unsigned)(x) & 0x1) << 16)
#define   G_00821C_PRT_BUSY(x)                                        (((x) >> 16) & 0x1)
#define   C_00821C_PRT_BUSY                                           0xFFFEFFFF
#define   S_00821C_ATCL2IU_BUSY(x)                                    (((unsigned)(x) & 0x1) << 17) /* <= stoney */
#define   G_00821C_ATCL2IU_BUSY(x)                                    (((x) >> 17) & 0x1)
#define   C_00821C_ATCL2IU_BUSY                                       0xFFFDFFFF
#define   S_00821C_UTCL2IU_BUSY(x)                                    (((unsigned)(x) & 0x1) << 17) /* gfx9 */
#define   G_00821C_UTCL2IU_BUSY(x)                                    (((x) >> 17) & 0x1)
#define   C_00821C_UTCL2IU_BUSY                                       0xFFFDFFFF
#define   S_00821C_CPF_GFX_BUSY(x)                                    (((unsigned)(x) & 0x1) << 26)
#define   G_00821C_CPF_GFX_BUSY(x)                                    (((x) >> 26) & 0x1)
#define   C_00821C_CPF_GFX_BUSY                                       0xFBFFFFFF
#define   S_00821C_CPF_CMP_BUSY(x)                                    (((unsigned)(x) & 0x1) << 27)
#define   G_00821C_CPF_CMP_BUSY(x)                                    (((x) >> 27) & 0x1)
#define   C_00821C_CPF_CMP_BUSY                                       0xF7FFFFFF
#define   S_00821C_GRBM_CPF_STAT_BUSY(x)                              (((unsigned)(x) & 0x3) << 28)
#define   G_00821C_GRBM_CPF_STAT_BUSY(x)                              (((x) >> 28) & 0x3)
#define   C_00821C_GRBM_CPF_STAT_BUSY                                 0xCFFFFFFF
#define   S_00821C_CPC_CPF_BUSY(x)                                    (((unsigned)(x) & 0x1) << 30)
#define   G_00821C_CPC_CPF_BUSY(x)                                    (((x) >> 30) & 0x1)
#define   C_00821C_CPC_CPF_BUSY                                       0xBFFFFFFF
#define   S_00821C_CPF_BUSY(x)                                        (((unsigned)(x) & 0x1) << 31)
#define   G_00821C_CPF_BUSY(x)                                        (((x) >> 31) & 0x1)
#define   C_00821C_CPF_BUSY                                           0x7FFFFFFF
#define R_008220_CP_CPF_BUSY_STAT                                       0x008220 /* <= gfx9 */
#define   S_008220_REG_BUS_FIFO_BUSY(x)                               (((unsigned)(x) & 0x1) << 0)
#define   G_008220_REG_BUS_FIFO_BUSY(x)                               (((x) >> 0) & 0x1)
#define   C_008220_REG_BUS_FIFO_BUSY                                  0xFFFFFFFE
#define   S_008220_CSF_RING_BUSY(x)                                   (((unsigned)(x) & 0x1) << 1)
#define   G_008220_CSF_RING_BUSY(x)                                   (((x) >> 1) & 0x1)
#define   C_008220_CSF_RING_BUSY                                      0xFFFFFFFD
#define   S_008220_CSF_INDIRECT1_BUSY(x)                              (((unsigned)(x) & 0x1) << 2)
#define   G_008220_CSF_INDIRECT1_BUSY(x)                              (((x) >> 2) & 0x1)
#define   C_008220_CSF_INDIRECT1_BUSY                                 0xFFFFFFFB
#define   S_008220_CSF_INDIRECT2_BUSY(x)                              (((unsigned)(x) & 0x1) << 3)
#define   G_008220_CSF_INDIRECT2_BUSY(x)                              (((x) >> 3) & 0x1)
#define   C_008220_CSF_INDIRECT2_BUSY                                 0xFFFFFFF7
#define   S_008220_CSF_STATE_BUSY(x)                                  (((unsigned)(x) & 0x1) << 4)
#define   G_008220_CSF_STATE_BUSY(x)                                  (((x) >> 4) & 0x1)
#define   C_008220_CSF_STATE_BUSY                                     0xFFFFFFEF
#define   S_008220_CSF_CE_INDR1_BUSY(x)                               (((unsigned)(x) & 0x1) << 5)
#define   G_008220_CSF_CE_INDR1_BUSY(x)                               (((x) >> 5) & 0x1)
#define   C_008220_CSF_CE_INDR1_BUSY                                  0xFFFFFFDF
#define   S_008220_CSF_CE_INDR2_BUSY(x)                               (((unsigned)(x) & 0x1) << 6)
#define   G_008220_CSF_CE_INDR2_BUSY(x)                               (((x) >> 6) & 0x1)
#define   C_008220_CSF_CE_INDR2_BUSY                                  0xFFFFFFBF
#define   S_008220_CSF_ARBITER_BUSY(x)                                (((unsigned)(x) & 0x1) << 7)
#define   G_008220_CSF_ARBITER_BUSY(x)                                (((x) >> 7) & 0x1)
#define   C_008220_CSF_ARBITER_BUSY                                   0xFFFFFF7F
#define   S_008220_CSF_INPUT_BUSY(x)                                  (((unsigned)(x) & 0x1) << 8)
#define   G_008220_CSF_INPUT_BUSY(x)                                  (((x) >> 8) & 0x1)
#define   C_008220_CSF_INPUT_BUSY                                     0xFFFFFEFF
#define   S_008220_OUTSTANDING_READ_TAGS(x)                           (((unsigned)(x) & 0x1) << 9)
#define   G_008220_OUTSTANDING_READ_TAGS(x)                           (((x) >> 9) & 0x1)
#define   C_008220_OUTSTANDING_READ_TAGS                              0xFFFFFDFF
#define   S_008220_HPD_PROCESSING_EOP_BUSY(x)                         (((unsigned)(x) & 0x1) << 11)
#define   G_008220_HPD_PROCESSING_EOP_BUSY(x)                         (((x) >> 11) & 0x1)
#define   C_008220_HPD_PROCESSING_EOP_BUSY                            0xFFFFF7FF
#define   S_008220_HQD_DISPATCH_BUSY(x)                               (((unsigned)(x) & 0x1) << 12)
#define   G_008220_HQD_DISPATCH_BUSY(x)                               (((x) >> 12) & 0x1)
#define   C_008220_HQD_DISPATCH_BUSY                                  0xFFFFEFFF
#define   S_008220_HQD_IQ_TIMER_BUSY(x)                               (((unsigned)(x) & 0x1) << 13)
#define   G_008220_HQD_IQ_TIMER_BUSY(x)                               (((x) >> 13) & 0x1)
#define   C_008220_HQD_IQ_TIMER_BUSY                                  0xFFFFDFFF
#define   S_008220_HQD_DMA_OFFLOAD_BUSY(x)                            (((unsigned)(x) & 0x1) << 14)
#define   G_008220_HQD_DMA_OFFLOAD_BUSY(x)                            (((x) >> 14) & 0x1)
#define   C_008220_HQD_DMA_OFFLOAD_BUSY                               0xFFFFBFFF
#define   S_008220_HQD_WAIT_SEMAPHORE_BUSY(x)                         (((unsigned)(x) & 0x1) << 15)
#define   G_008220_HQD_WAIT_SEMAPHORE_BUSY(x)                         (((x) >> 15) & 0x1)
#define   C_008220_HQD_WAIT_SEMAPHORE_BUSY                            0xFFFF7FFF
#define   S_008220_HQD_SIGNAL_SEMAPHORE_BUSY(x)                       (((unsigned)(x) & 0x1) << 16)
#define   G_008220_HQD_SIGNAL_SEMAPHORE_BUSY(x)                       (((x) >> 16) & 0x1)
#define   C_008220_HQD_SIGNAL_SEMAPHORE_BUSY                          0xFFFEFFFF
#define   S_008220_HQD_MESSAGE_BUSY(x)                                (((unsigned)(x) & 0x1) << 17)
#define   G_008220_HQD_MESSAGE_BUSY(x)                                (((x) >> 17) & 0x1)
#define   C_008220_HQD_MESSAGE_BUSY                                   0xFFFDFFFF
#define   S_008220_HQD_PQ_FETCHER_BUSY(x)                             (((unsigned)(x) & 0x1) << 18)
#define   G_008220_HQD_PQ_FETCHER_BUSY(x)                             (((x) >> 18) & 0x1)
#define   C_008220_HQD_PQ_FETCHER_BUSY                                0xFFFBFFFF
#define   S_008220_HQD_IB_FETCHER_BUSY(x)                             (((unsigned)(x) & 0x1) << 19)
#define   G_008220_HQD_IB_FETCHER_BUSY(x)                             (((x) >> 19) & 0x1)
#define   C_008220_HQD_IB_FETCHER_BUSY                                0xFFF7FFFF
#define   S_008220_HQD_IQ_FETCHER_BUSY(x)                             (((unsigned)(x) & 0x1) << 20)
#define   G_008220_HQD_IQ_FETCHER_BUSY(x)                             (((x) >> 20) & 0x1)
#define   C_008220_HQD_IQ_FETCHER_BUSY                                0xFFEFFFFF
#define   S_008220_HQD_EOP_FETCHER_BUSY(x)                            (((unsigned)(x) & 0x1) << 21)
#define   G_008220_HQD_EOP_FETCHER_BUSY(x)                            (((x) >> 21) & 0x1)
#define   C_008220_HQD_EOP_FETCHER_BUSY                               0xFFDFFFFF
#define   S_008220_HQD_CONSUMED_RPTR_BUSY(x)                          (((unsigned)(x) & 0x1) << 22)
#define   G_008220_HQD_CONSUMED_RPTR_BUSY(x)                          (((x) >> 22) & 0x1)
#define   C_008220_HQD_CONSUMED_RPTR_BUSY                             0xFFBFFFFF
#define   S_008220_HQD_FETCHER_ARB_BUSY(x)                            (((unsigned)(x) & 0x1) << 23)
#define   G_008220_HQD_FETCHER_ARB_BUSY(x)                            (((x) >> 23) & 0x1)
#define   C_008220_HQD_FETCHER_ARB_BUSY                               0xFF7FFFFF
#define   S_008220_HQD_ROQ_ALIGN_BUSY(x)                              (((unsigned)(x) & 0x1) << 24)
#define   G_008220_HQD_ROQ_ALIGN_BUSY(x)                              (((x) >> 24) & 0x1)
#define   C_008220_HQD_ROQ_ALIGN_BUSY                                 0xFEFFFFFF
#define   S_008220_HQD_ROQ_EOP_BUSY(x)                                (((unsigned)(x) & 0x1) << 25)
#define   G_008220_HQD_ROQ_EOP_BUSY(x)                                (((x) >> 25) & 0x1)
#define   C_008220_HQD_ROQ_EOP_BUSY                                   0xFDFFFFFF
#define   S_008220_HQD_ROQ_IQ_BUSY(x)                                 (((unsigned)(x) & 0x1) << 26)
#define   G_008220_HQD_ROQ_IQ_BUSY(x)                                 (((x) >> 26) & 0x1)
#define   C_008220_HQD_ROQ_IQ_BUSY                                    0xFBFFFFFF
#define   S_008220_HQD_ROQ_PQ_BUSY(x)                                 (((unsigned)(x) & 0x1) << 27)
#define   G_008220_HQD_ROQ_PQ_BUSY(x)                                 (((x) >> 27) & 0x1)
#define   C_008220_HQD_ROQ_PQ_BUSY                                    0xF7FFFFFF
#define   S_008220_HQD_ROQ_IB_BUSY(x)                                 (((unsigned)(x) & 0x1) << 28)
#define   G_008220_HQD_ROQ_IB_BUSY(x)                                 (((x) >> 28) & 0x1)
#define   C_008220_HQD_ROQ_IB_BUSY                                    0xEFFFFFFF
#define   S_008220_HQD_WPTR_POLL_BUSY(x)                              (((unsigned)(x) & 0x1) << 29)
#define   G_008220_HQD_WPTR_POLL_BUSY(x)                              (((x) >> 29) & 0x1)
#define   C_008220_HQD_WPTR_POLL_BUSY                                 0xDFFFFFFF
#define   S_008220_HQD_PQ_BUSY(x)                                     (((unsigned)(x) & 0x1) << 30)
#define   G_008220_HQD_PQ_BUSY(x)                                     (((x) >> 30) & 0x1)
#define   C_008220_HQD_PQ_BUSY                                        0xBFFFFFFF
#define   S_008220_HQD_IB_BUSY(x)                                     (((unsigned)(x) & 0x1) << 31)
#define   G_008220_HQD_IB_BUSY(x)                                     (((x) >> 31) & 0x1)
#define   C_008220_HQD_IB_BUSY                                        0x7FFFFFFF
#define R_008224_CP_CPF_STALLED_STAT1                                   0x008224 /* <= gfx9 */
#define   S_008224_RING_FETCHING_DATA(x)                              (((unsigned)(x) & 0x1) << 0)
#define   G_008224_RING_FETCHING_DATA(x)                              (((x) >> 0) & 0x1)
#define   C_008224_RING_FETCHING_DATA                                 0xFFFFFFFE
#define   S_008224_INDR1_FETCHING_DATA(x)                             (((unsigned)(x) & 0x1) << 1)
#define   G_008224_INDR1_FETCHING_DATA(x)                             (((x) >> 1) & 0x1)
#define   C_008224_INDR1_FETCHING_DATA                                0xFFFFFFFD
#define   S_008224_INDR2_FETCHING_DATA(x)                             (((unsigned)(x) & 0x1) << 2)
#define   G_008224_INDR2_FETCHING_DATA(x)                             (((x) >> 2) & 0x1)
#define   C_008224_INDR2_FETCHING_DATA                                0xFFFFFFFB
#define   S_008224_STATE_FETCHING_DATA(x)                             (((unsigned)(x) & 0x1) << 3)
#define   G_008224_STATE_FETCHING_DATA(x)                             (((x) >> 3) & 0x1)
#define   C_008224_STATE_FETCHING_DATA                                0xFFFFFFF7
#define   S_008224_TCIU_WAITING_ON_FREE(x)                            (((unsigned)(x) & 0x1) << 5)
#define   G_008224_TCIU_WAITING_ON_FREE(x)                            (((x) >> 5) & 0x1)
#define   C_008224_TCIU_WAITING_ON_FREE                               0xFFFFFFDF
#define   S_008224_TCIU_WAITING_ON_TAGS(x)                            (((unsigned)(x) & 0x1) << 6)
#define   G_008224_TCIU_WAITING_ON_TAGS(x)                            (((x) >> 6) & 0x1)
#define   C_008224_TCIU_WAITING_ON_TAGS                               0xFFFFFFBF
#define   S_008224_ATCL2IU_WAITING_ON_FREE(x)                         (((unsigned)(x) & 0x1) << 7) /* <= stoney */
#define   G_008224_ATCL2IU_WAITING_ON_FREE(x)                         (((x) >> 7) & 0x1)
#define   C_008224_ATCL2IU_WAITING_ON_FREE                            0xFFFFFF7F
#define   S_008224_UTCL2IU_WAITING_ON_FREE(x)                         (((unsigned)(x) & 0x1) << 7) /* gfx9 */
#define   G_008224_UTCL2IU_WAITING_ON_FREE(x)                         (((x) >> 7) & 0x1)
#define   C_008224_UTCL2IU_WAITING_ON_FREE                            0xFFFFFF7F
#define   S_008224_ATCL2IU_WAITING_ON_TAGS(x)                         (((unsigned)(x) & 0x1) << 8) /* <= stoney */
#define   G_008224_ATCL2IU_WAITING_ON_TAGS(x)                         (((x) >> 8) & 0x1)
#define   C_008224_ATCL2IU_WAITING_ON_TAGS                            0xFFFFFEFF
#define   S_008224_UTCL2IU_WAITING_ON_TAGS(x)                         (((unsigned)(x) & 0x1) << 8) /* gfx9 */
#define   G_008224_UTCL2IU_WAITING_ON_TAGS(x)                         (((x) >> 8) & 0x1)
#define   C_008224_UTCL2IU_WAITING_ON_TAGS                            0xFFFFFEFF
#define   S_008224_ATCL1_WAITING_ON_TRANS(x)                          (((unsigned)(x) & 0x1) << 9) /* <= stoney */
#define   G_008224_ATCL1_WAITING_ON_TRANS(x)                          (((x) >> 9) & 0x1)
#define   C_008224_ATCL1_WAITING_ON_TRANS                             0xFFFFFDFF
#define   S_008224_GFX_UTCL1_WAITING_ON_TRANS(x)                      (((unsigned)(x) & 0x1) << 9) /* gfx9 */
#define   G_008224_GFX_UTCL1_WAITING_ON_TRANS(x)                      (((x) >> 9) & 0x1)
#define   C_008224_GFX_UTCL1_WAITING_ON_TRANS                         0xFFFFFDFF
#define   S_008224_CMP_UTCL1_WAITING_ON_TRANS(x)                      (((unsigned)(x) & 0x1) << 10) /* gfx9 */
#define   G_008224_CMP_UTCL1_WAITING_ON_TRANS(x)                      (((x) >> 10) & 0x1)
#define   C_008224_CMP_UTCL1_WAITING_ON_TRANS                         0xFFFFFBFF
#define   S_008224_RCIU_WAITING_ON_FREE(x)                            (((unsigned)(x) & 0x1) << 11) /* gfx9 */
#define   G_008224_RCIU_WAITING_ON_FREE(x)                            (((x) >> 11) & 0x1)
#define   C_008224_RCIU_WAITING_ON_FREE                               0xFFFFF7FF
#define R_0084FC_CP_STRMOUT_CNTL                                        0x0084FC /* <= gfx6 */
#define   S_0084FC_OFFSET_UPDATE_DONE(x)                              (((unsigned)(x) & 0x1) << 0)
#define   G_0084FC_OFFSET_UPDATE_DONE(x)                              (((x) >> 0) & 0x1)
#define   C_0084FC_OFFSET_UPDATE_DONE                                 0xFFFFFFFE
#define R_0085F0_CP_COHER_CNTL                                          0x0085F0 /* <= gfx6 */
#define   S_0085F0_DEST_BASE_0_ENA(x)                                 (((unsigned)(x) & 0x1) << 0)
#define   G_0085F0_DEST_BASE_0_ENA(x)                                 (((x) >> 0) & 0x1)
#define   C_0085F0_DEST_BASE_0_ENA                                    0xFFFFFFFE
#define   S_0085F0_DEST_BASE_1_ENA(x)                                 (((unsigned)(x) & 0x1) << 1)
#define   G_0085F0_DEST_BASE_1_ENA(x)                                 (((x) >> 1) & 0x1)
#define   C_0085F0_DEST_BASE_1_ENA                                    0xFFFFFFFD
#define   S_0085F0_CB0_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 6)
#define   G_0085F0_CB0_DEST_BASE_ENA(x)                               (((x) >> 6) & 0x1)
#define   C_0085F0_CB0_DEST_BASE_ENA                                  0xFFFFFFBF
#define   S_0085F0_CB1_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 7)
#define   G_0085F0_CB1_DEST_BASE_ENA(x)                               (((x) >> 7) & 0x1)
#define   C_0085F0_CB1_DEST_BASE_ENA                                  0xFFFFFF7F
#define   S_0085F0_CB2_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 8)
#define   G_0085F0_CB2_DEST_BASE_ENA(x)                               (((x) >> 8) & 0x1)
#define   C_0085F0_CB2_DEST_BASE_ENA                                  0xFFFFFEFF
#define   S_0085F0_CB3_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 9)
#define   G_0085F0_CB3_DEST_BASE_ENA(x)                               (((x) >> 9) & 0x1)
#define   C_0085F0_CB3_DEST_BASE_ENA                                  0xFFFFFDFF
#define   S_0085F0_CB4_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 10)
#define   G_0085F0_CB4_DEST_BASE_ENA(x)                               (((x) >> 10) & 0x1)
#define   C_0085F0_CB4_DEST_BASE_ENA                                  0xFFFFFBFF
#define   S_0085F0_CB5_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 11)
#define   G_0085F0_CB5_DEST_BASE_ENA(x)                               (((x) >> 11) & 0x1)
#define   C_0085F0_CB5_DEST_BASE_ENA                                  0xFFFFF7FF
#define   S_0085F0_CB6_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 12)
#define   G_0085F0_CB6_DEST_BASE_ENA(x)                               (((x) >> 12) & 0x1)
#define   C_0085F0_CB6_DEST_BASE_ENA                                  0xFFFFEFFF
#define   S_0085F0_CB7_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 13)
#define   G_0085F0_CB7_DEST_BASE_ENA(x)                               (((x) >> 13) & 0x1)
#define   C_0085F0_CB7_DEST_BASE_ENA                                  0xFFFFDFFF
#define   S_0085F0_DB_DEST_BASE_ENA(x)                                (((unsigned)(x) & 0x1) << 14)
#define   G_0085F0_DB_DEST_BASE_ENA(x)                                (((x) >> 14) & 0x1)
#define   C_0085F0_DB_DEST_BASE_ENA                                   0xFFFFBFFF
#define   S_0085F0_DEST_BASE_2_ENA(x)                                 (((unsigned)(x) & 0x1) << 19)
#define   G_0085F0_DEST_BASE_2_ENA(x)                                 (((x) >> 19) & 0x1)
#define   C_0085F0_DEST_BASE_2_ENA                                    0xFFF7FFFF
#define   S_0085F0_DEST_BASE_3_ENA(x)                                 (((unsigned)(x) & 0x1) << 21)
#define   G_0085F0_DEST_BASE_3_ENA(x)                                 (((x) >> 21) & 0x1)
#define   C_0085F0_DEST_BASE_3_ENA                                    0xFFDFFFFF
#define   S_0085F0_TCL1_ACTION_ENA(x)                                 (((unsigned)(x) & 0x1) << 22)
#define   G_0085F0_TCL1_ACTION_ENA(x)                                 (((x) >> 22) & 0x1)
#define   C_0085F0_TCL1_ACTION_ENA                                    0xFFBFFFFF
#define   S_0085F0_TC_ACTION_ENA(x)                                   (((unsigned)(x) & 0x1) << 23)
#define   G_0085F0_TC_ACTION_ENA(x)                                   (((x) >> 23) & 0x1)
#define   C_0085F0_TC_ACTION_ENA                                      0xFF7FFFFF
#define   S_0085F0_CB_ACTION_ENA(x)                                   (((unsigned)(x) & 0x1) << 25)
#define   G_0085F0_CB_ACTION_ENA(x)                                   (((x) >> 25) & 0x1)
#define   C_0085F0_CB_ACTION_ENA                                      0xFDFFFFFF
#define   S_0085F0_DB_ACTION_ENA(x)                                   (((unsigned)(x) & 0x1) << 26)
#define   G_0085F0_DB_ACTION_ENA(x)                                   (((x) >> 26) & 0x1)
#define   C_0085F0_DB_ACTION_ENA                                      0xFBFFFFFF
#define   S_0085F0_SH_KCACHE_ACTION_ENA(x)                            (((unsigned)(x) & 0x1) << 27)
#define   G_0085F0_SH_KCACHE_ACTION_ENA(x)                            (((x) >> 27) & 0x1)
#define   C_0085F0_SH_KCACHE_ACTION_ENA                               0xF7FFFFFF
#define   S_0085F0_SH_ICACHE_ACTION_ENA(x)                            (((unsigned)(x) & 0x1) << 29)
#define   G_0085F0_SH_ICACHE_ACTION_ENA(x)                            (((x) >> 29) & 0x1)
#define   C_0085F0_SH_ICACHE_ACTION_ENA                               0xDFFFFFFF
#define R_0085F4_CP_COHER_SIZE                                          0x0085F4 /* <= gfx6 */
#define R_0085F8_CP_COHER_BASE                                          0x0085F8 /* <= gfx6 */
#define R_008670_CP_STALLED_STAT3                                       0x008670 /* <= gfx9 */
#define   S_008670_CE_TO_CSF_NOT_RDY_TO_RCV(x)                        (((unsigned)(x) & 0x1) << 0)
#define   G_008670_CE_TO_CSF_NOT_RDY_TO_RCV(x)                        (((x) >> 0) & 0x1)
#define   C_008670_CE_TO_CSF_NOT_RDY_TO_RCV                           0xFFFFFFFE
#define   S_008670_CE_TO_RAM_INIT_FETCHER_NOT_RDY_TO_RCV(x)           (((unsigned)(x) & 0x1) << 1)
#define   G_008670_CE_TO_RAM_INIT_FETCHER_NOT_RDY_TO_RCV(x)           (((x) >> 1) & 0x1)
#define   C_008670_CE_TO_RAM_INIT_FETCHER_NOT_RDY_TO_RCV              0xFFFFFFFD
#define   S_008670_CE_WAITING_ON_DATA_FROM_RAM_INIT_FETCHER(x)        (((unsigned)(x) & 0x1) << 2)
#define   G_008670_CE_WAITING_ON_DATA_FROM_RAM_INIT_FETCHER(x)        (((x) >> 2) & 0x1)
#define   C_008670_CE_WAITING_ON_DATA_FROM_RAM_INIT_FETCHER           0xFFFFFFFB
#define   S_008670_CE_TO_RAM_INIT_NOT_RDY(x)                          (((unsigned)(x) & 0x1) << 3)
#define   G_008670_CE_TO_RAM_INIT_NOT_RDY(x)                          (((x) >> 3) & 0x1)
#define   C_008670_CE_TO_RAM_INIT_NOT_RDY                             0xFFFFFFF7
#define   S_008670_CE_TO_RAM_DUMP_NOT_RDY(x)                          (((unsigned)(x) & 0x1) << 4)
#define   G_008670_CE_TO_RAM_DUMP_NOT_RDY(x)                          (((x) >> 4) & 0x1)
#define   C_008670_CE_TO_RAM_DUMP_NOT_RDY                             0xFFFFFFEF
#define   S_008670_CE_TO_RAM_WRITE_NOT_RDY(x)                         (((unsigned)(x) & 0x1) << 5)
#define   G_008670_CE_TO_RAM_WRITE_NOT_RDY(x)                         (((x) >> 5) & 0x1)
#define   C_008670_CE_TO_RAM_WRITE_NOT_RDY                            0xFFFFFFDF
#define   S_008670_CE_TO_INC_FIFO_NOT_RDY_TO_RCV(x)                   (((unsigned)(x) & 0x1) << 6)
#define   G_008670_CE_TO_INC_FIFO_NOT_RDY_TO_RCV(x)                   (((x) >> 6) & 0x1)
#define   C_008670_CE_TO_INC_FIFO_NOT_RDY_TO_RCV                      0xFFFFFFBF
#define   S_008670_CE_TO_WR_FIFO_NOT_RDY_TO_RCV(x)                    (((unsigned)(x) & 0x1) << 7)
#define   G_008670_CE_TO_WR_FIFO_NOT_RDY_TO_RCV(x)                    (((x) >> 7) & 0x1)
#define   C_008670_CE_TO_WR_FIFO_NOT_RDY_TO_RCV                       0xFFFFFF7F
#define   S_008670_CE_WAITING_ON_BUFFER_DATA(x)                       (((unsigned)(x) & 0x1) << 10)
#define   G_008670_CE_WAITING_ON_BUFFER_DATA(x)                       (((x) >> 10) & 0x1)
#define   C_008670_CE_WAITING_ON_BUFFER_DATA                          0xFFFFFBFF
#define   S_008670_CE_WAITING_ON_CE_BUFFER_FLAG(x)                    (((unsigned)(x) & 0x1) << 11)
#define   G_008670_CE_WAITING_ON_CE_BUFFER_FLAG(x)                    (((x) >> 11) & 0x1)
#define   C_008670_CE_WAITING_ON_CE_BUFFER_FLAG                       0xFFFFF7FF
#define   S_008670_CE_WAITING_ON_DE_COUNTER(x)                        (((unsigned)(x) & 0x1) << 12)
#define   G_008670_CE_WAITING_ON_DE_COUNTER(x)                        (((x) >> 12) & 0x1)
#define   C_008670_CE_WAITING_ON_DE_COUNTER                           0xFFFFEFFF
#define   S_008670_CE_WAITING_ON_DE_COUNTER_UNDERFLOW(x)              (((unsigned)(x) & 0x1) << 13)
#define   G_008670_CE_WAITING_ON_DE_COUNTER_UNDERFLOW(x)              (((x) >> 13) & 0x1)
#define   C_008670_CE_WAITING_ON_DE_COUNTER_UNDERFLOW                 0xFFFFDFFF
#define   S_008670_TCIU_WAITING_ON_FREE(x)                            (((unsigned)(x) & 0x1) << 14)
#define   G_008670_TCIU_WAITING_ON_FREE(x)                            (((x) >> 14) & 0x1)
#define   C_008670_TCIU_WAITING_ON_FREE                               0xFFFFBFFF
#define   S_008670_TCIU_WAITING_ON_TAGS(x)                            (((unsigned)(x) & 0x1) << 15)
#define   G_008670_TCIU_WAITING_ON_TAGS(x)                            (((x) >> 15) & 0x1)
#define   C_008670_TCIU_WAITING_ON_TAGS                               0xFFFF7FFF
#define   S_008670_CE_STALLED_ON_TC_WR_CONFIRM(x)                     (((unsigned)(x) & 0x1) << 16)
#define   G_008670_CE_STALLED_ON_TC_WR_CONFIRM(x)                     (((x) >> 16) & 0x1)
#define   C_008670_CE_STALLED_ON_TC_WR_CONFIRM                        0xFFFEFFFF
#define   S_008670_CE_STALLED_ON_ATOMIC_RTN_DATA(x)                   (((unsigned)(x) & 0x1) << 17)
#define   G_008670_CE_STALLED_ON_ATOMIC_RTN_DATA(x)                   (((x) >> 17) & 0x1)
#define   C_008670_CE_STALLED_ON_ATOMIC_RTN_DATA                      0xFFFDFFFF
#define   S_008670_ATCL2IU_WAITING_ON_FREE(x)                         (((unsigned)(x) & 0x1) << 18) /* <= stoney */
#define   G_008670_ATCL2IU_WAITING_ON_FREE(x)                         (((x) >> 18) & 0x1)
#define   C_008670_ATCL2IU_WAITING_ON_FREE                            0xFFFBFFFF
#define   S_008670_UTCL2IU_WAITING_ON_FREE(x)                         (((unsigned)(x) & 0x1) << 18) /* gfx9 */
#define   G_008670_UTCL2IU_WAITING_ON_FREE(x)                         (((x) >> 18) & 0x1)
#define   C_008670_UTCL2IU_WAITING_ON_FREE                            0xFFFBFFFF
#define   S_008670_ATCL2IU_WAITING_ON_TAGS(x)                         (((unsigned)(x) & 0x1) << 19) /* <= stoney */
#define   G_008670_ATCL2IU_WAITING_ON_TAGS(x)                         (((x) >> 19) & 0x1)
#define   C_008670_ATCL2IU_WAITING_ON_TAGS                            0xFFF7FFFF
#define   S_008670_UTCL2IU_WAITING_ON_TAGS(x)                         (((unsigned)(x) & 0x1) << 19) /* gfx9 */
#define   G_008670_UTCL2IU_WAITING_ON_TAGS(x)                         (((x) >> 19) & 0x1)
#define   C_008670_UTCL2IU_WAITING_ON_TAGS                            0xFFF7FFFF
#define   S_008670_ATCL1_WAITING_ON_TRANS(x)                          (((unsigned)(x) & 0x1) << 20) /* <= stoney */
#define   G_008670_ATCL1_WAITING_ON_TRANS(x)                          (((x) >> 20) & 0x1)
#define   C_008670_ATCL1_WAITING_ON_TRANS                             0xFFEFFFFF
#define   S_008670_UTCL1_WAITING_ON_TRANS(x)                          (((unsigned)(x) & 0x1) << 20) /* gfx9 */
#define   G_008670_UTCL1_WAITING_ON_TRANS(x)                          (((x) >> 20) & 0x1)
#define   C_008670_UTCL1_WAITING_ON_TRANS                             0xFFEFFFFF
#define R_008674_CP_STALLED_STAT1                                       0x008674 /* <= gfx9 */
#define   S_008674_RBIU_TO_DMA_NOT_RDY_TO_RCV(x)                      (((unsigned)(x) & 0x1) << 0)
#define   G_008674_RBIU_TO_DMA_NOT_RDY_TO_RCV(x)                      (((x) >> 0) & 0x1)
#define   C_008674_RBIU_TO_DMA_NOT_RDY_TO_RCV                         0xFFFFFFFE
#define   S_008674_RBIU_TO_SEM_NOT_RDY_TO_RCV(x)                      (((unsigned)(x) & 0x1) << 2)
#define   G_008674_RBIU_TO_SEM_NOT_RDY_TO_RCV(x)                      (((x) >> 2) & 0x1)
#define   C_008674_RBIU_TO_SEM_NOT_RDY_TO_RCV                         0xFFFFFFFB
#define   S_008674_RBIU_TO_MEMWR_NOT_RDY_TO_RCV(x)                    (((unsigned)(x) & 0x1) << 4)
#define   G_008674_RBIU_TO_MEMWR_NOT_RDY_TO_RCV(x)                    (((x) >> 4) & 0x1)
#define   C_008674_RBIU_TO_MEMWR_NOT_RDY_TO_RCV                       0xFFFFFFEF
#define   S_008674_ME_HAS_ACTIVE_CE_BUFFER_FLAG(x)                    (((unsigned)(x) & 0x1) << 10)
#define   G_008674_ME_HAS_ACTIVE_CE_BUFFER_FLAG(x)                    (((x) >> 10) & 0x1)
#define   C_008674_ME_HAS_ACTIVE_CE_BUFFER_FLAG                       0xFFFFFBFF
#define   S_008674_ME_HAS_ACTIVE_DE_BUFFER_FLAG(x)                    (((unsigned)(x) & 0x1) << 11)
#define   G_008674_ME_HAS_ACTIVE_DE_BUFFER_FLAG(x)                    (((x) >> 11) & 0x1)
#define   C_008674_ME_HAS_ACTIVE_DE_BUFFER_FLAG                       0xFFFFF7FF
#define   S_008674_ME_STALLED_ON_TC_WR_CONFIRM(x)                     (((unsigned)(x) & 0x1) << 12)
#define   G_008674_ME_STALLED_ON_TC_WR_CONFIRM(x)                     (((x) >> 12) & 0x1)
#define   C_008674_ME_STALLED_ON_TC_WR_CONFIRM                        0xFFFFEFFF
#define   S_008674_ME_STALLED_ON_ATOMIC_RTN_DATA(x)                   (((unsigned)(x) & 0x1) << 13)
#define   G_008674_ME_STALLED_ON_ATOMIC_RTN_DATA(x)                   (((x) >> 13) & 0x1)
#define   C_008674_ME_STALLED_ON_ATOMIC_RTN_DATA                      0xFFFFDFFF
#define   S_008674_ME_WAITING_ON_TC_READ_DATA(x)                      (((unsigned)(x) & 0x1) << 14)
#define   G_008674_ME_WAITING_ON_TC_READ_DATA(x)                      (((x) >> 14) & 0x1)
#define   C_008674_ME_WAITING_ON_TC_READ_DATA                         0xFFFFBFFF
#define   S_008674_ME_WAITING_ON_REG_READ_DATA(x)                     (((unsigned)(x) & 0x1) << 15)
#define   G_008674_ME_WAITING_ON_REG_READ_DATA(x)                     (((x) >> 15) & 0x1)
#define   C_008674_ME_WAITING_ON_REG_READ_DATA                        0xFFFF7FFF
#define   S_008674_RCIU_WAITING_ON_GDS_FREE(x)                        (((unsigned)(x) & 0x1) << 23)
#define   G_008674_RCIU_WAITING_ON_GDS_FREE(x)                        (((x) >> 23) & 0x1)
#define   C_008674_RCIU_WAITING_ON_GDS_FREE                           0xFF7FFFFF
#define   S_008674_RCIU_WAITING_ON_GRBM_FREE(x)                       (((unsigned)(x) & 0x1) << 24)
#define   G_008674_RCIU_WAITING_ON_GRBM_FREE(x)                       (((x) >> 24) & 0x1)
#define   C_008674_RCIU_WAITING_ON_GRBM_FREE                          0xFEFFFFFF
#define   S_008674_RCIU_WAITING_ON_VGT_FREE(x)                        (((unsigned)(x) & 0x1) << 25)
#define   G_008674_RCIU_WAITING_ON_VGT_FREE(x)                        (((x) >> 25) & 0x1)
#define   C_008674_RCIU_WAITING_ON_VGT_FREE                           0xFDFFFFFF
#define   S_008674_RCIU_STALLED_ON_ME_READ(x)                         (((unsigned)(x) & 0x1) << 26)
#define   G_008674_RCIU_STALLED_ON_ME_READ(x)                         (((x) >> 26) & 0x1)
#define   C_008674_RCIU_STALLED_ON_ME_READ                            0xFBFFFFFF
#define   S_008674_RCIU_STALLED_ON_DMA_READ(x)                        (((unsigned)(x) & 0x1) << 27)
#define   G_008674_RCIU_STALLED_ON_DMA_READ(x)                        (((x) >> 27) & 0x1)
#define   C_008674_RCIU_STALLED_ON_DMA_READ                           0xF7FFFFFF
#define   S_008674_RCIU_STALLED_ON_APPEND_READ(x)                     (((unsigned)(x) & 0x1) << 28)
#define   G_008674_RCIU_STALLED_ON_APPEND_READ(x)                     (((x) >> 28) & 0x1)
#define   C_008674_RCIU_STALLED_ON_APPEND_READ                        0xEFFFFFFF
#define   S_008674_RCIU_HALTED_BY_REG_VIOLATION(x)                    (((unsigned)(x) & 0x1) << 29)
#define   G_008674_RCIU_HALTED_BY_REG_VIOLATION(x)                    (((x) >> 29) & 0x1)
#define   C_008674_RCIU_HALTED_BY_REG_VIOLATION                       0xDFFFFFFF
#define R_008678_CP_STALLED_STAT2                                       0x008678 /* <= gfx9 */
#define   S_008678_PFP_TO_CSF_NOT_RDY_TO_RCV(x)                       (((unsigned)(x) & 0x1) << 0)
#define   G_008678_PFP_TO_CSF_NOT_RDY_TO_RCV(x)                       (((x) >> 0) & 0x1)
#define   C_008678_PFP_TO_CSF_NOT_RDY_TO_RCV                          0xFFFFFFFE
#define   S_008678_PFP_TO_MEQ_NOT_RDY_TO_RCV(x)                       (((unsigned)(x) & 0x1) << 1)
#define   G_008678_PFP_TO_MEQ_NOT_RDY_TO_RCV(x)                       (((x) >> 1) & 0x1)
#define   C_008678_PFP_TO_MEQ_NOT_RDY_TO_RCV                          0xFFFFFFFD
#define   S_008678_PFP_TO_RCIU_NOT_RDY_TO_RCV(x)                      (((unsigned)(x) & 0x1) << 2)
#define   G_008678_PFP_TO_RCIU_NOT_RDY_TO_RCV(x)                      (((x) >> 2) & 0x1)
#define   C_008678_PFP_TO_RCIU_NOT_RDY_TO_RCV                         0xFFFFFFFB
#define   S_008678_PFP_TO_VGT_WRITES_PENDING(x)                       (((unsigned)(x) & 0x1) << 4)
#define   G_008678_PFP_TO_VGT_WRITES_PENDING(x)                       (((x) >> 4) & 0x1)
#define   C_008678_PFP_TO_VGT_WRITES_PENDING                          0xFFFFFFEF
#define   S_008678_PFP_RCIU_READ_PENDING(x)                           (((unsigned)(x) & 0x1) << 5)
#define   G_008678_PFP_RCIU_READ_PENDING(x)                           (((x) >> 5) & 0x1)
#define   C_008678_PFP_RCIU_READ_PENDING                              0xFFFFFFDF
#define   S_008678_PFP_WAITING_ON_BUFFER_DATA(x)                      (((unsigned)(x) & 0x1) << 8)
#define   G_008678_PFP_WAITING_ON_BUFFER_DATA(x)                      (((x) >> 8) & 0x1)
#define   C_008678_PFP_WAITING_ON_BUFFER_DATA                         0xFFFFFEFF
#define   S_008678_ME_WAIT_ON_CE_COUNTER(x)                           (((unsigned)(x) & 0x1) << 9)
#define   G_008678_ME_WAIT_ON_CE_COUNTER(x)                           (((x) >> 9) & 0x1)
#define   C_008678_ME_WAIT_ON_CE_COUNTER                              0xFFFFFDFF
#define   S_008678_ME_WAIT_ON_AVAIL_BUFFER(x)                         (((unsigned)(x) & 0x1) << 10)
#define   G_008678_ME_WAIT_ON_AVAIL_BUFFER(x)                         (((x) >> 10) & 0x1)
#define   C_008678_ME_WAIT_ON_AVAIL_BUFFER                            0xFFFFFBFF
#define   S_008678_GFX_CNTX_NOT_AVAIL_TO_ME(x)                        (((unsigned)(x) & 0x1) << 11)
#define   G_008678_GFX_CNTX_NOT_AVAIL_TO_ME(x)                        (((x) >> 11) & 0x1)
#define   C_008678_GFX_CNTX_NOT_AVAIL_TO_ME                           0xFFFFF7FF
#define   S_008678_ME_RCIU_NOT_RDY_TO_RCV(x)                          (((unsigned)(x) & 0x1) << 12)
#define   G_008678_ME_RCIU_NOT_RDY_TO_RCV(x)                          (((x) >> 12) & 0x1)
#define   C_008678_ME_RCIU_NOT_RDY_TO_RCV                             0xFFFFEFFF
#define   S_008678_ME_TO_CONST_NOT_RDY_TO_RCV(x)                      (((unsigned)(x) & 0x1) << 13)
#define   G_008678_ME_TO_CONST_NOT_RDY_TO_RCV(x)                      (((x) >> 13) & 0x1)
#define   C_008678_ME_TO_CONST_NOT_RDY_TO_RCV                         0xFFFFDFFF
#define   S_008678_ME_WAITING_DATA_FROM_PFP(x)                        (((unsigned)(x) & 0x1) << 14)
#define   G_008678_ME_WAITING_DATA_FROM_PFP(x)                        (((x) >> 14) & 0x1)
#define   C_008678_ME_WAITING_DATA_FROM_PFP                           0xFFFFBFFF
#define   S_008678_ME_WAITING_ON_PARTIAL_FLUSH(x)                     (((unsigned)(x) & 0x1) << 15)
#define   G_008678_ME_WAITING_ON_PARTIAL_FLUSH(x)                     (((x) >> 15) & 0x1)
#define   C_008678_ME_WAITING_ON_PARTIAL_FLUSH                        0xFFFF7FFF
#define   S_008678_MEQ_TO_ME_NOT_RDY_TO_RCV(x)                        (((unsigned)(x) & 0x1) << 16)
#define   G_008678_MEQ_TO_ME_NOT_RDY_TO_RCV(x)                        (((x) >> 16) & 0x1)
#define   C_008678_MEQ_TO_ME_NOT_RDY_TO_RCV                           0xFFFEFFFF
#define   S_008678_STQ_TO_ME_NOT_RDY_TO_RCV(x)                        (((unsigned)(x) & 0x1) << 17)
#define   G_008678_STQ_TO_ME_NOT_RDY_TO_RCV(x)                        (((x) >> 17) & 0x1)
#define   C_008678_STQ_TO_ME_NOT_RDY_TO_RCV                           0xFFFDFFFF
#define   S_008678_ME_WAITING_DATA_FROM_STQ(x)                        (((unsigned)(x) & 0x1) << 18)
#define   G_008678_ME_WAITING_DATA_FROM_STQ(x)                        (((x) >> 18) & 0x1)
#define   C_008678_ME_WAITING_DATA_FROM_STQ                           0xFFFBFFFF
#define   S_008678_PFP_STALLED_ON_TC_WR_CONFIRM(x)                    (((unsigned)(x) & 0x1) << 19)
#define   G_008678_PFP_STALLED_ON_TC_WR_CONFIRM(x)                    (((x) >> 19) & 0x1)
#define   C_008678_PFP_STALLED_ON_TC_WR_CONFIRM                       0xFFF7FFFF
#define   S_008678_PFP_STALLED_ON_ATOMIC_RTN_DATA(x)                  (((unsigned)(x) & 0x1) << 20)
#define   G_008678_PFP_STALLED_ON_ATOMIC_RTN_DATA(x)                  (((x) >> 20) & 0x1)
#define   C_008678_PFP_STALLED_ON_ATOMIC_RTN_DATA                     0xFFEFFFFF
#define   S_008678_EOPD_FIFO_NEEDS_SC_EOP_DONE(x)                     (((unsigned)(x) & 0x1) << 21)
#define   G_008678_EOPD_FIFO_NEEDS_SC_EOP_DONE(x)                     (((x) >> 21) & 0x1)
#define   C_008678_EOPD_FIFO_NEEDS_SC_EOP_DONE                        0xFFDFFFFF
#define   S_008678_EOPD_FIFO_NEEDS_WR_CONFIRM(x)                      (((unsigned)(x) & 0x1) << 22)
#define   G_008678_EOPD_FIFO_NEEDS_WR_CONFIRM(x)                      (((x) >> 22) & 0x1)
#define   C_008678_EOPD_FIFO_NEEDS_WR_CONFIRM                         0xFFBFFFFF
#define   S_008678_STRMO_WR_OF_PRIM_DATA_PENDING(x)                   (((unsigned)(x) & 0x1) << 23)
#define   G_008678_STRMO_WR_OF_PRIM_DATA_PENDING(x)                   (((x) >> 23) & 0x1)
#define   C_008678_STRMO_WR_OF_PRIM_DATA_PENDING                      0xFF7FFFFF
#define   S_008678_PIPE_STATS_WR_DATA_PENDING(x)                      (((unsigned)(x) & 0x1) << 24)
#define   G_008678_PIPE_STATS_WR_DATA_PENDING(x)                      (((x) >> 24) & 0x1)
#define   C_008678_PIPE_STATS_WR_DATA_PENDING                         0xFEFFFFFF
#define   S_008678_APPEND_RDY_WAIT_ON_CS_DONE(x)                      (((unsigned)(x) & 0x1) << 25)
#define   G_008678_APPEND_RDY_WAIT_ON_CS_DONE(x)                      (((x) >> 25) & 0x1)
#define   C_008678_APPEND_RDY_WAIT_ON_CS_DONE                         0xFDFFFFFF
#define   S_008678_APPEND_RDY_WAIT_ON_PS_DONE(x)                      (((unsigned)(x) & 0x1) << 26)
#define   G_008678_APPEND_RDY_WAIT_ON_PS_DONE(x)                      (((x) >> 26) & 0x1)
#define   C_008678_APPEND_RDY_WAIT_ON_PS_DONE                         0xFBFFFFFF
#define   S_008678_APPEND_WAIT_ON_WR_CONFIRM(x)                       (((unsigned)(x) & 0x1) << 27)
#define   G_008678_APPEND_WAIT_ON_WR_CONFIRM(x)                       (((x) >> 27) & 0x1)
#define   C_008678_APPEND_WAIT_ON_WR_CONFIRM                          0xF7FFFFFF
#define   S_008678_APPEND_ACTIVE_PARTITION(x)                         (((unsigned)(x) & 0x1) << 28)
#define   G_008678_APPEND_ACTIVE_PARTITION(x)                         (((x) >> 28) & 0x1)
#define   C_008678_APPEND_ACTIVE_PARTITION                            0xEFFFFFFF
#define   S_008678_APPEND_WAITING_TO_SEND_MEMWRITE(x)                 (((unsigned)(x) & 0x1) << 29)
#define   G_008678_APPEND_WAITING_TO_SEND_MEMWRITE(x)                 (((x) >> 29) & 0x1)
#define   C_008678_APPEND_WAITING_TO_SEND_MEMWRITE                    0xDFFFFFFF
#define   S_008678_SURF_SYNC_NEEDS_IDLE_CNTXS(x)                      (((unsigned)(x) & 0x1) << 30)
#define   G_008678_SURF_SYNC_NEEDS_IDLE_CNTXS(x)                      (((x) >> 30) & 0x1)
#define   C_008678_SURF_SYNC_NEEDS_IDLE_CNTXS                         0xBFFFFFFF
#define   S_008678_SURF_SYNC_NEEDS_ALL_CLEAN(x)                       (((unsigned)(x) & 0x1) << 31)
#define   G_008678_SURF_SYNC_NEEDS_ALL_CLEAN(x)                       (((x) >> 31) & 0x1)
#define   C_008678_SURF_SYNC_NEEDS_ALL_CLEAN                          0x7FFFFFFF
#define R_008680_CP_STAT                                                0x008680 /* <= gfx9 */
#define   S_008680_ROQ_RING_BUSY(x)                                   (((unsigned)(x) & 0x1) << 9)
#define   G_008680_ROQ_RING_BUSY(x)                                   (((x) >> 9) & 0x1)
#define   C_008680_ROQ_RING_BUSY                                      0xFFFFFDFF
#define   S_008680_ROQ_INDIRECT1_BUSY(x)                              (((unsigned)(x) & 0x1) << 10)
#define   G_008680_ROQ_INDIRECT1_BUSY(x)                              (((x) >> 10) & 0x1)
#define   C_008680_ROQ_INDIRECT1_BUSY                                 0xFFFFFBFF
#define   S_008680_ROQ_INDIRECT2_BUSY(x)                              (((unsigned)(x) & 0x1) << 11)
#define   G_008680_ROQ_INDIRECT2_BUSY(x)                              (((x) >> 11) & 0x1)
#define   C_008680_ROQ_INDIRECT2_BUSY                                 0xFFFFF7FF
#define   S_008680_ROQ_STATE_BUSY(x)                                  (((unsigned)(x) & 0x1) << 12)
#define   G_008680_ROQ_STATE_BUSY(x)                                  (((x) >> 12) & 0x1)
#define   C_008680_ROQ_STATE_BUSY                                     0xFFFFEFFF
#define   S_008680_DC_BUSY(x)                                         (((unsigned)(x) & 0x1) << 13)
#define   G_008680_DC_BUSY(x)                                         (((x) >> 13) & 0x1)
#define   C_008680_DC_BUSY                                            0xFFFFDFFF
#define   S_008680_ATCL2IU_BUSY(x)                                    (((unsigned)(x) & 0x1) << 14) /* <= stoney */
#define   G_008680_ATCL2IU_BUSY(x)                                    (((x) >> 14) & 0x1)
#define   C_008680_ATCL2IU_BUSY                                       0xFFFFBFFF
#define   S_008680_UTCL2IU_BUSY(x)                                    (((unsigned)(x) & 0x1) << 14) /* gfx9 */
#define   G_008680_UTCL2IU_BUSY(x)                                    (((x) >> 14) & 0x1)
#define   C_008680_UTCL2IU_BUSY                                       0xFFFFBFFF
#define   S_008680_PFP_BUSY(x)                                        (((unsigned)(x) & 0x1) << 15)
#define   G_008680_PFP_BUSY(x)                                        (((x) >> 15) & 0x1)
#define   C_008680_PFP_BUSY                                           0xFFFF7FFF
#define   S_008680_MEQ_BUSY(x)                                        (((unsigned)(x) & 0x1) << 16)
#define   G_008680_MEQ_BUSY(x)                                        (((x) >> 16) & 0x1)
#define   C_008680_MEQ_BUSY                                           0xFFFEFFFF
#define   S_008680_ME_BUSY(x)                                         (((unsigned)(x) & 0x1) << 17)
#define   G_008680_ME_BUSY(x)                                         (((x) >> 17) & 0x1)
#define   C_008680_ME_BUSY                                            0xFFFDFFFF
#define   S_008680_QUERY_BUSY(x)                                      (((unsigned)(x) & 0x1) << 18)
#define   G_008680_QUERY_BUSY(x)                                      (((x) >> 18) & 0x1)
#define   C_008680_QUERY_BUSY                                         0xFFFBFFFF
#define   S_008680_SEMAPHORE_BUSY(x)                                  (((unsigned)(x) & 0x1) << 19)
#define   G_008680_SEMAPHORE_BUSY(x)                                  (((x) >> 19) & 0x1)
#define   C_008680_SEMAPHORE_BUSY                                     0xFFF7FFFF
#define   S_008680_INTERRUPT_BUSY(x)                                  (((unsigned)(x) & 0x1) << 20)
#define   G_008680_INTERRUPT_BUSY(x)                                  (((x) >> 20) & 0x1)
#define   C_008680_INTERRUPT_BUSY                                     0xFFEFFFFF
#define   S_008680_SURFACE_SYNC_BUSY(x)                               (((unsigned)(x) & 0x1) << 21)
#define   G_008680_SURFACE_SYNC_BUSY(x)                               (((x) >> 21) & 0x1)
#define   C_008680_SURFACE_SYNC_BUSY                                  0xFFDFFFFF
#define   S_008680_DMA_BUSY(x)                                        (((unsigned)(x) & 0x1) << 22)
#define   G_008680_DMA_BUSY(x)                                        (((x) >> 22) & 0x1)
#define   C_008680_DMA_BUSY                                           0xFFBFFFFF
#define   S_008680_RCIU_BUSY(x)                                       (((unsigned)(x) & 0x1) << 23)
#define   G_008680_RCIU_BUSY(x)                                       (((x) >> 23) & 0x1)
#define   C_008680_RCIU_BUSY                                          0xFF7FFFFF
#define   S_008680_SCRATCH_RAM_BUSY(x)                                (((unsigned)(x) & 0x1) << 24)
#define   G_008680_SCRATCH_RAM_BUSY(x)                                (((x) >> 24) & 0x1)
#define   C_008680_SCRATCH_RAM_BUSY                                   0xFEFFFFFF
#define   S_008680_CPC_CPG_BUSY(x)                                    (((unsigned)(x) & 0x1) << 25) /* <= stoney */
#define   G_008680_CPC_CPG_BUSY(x)                                    (((x) >> 25) & 0x1)
#define   C_008680_CPC_CPG_BUSY                                       0xFDFFFFFF
#define   S_008680_CE_BUSY(x)                                         (((unsigned)(x) & 0x1) << 26)
#define   G_008680_CE_BUSY(x)                                         (((x) >> 26) & 0x1)
#define   C_008680_CE_BUSY                                            0xFBFFFFFF
#define   S_008680_TCIU_BUSY(x)                                       (((unsigned)(x) & 0x1) << 27)
#define   G_008680_TCIU_BUSY(x)                                       (((x) >> 27) & 0x1)
#define   C_008680_TCIU_BUSY                                          0xF7FFFFFF
#define   S_008680_ROQ_CE_RING_BUSY(x)                                (((unsigned)(x) & 0x1) << 28)
#define   G_008680_ROQ_CE_RING_BUSY(x)                                (((x) >> 28) & 0x1)
#define   C_008680_ROQ_CE_RING_BUSY                                   0xEFFFFFFF
#define   S_008680_ROQ_CE_INDIRECT1_BUSY(x)                           (((unsigned)(x) & 0x1) << 29)
#define   G_008680_ROQ_CE_INDIRECT1_BUSY(x)                           (((x) >> 29) & 0x1)
#define   C_008680_ROQ_CE_INDIRECT1_BUSY                              0xDFFFFFFF
#define   S_008680_ROQ_CE_INDIRECT2_BUSY(x)                           (((unsigned)(x) & 0x1) << 30)
#define   G_008680_ROQ_CE_INDIRECT2_BUSY(x)                           (((x) >> 30) & 0x1)
#define   C_008680_ROQ_CE_INDIRECT2_BUSY                              0xBFFFFFFF
#define   S_008680_CP_BUSY(x)                                         (((unsigned)(x) & 0x1) << 31)
#define   G_008680_CP_BUSY(x)                                         (((x) >> 31) & 0x1)
#define   C_008680_CP_BUSY                                            0x7FFFFFFF
#define R_0088B0_VGT_VTX_VECT_EJECT_REG                                 0x0088B0 /* <= gfx9 */
#define   S_0088B0_PRIM_COUNT(x)                                      (((unsigned)(x) & 0x3FF) << 0)
#define   G_0088B0_PRIM_COUNT(x)                                      (((x) >> 0) & 0x3FF)
#define   C_0088B0_PRIM_COUNT                                         0xFFFFFC00
#define R_0088C4_VGT_CACHE_INVALIDATION                                 0x0088C4 /* <= gfx9 */
#define   S_0088C4_VS_NO_EXTRA_BUFFER(x)                              (((unsigned)(x) & 0x1) << 5)
#define   G_0088C4_VS_NO_EXTRA_BUFFER(x)                              (((x) >> 5) & 0x1)
#define   C_0088C4_VS_NO_EXTRA_BUFFER                                 0xFFFFFFDF
#define   S_0088C4_STREAMOUT_FULL_FLUSH(x)                            (((unsigned)(x) & 0x1) << 13)
#define   G_0088C4_STREAMOUT_FULL_FLUSH(x)                            (((x) >> 13) & 0x1)
#define   C_0088C4_STREAMOUT_FULL_FLUSH                               0xFFFFDFFF
#define   S_0088C4_ES_LIMIT(x)                                        (((unsigned)(x) & 0x1F) << 16)
#define   G_0088C4_ES_LIMIT(x)                                        (((x) >> 16) & 0x1F)
#define   C_0088C4_ES_LIMIT                                           0xFFE0FFFF
#define R_0088C8_VGT_ESGS_RING_SIZE                                     0x0088C8 /* <= gfx6 */
#define R_0088CC_VGT_GSVS_RING_SIZE                                     0x0088CC /* <= gfx6 */
#define R_0088D4_VGT_GS_VERTEX_REUSE                                    0x0088D4 /* <= stoney */
#define   S_0088D4_VERT_REUSE(x)                                      (((unsigned)(x) & 0x1F) << 0)
#define   G_0088D4_VERT_REUSE(x)                                      (((x) >> 0) & 0x1F)
#define   C_0088D4_VERT_REUSE                                         0xFFFFFFE0
#define R_008958_VGT_PRIMITIVE_TYPE                                     0x008958 /* <= gfx6 */
#define   S_008958_PRIM_TYPE(x)                                       (((unsigned)(x) & 0x3F) << 0)
#define   G_008958_PRIM_TYPE(x)                                       (((x) >> 0) & 0x3F)
#define   C_008958_PRIM_TYPE                                          0xFFFFFFC0
#define     V_008958_DI_PT_NONE                                     0
#define     V_008958_DI_PT_POINTLIST                                1
#define     V_008958_DI_PT_LINELIST                                 2
#define     V_008958_DI_PT_LINESTRIP                                3
#define     V_008958_DI_PT_TRILIST                                  4
#define     V_008958_DI_PT_TRIFAN                                   5
#define     V_008958_DI_PT_TRISTRIP                                 6
#define     V_008958_DI_PT_UNUSED_0                                 7
#define     V_008958_DI_PT_UNUSED_1                                 8
#define     V_008958_DI_PT_PATCH                                    9
#define     V_008958_DI_PT_LINELIST_ADJ                             10
#define     V_008958_DI_PT_LINESTRIP_ADJ                            11
#define     V_008958_DI_PT_TRILIST_ADJ                              12
#define     V_008958_DI_PT_TRISTRIP_ADJ                             13
#define     V_008958_DI_PT_UNUSED_3                                 14
#define     V_008958_DI_PT_UNUSED_4                                 15
#define     V_008958_DI_PT_TRI_WITH_WFLAGS                          16
#define     V_008958_DI_PT_RECTLIST                                 17
#define     V_008958_DI_PT_LINELOOP                                 18
#define     V_008958_DI_PT_QUADLIST                                 19
#define     V_008958_DI_PT_QUADSTRIP                                20
#define     V_008958_DI_PT_POLYGON                                  21
#define     V_008958_DI_PT_2D_COPY_RECT_LIST_V0                     22
#define     V_008958_DI_PT_2D_COPY_RECT_LIST_V1                     23
#define     V_008958_DI_PT_2D_COPY_RECT_LIST_V2                     24
#define     V_008958_DI_PT_2D_COPY_RECT_LIST_V3                     25
#define     V_008958_DI_PT_2D_FILL_RECT_LIST                        26
#define     V_008958_DI_PT_2D_LINE_STRIP                            27
#define     V_008958_DI_PT_2D_TRI_STRIP                             28
#define R_00895C_VGT_INDEX_TYPE                                         0x00895C /* <= gfx6 */
#define   S_00895C_INDEX_TYPE(x)                                      (((unsigned)(x) & 0x3) << 0)
#define   G_00895C_INDEX_TYPE(x)                                      (((x) >> 0) & 0x3)
#define   C_00895C_INDEX_TYPE                                         0xFFFFFFFC
#define     V_00895C_DI_INDEX_SIZE_16_BIT                           0
#define     V_00895C_DI_INDEX_SIZE_32_BIT                           1
#define R_008960_VGT_STRMOUT_BUFFER_FILLED_SIZE_0                       0x008960 /* <= gfx6 */
#define R_008964_VGT_STRMOUT_BUFFER_FILLED_SIZE_1                       0x008964 /* <= gfx6 */
#define R_008968_VGT_STRMOUT_BUFFER_FILLED_SIZE_2                       0x008968 /* <= gfx6 */
#define R_00896C_VGT_STRMOUT_BUFFER_FILLED_SIZE_3                       0x00896C /* <= gfx6 */
#define R_008970_VGT_NUM_INDICES                                        0x008970 /* <= gfx6 */
#define R_008974_VGT_NUM_INSTANCES                                      0x008974 /* <= gfx6 */
#define R_008988_VGT_TF_RING_SIZE                                       0x008988 /* <= gfx6 */
#define   S_008988_SIZE(x)                                            (((unsigned)(x) & 0xFFFF) << 0)
#define   G_008988_SIZE(x)                                            (((x) >> 0) & 0xFFFF)
#define   C_008988_SIZE                                               0xFFFF0000
#define R_0089B0_VGT_HS_OFFCHIP_PARAM                                   0x0089B0 /* <= gfx6 */
#define   S_0089B0_OFFCHIP_BUFFERING(x)                               (((unsigned)(x) & 0x7F) << 0)
#define   G_0089B0_OFFCHIP_BUFFERING(x)                               (((x) >> 0) & 0x7F)
#define   C_0089B0_OFFCHIP_BUFFERING                                  0xFFFFFF80
#define R_0089B8_VGT_TF_MEMORY_BASE                                     0x0089B8 /* <= gfx6 */
#define R_008A14_PA_CL_ENHANCE                                          0x008A14 /* <= stoney */
#define   S_008A14_CLIP_VTX_REORDER_ENA(x)                            (((unsigned)(x) & 0x1) << 0)
#define   G_008A14_CLIP_VTX_REORDER_ENA(x)                            (((x) >> 0) & 0x1)
#define   C_008A14_CLIP_VTX_REORDER_ENA                               0xFFFFFFFE
#define   S_008A14_NUM_CLIP_SEQ(x)                                    (((unsigned)(x) & 0x3) << 1)
#define   G_008A14_NUM_CLIP_SEQ(x)                                    (((x) >> 1) & 0x3)
#define   C_008A14_NUM_CLIP_SEQ                                       0xFFFFFFF9
#define   S_008A14_CLIPPED_PRIM_SEQ_STALL(x)                          (((unsigned)(x) & 0x1) << 3)
#define   G_008A14_CLIPPED_PRIM_SEQ_STALL(x)                          (((x) >> 3) & 0x1)
#define   C_008A14_CLIPPED_PRIM_SEQ_STALL                             0xFFFFFFF7
#define   S_008A14_VE_NAN_PROC_DISABLE(x)                             (((unsigned)(x) & 0x1) << 4)
#define   G_008A14_VE_NAN_PROC_DISABLE(x)                             (((x) >> 4) & 0x1)
#define   C_008A14_VE_NAN_PROC_DISABLE                                0xFFFFFFEF
#define R_008A60_PA_SU_LINE_STIPPLE_VALUE                               0x008A60 /* <= gfx6 */
#define   S_008A60_LINE_STIPPLE_VALUE(x)                              (((unsigned)(x) & 0xFFFFFF) << 0)
#define   G_008A60_LINE_STIPPLE_VALUE(x)                              (((x) >> 0) & 0xFFFFFF)
#define   C_008A60_LINE_STIPPLE_VALUE                                 0xFF000000
#define R_008B10_PA_SC_LINE_STIPPLE_STATE                               0x008B10 /* <= gfx6 */
#define   S_008B10_CURRENT_PTR(x)                                     (((unsigned)(x) & 0xF) << 0)
#define   G_008B10_CURRENT_PTR(x)                                     (((x) >> 0) & 0xF)
#define   C_008B10_CURRENT_PTR                                        0xFFFFFFF0
#define   S_008B10_CURRENT_COUNT(x)                                   (((unsigned)(x) & 0xFF) << 8)
#define   G_008B10_CURRENT_COUNT(x)                                   (((x) >> 8) & 0xFF)
#define   C_008B10_CURRENT_COUNT                                      0xFFFF00FF
#define R_008BF0_PA_SC_ENHANCE                                          0x008BF0 /* <= stoney */
#define   S_008BF0_ENABLE_PA_SC_OUT_OF_ORDER(x)                       (((unsigned)(x) & 0x1) << 0)
#define   G_008BF0_ENABLE_PA_SC_OUT_OF_ORDER(x)                       (((x) >> 0) & 0x1)
#define   C_008BF0_ENABLE_PA_SC_OUT_OF_ORDER                          0xFFFFFFFE
#define   S_008BF0_DISABLE_SC_DB_TILE_FIX(x)                          (((unsigned)(x) & 0x1) << 1)
#define   G_008BF0_DISABLE_SC_DB_TILE_FIX(x)                          (((x) >> 1) & 0x1)
#define   C_008BF0_DISABLE_SC_DB_TILE_FIX                             0xFFFFFFFD
#define   S_008BF0_DISABLE_AA_MASK_FULL_FIX(x)                        (((unsigned)(x) & 0x1) << 2)
#define   G_008BF0_DISABLE_AA_MASK_FULL_FIX(x)                        (((x) >> 2) & 0x1)
#define   C_008BF0_DISABLE_AA_MASK_FULL_FIX                           0xFFFFFFFB
#define   S_008BF0_ENABLE_1XMSAA_SAMPLE_LOCATIONS(x)                  (((unsigned)(x) & 0x1) << 3)
#define   G_008BF0_ENABLE_1XMSAA_SAMPLE_LOCATIONS(x)                  (((x) >> 3) & 0x1)
#define   C_008BF0_ENABLE_1XMSAA_SAMPLE_LOCATIONS                     0xFFFFFFF7
#define   S_008BF0_ENABLE_1XMSAA_SAMPLE_LOC_CENTROID(x)               (((unsigned)(x) & 0x1) << 4)
#define   G_008BF0_ENABLE_1XMSAA_SAMPLE_LOC_CENTROID(x)               (((x) >> 4) & 0x1)
#define   C_008BF0_ENABLE_1XMSAA_SAMPLE_LOC_CENTROID                  0xFFFFFFEF
#define   S_008BF0_DISABLE_SCISSOR_FIX(x)                             (((unsigned)(x) & 0x1) << 5)
#define   G_008BF0_DISABLE_SCISSOR_FIX(x)                             (((x) >> 5) & 0x1)
#define   C_008BF0_DISABLE_SCISSOR_FIX                                0xFFFFFFDF
#define   S_008BF0_DISABLE_PW_BUBBLE_COLLAPSE(x)                      (((unsigned)(x) & 0x3) << 6)
#define   G_008BF0_DISABLE_PW_BUBBLE_COLLAPSE(x)                      (((x) >> 6) & 0x3)
#define   C_008BF0_DISABLE_PW_BUBBLE_COLLAPSE                         0xFFFFFF3F
#define   S_008BF0_SEND_UNLIT_STILES_TO_PACKER(x)                     (((unsigned)(x) & 0x1) << 8)
#define   G_008BF0_SEND_UNLIT_STILES_TO_PACKER(x)                     (((x) >> 8) & 0x1)
#define   C_008BF0_SEND_UNLIT_STILES_TO_PACKER                        0xFFFFFEFF
#define   S_008BF0_DISABLE_DUALGRAD_PERF_OPTIMIZATION(x)              (((unsigned)(x) & 0x1) << 9)
#define   G_008BF0_DISABLE_DUALGRAD_PERF_OPTIMIZATION(x)              (((x) >> 9) & 0x1)
#define   C_008BF0_DISABLE_DUALGRAD_PERF_OPTIMIZATION                 0xFFFFFDFF
#define R_008C08_SQC_CACHES                                             0x008C08 /* <= gfx6 */
#define   S_008C08_INST_INVALIDATE(x)                                 (((unsigned)(x) & 0x1) << 0)
#define   G_008C08_INST_INVALIDATE(x)                                 (((x) >> 0) & 0x1)
#define   C_008C08_INST_INVALIDATE                                    0xFFFFFFFE
#define   S_008C08_DATA_INVALIDATE(x)                                 (((unsigned)(x) & 0x1) << 1)
#define   G_008C08_DATA_INVALIDATE(x)                                 (((x) >> 1) & 0x1)
#define   C_008C08_DATA_INVALIDATE                                    0xFFFFFFFD
#define R_008C0C_SQ_RANDOM_WAVE_PRI                                     0x008C0C /* <= stoney */
#define   S_008C0C_RET(x)                                             (((unsigned)(x) & 0x7F) << 0)
#define   G_008C0C_RET(x)                                             (((x) >> 0) & 0x7F)
#define   C_008C0C_RET                                                0xFFFFFF80
#define   S_008C0C_RUI(x)                                             (((unsigned)(x) & 0x7) << 7)
#define   G_008C0C_RUI(x)                                             (((x) >> 7) & 0x7)
#define   C_008C0C_RUI                                                0xFFFFFC7F
#define   S_008C0C_RNG(x)                                             (((unsigned)(x) & 0x7FF) << 10)
#define   G_008C0C_RNG(x)                                             (((x) >> 10) & 0x7FF)
#define   C_008C0C_RNG                                                0xFFE003FF
#define R_008DFC_SQ_EXP_0                                               0x008DFC /* <= stoney, >= gfx10 */
#define   S_008DFC_EN(x)                                              (((unsigned)(x) & 0xF) << 0)
#define   G_008DFC_EN(x)                                              (((x) >> 0) & 0xF)
#define   C_008DFC_EN                                                 0xFFFFFFF0
#define   S_008DFC_TGT(x)                                             (((unsigned)(x) & 0x3F) << 4)
#define   G_008DFC_TGT(x)                                             (((x) >> 4) & 0x3F)
#define   C_008DFC_TGT                                                0xFFFFFC0F
#define     V_008DFC_SQ_EXP_MRT                                     0
#define     V_008DFC_SQ_EXP_MRTZ                                    8
#define     V_008DFC_SQ_EXP_NULL                                    9
#define     V_008DFC_SQ_EXP_POS                                     12
#define     V_008DFC_SQ_EXP_PRIM                                    20 /* >= gfx10 */
#define     V_008DFC_SQ_EXP_PARAM                                   32
#define   S_008DFC_COMPR(x)                                           (((unsigned)(x) & 0x1) << 10)
#define   G_008DFC_COMPR(x)                                           (((x) >> 10) & 0x1)
#define   C_008DFC_COMPR                                              0xFFFFFBFF
#define   S_008DFC_DONE(x)                                            (((unsigned)(x) & 0x1) << 11)
#define   G_008DFC_DONE(x)                                            (((x) >> 11) & 0x1)
#define   C_008DFC_DONE                                               0xFFFFF7FF
#define   S_008DFC_VM(x)                                              (((unsigned)(x) & 0x1) << 12)
#define   G_008DFC_VM(x)                                              (((x) >> 12) & 0x1)
#define   C_008DFC_VM                                                 0xFFFFEFFF
#define   S_008DFC_ENCODING(x)                                        (((unsigned)(x) & 0x3F) << 26) /* <= stoney */
#define   G_008DFC_ENCODING(x)                                        (((x) >> 26) & 0x3F)
#define   C_008DFC_ENCODING                                           0x03FFFFFF
#define     V_008DFC_SQ_ENC_EXP_FIELD                               62
#define R_008F00_SQ_BUF_RSRC_WORD0                                      0x008F00
#define R_008F04_SQ_BUF_RSRC_WORD1                                      0x008F04
#define   S_008F04_BASE_ADDRESS_HI(x)                                 (((unsigned)(x) & 0xFFFF) << 0)
#define   G_008F04_BASE_ADDRESS_HI(x)                                 (((x) >> 0) & 0xFFFF)
#define   C_008F04_BASE_ADDRESS_HI                                    0xFFFF0000
#define   S_008F04_STRIDE(x)                                          (((unsigned)(x) & 0x3FFF) << 16)
#define   G_008F04_STRIDE(x)                                          (((x) >> 16) & 0x3FFF)
#define   C_008F04_STRIDE                                             0xC000FFFF
#define   S_008F04_CACHE_SWIZZLE(x)                                   (((unsigned)(x) & 0x1) << 30)
#define   G_008F04_CACHE_SWIZZLE(x)                                   (((x) >> 30) & 0x1)
#define   C_008F04_CACHE_SWIZZLE                                      0xBFFFFFFF
#define   S_008F04_SWIZZLE_ENABLE(x)                                  (((unsigned)(x) & 0x1) << 31)
#define   G_008F04_SWIZZLE_ENABLE(x)                                  (((x) >> 31) & 0x1)
#define   C_008F04_SWIZZLE_ENABLE                                     0x7FFFFFFF
#define R_008F08_SQ_BUF_RSRC_WORD2                                      0x008F08
#define R_008F0C_SQ_BUF_RSRC_WORD3                                      0x008F0C
#define   S_008F0C_DST_SEL_X(x)                                       (((unsigned)(x) & 0x7) << 0)
#define   G_008F0C_DST_SEL_X(x)                                       (((x) >> 0) & 0x7)
#define   C_008F0C_DST_SEL_X                                          0xFFFFFFF8
#define     V_008F0C_SQ_SEL_0                                       0 /* <= gfx9 */
#define     V_008F0C_SQ_SEL_1                                       1 /* <= gfx9 */
#define     V_008F0C_SQ_SEL_RESERVED_0                              2 /* <= gfx9 */
#define     V_008F0C_SQ_SEL_RESERVED_1                              3 /* <= gfx9 */
#define     V_008F0C_SQ_SEL_X                                       4 /* <= gfx9 */
#define     V_008F0C_SQ_SEL_Y                                       5 /* <= gfx9 */
#define     V_008F0C_SQ_SEL_Z                                       6 /* <= gfx9 */
#define     V_008F0C_SQ_SEL_W                                       7 /* <= gfx9 */
#define   S_008F0C_DST_SEL_Y(x)                                       (((unsigned)(x) & 0x7) << 3)
#define   G_008F0C_DST_SEL_Y(x)                                       (((x) >> 3) & 0x7)
#define   C_008F0C_DST_SEL_Y                                          0xFFFFFFC7
#define   S_008F0C_DST_SEL_Z(x)                                       (((unsigned)(x) & 0x7) << 6)
#define   G_008F0C_DST_SEL_Z(x)                                       (((x) >> 6) & 0x7)
#define   C_008F0C_DST_SEL_Z                                          0xFFFFFE3F
#define   S_008F0C_DST_SEL_W(x)                                       (((unsigned)(x) & 0x7) << 9)
#define   G_008F0C_DST_SEL_W(x)                                       (((x) >> 9) & 0x7)
#define   C_008F0C_DST_SEL_W                                          0xFFFFF1FF
#define   S_008F0C_FORMAT(x)                                          (((unsigned)(x) & 0x7F) << 12) /* >= gfx10 */
#define   G_008F0C_FORMAT(x)                                          (((x) >> 12) & 0x7F)
#define   C_008F0C_FORMAT                                             0xFFF80FFF
#define     V_008F0C_IMG_FORMAT_INVALID                             0
#define     V_008F0C_IMG_FORMAT_8_UNORM                             1
#define     V_008F0C_IMG_FORMAT_8_SNORM                             2
#define     V_008F0C_IMG_FORMAT_8_USCALED                           3
#define     V_008F0C_IMG_FORMAT_8_SSCALED                           4
#define     V_008F0C_IMG_FORMAT_8_UINT                              5
#define     V_008F0C_IMG_FORMAT_8_SINT                              6
#define     V_008F0C_IMG_FORMAT_16_UNORM                            7
#define     V_008F0C_IMG_FORMAT_16_SNORM                            8
#define     V_008F0C_IMG_FORMAT_16_USCALED                          9
#define     V_008F0C_IMG_FORMAT_16_SSCALED                          10
#define     V_008F0C_IMG_FORMAT_16_UINT                             11
#define     V_008F0C_IMG_FORMAT_16_SINT                             12
#define     V_008F0C_IMG_FORMAT_16_FLOAT                            13
#define     V_008F0C_IMG_FORMAT_8_8_UNORM                           14
#define     V_008F0C_IMG_FORMAT_8_8_SNORM                           15
#define     V_008F0C_IMG_FORMAT_8_8_USCALED                         16
#define     V_008F0C_IMG_FORMAT_8_8_SSCALED                         17
#define     V_008F0C_IMG_FORMAT_8_8_UINT                            18
#define     V_008F0C_IMG_FORMAT_8_8_SINT                            19
#define     V_008F0C_IMG_FORMAT_32_UINT                             20
#define     V_008F0C_IMG_FORMAT_32_SINT                             21
#define     V_008F0C_IMG_FORMAT_32_FLOAT                            22
#define     V_008F0C_IMG_FORMAT_16_16_UNORM                         23
#define     V_008F0C_IMG_FORMAT_16_16_SNORM                         24
#define     V_008F0C_IMG_FORMAT_16_16_USCALED                       25
#define     V_008F0C_IMG_FORMAT_16_16_SSCALED                       26
#define     V_008F0C_IMG_FORMAT_16_16_UINT                          27
#define     V_008F0C_IMG_FORMAT_16_16_SINT                          28
#define     V_008F0C_IMG_FORMAT_16_16_FLOAT                         29
#define     V_008F0C_IMG_FORMAT_10_11_11_UNORM                      30
#define     V_008F0C_IMG_FORMAT_10_11_11_SNORM                      31
#define     V_008F0C_IMG_FORMAT_10_11_11_USCALED                    32
#define     V_008F0C_IMG_FORMAT_10_11_11_SSCALED                    33
#define     V_008F0C_IMG_FORMAT_10_11_11_UINT                       34
#define     V_008F0C_IMG_FORMAT_10_11_11_SINT                       35
#define     V_008F0C_IMG_FORMAT_10_11_11_FLOAT                      36
#define     V_008F0C_IMG_FORMAT_11_11_10_UNORM                      37
#define     V_008F0C_IMG_FORMAT_11_11_10_SNORM                      38
#define     V_008F0C_IMG_FORMAT_11_11_10_USCALED                    39
#define     V_008F0C_IMG_FORMAT_11_11_10_SSCALED                    40
#define     V_008F0C_IMG_FORMAT_11_11_10_UINT                       41
#define     V_008F0C_IMG_FORMAT_11_11_10_SINT                       42
#define     V_008F0C_IMG_FORMAT_11_11_10_FLOAT                      43
#define     V_008F0C_IMG_FORMAT_10_10_10_2_UNORM                    44
#define     V_008F0C_IMG_FORMAT_10_10_10_2_SNORM                    45
#define     V_008F0C_IMG_FORMAT_10_10_10_2_USCALED                  46
#define     V_008F0C_IMG_FORMAT_10_10_10_2_SSCALED                  47
#define     V_008F0C_IMG_FORMAT_10_10_10_2_UINT                     48
#define     V_008F0C_IMG_FORMAT_10_10_10_2_SINT                     49
#define     V_008F0C_IMG_FORMAT_2_10_10_10_UNORM                    50
#define     V_008F0C_IMG_FORMAT_2_10_10_10_SNORM                    51
#define     V_008F0C_IMG_FORMAT_2_10_10_10_USCALED                  52
#define     V_008F0C_IMG_FORMAT_2_10_10_10_SSCALED                  53
#define     V_008F0C_IMG_FORMAT_2_10_10_10_UINT                     54
#define     V_008F0C_IMG_FORMAT_2_10_10_10_SINT                     55
#define     V_008F0C_IMG_FORMAT_8_8_8_8_UNORM                       56
#define     V_008F0C_IMG_FORMAT_8_8_8_8_SNORM                       57
#define     V_008F0C_IMG_FORMAT_8_8_8_8_USCALED                     58
#define     V_008F0C_IMG_FORMAT_8_8_8_8_SSCALED                     59
#define     V_008F0C_IMG_FORMAT_8_8_8_8_UINT                        60
#define     V_008F0C_IMG_FORMAT_8_8_8_8_SINT                        61
#define     V_008F0C_IMG_FORMAT_32_32_UINT                          62
#define     V_008F0C_IMG_FORMAT_32_32_SINT                          63
#define     V_008F0C_IMG_FORMAT_32_32_FLOAT                         64
#define     V_008F0C_IMG_FORMAT_16_16_16_16_UNORM                   65
#define     V_008F0C_IMG_FORMAT_16_16_16_16_SNORM                   66
#define     V_008F0C_IMG_FORMAT_16_16_16_16_USCALED                 67
#define     V_008F0C_IMG_FORMAT_16_16_16_16_SSCALED                 68
#define     V_008F0C_IMG_FORMAT_16_16_16_16_UINT                    69
#define     V_008F0C_IMG_FORMAT_16_16_16_16_SINT                    70
#define     V_008F0C_IMG_FORMAT_16_16_16_16_FLOAT                   71
#define     V_008F0C_IMG_FORMAT_32_32_32_UINT                       72
#define     V_008F0C_IMG_FORMAT_32_32_32_SINT                       73
#define     V_008F0C_IMG_FORMAT_32_32_32_FLOAT                      74
#define     V_008F0C_IMG_FORMAT_32_32_32_32_UINT                    75
#define     V_008F0C_IMG_FORMAT_32_32_32_32_SINT                    76
#define     V_008F0C_IMG_FORMAT_32_32_32_32_FLOAT                   77
#define     V_008F0C_IMG_FORMAT_8_SRGB                              128
#define     V_008F0C_IMG_FORMAT_8_8_SRGB                            129
#define     V_008F0C_IMG_FORMAT_8_8_8_8_SRGB                        130
#define     V_008F0C_IMG_FORMAT_6E4_FLOAT                           131
#define     V_008F0C_IMG_FORMAT_5_9_9_9_FLOAT                       132
#define     V_008F0C_IMG_FORMAT_5_6_5_UNORM                         133
#define     V_008F0C_IMG_FORMAT_1_5_5_5_UNORM                       134
#define     V_008F0C_IMG_FORMAT_5_5_5_1_UNORM                       135
#define     V_008F0C_IMG_FORMAT_4_4_4_4_UNORM                       136
#define     V_008F0C_IMG_FORMAT_4_4_UNORM                           137
#define     V_008F0C_IMG_FORMAT_1_UNORM                             138
#define     V_008F0C_IMG_FORMAT_1_REVERSED_UNORM                    139
#define     V_008F0C_IMG_FORMAT_32_FLOAT_CLAMP                      140
#define     V_008F0C_IMG_FORMAT_8_24_UNORM                          141
#define     V_008F0C_IMG_FORMAT_8_24_UINT                           142
#define     V_008F0C_IMG_FORMAT_24_8_UNORM                          143
#define     V_008F0C_IMG_FORMAT_24_8_UINT                           144
#define     V_008F0C_IMG_FORMAT_X24_8_32_UINT                       145
#define     V_008F0C_IMG_FORMAT_X24_8_32_FLOAT                      146
#define     V_008F0C_IMG_FORMAT_GB_GR_UNORM                         147
#define     V_008F0C_IMG_FORMAT_GB_GR_SNORM                         148
#define     V_008F0C_IMG_FORMAT_GB_GR_UINT                          149
#define     V_008F0C_IMG_FORMAT_GB_GR_SRGB                          150
#define     V_008F0C_IMG_FORMAT_BG_RG_UNORM                         151
#define     V_008F0C_IMG_FORMAT_BG_RG_SNORM                         152
#define     V_008F0C_IMG_FORMAT_BG_RG_UINT                          153
#define     V_008F0C_IMG_FORMAT_BG_RG_SRGB                          154
#define     V_008F0C_IMG_FORMAT_FMASK8_S2_F1                        156
#define     V_008F0C_IMG_FORMAT_FMASK8_S4_F1                        157
#define     V_008F0C_IMG_FORMAT_FMASK8_S8_F1                        158
#define     V_008F0C_IMG_FORMAT_FMASK8_S2_F2                        159
#define     V_008F0C_IMG_FORMAT_FMASK8_S4_F2                        160
#define     V_008F0C_IMG_FORMAT_FMASK8_S4_F4                        161
#define     V_008F0C_IMG_FORMAT_FMASK16_S16_F1                      162
#define     V_008F0C_IMG_FORMAT_FMASK16_S8_F2                       163
#define     V_008F0C_IMG_FORMAT_FMASK32_S16_F2                      164
#define     V_008F0C_IMG_FORMAT_FMASK32_S8_F4                       165
#define     V_008F0C_IMG_FORMAT_FMASK32_S8_F8                       166
#define     V_008F0C_IMG_FORMAT_FMASK64_S16_F4                      167
#define     V_008F0C_IMG_FORMAT_FMASK64_S16_F8                      168
#define     V_008F0C_IMG_FORMAT_BC1_UNORM                           169
#define     V_008F0C_IMG_FORMAT_BC1_SRGB                            170
#define     V_008F0C_IMG_FORMAT_BC2_UNORM                           171
#define     V_008F0C_IMG_FORMAT_BC2_SRGB                            172
#define     V_008F0C_IMG_FORMAT_BC3_UNORM                           173
#define     V_008F0C_IMG_FORMAT_BC3_SRGB                            174
#define     V_008F0C_IMG_FORMAT_BC4_UNORM                           175
#define     V_008F0C_IMG_FORMAT_BC4_SNORM                           176
#define     V_008F0C_IMG_FORMAT_BC5_UNORM                           177
#define     V_008F0C_IMG_FORMAT_BC5_SNORM                           178
#define     V_008F0C_IMG_FORMAT_BC6_UFLOAT                          179
#define     V_008F0C_IMG_FORMAT_BC6_SFLOAT                          180
#define     V_008F0C_IMG_FORMAT_BC7_UNORM                           181
#define     V_008F0C_IMG_FORMAT_BC7_SRGB                            182
#define     V_008F0C_IMG_FORMAT_MM_8_UNORM                          265
#define     V_008F0C_IMG_FORMAT_MM_8_UINT                           266
#define     V_008F0C_IMG_FORMAT_MM_8_8_UNORM                        267
#define     V_008F0C_IMG_FORMAT_MM_8_8_UINT                         268
#define     V_008F0C_IMG_FORMAT_MM_8_8_8_8_UNORM                    269
#define     V_008F0C_IMG_FORMAT_MM_8_8_8_8_UINT                     270
#define     V_008F0C_IMG_FORMAT_MM_VYUY8_UNORM                      271
#define     V_008F0C_IMG_FORMAT_MM_VYUY8_UINT                       272
#define     V_008F0C_IMG_FORMAT_MM_10_11_11_UNORM                   273
#define     V_008F0C_IMG_FORMAT_MM_10_11_11_UINT                    274
#define     V_008F0C_IMG_FORMAT_MM_2_10_10_10_UNORM                 275
#define     V_008F0C_IMG_FORMAT_MM_2_10_10_10_UINT                  276
#define     V_008F0C_IMG_FORMAT_MM_16_16_16_16_UNORM                277
#define     V_008F0C_IMG_FORMAT_MM_16_16_16_16_UINT                 278
#define     V_008F0C_IMG_FORMAT_MM_10_IN_16_UNORM                   279
#define     V_008F0C_IMG_FORMAT_MM_10_IN_16_UINT                    280
#define     V_008F0C_IMG_FORMAT_MM_10_IN_16_16_UNORM                281
#define     V_008F0C_IMG_FORMAT_MM_10_IN_16_16_UINT                 282
#define     V_008F0C_IMG_FORMAT_MM_10_IN_16_16_16_16_UNORM          283
#define     V_008F0C_IMG_FORMAT_MM_10_IN_16_16_16_16_UINT           284
#define     V_008F0C_IMG_FORMAT_7E3_FLOAT                           285
#define     V_008F0C_IMG_FORMAT_YCBCR_UNORM                         286
#define     V_008F0C_IMG_FORMAT_YCBCR_SNORM                         287
#define     V_008F0C_IMG_FORMAT_YCBCR_USCALED                       288
#define     V_008F0C_IMG_FORMAT_YCBCR_SSCALED                       289
#define     V_008F0C_IMG_FORMAT_YCBCR_UINT                          290
#define     V_008F0C_IMG_FORMAT_YCBCR_SINT                          291
#define     V_008F0C_IMG_FORMAT_YCBCR_SRGB                          292
#define   S_008F0C_NUM_FORMAT(x)                                      (((unsigned)(x) & 0x7) << 12) /* <= gfx9 */
#define   G_008F0C_NUM_FORMAT(x)                                      (((x) >> 12) & 0x7)
#define   C_008F0C_NUM_FORMAT                                         0xFFFF8FFF
#define     V_008F0C_BUF_NUM_FORMAT_UNORM                           0
#define     V_008F0C_BUF_NUM_FORMAT_SNORM                           1
#define     V_008F0C_BUF_NUM_FORMAT_USCALED                         2
#define     V_008F0C_BUF_NUM_FORMAT_SSCALED                         3
#define     V_008F0C_BUF_NUM_FORMAT_UINT                            4
#define     V_008F0C_BUF_NUM_FORMAT_SINT                            5
#define     V_008F0C_BUF_NUM_FORMAT_SNORM_OGL                       6
#define     V_008F0C_BUF_NUM_FORMAT_FLOAT                           7
#define   S_008F0C_DATA_FORMAT(x)                                     (((unsigned)(x) & 0xF) << 15) /* <= gfx9 */
#define   G_008F0C_DATA_FORMAT(x)                                     (((x) >> 15) & 0xF)
#define   C_008F0C_DATA_FORMAT                                        0xFFF87FFF
#define     V_008F0C_BUF_DATA_FORMAT_INVALID                        0
#define     V_008F0C_BUF_DATA_FORMAT_8                              1
#define     V_008F0C_BUF_DATA_FORMAT_16                             2
#define     V_008F0C_BUF_DATA_FORMAT_8_8                            3
#define     V_008F0C_BUF_DATA_FORMAT_32                             4
#define     V_008F0C_BUF_DATA_FORMAT_16_16                          5
#define     V_008F0C_BUF_DATA_FORMAT_10_11_11                       6
#define     V_008F0C_BUF_DATA_FORMAT_11_11_10                       7
#define     V_008F0C_BUF_DATA_FORMAT_10_10_10_2                     8
#define     V_008F0C_BUF_DATA_FORMAT_2_10_10_10                     9
#define     V_008F0C_BUF_DATA_FORMAT_8_8_8_8                        10
#define     V_008F0C_BUF_DATA_FORMAT_32_32                          11
#define     V_008F0C_BUF_DATA_FORMAT_16_16_16_16                    12
#define     V_008F0C_BUF_DATA_FORMAT_32_32_32                       13
#define     V_008F0C_BUF_DATA_FORMAT_32_32_32_32                    14
#define     V_008F0C_BUF_DATA_FORMAT_RESERVED_15                    15
#define   S_008F0C_ELEMENT_SIZE(x)                                    (((unsigned)(x) & 0x3) << 19) /* <= stoney */
#define   G_008F0C_ELEMENT_SIZE(x)                                    (((x) >> 19) & 0x3)
#define   C_008F0C_ELEMENT_SIZE                                       0xFFE7FFFF
#define   S_008F0C_USER_VM_ENABLE(x)                                  (((unsigned)(x) & 0x1) << 19) /* gfx9 */
#define   G_008F0C_USER_VM_ENABLE(x)                                  (((x) >> 19) & 0x1)
#define   C_008F0C_USER_VM_ENABLE                                     0xFFF7FFFF
#define   S_008F0C_USER_VM_MODE(x)                                    (((unsigned)(x) & 0x1) << 20) /* gfx9 */
#define   G_008F0C_USER_VM_MODE(x)                                    (((x) >> 20) & 0x1)
#define   C_008F0C_USER_VM_MODE                                       0xFFEFFFFF
#define   S_008F0C_INDEX_STRIDE(x)                                    (((unsigned)(x) & 0x3) << 21)
#define   G_008F0C_INDEX_STRIDE(x)                                    (((x) >> 21) & 0x3)
#define   C_008F0C_INDEX_STRIDE                                       0xFF9FFFFF
#define   S_008F0C_ADD_TID_ENABLE(x)                                  (((unsigned)(x) & 0x1) << 23)
#define   G_008F0C_ADD_TID_ENABLE(x)                                  (((x) >> 23) & 0x1)
#define   C_008F0C_ADD_TID_ENABLE                                     0xFF7FFFFF
#define   S_008F0C_ATC(x)                                             (((unsigned)(x) & 0x1) << 24) /* gfx7, gfx8, fiji, stoney */
#define   G_008F0C_ATC(x)                                             (((x) >> 24) & 0x1)
#define   C_008F0C_ATC                                                0xFEFFFFFF
#define   S_008F0C_RESOURCE_LEVEL(x)                                  (((unsigned)(x) & 0x1) << 24) /* >= gfx10 */
#define   G_008F0C_RESOURCE_LEVEL(x)                                  (((x) >> 24) & 0x1)
#define   C_008F0C_RESOURCE_LEVEL                                     0xFEFFFFFF
#define   S_008F0C_HASH_ENABLE(x)                                     (((unsigned)(x) & 0x1) << 25) /* <= stoney */
#define   G_008F0C_HASH_ENABLE(x)                                     (((x) >> 25) & 0x1)
#define   C_008F0C_HASH_ENABLE                                        0xFDFFFFFF
#define   S_008F0C_HEAP(x)                                            (((unsigned)(x) & 0x1) << 26) /* <= stoney */
#define   G_008F0C_HEAP(x)                                            (((x) >> 26) & 0x1)
#define   C_008F0C_HEAP                                               0xFBFFFFFF
#define   S_008F0C_MTYPE(x)                                           (((unsigned)(x) & 0x7) << 27) /* gfx7, gfx8, fiji, stoney */
#define   G_008F0C_MTYPE(x)                                           (((x) >> 27) & 0x7)
#define   C_008F0C_MTYPE                                              0xC7FFFFFF
#define   S_008F0C_NV(x)                                              (((unsigned)(x) & 0x1) << 27) /* gfx9 */
#define   G_008F0C_NV(x)                                              (((x) >> 27) & 0x1)
#define   C_008F0C_NV                                                 0xF7FFFFFF
#define   S_008F0C_OOB_SELECT(x)                                      (((unsigned)(x) & 0x3) << 28) /* >= gfx10 */
#define   G_008F0C_OOB_SELECT(x)                                      (((x) >> 28) & 0x3)
#define   C_008F0C_OOB_SELECT                                         0xCFFFFFFF
#define     V_008F0C_OOB_SELECT_STRUCTURED_WITH_OFFSET              0
#define     V_008F0C_OOB_SELECT_STRUCTURED                          1
#define     V_008F0C_OOB_SELECT_DISABLED                            2
#define     V_008F0C_OOB_SELECT_RAW                                 3
#define   S_008F0C_TYPE(x)                                            (((unsigned)(x) & 0x3) << 30)
#define   G_008F0C_TYPE(x)                                            (((x) >> 30) & 0x3)
#define   C_008F0C_TYPE                                               0x3FFFFFFF
#define     V_008F0C_SQ_RSRC_BUF                                    0 /* <= gfx9 */
#define     V_008F0C_SQ_RSRC_BUF_RSVD_1                             1 /* <= gfx9 */
#define     V_008F0C_SQ_RSRC_BUF_RSVD_2                             2 /* <= gfx9 */
#define     V_008F0C_SQ_RSRC_BUF_RSVD_3                             3 /* <= gfx9 */
#define R_008F10_SQ_IMG_RSRC_WORD0                                      0x008F10 /* <= gfx9 */
#define R_008F14_SQ_IMG_RSRC_WORD1                                      0x008F14 /* <= gfx9 */
#define   S_008F14_BASE_ADDRESS_HI(x)                                 (((unsigned)(x) & 0xFF) << 0)
#define   G_008F14_BASE_ADDRESS_HI(x)                                 (((x) >> 0) & 0xFF)
#define   C_008F14_BASE_ADDRESS_HI                                    0xFFFFFF00
#define   S_008F14_MIN_LOD(x)                                         (((unsigned)(x) & 0xFFF) << 8)
#define   G_008F14_MIN_LOD(x)                                         (((x) >> 8) & 0xFFF)
#define   C_008F14_MIN_LOD                                            0xFFF000FF
#define   S_008F14_DATA_FORMAT(x)                                     (((unsigned)(x) & 0x3F) << 20)
#define   G_008F14_DATA_FORMAT(x)                                     (((x) >> 20) & 0x3F)
#define   C_008F14_DATA_FORMAT                                        0xFC0FFFFF
#define     V_008F14_IMG_DATA_FORMAT_INVALID                        0
#define     V_008F14_IMG_DATA_FORMAT_8                              1
#define     V_008F14_IMG_DATA_FORMAT_16                             2
#define     V_008F14_IMG_DATA_FORMAT_8_8                            3
#define     V_008F14_IMG_DATA_FORMAT_32                             4
#define     V_008F14_IMG_DATA_FORMAT_16_16                          5
#define     V_008F14_IMG_DATA_FORMAT_10_11_11                       6
#define     V_008F14_IMG_DATA_FORMAT_11_11_10                       7
#define     V_008F14_IMG_DATA_FORMAT_10_10_10_2                     8
#define     V_008F14_IMG_DATA_FORMAT_2_10_10_10                     9
#define     V_008F14_IMG_DATA_FORMAT_8_8_8_8                        10
#define     V_008F14_IMG_DATA_FORMAT_32_32                          11
#define     V_008F14_IMG_DATA_FORMAT_16_16_16_16                    12
#define     V_008F14_IMG_DATA_FORMAT_32_32_32                       13
#define     V_008F14_IMG_DATA_FORMAT_32_32_32_32                    14
#define     V_008F14_IMG_DATA_FORMAT_RESERVED_15                    15
#define     V_008F14_IMG_DATA_FORMAT_5_6_5                          16
#define     V_008F14_IMG_DATA_FORMAT_1_5_5_5                        17
#define     V_008F14_IMG_DATA_FORMAT_5_5_5_1                        18
#define     V_008F14_IMG_DATA_FORMAT_4_4_4_4                        19
#define     V_008F14_IMG_DATA_FORMAT_8_24                           20
#define     V_008F14_IMG_DATA_FORMAT_24_8                           21
#define     V_008F14_IMG_DATA_FORMAT_X24_8_32                       22
#define     V_008F14_IMG_DATA_FORMAT_8_AS_8_8_8_8                   23 /* stoney, gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_ETC2_RGB                       24 /* stoney, gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_ETC2_RGBA                      25 /* stoney, gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_ETC2_R                         26 /* stoney, gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_ETC2_RG                        27 /* stoney, gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_ETC2_RGBA1                     28 /* stoney, gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_RESERVED_29                    29
#define     V_008F14_IMG_DATA_FORMAT_RESERVED_30                    30
#define     V_008F14_IMG_DATA_FORMAT_6E4                            31 /* gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_RESERVED_31                    31 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_GB_GR                          32
#define     V_008F14_IMG_DATA_FORMAT_BG_RG                          33
#define     V_008F14_IMG_DATA_FORMAT_5_9_9_9                        34
#define     V_008F14_IMG_DATA_FORMAT_BC1                            35
#define     V_008F14_IMG_DATA_FORMAT_BC2                            36
#define     V_008F14_IMG_DATA_FORMAT_BC3                            37
#define     V_008F14_IMG_DATA_FORMAT_BC4                            38
#define     V_008F14_IMG_DATA_FORMAT_BC5                            39
#define     V_008F14_IMG_DATA_FORMAT_BC6                            40
#define     V_008F14_IMG_DATA_FORMAT_BC7                            41
#define     V_008F14_IMG_DATA_FORMAT_16_AS_16_16_16_16_GFX8         42 /* stoney */
#define     V_008F14_IMG_DATA_FORMAT_16_AS_32_32                    42 /* gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_16_AS_16_16_16_16_GFX9         43 /* gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_16_AS_32_32_32_32_GFX8         43 /* stoney */
#define     V_008F14_IMG_DATA_FORMAT_16_AS_32_32_32_32_GFX9         44 /* gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_FMASK8_S2_F1                   44 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_FMASK                          45 /* gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_FMASK8_S4_F1                   45 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_FMASK8_S8_F1                   46 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_FMASK8_S2_F2                   47 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_FMASK8_S4_F2                   48 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_FMASK8_S4_F4                   49 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_FMASK16_S16_F1                 50 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_FMASK16_S8_F2                  51 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_FMASK32_S16_F2                 52 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_N_IN_16                        52 /* gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_FMASK32_S8_F4                  53 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_N_IN_16_16                     53 /* gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_FMASK32_S8_F8                  54 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_N_IN_16_16_16_16               54 /* gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_FMASK64_S16_F4                 55 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_N_IN_16_AS_16_16_16_16         55 /* gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_FMASK64_S16_F8                 56 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_RESERVED_56                    56 /* gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_4_4                            57
#define     V_008F14_IMG_DATA_FORMAT_6_5_5                          58
#define     V_008F14_IMG_DATA_FORMAT_1                              59 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_S8_16                          59 /* gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_1_REVERSED                     60 /* <= stoney */
#define     V_008F14_IMG_DATA_FORMAT_S8_32                          60 /* gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_32_AS_8                        61 /* <= fiji */
#define     V_008F14_IMG_DATA_FORMAT_8_AS_32                        61 /* gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_32_AS_8_8                      62 /* <= fiji */
#define     V_008F14_IMG_DATA_FORMAT_8_AS_32_32                     62 /* gfx9 */
#define     V_008F14_IMG_DATA_FORMAT_32_AS_32_32_32_32              63
#define   S_008F14_NUM_FORMAT(x)                                      (((unsigned)(x) & 0xF) << 26)
#define   G_008F14_NUM_FORMAT(x)                                      (((x) >> 26) & 0xF)
#define   C_008F14_NUM_FORMAT                                         0xC3FFFFFF
#define     V_008F14_IMG_NUM_FORMAT_UNORM                           0
#define     V_008F14_IMG_NUM_FORMAT_SNORM                           1
#define     V_008F14_IMG_NUM_FORMAT_USCALED                         2
#define     V_008F14_IMG_NUM_FORMAT_SSCALED                         3
#define     V_008F14_IMG_NUM_FORMAT_UINT                            4
#define     V_008F14_IMG_NUM_FORMAT_SINT                            5
#define     V_008F14_IMG_NUM_FORMAT_RESERVED_6                      6 /* gfx9 */
#define     V_008F14_IMG_NUM_FORMAT_SNORM_OGL                       6 /* <= stoney */
#define     V_008F14_IMG_NUM_FORMAT_FLOAT                           7
#define     V_008F14_IMG_NUM_FORMAT_METADATA                        8 /* gfx9 */
#define     V_008F14_IMG_NUM_FORMAT_RESERVED_8                      8 /* <= stoney */
#define     V_008F14_IMG_NUM_FORMAT_SRGB                            9
#define     V_008F14_IMG_NUM_FORMAT_UBNORM                          10 /* <= gfx7 */
#define     V_008F14_IMG_NUM_FORMAT_UNORM_UINT                      10 /* gfx9 */
#define     V_008F14_IMG_NUM_FORMAT_UBNORM_OGL                      11 /* <= gfx7 */
#define     V_008F14_IMG_NUM_FORMAT_UBINT                           12 /* <= gfx7 */
#define     V_008F14_IMG_NUM_FORMAT_UBSCALED                        13 /* <= gfx7 */
#define     V_008F14_IMG_NUM_FORMAT_RESERVED_14                     14 /* <= stoney */
#define     V_008F14_IMG_NUM_FORMAT_RESERVED_15                     15 /* <= stoney */
#define   S_008F14_NUM_FORMAT_ASTC_2D(x)                              (((unsigned)(x) & 0xF) << 26) /* gfx9 */
#define   G_008F14_NUM_FORMAT_ASTC_2D(x)                              (((x) >> 26) & 0xF)
#define   C_008F14_NUM_FORMAT_ASTC_2D                                 0xC3FFFFFF
#define     V_008F14_IMG_ASTC_2D_4x4                                0
#define     V_008F14_IMG_ASTC_2D_5x4                                1
#define     V_008F14_IMG_ASTC_2D_5x5                                2
#define     V_008F14_IMG_ASTC_2D_6x5                                3
#define     V_008F14_IMG_ASTC_2D_6x6                                4
#define     V_008F14_IMG_ASTC_2D_8x5                                5
#define     V_008F14_IMG_ASTC_2D_8x6                                6
#define     V_008F14_IMG_ASTC_2D_8x8                                7
#define     V_008F14_IMG_ASTC_2D_10x5                               8
#define     V_008F14_IMG_ASTC_2D_10x6                               9
#define     V_008F14_IMG_ASTC_2D_10x8                               10
#define     V_008F14_IMG_ASTC_2D_10x10                              11
#define     V_008F14_IMG_ASTC_2D_12x10                              12
#define     V_008F14_IMG_ASTC_2D_12x12                              13
#define   S_008F14_NUM_FORMAT_ASTC_3D(x)                              (((unsigned)(x) & 0xF) << 26) /* gfx9 */
#define   G_008F14_NUM_FORMAT_ASTC_3D(x)                              (((x) >> 26) & 0xF)
#define   C_008F14_NUM_FORMAT_ASTC_3D                                 0xC3FFFFFF
#define     V_008F14_IMG_ASTC_3D_3x3x3                              0
#define     V_008F14_IMG_ASTC_3D_4x3x3                              1
#define     V_008F14_IMG_ASTC_3D_4x4x3                              2
#define     V_008F14_IMG_ASTC_3D_4x4x4                              3
#define     V_008F14_IMG_ASTC_3D_5x4x4                              4
#define     V_008F14_IMG_ASTC_3D_5x5x4                              5
#define     V_008F14_IMG_ASTC_3D_5x5x5                              6
#define     V_008F14_IMG_ASTC_3D_6x5x5                              7
#define     V_008F14_IMG_ASTC_3D_6x6x5                              8
#define     V_008F14_IMG_ASTC_3D_6x6x6                              9
#define   S_008F14_NUM_FORMAT_FMASK(x)                                (((unsigned)(x) & 0xF) << 26) /* gfx9 */
#define   G_008F14_NUM_FORMAT_FMASK(x)                                (((x) >> 26) & 0xF)
#define   C_008F14_NUM_FORMAT_FMASK                                   0xC3FFFFFF
#define     V_008F14_IMG_FMASK_8_2_1                                0
#define     V_008F14_IMG_FMASK_8_4_1                                1
#define     V_008F14_IMG_FMASK_8_8_1                                2
#define     V_008F14_IMG_FMASK_8_2_2                                3
#define     V_008F14_IMG_FMASK_8_4_2                                4
#define     V_008F14_IMG_FMASK_8_4_4                                5
#define     V_008F14_IMG_FMASK_16_16_1                              6
#define     V_008F14_IMG_FMASK_16_8_2                               7
#define     V_008F14_IMG_FMASK_32_16_2                              8
#define     V_008F14_IMG_FMASK_32_8_4                               9
#define     V_008F14_IMG_FMASK_32_8_8                               10
#define     V_008F14_IMG_FMASK_64_16_4                              11
#define     V_008F14_IMG_FMASK_64_16_8                              12
#define   S_008F14_MTYPE(x)                                           (((unsigned)(x) & 0x3) << 30) /* gfx7, gfx8, fiji, stoney */
#define   G_008F14_MTYPE(x)                                           (((x) >> 30) & 0x3)
#define   C_008F14_MTYPE                                              0x3FFFFFFF
#define   S_008F14_NV(x)                                              (((unsigned)(x) & 0x1) << 30) /* gfx9 */
#define   G_008F14_NV(x)                                              (((x) >> 30) & 0x1)
#define   C_008F14_NV                                                 0xBFFFFFFF
#define   S_008F14_META_DIRECT(x)                                     (((unsigned)(x) & 0x1) << 31) /* gfx9 */
#define   G_008F14_META_DIRECT(x)                                     (((x) >> 31) & 0x1)
#define   C_008F14_META_DIRECT                                        0x7FFFFFFF
#define R_008F18_SQ_IMG_RSRC_WORD2                                      0x008F18 /* <= gfx9 */
#define   S_008F18_WIDTH(x)                                           (((unsigned)(x) & 0x3FFF) << 0)
#define   G_008F18_WIDTH(x)                                           (((x) >> 0) & 0x3FFF)
#define   C_008F18_WIDTH                                              0xFFFFC000
#define   S_008F18_HEIGHT(x)                                          (((unsigned)(x) & 0x3FFF) << 14)
#define   G_008F18_HEIGHT(x)                                          (((x) >> 14) & 0x3FFF)
#define   C_008F18_HEIGHT                                             0xF0003FFF
#define   S_008F18_PERF_MOD(x)                                        (((unsigned)(x) & 0x7) << 28)
#define   G_008F18_PERF_MOD(x)                                        (((x) >> 28) & 0x7)
#define   C_008F18_PERF_MOD                                           0x8FFFFFFF
#define   S_008F18_INTERLACED(x)                                      (((unsigned)(x) & 0x1) << 31) /* <= stoney */
#define   G_008F18_INTERLACED(x)                                      (((x) >> 31) & 0x1)
#define   C_008F18_INTERLACED                                         0x7FFFFFFF
#define R_008F1C_SQ_IMG_RSRC_WORD3                                      0x008F1C /* <= gfx9 */
#define   S_008F1C_DST_SEL_X(x)                                       (((unsigned)(x) & 0x7) << 0)
#define   G_008F1C_DST_SEL_X(x)                                       (((x) >> 0) & 0x7)
#define   C_008F1C_DST_SEL_X                                          0xFFFFFFF8
#define     V_008F1C_SQ_SEL_0                                       0
#define     V_008F1C_SQ_SEL_1                                       1
#define     V_008F1C_SQ_SEL_RESERVED_0                              2
#define     V_008F1C_SQ_SEL_RESERVED_1                              3
#define     V_008F1C_SQ_SEL_X                                       4
#define     V_008F1C_SQ_SEL_Y                                       5
#define     V_008F1C_SQ_SEL_Z                                       6
#define     V_008F1C_SQ_SEL_W                                       7
#define   S_008F1C_DST_SEL_Y(x)                                       (((unsigned)(x) & 0x7) << 3)
#define   G_008F1C_DST_SEL_Y(x)                                       (((x) >> 3) & 0x7)
#define   C_008F1C_DST_SEL_Y                                          0xFFFFFFC7
#define   S_008F1C_DST_SEL_Z(x)                                       (((unsigned)(x) & 0x7) << 6)
#define   G_008F1C_DST_SEL_Z(x)                                       (((x) >> 6) & 0x7)
#define   C_008F1C_DST_SEL_Z                                          0xFFFFFE3F
#define   S_008F1C_DST_SEL_W(x)                                       (((unsigned)(x) & 0x7) << 9)
#define   G_008F1C_DST_SEL_W(x)                                       (((x) >> 9) & 0x7)
#define   C_008F1C_DST_SEL_W                                          0xFFFFF1FF
#define   S_008F1C_BASE_LEVEL(x)                                      (((unsigned)(x) & 0xF) << 12)
#define   G_008F1C_BASE_LEVEL(x)                                      (((x) >> 12) & 0xF)
#define   C_008F1C_BASE_LEVEL                                         0xFFFF0FFF
#define   S_008F1C_LAST_LEVEL(x)                                      (((unsigned)(x) & 0xF) << 16)
#define   G_008F1C_LAST_LEVEL(x)                                      (((x) >> 16) & 0xF)
#define   C_008F1C_LAST_LEVEL                                         0xFFF0FFFF
#define   S_008F1C_SW_MODE(x)                                         (((unsigned)(x) & 0x1F) << 20) /* gfx9 */
#define   G_008F1C_SW_MODE(x)                                         (((x) >> 20) & 0x1F)
#define   C_008F1C_SW_MODE                                            0xFE0FFFFF
#define   S_008F1C_TILING_INDEX(x)                                    (((unsigned)(x) & 0x1F) << 20) /* <= stoney */
#define   G_008F1C_TILING_INDEX(x)                                    (((x) >> 20) & 0x1F)
#define   C_008F1C_TILING_INDEX                                       0xFE0FFFFF
#define   S_008F1C_POW2_PAD(x)                                        (((unsigned)(x) & 0x1) << 25) /* <= stoney */
#define   G_008F1C_POW2_PAD(x)                                        (((x) >> 25) & 0x1)
#define   C_008F1C_POW2_PAD                                           0xFDFFFFFF
#define   S_008F1C_MTYPE(x)                                           (((unsigned)(x) & 0x1) << 26) /* gfx7, gfx8, fiji, stoney */
#define   G_008F1C_MTYPE(x)                                           (((x) >> 26) & 0x1)
#define   C_008F1C_MTYPE                                              0xFBFFFFFF
#define   S_008F1C_ATC(x)                                             (((unsigned)(x) & 0x1) << 27) /* gfx7, gfx8, fiji, stoney */
#define   G_008F1C_ATC(x)                                             (((x) >> 27) & 0x1)
#define   C_008F1C_ATC                                                0xF7FFFFFF
#define   S_008F1C_TYPE(x)                                            (((unsigned)(x) & 0xF) << 28)
#define   G_008F1C_TYPE(x)                                            (((x) >> 28) & 0xF)
#define   C_008F1C_TYPE                                               0x0FFFFFFF
#define     V_008F1C_SQ_RSRC_IMG_RSVD_0                             0
#define     V_008F1C_SQ_RSRC_IMG_RSVD_1                             1
#define     V_008F1C_SQ_RSRC_IMG_RSVD_2                             2
#define     V_008F1C_SQ_RSRC_IMG_RSVD_3                             3
#define     V_008F1C_SQ_RSRC_IMG_RSVD_4                             4
#define     V_008F1C_SQ_RSRC_IMG_RSVD_5                             5
#define     V_008F1C_SQ_RSRC_IMG_RSVD_6                             6
#define     V_008F1C_SQ_RSRC_IMG_RSVD_7                             7
#define     V_008F1C_SQ_RSRC_IMG_1D                                 8
#define     V_008F1C_SQ_RSRC_IMG_2D                                 9
#define     V_008F1C_SQ_RSRC_IMG_3D                                 10
#define     V_008F1C_SQ_RSRC_IMG_CUBE                               11
#define     V_008F1C_SQ_RSRC_IMG_1D_ARRAY                           12
#define     V_008F1C_SQ_RSRC_IMG_2D_ARRAY                           13
#define     V_008F1C_SQ_RSRC_IMG_2D_MSAA                            14
#define     V_008F1C_SQ_RSRC_IMG_2D_MSAA_ARRAY                      15
#define R_008F20_SQ_IMG_RSRC_WORD4                                      0x008F20 /* <= gfx9 */
#define   S_008F20_DEPTH(x)                                           (((unsigned)(x) & 0x1FFF) << 0)
#define   G_008F20_DEPTH(x)                                           (((x) >> 0) & 0x1FFF)
#define   C_008F20_DEPTH                                              0xFFFFE000
#define   S_008F20_PITCH(x)                                           (((unsigned)(x) & 0xFFFF) << 13)
#define   G_008F20_PITCH(x)                                           (((x) >> 13) & 0xFFFF)
#define   C_008F20_PITCH                                              0xE0001FFF
#define   S_008F20_BC_SWIZZLE(x)                                      (((unsigned)(x) & 0x7) << 29) /* gfx9 */
#define   G_008F20_BC_SWIZZLE(x)                                      (((x) >> 29) & 0x7)
#define   C_008F20_BC_SWIZZLE                                         0x1FFFFFFF
#define     V_008F20_BC_SWIZZLE_XYZW                                0
#define     V_008F20_BC_SWIZZLE_XWYZ                                1
#define     V_008F20_BC_SWIZZLE_WZYX                                2
#define     V_008F20_BC_SWIZZLE_WXYZ                                3
#define     V_008F20_BC_SWIZZLE_ZYXW                                4
#define     V_008F20_BC_SWIZZLE_YXWZ                                5
#define R_008F24_SQ_IMG_RSRC_WORD5                                      0x008F24 /* <= gfx9 */
#define   S_008F24_BASE_ARRAY(x)                                      (((unsigned)(x) & 0x1FFF) << 0)
#define   G_008F24_BASE_ARRAY(x)                                      (((x) >> 0) & 0x1FFF)
#define   C_008F24_BASE_ARRAY                                         0xFFFFE000
#define   S_008F24_ARRAY_PITCH(x)                                     (((unsigned)(x) & 0xF) << 13) /* gfx9 */
#define   G_008F24_ARRAY_PITCH(x)                                     (((x) >> 13) & 0xF)
#define   C_008F24_ARRAY_PITCH                                        0xFFFE1FFF
#define   S_008F24_LAST_ARRAY(x)                                      (((unsigned)(x) & 0x1FFF) << 13) /* <= stoney */
#define   G_008F24_LAST_ARRAY(x)                                      (((x) >> 13) & 0x1FFF)
#define   C_008F24_LAST_ARRAY                                         0xFC001FFF
#define   S_008F24_META_DATA_ADDRESS(x)                               (((unsigned)(x) & 0xFF) << 17) /* gfx9 */
#define   G_008F24_META_DATA_ADDRESS(x)                               (((x) >> 17) & 0xFF)
#define   C_008F24_META_DATA_ADDRESS                                  0xFE01FFFF
#define   S_008F24_META_LINEAR(x)                                     (((unsigned)(x) & 0x1) << 25) /* gfx9 */
#define   G_008F24_META_LINEAR(x)                                     (((x) >> 25) & 0x1)
#define   C_008F24_META_LINEAR                                        0xFDFFFFFF
#define   S_008F24_META_PIPE_ALIGNED(x)                               (((unsigned)(x) & 0x1) << 26) /* gfx9 */
#define   G_008F24_META_PIPE_ALIGNED(x)                               (((x) >> 26) & 0x1)
#define   C_008F24_META_PIPE_ALIGNED                                  0xFBFFFFFF
#define   S_008F24_META_RB_ALIGNED(x)                                 (((unsigned)(x) & 0x1) << 27) /* gfx9 */
#define   G_008F24_META_RB_ALIGNED(x)                                 (((x) >> 27) & 0x1)
#define   C_008F24_META_RB_ALIGNED                                    0xF7FFFFFF
#define   S_008F24_MAX_MIP(x)                                         (((unsigned)(x) & 0xF) << 28) /* gfx9 */
#define   G_008F24_MAX_MIP(x)                                         (((x) >> 28) & 0xF)
#define   C_008F24_MAX_MIP                                            0x0FFFFFFF
#define R_008F28_SQ_IMG_RSRC_WORD6                                      0x008F28 /* <= gfx9 */
#define   S_008F28_MIN_LOD_WARN(x)                                    (((unsigned)(x) & 0xFFF) << 0)
#define   G_008F28_MIN_LOD_WARN(x)                                    (((x) >> 0) & 0xFFF)
#define   C_008F28_MIN_LOD_WARN                                       0xFFFFF000
#define   S_008F28_COUNTER_BANK_ID(x)                                 (((unsigned)(x) & 0xFF) << 12) /* gfx7, gfx8, fiji, stoney, gfx9 */
#define   G_008F28_COUNTER_BANK_ID(x)                                 (((x) >> 12) & 0xFF)
#define   C_008F28_COUNTER_BANK_ID                                    0xFFF00FFF
#define   S_008F28_LOD_HDW_CNT_EN(x)                                  (((unsigned)(x) & 0x1) << 20) /* gfx7, gfx8, fiji, stoney, gfx9 */
#define   G_008F28_LOD_HDW_CNT_EN(x)                                  (((x) >> 20) & 0x1)
#define   C_008F28_LOD_HDW_CNT_EN                                     0xFFEFFFFF
#define   S_008F28_COMPRESSION_EN(x)                                  (((unsigned)(x) & 0x1) << 21) /* gfx8, fiji, stoney, gfx9 */
#define   G_008F28_COMPRESSION_EN(x)                                  (((x) >> 21) & 0x1)
#define   C_008F28_COMPRESSION_EN                                     0xFFDFFFFF
#define   S_008F28_ALPHA_IS_ON_MSB(x)                                 (((unsigned)(x) & 0x1) << 22) /* gfx8, fiji, stoney, gfx9 */
#define   G_008F28_ALPHA_IS_ON_MSB(x)                                 (((x) >> 22) & 0x1)
#define   C_008F28_ALPHA_IS_ON_MSB                                    0xFFBFFFFF
#define   S_008F28_COLOR_TRANSFORM(x)                                 (((unsigned)(x) & 0x1) << 23) /* gfx8, fiji, stoney, gfx9 */
#define   G_008F28_COLOR_TRANSFORM(x)                                 (((x) >> 23) & 0x1)
#define   C_008F28_COLOR_TRANSFORM                                    0xFF7FFFFF
#define   S_008F28_LOST_ALPHA_BITS(x)                                 (((unsigned)(x) & 0xF) << 24) /* gfx8, fiji, stoney, gfx9 */
#define   G_008F28_LOST_ALPHA_BITS(x)                                 (((x) >> 24) & 0xF)
#define   C_008F28_LOST_ALPHA_BITS                                    0xF0FFFFFF
#define   S_008F28_LOST_COLOR_BITS(x)                                 (((unsigned)(x) & 0xF) << 28) /* gfx8, fiji, stoney, gfx9 */
#define   G_008F28_LOST_COLOR_BITS(x)                                 (((x) >> 28) & 0xF)
#define   C_008F28_LOST_COLOR_BITS                                    0x0FFFFFFF
#define R_008F2C_SQ_IMG_RSRC_WORD7                                      0x008F2C /* <= gfx9 */
#define R_008F30_SQ_IMG_SAMP_WORD0                                      0x008F30
#define   S_008F30_CLAMP_X(x)                                         (((unsigned)(x) & 0x7) << 0)
#define   G_008F30_CLAMP_X(x)                                         (((x) >> 0) & 0x7)
#define   C_008F30_CLAMP_X                                            0xFFFFFFF8
#define     V_008F30_SQ_TEX_WRAP                                    0 /* <= gfx9 */
#define     V_008F30_SQ_TEX_MIRROR                                  1 /* <= gfx9 */
#define     V_008F30_SQ_TEX_CLAMP_LAST_TEXEL                        2 /* <= gfx9 */
#define     V_008F30_SQ_TEX_MIRROR_ONCE_LAST_TEXEL                  3 /* <= gfx9 */
#define     V_008F30_SQ_TEX_CLAMP_HALF_BORDER                       4 /* <= gfx9 */
#define     V_008F30_SQ_TEX_MIRROR_ONCE_HALF_BORDER                 5 /* <= gfx9 */
#define     V_008F30_SQ_TEX_CLAMP_BORDER                            6 /* <= gfx9 */
#define     V_008F30_SQ_TEX_MIRROR_ONCE_BORDER                      7 /* <= gfx9 */
#define   S_008F30_CLAMP_Y(x)                                         (((unsigned)(x) & 0x7) << 3)
#define   G_008F30_CLAMP_Y(x)                                         (((x) >> 3) & 0x7)
#define   C_008F30_CLAMP_Y                                            0xFFFFFFC7
#define   S_008F30_CLAMP_Z(x)                                         (((unsigned)(x) & 0x7) << 6)
#define   G_008F30_CLAMP_Z(x)                                         (((x) >> 6) & 0x7)
#define   C_008F30_CLAMP_Z                                            0xFFFFFE3F
#define   S_008F30_MAX_ANISO_RATIO(x)                                 (((unsigned)(x) & 0x7) << 9)
#define   G_008F30_MAX_ANISO_RATIO(x)                                 (((x) >> 9) & 0x7)
#define   C_008F30_MAX_ANISO_RATIO                                    0xFFFFF1FF
#define   S_008F30_DEPTH_COMPARE_FUNC(x)                              (((unsigned)(x) & 0x7) << 12)
#define   G_008F30_DEPTH_COMPARE_FUNC(x)                              (((x) >> 12) & 0x7)
#define   C_008F30_DEPTH_COMPARE_FUNC                                 0xFFFF8FFF
#define     V_008F30_SQ_TEX_DEPTH_COMPARE_NEVER                     0 /* <= gfx9 */
#define     V_008F30_SQ_TEX_DEPTH_COMPARE_LESS                      1 /* <= gfx9 */
#define     V_008F30_SQ_TEX_DEPTH_COMPARE_EQUAL                     2 /* <= gfx9 */
#define     V_008F30_SQ_TEX_DEPTH_COMPARE_LESSEQUAL                 3 /* <= gfx9 */
#define     V_008F30_SQ_TEX_DEPTH_COMPARE_GREATER                   4 /* <= gfx9 */
#define     V_008F30_SQ_TEX_DEPTH_COMPARE_NOTEQUAL                  5 /* <= gfx9 */
#define     V_008F30_SQ_TEX_DEPTH_COMPARE_GREATEREQUAL              6 /* <= gfx9 */
#define     V_008F30_SQ_TEX_DEPTH_COMPARE_ALWAYS                    7 /* <= gfx9 */
#define   S_008F30_FORCE_UNNORMALIZED(x)                              (((unsigned)(x) & 0x1) << 15)
#define   G_008F30_FORCE_UNNORMALIZED(x)                              (((x) >> 15) & 0x1)
#define   C_008F30_FORCE_UNNORMALIZED                                 0xFFFF7FFF
#define   S_008F30_ANISO_THRESHOLD(x)                                 (((unsigned)(x) & 0x7) << 16)
#define   G_008F30_ANISO_THRESHOLD(x)                                 (((x) >> 16) & 0x7)
#define   C_008F30_ANISO_THRESHOLD                                    0xFFF8FFFF
#define   S_008F30_MC_COORD_TRUNC(x)                                  (((unsigned)(x) & 0x1) << 19)
#define   G_008F30_MC_COORD_TRUNC(x)                                  (((x) >> 19) & 0x1)
#define   C_008F30_MC_COORD_TRUNC                                     0xFFF7FFFF
#define   S_008F30_FORCE_DEGAMMA(x)                                   (((unsigned)(x) & 0x1) << 20)
#define   G_008F30_FORCE_DEGAMMA(x)                                   (((x) >> 20) & 0x1)
#define   C_008F30_FORCE_DEGAMMA                                      0xFFEFFFFF
#define   S_008F30_ANISO_BIAS(x)                                      (((unsigned)(x) & 0x3F) << 21)
#define   G_008F30_ANISO_BIAS(x)                                      (((x) >> 21) & 0x3F)
#define   C_008F30_ANISO_BIAS                                         0xF81FFFFF
#define   S_008F30_TRUNC_COORD(x)                                     (((unsigned)(x) & 0x1) << 27)
#define   G_008F30_TRUNC_COORD(x)                                     (((x) >> 27) & 0x1)
#define   C_008F30_TRUNC_COORD                                        0xF7FFFFFF
#define   S_008F30_DISABLE_CUBE_WRAP(x)                               (((unsigned)(x) & 0x1) << 28)
#define   G_008F30_DISABLE_CUBE_WRAP(x)                               (((x) >> 28) & 0x1)
#define   C_008F30_DISABLE_CUBE_WRAP                                  0xEFFFFFFF
#define   S_008F30_FILTER_MODE(x)                                     (((unsigned)(x) & 0x3) << 29)
#define   G_008F30_FILTER_MODE(x)                                     (((x) >> 29) & 0x3)
#define   C_008F30_FILTER_MODE                                        0x9FFFFFFF
#define     V_008F30_SQ_IMG_FILTER_MODE_BLEND                       0 /* <= gfx9 */
#define     V_008F30_SQ_IMG_FILTER_MODE_MIN                         1 /* <= gfx9 */
#define     V_008F30_SQ_IMG_FILTER_MODE_MAX                         2 /* <= gfx9 */
#define   S_008F30_COMPAT_MODE(x)                                     (((unsigned)(x) & 0x1) << 31) /* gfx8, fiji, stoney, gfx9 */
#define   G_008F30_COMPAT_MODE(x)                                     (((x) >> 31) & 0x1)
#define   C_008F30_COMPAT_MODE                                        0x7FFFFFFF
#define   S_008F30_SKIP_DEGAMMA(x)                                    (((unsigned)(x) & 0x1) << 31) /* >= gfx10 */
#define   G_008F30_SKIP_DEGAMMA(x)                                    (((x) >> 31) & 0x1)
#define   C_008F30_SKIP_DEGAMMA                                       0x7FFFFFFF
#define R_008F34_SQ_IMG_SAMP_WORD1                                      0x008F34
#define   S_008F34_MIN_LOD(x)                                         (((unsigned)(x) & 0xFFF) << 0)
#define   G_008F34_MIN_LOD(x)                                         (((x) >> 0) & 0xFFF)
#define   C_008F34_MIN_LOD                                            0xFFFFF000
#define   S_008F34_MAX_LOD(x)                                         (((unsigned)(x) & 0xFFF) << 12)
#define   G_008F34_MAX_LOD(x)                                         (((x) >> 12) & 0xFFF)
#define   C_008F34_MAX_LOD                                            0xFF000FFF
#define   S_008F34_PERF_MIP(x)                                        (((unsigned)(x) & 0xF) << 24)
#define   G_008F34_PERF_MIP(x)                                        (((x) >> 24) & 0xF)
#define   C_008F34_PERF_MIP                                           0xF0FFFFFF
#define   S_008F34_PERF_Z(x)                                          (((unsigned)(x) & 0xF) << 28)
#define   G_008F34_PERF_Z(x)                                          (((x) >> 28) & 0xF)
#define   C_008F34_PERF_Z                                             0x0FFFFFFF
#define R_008F38_SQ_IMG_SAMP_WORD2                                      0x008F38
#define   S_008F38_BORDER_COLOR_PTR(x)                                (((unsigned)(x) & 0xFFF) << 0) /* >= gfx10 */
#define   G_008F38_BORDER_COLOR_PTR(x)                                (((x) >> 0) & 0xFFF)
#define   C_008F38_BORDER_COLOR_PTR                                   0xFFFFF000
#define   S_008F38_LOD_BIAS(x)                                        (((unsigned)(x) & 0x3FFF) << 0)
#define   G_008F38_LOD_BIAS(x)                                        (((x) >> 0) & 0x3FFF)
#define   C_008F38_LOD_BIAS                                           0xFFFFC000
#define   S_008F38_BORDER_COLOR_TYPE(x)                               (((unsigned)(x) & 0x3) << 12) /* >= gfx10 */
#define   G_008F38_BORDER_COLOR_TYPE(x)                               (((x) >> 12) & 0x3)
#define   C_008F38_BORDER_COLOR_TYPE                                  0xFFFFCFFF
#define   S_008F38_LOD_BIAS_SEC(x)                                    (((unsigned)(x) & 0x3F) << 14)
#define   G_008F38_LOD_BIAS_SEC(x)                                    (((x) >> 14) & 0x3F)
#define   C_008F38_LOD_BIAS_SEC                                       0xFFF03FFF
#define   S_008F38_XY_MAG_FILTER(x)                                   (((unsigned)(x) & 0x3) << 20)
#define   G_008F38_XY_MAG_FILTER(x)                                   (((x) >> 20) & 0x3)
#define   C_008F38_XY_MAG_FILTER                                      0xFFCFFFFF
#define     V_008F38_SQ_TEX_XY_FILTER_POINT                         0 /* <= gfx9 */
#define     V_008F38_SQ_TEX_XY_FILTER_BILINEAR                      1 /* <= gfx9 */
#define   S_008F38_XY_MIN_FILTER(x)                                   (((unsigned)(x) & 0x3) << 22)
#define   G_008F38_XY_MIN_FILTER(x)                                   (((x) >> 22) & 0x3)
#define   C_008F38_XY_MIN_FILTER                                      0xFF3FFFFF
#define     V_008F38_SQ_TEX_XY_FILTER_ANISO_POINT                   2 /* <= gfx9 */
#define     V_008F38_SQ_TEX_XY_FILTER_ANISO_BILINEAR                3 /* <= gfx9 */
#define   S_008F38_Z_FILTER(x)                                        (((unsigned)(x) & 0x3) << 24)
#define   G_008F38_Z_FILTER(x)                                        (((x) >> 24) & 0x3)
#define   C_008F38_Z_FILTER                                           0xFCFFFFFF
#define     V_008F38_SQ_TEX_Z_FILTER_NONE                           0 /* <= gfx9 */
#define     V_008F38_SQ_TEX_Z_FILTER_POINT                          1 /* <= gfx9 */
#define     V_008F38_SQ_TEX_Z_FILTER_LINEAR                         2 /* <= gfx9 */
#define   S_008F38_MIP_FILTER(x)                                      (((unsigned)(x) & 0x3) << 26)
#define   G_008F38_MIP_FILTER(x)                                      (((x) >> 26) & 0x3)
#define   C_008F38_MIP_FILTER                                         0xF3FFFFFF
#define   S_008F38_MIP_POINT_PRECLAMP(x)                              (((unsigned)(x) & 0x1) << 28)
#define   G_008F38_MIP_POINT_PRECLAMP(x)                              (((x) >> 28) & 0x1)
#define   C_008F38_MIP_POINT_PRECLAMP                                 0xEFFFFFFF
#define   S_008F38_ANISO_OVERRIDE_GFX10(x)                            (((unsigned)(x) & 0x1) << 29) /* >= gfx10 */
#define   G_008F38_ANISO_OVERRIDE_GFX10(x)                            (((x) >> 29) & 0x1)
#define   C_008F38_ANISO_OVERRIDE_GFX10                               0xDFFFFFFF
#define   S_008F38_BLEND_ZERO_PRT_GFX9(x)                             (((unsigned)(x) & 0x1) << 29) /* gfx9 */
#define   G_008F38_BLEND_ZERO_PRT_GFX9(x)                             (((x) >> 29) & 0x1)
#define   C_008F38_BLEND_ZERO_PRT_GFX9                                0xDFFFFFFF
#define   S_008F38_DISABLE_LSB_CEIL(x)                                (((unsigned)(x) & 0x1) << 29) /* <= stoney */
#define   G_008F38_DISABLE_LSB_CEIL(x)                                (((x) >> 29) & 0x1)
#define   C_008F38_DISABLE_LSB_CEIL                                   0xDFFFFFFF
#define   S_008F38_BLEND_ZERO_PRT_GFX10(x)                            (((unsigned)(x) & 0x1) << 30) /* >= gfx10 */
#define   G_008F38_BLEND_ZERO_PRT_GFX10(x)                            (((x) >> 30) & 0x1)
#define   C_008F38_BLEND_ZERO_PRT_GFX10                               0xBFFFFFFF
#define   S_008F38_FILTER_PREC_FIX(x)                                 (((unsigned)(x) & 0x1) << 30) /* <= gfx9 */
#define   G_008F38_FILTER_PREC_FIX(x)                                 (((x) >> 30) & 0x1)
#define   C_008F38_FILTER_PREC_FIX                                    0xBFFFFFFF
#define   S_008F38_ANISO_OVERRIDE_GFX6(x)                             (((unsigned)(x) & 0x1) << 31) /* <= gfx9 */
#define   G_008F38_ANISO_OVERRIDE_GFX6(x)                             (((x) >> 31) & 0x1)
#define   C_008F38_ANISO_OVERRIDE_GFX6                                0x7FFFFFFF
#define   S_008F38_DERIV_ADJUST_EN(x)                                 (((unsigned)(x) & 0x1) << 31) /* >= gfx10 */
#define   G_008F38_DERIV_ADJUST_EN(x)                                 (((x) >> 31) & 0x1)
#define   C_008F38_DERIV_ADJUST_EN                                    0x7FFFFFFF
#define R_008F3C_SQ_IMG_SAMP_WORD3                                      0x008F3C
#define   S_008F3C_BORDER_COLOR_PTR(x)                                (((unsigned)(x) & 0xFFF) << 0)
#define   G_008F3C_BORDER_COLOR_PTR(x)                                (((x) >> 0) & 0xFFF)
#define   C_008F3C_BORDER_COLOR_PTR                                   0xFFFFF000
#define   S_008F3C_SKIP_DEGAMMA(x)                                    (((unsigned)(x) & 0x1) << 12) /* gfx9 */
#define   G_008F3C_SKIP_DEGAMMA(x)                                    (((x) >> 12) & 0x1)
#define   C_008F3C_SKIP_DEGAMMA                                       0xFFFFEFFF
#define   S_008F3C_UPGRADED_DEPTH(x)                                  (((unsigned)(x) & 0x1) << 29) /* <= stoney */
#define   G_008F3C_UPGRADED_DEPTH(x)                                  (((x) >> 29) & 0x1)
#define   C_008F3C_UPGRADED_DEPTH                                     0xDFFFFFFF
#define   S_008F3C_BORDER_COLOR_TYPE(x)                               (((unsigned)(x) & 0x3) << 30)
#define   G_008F3C_BORDER_COLOR_TYPE(x)                               (((x) >> 30) & 0x3)
#define   C_008F3C_BORDER_COLOR_TYPE                                  0x3FFFFFFF
#define     V_008F3C_SQ_TEX_BORDER_COLOR_TRANS_BLACK                0 /* <= gfx9 */
#define     V_008F3C_SQ_TEX_BORDER_COLOR_OPAQUE_BLACK               1 /* <= gfx9 */
#define     V_008F3C_SQ_TEX_BORDER_COLOR_OPAQUE_WHITE               2 /* <= gfx9 */
#define     V_008F3C_SQ_TEX_BORDER_COLOR_REGISTER                   3 /* <= gfx9 */
#define R_008F40_SQ_FLAT_SCRATCH_WORD0                                  0x008F40 /* gfx7, gfx8, fiji, stoney */
#define   S_008F40_SIZE(x)                                            (((unsigned)(x) & 0x7FFFF) << 0)
#define   G_008F40_SIZE(x)                                            (((x) >> 0) & 0x7FFFF)
#define   C_008F40_SIZE                                               0xFFF80000
#define R_008F44_SQ_FLAT_SCRATCH_WORD1                                  0x008F44 /* gfx7, gfx8, fiji, stoney */
#define   S_008F44_OFFSET(x)                                          (((unsigned)(x) & 0xFFFFFF) << 0)
#define   G_008F44_OFFSET(x)                                          (((x) >> 0) & 0xFFFFFF)
#define   C_008F44_OFFSET                                             0xFF000000
#define R_009050_SX_DEBUG_BUSY                                          0x009050 /* >= gfx10 */
#define   S_009050_POS_FREE_OR_VALIDS(x)                              (((unsigned)(x) & 0x1) << 0)
#define   G_009050_POS_FREE_OR_VALIDS(x)                              (((x) >> 0) & 0x1)
#define   C_009050_POS_FREE_OR_VALIDS                                 0xFFFFFFFE
#define   S_009050_POS_REQUESTER_BUSY(x)                              (((unsigned)(x) & 0x1) << 1)
#define   G_009050_POS_REQUESTER_BUSY(x)                              (((x) >> 1) & 0x1)
#define   C_009050_POS_REQUESTER_BUSY                                 0xFFFFFFFD
#define   S_009050_PA_SX_BUSY(x)                                      (((unsigned)(x) & 0x1) << 2)
#define   G_009050_PA_SX_BUSY(x)                                      (((x) >> 2) & 0x1)
#define   C_009050_PA_SX_BUSY                                         0xFFFFFFFB
#define   S_009050_POS_SCBD_BUSY(x)                                   (((unsigned)(x) & 0x1) << 3)
#define   G_009050_POS_SCBD_BUSY(x)                                   (((x) >> 3) & 0x1)
#define   C_009050_POS_SCBD_BUSY                                      0xFFFFFFF7
#define   S_009050_POS_BANK3VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 4)
#define   G_009050_POS_BANK3VAL3_BUSY(x)                              (((x) >> 4) & 0x1)
#define   C_009050_POS_BANK3VAL3_BUSY                                 0xFFFFFFEF
#define   S_009050_POS_BANK3VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 5)
#define   G_009050_POS_BANK3VAL2_BUSY(x)                              (((x) >> 5) & 0x1)
#define   C_009050_POS_BANK3VAL2_BUSY                                 0xFFFFFFDF
#define   S_009050_POS_BANK3VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 6)
#define   G_009050_POS_BANK3VAL1_BUSY(x)                              (((x) >> 6) & 0x1)
#define   C_009050_POS_BANK3VAL1_BUSY                                 0xFFFFFFBF
#define   S_009050_POS_BANK3VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 7)
#define   G_009050_POS_BANK3VAL0_BUSY(x)                              (((x) >> 7) & 0x1)
#define   C_009050_POS_BANK3VAL0_BUSY                                 0xFFFFFF7F
#define   S_009050_POS_BANK2VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 8)
#define   G_009050_POS_BANK2VAL3_BUSY(x)                              (((x) >> 8) & 0x1)
#define   C_009050_POS_BANK2VAL3_BUSY                                 0xFFFFFEFF
#define   S_009050_POS_BANK2VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 9)
#define   G_009050_POS_BANK2VAL2_BUSY(x)                              (((x) >> 9) & 0x1)
#define   C_009050_POS_BANK2VAL2_BUSY                                 0xFFFFFDFF
#define   S_009050_POS_BANK2VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 10)
#define   G_009050_POS_BANK2VAL1_BUSY(x)                              (((x) >> 10) & 0x1)
#define   C_009050_POS_BANK2VAL1_BUSY                                 0xFFFFFBFF
#define   S_009050_POS_BANK2VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 11)
#define   G_009050_POS_BANK2VAL0_BUSY(x)                              (((x) >> 11) & 0x1)
#define   C_009050_POS_BANK2VAL0_BUSY                                 0xFFFFF7FF
#define   S_009050_POS_BANK1VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 12)
#define   G_009050_POS_BANK1VAL3_BUSY(x)                              (((x) >> 12) & 0x1)
#define   C_009050_POS_BANK1VAL3_BUSY                                 0xFFFFEFFF
#define   S_009050_POS_BANK1VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 13)
#define   G_009050_POS_BANK1VAL2_BUSY(x)                              (((x) >> 13) & 0x1)
#define   C_009050_POS_BANK1VAL2_BUSY                                 0xFFFFDFFF
#define   S_009050_POS_BANK1VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 14)
#define   G_009050_POS_BANK1VAL1_BUSY(x)                              (((x) >> 14) & 0x1)
#define   C_009050_POS_BANK1VAL1_BUSY                                 0xFFFFBFFF
#define   S_009050_POS_BANK1VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 15)
#define   G_009050_POS_BANK1VAL0_BUSY(x)                              (((x) >> 15) & 0x1)
#define   C_009050_POS_BANK1VAL0_BUSY                                 0xFFFF7FFF
#define   S_009050_POS_BANK0VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 16)
#define   G_009050_POS_BANK0VAL3_BUSY(x)                              (((x) >> 16) & 0x1)
#define   C_009050_POS_BANK0VAL3_BUSY                                 0xFFFEFFFF
#define   S_009050_POS_BANK0VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 17)
#define   G_009050_POS_BANK0VAL2_BUSY(x)                              (((x) >> 17) & 0x1)
#define   C_009050_POS_BANK0VAL2_BUSY                                 0xFFFDFFFF
#define   S_009050_POS_BANK0VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 18)
#define   G_009050_POS_BANK0VAL1_BUSY(x)                              (((x) >> 18) & 0x1)
#define   C_009050_POS_BANK0VAL1_BUSY                                 0xFFFBFFFF
#define   S_009050_POS_BANK0VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 19)
#define   G_009050_POS_BANK0VAL0_BUSY(x)                              (((x) >> 19) & 0x1)
#define   C_009050_POS_BANK0VAL0_BUSY                                 0xFFF7FFFF
#define   S_009050_COL_WRCTRL1_VALIDQ3(x)                             (((unsigned)(x) & 0x1) << 21)
#define   G_009050_COL_WRCTRL1_VALIDQ3(x)                             (((x) >> 21) & 0x1)
#define   C_009050_COL_WRCTRL1_VALIDQ3                                0xFFDFFFFF
#define   S_009050_COL_WRCTRL1_VALIDQ2(x)                             (((unsigned)(x) & 0x1) << 22)
#define   G_009050_COL_WRCTRL1_VALIDQ2(x)                             (((x) >> 22) & 0x1)
#define   C_009050_COL_WRCTRL1_VALIDQ2                                0xFFBFFFFF
#define   S_009050_COL_WRCTRL1_VALIDQ1(x)                             (((unsigned)(x) & 0x1) << 23)
#define   G_009050_COL_WRCTRL1_VALIDQ1(x)                             (((x) >> 23) & 0x1)
#define   C_009050_COL_WRCTRL1_VALIDQ1                                0xFF7FFFFF
#define   S_009050_COL_WRCTRL0_VALIDQ3(x)                             (((unsigned)(x) & 0x1) << 24)
#define   G_009050_COL_WRCTRL0_VALIDQ3(x)                             (((x) >> 24) & 0x1)
#define   C_009050_COL_WRCTRL0_VALIDQ3                                0xFEFFFFFF
#define   S_009050_COL_WRCTRL0_VALIDQ2(x)                             (((unsigned)(x) & 0x1) << 25)
#define   G_009050_COL_WRCTRL0_VALIDQ2(x)                             (((x) >> 25) & 0x1)
#define   C_009050_COL_WRCTRL0_VALIDQ2                                0xFDFFFFFF
#define   S_009050_COL_WRCTRL0_VALIDQ1(x)                             (((unsigned)(x) & 0x1) << 26)
#define   G_009050_COL_WRCTRL0_VALIDQ1(x)                             (((x) >> 26) & 0x1)
#define   C_009050_COL_WRCTRL0_VALIDQ1                                0xFBFFFFFF
#define   S_009050_PCCMD_VALID(x)                                     (((unsigned)(x) & 0x1) << 27)
#define   G_009050_PCCMD_VALID(x)                                     (((x) >> 27) & 0x1)
#define   C_009050_PCCMD_VALID                                        0xF7FFFFFF
#define   S_009050_VDATA1_VALID(x)                                    (((unsigned)(x) & 0x1) << 28)
#define   G_009050_VDATA1_VALID(x)                                    (((x) >> 28) & 0x1)
#define   C_009050_VDATA1_VALID                                       0xEFFFFFFF
#define   S_009050_VDATA0_VALID(x)                                    (((unsigned)(x) & 0x1) << 29)
#define   G_009050_VDATA0_VALID(x)                                    (((x) >> 29) & 0x1)
#define   C_009050_VDATA0_VALID                                       0xDFFFFFFF
#define   S_009050_CMD_BUSYORVAL(x)                                   (((unsigned)(x) & 0x1) << 30)
#define   G_009050_CMD_BUSYORVAL(x)                                   (((x) >> 30) & 0x1)
#define   C_009050_CMD_BUSYORVAL                                      0xBFFFFFFF
#define   S_009050_ADDR_BUSYORVAL(x)                                  (((unsigned)(x) & 0x1) << 31)
#define   G_009050_ADDR_BUSYORVAL(x)                                  (((x) >> 31) & 0x1)
#define   C_009050_ADDR_BUSYORVAL                                     0x7FFFFFFF
#define R_009054_SX_DEBUG_BUSY_2                                        0x009054 /* >= gfx10 */
#define   S_009054_COL_SCBD0_BUSY(x)                                  (((unsigned)(x) & 0x1) << 0)
#define   G_009054_COL_SCBD0_BUSY(x)                                  (((x) >> 0) & 0x1)
#define   C_009054_COL_SCBD0_BUSY                                     0xFFFFFFFE
#define   S_009054_COL_REQ3_FREECNT_NE0(x)                            (((unsigned)(x) & 0x1) << 1)
#define   G_009054_COL_REQ3_FREECNT_NE0(x)                            (((x) >> 1) & 0x1)
#define   C_009054_COL_REQ3_FREECNT_NE0                               0xFFFFFFFD
#define   S_009054_COL_REQ3_IDLE(x)                                   (((unsigned)(x) & 0x1) << 2)
#define   G_009054_COL_REQ3_IDLE(x)                                   (((x) >> 2) & 0x1)
#define   C_009054_COL_REQ3_IDLE                                      0xFFFFFFFB
#define   S_009054_COL_REQ3_BUSY(x)                                   (((unsigned)(x) & 0x1) << 3)
#define   G_009054_COL_REQ3_BUSY(x)                                   (((x) >> 3) & 0x1)
#define   C_009054_COL_REQ3_BUSY                                      0xFFFFFFF7
#define   S_009054_COL_REQ2_FREECNT_NE0(x)                            (((unsigned)(x) & 0x1) << 4)
#define   G_009054_COL_REQ2_FREECNT_NE0(x)                            (((x) >> 4) & 0x1)
#define   C_009054_COL_REQ2_FREECNT_NE0                               0xFFFFFFEF
#define   S_009054_COL_REQ2_IDLE(x)                                   (((unsigned)(x) & 0x1) << 5)
#define   G_009054_COL_REQ2_IDLE(x)                                   (((x) >> 5) & 0x1)
#define   C_009054_COL_REQ2_IDLE                                      0xFFFFFFDF
#define   S_009054_COL_REQ2_BUSY(x)                                   (((unsigned)(x) & 0x1) << 6)
#define   G_009054_COL_REQ2_BUSY(x)                                   (((x) >> 6) & 0x1)
#define   C_009054_COL_REQ2_BUSY                                      0xFFFFFFBF
#define   S_009054_COL_REQ1_FREECNT_NE0(x)                            (((unsigned)(x) & 0x1) << 7)
#define   G_009054_COL_REQ1_FREECNT_NE0(x)                            (((x) >> 7) & 0x1)
#define   C_009054_COL_REQ1_FREECNT_NE0                               0xFFFFFF7F
#define   S_009054_COL_REQ1_IDLE(x)                                   (((unsigned)(x) & 0x1) << 8)
#define   G_009054_COL_REQ1_IDLE(x)                                   (((x) >> 8) & 0x1)
#define   C_009054_COL_REQ1_IDLE                                      0xFFFFFEFF
#define   S_009054_COL_REQ1_BUSY(x)                                   (((unsigned)(x) & 0x1) << 9)
#define   G_009054_COL_REQ1_BUSY(x)                                   (((x) >> 9) & 0x1)
#define   C_009054_COL_REQ1_BUSY                                      0xFFFFFDFF
#define   S_009054_COL_REQ0_FREECNT_NE0(x)                            (((unsigned)(x) & 0x1) << 10)
#define   G_009054_COL_REQ0_FREECNT_NE0(x)                            (((x) >> 10) & 0x1)
#define   C_009054_COL_REQ0_FREECNT_NE0                               0xFFFFFBFF
#define   S_009054_COL_REQ0_IDLE(x)                                   (((unsigned)(x) & 0x1) << 11)
#define   G_009054_COL_REQ0_IDLE(x)                                   (((x) >> 11) & 0x1)
#define   C_009054_COL_REQ0_IDLE                                      0xFFFFF7FF
#define   S_009054_COL_REQ0_BUSY(x)                                   (((unsigned)(x) & 0x1) << 12)
#define   G_009054_COL_REQ0_BUSY(x)                                   (((x) >> 12) & 0x1)
#define   C_009054_COL_REQ0_BUSY                                      0xFFFFEFFF
#define   S_009054_COL_DBIF3_SENDFREE_BUSY(x)                         (((unsigned)(x) & 0x1) << 13)
#define   G_009054_COL_DBIF3_SENDFREE_BUSY(x)                         (((x) >> 13) & 0x1)
#define   C_009054_COL_DBIF3_SENDFREE_BUSY                            0xFFFFDFFF
#define   S_009054_COL_DBIF3_FIFO_BUSY(x)                             (((unsigned)(x) & 0x1) << 14)
#define   G_009054_COL_DBIF3_FIFO_BUSY(x)                             (((x) >> 14) & 0x1)
#define   C_009054_COL_DBIF3_FIFO_BUSY                                0xFFFFBFFF
#define   S_009054_COL_DBIF3_QUAD_FREE(x)                             (((unsigned)(x) & 0x1) << 15)
#define   G_009054_COL_DBIF3_QUAD_FREE(x)                             (((x) >> 15) & 0x1)
#define   C_009054_COL_DBIF3_QUAD_FREE                                0xFFFF7FFF
#define   S_009054_COL_DBIF2_SENDFREE_BUSY(x)                         (((unsigned)(x) & 0x1) << 16)
#define   G_009054_COL_DBIF2_SENDFREE_BUSY(x)                         (((x) >> 16) & 0x1)
#define   C_009054_COL_DBIF2_SENDFREE_BUSY                            0xFFFEFFFF
#define   S_009054_COL_DBIF2_FIFO_BUSY(x)                             (((unsigned)(x) & 0x1) << 17)
#define   G_009054_COL_DBIF2_FIFO_BUSY(x)                             (((x) >> 17) & 0x1)
#define   C_009054_COL_DBIF2_FIFO_BUSY                                0xFFFDFFFF
#define   S_009054_COL_DBIF2_QUAD_FREE(x)                             (((unsigned)(x) & 0x1) << 18)
#define   G_009054_COL_DBIF2_QUAD_FREE(x)                             (((x) >> 18) & 0x1)
#define   C_009054_COL_DBIF2_QUAD_FREE                                0xFFFBFFFF
#define   S_009054_COL_DBIF1_SENDFREE_BUSY(x)                         (((unsigned)(x) & 0x1) << 19)
#define   G_009054_COL_DBIF1_SENDFREE_BUSY(x)                         (((x) >> 19) & 0x1)
#define   C_009054_COL_DBIF1_SENDFREE_BUSY                            0xFFF7FFFF
#define   S_009054_COL_DBIF1_FIFO_BUSY(x)                             (((unsigned)(x) & 0x1) << 20)
#define   G_009054_COL_DBIF1_FIFO_BUSY(x)                             (((x) >> 20) & 0x1)
#define   C_009054_COL_DBIF1_FIFO_BUSY                                0xFFEFFFFF
#define   S_009054_COL_DBIF1_QUAD_FREE(x)                             (((unsigned)(x) & 0x1) << 21)
#define   G_009054_COL_DBIF1_QUAD_FREE(x)                             (((x) >> 21) & 0x1)
#define   C_009054_COL_DBIF1_QUAD_FREE                                0xFFDFFFFF
#define   S_009054_COL_DBIF0_SENDFREE_BUSY(x)                         (((unsigned)(x) & 0x1) << 22)
#define   G_009054_COL_DBIF0_SENDFREE_BUSY(x)                         (((x) >> 22) & 0x1)
#define   C_009054_COL_DBIF0_SENDFREE_BUSY                            0xFFBFFFFF
#define   S_009054_COL_DBIF0_FIFO_BUSY(x)                             (((unsigned)(x) & 0x1) << 23)
#define   G_009054_COL_DBIF0_FIFO_BUSY(x)                             (((x) >> 23) & 0x1)
#define   C_009054_COL_DBIF0_FIFO_BUSY                                0xFF7FFFFF
#define   S_009054_COL_DBIF0_QUAD_FREE(x)                             (((unsigned)(x) & 0x1) << 24)
#define   G_009054_COL_DBIF0_QUAD_FREE(x)                             (((x) >> 24) & 0x1)
#define   C_009054_COL_DBIF0_QUAD_FREE                                0xFEFFFFFF
#define   S_009054_COL_BUFF3_BANK3_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 25)
#define   G_009054_COL_BUFF3_BANK3_VAL3_BUSY(x)                       (((x) >> 25) & 0x1)
#define   C_009054_COL_BUFF3_BANK3_VAL3_BUSY                          0xFDFFFFFF
#define   S_009054_COL_BUFF3_BANK3_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 26)
#define   G_009054_COL_BUFF3_BANK3_VAL2_BUSY(x)                       (((x) >> 26) & 0x1)
#define   C_009054_COL_BUFF3_BANK3_VAL2_BUSY                          0xFBFFFFFF
#define   S_009054_COL_BUFF3_BANK3_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 27)
#define   G_009054_COL_BUFF3_BANK3_VAL1_BUSY(x)                       (((x) >> 27) & 0x1)
#define   C_009054_COL_BUFF3_BANK3_VAL1_BUSY                          0xF7FFFFFF
#define   S_009054_COL_BUFF3_BANK3_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 28)
#define   G_009054_COL_BUFF3_BANK3_VAL0_BUSY(x)                       (((x) >> 28) & 0x1)
#define   C_009054_COL_BUFF3_BANK3_VAL0_BUSY                          0xEFFFFFFF
#define   S_009054_COL_BUFF3_BANK2_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 29)
#define   G_009054_COL_BUFF3_BANK2_VAL3_BUSY(x)                       (((x) >> 29) & 0x1)
#define   C_009054_COL_BUFF3_BANK2_VAL3_BUSY                          0xDFFFFFFF
#define   S_009054_COL_BUFF3_BANK2_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 30)
#define   G_009054_COL_BUFF3_BANK2_VAL2_BUSY(x)                       (((x) >> 30) & 0x1)
#define   C_009054_COL_BUFF3_BANK2_VAL2_BUSY                          0xBFFFFFFF
#define   S_009054_COL_BUFF3_BANK2_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 31)
#define   G_009054_COL_BUFF3_BANK2_VAL1_BUSY(x)                       (((x) >> 31) & 0x1)
#define   C_009054_COL_BUFF3_BANK2_VAL1_BUSY                          0x7FFFFFFF
#define R_009058_SX_DEBUG_BUSY_3                                        0x009058 /* >= gfx10 */
#define   S_009058_COL_BUFF3_BANK2_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 0)
#define   G_009058_COL_BUFF3_BANK2_VAL0_BUSY(x)                       (((x) >> 0) & 0x1)
#define   C_009058_COL_BUFF3_BANK2_VAL0_BUSY                          0xFFFFFFFE
#define   S_009058_COL_BUFF3_BANK1_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 1)
#define   G_009058_COL_BUFF3_BANK1_VAL3_BUSY(x)                       (((x) >> 1) & 0x1)
#define   C_009058_COL_BUFF3_BANK1_VAL3_BUSY                          0xFFFFFFFD
#define   S_009058_COL_BUFF3_BANK1_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 2)
#define   G_009058_COL_BUFF3_BANK1_VAL2_BUSY(x)                       (((x) >> 2) & 0x1)
#define   C_009058_COL_BUFF3_BANK1_VAL2_BUSY                          0xFFFFFFFB
#define   S_009058_COL_BUFF3_BANK1_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 3)
#define   G_009058_COL_BUFF3_BANK1_VAL1_BUSY(x)                       (((x) >> 3) & 0x1)
#define   C_009058_COL_BUFF3_BANK1_VAL1_BUSY                          0xFFFFFFF7
#define   S_009058_COL_BUFF3_BANK1_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 4)
#define   G_009058_COL_BUFF3_BANK1_VAL0_BUSY(x)                       (((x) >> 4) & 0x1)
#define   C_009058_COL_BUFF3_BANK1_VAL0_BUSY                          0xFFFFFFEF
#define   S_009058_COL_BUFF3_BANK0_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 5)
#define   G_009058_COL_BUFF3_BANK0_VAL3_BUSY(x)                       (((x) >> 5) & 0x1)
#define   C_009058_COL_BUFF3_BANK0_VAL3_BUSY                          0xFFFFFFDF
#define   S_009058_COL_BUFF3_BANK0_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 6)
#define   G_009058_COL_BUFF3_BANK0_VAL2_BUSY(x)                       (((x) >> 6) & 0x1)
#define   C_009058_COL_BUFF3_BANK0_VAL2_BUSY                          0xFFFFFFBF
#define   S_009058_COL_BUFF3_BANK0_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 7)
#define   G_009058_COL_BUFF3_BANK0_VAL1_BUSY(x)                       (((x) >> 7) & 0x1)
#define   C_009058_COL_BUFF3_BANK0_VAL1_BUSY                          0xFFFFFF7F
#define   S_009058_COL_BUFF3_BANK0_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 8)
#define   G_009058_COL_BUFF3_BANK0_VAL0_BUSY(x)                       (((x) >> 8) & 0x1)
#define   C_009058_COL_BUFF3_BANK0_VAL0_BUSY                          0xFFFFFEFF
#define   S_009058_COL_BUFF2_BANK3_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 9)
#define   G_009058_COL_BUFF2_BANK3_VAL3_BUSY(x)                       (((x) >> 9) & 0x1)
#define   C_009058_COL_BUFF2_BANK3_VAL3_BUSY                          0xFFFFFDFF
#define   S_009058_COL_BUFF2_BANK3_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 10)
#define   G_009058_COL_BUFF2_BANK3_VAL2_BUSY(x)                       (((x) >> 10) & 0x1)
#define   C_009058_COL_BUFF2_BANK3_VAL2_BUSY                          0xFFFFFBFF
#define   S_009058_COL_BUFF2_BANK3_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 11)
#define   G_009058_COL_BUFF2_BANK3_VAL1_BUSY(x)                       (((x) >> 11) & 0x1)
#define   C_009058_COL_BUFF2_BANK3_VAL1_BUSY                          0xFFFFF7FF
#define   S_009058_COL_BUFF2_BANK3_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 12)
#define   G_009058_COL_BUFF2_BANK3_VAL0_BUSY(x)                       (((x) >> 12) & 0x1)
#define   C_009058_COL_BUFF2_BANK3_VAL0_BUSY                          0xFFFFEFFF
#define   S_009058_COL_BUFF2_BANK2_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 13)
#define   G_009058_COL_BUFF2_BANK2_VAL3_BUSY(x)                       (((x) >> 13) & 0x1)
#define   C_009058_COL_BUFF2_BANK2_VAL3_BUSY                          0xFFFFDFFF
#define   S_009058_COL_BUFF2_BANK2_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 14)
#define   G_009058_COL_BUFF2_BANK2_VAL2_BUSY(x)                       (((x) >> 14) & 0x1)
#define   C_009058_COL_BUFF2_BANK2_VAL2_BUSY                          0xFFFFBFFF
#define   S_009058_COL_BUFF2_BANK2_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 15)
#define   G_009058_COL_BUFF2_BANK2_VAL1_BUSY(x)                       (((x) >> 15) & 0x1)
#define   C_009058_COL_BUFF2_BANK2_VAL1_BUSY                          0xFFFF7FFF
#define   S_009058_COL_BUFF2_BANK2_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 16)
#define   G_009058_COL_BUFF2_BANK2_VAL0_BUSY(x)                       (((x) >> 16) & 0x1)
#define   C_009058_COL_BUFF2_BANK2_VAL0_BUSY                          0xFFFEFFFF
#define   S_009058_COL_BUFF2_BANK1_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 17)
#define   G_009058_COL_BUFF2_BANK1_VAL3_BUSY(x)                       (((x) >> 17) & 0x1)
#define   C_009058_COL_BUFF2_BANK1_VAL3_BUSY                          0xFFFDFFFF
#define   S_009058_COL_BUFF2_BANK1_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 18)
#define   G_009058_COL_BUFF2_BANK1_VAL2_BUSY(x)                       (((x) >> 18) & 0x1)
#define   C_009058_COL_BUFF2_BANK1_VAL2_BUSY                          0xFFFBFFFF
#define   S_009058_COL_BUFF2_BANK1_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 19)
#define   G_009058_COL_BUFF2_BANK1_VAL1_BUSY(x)                       (((x) >> 19) & 0x1)
#define   C_009058_COL_BUFF2_BANK1_VAL1_BUSY                          0xFFF7FFFF
#define   S_009058_COL_BUFF2_BANK1_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 20)
#define   G_009058_COL_BUFF2_BANK1_VAL0_BUSY(x)                       (((x) >> 20) & 0x1)
#define   C_009058_COL_BUFF2_BANK1_VAL0_BUSY                          0xFFEFFFFF
#define   S_009058_COL_BUFF2_BANK0_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 21)
#define   G_009058_COL_BUFF2_BANK0_VAL3_BUSY(x)                       (((x) >> 21) & 0x1)
#define   C_009058_COL_BUFF2_BANK0_VAL3_BUSY                          0xFFDFFFFF
#define   S_009058_COL_BUFF2_BANK0_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 22)
#define   G_009058_COL_BUFF2_BANK0_VAL2_BUSY(x)                       (((x) >> 22) & 0x1)
#define   C_009058_COL_BUFF2_BANK0_VAL2_BUSY                          0xFFBFFFFF
#define   S_009058_COL_BUFF2_BANK0_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 23)
#define   G_009058_COL_BUFF2_BANK0_VAL1_BUSY(x)                       (((x) >> 23) & 0x1)
#define   C_009058_COL_BUFF2_BANK0_VAL1_BUSY                          0xFF7FFFFF
#define   S_009058_COL_BUFF2_BANK0_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 24)
#define   G_009058_COL_BUFF2_BANK0_VAL0_BUSY(x)                       (((x) >> 24) & 0x1)
#define   C_009058_COL_BUFF2_BANK0_VAL0_BUSY                          0xFEFFFFFF
#define   S_009058_COL_BUFF1_BANK3_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 25)
#define   G_009058_COL_BUFF1_BANK3_VAL3_BUSY(x)                       (((x) >> 25) & 0x1)
#define   C_009058_COL_BUFF1_BANK3_VAL3_BUSY                          0xFDFFFFFF
#define   S_009058_COL_BUFF1_BANK3_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 26)
#define   G_009058_COL_BUFF1_BANK3_VAL2_BUSY(x)                       (((x) >> 26) & 0x1)
#define   C_009058_COL_BUFF1_BANK3_VAL2_BUSY                          0xFBFFFFFF
#define   S_009058_COL_BUFF1_BANK3_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 27)
#define   G_009058_COL_BUFF1_BANK3_VAL1_BUSY(x)                       (((x) >> 27) & 0x1)
#define   C_009058_COL_BUFF1_BANK3_VAL1_BUSY                          0xF7FFFFFF
#define   S_009058_COL_BUFF1_BANK3_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 28)
#define   G_009058_COL_BUFF1_BANK3_VAL0_BUSY(x)                       (((x) >> 28) & 0x1)
#define   C_009058_COL_BUFF1_BANK3_VAL0_BUSY                          0xEFFFFFFF
#define   S_009058_COL_BUFF1_BANK2_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 29)
#define   G_009058_COL_BUFF1_BANK2_VAL3_BUSY(x)                       (((x) >> 29) & 0x1)
#define   C_009058_COL_BUFF1_BANK2_VAL3_BUSY                          0xDFFFFFFF
#define   S_009058_COL_BUFF1_BANK2_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 30)
#define   G_009058_COL_BUFF1_BANK2_VAL2_BUSY(x)                       (((x) >> 30) & 0x1)
#define   C_009058_COL_BUFF1_BANK2_VAL2_BUSY                          0xBFFFFFFF
#define   S_009058_COL_BUFF1_BANK2_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 31)
#define   G_009058_COL_BUFF1_BANK2_VAL1_BUSY(x)                       (((x) >> 31) & 0x1)
#define   C_009058_COL_BUFF1_BANK2_VAL1_BUSY                          0x7FFFFFFF
#define R_00905C_SX_DEBUG_BUSY_4                                        0x00905C /* >= gfx10 */
#define   S_00905C_COL_BUFF1_BANK2_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 0)
#define   G_00905C_COL_BUFF1_BANK2_VAL0_BUSY(x)                       (((x) >> 0) & 0x1)
#define   C_00905C_COL_BUFF1_BANK2_VAL0_BUSY                          0xFFFFFFFE
#define   S_00905C_COL_BUFF1_BANK1_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 1)
#define   G_00905C_COL_BUFF1_BANK1_VAL3_BUSY(x)                       (((x) >> 1) & 0x1)
#define   C_00905C_COL_BUFF1_BANK1_VAL3_BUSY                          0xFFFFFFFD
#define   S_00905C_COL_BUFF1_BANK1_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 2)
#define   G_00905C_COL_BUFF1_BANK1_VAL2_BUSY(x)                       (((x) >> 2) & 0x1)
#define   C_00905C_COL_BUFF1_BANK1_VAL2_BUSY                          0xFFFFFFFB
#define   S_00905C_COL_BUFF1_BANK1_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 3)
#define   G_00905C_COL_BUFF1_BANK1_VAL1_BUSY(x)                       (((x) >> 3) & 0x1)
#define   C_00905C_COL_BUFF1_BANK1_VAL1_BUSY                          0xFFFFFFF7
#define   S_00905C_COL_BUFF1_BANK1_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 4)
#define   G_00905C_COL_BUFF1_BANK1_VAL0_BUSY(x)                       (((x) >> 4) & 0x1)
#define   C_00905C_COL_BUFF1_BANK1_VAL0_BUSY                          0xFFFFFFEF
#define   S_00905C_COL_BUFF1_BANK0_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 5)
#define   G_00905C_COL_BUFF1_BANK0_VAL3_BUSY(x)                       (((x) >> 5) & 0x1)
#define   C_00905C_COL_BUFF1_BANK0_VAL3_BUSY                          0xFFFFFFDF
#define   S_00905C_COL_BUFF1_BANK0_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 6)
#define   G_00905C_COL_BUFF1_BANK0_VAL2_BUSY(x)                       (((x) >> 6) & 0x1)
#define   C_00905C_COL_BUFF1_BANK0_VAL2_BUSY                          0xFFFFFFBF
#define   S_00905C_COL_BUFF1_BANK0_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 7)
#define   G_00905C_COL_BUFF1_BANK0_VAL1_BUSY(x)                       (((x) >> 7) & 0x1)
#define   C_00905C_COL_BUFF1_BANK0_VAL1_BUSY                          0xFFFFFF7F
#define   S_00905C_COL_BUFF1_BANK0_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 8)
#define   G_00905C_COL_BUFF1_BANK0_VAL0_BUSY(x)                       (((x) >> 8) & 0x1)
#define   C_00905C_COL_BUFF1_BANK0_VAL0_BUSY                          0xFFFFFEFF
#define   S_00905C_COL_BUFF0_BANK3_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 9)
#define   G_00905C_COL_BUFF0_BANK3_VAL3_BUSY(x)                       (((x) >> 9) & 0x1)
#define   C_00905C_COL_BUFF0_BANK3_VAL3_BUSY                          0xFFFFFDFF
#define   S_00905C_COL_BUFF0_BANK3_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 10)
#define   G_00905C_COL_BUFF0_BANK3_VAL2_BUSY(x)                       (((x) >> 10) & 0x1)
#define   C_00905C_COL_BUFF0_BANK3_VAL2_BUSY                          0xFFFFFBFF
#define   S_00905C_COL_BUFF0_BANK3_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 11)
#define   G_00905C_COL_BUFF0_BANK3_VAL1_BUSY(x)                       (((x) >> 11) & 0x1)
#define   C_00905C_COL_BUFF0_BANK3_VAL1_BUSY                          0xFFFFF7FF
#define   S_00905C_COL_BUFF0_BANK3_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 12)
#define   G_00905C_COL_BUFF0_BANK3_VAL0_BUSY(x)                       (((x) >> 12) & 0x1)
#define   C_00905C_COL_BUFF0_BANK3_VAL0_BUSY                          0xFFFFEFFF
#define   S_00905C_COL_BUFF0_BANK2_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 13)
#define   G_00905C_COL_BUFF0_BANK2_VAL3_BUSY(x)                       (((x) >> 13) & 0x1)
#define   C_00905C_COL_BUFF0_BANK2_VAL3_BUSY                          0xFFFFDFFF
#define   S_00905C_COL_BUFF0_BANK2_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 14)
#define   G_00905C_COL_BUFF0_BANK2_VAL2_BUSY(x)                       (((x) >> 14) & 0x1)
#define   C_00905C_COL_BUFF0_BANK2_VAL2_BUSY                          0xFFFFBFFF
#define   S_00905C_COL_BUFF0_BANK2_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 15)
#define   G_00905C_COL_BUFF0_BANK2_VAL1_BUSY(x)                       (((x) >> 15) & 0x1)
#define   C_00905C_COL_BUFF0_BANK2_VAL1_BUSY                          0xFFFF7FFF
#define   S_00905C_COL_BUFF0_BANK2_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 16)
#define   G_00905C_COL_BUFF0_BANK2_VAL0_BUSY(x)                       (((x) >> 16) & 0x1)
#define   C_00905C_COL_BUFF0_BANK2_VAL0_BUSY                          0xFFFEFFFF
#define   S_00905C_COL_BUFF0_BANK1_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 17)
#define   G_00905C_COL_BUFF0_BANK1_VAL3_BUSY(x)                       (((x) >> 17) & 0x1)
#define   C_00905C_COL_BUFF0_BANK1_VAL3_BUSY                          0xFFFDFFFF
#define   S_00905C_COL_BUFF0_BANK1_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 18)
#define   G_00905C_COL_BUFF0_BANK1_VAL2_BUSY(x)                       (((x) >> 18) & 0x1)
#define   C_00905C_COL_BUFF0_BANK1_VAL2_BUSY                          0xFFFBFFFF
#define   S_00905C_COL_BUFF0_BANK1_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 19)
#define   G_00905C_COL_BUFF0_BANK1_VAL1_BUSY(x)                       (((x) >> 19) & 0x1)
#define   C_00905C_COL_BUFF0_BANK1_VAL1_BUSY                          0xFFF7FFFF
#define   S_00905C_COL_BUFF0_BANK1_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 20)
#define   G_00905C_COL_BUFF0_BANK1_VAL0_BUSY(x)                       (((x) >> 20) & 0x1)
#define   C_00905C_COL_BUFF0_BANK1_VAL0_BUSY                          0xFFEFFFFF
#define   S_00905C_COL_BUFF0_BANK0_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 21)
#define   G_00905C_COL_BUFF0_BANK0_VAL3_BUSY(x)                       (((x) >> 21) & 0x1)
#define   C_00905C_COL_BUFF0_BANK0_VAL3_BUSY                          0xFFDFFFFF
#define   S_00905C_COL_BUFF0_BANK0_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 22)
#define   G_00905C_COL_BUFF0_BANK0_VAL2_BUSY(x)                       (((x) >> 22) & 0x1)
#define   C_00905C_COL_BUFF0_BANK0_VAL2_BUSY                          0xFFBFFFFF
#define   S_00905C_COL_BUFF0_BANK0_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 23)
#define   G_00905C_COL_BUFF0_BANK0_VAL1_BUSY(x)                       (((x) >> 23) & 0x1)
#define   C_00905C_COL_BUFF0_BANK0_VAL1_BUSY                          0xFF7FFFFF
#define   S_00905C_COL_BUFF0_BANK0_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 24)
#define   G_00905C_COL_BUFF0_BANK0_VAL0_BUSY(x)                       (((x) >> 24) & 0x1)
#define   C_00905C_COL_BUFF0_BANK0_VAL0_BUSY                          0xFEFFFFFF
#define   S_00905C_COL_BUFF3_BANK7_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 25)
#define   G_00905C_COL_BUFF3_BANK7_VAL3_BUSY(x)                       (((x) >> 25) & 0x1)
#define   C_00905C_COL_BUFF3_BANK7_VAL3_BUSY                          0xFDFFFFFF
#define   S_00905C_COL_BUFF3_BANK7_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 26)
#define   G_00905C_COL_BUFF3_BANK7_VAL2_BUSY(x)                       (((x) >> 26) & 0x1)
#define   C_00905C_COL_BUFF3_BANK7_VAL2_BUSY                          0xFBFFFFFF
#define   S_00905C_COL_BUFF3_BANK7_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 27)
#define   G_00905C_COL_BUFF3_BANK7_VAL1_BUSY(x)                       (((x) >> 27) & 0x1)
#define   C_00905C_COL_BUFF3_BANK7_VAL1_BUSY                          0xF7FFFFFF
#define   S_00905C_COL_BUFF3_BANK7_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 28)
#define   G_00905C_COL_BUFF3_BANK7_VAL0_BUSY(x)                       (((x) >> 28) & 0x1)
#define   C_00905C_COL_BUFF3_BANK7_VAL0_BUSY                          0xEFFFFFFF
#define   S_00905C_COL_BUFF3_BANK6_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 29)
#define   G_00905C_COL_BUFF3_BANK6_VAL3_BUSY(x)                       (((x) >> 29) & 0x1)
#define   C_00905C_COL_BUFF3_BANK6_VAL3_BUSY                          0xDFFFFFFF
#define   S_00905C_COL_BUFF3_BANK6_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 30)
#define   G_00905C_COL_BUFF3_BANK6_VAL2_BUSY(x)                       (((x) >> 30) & 0x1)
#define   C_00905C_COL_BUFF3_BANK6_VAL2_BUSY                          0xBFFFFFFF
#define   S_00905C_COL_BUFF3_BANK6_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 31)
#define   G_00905C_COL_BUFF3_BANK6_VAL1_BUSY(x)                       (((x) >> 31) & 0x1)
#define   C_00905C_COL_BUFF3_BANK6_VAL1_BUSY                          0x7FFFFFFF
#define R_009060_SX_DEBUG_1                                             0x009060 /* >= gfx10 */
#define   S_009060_SX_DB_QUAD_CREDIT(x)                               (((unsigned)(x) & 0x7F) << 0)
#define   G_009060_SX_DB_QUAD_CREDIT(x)                               (((x) >> 0) & 0x7F)
#define   C_009060_SX_DB_QUAD_CREDIT                                  0xFFFFFF80
#define   S_009060_DISABLE_BLEND_OPT_DONT_RD_DST(x)                   (((unsigned)(x) & 0x1) << 8)
#define   G_009060_DISABLE_BLEND_OPT_DONT_RD_DST(x)                   (((x) >> 8) & 0x1)
#define   C_009060_DISABLE_BLEND_OPT_DONT_RD_DST                      0xFFFFFEFF
#define   S_009060_DISABLE_BLEND_OPT_BYPASS(x)                        (((unsigned)(x) & 0x1) << 9)
#define   G_009060_DISABLE_BLEND_OPT_BYPASS(x)                        (((x) >> 9) & 0x1)
#define   C_009060_DISABLE_BLEND_OPT_BYPASS                           0xFFFFFDFF
#define   S_009060_DISABLE_BLEND_OPT_DISCARD_PIXEL(x)                 (((unsigned)(x) & 0x1) << 10)
#define   G_009060_DISABLE_BLEND_OPT_DISCARD_PIXEL(x)                 (((x) >> 10) & 0x1)
#define   C_009060_DISABLE_BLEND_OPT_DISCARD_PIXEL                    0xFFFFFBFF
#define   S_009060_DISABLE_QUAD_PAIR_OPT(x)                           (((unsigned)(x) & 0x1) << 11)
#define   G_009060_DISABLE_QUAD_PAIR_OPT(x)                           (((x) >> 11) & 0x1)
#define   C_009060_DISABLE_QUAD_PAIR_OPT                              0xFFFFF7FF
#define   S_009060_DISABLE_PIX_EN_ZERO_OPT(x)                         (((unsigned)(x) & 0x1) << 12)
#define   G_009060_DISABLE_PIX_EN_ZERO_OPT(x)                         (((x) >> 12) & 0x1)
#define   C_009060_DISABLE_PIX_EN_ZERO_OPT                            0xFFFFEFFF
#define   S_009060_DISABLE_SX_DB_FGCG(x)                              (((unsigned)(x) & 0x1) << 13)
#define   G_009060_DISABLE_SX_DB_FGCG(x)                              (((x) >> 13) & 0x1)
#define   C_009060_DISABLE_SX_DB_FGCG                                 0xFFFFDFFF
#define   S_009060_ENABLE_SAME_PC_GDS_CGTS(x)                         (((unsigned)(x) & 0x1) << 14)
#define   G_009060_ENABLE_SAME_PC_GDS_CGTS(x)                         (((x) >> 14) & 0x1)
#define   C_009060_ENABLE_SAME_PC_GDS_CGTS                            0xFFFFBFFF
#define   S_009060_DISABLE_RAM_FGCG(x)                                (((unsigned)(x) & 0x1) << 15)
#define   G_009060_DISABLE_RAM_FGCG(x)                                (((x) >> 15) & 0x1)
#define   C_009060_DISABLE_RAM_FGCG                                   0xFFFF7FFF
#define   S_009060_PC_DISABLE_SAME_ADDR_OPT(x)                        (((unsigned)(x) & 0x1) << 16)
#define   G_009060_PC_DISABLE_SAME_ADDR_OPT(x)                        (((x) >> 16) & 0x1)
#define   C_009060_PC_DISABLE_SAME_ADDR_OPT                           0xFFFEFFFF
#define   S_009060_DEBUG_DATA(x)                                      (((unsigned)(x) & 0x7FFF) << 17)
#define   G_009060_DEBUG_DATA(x)                                      (((x) >> 17) & 0x7FFF)
#define   C_009060_DEBUG_DATA                                         0x0001FFFF
#define R_009064_SX_DEBUG_BUSY_5                                        0x009064 /* >= gfx10 */
#define   S_009064_COL_BUFF3_BANK6_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 0)
#define   G_009064_COL_BUFF3_BANK6_VAL0_BUSY(x)                       (((x) >> 0) & 0x1)
#define   C_009064_COL_BUFF3_BANK6_VAL0_BUSY                          0xFFFFFFFE
#define   S_009064_COL_BUFF3_BANK5_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 1)
#define   G_009064_COL_BUFF3_BANK5_VAL3_BUSY(x)                       (((x) >> 1) & 0x1)
#define   C_009064_COL_BUFF3_BANK5_VAL3_BUSY                          0xFFFFFFFD
#define   S_009064_COL_BUFF3_BANK5_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 2)
#define   G_009064_COL_BUFF3_BANK5_VAL2_BUSY(x)                       (((x) >> 2) & 0x1)
#define   C_009064_COL_BUFF3_BANK5_VAL2_BUSY                          0xFFFFFFFB
#define   S_009064_COL_BUFF3_BANK5_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 3)
#define   G_009064_COL_BUFF3_BANK5_VAL1_BUSY(x)                       (((x) >> 3) & 0x1)
#define   C_009064_COL_BUFF3_BANK5_VAL1_BUSY                          0xFFFFFFF7
#define   S_009064_COL_BUFF3_BANK5_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 4)
#define   G_009064_COL_BUFF3_BANK5_VAL0_BUSY(x)                       (((x) >> 4) & 0x1)
#define   C_009064_COL_BUFF3_BANK5_VAL0_BUSY                          0xFFFFFFEF
#define   S_009064_COL_BUFF3_BANK4_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 5)
#define   G_009064_COL_BUFF3_BANK4_VAL3_BUSY(x)                       (((x) >> 5) & 0x1)
#define   C_009064_COL_BUFF3_BANK4_VAL3_BUSY                          0xFFFFFFDF
#define   S_009064_COL_BUFF3_BANK4_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 6)
#define   G_009064_COL_BUFF3_BANK4_VAL2_BUSY(x)                       (((x) >> 6) & 0x1)
#define   C_009064_COL_BUFF3_BANK4_VAL2_BUSY                          0xFFFFFFBF
#define   S_009064_COL_BUFF3_BANK4_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 7)
#define   G_009064_COL_BUFF3_BANK4_VAL1_BUSY(x)                       (((x) >> 7) & 0x1)
#define   C_009064_COL_BUFF3_BANK4_VAL1_BUSY                          0xFFFFFF7F
#define   S_009064_COL_BUFF3_BANK4_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 8)
#define   G_009064_COL_BUFF3_BANK4_VAL0_BUSY(x)                       (((x) >> 8) & 0x1)
#define   C_009064_COL_BUFF3_BANK4_VAL0_BUSY                          0xFFFFFEFF
#define   S_009064_COL_BUFF2_BANK7_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 9)
#define   G_009064_COL_BUFF2_BANK7_VAL3_BUSY(x)                       (((x) >> 9) & 0x1)
#define   C_009064_COL_BUFF2_BANK7_VAL3_BUSY                          0xFFFFFDFF
#define   S_009064_COL_BUFF2_BANK7_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 10)
#define   G_009064_COL_BUFF2_BANK7_VAL2_BUSY(x)                       (((x) >> 10) & 0x1)
#define   C_009064_COL_BUFF2_BANK7_VAL2_BUSY                          0xFFFFFBFF
#define   S_009064_COL_BUFF2_BANK7_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 11)
#define   G_009064_COL_BUFF2_BANK7_VAL1_BUSY(x)                       (((x) >> 11) & 0x1)
#define   C_009064_COL_BUFF2_BANK7_VAL1_BUSY                          0xFFFFF7FF
#define   S_009064_COL_BUFF2_BANK7_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 12)
#define   G_009064_COL_BUFF2_BANK7_VAL0_BUSY(x)                       (((x) >> 12) & 0x1)
#define   C_009064_COL_BUFF2_BANK7_VAL0_BUSY                          0xFFFFEFFF
#define   S_009064_COL_BUFF2_BANK6_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 13)
#define   G_009064_COL_BUFF2_BANK6_VAL3_BUSY(x)                       (((x) >> 13) & 0x1)
#define   C_009064_COL_BUFF2_BANK6_VAL3_BUSY                          0xFFFFDFFF
#define   S_009064_COL_BUFF2_BANK6_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 14)
#define   G_009064_COL_BUFF2_BANK6_VAL2_BUSY(x)                       (((x) >> 14) & 0x1)
#define   C_009064_COL_BUFF2_BANK6_VAL2_BUSY                          0xFFFFBFFF
#define   S_009064_COL_BUFF2_BANK6_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 15)
#define   G_009064_COL_BUFF2_BANK6_VAL1_BUSY(x)                       (((x) >> 15) & 0x1)
#define   C_009064_COL_BUFF2_BANK6_VAL1_BUSY                          0xFFFF7FFF
#define   S_009064_COL_BUFF2_BANK6_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 16)
#define   G_009064_COL_BUFF2_BANK6_VAL0_BUSY(x)                       (((x) >> 16) & 0x1)
#define   C_009064_COL_BUFF2_BANK6_VAL0_BUSY                          0xFFFEFFFF
#define   S_009064_COL_BUFF2_BANK5_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 17)
#define   G_009064_COL_BUFF2_BANK5_VAL3_BUSY(x)                       (((x) >> 17) & 0x1)
#define   C_009064_COL_BUFF2_BANK5_VAL3_BUSY                          0xFFFDFFFF
#define   S_009064_COL_BUFF2_BANK5_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 18)
#define   G_009064_COL_BUFF2_BANK5_VAL2_BUSY(x)                       (((x) >> 18) & 0x1)
#define   C_009064_COL_BUFF2_BANK5_VAL2_BUSY                          0xFFFBFFFF
#define   S_009064_COL_BUFF2_BANK5_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 19)
#define   G_009064_COL_BUFF2_BANK5_VAL1_BUSY(x)                       (((x) >> 19) & 0x1)
#define   C_009064_COL_BUFF2_BANK5_VAL1_BUSY                          0xFFF7FFFF
#define   S_009064_COL_BUFF2_BANK5_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 20)
#define   G_009064_COL_BUFF2_BANK5_VAL0_BUSY(x)                       (((x) >> 20) & 0x1)
#define   C_009064_COL_BUFF2_BANK5_VAL0_BUSY                          0xFFEFFFFF
#define   S_009064_COL_BUFF2_BANK4_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 21)
#define   G_009064_COL_BUFF2_BANK4_VAL3_BUSY(x)                       (((x) >> 21) & 0x1)
#define   C_009064_COL_BUFF2_BANK4_VAL3_BUSY                          0xFFDFFFFF
#define   S_009064_COL_BUFF2_BANK4_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 22)
#define   G_009064_COL_BUFF2_BANK4_VAL2_BUSY(x)                       (((x) >> 22) & 0x1)
#define   C_009064_COL_BUFF2_BANK4_VAL2_BUSY                          0xFFBFFFFF
#define   S_009064_COL_BUFF2_BANK4_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 23)
#define   G_009064_COL_BUFF2_BANK4_VAL1_BUSY(x)                       (((x) >> 23) & 0x1)
#define   C_009064_COL_BUFF2_BANK4_VAL1_BUSY                          0xFF7FFFFF
#define   S_009064_COL_BUFF2_BANK4_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 24)
#define   G_009064_COL_BUFF2_BANK4_VAL0_BUSY(x)                       (((x) >> 24) & 0x1)
#define   C_009064_COL_BUFF2_BANK4_VAL0_BUSY                          0xFEFFFFFF
#define   S_009064_COL_BUFF1_BANK7_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 25)
#define   G_009064_COL_BUFF1_BANK7_VAL3_BUSY(x)                       (((x) >> 25) & 0x1)
#define   C_009064_COL_BUFF1_BANK7_VAL3_BUSY                          0xFDFFFFFF
#define   S_009064_COL_BUFF1_BANK7_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 26)
#define   G_009064_COL_BUFF1_BANK7_VAL2_BUSY(x)                       (((x) >> 26) & 0x1)
#define   C_009064_COL_BUFF1_BANK7_VAL2_BUSY                          0xFBFFFFFF
#define   S_009064_COL_BUFF1_BANK7_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 27)
#define   G_009064_COL_BUFF1_BANK7_VAL1_BUSY(x)                       (((x) >> 27) & 0x1)
#define   C_009064_COL_BUFF1_BANK7_VAL1_BUSY                          0xF7FFFFFF
#define   S_009064_COL_BUFF1_BANK7_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 28)
#define   G_009064_COL_BUFF1_BANK7_VAL0_BUSY(x)                       (((x) >> 28) & 0x1)
#define   C_009064_COL_BUFF1_BANK7_VAL0_BUSY                          0xEFFFFFFF
#define   S_009064_COL_BUFF1_BANK6_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 29)
#define   G_009064_COL_BUFF1_BANK6_VAL3_BUSY(x)                       (((x) >> 29) & 0x1)
#define   C_009064_COL_BUFF1_BANK6_VAL3_BUSY                          0xDFFFFFFF
#define   S_009064_COL_BUFF1_BANK6_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 30)
#define   G_009064_COL_BUFF1_BANK6_VAL2_BUSY(x)                       (((x) >> 30) & 0x1)
#define   C_009064_COL_BUFF1_BANK6_VAL2_BUSY                          0xBFFFFFFF
#define   S_009064_COL_BUFF1_BANK6_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 31)
#define   G_009064_COL_BUFF1_BANK6_VAL1_BUSY(x)                       (((x) >> 31) & 0x1)
#define   C_009064_COL_BUFF1_BANK6_VAL1_BUSY                          0x7FFFFFFF
#define R_009068_SX_DEBUG_BUSY_6                                        0x009068 /* >= gfx10 */
#define   S_009068_COL_BUFF1_BANK6_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 0)
#define   G_009068_COL_BUFF1_BANK6_VAL0_BUSY(x)                       (((x) >> 0) & 0x1)
#define   C_009068_COL_BUFF1_BANK6_VAL0_BUSY                          0xFFFFFFFE
#define   S_009068_COL_BUFF1_BANK5_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 1)
#define   G_009068_COL_BUFF1_BANK5_VAL3_BUSY(x)                       (((x) >> 1) & 0x1)
#define   C_009068_COL_BUFF1_BANK5_VAL3_BUSY                          0xFFFFFFFD
#define   S_009068_COL_BUFF1_BANK5_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 2)
#define   G_009068_COL_BUFF1_BANK5_VAL2_BUSY(x)                       (((x) >> 2) & 0x1)
#define   C_009068_COL_BUFF1_BANK5_VAL2_BUSY                          0xFFFFFFFB
#define   S_009068_COL_BUFF1_BANK5_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 3)
#define   G_009068_COL_BUFF1_BANK5_VAL1_BUSY(x)                       (((x) >> 3) & 0x1)
#define   C_009068_COL_BUFF1_BANK5_VAL1_BUSY                          0xFFFFFFF7
#define   S_009068_COL_BUFF1_BANK5_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 4)
#define   G_009068_COL_BUFF1_BANK5_VAL0_BUSY(x)                       (((x) >> 4) & 0x1)
#define   C_009068_COL_BUFF1_BANK5_VAL0_BUSY                          0xFFFFFFEF
#define   S_009068_COL_BUFF1_BANK4_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 5)
#define   G_009068_COL_BUFF1_BANK4_VAL3_BUSY(x)                       (((x) >> 5) & 0x1)
#define   C_009068_COL_BUFF1_BANK4_VAL3_BUSY                          0xFFFFFFDF
#define   S_009068_COL_BUFF1_BANK4_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 6)
#define   G_009068_COL_BUFF1_BANK4_VAL2_BUSY(x)                       (((x) >> 6) & 0x1)
#define   C_009068_COL_BUFF1_BANK4_VAL2_BUSY                          0xFFFFFFBF
#define   S_009068_COL_BUFF1_BANK4_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 7)
#define   G_009068_COL_BUFF1_BANK4_VAL1_BUSY(x)                       (((x) >> 7) & 0x1)
#define   C_009068_COL_BUFF1_BANK4_VAL1_BUSY                          0xFFFFFF7F
#define   S_009068_COL_BUFF1_BANK4_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 8)
#define   G_009068_COL_BUFF1_BANK4_VAL0_BUSY(x)                       (((x) >> 8) & 0x1)
#define   C_009068_COL_BUFF1_BANK4_VAL0_BUSY                          0xFFFFFEFF
#define   S_009068_COL_BUFF0_BANK7_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 9)
#define   G_009068_COL_BUFF0_BANK7_VAL3_BUSY(x)                       (((x) >> 9) & 0x1)
#define   C_009068_COL_BUFF0_BANK7_VAL3_BUSY                          0xFFFFFDFF
#define   S_009068_COL_BUFF0_BANK7_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 10)
#define   G_009068_COL_BUFF0_BANK7_VAL2_BUSY(x)                       (((x) >> 10) & 0x1)
#define   C_009068_COL_BUFF0_BANK7_VAL2_BUSY                          0xFFFFFBFF
#define   S_009068_COL_BUFF0_BANK7_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 11)
#define   G_009068_COL_BUFF0_BANK7_VAL1_BUSY(x)                       (((x) >> 11) & 0x1)
#define   C_009068_COL_BUFF0_BANK7_VAL1_BUSY                          0xFFFFF7FF
#define   S_009068_COL_BUFF0_BANK7_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 12)
#define   G_009068_COL_BUFF0_BANK7_VAL0_BUSY(x)                       (((x) >> 12) & 0x1)
#define   C_009068_COL_BUFF0_BANK7_VAL0_BUSY                          0xFFFFEFFF
#define   S_009068_COL_BUFF0_BANK6_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 13)
#define   G_009068_COL_BUFF0_BANK6_VAL3_BUSY(x)                       (((x) >> 13) & 0x1)
#define   C_009068_COL_BUFF0_BANK6_VAL3_BUSY                          0xFFFFDFFF
#define   S_009068_COL_BUFF0_BANK6_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 14)
#define   G_009068_COL_BUFF0_BANK6_VAL2_BUSY(x)                       (((x) >> 14) & 0x1)
#define   C_009068_COL_BUFF0_BANK6_VAL2_BUSY                          0xFFFFBFFF
#define   S_009068_COL_BUFF0_BANK6_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 15)
#define   G_009068_COL_BUFF0_BANK6_VAL1_BUSY(x)                       (((x) >> 15) & 0x1)
#define   C_009068_COL_BUFF0_BANK6_VAL1_BUSY                          0xFFFF7FFF
#define   S_009068_COL_BUFF0_BANK6_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 16)
#define   G_009068_COL_BUFF0_BANK6_VAL0_BUSY(x)                       (((x) >> 16) & 0x1)
#define   C_009068_COL_BUFF0_BANK6_VAL0_BUSY                          0xFFFEFFFF
#define   S_009068_COL_BUFF0_BANK5_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 17)
#define   G_009068_COL_BUFF0_BANK5_VAL3_BUSY(x)                       (((x) >> 17) & 0x1)
#define   C_009068_COL_BUFF0_BANK5_VAL3_BUSY                          0xFFFDFFFF
#define   S_009068_COL_BUFF0_BANK5_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 18)
#define   G_009068_COL_BUFF0_BANK5_VAL2_BUSY(x)                       (((x) >> 18) & 0x1)
#define   C_009068_COL_BUFF0_BANK5_VAL2_BUSY                          0xFFFBFFFF
#define   S_009068_COL_BUFF0_BANK5_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 19)
#define   G_009068_COL_BUFF0_BANK5_VAL1_BUSY(x)                       (((x) >> 19) & 0x1)
#define   C_009068_COL_BUFF0_BANK5_VAL1_BUSY                          0xFFF7FFFF
#define   S_009068_COL_BUFF0_BANK5_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 20)
#define   G_009068_COL_BUFF0_BANK5_VAL0_BUSY(x)                       (((x) >> 20) & 0x1)
#define   C_009068_COL_BUFF0_BANK5_VAL0_BUSY                          0xFFEFFFFF
#define   S_009068_COL_BUFF0_BANK4_VAL3_BUSY(x)                       (((unsigned)(x) & 0x1) << 21)
#define   G_009068_COL_BUFF0_BANK4_VAL3_BUSY(x)                       (((x) >> 21) & 0x1)
#define   C_009068_COL_BUFF0_BANK4_VAL3_BUSY                          0xFFDFFFFF
#define   S_009068_COL_BUFF0_BANK4_VAL2_BUSY(x)                       (((unsigned)(x) & 0x1) << 22)
#define   G_009068_COL_BUFF0_BANK4_VAL2_BUSY(x)                       (((x) >> 22) & 0x1)
#define   C_009068_COL_BUFF0_BANK4_VAL2_BUSY                          0xFFBFFFFF
#define   S_009068_COL_BUFF0_BANK4_VAL1_BUSY(x)                       (((unsigned)(x) & 0x1) << 23)
#define   G_009068_COL_BUFF0_BANK4_VAL1_BUSY(x)                       (((x) >> 23) & 0x1)
#define   C_009068_COL_BUFF0_BANK4_VAL1_BUSY                          0xFF7FFFFF
#define   S_009068_COL_BUFF0_BANK4_VAL0_BUSY(x)                       (((unsigned)(x) & 0x1) << 24)
#define   G_009068_COL_BUFF0_BANK4_VAL0_BUSY(x)                       (((x) >> 24) & 0x1)
#define   C_009068_COL_BUFF0_BANK4_VAL0_BUSY                          0xFEFFFFFF
#define   S_009068_COL_REQ3_CREDIT_BUSY(x)                            (((unsigned)(x) & 0x1) << 25)
#define   G_009068_COL_REQ3_CREDIT_BUSY(x)                            (((x) >> 25) & 0x1)
#define   C_009068_COL_REQ3_CREDIT_BUSY                               0xFDFFFFFF
#define   S_009068_COL_REQ3_FLOP_BUSY(x)                              (((unsigned)(x) & 0x1) << 26)
#define   G_009068_COL_REQ3_FLOP_BUSY(x)                              (((x) >> 26) & 0x1)
#define   C_009068_COL_REQ3_FLOP_BUSY                                 0xFBFFFFFF
#define   S_009068_COL_REQ2_CREDIT_BUSY(x)                            (((unsigned)(x) & 0x1) << 27)
#define   G_009068_COL_REQ2_CREDIT_BUSY(x)                            (((x) >> 27) & 0x1)
#define   C_009068_COL_REQ2_CREDIT_BUSY                               0xF7FFFFFF
#define   S_009068_COL_REQ2_FLOP_BUSY(x)                              (((unsigned)(x) & 0x1) << 28)
#define   G_009068_COL_REQ2_FLOP_BUSY(x)                              (((x) >> 28) & 0x1)
#define   C_009068_COL_REQ2_FLOP_BUSY                                 0xEFFFFFFF
#define   S_009068_COL_REQ1_CREDIT_BUSY(x)                            (((unsigned)(x) & 0x1) << 29)
#define   G_009068_COL_REQ1_CREDIT_BUSY(x)                            (((x) >> 29) & 0x1)
#define   C_009068_COL_REQ1_CREDIT_BUSY                               0xDFFFFFFF
#define   S_009068_COL_REQ1_FLOP_BUSY(x)                              (((unsigned)(x) & 0x1) << 30)
#define   G_009068_COL_REQ1_FLOP_BUSY(x)                              (((x) >> 30) & 0x1)
#define   C_009068_COL_REQ1_FLOP_BUSY                                 0xBFFFFFFF
#define   S_009068_COL_REQ0_CREDIT_BUSY(x)                            (((unsigned)(x) & 0x1) << 31)
#define   G_009068_COL_REQ0_CREDIT_BUSY(x)                            (((x) >> 31) & 0x1)
#define   C_009068_COL_REQ0_CREDIT_BUSY                               0x7FFFFFFF
#define R_00906C_SX_DEBUG_BUSY_7                                        0x00906C /* >= gfx10 */
#define   S_00906C_COL_REQ0_FLOP_BUSY(x)                              (((unsigned)(x) & 0x1) << 0)
#define   G_00906C_COL_REQ0_FLOP_BUSY(x)                              (((x) >> 0) & 0x1)
#define   C_00906C_COL_REQ0_FLOP_BUSY                                 0xFFFFFFFE
#define   S_00906C_COL_SCBD0_BUSY(x)                                  (((unsigned)(x) & 0x1) << 1)
#define   G_00906C_COL_SCBD0_BUSY(x)                                  (((x) >> 1) & 0x1)
#define   C_00906C_COL_SCBD0_BUSY                                     0xFFFFFFFD
#define   S_00906C_COL_BLEND3_DATA_VALIDQ1(x)                         (((unsigned)(x) & 0x1) << 2)
#define   G_00906C_COL_BLEND3_DATA_VALIDQ1(x)                         (((x) >> 2) & 0x1)
#define   C_00906C_COL_BLEND3_DATA_VALIDQ1                            0xFFFFFFFB
#define   S_00906C_COL_BLEND3_DATA_VALIDQ1_ADJ(x)                     (((unsigned)(x) & 0x1) << 3)
#define   G_00906C_COL_BLEND3_DATA_VALIDQ1_ADJ(x)                     (((x) >> 3) & 0x1)
#define   C_00906C_COL_BLEND3_DATA_VALIDQ1_ADJ                        0xFFFFFFF7
#define   S_00906C_COL_BLEND3_DATA_VALIDQ2(x)                         (((unsigned)(x) & 0x1) << 4)
#define   G_00906C_COL_BLEND3_DATA_VALIDQ2(x)                         (((x) >> 4) & 0x1)
#define   C_00906C_COL_BLEND3_DATA_VALIDQ2                            0xFFFFFFEF
#define   S_00906C_COL_BLEND3_DATA_VALIDQ3(x)                         (((unsigned)(x) & 0x1) << 5)
#define   G_00906C_COL_BLEND3_DATA_VALIDQ3(x)                         (((x) >> 5) & 0x1)
#define   C_00906C_COL_BLEND3_DATA_VALIDQ3                            0xFFFFFFDF
#define   S_00906C_COL_BLEND3_DATA_VALIDQ4(x)                         (((unsigned)(x) & 0x1) << 6)
#define   G_00906C_COL_BLEND3_DATA_VALIDQ4(x)                         (((x) >> 6) & 0x1)
#define   C_00906C_COL_BLEND3_DATA_VALIDQ4                            0xFFFFFFBF
#define   S_00906C_COL_BLEND3_DATA_VALIDQ5(x)                         (((unsigned)(x) & 0x1) << 7)
#define   G_00906C_COL_BLEND3_DATA_VALIDQ5(x)                         (((x) >> 7) & 0x1)
#define   C_00906C_COL_BLEND3_DATA_VALIDQ5                            0xFFFFFF7F
#define   S_00906C_COL_BLEND3_DATA_VALID_OUT(x)                       (((unsigned)(x) & 0x1) << 8)
#define   G_00906C_COL_BLEND3_DATA_VALID_OUT(x)                       (((x) >> 8) & 0x1)
#define   C_00906C_COL_BLEND3_DATA_VALID_OUT                          0xFFFFFEFF
#define   S_00906C_COL_BLEND2_DATA_VALIDQ1(x)                         (((unsigned)(x) & 0x1) << 10)
#define   G_00906C_COL_BLEND2_DATA_VALIDQ1(x)                         (((x) >> 10) & 0x1)
#define   C_00906C_COL_BLEND2_DATA_VALIDQ1                            0xFFFFFBFF
#define   S_00906C_COL_BLEND2_DATA_VALIDQ1_ADJ(x)                     (((unsigned)(x) & 0x1) << 11)
#define   G_00906C_COL_BLEND2_DATA_VALIDQ1_ADJ(x)                     (((x) >> 11) & 0x1)
#define   C_00906C_COL_BLEND2_DATA_VALIDQ1_ADJ                        0xFFFFF7FF
#define   S_00906C_COL_BLEND2_DATA_VALIDQ2(x)                         (((unsigned)(x) & 0x1) << 12)
#define   G_00906C_COL_BLEND2_DATA_VALIDQ2(x)                         (((x) >> 12) & 0x1)
#define   C_00906C_COL_BLEND2_DATA_VALIDQ2                            0xFFFFEFFF
#define   S_00906C_COL_BLEND2_DATA_VALIDQ3(x)                         (((unsigned)(x) & 0x1) << 13)
#define   G_00906C_COL_BLEND2_DATA_VALIDQ3(x)                         (((x) >> 13) & 0x1)
#define   C_00906C_COL_BLEND2_DATA_VALIDQ3                            0xFFFFDFFF
#define   S_00906C_COL_BLEND2_DATA_VALIDQ4(x)                         (((unsigned)(x) & 0x1) << 14)
#define   G_00906C_COL_BLEND2_DATA_VALIDQ4(x)                         (((x) >> 14) & 0x1)
#define   C_00906C_COL_BLEND2_DATA_VALIDQ4                            0xFFFFBFFF
#define   S_00906C_COL_BLEND2_DATA_VALIDQ5(x)                         (((unsigned)(x) & 0x1) << 15)
#define   G_00906C_COL_BLEND2_DATA_VALIDQ5(x)                         (((x) >> 15) & 0x1)
#define   C_00906C_COL_BLEND2_DATA_VALIDQ5                            0xFFFF7FFF
#define   S_00906C_COL_BLEND2_DATA_VALID_OUT(x)                       (((unsigned)(x) & 0x1) << 16)
#define   G_00906C_COL_BLEND2_DATA_VALID_OUT(x)                       (((x) >> 16) & 0x1)
#define   C_00906C_COL_BLEND2_DATA_VALID_OUT                          0xFFFEFFFF
#define   S_00906C_COL_BLEND1_DATA_VALIDQ1(x)                         (((unsigned)(x) & 0x1) << 18)
#define   G_00906C_COL_BLEND1_DATA_VALIDQ1(x)                         (((x) >> 18) & 0x1)
#define   C_00906C_COL_BLEND1_DATA_VALIDQ1                            0xFFFBFFFF
#define   S_00906C_COL_BLEND1_DATA_VALIDQ1_ADJ(x)                     (((unsigned)(x) & 0x1) << 19)
#define   G_00906C_COL_BLEND1_DATA_VALIDQ1_ADJ(x)                     (((x) >> 19) & 0x1)
#define   C_00906C_COL_BLEND1_DATA_VALIDQ1_ADJ                        0xFFF7FFFF
#define   S_00906C_COL_BLEND1_DATA_VALIDQ2(x)                         (((unsigned)(x) & 0x1) << 20)
#define   G_00906C_COL_BLEND1_DATA_VALIDQ2(x)                         (((x) >> 20) & 0x1)
#define   C_00906C_COL_BLEND1_DATA_VALIDQ2                            0xFFEFFFFF
#define   S_00906C_COL_BLEND1_DATA_VALIDQ3(x)                         (((unsigned)(x) & 0x1) << 21)
#define   G_00906C_COL_BLEND1_DATA_VALIDQ3(x)                         (((x) >> 21) & 0x1)
#define   C_00906C_COL_BLEND1_DATA_VALIDQ3                            0xFFDFFFFF
#define   S_00906C_COL_BLEND1_DATA_VALIDQ4(x)                         (((unsigned)(x) & 0x1) << 22)
#define   G_00906C_COL_BLEND1_DATA_VALIDQ4(x)                         (((x) >> 22) & 0x1)
#define   C_00906C_COL_BLEND1_DATA_VALIDQ4                            0xFFBFFFFF
#define   S_00906C_COL_BLEND1_DATA_VALIDQ5(x)                         (((unsigned)(x) & 0x1) << 23)
#define   G_00906C_COL_BLEND1_DATA_VALIDQ5(x)                         (((x) >> 23) & 0x1)
#define   C_00906C_COL_BLEND1_DATA_VALIDQ5                            0xFF7FFFFF
#define   S_00906C_COL_BLEND1_DATA_VALID_OUT(x)                       (((unsigned)(x) & 0x1) << 24)
#define   G_00906C_COL_BLEND1_DATA_VALID_OUT(x)                       (((x) >> 24) & 0x1)
#define   C_00906C_COL_BLEND1_DATA_VALID_OUT                          0xFEFFFFFF
#define   S_00906C_COL_BLEND0_DATA_VALIDQ1(x)                         (((unsigned)(x) & 0x1) << 26)
#define   G_00906C_COL_BLEND0_DATA_VALIDQ1(x)                         (((x) >> 26) & 0x1)
#define   C_00906C_COL_BLEND0_DATA_VALIDQ1                            0xFBFFFFFF
#define   S_00906C_COL_BLEND0_DATA_VALIDQ1_ADJ(x)                     (((unsigned)(x) & 0x1) << 27)
#define   G_00906C_COL_BLEND0_DATA_VALIDQ1_ADJ(x)                     (((x) >> 27) & 0x1)
#define   C_00906C_COL_BLEND0_DATA_VALIDQ1_ADJ                        0xF7FFFFFF
#define   S_00906C_COL_BLEND0_DATA_VALIDQ2(x)                         (((unsigned)(x) & 0x1) << 28)
#define   G_00906C_COL_BLEND0_DATA_VALIDQ2(x)                         (((x) >> 28) & 0x1)
#define   C_00906C_COL_BLEND0_DATA_VALIDQ2                            0xEFFFFFFF
#define   S_00906C_COL_BLEND0_DATA_VALIDQ3(x)                         (((unsigned)(x) & 0x1) << 29)
#define   G_00906C_COL_BLEND0_DATA_VALIDQ3(x)                         (((x) >> 29) & 0x1)
#define   C_00906C_COL_BLEND0_DATA_VALIDQ3                            0xDFFFFFFF
#define   S_00906C_COL_BLEND0_DATA_VALIDQ4(x)                         (((unsigned)(x) & 0x1) << 30)
#define   G_00906C_COL_BLEND0_DATA_VALIDQ4(x)                         (((x) >> 30) & 0x1)
#define   C_00906C_COL_BLEND0_DATA_VALIDQ4                            0xBFFFFFFF
#define   S_00906C_COL_BLEND0_DATA_VALIDQ5(x)                         (((unsigned)(x) & 0x1) << 31)
#define   G_00906C_COL_BLEND0_DATA_VALIDQ5(x)                         (((x) >> 31) & 0x1)
#define   C_00906C_COL_BLEND0_DATA_VALIDQ5                            0x7FFFFFFF
#define R_009070_SX_DEBUG_BUSY_8                                        0x009070 /* >= gfx10 */
#define   S_009070_COL_BLEND0_DATA_VALID_OUT(x)                       (((unsigned)(x) & 0x1) << 0)
#define   G_009070_COL_BLEND0_DATA_VALID_OUT(x)                       (((x) >> 0) & 0x1)
#define   C_009070_COL_BLEND0_DATA_VALID_OUT                          0xFFFFFFFE
#define   S_009070_POS_BANK7VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 2)
#define   G_009070_POS_BANK7VAL3_BUSY(x)                              (((x) >> 2) & 0x1)
#define   C_009070_POS_BANK7VAL3_BUSY                                 0xFFFFFFFB
#define   S_009070_POS_BANK7VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 3)
#define   G_009070_POS_BANK7VAL2_BUSY(x)                              (((x) >> 3) & 0x1)
#define   C_009070_POS_BANK7VAL2_BUSY                                 0xFFFFFFF7
#define   S_009070_POS_BANK7VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 4)
#define   G_009070_POS_BANK7VAL1_BUSY(x)                              (((x) >> 4) & 0x1)
#define   C_009070_POS_BANK7VAL1_BUSY                                 0xFFFFFFEF
#define   S_009070_POS_BANK7VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 5)
#define   G_009070_POS_BANK7VAL0_BUSY(x)                              (((x) >> 5) & 0x1)
#define   C_009070_POS_BANK7VAL0_BUSY                                 0xFFFFFFDF
#define   S_009070_POS_BANK6VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 6)
#define   G_009070_POS_BANK6VAL3_BUSY(x)                              (((x) >> 6) & 0x1)
#define   C_009070_POS_BANK6VAL3_BUSY                                 0xFFFFFFBF
#define   S_009070_POS_BANK6VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 7)
#define   G_009070_POS_BANK6VAL2_BUSY(x)                              (((x) >> 7) & 0x1)
#define   C_009070_POS_BANK6VAL2_BUSY                                 0xFFFFFF7F
#define   S_009070_POS_BANK6VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 8)
#define   G_009070_POS_BANK6VAL1_BUSY(x)                              (((x) >> 8) & 0x1)
#define   C_009070_POS_BANK6VAL1_BUSY                                 0xFFFFFEFF
#define   S_009070_POS_BANK6VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 9)
#define   G_009070_POS_BANK6VAL0_BUSY(x)                              (((x) >> 9) & 0x1)
#define   C_009070_POS_BANK6VAL0_BUSY                                 0xFFFFFDFF
#define   S_009070_POS_BANK5VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 10)
#define   G_009070_POS_BANK5VAL3_BUSY(x)                              (((x) >> 10) & 0x1)
#define   C_009070_POS_BANK5VAL3_BUSY                                 0xFFFFFBFF
#define   S_009070_POS_BANK5VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 11)
#define   G_009070_POS_BANK5VAL2_BUSY(x)                              (((x) >> 11) & 0x1)
#define   C_009070_POS_BANK5VAL2_BUSY                                 0xFFFFF7FF
#define   S_009070_POS_BANK5VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 12)
#define   G_009070_POS_BANK5VAL1_BUSY(x)                              (((x) >> 12) & 0x1)
#define   C_009070_POS_BANK5VAL1_BUSY                                 0xFFFFEFFF
#define   S_009070_POS_BANK5VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 13)
#define   G_009070_POS_BANK5VAL0_BUSY(x)                              (((x) >> 13) & 0x1)
#define   C_009070_POS_BANK5VAL0_BUSY                                 0xFFFFDFFF
#define   S_009070_POS_BANK4VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 14)
#define   G_009070_POS_BANK4VAL3_BUSY(x)                              (((x) >> 14) & 0x1)
#define   C_009070_POS_BANK4VAL3_BUSY                                 0xFFFFBFFF
#define   S_009070_POS_BANK4VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 15)
#define   G_009070_POS_BANK4VAL2_BUSY(x)                              (((x) >> 15) & 0x1)
#define   C_009070_POS_BANK4VAL2_BUSY                                 0xFFFF7FFF
#define   S_009070_POS_BANK4VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 16)
#define   G_009070_POS_BANK4VAL1_BUSY(x)                              (((x) >> 16) & 0x1)
#define   C_009070_POS_BANK4VAL1_BUSY                                 0xFFFEFFFF
#define   S_009070_POS_BANK4VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 17)
#define   G_009070_POS_BANK4VAL0_BUSY(x)                              (((x) >> 17) & 0x1)
#define   C_009070_POS_BANK4VAL0_BUSY                                 0xFFFDFFFF
#define   S_009070_POS_WRCTRL1_VALIDQ3(x)                             (((unsigned)(x) & 0x1) << 18)
#define   G_009070_POS_WRCTRL1_VALIDQ3(x)                             (((x) >> 18) & 0x1)
#define   C_009070_POS_WRCTRL1_VALIDQ3                                0xFFFBFFFF
#define   S_009070_POS_WRCTRL1_VALIDQ2(x)                             (((unsigned)(x) & 0x1) << 19)
#define   G_009070_POS_WRCTRL1_VALIDQ2(x)                             (((x) >> 19) & 0x1)
#define   C_009070_POS_WRCTRL1_VALIDQ2                                0xFFF7FFFF
#define   S_009070_POS_WRCTRL1_VALIDQ1(x)                             (((unsigned)(x) & 0x1) << 20)
#define   G_009070_POS_WRCTRL1_VALIDQ1(x)                             (((x) >> 20) & 0x1)
#define   C_009070_POS_WRCTRL1_VALIDQ1                                0xFFEFFFFF
#define   S_009070_IDX_WRCTRL1_VALIDQ3(x)                             (((unsigned)(x) & 0x1) << 21)
#define   G_009070_IDX_WRCTRL1_VALIDQ3(x)                             (((x) >> 21) & 0x1)
#define   C_009070_IDX_WRCTRL1_VALIDQ3                                0xFFDFFFFF
#define   S_009070_IDX_WRCTRL1_VALIDQ2(x)                             (((unsigned)(x) & 0x1) << 22)
#define   G_009070_IDX_WRCTRL1_VALIDQ2(x)                             (((x) >> 22) & 0x1)
#define   C_009070_IDX_WRCTRL1_VALIDQ2                                0xFFBFFFFF
#define   S_009070_IDX_WRCTRL1_VALIDQ1(x)                             (((unsigned)(x) & 0x1) << 23)
#define   G_009070_IDX_WRCTRL1_VALIDQ1(x)                             (((x) >> 23) & 0x1)
#define   C_009070_IDX_WRCTRL1_VALIDQ1                                0xFF7FFFFF
#define   S_009070_IDX_SCBD_BUSY(x)                                   (((unsigned)(x) & 0x1) << 24)
#define   G_009070_IDX_SCBD_BUSY(x)                                   (((x) >> 24) & 0x1)
#define   C_009070_IDX_SCBD_BUSY                                      0xFEFFFFFF
#define   S_009070_IDX_FREE_OR_VALIDS(x)                              (((unsigned)(x) & 0x1) << 25)
#define   G_009070_IDX_FREE_OR_VALIDS(x)                              (((x) >> 25) & 0x1)
#define   C_009070_IDX_FREE_OR_VALIDS                                 0xFDFFFFFF
#define   S_009070_IDX_REQUESTER_BUSY(x)                              (((unsigned)(x) & 0x1) << 26)
#define   G_009070_IDX_REQUESTER_BUSY(x)                              (((x) >> 26) & 0x1)
#define   C_009070_IDX_REQUESTER_BUSY                                 0xFBFFFFFF
#define   S_009070_PA_SX_IDX_BUSY(x)                                  (((unsigned)(x) & 0x1) << 27)
#define   G_009070_PA_SX_IDX_BUSY(x)                                  (((x) >> 27) & 0x1)
#define   C_009070_PA_SX_IDX_BUSY                                     0xF7FFFFFF
#define   S_009070_IDX_BANK7VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 28)
#define   G_009070_IDX_BANK7VAL3_BUSY(x)                              (((x) >> 28) & 0x1)
#define   C_009070_IDX_BANK7VAL3_BUSY                                 0xEFFFFFFF
#define   S_009070_IDX_BANK7VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 29)
#define   G_009070_IDX_BANK7VAL2_BUSY(x)                              (((x) >> 29) & 0x1)
#define   C_009070_IDX_BANK7VAL2_BUSY                                 0xDFFFFFFF
#define   S_009070_IDX_BANK7VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 30)
#define   G_009070_IDX_BANK7VAL1_BUSY(x)                              (((x) >> 30) & 0x1)
#define   C_009070_IDX_BANK7VAL1_BUSY                                 0xBFFFFFFF
#define   S_009070_IDX_BANK7VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 31)
#define   G_009070_IDX_BANK7VAL0_BUSY(x)                              (((x) >> 31) & 0x1)
#define   C_009070_IDX_BANK7VAL0_BUSY                                 0x7FFFFFFF
#define R_009074_SX_DEBUG_BUSY_9                                        0x009074 /* >= gfx10 */
#define   S_009074_IDX_BANK6VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 0)
#define   G_009074_IDX_BANK6VAL3_BUSY(x)                              (((x) >> 0) & 0x1)
#define   C_009074_IDX_BANK6VAL3_BUSY                                 0xFFFFFFFE
#define   S_009074_IDX_BANK6VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 1)
#define   G_009074_IDX_BANK6VAL2_BUSY(x)                              (((x) >> 1) & 0x1)
#define   C_009074_IDX_BANK6VAL2_BUSY                                 0xFFFFFFFD
#define   S_009074_IDX_BANK6VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 2)
#define   G_009074_IDX_BANK6VAL1_BUSY(x)                              (((x) >> 2) & 0x1)
#define   C_009074_IDX_BANK6VAL1_BUSY                                 0xFFFFFFFB
#define   S_009074_IDX_BANK6VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 3)
#define   G_009074_IDX_BANK6VAL0_BUSY(x)                              (((x) >> 3) & 0x1)
#define   C_009074_IDX_BANK6VAL0_BUSY                                 0xFFFFFFF7
#define   S_009074_IDX_BANK5VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 4)
#define   G_009074_IDX_BANK5VAL3_BUSY(x)                              (((x) >> 4) & 0x1)
#define   C_009074_IDX_BANK5VAL3_BUSY                                 0xFFFFFFEF
#define   S_009074_IDX_BANK5VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 5)
#define   G_009074_IDX_BANK5VAL2_BUSY(x)                              (((x) >> 5) & 0x1)
#define   C_009074_IDX_BANK5VAL2_BUSY                                 0xFFFFFFDF
#define   S_009074_IDX_BANK5VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 6)
#define   G_009074_IDX_BANK5VAL1_BUSY(x)                              (((x) >> 6) & 0x1)
#define   C_009074_IDX_BANK5VAL1_BUSY                                 0xFFFFFFBF
#define   S_009074_IDX_BANK5VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 7)
#define   G_009074_IDX_BANK5VAL0_BUSY(x)                              (((x) >> 7) & 0x1)
#define   C_009074_IDX_BANK5VAL0_BUSY                                 0xFFFFFF7F
#define   S_009074_IDX_BANK4VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 8)
#define   G_009074_IDX_BANK4VAL3_BUSY(x)                              (((x) >> 8) & 0x1)
#define   C_009074_IDX_BANK4VAL3_BUSY                                 0xFFFFFEFF
#define   S_009074_IDX_BANK4VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 9)
#define   G_009074_IDX_BANK4VAL2_BUSY(x)                              (((x) >> 9) & 0x1)
#define   C_009074_IDX_BANK4VAL2_BUSY                                 0xFFFFFDFF
#define   S_009074_IDX_BANK4VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 10)
#define   G_009074_IDX_BANK4VAL1_BUSY(x)                              (((x) >> 10) & 0x1)
#define   C_009074_IDX_BANK4VAL1_BUSY                                 0xFFFFFBFF
#define   S_009074_IDX_BANK4VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 11)
#define   G_009074_IDX_BANK4VAL0_BUSY(x)                              (((x) >> 11) & 0x1)
#define   C_009074_IDX_BANK4VAL0_BUSY                                 0xFFFFF7FF
#define   S_009074_IDX_BANK3VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 12)
#define   G_009074_IDX_BANK3VAL3_BUSY(x)                              (((x) >> 12) & 0x1)
#define   C_009074_IDX_BANK3VAL3_BUSY                                 0xFFFFEFFF
#define   S_009074_IDX_BANK3VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 13)
#define   G_009074_IDX_BANK3VAL2_BUSY(x)                              (((x) >> 13) & 0x1)
#define   C_009074_IDX_BANK3VAL2_BUSY                                 0xFFFFDFFF
#define   S_009074_IDX_BANK3VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 14)
#define   G_009074_IDX_BANK3VAL1_BUSY(x)                              (((x) >> 14) & 0x1)
#define   C_009074_IDX_BANK3VAL1_BUSY                                 0xFFFFBFFF
#define   S_009074_IDX_BANK3VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 15)
#define   G_009074_IDX_BANK3VAL0_BUSY(x)                              (((x) >> 15) & 0x1)
#define   C_009074_IDX_BANK3VAL0_BUSY                                 0xFFFF7FFF
#define   S_009074_IDX_BANK2VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 16)
#define   G_009074_IDX_BANK2VAL3_BUSY(x)                              (((x) >> 16) & 0x1)
#define   C_009074_IDX_BANK2VAL3_BUSY                                 0xFFFEFFFF
#define   S_009074_IDX_BANK2VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 17)
#define   G_009074_IDX_BANK2VAL2_BUSY(x)                              (((x) >> 17) & 0x1)
#define   C_009074_IDX_BANK2VAL2_BUSY                                 0xFFFDFFFF
#define   S_009074_IDX_BANK2VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 18)
#define   G_009074_IDX_BANK2VAL1_BUSY(x)                              (((x) >> 18) & 0x1)
#define   C_009074_IDX_BANK2VAL1_BUSY                                 0xFFFBFFFF
#define   S_009074_IDX_BANK2VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 19)
#define   G_009074_IDX_BANK2VAL0_BUSY(x)                              (((x) >> 19) & 0x1)
#define   C_009074_IDX_BANK2VAL0_BUSY                                 0xFFF7FFFF
#define   S_009074_IDX_BANK1VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 20)
#define   G_009074_IDX_BANK1VAL3_BUSY(x)                              (((x) >> 20) & 0x1)
#define   C_009074_IDX_BANK1VAL3_BUSY                                 0xFFEFFFFF
#define   S_009074_IDX_BANK1VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 21)
#define   G_009074_IDX_BANK1VAL2_BUSY(x)                              (((x) >> 21) & 0x1)
#define   C_009074_IDX_BANK1VAL2_BUSY                                 0xFFDFFFFF
#define   S_009074_IDX_BANK1VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 22)
#define   G_009074_IDX_BANK1VAL1_BUSY(x)                              (((x) >> 22) & 0x1)
#define   C_009074_IDX_BANK1VAL1_BUSY                                 0xFFBFFFFF
#define   S_009074_IDX_BANK1VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 23)
#define   G_009074_IDX_BANK1VAL0_BUSY(x)                              (((x) >> 23) & 0x1)
#define   C_009074_IDX_BANK1VAL0_BUSY                                 0xFF7FFFFF
#define   S_009074_IDX_BANK0VAL3_BUSY(x)                              (((unsigned)(x) & 0x1) << 24)
#define   G_009074_IDX_BANK0VAL3_BUSY(x)                              (((x) >> 24) & 0x1)
#define   C_009074_IDX_BANK0VAL3_BUSY                                 0xFEFFFFFF
#define   S_009074_IDX_BANK0VAL2_BUSY(x)                              (((unsigned)(x) & 0x1) << 25)
#define   G_009074_IDX_BANK0VAL2_BUSY(x)                              (((x) >> 25) & 0x1)
#define   C_009074_IDX_BANK0VAL2_BUSY                                 0xFDFFFFFF
#define   S_009074_IDX_BANK0VAL1_BUSY(x)                              (((unsigned)(x) & 0x1) << 26)
#define   G_009074_IDX_BANK0VAL1_BUSY(x)                              (((x) >> 26) & 0x1)
#define   C_009074_IDX_BANK0VAL1_BUSY                                 0xFBFFFFFF
#define   S_009074_IDX_BANK0VAL0_BUSY(x)                              (((unsigned)(x) & 0x1) << 27)
#define   G_009074_IDX_BANK0VAL0_BUSY(x)                              (((x) >> 27) & 0x1)
#define   C_009074_IDX_BANK0VAL0_BUSY                                 0xF7FFFFFF
#define   S_009074_SX_SX_IN_VALID(x)                                  (((unsigned)(x) & 0x1) << 28)
#define   G_009074_SX_SX_IN_VALID(x)                                  (((x) >> 28) & 0x1)
#define   C_009074_SX_SX_IN_VALID                                     0xEFFFFFFF
#define   S_009074_SX_SX_OUT_VALID(x)                                 (((unsigned)(x) & 0x1) << 29)
#define   G_009074_SX_SX_OUT_VALID(x)                                 (((x) >> 29) & 0x1)
#define   C_009074_SX_SX_OUT_VALID                                    0xDFFFFFFF
#define R_0090DC_SPI_DYN_GPR_LOCK_EN                                    0x0090DC /* <= gfx6 */
#define   S_0090DC_VS_LOW_THRESHOLD(x)                                (((unsigned)(x) & 0xF) << 0)
#define   G_0090DC_VS_LOW_THRESHOLD(x)                                (((x) >> 0) & 0xF)
#define   C_0090DC_VS_LOW_THRESHOLD                                   0xFFFFFFF0
#define   S_0090DC_GS_LOW_THRESHOLD(x)                                (((unsigned)(x) & 0xF) << 4)
#define   G_0090DC_GS_LOW_THRESHOLD(x)                                (((x) >> 4) & 0xF)
#define   C_0090DC_GS_LOW_THRESHOLD                                   0xFFFFFF0F
#define   S_0090DC_ES_LOW_THRESHOLD(x)                                (((unsigned)(x) & 0xF) << 8)
#define   G_0090DC_ES_LOW_THRESHOLD(x)                                (((x) >> 8) & 0xF)
#define   C_0090DC_ES_LOW_THRESHOLD                                   0xFFFFF0FF
#define   S_0090DC_HS_LOW_THRESHOLD(x)                                (((unsigned)(x) & 0xF) << 12)
#define   G_0090DC_HS_LOW_THRESHOLD(x)                                (((x) >> 12) & 0xF)
#define   C_0090DC_HS_LOW_THRESHOLD                                   0xFFFF0FFF
#define   S_0090DC_LS_LOW_THRESHOLD(x)                                (((unsigned)(x) & 0xF) << 16)
#define   G_0090DC_LS_LOW_THRESHOLD(x)                                (((x) >> 16) & 0xF)
#define   C_0090DC_LS_LOW_THRESHOLD                                   0xFFF0FFFF
#define R_0090E0_SPI_STATIC_THREAD_MGMT_1                               0x0090E0 /* <= gfx6 */
#define   S_0090E0_PS_CU_EN(x)                                        (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0090E0_PS_CU_EN(x)                                        (((x) >> 0) & 0xFFFF)
#define   C_0090E0_PS_CU_EN                                           0xFFFF0000
#define   S_0090E0_VS_CU_EN(x)                                        (((unsigned)(x) & 0xFFFF) << 16)
#define   G_0090E0_VS_CU_EN(x)                                        (((x) >> 16) & 0xFFFF)
#define   C_0090E0_VS_CU_EN                                           0x0000FFFF
#define R_0090E4_SPI_STATIC_THREAD_MGMT_2                               0x0090E4 /* <= gfx6 */
#define   S_0090E4_GS_CU_EN(x)                                        (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0090E4_GS_CU_EN(x)                                        (((x) >> 0) & 0xFFFF)
#define   C_0090E4_GS_CU_EN                                           0xFFFF0000
#define   S_0090E4_ES_CU_EN(x)                                        (((unsigned)(x) & 0xFFFF) << 16)
#define   G_0090E4_ES_CU_EN(x)                                        (((x) >> 16) & 0xFFFF)
#define   C_0090E4_ES_CU_EN                                           0x0000FFFF
#define R_0090E8_SPI_PS_MAX_WAVE_ID                                     0x0090E8 /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   S_0090E8_MAX_WAVE_ID(x)                                     (((unsigned)(x) & 0xFFF) << 0)
#define   G_0090E8_MAX_WAVE_ID(x)                                     (((x) >> 0) & 0xFFF)
#define   C_0090E8_MAX_WAVE_ID                                        0xFFFFF000
#define   S_0090E8_MAX_COLLISION_WAVE_ID(x)                           (((unsigned)(x) & 0x3FF) << 16) /* >= gfx10 */
#define   G_0090E8_MAX_COLLISION_WAVE_ID(x)                           (((x) >> 16) & 0x3FF)
#define   C_0090E8_MAX_COLLISION_WAVE_ID                              0xFC00FFFF
#define R_0090E8_SPI_STATIC_THREAD_MGMT_3                               0x0090E8 /* <= gfx6 */
#define   S_0090E8_LSHS_CU_EN(x)                                      (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0090E8_LSHS_CU_EN(x)                                      (((x) >> 0) & 0xFFFF)
#define   C_0090E8_LSHS_CU_EN                                         0xFFFF0000
#define R_0090EC_SPI_PS_MAX_WAVE_ID                                     0x0090EC /* <= gfx6 */
#define   S_0090EC_MAX_WAVE_ID(x)                                     (((unsigned)(x) & 0xFFF) << 0)
#define   G_0090EC_MAX_WAVE_ID(x)                                     (((x) >> 0) & 0xFFF)
#define   C_0090EC_MAX_WAVE_ID                                        0xFFFFF000
#define R_0090EC_SPI_START_PHASE                                        0x0090EC /* >= gfx10 */
#define   S_0090EC_PC_X_PHASE(x)                                      (((unsigned)(x) & 0x3) << 0)
#define   G_0090EC_PC_X_PHASE(x)                                      (((x) >> 0) & 0x3)
#define   C_0090EC_PC_X_PHASE                                         0xFFFFFFFC
#define R_0090F0_SPI_ARB_PRIORITY                                       0x0090F0 /* <= gfx6 */
#define   S_0090F0_RING_ORDER_TS0(x)                                  (((unsigned)(x) & 0x7) << 0)
#define   G_0090F0_RING_ORDER_TS0(x)                                  (((x) >> 0) & 0x7)
#define   C_0090F0_RING_ORDER_TS0                                     0xFFFFFFF8
#define     V_0090F0_X_R0                                           0
#define   S_0090F0_RING_ORDER_TS1(x)                                  (((unsigned)(x) & 0x7) << 3)
#define   G_0090F0_RING_ORDER_TS1(x)                                  (((x) >> 3) & 0x7)
#define   C_0090F0_RING_ORDER_TS1                                     0xFFFFFFC7
#define   S_0090F0_RING_ORDER_TS2(x)                                  (((unsigned)(x) & 0x7) << 6)
#define   G_0090F0_RING_ORDER_TS2(x)                                  (((x) >> 6) & 0x7)
#define   C_0090F0_RING_ORDER_TS2                                     0xFFFFFE3F
#define R_0090F0_SPI_GFX_CNTL                                           0x0090F0 /* >= gfx10 */
#define   S_0090F0_RESET_COUNTS(x)                                    (((unsigned)(x) & 0x1) << 0)
#define   G_0090F0_RESET_COUNTS(x)                                    (((x) >> 0) & 0x1)
#define   C_0090F0_RESET_COUNTS                                       0xFFFFFFFE
#define R_0090F4_SPI_ARB_CYCLES_0                                       0x0090F4 /* <= gfx6 */
#define   S_0090F4_TS0_DURATION(x)                                    (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0090F4_TS0_DURATION(x)                                    (((x) >> 0) & 0xFFFF)
#define   C_0090F4_TS0_DURATION                                       0xFFFF0000
#define   S_0090F4_TS1_DURATION(x)                                    (((unsigned)(x) & 0xFFFF) << 16)
#define   G_0090F4_TS1_DURATION(x)                                    (((x) >> 16) & 0xFFFF)
#define   C_0090F4_TS1_DURATION                                       0x0000FFFF
#define R_0090F8_SPI_ARB_CYCLES_1                                       0x0090F8 /* <= gfx6 */
#define   S_0090F8_TS2_DURATION(x)                                    (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0090F8_TS2_DURATION(x)                                    (((x) >> 0) & 0xFFFF)
#define   C_0090F8_TS2_DURATION                                       0xFFFF0000
#define R_0090F8_SPI_DEBUG_CNTL_2                                       0x0090F8 /* >= gfx10 */
#define   S_0090F8_ECO_SPARE_0(x)                                     (((unsigned)(x) & 0x1) << 0)
#define   G_0090F8_ECO_SPARE_0(x)                                     (((x) >> 0) & 0x1)
#define   C_0090F8_ECO_SPARE_0                                        0xFFFFFFFE
#define   S_0090F8_ECO_SPARE_1(x)                                     (((unsigned)(x) & 0x1) << 1)
#define   G_0090F8_ECO_SPARE_1(x)                                     (((x) >> 1) & 0x1)
#define   C_0090F8_ECO_SPARE_1                                        0xFFFFFFFD
#define   S_0090F8_ECO_SPARE_2(x)                                     (((unsigned)(x) & 0x1) << 2)
#define   G_0090F8_ECO_SPARE_2(x)                                     (((x) >> 2) & 0x1)
#define   C_0090F8_ECO_SPARE_2                                        0xFFFFFFFB
#define   S_0090F8_ECO_SPARE_3(x)                                     (((unsigned)(x) & 0x1) << 3)
#define   G_0090F8_ECO_SPARE_3(x)                                     (((x) >> 3) & 0x1)
#define   C_0090F8_ECO_SPARE_3                                        0xFFFFFFF7
#define   S_0090F8_ECO_SPARE_4(x)                                     (((unsigned)(x) & 0x1) << 4)
#define   G_0090F8_ECO_SPARE_4(x)                                     (((x) >> 4) & 0x1)
#define   C_0090F8_ECO_SPARE_4                                        0xFFFFFFEF
#define   S_0090F8_ECO_SPARE_5(x)                                     (((unsigned)(x) & 0x1) << 5)
#define   G_0090F8_ECO_SPARE_5(x)                                     (((x) >> 5) & 0x1)
#define   C_0090F8_ECO_SPARE_5                                        0xFFFFFFDF
#define   S_0090F8_ECO_SPARE_6(x)                                     (((unsigned)(x) & 0x1) << 6)
#define   G_0090F8_ECO_SPARE_6(x)                                     (((x) >> 6) & 0x1)
#define   C_0090F8_ECO_SPARE_6                                        0xFFFFFFBF
#define   S_0090F8_ECO_SPARE_7(x)                                     (((unsigned)(x) & 0x1) << 7)
#define   G_0090F8_ECO_SPARE_7(x)                                     (((x) >> 7) & 0x1)
#define   C_0090F8_ECO_SPARE_7                                        0xFFFFFF7F
#define R_009100_SPI_CONFIG_CNTL                                        0x009100 /* <= stoney, >= gfx10 */
#define   S_009100_GPR_WRITE_PRIORITY(x)                              (((unsigned)(x) & 0x1FFFFF) << 0)
#define   G_009100_GPR_WRITE_PRIORITY(x)                              (((x) >> 0) & 0x1FFFFF)
#define   C_009100_GPR_WRITE_PRIORITY                                 0xFFE00000
#define   S_009100_EXP_PRIORITY_ORDER(x)                              (((unsigned)(x) & 0x7) << 21)
#define   G_009100_EXP_PRIORITY_ORDER(x)                              (((x) >> 21) & 0x7)
#define   C_009100_EXP_PRIORITY_ORDER                                 0xFF1FFFFF
#define   S_009100_ENABLE_SQG_TOP_EVENTS(x)                           (((unsigned)(x) & 0x1) << 24)
#define   G_009100_ENABLE_SQG_TOP_EVENTS(x)                           (((x) >> 24) & 0x1)
#define   C_009100_ENABLE_SQG_TOP_EVENTS                              0xFEFFFFFF
#define   S_009100_ENABLE_SQG_BOP_EVENTS(x)                           (((unsigned)(x) & 0x1) << 25)
#define   G_009100_ENABLE_SQG_BOP_EVENTS(x)                           (((x) >> 25) & 0x1)
#define   C_009100_ENABLE_SQG_BOP_EVENTS                              0xFDFFFFFF
#define   S_009100_RSRC_MGMT_RESET(x)                                 (((unsigned)(x) & 0x1) << 26)
#define   G_009100_RSRC_MGMT_RESET(x)                                 (((x) >> 26) & 0x1)
#define   C_009100_RSRC_MGMT_RESET                                    0xFBFFFFFF
#define   S_009100_TTRACE_STALL_ALL(x)                                (((unsigned)(x) & 0x1) << 27) /* >= gfx10 */
#define   G_009100_TTRACE_STALL_ALL(x)                                (((x) >> 27) & 0x1)
#define   C_009100_TTRACE_STALL_ALL                                   0xF7FFFFFF
#define   S_009100_ALLOC_ARB_LRU_ENA(x)                               (((unsigned)(x) & 0x1) << 28) /* >= gfx10 */
#define   G_009100_ALLOC_ARB_LRU_ENA(x)                               (((x) >> 28) & 0x1)
#define   C_009100_ALLOC_ARB_LRU_ENA                                  0xEFFFFFFF
#define   S_009100_EXP_ARB_LRU_ENA(x)                                 (((unsigned)(x) & 0x1) << 29) /* >= gfx10 */
#define   G_009100_EXP_ARB_LRU_ENA(x)                                 (((x) >> 29) & 0x1)
#define   C_009100_EXP_ARB_LRU_ENA                                    0xDFFFFFFF
#define   S_009100_PS_PKR_PRIORITY_CNTL(x)                            (((unsigned)(x) & 0x3) << 30) /* >= gfx10 */
#define   G_009100_PS_PKR_PRIORITY_CNTL(x)                            (((x) >> 30) & 0x3)
#define   C_009100_PS_PKR_PRIORITY_CNTL                               0x3FFFFFFF
#define R_009104_SPI_DEBUG_CNTL                                         0x009104 /* >= gfx10 */
#define   S_009104_DEBUG_GRBM_OVERRIDE(x)                             (((unsigned)(x) & 0x1) << 0)
#define   G_009104_DEBUG_GRBM_OVERRIDE(x)                             (((x) >> 0) & 0x1)
#define   C_009104_DEBUG_GRBM_OVERRIDE                                0xFFFFFFFE
#define   S_009104_DEBUG_THREAD_TYPE_SEL(x)                           (((unsigned)(x) & 0x7) << 1)
#define   G_009104_DEBUG_THREAD_TYPE_SEL(x)                           (((x) >> 1) & 0x7)
#define   C_009104_DEBUG_THREAD_TYPE_SEL                              0xFFFFFFF1
#define   S_009104_DEBUG_GROUP_SEL(x)                                 (((unsigned)(x) & 0x3F) << 4)
#define   G_009104_DEBUG_GROUP_SEL(x)                                 (((x) >> 4) & 0x3F)
#define   C_009104_DEBUG_GROUP_SEL                                    0xFFFFFC0F
#define   S_009104_DEBUG_SIMD_SEL(x)                                  (((unsigned)(x) & 0x3F) << 10)
#define   G_009104_DEBUG_SIMD_SEL(x)                                  (((x) >> 10) & 0x3F)
#define   C_009104_DEBUG_SIMD_SEL                                     0xFFFF03FF
#define   S_009104_DEBUG_SH_SEL(x)                                    (((unsigned)(x) & 0x1) << 16)
#define   G_009104_DEBUG_SH_SEL(x)                                    (((x) >> 16) & 0x1)
#define   C_009104_DEBUG_SH_SEL                                       0xFFFEFFFF
#define   S_009104_SPI_ECO_SPARE_0(x)                                 (((unsigned)(x) & 0x1) << 17)
#define   G_009104_SPI_ECO_SPARE_0(x)                                 (((x) >> 17) & 0x1)
#define   C_009104_SPI_ECO_SPARE_0                                    0xFFFDFFFF
#define   S_009104_SPI_ECO_SPARE_1(x)                                 (((unsigned)(x) & 0x1) << 18)
#define   G_009104_SPI_ECO_SPARE_1(x)                                 (((x) >> 18) & 0x1)
#define   C_009104_SPI_ECO_SPARE_1                                    0xFFFBFFFF
#define   S_009104_SPI_ECO_SPARE_2(x)                                 (((unsigned)(x) & 0x1) << 19)
#define   G_009104_SPI_ECO_SPARE_2(x)                                 (((x) >> 19) & 0x1)
#define   C_009104_SPI_ECO_SPARE_2                                    0xFFF7FFFF
#define   S_009104_SPI_ECO_SPARE_3(x)                                 (((unsigned)(x) & 0x1) << 20)
#define   G_009104_SPI_ECO_SPARE_3(x)                                 (((x) >> 20) & 0x1)
#define   C_009104_SPI_ECO_SPARE_3                                    0xFFEFFFFF
#define   S_009104_CGTS_VBUS_SP0_OVERRIDE(x)                          (((unsigned)(x) & 0x1) << 21)
#define   G_009104_CGTS_VBUS_SP0_OVERRIDE(x)                          (((x) >> 21) & 0x1)
#define   C_009104_CGTS_VBUS_SP0_OVERRIDE                             0xFFDFFFFF
#define   S_009104_CGTS_VBUS_SP1_OVERRIDE(x)                          (((unsigned)(x) & 0x1) << 22)
#define   G_009104_CGTS_VBUS_SP1_OVERRIDE(x)                          (((x) >> 22) & 0x1)
#define   C_009104_CGTS_VBUS_SP1_OVERRIDE                             0xFFBFFFFF
#define   S_009104_CGTS_VBUS_LDS_OVERRIDE(x)                          (((unsigned)(x) & 0x1) << 23)
#define   G_009104_CGTS_VBUS_LDS_OVERRIDE(x)                          (((x) >> 23) & 0x1)
#define   C_009104_CGTS_VBUS_LDS_OVERRIDE                             0xFF7FFFFF
#define   S_009104_CGTT_LEGACY_MODE(x)                                (((unsigned)(x) & 0x1) << 24)
#define   G_009104_CGTT_LEGACY_MODE(x)                                (((x) >> 24) & 0x1)
#define   C_009104_CGTT_LEGACY_MODE                                   0xFEFFFFFF
#define   S_009104_DEBUG_PIPE_SEL(x)                                  (((unsigned)(x) & 0x7) << 25)
#define   G_009104_DEBUG_PIPE_SEL(x)                                  (((x) >> 25) & 0x7)
#define   C_009104_DEBUG_PIPE_SEL                                     0xF1FFFFFF
#define   S_009104_DEBUG_PIXEL_PIPE_SEL(x)                            (((unsigned)(x) & 0x3) << 28)
#define   G_009104_DEBUG_PIXEL_PIPE_SEL(x)                            (((x) >> 28) & 0x3)
#define   C_009104_DEBUG_PIXEL_PIPE_SEL                               0xCFFFFFFF
#define   S_009104_BCI_PIPE_PER_STAGE_CG_OVERRIDE(x)                  (((unsigned)(x) & 0x1) << 30)
#define   G_009104_BCI_PIPE_PER_STAGE_CG_OVERRIDE(x)                  (((x) >> 30) & 0x1)
#define   C_009104_BCI_PIPE_PER_STAGE_CG_OVERRIDE                     0xBFFFFFFF
#define   S_009104_DEBUG_REG_EN(x)                                    (((unsigned)(x) & 0x1) << 31)
#define   G_009104_DEBUG_REG_EN(x)                                    (((x) >> 31) & 0x1)
#define   C_009104_DEBUG_REG_EN                                       0x7FFFFFFF
#define R_009108_SPI_DEBUG_READ                                         0x009108 /* >= gfx10 */
#define   S_009108_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_009108_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_009108_DATA                                               0x00000000
#define R_00910C_SPI_DSM_CNTL                                           0x00910C /* >= gfx10 */
#define   S_00910C_SPI_SR_MEM_DSM_IRRITATOR_DATA(x)                   (((unsigned)(x) & 0x3) << 0)
#define   G_00910C_SPI_SR_MEM_DSM_IRRITATOR_DATA(x)                   (((x) >> 0) & 0x3)
#define   C_00910C_SPI_SR_MEM_DSM_IRRITATOR_DATA                      0xFFFFFFFC
#define   S_00910C_SPI_SR_MEM_ENABLE_SINGLE_WRITE(x)                  (((unsigned)(x) & 0x1) << 2)
#define   G_00910C_SPI_SR_MEM_ENABLE_SINGLE_WRITE(x)                  (((x) >> 2) & 0x1)
#define   C_00910C_SPI_SR_MEM_ENABLE_SINGLE_WRITE                     0xFFFFFFFB
#define R_009110_SPI_DSM_CNTL2                                          0x009110 /* >= gfx10 */
#define   S_009110_SPI_SR_MEM_ENABLE_ERROR_INJECT(x)                  (((unsigned)(x) & 0x3) << 0)
#define   G_009110_SPI_SR_MEM_ENABLE_ERROR_INJECT(x)                  (((x) >> 0) & 0x3)
#define   C_009110_SPI_SR_MEM_ENABLE_ERROR_INJECT                     0xFFFFFFFC
#define   S_009110_SPI_SR_MEM_SELECT_INJECT_DELAY(x)                  (((unsigned)(x) & 0x1) << 2)
#define   G_009110_SPI_SR_MEM_SELECT_INJECT_DELAY(x)                  (((x) >> 2) & 0x1)
#define   C_009110_SPI_SR_MEM_SELECT_INJECT_DELAY                     0xFFFFFFFB
#define   S_009110_SPI_SR_MEM_INJECT_DELAY(x)                         (((unsigned)(x) & 0x3F) << 3)
#define   G_009110_SPI_SR_MEM_INJECT_DELAY(x)                         (((x) >> 3) & 0x3F)
#define   C_009110_SPI_SR_MEM_INJECT_DELAY                            0xFFFFFE07
#define R_009114_SPI_EDC_CNT                                            0x009114 /* >= gfx10 */
#define   S_009114_SPI_SR_MEM_SED_COUNT(x)                            (((unsigned)(x) & 0x3) << 0)
#define   G_009114_SPI_SR_MEM_SED_COUNT(x)                            (((x) >> 0) & 0x3)
#define   C_009114_SPI_SR_MEM_SED_COUNT                               0xFFFFFFFC
#define R_009118_SPIRA_DEBUG_READ                                       0x009118 /* >= gfx10 */
#define   S_009118_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_009118_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_009118_DATA                                               0x00000000
#define R_009134_SPI_WAVE_LIMIT_CNTL                                    0x009134 /* >= gfx10 */
#define   S_009134_PS_WAVE_GRAN(x)                                    (((unsigned)(x) & 0x3) << 0)
#define   G_009134_PS_WAVE_GRAN(x)                                    (((x) >> 0) & 0x3)
#define   C_009134_PS_WAVE_GRAN                                       0xFFFFFFFC
#define   S_009134_VS_WAVE_GRAN(x)                                    (((unsigned)(x) & 0x3) << 2)
#define   G_009134_VS_WAVE_GRAN(x)                                    (((x) >> 2) & 0x3)
#define   C_009134_VS_WAVE_GRAN                                       0xFFFFFFF3
#define   S_009134_GS_WAVE_GRAN(x)                                    (((unsigned)(x) & 0x3) << 4)
#define   G_009134_GS_WAVE_GRAN(x)                                    (((x) >> 4) & 0x3)
#define   C_009134_GS_WAVE_GRAN                                       0xFFFFFFCF
#define   S_009134_HS_WAVE_GRAN(x)                                    (((unsigned)(x) & 0x3) << 6)
#define   G_009134_HS_WAVE_GRAN(x)                                    (((x) >> 6) & 0x3)
#define   C_009134_HS_WAVE_GRAN                                       0xFFFFFF3F
#define R_009138_SPI_CONFIG_CNTL_2                                      0x009138 /* >= gfx10 */
#define   S_009138_CONTEXT_SAVE_WAIT_GDS_REQUEST_CYCLE_OVHD(x)        (((unsigned)(x) & 0xF) << 0)
#define   G_009138_CONTEXT_SAVE_WAIT_GDS_REQUEST_CYCLE_OVHD(x)        (((x) >> 0) & 0xF)
#define   C_009138_CONTEXT_SAVE_WAIT_GDS_REQUEST_CYCLE_OVHD           0xFFFFFFF0
#define   S_009138_CONTEXT_SAVE_WAIT_GDS_GRANT_CYCLE_OVHD(x)          (((unsigned)(x) & 0xF) << 4)
#define   G_009138_CONTEXT_SAVE_WAIT_GDS_GRANT_CYCLE_OVHD(x)          (((x) >> 4) & 0xF)
#define   C_009138_CONTEXT_SAVE_WAIT_GDS_GRANT_CYCLE_OVHD             0xFFFFFF0F
#define R_00913C_SPI_CONFIG_CNTL_1                                      0x00913C /* <= stoney, >= gfx10 */
#define   S_00913C_VTX_DONE_DELAY(x)                                  (((unsigned)(x) & 0xF) << 0)
#define   G_00913C_VTX_DONE_DELAY(x)                                  (((x) >> 0) & 0xF)
#define   C_00913C_VTX_DONE_DELAY                                     0xFFFFFFF0
#define     V_00913C_X_DELAY_14_CLKS                                0 /* <= stoney */
#define     V_00913C_X_DELAY_16_CLKS                                1 /* <= stoney */
#define     V_00913C_X_DELAY_18_CLKS                                2 /* <= stoney */
#define     V_00913C_X_DELAY_20_CLKS                                3 /* <= stoney */
#define     V_00913C_X_DELAY_22_CLKS                                4 /* <= stoney */
#define     V_00913C_X_DELAY_24_CLKS                                5 /* <= stoney */
#define     V_00913C_X_DELAY_26_CLKS                                6 /* <= stoney */
#define     V_00913C_X_DELAY_28_CLKS                                7 /* <= stoney */
#define     V_00913C_X_DELAY_30_CLKS                                8 /* <= stoney */
#define     V_00913C_X_DELAY_32_CLKS                                9 /* <= stoney */
#define     V_00913C_X_DELAY_34_CLKS                                10 /* <= stoney */
#define     V_00913C_X_DELAY_4_CLKS                                 11 /* <= stoney */
#define     V_00913C_X_DELAY_6_CLKS                                 12 /* <= stoney */
#define     V_00913C_X_DELAY_8_CLKS                                 13 /* <= stoney */
#define     V_00913C_X_DELAY_10_CLKS                                14 /* <= stoney */
#define     V_00913C_X_DELAY_12_CLKS                                15 /* <= stoney */
#define   S_00913C_INTERP_ONE_PRIM_PER_ROW(x)                         (((unsigned)(x) & 0x1) << 4)
#define   G_00913C_INTERP_ONE_PRIM_PER_ROW(x)                         (((x) >> 4) & 0x1)
#define   C_00913C_INTERP_ONE_PRIM_PER_ROW                            0xFFFFFFEF
#define   S_00913C_PC_LIMIT_ENABLE_GFX10(x)                           (((unsigned)(x) & 0x3) << 5) /* >= gfx10 */
#define   G_00913C_PC_LIMIT_ENABLE_GFX10(x)                           (((x) >> 5) & 0x3)
#define   C_00913C_PC_LIMIT_ENABLE_GFX10                              0xFFFFFF9F
#define   S_00913C_PC_LIMIT_ENABLE_GFX6(x)                            (((unsigned)(x) & 0x1) << 6) /* <= stoney */
#define   G_00913C_PC_LIMIT_ENABLE_GFX6(x)                            (((x) >> 6) & 0x1)
#define   C_00913C_PC_LIMIT_ENABLE_GFX6                               0xFFFFFFBF
#define   S_00913C_PC_LIMIT_STRICT(x)                                 (((unsigned)(x) & 0x1) << 7)
#define   G_00913C_PC_LIMIT_STRICT(x)                                 (((x) >> 7) & 0x1)
#define   C_00913C_PC_LIMIT_STRICT                                    0xFFFFFF7F
#define   S_00913C_CRC_SIMD_ID_WADDR_DISABLE(x)                       (((unsigned)(x) & 0x1) << 8) /* >= gfx10 */
#define   G_00913C_CRC_SIMD_ID_WADDR_DISABLE(x)                       (((x) >> 8) & 0x1)
#define   C_00913C_CRC_SIMD_ID_WADDR_DISABLE                          0xFFFFFEFF
#define   S_00913C_LBPW_CU_CHK_MODE(x)                                (((unsigned)(x) & 0x1) << 9) /* >= gfx10 */
#define   G_00913C_LBPW_CU_CHK_MODE(x)                                (((x) >> 9) & 0x1)
#define   C_00913C_LBPW_CU_CHK_MODE                                   0xFFFFFDFF
#define   S_00913C_LBPW_CU_CHK_CNT(x)                                 (((unsigned)(x) & 0xF) << 10) /* >= gfx10 */
#define   G_00913C_LBPW_CU_CHK_CNT(x)                                 (((x) >> 10) & 0xF)
#define   C_00913C_LBPW_CU_CHK_CNT                                    0xFFFFC3FF
#define   S_00913C_CSC_PWR_SAVE_DISABLE(x)                            (((unsigned)(x) & 0x1) << 14) /* >= gfx10 */
#define   G_00913C_CSC_PWR_SAVE_DISABLE(x)                            (((x) >> 14) & 0x1)
#define   C_00913C_CSC_PWR_SAVE_DISABLE                               0xFFFFBFFF
#define   S_00913C_CSG_PWR_SAVE_DISABLE(x)                            (((unsigned)(x) & 0x1) << 15) /* >= gfx10 */
#define   G_00913C_CSG_PWR_SAVE_DISABLE(x)                            (((x) >> 15) & 0x1)
#define   C_00913C_CSG_PWR_SAVE_DISABLE                               0xFFFF7FFF
#define   S_00913C_MAX_VTX_SYNC_CNT(x)                                (((unsigned)(x) & 0x1F) << 16) /* >= gfx10 */
#define   G_00913C_MAX_VTX_SYNC_CNT(x)                                (((x) >> 16) & 0x1F)
#define   C_00913C_MAX_VTX_SYNC_CNT                                   0xFFE0FFFF
#define   S_00913C_PC_LIMIT_SIZE(x)                                   (((unsigned)(x) & 0xFFFF) << 16) /* <= stoney */
#define   G_00913C_PC_LIMIT_SIZE(x)                                   (((x) >> 16) & 0xFFFF)
#define   C_00913C_PC_LIMIT_SIZE                                      0x0000FFFF
#define R_009140_SPI_DEBUG_BUSY                                         0x009140 /* >= gfx10 */
#define   S_009140_LS_BUSY(x)                                         (((unsigned)(x) & 0x1) << 0)
#define   G_009140_LS_BUSY(x)                                         (((x) >> 0) & 0x1)
#define   C_009140_LS_BUSY                                            0xFFFFFFFE
#define   S_009140_HS_BUSY(x)                                         (((unsigned)(x) & 0x1) << 1)
#define   G_009140_HS_BUSY(x)                                         (((x) >> 1) & 0x1)
#define   C_009140_HS_BUSY                                            0xFFFFFFFD
#define   S_009140_ES_BUSY(x)                                         (((unsigned)(x) & 0x1) << 2)
#define   G_009140_ES_BUSY(x)                                         (((x) >> 2) & 0x1)
#define   C_009140_ES_BUSY                                            0xFFFFFFFB
#define   S_009140_GS_BUSY(x)                                         (((unsigned)(x) & 0x1) << 3)
#define   G_009140_GS_BUSY(x)                                         (((x) >> 3) & 0x1)
#define   C_009140_GS_BUSY                                            0xFFFFFFF7
#define   S_009140_VS_BUSY(x)                                         (((unsigned)(x) & 0x1) << 4)
#define   G_009140_VS_BUSY(x)                                         (((x) >> 4) & 0x1)
#define   C_009140_VS_BUSY                                            0xFFFFFFEF
#define   S_009140_PS0_BUSY(x)                                        (((unsigned)(x) & 0x1) << 5)
#define   G_009140_PS0_BUSY(x)                                        (((x) >> 5) & 0x1)
#define   C_009140_PS0_BUSY                                           0xFFFFFFDF
#define   S_009140_PS1_BUSY(x)                                        (((unsigned)(x) & 0x1) << 6)
#define   G_009140_PS1_BUSY(x)                                        (((x) >> 6) & 0x1)
#define   C_009140_PS1_BUSY                                           0xFFFFFFBF
#define   S_009140_PS2_BUSY(x)                                        (((unsigned)(x) & 0x1) << 7)
#define   G_009140_PS2_BUSY(x)                                        (((x) >> 7) & 0x1)
#define   C_009140_PS2_BUSY                                           0xFFFFFF7F
#define   S_009140_PS3_BUSY(x)                                        (((unsigned)(x) & 0x1) << 8)
#define   G_009140_PS3_BUSY(x)                                        (((x) >> 8) & 0x1)
#define   C_009140_PS3_BUSY                                           0xFFFFFEFF
#define   S_009140_CSG_BUSY(x)                                        (((unsigned)(x) & 0x1) << 9)
#define   G_009140_CSG_BUSY(x)                                        (((x) >> 9) & 0x1)
#define   C_009140_CSG_BUSY                                           0xFFFFFDFF
#define   S_009140_CS0_BUSY(x)                                        (((unsigned)(x) & 0x1) << 10)
#define   G_009140_CS0_BUSY(x)                                        (((x) >> 10) & 0x1)
#define   C_009140_CS0_BUSY                                           0xFFFFFBFF
#define   S_009140_CS1_BUSY(x)                                        (((unsigned)(x) & 0x1) << 11)
#define   G_009140_CS1_BUSY(x)                                        (((x) >> 11) & 0x1)
#define   C_009140_CS1_BUSY                                           0xFFFFF7FF
#define   S_009140_CS2_BUSY(x)                                        (((unsigned)(x) & 0x1) << 12)
#define   G_009140_CS2_BUSY(x)                                        (((x) >> 12) & 0x1)
#define   C_009140_CS2_BUSY                                           0xFFFFEFFF
#define   S_009140_CS3_BUSY(x)                                        (((unsigned)(x) & 0x1) << 13)
#define   G_009140_CS3_BUSY(x)                                        (((x) >> 13) & 0x1)
#define   C_009140_CS3_BUSY                                           0xFFFFDFFF
#define   S_009140_CS4_BUSY(x)                                        (((unsigned)(x) & 0x1) << 14)
#define   G_009140_CS4_BUSY(x)                                        (((x) >> 14) & 0x1)
#define   C_009140_CS4_BUSY                                           0xFFFFBFFF
#define   S_009140_CS5_BUSY(x)                                        (((unsigned)(x) & 0x1) << 15)
#define   G_009140_CS5_BUSY(x)                                        (((x) >> 15) & 0x1)
#define   C_009140_CS5_BUSY                                           0xFFFF7FFF
#define   S_009140_CS6_BUSY(x)                                        (((unsigned)(x) & 0x1) << 16)
#define   G_009140_CS6_BUSY(x)                                        (((x) >> 16) & 0x1)
#define   C_009140_CS6_BUSY                                           0xFFFEFFFF
#define   S_009140_CS7_BUSY(x)                                        (((unsigned)(x) & 0x1) << 17)
#define   G_009140_CS7_BUSY(x)                                        (((x) >> 17) & 0x1)
#define   C_009140_CS7_BUSY                                           0xFFFDFFFF
#define   S_009140_LDS_WR_CTL0_BUSY(x)                                (((unsigned)(x) & 0x1) << 18)
#define   G_009140_LDS_WR_CTL0_BUSY(x)                                (((x) >> 18) & 0x1)
#define   C_009140_LDS_WR_CTL0_BUSY                                   0xFFFBFFFF
#define   S_009140_LDS_WR_CTL1_BUSY(x)                                (((unsigned)(x) & 0x1) << 19)
#define   G_009140_LDS_WR_CTL1_BUSY(x)                                (((x) >> 19) & 0x1)
#define   C_009140_LDS_WR_CTL1_BUSY                                   0xFFF7FFFF
#define   S_009140_PC_DEALLOC_BUSY(x)                                 (((unsigned)(x) & 0x1) << 20)
#define   G_009140_PC_DEALLOC_BUSY(x)                                 (((x) >> 20) & 0x1)
#define   C_009140_PC_DEALLOC_BUSY                                    0xFFEFFFFF
#define   S_009140_OFC_LDS_BUSY(x)                                    (((unsigned)(x) & 0x1) << 21)
#define   G_009140_OFC_LDS_BUSY(x)                                    (((x) >> 21) & 0x1)
#define   C_009140_OFC_LDS_BUSY                                       0xFFDFFFFF
#define   S_009140_EVENT_CLCTR_BUSY(x)                                (((unsigned)(x) & 0x1) << 22)
#define   G_009140_EVENT_CLCTR_BUSY(x)                                (((x) >> 22) & 0x1)
#define   C_009140_EVENT_CLCTR_BUSY                                   0xFFBFFFFF
#define   S_009140_GRBM_BUSY(x)                                       (((unsigned)(x) & 0x1) << 23)
#define   G_009140_GRBM_BUSY(x)                                       (((x) >> 23) & 0x1)
#define   C_009140_GRBM_BUSY                                          0xFF7FFFFF
#define   S_009140_SPIS_BUSY(x)                                       (((unsigned)(x) & 0x1) << 24)
#define   G_009140_SPIS_BUSY(x)                                       (((x) >> 24) & 0x1)
#define   C_009140_SPIS_BUSY                                          0xFEFFFFFF
#define   S_009140_RSRC_ALLOC_BUSY(x)                                 (((unsigned)(x) & 0x1) << 25)
#define   G_009140_RSRC_ALLOC_BUSY(x)                                 (((x) >> 25) & 0x1)
#define   C_009140_RSRC_ALLOC_BUSY                                    0xFDFFFFFF
#define R_0092A8_SPI_WF_LIFETIME_CNTL                                   0x0092A8 /* >= gfx10 */
#define   S_0092A8_SAMPLE_PERIOD(x)                                   (((unsigned)(x) & 0xF) << 0)
#define   G_0092A8_SAMPLE_PERIOD(x)                                   (((x) >> 0) & 0xF)
#define   C_0092A8_SAMPLE_PERIOD                                      0xFFFFFFF0
#define   S_0092A8_EN(x)                                              (((unsigned)(x) & 0x1) << 4)
#define   G_0092A8_EN(x)                                              (((x) >> 4) & 0x1)
#define   C_0092A8_EN                                                 0xFFFFFFEF
#define R_0092AC_SPI_WF_LIFETIME_LIMIT_0                                0x0092AC /* >= gfx10 */
#define   S_0092AC_MAX_CNT(x)                                         (((unsigned)(x) & 0x7FFFFFFF) << 0)
#define   G_0092AC_MAX_CNT(x)                                         (((x) >> 0) & 0x7FFFFFFF)
#define   C_0092AC_MAX_CNT                                            0x80000000
#define   S_0092AC_EN_WARN(x)                                         (((unsigned)(x) & 0x1) << 31)
#define   G_0092AC_EN_WARN(x)                                         (((x) >> 31) & 0x1)
#define   C_0092AC_EN_WARN                                            0x7FFFFFFF
#define R_0092B0_SPI_WF_LIFETIME_LIMIT_1                                0x0092B0 /* >= gfx10 */
#define R_0092B4_SPI_WF_LIFETIME_LIMIT_2                                0x0092B4 /* >= gfx10 */
#define R_0092B8_SPI_WF_LIFETIME_LIMIT_3                                0x0092B8 /* >= gfx10 */
#define R_0092BC_SPI_WF_LIFETIME_LIMIT_4                                0x0092BC /* >= gfx10 */
#define R_0092C0_SPI_WF_LIFETIME_LIMIT_5                                0x0092C0 /* >= gfx10 */
#define R_0092C4_SPI_WF_LIFETIME_LIMIT_6                                0x0092C4 /* >= gfx10 */
#define R_0092C8_SPI_WF_LIFETIME_LIMIT_7                                0x0092C8 /* >= gfx10 */
#define R_0092CC_SPI_WF_LIFETIME_LIMIT_8                                0x0092CC /* >= gfx10 */
#define R_0092D0_SPI_WF_LIFETIME_LIMIT_9                                0x0092D0 /* >= gfx10 */
#define R_0092D4_SPI_WF_LIFETIME_STATUS_0                               0x0092D4 /* >= gfx10 */
#define   S_0092D4_MAX_CNT(x)                                         (((unsigned)(x) & 0x7FFFFFFF) << 0)
#define   G_0092D4_MAX_CNT(x)                                         (((x) >> 0) & 0x7FFFFFFF)
#define   C_0092D4_MAX_CNT                                            0x80000000
#define   S_0092D4_INT_SENT(x)                                        (((unsigned)(x) & 0x1) << 31)
#define   G_0092D4_INT_SENT(x)                                        (((x) >> 31) & 0x1)
#define   C_0092D4_INT_SENT                                           0x7FFFFFFF
#define R_0092D8_SPI_WF_LIFETIME_STATUS_1                               0x0092D8 /* >= gfx10 */
#define R_0092DC_SPI_WF_LIFETIME_STATUS_2                               0x0092DC /* >= gfx10 */
#define R_0092E0_SPI_WF_LIFETIME_STATUS_3                               0x0092E0 /* >= gfx10 */
#define R_0092E4_SPI_WF_LIFETIME_STATUS_4                               0x0092E4 /* >= gfx10 */
#define R_0092E8_SPI_WF_LIFETIME_STATUS_5                               0x0092E8 /* >= gfx10 */
#define R_0092EC_SPI_WF_LIFETIME_STATUS_6                               0x0092EC /* >= gfx10 */
#define R_0092F0_SPI_WF_LIFETIME_STATUS_7                               0x0092F0 /* >= gfx10 */
#define R_0092F4_SPI_WF_LIFETIME_STATUS_8                               0x0092F4 /* >= gfx10 */
#define R_0092F8_SPI_WF_LIFETIME_STATUS_9                               0x0092F8 /* >= gfx10 */
#define R_0092FC_SPI_WF_LIFETIME_STATUS_10                              0x0092FC /* >= gfx10 */
#define R_009300_SPI_WF_LIFETIME_STATUS_11                              0x009300 /* >= gfx10 */
#define R_009304_SPI_WF_LIFETIME_STATUS_12                              0x009304 /* >= gfx10 */
#define R_009308_SPI_WF_LIFETIME_STATUS_13                              0x009308 /* >= gfx10 */
#define R_00930C_SPI_WF_LIFETIME_STATUS_14                              0x00930C /* >= gfx10 */
#define R_009310_SPI_WF_LIFETIME_STATUS_15                              0x009310 /* >= gfx10 */
#define R_009314_SPI_WF_LIFETIME_STATUS_16                              0x009314 /* >= gfx10 */
#define R_009318_SPI_WF_LIFETIME_STATUS_17                              0x009318 /* >= gfx10 */
#define R_00931C_SPI_WF_LIFETIME_STATUS_18                              0x00931C /* >= gfx10 */
#define R_009320_SPI_WF_LIFETIME_STATUS_19                              0x009320 /* >= gfx10 */
#define R_009324_SPI_WF_LIFETIME_STATUS_20                              0x009324 /* >= gfx10 */
#define R_009328_SPI_WF_LIFETIME_DEBUG                                  0x009328 /* >= gfx10 */
#define   S_009328_START_VALUE(x)                                     (((unsigned)(x) & 0x7FFFFFFF) << 0)
#define   G_009328_START_VALUE(x)                                     (((x) >> 0) & 0x7FFFFFFF)
#define   C_009328_START_VALUE                                        0x80000000
#define   S_009328_OVERRIDE_EN(x)                                     (((unsigned)(x) & 0x1) << 31)
#define   G_009328_OVERRIDE_EN(x)                                     (((x) >> 31) & 0x1)
#define   C_009328_OVERRIDE_EN                                        0x7FFFFFFF
#define R_00934C_SPI_SLAVE_DEBUG_BUSY                                   0x00934C /* >= gfx10 */
#define   S_00934C_LS_VTX_BUSY(x)                                     (((unsigned)(x) & 0x1) << 0)
#define   G_00934C_LS_VTX_BUSY(x)                                     (((x) >> 0) & 0x1)
#define   C_00934C_LS_VTX_BUSY                                        0xFFFFFFFE
#define   S_00934C_HS_VTX_BUSY(x)                                     (((unsigned)(x) & 0x1) << 1)
#define   G_00934C_HS_VTX_BUSY(x)                                     (((x) >> 1) & 0x1)
#define   C_00934C_HS_VTX_BUSY                                        0xFFFFFFFD
#define   S_00934C_ES_VTX_BUSY(x)                                     (((unsigned)(x) & 0x1) << 2)
#define   G_00934C_ES_VTX_BUSY(x)                                     (((x) >> 2) & 0x1)
#define   C_00934C_ES_VTX_BUSY                                        0xFFFFFFFB
#define   S_00934C_GS_VTX_BUSY(x)                                     (((unsigned)(x) & 0x1) << 3)
#define   G_00934C_GS_VTX_BUSY(x)                                     (((x) >> 3) & 0x1)
#define   C_00934C_GS_VTX_BUSY                                        0xFFFFFFF7
#define   S_00934C_VS_VTX_BUSY(x)                                     (((unsigned)(x) & 0x1) << 4)
#define   G_00934C_VS_VTX_BUSY(x)                                     (((x) >> 4) & 0x1)
#define   C_00934C_VS_VTX_BUSY                                        0xFFFFFFEF
#define   S_00934C_VGPR_WC00_BUSY(x)                                  (((unsigned)(x) & 0x1) << 5)
#define   G_00934C_VGPR_WC00_BUSY(x)                                  (((x) >> 5) & 0x1)
#define   C_00934C_VGPR_WC00_BUSY                                     0xFFFFFFDF
#define   S_00934C_VGPR_WC01_BUSY(x)                                  (((unsigned)(x) & 0x1) << 6)
#define   G_00934C_VGPR_WC01_BUSY(x)                                  (((x) >> 6) & 0x1)
#define   C_00934C_VGPR_WC01_BUSY                                     0xFFFFFFBF
#define   S_00934C_SGPR_WC00_BUSY(x)                                  (((unsigned)(x) & 0x1) << 7)
#define   G_00934C_SGPR_WC00_BUSY(x)                                  (((x) >> 7) & 0x1)
#define   C_00934C_SGPR_WC00_BUSY                                     0xFFFFFF7F
#define   S_00934C_SGPR_WC01_BUSY(x)                                  (((unsigned)(x) & 0x1) << 8)
#define   G_00934C_SGPR_WC01_BUSY(x)                                  (((x) >> 8) & 0x1)
#define   C_00934C_SGPR_WC01_BUSY                                     0xFFFFFEFF
#define   S_00934C_WAVEBUFFER_BUSY(x)                                 (((unsigned)(x) & 0x1) << 9)
#define   G_00934C_WAVEBUFFER_BUSY(x)                                 (((x) >> 9) & 0x1)
#define   C_00934C_WAVEBUFFER_BUSY                                    0xFFFFFDFF
#define   S_00934C_WAVE_WR_WCTL_BUSY(x)                               (((unsigned)(x) & 0x1) << 10)
#define   G_00934C_WAVE_WR_WCTL_BUSY(x)                               (((x) >> 10) & 0x1)
#define   C_00934C_WAVE_WR_WCTL_BUSY                                  0xFFFFFBFF
#define   S_00934C_EVENT_CNTL_BUSY(x)                                 (((unsigned)(x) & 0x1) << 11)
#define   G_00934C_EVENT_CNTL_BUSY(x)                                 (((x) >> 11) & 0x1)
#define   C_00934C_EVENT_CNTL_BUSY                                    0xFFFFF7FF
#define   S_00934C_SAVE_CTX_BUSY(x)                                   (((unsigned)(x) & 0x1) << 12)
#define   G_00934C_SAVE_CTX_BUSY(x)                                   (((x) >> 12) & 0x1)
#define   C_00934C_SAVE_CTX_BUSY                                      0xFFFFEFFF
#define   S_00934C_WR_CTL_MUX_BUSY(x)                                 (((unsigned)(x) & 0x1) << 13)
#define   G_00934C_WR_CTL_MUX_BUSY(x)                                 (((x) >> 13) & 0x1)
#define   C_00934C_WR_CTL_MUX_BUSY                                    0xFFFFDFFF
#define R_009350_SPI_LB_CTR_CTRL                                        0x009350 /* >= gfx10 */
#define   S_009350_LOAD(x)                                            (((unsigned)(x) & 0x1) << 0)
#define   G_009350_LOAD(x)                                            (((x) >> 0) & 0x1)
#define   C_009350_LOAD                                               0xFFFFFFFE
#define   S_009350_WAVES_SELECT(x)                                    (((unsigned)(x) & 0x3) << 1)
#define   G_009350_WAVES_SELECT(x)                                    (((x) >> 1) & 0x3)
#define   C_009350_WAVES_SELECT                                       0xFFFFFFF9
#define     V_009350_HS_GS                                          0
#define     V_009350_VS_PS                                          1
#define     V_009350_CS_NA                                          2
#define     V_009350_SPI_LB_WAVES_RSVD                              3
#define   S_009350_CLEAR_ON_READ(x)                                   (((unsigned)(x) & 0x1) << 3)
#define   G_009350_CLEAR_ON_READ(x)                                   (((x) >> 3) & 0x1)
#define   C_009350_CLEAR_ON_READ                                      0xFFFFFFF7
#define   S_009350_RESET_COUNTS(x)                                    (((unsigned)(x) & 0x1) << 4)
#define   G_009350_RESET_COUNTS(x)                                    (((x) >> 4) & 0x1)
#define   C_009350_RESET_COUNTS                                       0xFFFFFFEF
#define R_009354_SPI_LB_WGP_MASK                                        0x009354 /* >= gfx10 */
#define   S_009354_WGP_MASK(x)                                        (((unsigned)(x) & 0xFFFF) << 0)
#define   G_009354_WGP_MASK(x)                                        (((x) >> 0) & 0xFFFF)
#define   C_009354_WGP_MASK                                           0xFFFF0000
#define R_009358_SPI_LB_DATA_REG                                        0x009358 /* >= gfx10 */
#define   S_009358_CNT_DATA(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_009358_CNT_DATA(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_009358_CNT_DATA                                           0x00000000
#define R_00935C_SPI_PG_ENABLE_STATIC_WGP_MASK                          0x00935C /* >= gfx10 */
#define   S_00935C_WGP_MASK(x)                                        (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00935C_WGP_MASK(x)                                        (((x) >> 0) & 0xFFFF)
#define   C_00935C_WGP_MASK                                           0xFFFF0000
#define R_009360_SPI_GDS_CREDITS                                        0x009360 /* >= gfx10 */
#define   S_009360_DS_DATA_CREDITS(x)                                 (((unsigned)(x) & 0xFF) << 0)
#define   G_009360_DS_DATA_CREDITS(x)                                 (((x) >> 0) & 0xFF)
#define   C_009360_DS_DATA_CREDITS                                    0xFFFFFF00
#define   S_009360_DS_CMD_CREDITS(x)                                  (((unsigned)(x) & 0xFF) << 8)
#define   G_009360_DS_CMD_CREDITS(x)                                  (((x) >> 8) & 0xFF)
#define   C_009360_DS_CMD_CREDITS                                     0xFFFF00FF
#define R_009364_SPI_SX_EXPORT_BUFFER_SIZES                             0x009364 /* >= gfx10 */
#define   S_009364_COLOR_BUFFER_SIZE(x)                               (((unsigned)(x) & 0xFFFF) << 0)
#define   G_009364_COLOR_BUFFER_SIZE(x)                               (((x) >> 0) & 0xFFFF)
#define   C_009364_COLOR_BUFFER_SIZE                                  0xFFFF0000
#define   S_009364_POSITION_BUFFER_SIZE(x)                            (((unsigned)(x) & 0xFFFF) << 16)
#define   G_009364_POSITION_BUFFER_SIZE(x)                            (((x) >> 16) & 0xFFFF)
#define   C_009364_POSITION_BUFFER_SIZE                               0x0000FFFF
#define R_009368_SPI_SX_SCOREBOARD_BUFFER_SIZES                         0x009368 /* >= gfx10 */
#define   S_009368_COLOR_SCOREBOARD_SIZE(x)                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_009368_COLOR_SCOREBOARD_SIZE(x)                           (((x) >> 0) & 0xFFFF)
#define   C_009368_COLOR_SCOREBOARD_SIZE                              0xFFFF0000
#define   S_009368_POSITION_SCOREBOARD_SIZE(x)                        (((unsigned)(x) & 0xFFFF) << 16)
#define   G_009368_POSITION_SCOREBOARD_SIZE(x)                        (((x) >> 16) & 0xFFFF)
#define   C_009368_POSITION_SCOREBOARD_SIZE                           0x0000FFFF
#define R_00936C_SPI_CSQ_WF_ACTIVE_STATUS                               0x00936C /* >= gfx10 */
#define   S_00936C_ACTIVE(x)                                          (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00936C_ACTIVE(x)                                          (((x) >> 0) & 0xFFFFFFFF)
#define   C_00936C_ACTIVE                                             0x00000000
#define R_00936C_SPI_RESOURCE_RESERVE_CU_AB_0                           0x00936C /* <= stoney */
#define   S_00936C_TYPE_A(x)                                          (((unsigned)(x) & 0xF) << 0)
#define   G_00936C_TYPE_A(x)                                          (((x) >> 0) & 0xF)
#define   C_00936C_TYPE_A                                             0xFFFFFFF0
#define   S_00936C_VGPR_A(x)                                          (((unsigned)(x) & 0x7) << 4)
#define   G_00936C_VGPR_A(x)                                          (((x) >> 4) & 0x7)
#define   C_00936C_VGPR_A                                             0xFFFFFF8F
#define   S_00936C_SGPR_A(x)                                          (((unsigned)(x) & 0x7) << 7)
#define   G_00936C_SGPR_A(x)                                          (((x) >> 7) & 0x7)
#define   C_00936C_SGPR_A                                             0xFFFFFC7F
#define   S_00936C_LDS_A(x)                                           (((unsigned)(x) & 0x7) << 10)
#define   G_00936C_LDS_A(x)                                           (((x) >> 10) & 0x7)
#define   C_00936C_LDS_A                                              0xFFFFE3FF
#define   S_00936C_WAVES_A(x)                                         (((unsigned)(x) & 0x3) << 13)
#define   G_00936C_WAVES_A(x)                                         (((x) >> 13) & 0x3)
#define   C_00936C_WAVES_A                                            0xFFFF9FFF
#define   S_00936C_EN_A(x)                                            (((unsigned)(x) & 0x1) << 15)
#define   G_00936C_EN_A(x)                                            (((x) >> 15) & 0x1)
#define   C_00936C_EN_A                                               0xFFFF7FFF
#define   S_00936C_TYPE_B(x)                                          (((unsigned)(x) & 0xF) << 16)
#define   G_00936C_TYPE_B(x)                                          (((x) >> 16) & 0xF)
#define   C_00936C_TYPE_B                                             0xFFF0FFFF
#define   S_00936C_VGPR_B(x)                                          (((unsigned)(x) & 0x7) << 20)
#define   G_00936C_VGPR_B(x)                                          (((x) >> 20) & 0x7)
#define   C_00936C_VGPR_B                                             0xFF8FFFFF
#define   S_00936C_SGPR_B(x)                                          (((unsigned)(x) & 0x7) << 23)
#define   G_00936C_SGPR_B(x)                                          (((x) >> 23) & 0x7)
#define   C_00936C_SGPR_B                                             0xFC7FFFFF
#define   S_00936C_LDS_B(x)                                           (((unsigned)(x) & 0x7) << 26)
#define   G_00936C_LDS_B(x)                                           (((x) >> 26) & 0x7)
#define   C_00936C_LDS_B                                              0xE3FFFFFF
#define   S_00936C_WAVES_B(x)                                         (((unsigned)(x) & 0x3) << 29)
#define   G_00936C_WAVES_B(x)                                         (((x) >> 29) & 0x3)
#define   C_00936C_WAVES_B                                            0x9FFFFFFF
#define   S_00936C_EN_B(x)                                            (((unsigned)(x) & 0x1) << 31)
#define   G_00936C_EN_B(x)                                            (((x) >> 31) & 0x1)
#define   C_00936C_EN_B                                               0x7FFFFFFF
#define R_009370_SPI_CSQ_WF_ACTIVE_COUNT_0                              0x009370 /* >= gfx10 */
#define   S_009370_COUNT(x)                                           (((unsigned)(x) & 0x7FF) << 0)
#define   G_009370_COUNT(x)                                           (((x) >> 0) & 0x7FF)
#define   C_009370_COUNT                                              0xFFFFF800
#define   S_009370_EVENTS(x)                                          (((unsigned)(x) & 0x7FF) << 16)
#define   G_009370_EVENTS(x)                                          (((x) >> 16) & 0x7FF)
#define   C_009370_EVENTS                                             0xF800FFFF
#define R_009374_SPI_CSQ_WF_ACTIVE_COUNT_1                              0x009374 /* >= gfx10 */
#define R_009378_SPI_CSQ_WF_ACTIVE_COUNT_2                              0x009378 /* >= gfx10 */
#define R_00937C_SPI_CSQ_WF_ACTIVE_COUNT_3                              0x00937C /* >= gfx10 */
#define R_009380_SPI_CSQ_WF_ACTIVE_COUNT_4                              0x009380 /* >= gfx10 */
#define R_009384_SPI_CSQ_WF_ACTIVE_COUNT_5                              0x009384 /* >= gfx10 */
#define R_009388_SPI_CSQ_WF_ACTIVE_COUNT_6                              0x009388 /* >= gfx10 */
#define R_00938C_SPI_CSQ_WF_ACTIVE_COUNT_7                              0x00938C /* >= gfx10 */
#define R_009390_SPI_LB_DATA_WAVES                                      0x009390 /* >= gfx10 */
#define   S_009390_COUNT0(x)                                          (((unsigned)(x) & 0xFFFF) << 0)
#define   G_009390_COUNT0(x)                                          (((x) >> 0) & 0xFFFF)
#define   C_009390_COUNT0                                             0xFFFF0000
#define   S_009390_COUNT1(x)                                          (((unsigned)(x) & 0xFFFF) << 16)
#define   G_009390_COUNT1(x)                                          (((x) >> 16) & 0xFFFF)
#define   C_009390_COUNT1                                             0x0000FFFF
#define R_009394_SPI_LB_DATA_PERWGP_WAVE_HSGS                           0x009394 /* >= gfx10 */
#define   S_009394_WGP_USED_HS(x)                                     (((unsigned)(x) & 0xFFFF) << 0)
#define   G_009394_WGP_USED_HS(x)                                     (((x) >> 0) & 0xFFFF)
#define   C_009394_WGP_USED_HS                                        0xFFFF0000
#define   S_009394_WGP_USED_GS(x)                                     (((unsigned)(x) & 0xFFFF) << 16)
#define   G_009394_WGP_USED_GS(x)                                     (((x) >> 16) & 0xFFFF)
#define   C_009394_WGP_USED_GS                                        0x0000FFFF
#define R_009398_SPI_LB_DATA_PERWGP_WAVE_VSPS                           0x009398 /* >= gfx10 */
#define   S_009398_WGP_USED_VS(x)                                     (((unsigned)(x) & 0xFFFF) << 0)
#define   G_009398_WGP_USED_VS(x)                                     (((x) >> 0) & 0xFFFF)
#define   C_009398_WGP_USED_VS                                        0xFFFF0000
#define   S_009398_WGP_USED_PS(x)                                     (((unsigned)(x) & 0xFFFF) << 16)
#define   G_009398_WGP_USED_PS(x)                                     (((x) >> 16) & 0xFFFF)
#define   C_009398_WGP_USED_PS                                        0x0000FFFF
#define R_00939C_SPI_LB_DATA_PERWGP_WAVE_CS                             0x00939C /* >= gfx10 */
#define   S_00939C_ACTIVE(x)                                          (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00939C_ACTIVE(x)                                          (((x) >> 0) & 0xFFFF)
#define   C_00939C_ACTIVE                                             0xFFFF0000
#define R_0093A8_SPIS_DEBUG_READ                                        0x0093A8 /* >= gfx10 */
#define   S_0093A8_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0093A8_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_0093A8_DATA                                               0x00000000
#define R_0093AC_BCI_DEBUG_READ                                         0x0093AC /* >= gfx10 */
#define   S_0093AC_DATA(x)                                            (((unsigned)(x) & 0xFFFFFF) << 0)
#define   G_0093AC_DATA(x)                                            (((x) >> 0) & 0xFFFFFF)
#define   C_0093AC_DATA                                               0xFF000000
#define R_0093B0_SPI_P0_TRAP_SCREEN_PSBA_LO                             0x0093B0 /* >= gfx10 */
#define   S_0093B0_MEM_BASE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0093B0_MEM_BASE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_0093B0_MEM_BASE                                           0x00000000
#define R_0093B4_SPI_P0_TRAP_SCREEN_PSBA_HI                             0x0093B4 /* >= gfx10 */
#define   S_0093B4_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_0093B4_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_0093B4_MEM_BASE                                           0xFFFFFF00
#define R_0093B8_SPI_P0_TRAP_SCREEN_PSMA_LO                             0x0093B8 /* >= gfx10 */
#define   S_0093B8_MEM_BASE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0093B8_MEM_BASE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_0093B8_MEM_BASE                                           0x00000000
#define R_0093BC_SPI_P0_TRAP_SCREEN_PSMA_HI                             0x0093BC /* >= gfx10 */
#define   S_0093BC_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_0093BC_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_0093BC_MEM_BASE                                           0xFFFFFF00
#define R_0093C0_SPI_P0_TRAP_SCREEN_GPR_MIN                             0x0093C0 /* >= gfx10 */
#define   S_0093C0_VGPR_MIN(x)                                        (((unsigned)(x) & 0x3F) << 0)
#define   G_0093C0_VGPR_MIN(x)                                        (((x) >> 0) & 0x3F)
#define   C_0093C0_VGPR_MIN                                           0xFFFFFFC0
#define   S_0093C0_SGPR_MIN(x)                                        (((unsigned)(x) & 0xF) << 6)
#define   G_0093C0_SGPR_MIN(x)                                        (((x) >> 6) & 0xF)
#define   C_0093C0_SGPR_MIN                                           0xFFFFFC3F
#define R_0093C4_SPI_P1_TRAP_SCREEN_PSBA_LO                             0x0093C4 /* >= gfx10 */
#define R_0093C8_SPI_P1_TRAP_SCREEN_PSBA_HI                             0x0093C8 /* >= gfx10 */
#define R_0093CC_SPI_P1_TRAP_SCREEN_PSMA_LO                             0x0093CC /* >= gfx10 */
#define R_0093D0_SPI_P1_TRAP_SCREEN_PSMA_HI                             0x0093D0 /* >= gfx10 */
#define R_0093D4_SPI_P1_TRAP_SCREEN_GPR_MIN                             0x0093D4 /* >= gfx10 */
#define R_00950C_TA_CS_BC_BASE_ADDR                                     0x00950C /* <= gfx6 */
#define R_009858_DB_SUBTILE_CONTROL                                     0x009858 /* <= stoney */
#define   S_009858_MSAA1_X(x)                                         (((unsigned)(x) & 0x3) << 0)
#define   G_009858_MSAA1_X(x)                                         (((x) >> 0) & 0x3)
#define   C_009858_MSAA1_X                                            0xFFFFFFFC
#define   S_009858_MSAA1_Y(x)                                         (((unsigned)(x) & 0x3) << 2)
#define   G_009858_MSAA1_Y(x)                                         (((x) >> 2) & 0x3)
#define   C_009858_MSAA1_Y                                            0xFFFFFFF3
#define   S_009858_MSAA2_X(x)                                         (((unsigned)(x) & 0x3) << 4)
#define   G_009858_MSAA2_X(x)                                         (((x) >> 4) & 0x3)
#define   C_009858_MSAA2_X                                            0xFFFFFFCF
#define   S_009858_MSAA2_Y(x)                                         (((unsigned)(x) & 0x3) << 6)
#define   G_009858_MSAA2_Y(x)                                         (((x) >> 6) & 0x3)
#define   C_009858_MSAA2_Y                                            0xFFFFFF3F
#define   S_009858_MSAA4_X(x)                                         (((unsigned)(x) & 0x3) << 8)
#define   G_009858_MSAA4_X(x)                                         (((x) >> 8) & 0x3)
#define   C_009858_MSAA4_X                                            0xFFFFFCFF
#define   S_009858_MSAA4_Y(x)                                         (((unsigned)(x) & 0x3) << 10)
#define   G_009858_MSAA4_Y(x)                                         (((x) >> 10) & 0x3)
#define   C_009858_MSAA4_Y                                            0xFFFFF3FF
#define   S_009858_MSAA8_X(x)                                         (((unsigned)(x) & 0x3) << 12)
#define   G_009858_MSAA8_X(x)                                         (((x) >> 12) & 0x3)
#define   C_009858_MSAA8_X                                            0xFFFFCFFF
#define   S_009858_MSAA8_Y(x)                                         (((unsigned)(x) & 0x3) << 14)
#define   G_009858_MSAA8_Y(x)                                         (((x) >> 14) & 0x3)
#define   C_009858_MSAA8_Y                                            0xFFFF3FFF
#define   S_009858_MSAA16_X(x)                                        (((unsigned)(x) & 0x3) << 16)
#define   G_009858_MSAA16_X(x)                                        (((x) >> 16) & 0x3)
#define   C_009858_MSAA16_X                                           0xFFFCFFFF
#define   S_009858_MSAA16_Y(x)                                        (((unsigned)(x) & 0x3) << 18)
#define   G_009858_MSAA16_Y(x)                                        (((x) >> 18) & 0x3)
#define   C_009858_MSAA16_Y                                           0xFFF3FFFF
#define R_0098F8_GB_ADDR_CONFIG                                         0x0098F8 /* <= gfx9 */
#define   S_0098F8_NUM_PIPES(x)                                       (((unsigned)(x) & 0x7) << 0)
#define   G_0098F8_NUM_PIPES(x)                                       (((x) >> 0) & 0x7)
#define   C_0098F8_NUM_PIPES                                          0xFFFFFFF8
#define   S_0098F8_PIPE_INTERLEAVE_SIZE_GFX9(x)                       (((unsigned)(x) & 0x7) << 3) /* gfx9 */
#define   G_0098F8_PIPE_INTERLEAVE_SIZE_GFX9(x)                       (((x) >> 3) & 0x7)
#define   C_0098F8_PIPE_INTERLEAVE_SIZE_GFX9                          0xFFFFFFC7
#define   S_0098F8_PIPE_INTERLEAVE_SIZE_GFX6(x)                       (((unsigned)(x) & 0x7) << 4) /* <= stoney */
#define   G_0098F8_PIPE_INTERLEAVE_SIZE_GFX6(x)                       (((x) >> 4) & 0x7)
#define   C_0098F8_PIPE_INTERLEAVE_SIZE_GFX6                          0xFFFFFF8F
#define   S_0098F8_MAX_COMPRESSED_FRAGS(x)                            (((unsigned)(x) & 0x3) << 6) /* gfx9 */
#define   G_0098F8_MAX_COMPRESSED_FRAGS(x)                            (((x) >> 6) & 0x3)
#define   C_0098F8_MAX_COMPRESSED_FRAGS                               0xFFFFFF3F
#define   S_0098F8_BANK_INTERLEAVE_SIZE(x)                            (((unsigned)(x) & 0x7) << 8)
#define   G_0098F8_BANK_INTERLEAVE_SIZE(x)                            (((x) >> 8) & 0x7)
#define   C_0098F8_BANK_INTERLEAVE_SIZE                               0xFFFFF8FF
#define   S_0098F8_NUM_BANKS(x)                                       (((unsigned)(x) & 0x7) << 12) /* gfx9 */
#define   G_0098F8_NUM_BANKS(x)                                       (((x) >> 12) & 0x7)
#define   C_0098F8_NUM_BANKS                                          0xFFFF8FFF
#define   S_0098F8_NUM_SHADER_ENGINES_GFX6(x)                         (((unsigned)(x) & 0x3) << 12) /* <= stoney */
#define   G_0098F8_NUM_SHADER_ENGINES_GFX6(x)                         (((x) >> 12) & 0x3)
#define   C_0098F8_NUM_SHADER_ENGINES_GFX6                            0xFFFFCFFF
#define   S_0098F8_SHADER_ENGINE_TILE_SIZE(x)                         (((unsigned)(x) & 0x7) << 16)
#define   G_0098F8_SHADER_ENGINE_TILE_SIZE(x)                         (((x) >> 16) & 0x7)
#define   C_0098F8_SHADER_ENGINE_TILE_SIZE                            0xFFF8FFFF
#define   S_0098F8_NUM_SHADER_ENGINES_GFX9(x)                         (((unsigned)(x) & 0x3) << 19) /* gfx9 */
#define   G_0098F8_NUM_SHADER_ENGINES_GFX9(x)                         (((x) >> 19) & 0x3)
#define   C_0098F8_NUM_SHADER_ENGINES_GFX9                            0xFFE7FFFF
#define   S_0098F8_NUM_GPUS_GFX6(x)                                   (((unsigned)(x) & 0x7) << 20) /* <= stoney */
#define   G_0098F8_NUM_GPUS_GFX6(x)                                   (((x) >> 20) & 0x7)
#define   C_0098F8_NUM_GPUS_GFX6                                      0xFF8FFFFF
#define   S_0098F8_NUM_GPUS_GFX9(x)                                   (((unsigned)(x) & 0x7) << 21) /* gfx9 */
#define   G_0098F8_NUM_GPUS_GFX9(x)                                   (((x) >> 21) & 0x7)
#define   C_0098F8_NUM_GPUS_GFX9                                      0xFF1FFFFF
#define   S_0098F8_MULTI_GPU_TILE_SIZE(x)                             (((unsigned)(x) & 0x3) << 24)
#define   G_0098F8_MULTI_GPU_TILE_SIZE(x)                             (((x) >> 24) & 0x3)
#define   C_0098F8_MULTI_GPU_TILE_SIZE                                0xFCFFFFFF
#define   S_0098F8_NUM_RB_PER_SE(x)                                   (((unsigned)(x) & 0x3) << 26) /* gfx9 */
#define   G_0098F8_NUM_RB_PER_SE(x)                                   (((x) >> 26) & 0x3)
#define   C_0098F8_NUM_RB_PER_SE                                      0xF3FFFFFF
#define   S_0098F8_ROW_SIZE(x)                                        (((unsigned)(x) & 0x3) << 28)
#define   G_0098F8_ROW_SIZE(x)                                        (((x) >> 28) & 0x3)
#define   C_0098F8_ROW_SIZE                                           0xCFFFFFFF
#define   S_0098F8_NUM_LOWER_PIPES(x)                                 (((unsigned)(x) & 0x1) << 30)
#define   G_0098F8_NUM_LOWER_PIPES(x)                                 (((x) >> 30) & 0x1)
#define   C_0098F8_NUM_LOWER_PIPES                                    0xBFFFFFFF
#define   S_0098F8_SE_ENABLE(x)                                       (((unsigned)(x) & 0x1) << 31) /* gfx9 */
#define   G_0098F8_SE_ENABLE(x)                                       (((x) >> 31) & 0x1)
#define   C_0098F8_SE_ENABLE                                          0x7FFFFFFF
#define R_009910_GB_TILE_MODE0                                          0x009910 /* <= gfx9 */
#define   S_009910_MICRO_TILE_MODE(x)                                 (((unsigned)(x) & 0x3) << 0) /* <= stoney */
#define   G_009910_MICRO_TILE_MODE(x)                                 (((x) >> 0) & 0x3)
#define   C_009910_MICRO_TILE_MODE                                    0xFFFFFFFC
#define     V_009910_ADDR_SURF_DISPLAY_MICRO_TILING                 0
#define     V_009910_ADDR_SURF_THIN_MICRO_TILING                    1
#define     V_009910_ADDR_SURF_DEPTH_MICRO_TILING                   2
#define     V_009910_ADDR_SURF_THICK_MICRO_TILING                   3
#define   S_009910_ARRAY_MODE(x)                                      (((unsigned)(x) & 0xF) << 2)
#define   G_009910_ARRAY_MODE(x)                                      (((x) >> 2) & 0xF)
#define   C_009910_ARRAY_MODE                                         0xFFFFFFC3
#define     V_009910_ARRAY_LINEAR_GENERAL                           0 /* <= stoney */
#define     V_009910_ARRAY_LINEAR_ALIGNED                           1 /* <= stoney */
#define     V_009910_ARRAY_1D_TILED_THIN1                           2 /* <= stoney */
#define     V_009910_ARRAY_1D_TILED_THICK                           3 /* <= stoney */
#define     V_009910_ARRAY_2D_TILED_THIN1                           4 /* <= stoney */
#define     V_009910_ARRAY_2D_TILED_THICK                           7 /* <= stoney */
#define     V_009910_ARRAY_2D_TILED_XTHICK                          8 /* <= stoney */
#define     V_009910_ARRAY_3D_TILED_THIN1                           12 /* <= stoney */
#define     V_009910_ARRAY_3D_TILED_THICK                           13 /* <= stoney */
#define     V_009910_ARRAY_3D_TILED_XTHICK                          14 /* <= stoney */
#define     V_009910_ARRAY_POWER_SAVE                               15 /* <= stoney */
#define   S_009910_PIPE_CONFIG(x)                                     (((unsigned)(x) & 0x1F) << 6)
#define   G_009910_PIPE_CONFIG(x)                                     (((x) >> 6) & 0x1F)
#define   C_009910_PIPE_CONFIG                                        0xFFFFF83F
#define     V_009910_ADDR_SURF_P2                                   0 /* <= stoney */
#define     V_009910_ADDR_SURF_P2_RESERVED0                         1 /* <= stoney */
#define     V_009910_ADDR_SURF_P2_RESERVED1                         2 /* <= stoney */
#define     V_009910_ADDR_SURF_P2_RESERVED2                         3 /* <= stoney */
#define     V_009910_X_ADDR_SURF_P4_8X16                            4 /* <= stoney */
#define     V_009910_X_ADDR_SURF_P4_16X16                           5 /* <= stoney */
#define     V_009910_X_ADDR_SURF_P4_16X32                           6 /* <= stoney */
#define     V_009910_X_ADDR_SURF_P4_32X32                           7 /* <= stoney */
#define     V_009910_X_ADDR_SURF_P8_16X16_8X16                      8 /* <= stoney */
#define     V_009910_X_ADDR_SURF_P8_16X32_8X16                      9 /* <= stoney */
#define     V_009910_X_ADDR_SURF_P8_32X32_8X16                      10 /* <= stoney */
#define     V_009910_X_ADDR_SURF_P8_16X32_16X16                     11 /* <= stoney */
#define     V_009910_X_ADDR_SURF_P8_32X32_16X16                     12 /* <= stoney */
#define     V_009910_X_ADDR_SURF_P8_32X32_16X32                     13 /* <= stoney */
#define     V_009910_X_ADDR_SURF_P8_32X64_32X32                     14 /* <= stoney */
#define   S_009910_TILE_SPLIT(x)                                      (((unsigned)(x) & 0x7) << 11)
#define   G_009910_TILE_SPLIT(x)                                      (((x) >> 11) & 0x7)
#define   C_009910_TILE_SPLIT                                         0xFFFFC7FF
#define     V_009910_ADDR_SURF_TILE_SPLIT_64B                       0 /* <= stoney */
#define     V_009910_ADDR_SURF_TILE_SPLIT_128B                      1 /* <= stoney */
#define     V_009910_ADDR_SURF_TILE_SPLIT_256B                      2 /* <= stoney */
#define     V_009910_ADDR_SURF_TILE_SPLIT_512B                      3 /* <= stoney */
#define     V_009910_ADDR_SURF_TILE_SPLIT_1KB                       4 /* <= stoney */
#define     V_009910_ADDR_SURF_TILE_SPLIT_2KB                       5 /* <= stoney */
#define     V_009910_ADDR_SURF_TILE_SPLIT_4KB                       6 /* <= stoney */
#define   S_009910_BANK_WIDTH(x)                                      (((unsigned)(x) & 0x3) << 14) /* <= stoney */
#define   G_009910_BANK_WIDTH(x)                                      (((x) >> 14) & 0x3)
#define   C_009910_BANK_WIDTH                                         0xFFFF3FFF
#define     V_009910_ADDR_SURF_BANK_WIDTH_1                         0
#define     V_009910_ADDR_SURF_BANK_WIDTH_2                         1
#define     V_009910_ADDR_SURF_BANK_WIDTH_4                         2
#define     V_009910_ADDR_SURF_BANK_WIDTH_8                         3
#define   S_009910_BANK_HEIGHT(x)                                     (((unsigned)(x) & 0x3) << 16) /* <= stoney */
#define   G_009910_BANK_HEIGHT(x)                                     (((x) >> 16) & 0x3)
#define   C_009910_BANK_HEIGHT                                        0xFFFCFFFF
#define     V_009910_ADDR_SURF_BANK_HEIGHT_1                        0
#define     V_009910_ADDR_SURF_BANK_HEIGHT_2                        1
#define     V_009910_ADDR_SURF_BANK_HEIGHT_4                        2
#define     V_009910_ADDR_SURF_BANK_HEIGHT_8                        3
#define   S_009910_MACRO_TILE_ASPECT(x)                               (((unsigned)(x) & 0x3) << 18) /* <= stoney */
#define   G_009910_MACRO_TILE_ASPECT(x)                               (((x) >> 18) & 0x3)
#define   C_009910_MACRO_TILE_ASPECT                                  0xFFF3FFFF
#define     V_009910_ADDR_SURF_MACRO_ASPECT_1                       0
#define     V_009910_ADDR_SURF_MACRO_ASPECT_2                       1
#define     V_009910_ADDR_SURF_MACRO_ASPECT_4                       2
#define     V_009910_ADDR_SURF_MACRO_ASPECT_8                       3
#define   S_009910_NUM_BANKS(x)                                       (((unsigned)(x) & 0x3) << 20) /* <= stoney */
#define   G_009910_NUM_BANKS(x)                                       (((x) >> 20) & 0x3)
#define   C_009910_NUM_BANKS                                          0xFFCFFFFF
#define     V_009910_ADDR_SURF_2_BANK                               0
#define     V_009910_ADDR_SURF_4_BANK                               1
#define     V_009910_ADDR_SURF_8_BANK                               2
#define     V_009910_ADDR_SURF_16_BANK                              3
#define   S_009910_MICRO_TILE_MODE_NEW(x)                             (((unsigned)(x) & 0x7) << 22)
#define   G_009910_MICRO_TILE_MODE_NEW(x)                             (((x) >> 22) & 0x7)
#define   C_009910_MICRO_TILE_MODE_NEW                                0xFE3FFFFF
#define     V_009910_ADDR_SURF_ROTATED_MICRO_TILING                 3 /* <= stoney */
#define   S_009910_SAMPLE_SPLIT(x)                                    (((unsigned)(x) & 0x3) << 25)
#define   G_009910_SAMPLE_SPLIT(x)                                    (((x) >> 25) & 0x3)
#define   C_009910_SAMPLE_SPLIT                                       0xF9FFFFFF
#define R_009914_GB_TILE_MODE1                                          0x009914 /* <= gfx9 */
#define R_009918_GB_TILE_MODE2                                          0x009918 /* <= gfx9 */
#define R_00991C_GB_TILE_MODE3                                          0x00991C /* <= gfx9 */
#define R_009920_GB_TILE_MODE4                                          0x009920 /* <= gfx9 */
#define R_009924_GB_TILE_MODE5                                          0x009924 /* <= gfx9 */
#define R_009928_GB_TILE_MODE6                                          0x009928 /* <= gfx9 */
#define R_00992C_GB_TILE_MODE7                                          0x00992C /* <= gfx9 */
#define R_009930_GB_TILE_MODE8                                          0x009930 /* <= gfx9 */
#define R_009934_GB_TILE_MODE9                                          0x009934 /* <= gfx9 */
#define R_009938_GB_TILE_MODE10                                         0x009938 /* <= gfx9 */
#define R_00993C_GB_TILE_MODE11                                         0x00993C /* <= gfx9 */
#define R_009940_GB_TILE_MODE12                                         0x009940 /* <= gfx9 */
#define R_009944_GB_TILE_MODE13                                         0x009944 /* <= gfx9 */
#define R_009948_GB_TILE_MODE14                                         0x009948 /* <= gfx9 */
#define R_00994C_GB_TILE_MODE15                                         0x00994C /* <= gfx9 */
#define R_009950_GB_TILE_MODE16                                         0x009950 /* <= gfx9 */
#define R_009954_GB_TILE_MODE17                                         0x009954 /* <= gfx9 */
#define R_009958_GB_TILE_MODE18                                         0x009958 /* <= gfx9 */
#define R_00995C_GB_TILE_MODE19                                         0x00995C /* <= gfx9 */
#define R_009960_GB_TILE_MODE20                                         0x009960 /* <= gfx9 */
#define R_009964_GB_TILE_MODE21                                         0x009964 /* <= gfx9 */
#define R_009968_GB_TILE_MODE22                                         0x009968 /* <= gfx9 */
#define R_00996C_GB_TILE_MODE23                                         0x00996C /* <= gfx9 */
#define R_009970_GB_TILE_MODE24                                         0x009970 /* <= gfx9 */
#define R_009974_GB_TILE_MODE25                                         0x009974 /* <= gfx9 */
#define R_009978_GB_TILE_MODE26                                         0x009978 /* <= gfx9 */
#define R_00997C_GB_TILE_MODE27                                         0x00997C /* <= gfx9 */
#define R_009980_GB_TILE_MODE28                                         0x009980 /* <= gfx9 */
#define R_009984_GB_TILE_MODE29                                         0x009984 /* <= gfx9 */
#define R_009988_GB_TILE_MODE30                                         0x009988 /* <= gfx9 */
#define R_00998C_GB_TILE_MODE31                                         0x00998C /* <= gfx9 */
#define R_009990_GB_MACROTILE_MODE0                                     0x009990 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define   S_009990_BANK_WIDTH(x)                                      (((unsigned)(x) & 0x3) << 0)
#define   G_009990_BANK_WIDTH(x)                                      (((x) >> 0) & 0x3)
#define   C_009990_BANK_WIDTH                                         0xFFFFFFFC
#define   S_009990_BANK_HEIGHT(x)                                     (((unsigned)(x) & 0x3) << 2)
#define   G_009990_BANK_HEIGHT(x)                                     (((x) >> 2) & 0x3)
#define   C_009990_BANK_HEIGHT                                        0xFFFFFFF3
#define   S_009990_MACRO_TILE_ASPECT(x)                               (((unsigned)(x) & 0x3) << 4)
#define   G_009990_MACRO_TILE_ASPECT(x)                               (((x) >> 4) & 0x3)
#define   C_009990_MACRO_TILE_ASPECT                                  0xFFFFFFCF
#define   S_009990_NUM_BANKS(x)                                       (((unsigned)(x) & 0x3) << 6)
#define   G_009990_NUM_BANKS(x)                                       (((x) >> 6) & 0x3)
#define   C_009990_NUM_BANKS                                          0xFFFFFF3F
#define R_009994_GB_MACROTILE_MODE1                                     0x009994 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_009998_GB_MACROTILE_MODE2                                     0x009998 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_00999C_GB_MACROTILE_MODE3                                     0x00999C /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_0099A0_GB_MACROTILE_MODE4                                     0x0099A0 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_0099A4_GB_MACROTILE_MODE5                                     0x0099A4 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_0099A8_GB_MACROTILE_MODE6                                     0x0099A8 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_0099AC_GB_MACROTILE_MODE7                                     0x0099AC /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_0099B0_GB_MACROTILE_MODE8                                     0x0099B0 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_0099B4_GB_MACROTILE_MODE9                                     0x0099B4 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_0099B8_GB_MACROTILE_MODE10                                    0x0099B8 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_0099BC_GB_MACROTILE_MODE11                                    0x0099BC /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_0099C0_GB_MACROTILE_MODE12                                    0x0099C0 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_0099C4_GB_MACROTILE_MODE13                                    0x0099C4 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_0099C8_GB_MACROTILE_MODE14                                    0x0099C8 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_0099CC_GB_MACROTILE_MODE15                                    0x0099CC /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_00A000_SQ_IMG_RSRC_WORD0                                      0x00A000 /* >= gfx10 */
#define R_00A004_SQ_IMG_RSRC_WORD1                                      0x00A004 /* >= gfx10 */
#define   S_00A004_BASE_ADDRESS_HI(x)                                 (((unsigned)(x) & 0xFF) << 0)
#define   G_00A004_BASE_ADDRESS_HI(x)                                 (((x) >> 0) & 0xFF)
#define   C_00A004_BASE_ADDRESS_HI                                    0xFFFFFF00
#define   S_00A004_MIN_LOD(x)                                         (((unsigned)(x) & 0xFFF) << 8)
#define   G_00A004_MIN_LOD(x)                                         (((x) >> 8) & 0xFFF)
#define   C_00A004_MIN_LOD                                            0xFFF000FF
#define   S_00A004_FORMAT(x)                                          (((unsigned)(x) & 0x1FF) << 20)
#define   G_00A004_FORMAT(x)                                          (((x) >> 20) & 0x1FF)
#define   C_00A004_FORMAT                                             0xE00FFFFF
#define     V_00A004_IMG_FORMAT_INVALID                             0
#define     V_00A004_IMG_FORMAT_8_UNORM                             1
#define     V_00A004_IMG_FORMAT_8_SNORM                             2
#define     V_00A004_IMG_FORMAT_8_USCALED                           3
#define     V_00A004_IMG_FORMAT_8_SSCALED                           4
#define     V_00A004_IMG_FORMAT_8_UINT                              5
#define     V_00A004_IMG_FORMAT_8_SINT                              6
#define     V_00A004_IMG_FORMAT_16_UNORM                            7
#define     V_00A004_IMG_FORMAT_16_SNORM                            8
#define     V_00A004_IMG_FORMAT_16_USCALED                          9
#define     V_00A004_IMG_FORMAT_16_SSCALED                          10
#define     V_00A004_IMG_FORMAT_16_UINT                             11
#define     V_00A004_IMG_FORMAT_16_SINT                             12
#define     V_00A004_IMG_FORMAT_16_FLOAT                            13
#define     V_00A004_IMG_FORMAT_8_8_UNORM                           14
#define     V_00A004_IMG_FORMAT_8_8_SNORM                           15
#define     V_00A004_IMG_FORMAT_8_8_USCALED                         16
#define     V_00A004_IMG_FORMAT_8_8_SSCALED                         17
#define     V_00A004_IMG_FORMAT_8_8_UINT                            18
#define     V_00A004_IMG_FORMAT_8_8_SINT                            19
#define     V_00A004_IMG_FORMAT_32_UINT                             20
#define     V_00A004_IMG_FORMAT_32_SINT                             21
#define     V_00A004_IMG_FORMAT_32_FLOAT                            22
#define     V_00A004_IMG_FORMAT_16_16_UNORM                         23
#define     V_00A004_IMG_FORMAT_16_16_SNORM                         24
#define     V_00A004_IMG_FORMAT_16_16_USCALED                       25
#define     V_00A004_IMG_FORMAT_16_16_SSCALED                       26
#define     V_00A004_IMG_FORMAT_16_16_UINT                          27
#define     V_00A004_IMG_FORMAT_16_16_SINT                          28
#define     V_00A004_IMG_FORMAT_16_16_FLOAT                         29
#define     V_00A004_IMG_FORMAT_10_11_11_UNORM                      30
#define     V_00A004_IMG_FORMAT_10_11_11_SNORM                      31
#define     V_00A004_IMG_FORMAT_10_11_11_USCALED                    32
#define     V_00A004_IMG_FORMAT_10_11_11_SSCALED                    33
#define     V_00A004_IMG_FORMAT_10_11_11_UINT                       34
#define     V_00A004_IMG_FORMAT_10_11_11_SINT                       35
#define     V_00A004_IMG_FORMAT_10_11_11_FLOAT                      36
#define     V_00A004_IMG_FORMAT_11_11_10_UNORM                      37
#define     V_00A004_IMG_FORMAT_11_11_10_SNORM                      38
#define     V_00A004_IMG_FORMAT_11_11_10_USCALED                    39
#define     V_00A004_IMG_FORMAT_11_11_10_SSCALED                    40
#define     V_00A004_IMG_FORMAT_11_11_10_UINT                       41
#define     V_00A004_IMG_FORMAT_11_11_10_SINT                       42
#define     V_00A004_IMG_FORMAT_11_11_10_FLOAT                      43
#define     V_00A004_IMG_FORMAT_10_10_10_2_UNORM                    44
#define     V_00A004_IMG_FORMAT_10_10_10_2_SNORM                    45
#define     V_00A004_IMG_FORMAT_10_10_10_2_USCALED                  46
#define     V_00A004_IMG_FORMAT_10_10_10_2_SSCALED                  47
#define     V_00A004_IMG_FORMAT_10_10_10_2_UINT                     48
#define     V_00A004_IMG_FORMAT_10_10_10_2_SINT                     49
#define     V_00A004_IMG_FORMAT_2_10_10_10_UNORM                    50
#define     V_00A004_IMG_FORMAT_2_10_10_10_SNORM                    51
#define     V_00A004_IMG_FORMAT_2_10_10_10_USCALED                  52
#define     V_00A004_IMG_FORMAT_2_10_10_10_SSCALED                  53
#define     V_00A004_IMG_FORMAT_2_10_10_10_UINT                     54
#define     V_00A004_IMG_FORMAT_2_10_10_10_SINT                     55
#define     V_00A004_IMG_FORMAT_8_8_8_8_UNORM                       56
#define     V_00A004_IMG_FORMAT_8_8_8_8_SNORM                       57
#define     V_00A004_IMG_FORMAT_8_8_8_8_USCALED                     58
#define     V_00A004_IMG_FORMAT_8_8_8_8_SSCALED                     59
#define     V_00A004_IMG_FORMAT_8_8_8_8_UINT                        60
#define     V_00A004_IMG_FORMAT_8_8_8_8_SINT                        61
#define     V_00A004_IMG_FORMAT_32_32_UINT                          62
#define     V_00A004_IMG_FORMAT_32_32_SINT                          63
#define     V_00A004_IMG_FORMAT_32_32_FLOAT                         64
#define     V_00A004_IMG_FORMAT_16_16_16_16_UNORM                   65
#define     V_00A004_IMG_FORMAT_16_16_16_16_SNORM                   66
#define     V_00A004_IMG_FORMAT_16_16_16_16_USCALED                 67
#define     V_00A004_IMG_FORMAT_16_16_16_16_SSCALED                 68
#define     V_00A004_IMG_FORMAT_16_16_16_16_UINT                    69
#define     V_00A004_IMG_FORMAT_16_16_16_16_SINT                    70
#define     V_00A004_IMG_FORMAT_16_16_16_16_FLOAT                   71
#define     V_00A004_IMG_FORMAT_32_32_32_UINT                       72
#define     V_00A004_IMG_FORMAT_32_32_32_SINT                       73
#define     V_00A004_IMG_FORMAT_32_32_32_FLOAT                      74
#define     V_00A004_IMG_FORMAT_32_32_32_32_UINT                    75
#define     V_00A004_IMG_FORMAT_32_32_32_32_SINT                    76
#define     V_00A004_IMG_FORMAT_32_32_32_32_FLOAT                   77
#define     V_00A004_IMG_FORMAT_8_SRGB                              128
#define     V_00A004_IMG_FORMAT_8_8_SRGB                            129
#define     V_00A004_IMG_FORMAT_8_8_8_8_SRGB                        130
#define     V_00A004_IMG_FORMAT_6E4_FLOAT                           131
#define     V_00A004_IMG_FORMAT_5_9_9_9_FLOAT                       132
#define     V_00A004_IMG_FORMAT_5_6_5_UNORM                         133
#define     V_00A004_IMG_FORMAT_1_5_5_5_UNORM                       134
#define     V_00A004_IMG_FORMAT_5_5_5_1_UNORM                       135
#define     V_00A004_IMG_FORMAT_4_4_4_4_UNORM                       136
#define     V_00A004_IMG_FORMAT_4_4_UNORM                           137
#define     V_00A004_IMG_FORMAT_1_UNORM                             138
#define     V_00A004_IMG_FORMAT_1_REVERSED_UNORM                    139
#define     V_00A004_IMG_FORMAT_32_FLOAT_CLAMP                      140
#define     V_00A004_IMG_FORMAT_8_24_UNORM                          141
#define     V_00A004_IMG_FORMAT_8_24_UINT                           142
#define     V_00A004_IMG_FORMAT_24_8_UNORM                          143
#define     V_00A004_IMG_FORMAT_24_8_UINT                           144
#define     V_00A004_IMG_FORMAT_X24_8_32_UINT                       145
#define     V_00A004_IMG_FORMAT_X24_8_32_FLOAT                      146
#define     V_00A004_IMG_FORMAT_GB_GR_UNORM                         147
#define     V_00A004_IMG_FORMAT_GB_GR_SNORM                         148
#define     V_00A004_IMG_FORMAT_GB_GR_UINT                          149
#define     V_00A004_IMG_FORMAT_GB_GR_SRGB                          150
#define     V_00A004_IMG_FORMAT_BG_RG_UNORM                         151
#define     V_00A004_IMG_FORMAT_BG_RG_SNORM                         152
#define     V_00A004_IMG_FORMAT_BG_RG_UINT                          153
#define     V_00A004_IMG_FORMAT_BG_RG_SRGB                          154
#define     V_00A004_IMG_FORMAT_FMASK8_S2_F1                        156
#define     V_00A004_IMG_FORMAT_FMASK8_S4_F1                        157
#define     V_00A004_IMG_FORMAT_FMASK8_S8_F1                        158
#define     V_00A004_IMG_FORMAT_FMASK8_S2_F2                        159
#define     V_00A004_IMG_FORMAT_FMASK8_S4_F2                        160
#define     V_00A004_IMG_FORMAT_FMASK8_S4_F4                        161
#define     V_00A004_IMG_FORMAT_FMASK16_S16_F1                      162
#define     V_00A004_IMG_FORMAT_FMASK16_S8_F2                       163
#define     V_00A004_IMG_FORMAT_FMASK32_S16_F2                      164
#define     V_00A004_IMG_FORMAT_FMASK32_S8_F4                       165
#define     V_00A004_IMG_FORMAT_FMASK32_S8_F8                       166
#define     V_00A004_IMG_FORMAT_FMASK64_S16_F4                      167
#define     V_00A004_IMG_FORMAT_FMASK64_S16_F8                      168
#define     V_00A004_IMG_FORMAT_BC1_UNORM                           169
#define     V_00A004_IMG_FORMAT_BC1_SRGB                            170
#define     V_00A004_IMG_FORMAT_BC2_UNORM                           171
#define     V_00A004_IMG_FORMAT_BC2_SRGB                            172
#define     V_00A004_IMG_FORMAT_BC3_UNORM                           173
#define     V_00A004_IMG_FORMAT_BC3_SRGB                            174
#define     V_00A004_IMG_FORMAT_BC4_UNORM                           175
#define     V_00A004_IMG_FORMAT_BC4_SNORM                           176
#define     V_00A004_IMG_FORMAT_BC5_UNORM                           177
#define     V_00A004_IMG_FORMAT_BC5_SNORM                           178
#define     V_00A004_IMG_FORMAT_BC6_UFLOAT                          179
#define     V_00A004_IMG_FORMAT_BC6_SFLOAT                          180
#define     V_00A004_IMG_FORMAT_BC7_UNORM                           181
#define     V_00A004_IMG_FORMAT_BC7_SRGB                            182
#define     V_00A004_IMG_FORMAT_MM_8_UNORM                          265
#define     V_00A004_IMG_FORMAT_MM_8_UINT                           266
#define     V_00A004_IMG_FORMAT_MM_8_8_UNORM                        267
#define     V_00A004_IMG_FORMAT_MM_8_8_UINT                         268
#define     V_00A004_IMG_FORMAT_MM_8_8_8_8_UNORM                    269
#define     V_00A004_IMG_FORMAT_MM_8_8_8_8_UINT                     270
#define     V_00A004_IMG_FORMAT_MM_VYUY8_UNORM                      271
#define     V_00A004_IMG_FORMAT_MM_VYUY8_UINT                       272
#define     V_00A004_IMG_FORMAT_MM_10_11_11_UNORM                   273
#define     V_00A004_IMG_FORMAT_MM_10_11_11_UINT                    274
#define     V_00A004_IMG_FORMAT_MM_2_10_10_10_UNORM                 275
#define     V_00A004_IMG_FORMAT_MM_2_10_10_10_UINT                  276
#define     V_00A004_IMG_FORMAT_MM_16_16_16_16_UNORM                277
#define     V_00A004_IMG_FORMAT_MM_16_16_16_16_UINT                 278
#define     V_00A004_IMG_FORMAT_MM_10_IN_16_UNORM                   279
#define     V_00A004_IMG_FORMAT_MM_10_IN_16_UINT                    280
#define     V_00A004_IMG_FORMAT_MM_10_IN_16_16_UNORM                281
#define     V_00A004_IMG_FORMAT_MM_10_IN_16_16_UINT                 282
#define     V_00A004_IMG_FORMAT_MM_10_IN_16_16_16_16_UNORM          283
#define     V_00A004_IMG_FORMAT_MM_10_IN_16_16_16_16_UINT           284
#define     V_00A004_IMG_FORMAT_7E3_FLOAT                           285
#define     V_00A004_IMG_FORMAT_YCBCR_UNORM                         286
#define     V_00A004_IMG_FORMAT_YCBCR_SNORM                         287
#define     V_00A004_IMG_FORMAT_YCBCR_USCALED                       288
#define     V_00A004_IMG_FORMAT_YCBCR_SSCALED                       289
#define     V_00A004_IMG_FORMAT_YCBCR_UINT                          290
#define     V_00A004_IMG_FORMAT_YCBCR_SINT                          291
#define     V_00A004_IMG_FORMAT_YCBCR_SRGB                          292
#define   S_00A004_WIDTH_LO(x)                                        (((unsigned)(x) & 0x3) << 30)
#define   G_00A004_WIDTH_LO(x)                                        (((x) >> 30) & 0x3)
#define   C_00A004_WIDTH_LO                                           0x3FFFFFFF
#define R_00A008_SQ_IMG_RSRC_WORD2                                      0x00A008 /* >= gfx10 */
#define   S_00A008_WIDTH_HI(x)                                        (((unsigned)(x) & 0x3FFF) << 0)
#define   G_00A008_WIDTH_HI(x)                                        (((x) >> 0) & 0x3FFF)
#define   C_00A008_WIDTH_HI                                           0xFFFFC000
#define   S_00A008_HEIGHT(x)                                          (((unsigned)(x) & 0xFFFF) << 14)
#define   G_00A008_HEIGHT(x)                                          (((x) >> 14) & 0xFFFF)
#define   C_00A008_HEIGHT                                             0xC0003FFF
#define   S_00A008_RESOURCE_LEVEL(x)                                  (((unsigned)(x) & 0x1) << 31)
#define   G_00A008_RESOURCE_LEVEL(x)                                  (((x) >> 31) & 0x1)
#define   C_00A008_RESOURCE_LEVEL                                     0x7FFFFFFF
#define R_00A00C_SQ_IMG_RSRC_WORD3                                      0x00A00C /* >= gfx10 */
#define   S_00A00C_DST_SEL_X(x)                                       (((unsigned)(x) & 0x7) << 0)
#define   G_00A00C_DST_SEL_X(x)                                       (((x) >> 0) & 0x7)
#define   C_00A00C_DST_SEL_X                                          0xFFFFFFF8
#define   S_00A00C_DST_SEL_Y(x)                                       (((unsigned)(x) & 0x7) << 3)
#define   G_00A00C_DST_SEL_Y(x)                                       (((x) >> 3) & 0x7)
#define   C_00A00C_DST_SEL_Y                                          0xFFFFFFC7
#define   S_00A00C_DST_SEL_Z(x)                                       (((unsigned)(x) & 0x7) << 6)
#define   G_00A00C_DST_SEL_Z(x)                                       (((x) >> 6) & 0x7)
#define   C_00A00C_DST_SEL_Z                                          0xFFFFFE3F
#define   S_00A00C_DST_SEL_W(x)                                       (((unsigned)(x) & 0x7) << 9)
#define   G_00A00C_DST_SEL_W(x)                                       (((x) >> 9) & 0x7)
#define   C_00A00C_DST_SEL_W                                          0xFFFFF1FF
#define   S_00A00C_BASE_LEVEL(x)                                      (((unsigned)(x) & 0xF) << 12)
#define   G_00A00C_BASE_LEVEL(x)                                      (((x) >> 12) & 0xF)
#define   C_00A00C_BASE_LEVEL                                         0xFFFF0FFF
#define   S_00A00C_LAST_LEVEL(x)                                      (((unsigned)(x) & 0xF) << 16)
#define   G_00A00C_LAST_LEVEL(x)                                      (((x) >> 16) & 0xF)
#define   C_00A00C_LAST_LEVEL                                         0xFFF0FFFF
#define   S_00A00C_SW_MODE(x)                                         (((unsigned)(x) & 0x1F) << 20)
#define   G_00A00C_SW_MODE(x)                                         (((x) >> 20) & 0x1F)
#define   C_00A00C_SW_MODE                                            0xFE0FFFFF
#define   S_00A00C_BC_SWIZZLE(x)                                      (((unsigned)(x) & 0x7) << 25)
#define   G_00A00C_BC_SWIZZLE(x)                                      (((x) >> 25) & 0x7)
#define   C_00A00C_BC_SWIZZLE                                         0xF1FFFFFF
#define     V_00A00C_BC_SWIZZLE_XYZW                                0
#define     V_00A00C_BC_SWIZZLE_XWYZ                                1
#define     V_00A00C_BC_SWIZZLE_WZYX                                2
#define     V_00A00C_BC_SWIZZLE_WXYZ                                3
#define     V_00A00C_BC_SWIZZLE_ZYXW                                4
#define     V_00A00C_BC_SWIZZLE_YXWZ                                5
#define   S_00A00C_TYPE(x)                                            (((unsigned)(x) & 0xF) << 28)
#define   G_00A00C_TYPE(x)                                            (((x) >> 28) & 0xF)
#define   C_00A00C_TYPE                                               0x0FFFFFFF
#define R_00A010_SQ_IMG_RSRC_WORD4                                      0x00A010 /* >= gfx10 */
#define   S_00A010_DEPTH(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00A010_DEPTH(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_00A010_DEPTH                                              0xFFFF0000
#define   S_00A010_BASE_ARRAY(x)                                      (((unsigned)(x) & 0xFFFF) << 16)
#define   G_00A010_BASE_ARRAY(x)                                      (((x) >> 16) & 0xFFFF)
#define   C_00A010_BASE_ARRAY                                         0x0000FFFF
#define R_00A014_SQ_IMG_RSRC_WORD5                                      0x00A014 /* >= gfx10 */
#define   S_00A014_ARRAY_PITCH(x)                                     (((unsigned)(x) & 0xF) << 0)
#define   G_00A014_ARRAY_PITCH(x)                                     (((x) >> 0) & 0xF)
#define   C_00A014_ARRAY_PITCH                                        0xFFFFFFF0
#define   S_00A014_MAX_MIP(x)                                         (((unsigned)(x) & 0xF) << 4)
#define   G_00A014_MAX_MIP(x)                                         (((x) >> 4) & 0xF)
#define   C_00A014_MAX_MIP                                            0xFFFFFF0F
#define   S_00A014_MIN_LOD_WARN(x)                                    (((unsigned)(x) & 0xFFF) << 8)
#define   G_00A014_MIN_LOD_WARN(x)                                    (((x) >> 8) & 0xFFF)
#define   C_00A014_MIN_LOD_WARN                                       0xFFF000FF
#define   S_00A014_PERF_MOD(x)                                        (((unsigned)(x) & 0x7) << 20)
#define   G_00A014_PERF_MOD(x)                                        (((x) >> 20) & 0x7)
#define   C_00A014_PERF_MOD                                           0xFF8FFFFF
#define   S_00A014_CORNER_SAMPLES(x)                                  (((unsigned)(x) & 0x1) << 23)
#define   G_00A014_CORNER_SAMPLES(x)                                  (((x) >> 23) & 0x1)
#define   C_00A014_CORNER_SAMPLES                                     0xFF7FFFFF
#define   S_00A014_LOD_HDW_CNT_EN(x)                                  (((unsigned)(x) & 0x1) << 25)
#define   G_00A014_LOD_HDW_CNT_EN(x)                                  (((x) >> 25) & 0x1)
#define   C_00A014_LOD_HDW_CNT_EN                                     0xFDFFFFFF
#define   S_00A014_PRT_DEFAULT(x)                                     (((unsigned)(x) & 0x1) << 26)
#define   G_00A014_PRT_DEFAULT(x)                                     (((x) >> 26) & 0x1)
#define   C_00A014_PRT_DEFAULT                                        0xFBFFFFFF
#define   S_00A014_BIG_PAGE(x)                                        (((unsigned)(x) & 0x1) << 31)
#define   G_00A014_BIG_PAGE(x)                                        (((x) >> 31) & 0x1)
#define   C_00A014_BIG_PAGE                                           0x7FFFFFFF
#define R_00A018_SQ_IMG_RSRC_WORD6                                      0x00A018 /* >= gfx10 */
#define   S_00A018_COUNTER_BANK_ID(x)                                 (((unsigned)(x) & 0xFF) << 0)
#define   G_00A018_COUNTER_BANK_ID(x)                                 (((x) >> 0) & 0xFF)
#define   C_00A018_COUNTER_BANK_ID                                    0xFFFFFF00
#define   S_00A018_ITERATE_256(x)                                     (((unsigned)(x) & 0x1) << 10)
#define   G_00A018_ITERATE_256(x)                                     (((x) >> 10) & 0x1)
#define   C_00A018_ITERATE_256                                        0xFFFFFBFF
#define   S_00A018_MAX_UNCOMPRESSED_BLOCK_SIZE(x)                     (((unsigned)(x) & 0x3) << 15)
#define   G_00A018_MAX_UNCOMPRESSED_BLOCK_SIZE(x)                     (((x) >> 15) & 0x3)
#define   C_00A018_MAX_UNCOMPRESSED_BLOCK_SIZE                        0xFFFE7FFF
#define   S_00A018_MAX_COMPRESSED_BLOCK_SIZE(x)                       (((unsigned)(x) & 0x3) << 17)
#define   G_00A018_MAX_COMPRESSED_BLOCK_SIZE(x)                       (((x) >> 17) & 0x3)
#define   C_00A018_MAX_COMPRESSED_BLOCK_SIZE                          0xFFF9FFFF
#define   S_00A018_META_PIPE_ALIGNED(x)                               (((unsigned)(x) & 0x1) << 19)
#define   G_00A018_META_PIPE_ALIGNED(x)                               (((x) >> 19) & 0x1)
#define   C_00A018_META_PIPE_ALIGNED                                  0xFFF7FFFF
#define   S_00A018_WRITE_COMPRESS_ENABLE(x)                           (((unsigned)(x) & 0x1) << 20)
#define   G_00A018_WRITE_COMPRESS_ENABLE(x)                           (((x) >> 20) & 0x1)
#define   C_00A018_WRITE_COMPRESS_ENABLE                              0xFFEFFFFF
#define   S_00A018_COMPRESSION_EN(x)                                  (((unsigned)(x) & 0x1) << 21)
#define   G_00A018_COMPRESSION_EN(x)                                  (((x) >> 21) & 0x1)
#define   C_00A018_COMPRESSION_EN                                     0xFFDFFFFF
#define   S_00A018_ALPHA_IS_ON_MSB(x)                                 (((unsigned)(x) & 0x1) << 22)
#define   G_00A018_ALPHA_IS_ON_MSB(x)                                 (((x) >> 22) & 0x1)
#define   C_00A018_ALPHA_IS_ON_MSB                                    0xFFBFFFFF
#define   S_00A018_COLOR_TRANSFORM(x)                                 (((unsigned)(x) & 0x1) << 23)
#define   G_00A018_COLOR_TRANSFORM(x)                                 (((x) >> 23) & 0x1)
#define   C_00A018_COLOR_TRANSFORM                                    0xFF7FFFFF
#define   S_00A018_META_DATA_ADDRESS_LO(x)                            (((unsigned)(x) & 0xFF) << 24)
#define   G_00A018_META_DATA_ADDRESS_LO(x)                            (((x) >> 24) & 0xFF)
#define   C_00A018_META_DATA_ADDRESS_LO                               0x00FFFFFF
#define R_00A01C_SQ_IMG_RSRC_WORD7                                      0x00A01C /* >= gfx10 */
#define R_00B000_SPI_SHADER_TBA_LO_PS                                   0x00B000 /* <= stoney */
#define R_00B004_SPI_SHADER_PGM_RSRC4_PS                                0x00B004 /* >= gfx10 */
#define   S_00B004_CU_EN(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00B004_CU_EN(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_00B004_CU_EN                                              0xFFFF0000
#define R_00B004_SPI_SHADER_TBA_HI_PS                                   0x00B004 /* <= stoney */
#define   S_00B004_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B004_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B004_MEM_BASE                                           0xFFFFFF00
#define R_00B008_SPI_SHADER_TMA_LO_PS                                   0x00B008 /* <= stoney */
#define R_00B00C_SPI_SHADER_TMA_HI_PS                                   0x00B00C /* <= stoney */
#define   S_00B00C_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B00C_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B00C_MEM_BASE                                           0xFFFFFF00
#define R_00B018_SPI_SHADER_PGM_CHKSUM_PS                               0x00B018 /* >= gfx10 */
#define   S_00B018_CHECKSUM(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B018_CHECKSUM(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B018_CHECKSUM                                           0x00000000
#define R_00B01C_SPI_SHADER_PGM_RSRC3_PS                                0x00B01C /* >= gfx7 */
#define   S_00B01C_CU_EN(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00B01C_CU_EN(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_00B01C_CU_EN                                              0xFFFF0000
#define   S_00B01C_WAVE_LIMIT(x)                                      (((unsigned)(x) & 0x3F) << 16)
#define   G_00B01C_WAVE_LIMIT(x)                                      (((x) >> 16) & 0x3F)
#define   C_00B01C_WAVE_LIMIT                                         0xFFC0FFFF
#define   S_00B01C_LOCK_LOW_THRESHOLD(x)                              (((unsigned)(x) & 0xF) << 22)
#define   G_00B01C_LOCK_LOW_THRESHOLD(x)                              (((x) >> 22) & 0xF)
#define   C_00B01C_LOCK_LOW_THRESHOLD                                 0xFC3FFFFF
#define   S_00B01C_SIMD_DISABLE(x)                                    (((unsigned)(x) & 0xF) << 26) /* gfx9 */
#define   G_00B01C_SIMD_DISABLE(x)                                    (((x) >> 26) & 0xF)
#define   C_00B01C_SIMD_DISABLE                                       0xC3FFFFFF
#define R_00B020_SPI_SHADER_PGM_LO_PS                                   0x00B020
#define   S_00B020_MEM_BASE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B020_MEM_BASE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B020_MEM_BASE                                           0x00000000
#define R_00B024_SPI_SHADER_PGM_HI_PS                                   0x00B024
#define   S_00B024_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B024_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B024_MEM_BASE                                           0xFFFFFF00
#define R_00B028_SPI_SHADER_PGM_RSRC1_PS                                0x00B028
#define   S_00B028_VGPRS(x)                                           (((unsigned)(x) & 0x3F) << 0)
#define   G_00B028_VGPRS(x)                                           (((x) >> 0) & 0x3F)
#define   C_00B028_VGPRS                                              0xFFFFFFC0
#define   S_00B028_SGPRS(x)                                           (((unsigned)(x) & 0xF) << 6)
#define   G_00B028_SGPRS(x)                                           (((x) >> 6) & 0xF)
#define   C_00B028_SGPRS                                              0xFFFFFC3F
#define   S_00B028_PRIORITY(x)                                        (((unsigned)(x) & 0x3) << 10)
#define   G_00B028_PRIORITY(x)                                        (((x) >> 10) & 0x3)
#define   C_00B028_PRIORITY                                           0xFFFFF3FF
#define   S_00B028_FLOAT_MODE(x)                                      (((unsigned)(x) & 0xFF) << 12)
#define   G_00B028_FLOAT_MODE(x)                                      (((x) >> 12) & 0xFF)
#define   C_00B028_FLOAT_MODE                                         0xFFF00FFF
#define     V_00B028_FP_32_DENORMS                                  48 /* <= gfx9 */
#define     V_00B028_FP_64_DENORMS                                  192 /* <= gfx9 */
#define     V_00B028_FP_ALL_DENORMS                                 240 /* <= gfx9 */
#define   S_00B028_PRIV(x)                                            (((unsigned)(x) & 0x1) << 20)
#define   G_00B028_PRIV(x)                                            (((x) >> 20) & 0x1)
#define   C_00B028_PRIV                                               0xFFEFFFFF
#define   S_00B028_DX10_CLAMP(x)                                      (((unsigned)(x) & 0x1) << 21)
#define   G_00B028_DX10_CLAMP(x)                                      (((x) >> 21) & 0x1)
#define   C_00B028_DX10_CLAMP                                         0xFFDFFFFF
#define   S_00B028_DEBUG_MODE(x)                                      (((unsigned)(x) & 0x1) << 22)
#define   G_00B028_DEBUG_MODE(x)                                      (((x) >> 22) & 0x1)
#define   C_00B028_DEBUG_MODE                                         0xFFBFFFFF
#define   S_00B028_IEEE_MODE(x)                                       (((unsigned)(x) & 0x1) << 23)
#define   G_00B028_IEEE_MODE(x)                                       (((x) >> 23) & 0x1)
#define   C_00B028_IEEE_MODE                                          0xFF7FFFFF
#define   S_00B028_CU_GROUP_DISABLE(x)                                (((unsigned)(x) & 0x1) << 24)
#define   G_00B028_CU_GROUP_DISABLE(x)                                (((x) >> 24) & 0x1)
#define   C_00B028_CU_GROUP_DISABLE                                   0xFEFFFFFF
#define   S_00B028_CACHE_CTL(x)                                       (((unsigned)(x) & 0x7) << 25) /* gfx7, gfx8, fiji, stoney */
#define   G_00B028_CACHE_CTL(x)                                       (((x) >> 25) & 0x7)
#define   C_00B028_CACHE_CTL                                          0xF1FFFFFF
#define   S_00B028_MEM_ORDERED(x)                                     (((unsigned)(x) & 0x1) << 25) /* >= gfx10 */
#define   G_00B028_MEM_ORDERED(x)                                     (((x) >> 25) & 0x1)
#define   C_00B028_MEM_ORDERED                                        0xFDFFFFFF
#define   S_00B028_FWD_PROGRESS(x)                                    (((unsigned)(x) & 0x1) << 26) /* >= gfx10 */
#define   G_00B028_FWD_PROGRESS(x)                                    (((x) >> 26) & 0x1)
#define   C_00B028_FWD_PROGRESS                                       0xFBFFFFFF
#define   S_00B028_CDBG_USER(x)                                       (((unsigned)(x) & 0x1) << 28) /* >= gfx7 */
#define   G_00B028_CDBG_USER(x)                                       (((x) >> 28) & 0x1)
#define   C_00B028_CDBG_USER                                          0xEFFFFFFF
#define   S_00B028_FP16_OVFL(x)                                       (((unsigned)(x) & 0x1) << 29) /* >= gfx9 */
#define   G_00B028_FP16_OVFL(x)                                       (((x) >> 29) & 0x1)
#define   C_00B028_FP16_OVFL                                          0xDFFFFFFF
#define R_00B02C_SPI_SHADER_PGM_RSRC2_PS                                0x00B02C
#define   S_00B02C_SCRATCH_EN(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_00B02C_SCRATCH_EN(x)                                      (((x) >> 0) & 0x1)
#define   C_00B02C_SCRATCH_EN                                         0xFFFFFFFE
#define   S_00B02C_USER_SGPR(x)                                       (((unsigned)(x) & 0x1F) << 1)
#define   G_00B02C_USER_SGPR(x)                                       (((x) >> 1) & 0x1F)
#define   C_00B02C_USER_SGPR                                          0xFFFFFFC1
#define   S_00B02C_TRAP_PRESENT(x)                                    (((unsigned)(x) & 0x1) << 6)
#define   G_00B02C_TRAP_PRESENT(x)                                    (((x) >> 6) & 0x1)
#define   C_00B02C_TRAP_PRESENT                                       0xFFFFFFBF
#define   S_00B02C_WAVE_CNT_EN(x)                                     (((unsigned)(x) & 0x1) << 7)
#define   G_00B02C_WAVE_CNT_EN(x)                                     (((x) >> 7) & 0x1)
#define   C_00B02C_WAVE_CNT_EN                                        0xFFFFFF7F
#define   S_00B02C_EXTRA_LDS_SIZE(x)                                  (((unsigned)(x) & 0xFF) << 8)
#define   G_00B02C_EXTRA_LDS_SIZE(x)                                  (((x) >> 8) & 0xFF)
#define   C_00B02C_EXTRA_LDS_SIZE                                     0xFFFF00FF
#define   S_00B02C_EXCP_EN(x)                                         (((unsigned)(x) & 0x1FF) << 16)
#define   G_00B02C_EXCP_EN(x)                                         (((x) >> 16) & 0x1FF)
#define   C_00B02C_EXCP_EN                                            0xFE00FFFF
#define   S_00B02C_EXCP_EN_SI(x)                                      (((unsigned)(x) & 0x7F) << 16) /* <= stoney */
#define   G_00B02C_EXCP_EN_SI(x)                                      (((x) >> 16) & 0x7F)
#define   C_00B02C_EXCP_EN_SI                                         0xFF80FFFF
#define   S_00B02C_LOAD_COLLISION_WAVEID(x)                           (((unsigned)(x) & 0x1) << 25) /* >= gfx9 */
#define   G_00B02C_LOAD_COLLISION_WAVEID(x)                           (((x) >> 25) & 0x1)
#define   C_00B02C_LOAD_COLLISION_WAVEID                              0xFDFFFFFF
#define   S_00B02C_LOAD_INTRAWAVE_COLLISION(x)                        (((unsigned)(x) & 0x1) << 26) /* >= gfx9 */
#define   G_00B02C_LOAD_INTRAWAVE_COLLISION(x)                        (((x) >> 26) & 0x1)
#define   C_00B02C_LOAD_INTRAWAVE_COLLISION                           0xFBFFFFFF
#define   S_00B02C_SKIP_USGPR0(x)                                     (((unsigned)(x) & 0x1) << 27) /* gfx9 */
#define   G_00B02C_SKIP_USGPR0(x)                                     (((x) >> 27) & 0x1)
#define   C_00B02C_SKIP_USGPR0                                        0xF7FFFFFF
#define   S_00B02C_USER_SGPR_MSB_GFX10(x)                             (((unsigned)(x) & 0x1) << 27) /* >= gfx10 */
#define   G_00B02C_USER_SGPR_MSB_GFX10(x)                             (((x) >> 27) & 0x1)
#define   C_00B02C_USER_SGPR_MSB_GFX10                                0xF7FFFFFF
#define   S_00B02C_SHARED_VGPR_CNT(x)                                 (((unsigned)(x) & 0xF) << 28) /* >= gfx10 */
#define   G_00B02C_SHARED_VGPR_CNT(x)                                 (((x) >> 28) & 0xF)
#define   C_00B02C_SHARED_VGPR_CNT                                    0x0FFFFFFF
#define   S_00B02C_USER_SGPR_MSB_GFX9(x)                              (((unsigned)(x) & 0x1) << 28) /* gfx9 */
#define   G_00B02C_USER_SGPR_MSB_GFX9(x)                              (((x) >> 28) & 0x1)
#define   C_00B02C_USER_SGPR_MSB_GFX9                                 0xEFFFFFFF
#define R_00B030_SPI_SHADER_USER_DATA_PS_0                              0x00B030
#define   S_00B030_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B030_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B030_DATA                                               0x00000000
#define R_00B034_SPI_SHADER_USER_DATA_PS_1                              0x00B034
#define R_00B038_SPI_SHADER_USER_DATA_PS_2                              0x00B038
#define R_00B03C_SPI_SHADER_USER_DATA_PS_3                              0x00B03C
#define R_00B040_SPI_SHADER_USER_DATA_PS_4                              0x00B040
#define R_00B044_SPI_SHADER_USER_DATA_PS_5                              0x00B044
#define R_00B048_SPI_SHADER_USER_DATA_PS_6                              0x00B048
#define R_00B04C_SPI_SHADER_USER_DATA_PS_7                              0x00B04C
#define R_00B050_SPI_SHADER_USER_DATA_PS_8                              0x00B050
#define R_00B054_SPI_SHADER_USER_DATA_PS_9                              0x00B054
#define R_00B058_SPI_SHADER_USER_DATA_PS_10                             0x00B058
#define R_00B05C_SPI_SHADER_USER_DATA_PS_11                             0x00B05C
#define R_00B060_SPI_SHADER_USER_DATA_PS_12                             0x00B060
#define R_00B064_SPI_SHADER_USER_DATA_PS_13                             0x00B064
#define R_00B068_SPI_SHADER_USER_DATA_PS_14                             0x00B068
#define R_00B06C_SPI_SHADER_USER_DATA_PS_15                             0x00B06C
#define R_00B070_SPI_SHADER_USER_DATA_PS_16                             0x00B070 /* >= gfx9 */
#define R_00B074_SPI_SHADER_USER_DATA_PS_17                             0x00B074 /* >= gfx9 */
#define R_00B078_SPI_SHADER_USER_DATA_PS_18                             0x00B078 /* >= gfx9 */
#define R_00B07C_SPI_SHADER_USER_DATA_PS_19                             0x00B07C /* >= gfx9 */
#define R_00B080_SPI_SHADER_USER_DATA_PS_20                             0x00B080 /* >= gfx9 */
#define R_00B084_SPI_SHADER_USER_DATA_PS_21                             0x00B084 /* >= gfx9 */
#define R_00B088_SPI_SHADER_USER_DATA_PS_22                             0x00B088 /* >= gfx9 */
#define R_00B08C_SPI_SHADER_USER_DATA_PS_23                             0x00B08C /* >= gfx9 */
#define R_00B090_SPI_SHADER_USER_DATA_PS_24                             0x00B090 /* >= gfx9 */
#define R_00B094_SPI_SHADER_USER_DATA_PS_25                             0x00B094 /* >= gfx9 */
#define R_00B098_SPI_SHADER_USER_DATA_PS_26                             0x00B098 /* >= gfx9 */
#define R_00B09C_SPI_SHADER_USER_DATA_PS_27                             0x00B09C /* >= gfx9 */
#define R_00B0A0_SPI_SHADER_USER_DATA_PS_28                             0x00B0A0 /* >= gfx9 */
#define R_00B0A4_SPI_SHADER_USER_DATA_PS_29                             0x00B0A4 /* >= gfx9 */
#define R_00B0A8_SPI_SHADER_USER_DATA_PS_30                             0x00B0A8 /* >= gfx9 */
#define R_00B0AC_SPI_SHADER_USER_DATA_PS_31                             0x00B0AC /* >= gfx9 */
#define R_00B0C0_SPI_SHADER_REQ_CTRL_PS                                 0x00B0C0 /* >= gfx10 */
#define   S_00B0C0_SOFT_GROUPING_EN(x)                                (((unsigned)(x) & 0x1) << 0)
#define   G_00B0C0_SOFT_GROUPING_EN(x)                                (((x) >> 0) & 0x1)
#define   C_00B0C0_SOFT_GROUPING_EN                                   0xFFFFFFFE
#define   S_00B0C0_NUMBER_OF_REQUESTS_PER_CU(x)                       (((unsigned)(x) & 0xF) << 1)
#define   G_00B0C0_NUMBER_OF_REQUESTS_PER_CU(x)                       (((x) >> 1) & 0xF)
#define   C_00B0C0_NUMBER_OF_REQUESTS_PER_CU                          0xFFFFFFE1
#define   S_00B0C0_SOFT_GROUPING_ALLOCATION_TIMEOUT(x)                (((unsigned)(x) & 0xF) << 5)
#define   G_00B0C0_SOFT_GROUPING_ALLOCATION_TIMEOUT(x)                (((x) >> 5) & 0xF)
#define   C_00B0C0_SOFT_GROUPING_ALLOCATION_TIMEOUT                   0xFFFFFE1F
#define   S_00B0C0_HARD_LOCK_HYSTERESIS(x)                            (((unsigned)(x) & 0x1) << 9)
#define   G_00B0C0_HARD_LOCK_HYSTERESIS(x)                            (((x) >> 9) & 0x1)
#define   C_00B0C0_HARD_LOCK_HYSTERESIS                               0xFFFFFDFF
#define   S_00B0C0_HARD_LOCK_LOW_THRESHOLD(x)                         (((unsigned)(x) & 0x1F) << 10)
#define   G_00B0C0_HARD_LOCK_LOW_THRESHOLD(x)                         (((x) >> 10) & 0x1F)
#define   C_00B0C0_HARD_LOCK_LOW_THRESHOLD                            0xFFFF83FF
#define   S_00B0C0_PRODUCER_REQUEST_LOCKOUT(x)                        (((unsigned)(x) & 0x1) << 15)
#define   G_00B0C0_PRODUCER_REQUEST_LOCKOUT(x)                        (((x) >> 15) & 0x1)
#define   C_00B0C0_PRODUCER_REQUEST_LOCKOUT                           0xFFFF7FFF
#define   S_00B0C0_GLOBAL_SCANNING_EN(x)                              (((unsigned)(x) & 0x1) << 16)
#define   G_00B0C0_GLOBAL_SCANNING_EN(x)                              (((x) >> 16) & 0x1)
#define   C_00B0C0_GLOBAL_SCANNING_EN                                 0xFFFEFFFF
#define   S_00B0C0_ALLOCATION_RATE_THROTTLING_THRESHOLD(x)            (((unsigned)(x) & 0x7) << 17)
#define   G_00B0C0_ALLOCATION_RATE_THROTTLING_THRESHOLD(x)            (((x) >> 17) & 0x7)
#define   C_00B0C0_ALLOCATION_RATE_THROTTLING_THRESHOLD               0xFFF1FFFF
#define R_00B0C4_SPI_SHADER_PREF_PRI_CNTR_CTRL_PS                       0x00B0C4 /* >= gfx10 */
#define   S_00B0C4_TOTAL_WAVE_COUNT_HIER_SELECT(x)                    (((unsigned)(x) & 0x7) << 0)
#define   G_00B0C4_TOTAL_WAVE_COUNT_HIER_SELECT(x)                    (((x) >> 0) & 0x7)
#define   C_00B0C4_TOTAL_WAVE_COUNT_HIER_SELECT                       0xFFFFFFF8
#define   S_00B0C4_PER_TYPE_WAVE_COUNT_HIER_SELECT(x)                 (((unsigned)(x) & 0x7) << 3)
#define   G_00B0C4_PER_TYPE_WAVE_COUNT_HIER_SELECT(x)                 (((x) >> 3) & 0x7)
#define   C_00B0C4_PER_TYPE_WAVE_COUNT_HIER_SELECT                    0xFFFFFFC7
#define   S_00B0C4_GROUP_UPDATE_EN(x)                                 (((unsigned)(x) & 0x1) << 6)
#define   G_00B0C4_GROUP_UPDATE_EN(x)                                 (((x) >> 6) & 0x1)
#define   C_00B0C4_GROUP_UPDATE_EN                                    0xFFFFFFBF
#define   S_00B0C4_TOTAL_WAVE_COUNT_COEFFICIENT(x)                    (((unsigned)(x) & 0xFF) << 8)
#define   G_00B0C4_TOTAL_WAVE_COUNT_COEFFICIENT(x)                    (((x) >> 8) & 0xFF)
#define   C_00B0C4_TOTAL_WAVE_COUNT_COEFFICIENT                       0xFFFF00FF
#define   S_00B0C4_PER_TYPE_WAVE_COUNT_COEFFICIENT(x)                 (((unsigned)(x) & 0xFF) << 16)
#define   G_00B0C4_PER_TYPE_WAVE_COUNT_COEFFICIENT(x)                 (((x) >> 16) & 0xFF)
#define   C_00B0C4_PER_TYPE_WAVE_COUNT_COEFFICIENT                    0xFF00FFFF
#define R_00B0C8_SPI_SHADER_PREF_PRI_ACCUM_PS_0                         0x00B0C8 /* >= gfx10 */
#define   S_00B0C8_COEFFICIENT_HIER_SELECT(x)                         (((unsigned)(x) & 0x7) << 0)
#define   G_00B0C8_COEFFICIENT_HIER_SELECT(x)                         (((x) >> 0) & 0x7)
#define   C_00B0C8_COEFFICIENT_HIER_SELECT                            0xFFFFFFF8
#define   S_00B0C8_CONTRIBUTION_HIER_SELECT(x)                        (((unsigned)(x) & 0x7) << 3)
#define   G_00B0C8_CONTRIBUTION_HIER_SELECT(x)                        (((x) >> 3) & 0x7)
#define   C_00B0C8_CONTRIBUTION_HIER_SELECT                           0xFFFFFFC7
#define   S_00B0C8_GROUP_UPDATE_EN(x)                                 (((unsigned)(x) & 0x1) << 6)
#define   G_00B0C8_GROUP_UPDATE_EN(x)                                 (((x) >> 6) & 0x1)
#define   C_00B0C8_GROUP_UPDATE_EN                                    0xFFFFFFBF
#define   S_00B0C8_COEFFICIENT(x)                                     (((unsigned)(x) & 0xFF) << 8)
#define   G_00B0C8_COEFFICIENT(x)                                     (((x) >> 8) & 0xFF)
#define   C_00B0C8_COEFFICIENT                                        0xFFFF00FF
#define   S_00B0C8_CONTRIBUTION(x)                                    (((unsigned)(x) & 0xFF) << 16)
#define   G_00B0C8_CONTRIBUTION(x)                                    (((x) >> 16) & 0xFF)
#define   C_00B0C8_CONTRIBUTION                                       0xFF00FFFF
#define R_00B0CC_SPI_SHADER_PREF_PRI_ACCUM_PS_1                         0x00B0CC /* >= gfx10 */
#define R_00B0D0_SPI_SHADER_PREF_PRI_ACCUM_PS_2                         0x00B0D0 /* >= gfx10 */
#define R_00B0D4_SPI_SHADER_PREF_PRI_ACCUM_PS_3                         0x00B0D4 /* >= gfx10 */
#define R_00B100_SPI_SHADER_TBA_LO_VS                                   0x00B100 /* <= stoney */
#define R_00B104_SPI_SHADER_PGM_RSRC4_VS                                0x00B104 /* >= gfx10 */
#define   S_00B104_CU_EN(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00B104_CU_EN(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_00B104_CU_EN                                              0xFFFF0000
#define R_00B104_SPI_SHADER_TBA_HI_VS                                   0x00B104 /* <= stoney */
#define   S_00B104_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B104_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B104_MEM_BASE                                           0xFFFFFF00
#define R_00B108_SPI_SHADER_TMA_LO_VS                                   0x00B108 /* <= stoney */
#define R_00B10C_SPI_SHADER_TMA_HI_VS                                   0x00B10C /* <= stoney */
#define   S_00B10C_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B10C_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B10C_MEM_BASE                                           0xFFFFFF00
#define R_00B114_SPI_SHADER_PGM_CHKSUM_VS                               0x00B114 /* >= gfx10 */
#define   S_00B114_CHECKSUM(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B114_CHECKSUM(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B114_CHECKSUM                                           0x00000000
#define R_00B118_SPI_SHADER_PGM_RSRC3_VS                                0x00B118 /* >= gfx7 */
#define   S_00B118_CU_EN(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00B118_CU_EN(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_00B118_CU_EN                                              0xFFFF0000
#define   S_00B118_WAVE_LIMIT(x)                                      (((unsigned)(x) & 0x3F) << 16)
#define   G_00B118_WAVE_LIMIT(x)                                      (((x) >> 16) & 0x3F)
#define   C_00B118_WAVE_LIMIT                                         0xFFC0FFFF
#define   S_00B118_LOCK_LOW_THRESHOLD(x)                              (((unsigned)(x) & 0xF) << 22)
#define   G_00B118_LOCK_LOW_THRESHOLD(x)                              (((x) >> 22) & 0xF)
#define   C_00B118_LOCK_LOW_THRESHOLD                                 0xFC3FFFFF
#define   S_00B118_SIMD_DISABLE(x)                                    (((unsigned)(x) & 0xF) << 26) /* gfx9 */
#define   G_00B118_SIMD_DISABLE(x)                                    (((x) >> 26) & 0xF)
#define   C_00B118_SIMD_DISABLE                                       0xC3FFFFFF
#define R_00B11C_SPI_SHADER_LATE_ALLOC_VS                               0x00B11C /* >= gfx7 */
#define   S_00B11C_LIMIT(x)                                           (((unsigned)(x) & 0x3F) << 0)
#define   G_00B11C_LIMIT(x)                                           (((x) >> 0) & 0x3F)
#define   C_00B11C_LIMIT                                              0xFFFFFFC0
#define R_00B120_SPI_SHADER_PGM_LO_VS                                   0x00B120
#define   S_00B120_MEM_BASE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B120_MEM_BASE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B120_MEM_BASE                                           0x00000000
#define R_00B124_SPI_SHADER_PGM_HI_VS                                   0x00B124
#define   S_00B124_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B124_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B124_MEM_BASE                                           0xFFFFFF00
#define R_00B128_SPI_SHADER_PGM_RSRC1_VS                                0x00B128
#define   S_00B128_VGPRS(x)                                           (((unsigned)(x) & 0x3F) << 0)
#define   G_00B128_VGPRS(x)                                           (((x) >> 0) & 0x3F)
#define   C_00B128_VGPRS                                              0xFFFFFFC0
#define   S_00B128_SGPRS(x)                                           (((unsigned)(x) & 0xF) << 6)
#define   G_00B128_SGPRS(x)                                           (((x) >> 6) & 0xF)
#define   C_00B128_SGPRS                                              0xFFFFFC3F
#define   S_00B128_PRIORITY(x)                                        (((unsigned)(x) & 0x3) << 10)
#define   G_00B128_PRIORITY(x)                                        (((x) >> 10) & 0x3)
#define   C_00B128_PRIORITY                                           0xFFFFF3FF
#define   S_00B128_FLOAT_MODE(x)                                      (((unsigned)(x) & 0xFF) << 12)
#define   G_00B128_FLOAT_MODE(x)                                      (((x) >> 12) & 0xFF)
#define   C_00B128_FLOAT_MODE                                         0xFFF00FFF
#define     V_00B128_FP_32_DENORMS                                  48 /* <= gfx9 */
#define     V_00B128_FP_64_DENORMS                                  192 /* <= gfx9 */
#define     V_00B128_FP_ALL_DENORMS                                 240 /* <= gfx9 */
#define   S_00B128_PRIV(x)                                            (((unsigned)(x) & 0x1) << 20)
#define   G_00B128_PRIV(x)                                            (((x) >> 20) & 0x1)
#define   C_00B128_PRIV                                               0xFFEFFFFF
#define   S_00B128_DX10_CLAMP(x)                                      (((unsigned)(x) & 0x1) << 21)
#define   G_00B128_DX10_CLAMP(x)                                      (((x) >> 21) & 0x1)
#define   C_00B128_DX10_CLAMP                                         0xFFDFFFFF
#define   S_00B128_DEBUG_MODE(x)                                      (((unsigned)(x) & 0x1) << 22)
#define   G_00B128_DEBUG_MODE(x)                                      (((x) >> 22) & 0x1)
#define   C_00B128_DEBUG_MODE                                         0xFFBFFFFF
#define   S_00B128_IEEE_MODE(x)                                       (((unsigned)(x) & 0x1) << 23)
#define   G_00B128_IEEE_MODE(x)                                       (((x) >> 23) & 0x1)
#define   C_00B128_IEEE_MODE                                          0xFF7FFFFF
#define   S_00B128_VGPR_COMP_CNT(x)                                   (((unsigned)(x) & 0x3) << 24)
#define   G_00B128_VGPR_COMP_CNT(x)                                   (((x) >> 24) & 0x3)
#define   C_00B128_VGPR_COMP_CNT                                      0xFCFFFFFF
#define   S_00B128_CU_GROUP_ENABLE(x)                                 (((unsigned)(x) & 0x1) << 26)
#define   G_00B128_CU_GROUP_ENABLE(x)                                 (((x) >> 26) & 0x1)
#define   C_00B128_CU_GROUP_ENABLE                                    0xFBFFFFFF
#define   S_00B128_CACHE_CTL(x)                                       (((unsigned)(x) & 0x7) << 27) /* gfx7, gfx8, fiji, stoney */
#define   G_00B128_CACHE_CTL(x)                                       (((x) >> 27) & 0x7)
#define   C_00B128_CACHE_CTL                                          0xC7FFFFFF
#define   S_00B128_MEM_ORDERED(x)                                     (((unsigned)(x) & 0x1) << 27) /* >= gfx10 */
#define   G_00B128_MEM_ORDERED(x)                                     (((x) >> 27) & 0x1)
#define   C_00B128_MEM_ORDERED                                        0xF7FFFFFF
#define   S_00B128_FWD_PROGRESS(x)                                    (((unsigned)(x) & 0x1) << 28) /* >= gfx10 */
#define   G_00B128_FWD_PROGRESS(x)                                    (((x) >> 28) & 0x1)
#define   C_00B128_FWD_PROGRESS                                       0xEFFFFFFF
#define   S_00B128_CDBG_USER(x)                                       (((unsigned)(x) & 0x1) << 30) /* >= gfx7 */
#define   G_00B128_CDBG_USER(x)                                       (((x) >> 30) & 0x1)
#define   C_00B128_CDBG_USER                                          0xBFFFFFFF
#define   S_00B128_FP16_OVFL(x)                                       (((unsigned)(x) & 0x1) << 31) /* >= gfx9 */
#define   G_00B128_FP16_OVFL(x)                                       (((x) >> 31) & 0x1)
#define   C_00B128_FP16_OVFL                                          0x7FFFFFFF
#define R_00B12C_SPI_SHADER_PGM_RSRC2_VS                                0x00B12C
#define   S_00B12C_SCRATCH_EN(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_00B12C_SCRATCH_EN(x)                                      (((x) >> 0) & 0x1)
#define   C_00B12C_SCRATCH_EN                                         0xFFFFFFFE
#define   S_00B12C_USER_SGPR(x)                                       (((unsigned)(x) & 0x1F) << 1)
#define   G_00B12C_USER_SGPR(x)                                       (((x) >> 1) & 0x1F)
#define   C_00B12C_USER_SGPR                                          0xFFFFFFC1
#define   S_00B12C_TRAP_PRESENT(x)                                    (((unsigned)(x) & 0x1) << 6)
#define   G_00B12C_TRAP_PRESENT(x)                                    (((x) >> 6) & 0x1)
#define   C_00B12C_TRAP_PRESENT                                       0xFFFFFFBF
#define   S_00B12C_OC_LDS_EN(x)                                       (((unsigned)(x) & 0x1) << 7)
#define   G_00B12C_OC_LDS_EN(x)                                       (((x) >> 7) & 0x1)
#define   C_00B12C_OC_LDS_EN                                          0xFFFFFF7F
#define   S_00B12C_SO_BASE0_EN(x)                                     (((unsigned)(x) & 0x1) << 8)
#define   G_00B12C_SO_BASE0_EN(x)                                     (((x) >> 8) & 0x1)
#define   C_00B12C_SO_BASE0_EN                                        0xFFFFFEFF
#define   S_00B12C_SO_BASE1_EN(x)                                     (((unsigned)(x) & 0x1) << 9)
#define   G_00B12C_SO_BASE1_EN(x)                                     (((x) >> 9) & 0x1)
#define   C_00B12C_SO_BASE1_EN                                        0xFFFFFDFF
#define   S_00B12C_SO_BASE2_EN(x)                                     (((unsigned)(x) & 0x1) << 10)
#define   G_00B12C_SO_BASE2_EN(x)                                     (((x) >> 10) & 0x1)
#define   C_00B12C_SO_BASE2_EN                                        0xFFFFFBFF
#define   S_00B12C_SO_BASE3_EN(x)                                     (((unsigned)(x) & 0x1) << 11)
#define   G_00B12C_SO_BASE3_EN(x)                                     (((x) >> 11) & 0x1)
#define   C_00B12C_SO_BASE3_EN                                        0xFFFFF7FF
#define   S_00B12C_SO_EN(x)                                           (((unsigned)(x) & 0x1) << 12)
#define   G_00B12C_SO_EN(x)                                           (((x) >> 12) & 0x1)
#define   C_00B12C_SO_EN                                              0xFFFFEFFF
#define   S_00B12C_EXCP_EN(x)                                         (((unsigned)(x) & 0x1FF) << 13)
#define   G_00B12C_EXCP_EN(x)                                         (((x) >> 13) & 0x1FF)
#define   C_00B12C_EXCP_EN                                            0xFFC01FFF
#define   S_00B12C_EXCP_EN_SI(x)                                      (((unsigned)(x) & 0x7F) << 13) /* <= stoney */
#define   G_00B12C_EXCP_EN_SI(x)                                      (((x) >> 13) & 0x7F)
#define   C_00B12C_EXCP_EN_SI                                         0xFFF01FFF
#define   S_00B12C_PC_BASE_EN(x)                                      (((unsigned)(x) & 0x1) << 22) /* >= gfx9 */
#define   G_00B12C_PC_BASE_EN(x)                                      (((x) >> 22) & 0x1)
#define   C_00B12C_PC_BASE_EN                                         0xFFBFFFFF
#define   S_00B12C_DISPATCH_DRAW_EN(x)                                (((unsigned)(x) & 0x1) << 24) /* >= gfx8 */
#define   G_00B12C_DISPATCH_DRAW_EN(x)                                (((x) >> 24) & 0x1)
#define   C_00B12C_DISPATCH_DRAW_EN                                   0xFEFFFFFF
#define   S_00B12C_SKIP_USGPR0(x)                                     (((unsigned)(x) & 0x1) << 27) /* gfx9 */
#define   G_00B12C_SKIP_USGPR0(x)                                     (((x) >> 27) & 0x1)
#define   C_00B12C_SKIP_USGPR0                                        0xF7FFFFFF
#define   S_00B12C_USER_SGPR_MSB_GFX10(x)                             (((unsigned)(x) & 0x1) << 27) /* >= gfx10 */
#define   G_00B12C_USER_SGPR_MSB_GFX10(x)                             (((x) >> 27) & 0x1)
#define   C_00B12C_USER_SGPR_MSB_GFX10                                0xF7FFFFFF
#define   S_00B12C_SHARED_VGPR_CNT(x)                                 (((unsigned)(x) & 0xF) << 28) /* >= gfx10 */
#define   G_00B12C_SHARED_VGPR_CNT(x)                                 (((x) >> 28) & 0xF)
#define   C_00B12C_SHARED_VGPR_CNT                                    0x0FFFFFFF
#define   S_00B12C_USER_SGPR_MSB_GFX9(x)                              (((unsigned)(x) & 0x1) << 28) /* gfx9 */
#define   G_00B12C_USER_SGPR_MSB_GFX9(x)                              (((x) >> 28) & 0x1)
#define   C_00B12C_USER_SGPR_MSB_GFX9                                 0xEFFFFFFF
#define R_00B130_SPI_SHADER_USER_DATA_VS_0                              0x00B130
#define   S_00B130_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B130_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B130_DATA                                               0x00000000
#define R_00B134_SPI_SHADER_USER_DATA_VS_1                              0x00B134
#define R_00B138_SPI_SHADER_USER_DATA_VS_2                              0x00B138
#define R_00B13C_SPI_SHADER_USER_DATA_VS_3                              0x00B13C
#define R_00B140_SPI_SHADER_USER_DATA_VS_4                              0x00B140
#define R_00B144_SPI_SHADER_USER_DATA_VS_5                              0x00B144
#define R_00B148_SPI_SHADER_USER_DATA_VS_6                              0x00B148
#define R_00B14C_SPI_SHADER_USER_DATA_VS_7                              0x00B14C
#define R_00B150_SPI_SHADER_USER_DATA_VS_8                              0x00B150
#define R_00B154_SPI_SHADER_USER_DATA_VS_9                              0x00B154
#define R_00B158_SPI_SHADER_USER_DATA_VS_10                             0x00B158
#define R_00B15C_SPI_SHADER_USER_DATA_VS_11                             0x00B15C
#define R_00B160_SPI_SHADER_USER_DATA_VS_12                             0x00B160
#define R_00B164_SPI_SHADER_USER_DATA_VS_13                             0x00B164
#define R_00B168_SPI_SHADER_USER_DATA_VS_14                             0x00B168
#define R_00B16C_SPI_SHADER_USER_DATA_VS_15                             0x00B16C
#define R_00B170_SPI_SHADER_USER_DATA_VS_16                             0x00B170 /* >= gfx9 */
#define R_00B174_SPI_SHADER_USER_DATA_VS_17                             0x00B174 /* >= gfx9 */
#define R_00B178_SPI_SHADER_USER_DATA_VS_18                             0x00B178 /* >= gfx9 */
#define R_00B17C_SPI_SHADER_USER_DATA_VS_19                             0x00B17C /* >= gfx9 */
#define R_00B180_SPI_SHADER_USER_DATA_VS_20                             0x00B180 /* >= gfx9 */
#define R_00B184_SPI_SHADER_USER_DATA_VS_21                             0x00B184 /* >= gfx9 */
#define R_00B188_SPI_SHADER_USER_DATA_VS_22                             0x00B188 /* >= gfx9 */
#define R_00B18C_SPI_SHADER_USER_DATA_VS_23                             0x00B18C /* >= gfx9 */
#define R_00B190_SPI_SHADER_USER_DATA_VS_24                             0x00B190 /* >= gfx9 */
#define R_00B194_SPI_SHADER_USER_DATA_VS_25                             0x00B194 /* >= gfx9 */
#define R_00B198_SPI_SHADER_USER_DATA_VS_26                             0x00B198 /* >= gfx9 */
#define R_00B19C_SPI_SHADER_USER_DATA_VS_27                             0x00B19C /* >= gfx9 */
#define R_00B1A0_SPI_SHADER_USER_DATA_VS_28                             0x00B1A0 /* >= gfx9 */
#define R_00B1A4_SPI_SHADER_USER_DATA_VS_29                             0x00B1A4 /* >= gfx9 */
#define R_00B1A8_SPI_SHADER_USER_DATA_VS_30                             0x00B1A8 /* >= gfx9 */
#define R_00B1AC_SPI_SHADER_USER_DATA_VS_31                             0x00B1AC /* >= gfx9 */
#define R_00B1C0_SPI_SHADER_REQ_CTRL_VS                                 0x00B1C0 /* >= gfx10 */
#define   S_00B1C0_SOFT_GROUPING_EN(x)                                (((unsigned)(x) & 0x1) << 0)
#define   G_00B1C0_SOFT_GROUPING_EN(x)                                (((x) >> 0) & 0x1)
#define   C_00B1C0_SOFT_GROUPING_EN                                   0xFFFFFFFE
#define   S_00B1C0_NUMBER_OF_REQUESTS_PER_CU(x)                       (((unsigned)(x) & 0xF) << 1)
#define   G_00B1C0_NUMBER_OF_REQUESTS_PER_CU(x)                       (((x) >> 1) & 0xF)
#define   C_00B1C0_NUMBER_OF_REQUESTS_PER_CU                          0xFFFFFFE1
#define   S_00B1C0_SOFT_GROUPING_ALLOCATION_TIMEOUT(x)                (((unsigned)(x) & 0xF) << 5)
#define   G_00B1C0_SOFT_GROUPING_ALLOCATION_TIMEOUT(x)                (((x) >> 5) & 0xF)
#define   C_00B1C0_SOFT_GROUPING_ALLOCATION_TIMEOUT                   0xFFFFFE1F
#define   S_00B1C0_HARD_LOCK_HYSTERESIS(x)                            (((unsigned)(x) & 0x1) << 9)
#define   G_00B1C0_HARD_LOCK_HYSTERESIS(x)                            (((x) >> 9) & 0x1)
#define   C_00B1C0_HARD_LOCK_HYSTERESIS                               0xFFFFFDFF
#define   S_00B1C0_HARD_LOCK_LOW_THRESHOLD(x)                         (((unsigned)(x) & 0x1F) << 10)
#define   G_00B1C0_HARD_LOCK_LOW_THRESHOLD(x)                         (((x) >> 10) & 0x1F)
#define   C_00B1C0_HARD_LOCK_LOW_THRESHOLD                            0xFFFF83FF
#define   S_00B1C0_PRODUCER_REQUEST_LOCKOUT(x)                        (((unsigned)(x) & 0x1) << 15)
#define   G_00B1C0_PRODUCER_REQUEST_LOCKOUT(x)                        (((x) >> 15) & 0x1)
#define   C_00B1C0_PRODUCER_REQUEST_LOCKOUT                           0xFFFF7FFF
#define   S_00B1C0_GLOBAL_SCANNING_EN(x)                              (((unsigned)(x) & 0x1) << 16)
#define   G_00B1C0_GLOBAL_SCANNING_EN(x)                              (((x) >> 16) & 0x1)
#define   C_00B1C0_GLOBAL_SCANNING_EN                                 0xFFFEFFFF
#define   S_00B1C0_ALLOCATION_RATE_THROTTLING_THRESHOLD(x)            (((unsigned)(x) & 0x7) << 17)
#define   G_00B1C0_ALLOCATION_RATE_THROTTLING_THRESHOLD(x)            (((x) >> 17) & 0x7)
#define   C_00B1C0_ALLOCATION_RATE_THROTTLING_THRESHOLD               0xFFF1FFFF
#define R_00B1C4_SPI_SHADER_PREF_PRI_CNTR_CTRL_VS                       0x00B1C4 /* >= gfx10 */
#define   S_00B1C4_TOTAL_WAVE_COUNT_HIER_SELECT(x)                    (((unsigned)(x) & 0x7) << 0)
#define   G_00B1C4_TOTAL_WAVE_COUNT_HIER_SELECT(x)                    (((x) >> 0) & 0x7)
#define   C_00B1C4_TOTAL_WAVE_COUNT_HIER_SELECT                       0xFFFFFFF8
#define   S_00B1C4_PER_TYPE_WAVE_COUNT_HIER_SELECT(x)                 (((unsigned)(x) & 0x7) << 3)
#define   G_00B1C4_PER_TYPE_WAVE_COUNT_HIER_SELECT(x)                 (((x) >> 3) & 0x7)
#define   C_00B1C4_PER_TYPE_WAVE_COUNT_HIER_SELECT                    0xFFFFFFC7
#define   S_00B1C4_GROUP_UPDATE_EN(x)                                 (((unsigned)(x) & 0x1) << 6)
#define   G_00B1C4_GROUP_UPDATE_EN(x)                                 (((x) >> 6) & 0x1)
#define   C_00B1C4_GROUP_UPDATE_EN                                    0xFFFFFFBF
#define   S_00B1C4_TOTAL_WAVE_COUNT_COEFFICIENT(x)                    (((unsigned)(x) & 0xFF) << 8)
#define   G_00B1C4_TOTAL_WAVE_COUNT_COEFFICIENT(x)                    (((x) >> 8) & 0xFF)
#define   C_00B1C4_TOTAL_WAVE_COUNT_COEFFICIENT                       0xFFFF00FF
#define   S_00B1C4_PER_TYPE_WAVE_COUNT_COEFFICIENT(x)                 (((unsigned)(x) & 0xFF) << 16)
#define   G_00B1C4_PER_TYPE_WAVE_COUNT_COEFFICIENT(x)                 (((x) >> 16) & 0xFF)
#define   C_00B1C4_PER_TYPE_WAVE_COUNT_COEFFICIENT                    0xFF00FFFF
#define R_00B1C8_SPI_SHADER_PREF_PRI_ACCUM_VS_0                         0x00B1C8 /* >= gfx10 */
#define   S_00B1C8_COEFFICIENT_HIER_SELECT(x)                         (((unsigned)(x) & 0x7) << 0)
#define   G_00B1C8_COEFFICIENT_HIER_SELECT(x)                         (((x) >> 0) & 0x7)
#define   C_00B1C8_COEFFICIENT_HIER_SELECT                            0xFFFFFFF8
#define   S_00B1C8_CONTRIBUTION_HIER_SELECT(x)                        (((unsigned)(x) & 0x7) << 3)
#define   G_00B1C8_CONTRIBUTION_HIER_SELECT(x)                        (((x) >> 3) & 0x7)
#define   C_00B1C8_CONTRIBUTION_HIER_SELECT                           0xFFFFFFC7
#define   S_00B1C8_GROUP_UPDATE_EN(x)                                 (((unsigned)(x) & 0x1) << 6)
#define   G_00B1C8_GROUP_UPDATE_EN(x)                                 (((x) >> 6) & 0x1)
#define   C_00B1C8_GROUP_UPDATE_EN                                    0xFFFFFFBF
#define   S_00B1C8_COEFFICIENT(x)                                     (((unsigned)(x) & 0xFF) << 8)
#define   G_00B1C8_COEFFICIENT(x)                                     (((x) >> 8) & 0xFF)
#define   C_00B1C8_COEFFICIENT                                        0xFFFF00FF
#define   S_00B1C8_CONTRIBUTION(x)                                    (((unsigned)(x) & 0xFF) << 16)
#define   G_00B1C8_CONTRIBUTION(x)                                    (((x) >> 16) & 0xFF)
#define   C_00B1C8_CONTRIBUTION                                       0xFF00FFFF
#define R_00B1CC_SPI_SHADER_PREF_PRI_ACCUM_VS_1                         0x00B1CC /* >= gfx10 */
#define R_00B1D0_SPI_SHADER_PREF_PRI_ACCUM_VS_2                         0x00B1D0 /* >= gfx10 */
#define R_00B1D4_SPI_SHADER_PREF_PRI_ACCUM_VS_3                         0x00B1D4 /* >= gfx10 */
#define R_00B1EC_SPI_SHADER_PGM_RSRC2_GS_VS                             0x00B1EC /* >= gfx10 */
#define   S_00B1EC_SCRATCH_EN(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_00B1EC_SCRATCH_EN(x)                                      (((x) >> 0) & 0x1)
#define   C_00B1EC_SCRATCH_EN                                         0xFFFFFFFE
#define   S_00B1EC_USER_SGPR(x)                                       (((unsigned)(x) & 0x1F) << 1)
#define   G_00B1EC_USER_SGPR(x)                                       (((x) >> 1) & 0x1F)
#define   C_00B1EC_USER_SGPR                                          0xFFFFFFC1
#define   S_00B1EC_TRAP_PRESENT(x)                                    (((unsigned)(x) & 0x1) << 6)
#define   G_00B1EC_TRAP_PRESENT(x)                                    (((x) >> 6) & 0x1)
#define   C_00B1EC_TRAP_PRESENT                                       0xFFFFFFBF
#define   S_00B1EC_EXCP_EN(x)                                         (((unsigned)(x) & 0x1FF) << 7)
#define   G_00B1EC_EXCP_EN(x)                                         (((x) >> 7) & 0x1FF)
#define   C_00B1EC_EXCP_EN                                            0xFFFF007F
#define   S_00B1EC_VGPR_COMP_CNT(x)                                   (((unsigned)(x) & 0x3) << 16)
#define   G_00B1EC_VGPR_COMP_CNT(x)                                   (((x) >> 16) & 0x3)
#define   C_00B1EC_VGPR_COMP_CNT                                      0xFFFCFFFF
#define   S_00B1EC_OC_LDS_EN(x)                                       (((unsigned)(x) & 0x1) << 18)
#define   G_00B1EC_OC_LDS_EN(x)                                       (((x) >> 18) & 0x1)
#define   C_00B1EC_OC_LDS_EN                                          0xFFFBFFFF
#define   S_00B1EC_LDS_SIZE(x)                                        (((unsigned)(x) & 0xFF) << 19)
#define   G_00B1EC_LDS_SIZE(x)                                        (((x) >> 19) & 0xFF)
#define   C_00B1EC_LDS_SIZE                                           0xF807FFFF
#define   S_00B1EC_SKIP_USGPR0(x)                                     (((unsigned)(x) & 0x1) << 27)
#define   G_00B1EC_SKIP_USGPR0(x)                                     (((x) >> 27) & 0x1)
#define   C_00B1EC_SKIP_USGPR0                                        0xF7FFFFFF
#define   S_00B1EC_USER_SGPR_MSB(x)                                   (((unsigned)(x) & 0x1) << 28)
#define   G_00B1EC_USER_SGPR_MSB(x)                                   (((x) >> 28) & 0x1)
#define   C_00B1EC_USER_SGPR_MSB                                      0xEFFFFFFF
#define R_00B1F0_SPI_SHADER_PGM_RSRC2_ES_VS                             0x00B1F0 /* >= gfx10 */
#define   S_00B1F0_SCRATCH_EN(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_00B1F0_SCRATCH_EN(x)                                      (((x) >> 0) & 0x1)
#define   C_00B1F0_SCRATCH_EN                                         0xFFFFFFFE
#define   S_00B1F0_USER_SGPR(x)                                       (((unsigned)(x) & 0x1F) << 1)
#define   G_00B1F0_USER_SGPR(x)                                       (((x) >> 1) & 0x1F)
#define   C_00B1F0_USER_SGPR                                          0xFFFFFFC1
#define   S_00B1F0_TRAP_PRESENT(x)                                    (((unsigned)(x) & 0x1) << 6)
#define   G_00B1F0_TRAP_PRESENT(x)                                    (((x) >> 6) & 0x1)
#define   C_00B1F0_TRAP_PRESENT                                       0xFFFFFFBF
#define   S_00B1F0_OC_LDS_EN_GFX10(x)                                 (((unsigned)(x) & 0x1) << 7)
#define   G_00B1F0_OC_LDS_EN_GFX10(x)                                 (((x) >> 7) & 0x1)
#define   C_00B1F0_OC_LDS_EN_GFX10                                    0xFFFFFF7F
#define   S_00B1F0_EXCP_EN_GFX10(x)                                   (((unsigned)(x) & 0x1FF) << 8)
#define   G_00B1F0_EXCP_EN_GFX10(x)                                   (((x) >> 8) & 0x1FF)
#define   C_00B1F0_EXCP_EN_GFX10                                      0xFFFE00FF
#define   S_00B1F0_LDS_SIZE_GFX10(x)                                  (((unsigned)(x) & 0x1FF) << 20)
#define   G_00B1F0_LDS_SIZE_GFX10(x)                                  (((x) >> 20) & 0x1FF)
#define   C_00B1F0_LDS_SIZE_GFX10                                     0xE00FFFFF
#define R_00B1F0_SPI_SHADER_PGM_RSRC2_GS_VS                             0x00B1F0 /* gfx9 */
#define   S_00B1F0_EXCP_EN_GFX9(x)                                    (((unsigned)(x) & 0x1FF) << 7)
#define   G_00B1F0_EXCP_EN_GFX9(x)                                    (((x) >> 7) & 0x1FF)
#define   C_00B1F0_EXCP_EN_GFX9                                       0xFFFF007F
#define   S_00B1F0_VGPR_COMP_CNT(x)                                   (((unsigned)(x) & 0x3) << 16)
#define   G_00B1F0_VGPR_COMP_CNT(x)                                   (((x) >> 16) & 0x3)
#define   C_00B1F0_VGPR_COMP_CNT                                      0xFFFCFFFF
#define   S_00B1F0_OC_LDS_EN_GFX9(x)                                  (((unsigned)(x) & 0x1) << 18)
#define   G_00B1F0_OC_LDS_EN_GFX9(x)                                  (((x) >> 18) & 0x1)
#define   C_00B1F0_OC_LDS_EN_GFX9                                     0xFFFBFFFF
#define   S_00B1F0_LDS_SIZE_GFX9(x)                                   (((unsigned)(x) & 0xFF) << 19)
#define   G_00B1F0_LDS_SIZE_GFX9(x)                                   (((x) >> 19) & 0xFF)
#define   C_00B1F0_LDS_SIZE_GFX9                                      0xF807FFFF
#define   S_00B1F0_SKIP_USGPR0(x)                                     (((unsigned)(x) & 0x1) << 27)
#define   G_00B1F0_SKIP_USGPR0(x)                                     (((x) >> 27) & 0x1)
#define   C_00B1F0_SKIP_USGPR0                                        0xF7FFFFFF
#define   S_00B1F0_USER_SGPR_MSB(x)                                   (((unsigned)(x) & 0x1) << 28)
#define   G_00B1F0_USER_SGPR_MSB(x)                                   (((x) >> 28) & 0x1)
#define   C_00B1F0_USER_SGPR_MSB                                      0xEFFFFFFF
#define R_00B1F4_SPI_SHADER_PGM_RSRC2_LS_VS                             0x00B1F4 /* >= gfx10 */
#define   S_00B1F4_SCRATCH_EN(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_00B1F4_SCRATCH_EN(x)                                      (((x) >> 0) & 0x1)
#define   C_00B1F4_SCRATCH_EN                                         0xFFFFFFFE
#define   S_00B1F4_USER_SGPR(x)                                       (((unsigned)(x) & 0x1F) << 1)
#define   G_00B1F4_USER_SGPR(x)                                       (((x) >> 1) & 0x1F)
#define   C_00B1F4_USER_SGPR                                          0xFFFFFFC1
#define   S_00B1F4_TRAP_PRESENT(x)                                    (((unsigned)(x) & 0x1) << 6)
#define   G_00B1F4_TRAP_PRESENT(x)                                    (((x) >> 6) & 0x1)
#define   C_00B1F4_TRAP_PRESENT                                       0xFFFFFFBF
#define   S_00B1F4_LDS_SIZE(x)                                        (((unsigned)(x) & 0x1FF) << 7)
#define   G_00B1F4_LDS_SIZE(x)                                        (((x) >> 7) & 0x1FF)
#define   C_00B1F4_LDS_SIZE                                           0xFFFF007F
#define   S_00B1F4_EXCP_EN(x)                                         (((unsigned)(x) & 0x1FF) << 16)
#define   G_00B1F4_EXCP_EN(x)                                         (((x) >> 16) & 0x1FF)
#define   C_00B1F4_EXCP_EN                                            0xFE00FFFF
#define R_00B200_SPI_SHADER_PGM_CHKSUM_GS                               0x00B200 /* >= gfx10 */
#define   S_00B200_CHECKSUM(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B200_CHECKSUM(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B200_CHECKSUM                                           0x00000000
#define R_00B200_SPI_SHADER_TBA_LO_GS                                   0x00B200 /* <= stoney */
#define R_00B204_SPI_SHADER_PGM_RSRC4_GS                                0x00B204 /* >= gfx9 */
#define   S_00B204_CU_EN(x)                                           (((unsigned)(x) & 0xFFFF) << 0) /* >= gfx10 */
#define   G_00B204_CU_EN(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_00B204_CU_EN                                              0xFFFF0000
#define   S_00B204_GROUP_FIFO_DEPTH(x)                                (((unsigned)(x) & 0x7F) << 0) /* gfx9 */
#define   G_00B204_GROUP_FIFO_DEPTH(x)                                (((x) >> 0) & 0x7F)
#define   C_00B204_GROUP_FIFO_DEPTH                                   0xFFFFFF80
#define   S_00B204_SPI_SHADER_LATE_ALLOC_GS_GFX9(x)                   (((unsigned)(x) & 0x7F) << 7) /* gfx9 */
#define   G_00B204_SPI_SHADER_LATE_ALLOC_GS_GFX9(x)                   (((x) >> 7) & 0x7F)
#define   C_00B204_SPI_SHADER_LATE_ALLOC_GS_GFX9                      0xFFFFC07F
#define   S_00B204_SPI_SHADER_LATE_ALLOC_GS_GFX10(x)                  (((unsigned)(x) & 0x7F) << 16) /* >= gfx10 */
#define   G_00B204_SPI_SHADER_LATE_ALLOC_GS_GFX10(x)                  (((x) >> 16) & 0x7F)
#define   C_00B204_SPI_SHADER_LATE_ALLOC_GS_GFX10                     0xFF80FFFF
#define R_00B204_SPI_SHADER_TBA_HI_GS                                   0x00B204 /* <= stoney */
#define   S_00B204_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B204_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B204_MEM_BASE                                           0xFFFFFF00
#define R_00B208_SPI_SHADER_TMA_LO_GS                                   0x00B208 /* <= stoney */
#define R_00B208_SPI_SHADER_USER_DATA_ADDR_LO_GS                        0x00B208 /* >= gfx9 */
#define   S_00B208_MEM_BASE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B208_MEM_BASE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B208_MEM_BASE                                           0x00000000
#define R_00B20C_SPI_SHADER_TMA_HI_GS                                   0x00B20C /* <= stoney */
#define   S_00B20C_MEM_BASE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B20C_MEM_BASE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B20C_MEM_BASE                                           0x00000000
#define R_00B20C_SPI_SHADER_USER_DATA_ADDR_HI_GS                        0x00B20C /* >= gfx9 */
#define R_00B210_SPI_SHADER_PGM_LO_ES                                   0x00B210 /* gfx9 */
#define R_00B210_SPI_SHADER_PGM_LO_ES_GS                                0x00B210 /* >= gfx10 */
#define   S_00B210_MEM_BASE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B210_MEM_BASE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B210_MEM_BASE                                           0x00000000
#define R_00B214_SPI_SHADER_PGM_HI_ES                                   0x00B214 /* gfx9 */
#define   S_00B214_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B214_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B214_MEM_BASE                                           0xFFFFFF00
#define R_00B214_SPI_SHADER_PGM_HI_ES_GS                                0x00B214 /* >= gfx10 */
#define R_00B21C_SPI_SHADER_PGM_RSRC3_GS                                0x00B21C /* >= gfx7 */
#define   S_00B21C_CU_EN(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00B21C_CU_EN(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_00B21C_CU_EN                                              0xFFFF0000
#define   S_00B21C_WAVE_LIMIT(x)                                      (((unsigned)(x) & 0x3F) << 16)
#define   G_00B21C_WAVE_LIMIT(x)                                      (((x) >> 16) & 0x3F)
#define   C_00B21C_WAVE_LIMIT                                         0xFFC0FFFF
#define   S_00B21C_LOCK_LOW_THRESHOLD(x)                              (((unsigned)(x) & 0xF) << 22)
#define   G_00B21C_LOCK_LOW_THRESHOLD(x)                              (((x) >> 22) & 0xF)
#define   C_00B21C_LOCK_LOW_THRESHOLD                                 0xFC3FFFFF
#define   S_00B21C_GROUP_FIFO_DEPTH(x)                                (((unsigned)(x) & 0x3F) << 26) /* gfx8, fiji, stoney, >= gfx10 */
#define   G_00B21C_GROUP_FIFO_DEPTH(x)                                (((x) >> 26) & 0x3F)
#define   C_00B21C_GROUP_FIFO_DEPTH                                   0x03FFFFFF
#define   S_00B21C_SIMD_DISABLE(x)                                    (((unsigned)(x) & 0xF) << 26) /* gfx9 */
#define   G_00B21C_SIMD_DISABLE(x)                                    (((x) >> 26) & 0xF)
#define   C_00B21C_SIMD_DISABLE                                       0xC3FFFFFF
#define R_00B220_SPI_SHADER_PGM_LO_GS                                   0x00B220
#define   S_00B220_MEM_BASE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B220_MEM_BASE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B220_MEM_BASE                                           0x00000000
#define R_00B224_SPI_SHADER_PGM_HI_GS                                   0x00B224
#define   S_00B224_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B224_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B224_MEM_BASE                                           0xFFFFFF00
#define R_00B228_SPI_SHADER_PGM_RSRC1_GS                                0x00B228
#define   S_00B228_VGPRS(x)                                           (((unsigned)(x) & 0x3F) << 0)
#define   G_00B228_VGPRS(x)                                           (((x) >> 0) & 0x3F)
#define   C_00B228_VGPRS                                              0xFFFFFFC0
#define   S_00B228_SGPRS(x)                                           (((unsigned)(x) & 0xF) << 6)
#define   G_00B228_SGPRS(x)                                           (((x) >> 6) & 0xF)
#define   C_00B228_SGPRS                                              0xFFFFFC3F
#define   S_00B228_PRIORITY(x)                                        (((unsigned)(x) & 0x3) << 10)
#define   G_00B228_PRIORITY(x)                                        (((x) >> 10) & 0x3)
#define   C_00B228_PRIORITY                                           0xFFFFF3FF
#define   S_00B228_FLOAT_MODE(x)                                      (((unsigned)(x) & 0xFF) << 12)
#define   G_00B228_FLOAT_MODE(x)                                      (((x) >> 12) & 0xFF)
#define   C_00B228_FLOAT_MODE                                         0xFFF00FFF
#define     V_00B228_FP_32_DENORMS                                  48 /* <= gfx9 */
#define     V_00B228_FP_64_DENORMS                                  192 /* <= gfx9 */
#define     V_00B228_FP_ALL_DENORMS                                 240 /* <= gfx9 */
#define   S_00B228_PRIV(x)                                            (((unsigned)(x) & 0x1) << 20)
#define   G_00B228_PRIV(x)                                            (((x) >> 20) & 0x1)
#define   C_00B228_PRIV                                               0xFFEFFFFF
#define   S_00B228_DX10_CLAMP(x)                                      (((unsigned)(x) & 0x1) << 21)
#define   G_00B228_DX10_CLAMP(x)                                      (((x) >> 21) & 0x1)
#define   C_00B228_DX10_CLAMP                                         0xFFDFFFFF
#define   S_00B228_DEBUG_MODE(x)                                      (((unsigned)(x) & 0x1) << 22)
#define   G_00B228_DEBUG_MODE(x)                                      (((x) >> 22) & 0x1)
#define   C_00B228_DEBUG_MODE                                         0xFFBFFFFF
#define   S_00B228_IEEE_MODE(x)                                       (((unsigned)(x) & 0x1) << 23)
#define   G_00B228_IEEE_MODE(x)                                       (((x) >> 23) & 0x1)
#define   C_00B228_IEEE_MODE                                          0xFF7FFFFF
#define   S_00B228_CU_GROUP_ENABLE(x)                                 (((unsigned)(x) & 0x1) << 24)
#define   G_00B228_CU_GROUP_ENABLE(x)                                 (((x) >> 24) & 0x1)
#define   C_00B228_CU_GROUP_ENABLE                                    0xFEFFFFFF
#define   S_00B228_CACHE_CTL(x)                                       (((unsigned)(x) & 0x7) << 25) /* gfx7, gfx8, fiji, stoney */
#define   G_00B228_CACHE_CTL(x)                                       (((x) >> 25) & 0x7)
#define   C_00B228_CACHE_CTL                                          0xF1FFFFFF
#define   S_00B228_MEM_ORDERED(x)                                     (((unsigned)(x) & 0x1) << 25) /* >= gfx10 */
#define   G_00B228_MEM_ORDERED(x)                                     (((x) >> 25) & 0x1)
#define   C_00B228_MEM_ORDERED                                        0xFDFFFFFF
#define   S_00B228_FWD_PROGRESS(x)                                    (((unsigned)(x) & 0x1) << 26) /* >= gfx10 */
#define   G_00B228_FWD_PROGRESS(x)                                    (((x) >> 26) & 0x1)
#define   C_00B228_FWD_PROGRESS                                       0xFBFFFFFF
#define   S_00B228_WGP_MODE(x)                                        (((unsigned)(x) & 0x1) << 27) /* >= gfx10 */
#define   G_00B228_WGP_MODE(x)                                        (((x) >> 27) & 0x1)
#define   C_00B228_WGP_MODE                                           0xF7FFFFFF
#define   S_00B228_CDBG_USER(x)                                       (((unsigned)(x) & 0x1) << 28) /* >= gfx7 */
#define   G_00B228_CDBG_USER(x)                                       (((x) >> 28) & 0x1)
#define   C_00B228_CDBG_USER                                          0xEFFFFFFF
#define   S_00B228_GS_VGPR_COMP_CNT(x)                                (((unsigned)(x) & 0x3) << 29) /* >= gfx9 */
#define   G_00B228_GS_VGPR_COMP_CNT(x)                                (((x) >> 29) & 0x3)
#define   C_00B228_GS_VGPR_COMP_CNT                                   0x9FFFFFFF
#define   S_00B228_FP16_OVFL(x)                                       (((unsigned)(x) & 0x1) << 31) /* >= gfx9 */
#define   G_00B228_FP16_OVFL(x)                                       (((x) >> 31) & 0x1)
#define   C_00B228_FP16_OVFL                                          0x7FFFFFFF
#define R_00B22C_SPI_SHADER_PGM_RSRC2_GS                                0x00B22C
#define   S_00B22C_SCRATCH_EN(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_00B22C_SCRATCH_EN(x)                                      (((x) >> 0) & 0x1)
#define   C_00B22C_SCRATCH_EN                                         0xFFFFFFFE
#define   S_00B22C_USER_SGPR(x)                                       (((unsigned)(x) & 0x1F) << 1)
#define   G_00B22C_USER_SGPR(x)                                       (((x) >> 1) & 0x1F)
#define   C_00B22C_USER_SGPR                                          0xFFFFFFC1
#define   S_00B22C_TRAP_PRESENT(x)                                    (((unsigned)(x) & 0x1) << 6)
#define   G_00B22C_TRAP_PRESENT(x)                                    (((x) >> 6) & 0x1)
#define   C_00B22C_TRAP_PRESENT                                       0xFFFFFFBF
#define   S_00B22C_EXCP_EN(x)                                         (((unsigned)(x) & 0x1FF) << 7)
#define   G_00B22C_EXCP_EN(x)                                         (((x) >> 7) & 0x1FF)
#define   C_00B22C_EXCP_EN                                            0xFFFF007F
#define   S_00B22C_EXCP_EN_SI(x)                                      (((unsigned)(x) & 0x7F) << 7) /* <= stoney */
#define   G_00B22C_EXCP_EN_SI(x)                                      (((x) >> 7) & 0x7F)
#define   C_00B22C_EXCP_EN_SI                                         0xFFFFC07F
#define   S_00B22C_ES_VGPR_COMP_CNT(x)                                (((unsigned)(x) & 0x3) << 16) /* >= gfx9 */
#define   G_00B22C_ES_VGPR_COMP_CNT(x)                                (((x) >> 16) & 0x3)
#define   C_00B22C_ES_VGPR_COMP_CNT                                   0xFFFCFFFF
#define   S_00B22C_OC_LDS_EN(x)                                       (((unsigned)(x) & 0x1) << 18) /* >= gfx9 */
#define   G_00B22C_OC_LDS_EN(x)                                       (((x) >> 18) & 0x1)
#define   C_00B22C_OC_LDS_EN                                          0xFFFBFFFF
#define   S_00B22C_LDS_SIZE(x)                                        (((unsigned)(x) & 0xFF) << 19) /* >= gfx9 */
#define   G_00B22C_LDS_SIZE(x)                                        (((x) >> 19) & 0xFF)
#define   C_00B22C_LDS_SIZE                                           0xF807FFFF
#define   S_00B22C_SKIP_USGPR0(x)                                     (((unsigned)(x) & 0x1) << 27) /* gfx9 */
#define   G_00B22C_SKIP_USGPR0(x)                                     (((x) >> 27) & 0x1)
#define   C_00B22C_SKIP_USGPR0                                        0xF7FFFFFF
#define   S_00B22C_USER_SGPR_MSB_GFX10(x)                             (((unsigned)(x) & 0x1) << 27) /* >= gfx10 */
#define   G_00B22C_USER_SGPR_MSB_GFX10(x)                             (((x) >> 27) & 0x1)
#define   C_00B22C_USER_SGPR_MSB_GFX10                                0xF7FFFFFF
#define   S_00B22C_SHARED_VGPR_CNT(x)                                 (((unsigned)(x) & 0xF) << 28) /* >= gfx10 */
#define   G_00B22C_SHARED_VGPR_CNT(x)                                 (((x) >> 28) & 0xF)
#define   C_00B22C_SHARED_VGPR_CNT                                    0x0FFFFFFF
#define   S_00B22C_USER_SGPR_MSB_GFX9(x)                              (((unsigned)(x) & 0x1) << 28) /* gfx9 */
#define   G_00B22C_USER_SGPR_MSB_GFX9(x)                              (((x) >> 28) & 0x1)
#define   C_00B22C_USER_SGPR_MSB_GFX9                                 0xEFFFFFFF
#define R_00B230_SPI_SHADER_USER_DATA_GS_0                              0x00B230 /* <= stoney, >= gfx10 */
#define   S_00B230_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B230_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B230_DATA                                               0x00000000
#define R_00B234_SPI_SHADER_USER_DATA_GS_1                              0x00B234 /* <= stoney, >= gfx10 */
#define R_00B238_SPI_SHADER_USER_DATA_GS_2                              0x00B238 /* <= stoney, >= gfx10 */
#define R_00B23C_SPI_SHADER_USER_DATA_GS_3                              0x00B23C /* <= stoney, >= gfx10 */
#define R_00B240_SPI_SHADER_USER_DATA_GS_4                              0x00B240 /* <= stoney, >= gfx10 */
#define R_00B244_SPI_SHADER_USER_DATA_GS_5                              0x00B244 /* <= stoney, >= gfx10 */
#define R_00B248_SPI_SHADER_USER_DATA_GS_6                              0x00B248 /* <= stoney, >= gfx10 */
#define R_00B24C_SPI_SHADER_USER_DATA_GS_7                              0x00B24C /* <= stoney, >= gfx10 */
#define R_00B250_SPI_SHADER_USER_DATA_GS_8                              0x00B250 /* <= stoney, >= gfx10 */
#define R_00B254_SPI_SHADER_USER_DATA_GS_9                              0x00B254 /* <= stoney, >= gfx10 */
#define R_00B258_SPI_SHADER_USER_DATA_GS_10                             0x00B258 /* <= stoney, >= gfx10 */
#define R_00B25C_SPI_SHADER_USER_DATA_GS_11                             0x00B25C /* <= stoney, >= gfx10 */
#define R_00B260_SPI_SHADER_USER_DATA_GS_12                             0x00B260 /* <= stoney, >= gfx10 */
#define R_00B264_SPI_SHADER_USER_DATA_GS_13                             0x00B264 /* <= stoney, >= gfx10 */
#define R_00B268_SPI_SHADER_USER_DATA_GS_14                             0x00B268 /* <= stoney, >= gfx10 */
#define R_00B26C_SPI_SHADER_USER_DATA_GS_15                             0x00B26C /* <= stoney, >= gfx10 */
#define R_00B270_SPI_SHADER_USER_DATA_GS_16                             0x00B270 /* >= gfx10 */
#define R_00B274_SPI_SHADER_USER_DATA_GS_17                             0x00B274 /* >= gfx10 */
#define R_00B278_SPI_SHADER_USER_DATA_GS_18                             0x00B278 /* >= gfx10 */
#define R_00B27C_SPI_SHADER_USER_DATA_GS_19                             0x00B27C /* >= gfx10 */
#define R_00B280_SPI_SHADER_USER_DATA_GS_20                             0x00B280 /* >= gfx10 */
#define R_00B284_SPI_SHADER_USER_DATA_GS_21                             0x00B284 /* >= gfx10 */
#define R_00B288_SPI_SHADER_USER_DATA_GS_22                             0x00B288 /* >= gfx10 */
#define R_00B28C_SPI_SHADER_USER_DATA_GS_23                             0x00B28C /* >= gfx10 */
#define R_00B290_SPI_SHADER_USER_DATA_GS_24                             0x00B290 /* >= gfx10 */
#define R_00B294_SPI_SHADER_USER_DATA_GS_25                             0x00B294 /* >= gfx10 */
#define R_00B298_SPI_SHADER_USER_DATA_GS_26                             0x00B298 /* >= gfx10 */
#define R_00B29C_SPI_SHADER_USER_DATA_GS_27                             0x00B29C /* >= gfx10 */
#define R_00B2A0_SPI_SHADER_USER_DATA_GS_28                             0x00B2A0 /* >= gfx10 */
#define R_00B2A4_SPI_SHADER_USER_DATA_GS_29                             0x00B2A4 /* >= gfx10 */
#define R_00B2A8_SPI_SHADER_USER_DATA_GS_30                             0x00B2A8 /* >= gfx10 */
#define R_00B2AC_SPI_SHADER_USER_DATA_GS_31                             0x00B2AC /* >= gfx10 */
#define R_00B2C0_SPI_SHADER_REQ_CTRL_ESGS                               0x00B2C0 /* >= gfx10 */
#define   S_00B2C0_SOFT_GROUPING_EN(x)                                (((unsigned)(x) & 0x1) << 0)
#define   G_00B2C0_SOFT_GROUPING_EN(x)                                (((x) >> 0) & 0x1)
#define   C_00B2C0_SOFT_GROUPING_EN                                   0xFFFFFFFE
#define   S_00B2C0_NUMBER_OF_REQUESTS_PER_CU(x)                       (((unsigned)(x) & 0xF) << 1)
#define   G_00B2C0_NUMBER_OF_REQUESTS_PER_CU(x)                       (((x) >> 1) & 0xF)
#define   C_00B2C0_NUMBER_OF_REQUESTS_PER_CU                          0xFFFFFFE1
#define   S_00B2C0_SOFT_GROUPING_ALLOCATION_TIMEOUT(x)                (((unsigned)(x) & 0xF) << 5)
#define   G_00B2C0_SOFT_GROUPING_ALLOCATION_TIMEOUT(x)                (((x) >> 5) & 0xF)
#define   C_00B2C0_SOFT_GROUPING_ALLOCATION_TIMEOUT                   0xFFFFFE1F
#define   S_00B2C0_HARD_LOCK_HYSTERESIS(x)                            (((unsigned)(x) & 0x1) << 9)
#define   G_00B2C0_HARD_LOCK_HYSTERESIS(x)                            (((x) >> 9) & 0x1)
#define   C_00B2C0_HARD_LOCK_HYSTERESIS                               0xFFFFFDFF
#define   S_00B2C0_HARD_LOCK_LOW_THRESHOLD(x)                         (((unsigned)(x) & 0x1F) << 10)
#define   G_00B2C0_HARD_LOCK_LOW_THRESHOLD(x)                         (((x) >> 10) & 0x1F)
#define   C_00B2C0_HARD_LOCK_LOW_THRESHOLD                            0xFFFF83FF
#define   S_00B2C0_PRODUCER_REQUEST_LOCKOUT(x)                        (((unsigned)(x) & 0x1) << 15)
#define   G_00B2C0_PRODUCER_REQUEST_LOCKOUT(x)                        (((x) >> 15) & 0x1)
#define   C_00B2C0_PRODUCER_REQUEST_LOCKOUT                           0xFFFF7FFF
#define   S_00B2C0_GLOBAL_SCANNING_EN(x)                              (((unsigned)(x) & 0x1) << 16)
#define   G_00B2C0_GLOBAL_SCANNING_EN(x)                              (((x) >> 16) & 0x1)
#define   C_00B2C0_GLOBAL_SCANNING_EN                                 0xFFFEFFFF
#define   S_00B2C0_ALLOCATION_RATE_THROTTLING_THRESHOLD(x)            (((unsigned)(x) & 0x7) << 17)
#define   G_00B2C0_ALLOCATION_RATE_THROTTLING_THRESHOLD(x)            (((x) >> 17) & 0x7)
#define   C_00B2C0_ALLOCATION_RATE_THROTTLING_THRESHOLD               0xFFF1FFFF
#define R_00B2C4_SPI_SHADER_PREF_PRI_CNTR_CTRL_ESGS                     0x00B2C4 /* >= gfx10 */
#define   S_00B2C4_TOTAL_WAVE_COUNT_HIER_SELECT(x)                    (((unsigned)(x) & 0x7) << 0)
#define   G_00B2C4_TOTAL_WAVE_COUNT_HIER_SELECT(x)                    (((x) >> 0) & 0x7)
#define   C_00B2C4_TOTAL_WAVE_COUNT_HIER_SELECT                       0xFFFFFFF8
#define   S_00B2C4_PER_TYPE_WAVE_COUNT_HIER_SELECT(x)                 (((unsigned)(x) & 0x7) << 3)
#define   G_00B2C4_PER_TYPE_WAVE_COUNT_HIER_SELECT(x)                 (((x) >> 3) & 0x7)
#define   C_00B2C4_PER_TYPE_WAVE_COUNT_HIER_SELECT                    0xFFFFFFC7
#define   S_00B2C4_GROUP_UPDATE_EN(x)                                 (((unsigned)(x) & 0x1) << 6)
#define   G_00B2C4_GROUP_UPDATE_EN(x)                                 (((x) >> 6) & 0x1)
#define   C_00B2C4_GROUP_UPDATE_EN                                    0xFFFFFFBF
#define   S_00B2C4_TOTAL_WAVE_COUNT_COEFFICIENT(x)                    (((unsigned)(x) & 0xFF) << 8)
#define   G_00B2C4_TOTAL_WAVE_COUNT_COEFFICIENT(x)                    (((x) >> 8) & 0xFF)
#define   C_00B2C4_TOTAL_WAVE_COUNT_COEFFICIENT                       0xFFFF00FF
#define   S_00B2C4_PER_TYPE_WAVE_COUNT_COEFFICIENT(x)                 (((unsigned)(x) & 0xFF) << 16)
#define   G_00B2C4_PER_TYPE_WAVE_COUNT_COEFFICIENT(x)                 (((x) >> 16) & 0xFF)
#define   C_00B2C4_PER_TYPE_WAVE_COUNT_COEFFICIENT                    0xFF00FFFF
#define R_00B2C8_SPI_SHADER_PREF_PRI_ACCUM_ESGS_0                       0x00B2C8 /* >= gfx10 */
#define   S_00B2C8_COEFFICIENT_HIER_SELECT(x)                         (((unsigned)(x) & 0x7) << 0)
#define   G_00B2C8_COEFFICIENT_HIER_SELECT(x)                         (((x) >> 0) & 0x7)
#define   C_00B2C8_COEFFICIENT_HIER_SELECT                            0xFFFFFFF8
#define   S_00B2C8_CONTRIBUTION_HIER_SELECT(x)                        (((unsigned)(x) & 0x7) << 3)
#define   G_00B2C8_CONTRIBUTION_HIER_SELECT(x)                        (((x) >> 3) & 0x7)
#define   C_00B2C8_CONTRIBUTION_HIER_SELECT                           0xFFFFFFC7
#define   S_00B2C8_GROUP_UPDATE_EN(x)                                 (((unsigned)(x) & 0x1) << 6)
#define   G_00B2C8_GROUP_UPDATE_EN(x)                                 (((x) >> 6) & 0x1)
#define   C_00B2C8_GROUP_UPDATE_EN                                    0xFFFFFFBF
#define   S_00B2C8_COEFFICIENT(x)                                     (((unsigned)(x) & 0xFF) << 8)
#define   G_00B2C8_COEFFICIENT(x)                                     (((x) >> 8) & 0xFF)
#define   C_00B2C8_COEFFICIENT                                        0xFFFF00FF
#define   S_00B2C8_CONTRIBUTION(x)                                    (((unsigned)(x) & 0xFF) << 16)
#define   G_00B2C8_CONTRIBUTION(x)                                    (((x) >> 16) & 0xFF)
#define   C_00B2C8_CONTRIBUTION                                       0xFF00FFFF
#define R_00B2CC_SPI_SHADER_PREF_PRI_ACCUM_ESGS_1                       0x00B2CC /* >= gfx10 */
#define R_00B2D0_SPI_SHADER_PREF_PRI_ACCUM_ESGS_2                       0x00B2D0 /* >= gfx10 */
#define R_00B2D4_SPI_SHADER_PREF_PRI_ACCUM_ESGS_3                       0x00B2D4 /* >= gfx10 */
#define R_00B2F0_SPI_SHADER_PGM_RSRC2_ES_GS                             0x00B2F0 /* >= gfx10 */
#define   S_00B2F0_SCRATCH_EN(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_00B2F0_SCRATCH_EN(x)                                      (((x) >> 0) & 0x1)
#define   C_00B2F0_SCRATCH_EN                                         0xFFFFFFFE
#define   S_00B2F0_USER_SGPR(x)                                       (((unsigned)(x) & 0x1F) << 1)
#define   G_00B2F0_USER_SGPR(x)                                       (((x) >> 1) & 0x1F)
#define   C_00B2F0_USER_SGPR                                          0xFFFFFFC1
#define   S_00B2F0_TRAP_PRESENT(x)                                    (((unsigned)(x) & 0x1) << 6)
#define   G_00B2F0_TRAP_PRESENT(x)                                    (((x) >> 6) & 0x1)
#define   C_00B2F0_TRAP_PRESENT                                       0xFFFFFFBF
#define   S_00B2F0_OC_LDS_EN(x)                                       (((unsigned)(x) & 0x1) << 7)
#define   G_00B2F0_OC_LDS_EN(x)                                       (((x) >> 7) & 0x1)
#define   C_00B2F0_OC_LDS_EN                                          0xFFFFFF7F
#define   S_00B2F0_EXCP_EN(x)                                         (((unsigned)(x) & 0x1FF) << 8)
#define   G_00B2F0_EXCP_EN(x)                                         (((x) >> 8) & 0x1FF)
#define   C_00B2F0_EXCP_EN                                            0xFFFE00FF
#define   S_00B2F0_LDS_SIZE(x)                                        (((unsigned)(x) & 0x1FF) << 20)
#define   G_00B2F0_LDS_SIZE(x)                                        (((x) >> 20) & 0x1FF)
#define   C_00B2F0_LDS_SIZE                                           0xE00FFFFF
#define R_00B300_SPI_SHADER_TBA_LO_ES                                   0x00B300 /* <= stoney */
#define R_00B304_SPI_SHADER_TBA_HI_ES                                   0x00B304 /* <= stoney */
#define   S_00B304_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B304_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B304_MEM_BASE                                           0xFFFFFF00
#define R_00B308_SPI_SHADER_TMA_LO_ES                                   0x00B308 /* <= stoney */
#define R_00B30C_SPI_SHADER_TMA_HI_ES                                   0x00B30C /* <= stoney */
#define   S_00B30C_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B30C_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B30C_MEM_BASE                                           0xFFFFFF00
#define R_00B31C_SPI_SHADER_PGM_RSRC3_ES                                0x00B31C /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   S_00B31C_CU_EN(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00B31C_CU_EN(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_00B31C_CU_EN                                              0xFFFF0000
#define   S_00B31C_WAVE_LIMIT(x)                                      (((unsigned)(x) & 0x3F) << 16)
#define   G_00B31C_WAVE_LIMIT(x)                                      (((x) >> 16) & 0x3F)
#define   C_00B31C_WAVE_LIMIT                                         0xFFC0FFFF
#define   S_00B31C_LOCK_LOW_THRESHOLD(x)                              (((unsigned)(x) & 0xF) << 22)
#define   G_00B31C_LOCK_LOW_THRESHOLD(x)                              (((x) >> 22) & 0xF)
#define   C_00B31C_LOCK_LOW_THRESHOLD                                 0xFC3FFFFF
#define   S_00B31C_GROUP_FIFO_DEPTH(x)                                (((unsigned)(x) & 0x3F) << 26) /* gfx8, fiji, stoney, >= gfx10 */
#define   G_00B31C_GROUP_FIFO_DEPTH(x)                                (((x) >> 26) & 0x3F)
#define   C_00B31C_GROUP_FIFO_DEPTH                                   0x03FFFFFF
#define R_00B320_SPI_SHADER_PGM_LO_ES                                   0x00B320 /* <= stoney, >= gfx10 */
#define   S_00B320_MEM_BASE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B320_MEM_BASE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B320_MEM_BASE                                           0x00000000
#define R_00B324_SPI_SHADER_PGM_HI_ES                                   0x00B324 /* <= stoney, >= gfx10 */
#define   S_00B324_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B324_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B324_MEM_BASE                                           0xFFFFFF00
#define R_00B328_SPI_SHADER_PGM_RSRC1_ES                                0x00B328 /* <= stoney, >= gfx10 */
#define   S_00B328_VGPRS(x)                                           (((unsigned)(x) & 0x3F) << 0)
#define   G_00B328_VGPRS(x)                                           (((x) >> 0) & 0x3F)
#define   C_00B328_VGPRS                                              0xFFFFFFC0
#define   S_00B328_SGPRS(x)                                           (((unsigned)(x) & 0xF) << 6)
#define   G_00B328_SGPRS(x)                                           (((x) >> 6) & 0xF)
#define   C_00B328_SGPRS                                              0xFFFFFC3F
#define   S_00B328_PRIORITY(x)                                        (((unsigned)(x) & 0x3) << 10)
#define   G_00B328_PRIORITY(x)                                        (((x) >> 10) & 0x3)
#define   C_00B328_PRIORITY                                           0xFFFFF3FF
#define   S_00B328_FLOAT_MODE(x)                                      (((unsigned)(x) & 0xFF) << 12)
#define   G_00B328_FLOAT_MODE(x)                                      (((x) >> 12) & 0xFF)
#define   C_00B328_FLOAT_MODE                                         0xFFF00FFF
#define     V_00B328_FP_32_DENORMS                                  48
#define     V_00B328_FP_64_DENORMS                                  192
#define     V_00B328_FP_ALL_DENORMS                                 240
#define   S_00B328_PRIV(x)                                            (((unsigned)(x) & 0x1) << 20)
#define   G_00B328_PRIV(x)                                            (((x) >> 20) & 0x1)
#define   C_00B328_PRIV                                               0xFFEFFFFF
#define   S_00B328_DX10_CLAMP(x)                                      (((unsigned)(x) & 0x1) << 21)
#define   G_00B328_DX10_CLAMP(x)                                      (((x) >> 21) & 0x1)
#define   C_00B328_DX10_CLAMP                                         0xFFDFFFFF
#define   S_00B328_DEBUG_MODE(x)                                      (((unsigned)(x) & 0x1) << 22)
#define   G_00B328_DEBUG_MODE(x)                                      (((x) >> 22) & 0x1)
#define   C_00B328_DEBUG_MODE                                         0xFFBFFFFF
#define   S_00B328_IEEE_MODE(x)                                       (((unsigned)(x) & 0x1) << 23)
#define   G_00B328_IEEE_MODE(x)                                       (((x) >> 23) & 0x1)
#define   C_00B328_IEEE_MODE                                          0xFF7FFFFF
#define   S_00B328_VGPR_COMP_CNT(x)                                   (((unsigned)(x) & 0x3) << 24)
#define   G_00B328_VGPR_COMP_CNT(x)                                   (((x) >> 24) & 0x3)
#define   C_00B328_VGPR_COMP_CNT                                      0xFCFFFFFF
#define   S_00B328_CU_GROUP_ENABLE(x)                                 (((unsigned)(x) & 0x1) << 26)
#define   G_00B328_CU_GROUP_ENABLE(x)                                 (((x) >> 26) & 0x1)
#define   C_00B328_CU_GROUP_ENABLE                                    0xFBFFFFFF
#define   S_00B328_CACHE_CTL(x)                                       (((unsigned)(x) & 0x7) << 27) /* gfx7, gfx8, fiji, stoney */
#define   G_00B328_CACHE_CTL(x)                                       (((x) >> 27) & 0x7)
#define   C_00B328_CACHE_CTL                                          0xC7FFFFFF
#define   S_00B328_CDBG_USER(x)                                       (((unsigned)(x) & 0x1) << 30) /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   G_00B328_CDBG_USER(x)                                       (((x) >> 30) & 0x1)
#define   C_00B328_CDBG_USER                                          0xBFFFFFFF
#define   S_00B328_FP16_OVFL(x)                                       (((unsigned)(x) & 0x1) << 31) /* >= gfx10 */
#define   G_00B328_FP16_OVFL(x)                                       (((x) >> 31) & 0x1)
#define   C_00B328_FP16_OVFL                                          0x7FFFFFFF
#define R_00B32C_SPI_SHADER_PGM_RSRC2_ES                                0x00B32C /* <= stoney, >= gfx10 */
#define   S_00B32C_SCRATCH_EN(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_00B32C_SCRATCH_EN(x)                                      (((x) >> 0) & 0x1)
#define   C_00B32C_SCRATCH_EN                                         0xFFFFFFFE
#define   S_00B32C_USER_SGPR(x)                                       (((unsigned)(x) & 0x1F) << 1)
#define   G_00B32C_USER_SGPR(x)                                       (((x) >> 1) & 0x1F)
#define   C_00B32C_USER_SGPR                                          0xFFFFFFC1
#define   S_00B32C_TRAP_PRESENT(x)                                    (((unsigned)(x) & 0x1) << 6)
#define   G_00B32C_TRAP_PRESENT(x)                                    (((x) >> 6) & 0x1)
#define   C_00B32C_TRAP_PRESENT                                       0xFFFFFFBF
#define   S_00B32C_OC_LDS_EN(x)                                       (((unsigned)(x) & 0x1) << 7)
#define   G_00B32C_OC_LDS_EN(x)                                       (((x) >> 7) & 0x1)
#define   C_00B32C_OC_LDS_EN                                          0xFFFFFF7F
#define   S_00B32C_EXCP_EN(x)                                         (((unsigned)(x) & 0x1FF) << 8)
#define   G_00B32C_EXCP_EN(x)                                         (((x) >> 8) & 0x1FF)
#define   C_00B32C_EXCP_EN                                            0xFFFE00FF
#define   S_00B32C_EXCP_EN_SI(x)                                      (((unsigned)(x) & 0x7F) << 8) /* <= stoney */
#define   G_00B32C_EXCP_EN_SI(x)                                      (((x) >> 8) & 0x7F)
#define   C_00B32C_EXCP_EN_SI                                         0xFFFF80FF
#define   S_00B32C_LDS_SIZE(x)                                        (((unsigned)(x) & 0x1FF) << 20) /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   G_00B32C_LDS_SIZE(x)                                        (((x) >> 20) & 0x1FF)
#define   C_00B32C_LDS_SIZE                                           0xE00FFFFF
#define R_00B330_SPI_SHADER_USER_DATA_ES_0                              0x00B330
#define   S_00B330_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B330_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B330_DATA                                               0x00000000
#define R_00B334_SPI_SHADER_USER_DATA_ES_1                              0x00B334
#define R_00B338_SPI_SHADER_USER_DATA_ES_2                              0x00B338
#define R_00B33C_SPI_SHADER_USER_DATA_ES_3                              0x00B33C
#define R_00B340_SPI_SHADER_USER_DATA_ES_4                              0x00B340
#define R_00B344_SPI_SHADER_USER_DATA_ES_5                              0x00B344
#define R_00B348_SPI_SHADER_USER_DATA_ES_6                              0x00B348
#define R_00B34C_SPI_SHADER_USER_DATA_ES_7                              0x00B34C
#define R_00B350_SPI_SHADER_USER_DATA_ES_8                              0x00B350
#define R_00B354_SPI_SHADER_USER_DATA_ES_9                              0x00B354
#define R_00B358_SPI_SHADER_USER_DATA_ES_10                             0x00B358
#define R_00B35C_SPI_SHADER_USER_DATA_ES_11                             0x00B35C
#define R_00B360_SPI_SHADER_USER_DATA_ES_12                             0x00B360
#define R_00B364_SPI_SHADER_USER_DATA_ES_13                             0x00B364
#define R_00B368_SPI_SHADER_USER_DATA_ES_14                             0x00B368
#define R_00B36C_SPI_SHADER_USER_DATA_ES_15                             0x00B36C
#define R_00B370_SPI_SHADER_USER_DATA_ES_16                             0x00B370 /* gfx9 */
#define R_00B374_SPI_SHADER_USER_DATA_ES_17                             0x00B374 /* gfx9 */
#define R_00B378_SPI_SHADER_USER_DATA_ES_18                             0x00B378 /* gfx9 */
#define R_00B37C_SPI_SHADER_USER_DATA_ES_19                             0x00B37C /* gfx9 */
#define R_00B380_SPI_SHADER_USER_DATA_ES_20                             0x00B380 /* gfx9 */
#define R_00B384_SPI_SHADER_USER_DATA_ES_21                             0x00B384 /* gfx9 */
#define R_00B388_SPI_SHADER_USER_DATA_ES_22                             0x00B388 /* gfx9 */
#define R_00B38C_SPI_SHADER_USER_DATA_ES_23                             0x00B38C /* gfx9 */
#define R_00B390_SPI_SHADER_USER_DATA_ES_24                             0x00B390 /* gfx9 */
#define R_00B394_SPI_SHADER_USER_DATA_ES_25                             0x00B394 /* gfx9 */
#define R_00B398_SPI_SHADER_USER_DATA_ES_26                             0x00B398 /* gfx9 */
#define R_00B39C_SPI_SHADER_USER_DATA_ES_27                             0x00B39C /* gfx9 */
#define R_00B3A0_SPI_SHADER_USER_DATA_ES_28                             0x00B3A0 /* gfx9 */
#define R_00B3A4_SPI_SHADER_USER_DATA_ES_29                             0x00B3A4 /* gfx9 */
#define R_00B3A8_SPI_SHADER_USER_DATA_ES_30                             0x00B3A8 /* gfx9 */
#define R_00B3AC_SPI_SHADER_USER_DATA_ES_31                             0x00B3AC /* gfx9 */
#define R_00B3F4_SPI_SHADER_PGM_RSRC2_LS_ES                             0x00B3F4 /* >= gfx10 */
#define   S_00B3F4_SCRATCH_EN(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_00B3F4_SCRATCH_EN(x)                                      (((x) >> 0) & 0x1)
#define   C_00B3F4_SCRATCH_EN                                         0xFFFFFFFE
#define   S_00B3F4_USER_SGPR(x)                                       (((unsigned)(x) & 0x1F) << 1)
#define   G_00B3F4_USER_SGPR(x)                                       (((x) >> 1) & 0x1F)
#define   C_00B3F4_USER_SGPR                                          0xFFFFFFC1
#define   S_00B3F4_TRAP_PRESENT(x)                                    (((unsigned)(x) & 0x1) << 6)
#define   G_00B3F4_TRAP_PRESENT(x)                                    (((x) >> 6) & 0x1)
#define   C_00B3F4_TRAP_PRESENT                                       0xFFFFFFBF
#define   S_00B3F4_LDS_SIZE(x)                                        (((unsigned)(x) & 0x1FF) << 7)
#define   G_00B3F4_LDS_SIZE(x)                                        (((x) >> 7) & 0x1FF)
#define   C_00B3F4_LDS_SIZE                                           0xFFFF007F
#define   S_00B3F4_EXCP_EN(x)                                         (((unsigned)(x) & 0x1FF) << 16)
#define   G_00B3F4_EXCP_EN(x)                                         (((x) >> 16) & 0x1FF)
#define   C_00B3F4_EXCP_EN                                            0xFE00FFFF
#define R_00B400_SPI_SHADER_PGM_CHKSUM_HS                               0x00B400 /* >= gfx10 */
#define   S_00B400_CHECKSUM(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B400_CHECKSUM(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B400_CHECKSUM                                           0x00000000
#define R_00B400_SPI_SHADER_TBA_LO_HS                                   0x00B400 /* <= stoney */
#define R_00B404_SPI_SHADER_PGM_RSRC4_HS                                0x00B404 /* >= gfx9 */
#define   S_00B404_CU_EN(x)                                           (((unsigned)(x) & 0xFFFF) << 0) /* >= gfx10 */
#define   G_00B404_CU_EN(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_00B404_CU_EN                                              0xFFFF0000
#define   S_00B404_GROUP_FIFO_DEPTH(x)                                (((unsigned)(x) & 0x7F) << 0) /* gfx9 */
#define   G_00B404_GROUP_FIFO_DEPTH(x)                                (((x) >> 0) & 0x7F)
#define   C_00B404_GROUP_FIFO_DEPTH                                   0xFFFFFF80
#define R_00B404_SPI_SHADER_TBA_HI_HS                                   0x00B404 /* <= stoney */
#define   S_00B404_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B404_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B404_MEM_BASE                                           0xFFFFFF00
#define R_00B408_SPI_SHADER_TMA_LO_HS                                   0x00B408 /* <= stoney */
#define R_00B408_SPI_SHADER_USER_DATA_ADDR_LO_HS                        0x00B408 /* >= gfx9 */
#define   S_00B408_MEM_BASE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B408_MEM_BASE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B408_MEM_BASE                                           0x00000000
#define R_00B40C_SPI_SHADER_TMA_HI_HS                                   0x00B40C /* <= stoney */
#define   S_00B40C_MEM_BASE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B40C_MEM_BASE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B40C_MEM_BASE                                           0x00000000
#define R_00B40C_SPI_SHADER_USER_DATA_ADDR_HI_HS                        0x00B40C /* >= gfx9 */
#define R_00B410_SPI_SHADER_PGM_LO_LS                                   0x00B410 /* gfx9 */
#define R_00B410_SPI_SHADER_PGM_LO_LS_HS                                0x00B410 /* >= gfx10 */
#define   S_00B410_MEM_BASE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B410_MEM_BASE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B410_MEM_BASE                                           0x00000000
#define R_00B414_SPI_SHADER_PGM_HI_LS                                   0x00B414 /* gfx9 */
#define   S_00B414_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B414_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B414_MEM_BASE                                           0xFFFFFF00
#define R_00B414_SPI_SHADER_PGM_HI_LS_HS                                0x00B414 /* >= gfx10 */
#define R_00B41C_SPI_SHADER_PGM_RSRC3_HS                                0x00B41C /* >= gfx7 */
#define   S_00B41C_WAVE_LIMIT(x)                                      (((unsigned)(x) & 0x3F) << 0)
#define   G_00B41C_WAVE_LIMIT(x)                                      (((x) >> 0) & 0x3F)
#define   C_00B41C_WAVE_LIMIT                                         0xFFFFFFC0
#define   S_00B41C_LOCK_LOW_THRESHOLD(x)                              (((unsigned)(x) & 0xF) << 6)
#define   G_00B41C_LOCK_LOW_THRESHOLD(x)                              (((x) >> 6) & 0xF)
#define   C_00B41C_LOCK_LOW_THRESHOLD                                 0xFFFFFC3F
#define   S_00B41C_GROUP_FIFO_DEPTH(x)                                (((unsigned)(x) & 0x3F) << 10) /* gfx8, fiji, stoney, >= gfx10 */
#define   G_00B41C_GROUP_FIFO_DEPTH(x)                                (((x) >> 10) & 0x3F)
#define   C_00B41C_GROUP_FIFO_DEPTH                                   0xFFFF03FF
#define   S_00B41C_SIMD_DISABLE(x)                                    (((unsigned)(x) & 0xF) << 10) /* gfx9 */
#define   G_00B41C_SIMD_DISABLE(x)                                    (((x) >> 10) & 0xF)
#define   C_00B41C_SIMD_DISABLE                                       0xFFFFC3FF
#define   S_00B41C_CU_EN(x)                                           (((unsigned)(x) & 0xFFFF) << 16) /* >= gfx9 */
#define   G_00B41C_CU_EN(x)                                           (((x) >> 16) & 0xFFFF)
#define   C_00B41C_CU_EN                                              0x0000FFFF
#define R_00B420_SPI_SHADER_PGM_LO_HS                                   0x00B420
#define   S_00B420_MEM_BASE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B420_MEM_BASE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B420_MEM_BASE                                           0x00000000
#define R_00B424_SPI_SHADER_PGM_HI_HS                                   0x00B424
#define   S_00B424_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B424_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B424_MEM_BASE                                           0xFFFFFF00
#define R_00B428_SPI_SHADER_PGM_RSRC1_HS                                0x00B428
#define   S_00B428_VGPRS(x)                                           (((unsigned)(x) & 0x3F) << 0)
#define   G_00B428_VGPRS(x)                                           (((x) >> 0) & 0x3F)
#define   C_00B428_VGPRS                                              0xFFFFFFC0
#define   S_00B428_SGPRS(x)                                           (((unsigned)(x) & 0xF) << 6)
#define   G_00B428_SGPRS(x)                                           (((x) >> 6) & 0xF)
#define   C_00B428_SGPRS                                              0xFFFFFC3F
#define   S_00B428_PRIORITY(x)                                        (((unsigned)(x) & 0x3) << 10)
#define   G_00B428_PRIORITY(x)                                        (((x) >> 10) & 0x3)
#define   C_00B428_PRIORITY                                           0xFFFFF3FF
#define   S_00B428_FLOAT_MODE(x)                                      (((unsigned)(x) & 0xFF) << 12)
#define   G_00B428_FLOAT_MODE(x)                                      (((x) >> 12) & 0xFF)
#define   C_00B428_FLOAT_MODE                                         0xFFF00FFF
#define     V_00B428_FP_32_DENORMS                                  48 /* <= gfx9 */
#define     V_00B428_FP_64_DENORMS                                  192 /* <= gfx9 */
#define     V_00B428_FP_ALL_DENORMS                                 240 /* <= gfx9 */
#define   S_00B428_PRIV(x)                                            (((unsigned)(x) & 0x1) << 20)
#define   G_00B428_PRIV(x)                                            (((x) >> 20) & 0x1)
#define   C_00B428_PRIV                                               0xFFEFFFFF
#define   S_00B428_DX10_CLAMP(x)                                      (((unsigned)(x) & 0x1) << 21)
#define   G_00B428_DX10_CLAMP(x)                                      (((x) >> 21) & 0x1)
#define   C_00B428_DX10_CLAMP                                         0xFFDFFFFF
#define   S_00B428_DEBUG_MODE(x)                                      (((unsigned)(x) & 0x1) << 22)
#define   G_00B428_DEBUG_MODE(x)                                      (((x) >> 22) & 0x1)
#define   C_00B428_DEBUG_MODE                                         0xFFBFFFFF
#define   S_00B428_IEEE_MODE(x)                                       (((unsigned)(x) & 0x1) << 23)
#define   G_00B428_IEEE_MODE(x)                                       (((x) >> 23) & 0x1)
#define   C_00B428_IEEE_MODE                                          0xFF7FFFFF
#define   S_00B428_CACHE_CTL(x)                                       (((unsigned)(x) & 0x7) << 24) /* gfx7, gfx8, fiji, stoney */
#define   G_00B428_CACHE_CTL(x)                                       (((x) >> 24) & 0x7)
#define   C_00B428_CACHE_CTL                                          0xF8FFFFFF
#define   S_00B428_MEM_ORDERED(x)                                     (((unsigned)(x) & 0x1) << 24) /* >= gfx10 */
#define   G_00B428_MEM_ORDERED(x)                                     (((x) >> 24) & 0x1)
#define   C_00B428_MEM_ORDERED                                        0xFEFFFFFF
#define   S_00B428_FWD_PROGRESS(x)                                    (((unsigned)(x) & 0x1) << 25) /* >= gfx10 */
#define   G_00B428_FWD_PROGRESS(x)                                    (((x) >> 25) & 0x1)
#define   C_00B428_FWD_PROGRESS                                       0xFDFFFFFF
#define   S_00B428_WGP_MODE(x)                                        (((unsigned)(x) & 0x1) << 26) /* >= gfx10 */
#define   G_00B428_WGP_MODE(x)                                        (((x) >> 26) & 0x1)
#define   C_00B428_WGP_MODE                                           0xFBFFFFFF
#define   S_00B428_CDBG_USER(x)                                       (((unsigned)(x) & 0x1) << 27) /* >= gfx7 */
#define   G_00B428_CDBG_USER(x)                                       (((x) >> 27) & 0x1)
#define   C_00B428_CDBG_USER                                          0xF7FFFFFF
#define   S_00B428_LS_VGPR_COMP_CNT(x)                                (((unsigned)(x) & 0x3) << 28) /* >= gfx9 */
#define   G_00B428_LS_VGPR_COMP_CNT(x)                                (((x) >> 28) & 0x3)
#define   C_00B428_LS_VGPR_COMP_CNT                                   0xCFFFFFFF
#define   S_00B428_FP16_OVFL(x)                                       (((unsigned)(x) & 0x1) << 30) /* >= gfx9 */
#define   G_00B428_FP16_OVFL(x)                                       (((x) >> 30) & 0x1)
#define   C_00B428_FP16_OVFL                                          0xBFFFFFFF
#define R_00B42C_SPI_SHADER_PGM_RSRC2_HS                                0x00B42C
#define   S_00B42C_SCRATCH_EN(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_00B42C_SCRATCH_EN(x)                                      (((x) >> 0) & 0x1)
#define   C_00B42C_SCRATCH_EN                                         0xFFFFFFFE
#define   S_00B42C_USER_SGPR(x)                                       (((unsigned)(x) & 0x1F) << 1)
#define   G_00B42C_USER_SGPR(x)                                       (((x) >> 1) & 0x1F)
#define   C_00B42C_USER_SGPR                                          0xFFFFFFC1
#define   S_00B42C_TRAP_PRESENT(x)                                    (((unsigned)(x) & 0x1) << 6)
#define   G_00B42C_TRAP_PRESENT(x)                                    (((x) >> 6) & 0x1)
#define   C_00B42C_TRAP_PRESENT                                       0xFFFFFFBF
#define   S_00B42C_EXCP_EN_GFX9(x)                                    (((unsigned)(x) & 0x1FF) << 7) /* gfx9 */
#define   G_00B42C_EXCP_EN_GFX9(x)                                    (((x) >> 7) & 0x1FF)
#define   C_00B42C_EXCP_EN_GFX9                                       0xFFFF007F
#define   S_00B42C_OC_LDS_EN(x)                                       (((unsigned)(x) & 0x1) << 7) /* <= stoney, >= gfx10 */
#define   G_00B42C_OC_LDS_EN(x)                                       (((x) >> 7) & 0x1)
#define   C_00B42C_OC_LDS_EN                                          0xFFFFFF7F
#define   S_00B42C_TG_SIZE_EN(x)                                      (((unsigned)(x) & 0x1) << 8) /* <= stoney, >= gfx10 */
#define   G_00B42C_TG_SIZE_EN(x)                                      (((x) >> 8) & 0x1)
#define   C_00B42C_TG_SIZE_EN                                         0xFFFFFEFF
#define   S_00B42C_EXCP_EN_CIK_VI(x)                                  (((unsigned)(x) & 0x1FF) << 9) /* <= stoney */
#define   G_00B42C_EXCP_EN_CIK_VI(x)                                  (((x) >> 9) & 0x1FF)
#define   C_00B42C_EXCP_EN_CIK_VI                                     0xFFFC01FF
#define   S_00B42C_EXCP_EN_GFX10(x)                                   (((unsigned)(x) & 0x1FF) << 9) /* >= gfx10 */
#define   G_00B42C_EXCP_EN_GFX10(x)                                   (((x) >> 9) & 0x1FF)
#define   C_00B42C_EXCP_EN_GFX10                                      0xFFFC01FF
#define   S_00B42C_EXCP_EN_SI(x)                                      (((unsigned)(x) & 0x7F) << 9) /* <= stoney */
#define   G_00B42C_EXCP_EN_SI(x)                                      (((x) >> 9) & 0x7F)
#define   C_00B42C_EXCP_EN_SI                                         0xFFFF01FF
#define   S_00B42C_LDS_SIZE_GFX9(x)                                   (((unsigned)(x) & 0x1FF) << 16) /* gfx9 */
#define   G_00B42C_LDS_SIZE_GFX9(x)                                   (((x) >> 16) & 0x1FF)
#define   C_00B42C_LDS_SIZE_GFX9                                      0xFE00FFFF
#define   S_00B42C_LDS_SIZE_GFX10(x)                                  (((unsigned)(x) & 0x1FF) << 18) /* >= gfx10 */
#define   G_00B42C_LDS_SIZE_GFX10(x)                                  (((x) >> 18) & 0x1FF)
#define   C_00B42C_LDS_SIZE_GFX10                                     0xF803FFFF
#define   S_00B42C_SKIP_USGPR0(x)                                     (((unsigned)(x) & 0x1) << 27) /* gfx9 */
#define   G_00B42C_SKIP_USGPR0(x)                                     (((x) >> 27) & 0x1)
#define   C_00B42C_SKIP_USGPR0                                        0xF7FFFFFF
#define   S_00B42C_USER_SGPR_MSB_GFX10(x)                             (((unsigned)(x) & 0x1) << 27) /* >= gfx10 */
#define   G_00B42C_USER_SGPR_MSB_GFX10(x)                             (((x) >> 27) & 0x1)
#define   C_00B42C_USER_SGPR_MSB_GFX10                                0xF7FFFFFF
#define   S_00B42C_SHARED_VGPR_CNT(x)                                 (((unsigned)(x) & 0xF) << 28) /* >= gfx10 */
#define   G_00B42C_SHARED_VGPR_CNT(x)                                 (((x) >> 28) & 0xF)
#define   C_00B42C_SHARED_VGPR_CNT                                    0x0FFFFFFF
#define   S_00B42C_USER_SGPR_MSB_GFX9(x)                              (((unsigned)(x) & 0x1) << 28) /* gfx9 */
#define   G_00B42C_USER_SGPR_MSB_GFX9(x)                              (((x) >> 28) & 0x1)
#define   C_00B42C_USER_SGPR_MSB_GFX9                                 0xEFFFFFFF
#define R_00B430_SPI_SHADER_USER_DATA_HS_0                              0x00B430 /* <= stoney, >= gfx10 */
#define   S_00B430_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B430_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B430_DATA                                               0x00000000
#define R_00B430_SPI_SHADER_USER_DATA_LS_0                              0x00B430 /* gfx9 */
#define R_00B434_SPI_SHADER_USER_DATA_HS_1                              0x00B434 /* <= stoney, >= gfx10 */
#define R_00B434_SPI_SHADER_USER_DATA_LS_1                              0x00B434 /* gfx9 */
#define R_00B438_SPI_SHADER_USER_DATA_HS_2                              0x00B438 /* <= stoney, >= gfx10 */
#define R_00B438_SPI_SHADER_USER_DATA_LS_2                              0x00B438 /* gfx9 */
#define R_00B43C_SPI_SHADER_USER_DATA_HS_3                              0x00B43C /* <= stoney, >= gfx10 */
#define R_00B43C_SPI_SHADER_USER_DATA_LS_3                              0x00B43C /* gfx9 */
#define R_00B440_SPI_SHADER_USER_DATA_HS_4                              0x00B440 /* <= stoney, >= gfx10 */
#define R_00B440_SPI_SHADER_USER_DATA_LS_4                              0x00B440 /* gfx9 */
#define R_00B444_SPI_SHADER_USER_DATA_HS_5                              0x00B444 /* <= stoney, >= gfx10 */
#define R_00B444_SPI_SHADER_USER_DATA_LS_5                              0x00B444 /* gfx9 */
#define R_00B448_SPI_SHADER_USER_DATA_HS_6                              0x00B448 /* <= stoney, >= gfx10 */
#define R_00B448_SPI_SHADER_USER_DATA_LS_6                              0x00B448 /* gfx9 */
#define R_00B44C_SPI_SHADER_USER_DATA_HS_7                              0x00B44C /* <= stoney, >= gfx10 */
#define R_00B44C_SPI_SHADER_USER_DATA_LS_7                              0x00B44C /* gfx9 */
#define R_00B450_SPI_SHADER_USER_DATA_HS_8                              0x00B450 /* <= stoney, >= gfx10 */
#define R_00B450_SPI_SHADER_USER_DATA_LS_8                              0x00B450 /* gfx9 */
#define R_00B454_SPI_SHADER_USER_DATA_HS_9                              0x00B454 /* <= stoney, >= gfx10 */
#define R_00B454_SPI_SHADER_USER_DATA_LS_9                              0x00B454 /* gfx9 */
#define R_00B458_SPI_SHADER_USER_DATA_HS_10                             0x00B458 /* <= stoney, >= gfx10 */
#define R_00B458_SPI_SHADER_USER_DATA_LS_10                             0x00B458 /* gfx9 */
#define R_00B45C_SPI_SHADER_USER_DATA_HS_11                             0x00B45C /* <= stoney, >= gfx10 */
#define R_00B45C_SPI_SHADER_USER_DATA_LS_11                             0x00B45C /* gfx9 */
#define R_00B460_SPI_SHADER_USER_DATA_HS_12                             0x00B460 /* <= stoney, >= gfx10 */
#define R_00B460_SPI_SHADER_USER_DATA_LS_12                             0x00B460 /* gfx9 */
#define R_00B464_SPI_SHADER_USER_DATA_HS_13                             0x00B464 /* <= stoney, >= gfx10 */
#define R_00B464_SPI_SHADER_USER_DATA_LS_13                             0x00B464 /* gfx9 */
#define R_00B468_SPI_SHADER_USER_DATA_HS_14                             0x00B468 /* <= stoney, >= gfx10 */
#define R_00B468_SPI_SHADER_USER_DATA_LS_14                             0x00B468 /* gfx9 */
#define R_00B46C_SPI_SHADER_USER_DATA_HS_15                             0x00B46C /* <= stoney, >= gfx10 */
#define R_00B46C_SPI_SHADER_USER_DATA_LS_15                             0x00B46C /* gfx9 */
#define R_00B470_SPI_SHADER_USER_DATA_HS_16                             0x00B470 /* >= gfx10 */
#define R_00B470_SPI_SHADER_USER_DATA_LS_16                             0x00B470 /* gfx9 */
#define R_00B474_SPI_SHADER_USER_DATA_HS_17                             0x00B474 /* >= gfx10 */
#define R_00B474_SPI_SHADER_USER_DATA_LS_17                             0x00B474 /* gfx9 */
#define R_00B478_SPI_SHADER_USER_DATA_HS_18                             0x00B478 /* >= gfx10 */
#define R_00B478_SPI_SHADER_USER_DATA_LS_18                             0x00B478 /* gfx9 */
#define R_00B47C_SPI_SHADER_USER_DATA_HS_19                             0x00B47C /* >= gfx10 */
#define R_00B47C_SPI_SHADER_USER_DATA_LS_19                             0x00B47C /* gfx9 */
#define R_00B480_SPI_SHADER_USER_DATA_HS_20                             0x00B480 /* >= gfx10 */
#define R_00B480_SPI_SHADER_USER_DATA_LS_20                             0x00B480 /* gfx9 */
#define R_00B484_SPI_SHADER_USER_DATA_HS_21                             0x00B484 /* >= gfx10 */
#define R_00B484_SPI_SHADER_USER_DATA_LS_21                             0x00B484 /* gfx9 */
#define R_00B488_SPI_SHADER_USER_DATA_HS_22                             0x00B488 /* >= gfx10 */
#define R_00B488_SPI_SHADER_USER_DATA_LS_22                             0x00B488 /* gfx9 */
#define R_00B48C_SPI_SHADER_USER_DATA_HS_23                             0x00B48C /* >= gfx10 */
#define R_00B48C_SPI_SHADER_USER_DATA_LS_23                             0x00B48C /* gfx9 */
#define R_00B490_SPI_SHADER_USER_DATA_HS_24                             0x00B490 /* >= gfx10 */
#define R_00B490_SPI_SHADER_USER_DATA_LS_24                             0x00B490 /* gfx9 */
#define R_00B494_SPI_SHADER_USER_DATA_HS_25                             0x00B494 /* >= gfx10 */
#define R_00B494_SPI_SHADER_USER_DATA_LS_25                             0x00B494 /* gfx9 */
#define R_00B498_SPI_SHADER_USER_DATA_HS_26                             0x00B498 /* >= gfx10 */
#define R_00B498_SPI_SHADER_USER_DATA_LS_26                             0x00B498 /* gfx9 */
#define R_00B49C_SPI_SHADER_USER_DATA_HS_27                             0x00B49C /* >= gfx10 */
#define R_00B49C_SPI_SHADER_USER_DATA_LS_27                             0x00B49C /* gfx9 */
#define R_00B4A0_SPI_SHADER_USER_DATA_HS_28                             0x00B4A0 /* >= gfx10 */
#define R_00B4A0_SPI_SHADER_USER_DATA_LS_28                             0x00B4A0 /* gfx9 */
#define R_00B4A4_SPI_SHADER_USER_DATA_HS_29                             0x00B4A4 /* >= gfx10 */
#define R_00B4A4_SPI_SHADER_USER_DATA_LS_29                             0x00B4A4 /* gfx9 */
#define R_00B4A8_SPI_SHADER_USER_DATA_HS_30                             0x00B4A8 /* >= gfx10 */
#define R_00B4A8_SPI_SHADER_USER_DATA_LS_30                             0x00B4A8 /* gfx9 */
#define R_00B4AC_SPI_SHADER_USER_DATA_HS_31                             0x00B4AC /* >= gfx10 */
#define R_00B4AC_SPI_SHADER_USER_DATA_LS_31                             0x00B4AC /* gfx9 */
#define R_00B4C0_SPI_SHADER_REQ_CTRL_LSHS                               0x00B4C0 /* >= gfx10 */
#define   S_00B4C0_SOFT_GROUPING_EN(x)                                (((unsigned)(x) & 0x1) << 0)
#define   G_00B4C0_SOFT_GROUPING_EN(x)                                (((x) >> 0) & 0x1)
#define   C_00B4C0_SOFT_GROUPING_EN                                   0xFFFFFFFE
#define   S_00B4C0_NUMBER_OF_REQUESTS_PER_CU(x)                       (((unsigned)(x) & 0xF) << 1)
#define   G_00B4C0_NUMBER_OF_REQUESTS_PER_CU(x)                       (((x) >> 1) & 0xF)
#define   C_00B4C0_NUMBER_OF_REQUESTS_PER_CU                          0xFFFFFFE1
#define   S_00B4C0_SOFT_GROUPING_ALLOCATION_TIMEOUT(x)                (((unsigned)(x) & 0xF) << 5)
#define   G_00B4C0_SOFT_GROUPING_ALLOCATION_TIMEOUT(x)                (((x) >> 5) & 0xF)
#define   C_00B4C0_SOFT_GROUPING_ALLOCATION_TIMEOUT                   0xFFFFFE1F
#define   S_00B4C0_HARD_LOCK_HYSTERESIS(x)                            (((unsigned)(x) & 0x1) << 9)
#define   G_00B4C0_HARD_LOCK_HYSTERESIS(x)                            (((x) >> 9) & 0x1)
#define   C_00B4C0_HARD_LOCK_HYSTERESIS                               0xFFFFFDFF
#define   S_00B4C0_HARD_LOCK_LOW_THRESHOLD(x)                         (((unsigned)(x) & 0x1F) << 10)
#define   G_00B4C0_HARD_LOCK_LOW_THRESHOLD(x)                         (((x) >> 10) & 0x1F)
#define   C_00B4C0_HARD_LOCK_LOW_THRESHOLD                            0xFFFF83FF
#define   S_00B4C0_PRODUCER_REQUEST_LOCKOUT(x)                        (((unsigned)(x) & 0x1) << 15)
#define   G_00B4C0_PRODUCER_REQUEST_LOCKOUT(x)                        (((x) >> 15) & 0x1)
#define   C_00B4C0_PRODUCER_REQUEST_LOCKOUT                           0xFFFF7FFF
#define   S_00B4C0_GLOBAL_SCANNING_EN(x)                              (((unsigned)(x) & 0x1) << 16)
#define   G_00B4C0_GLOBAL_SCANNING_EN(x)                              (((x) >> 16) & 0x1)
#define   C_00B4C0_GLOBAL_SCANNING_EN                                 0xFFFEFFFF
#define   S_00B4C0_ALLOCATION_RATE_THROTTLING_THRESHOLD(x)            (((unsigned)(x) & 0x7) << 17)
#define   G_00B4C0_ALLOCATION_RATE_THROTTLING_THRESHOLD(x)            (((x) >> 17) & 0x7)
#define   C_00B4C0_ALLOCATION_RATE_THROTTLING_THRESHOLD               0xFFF1FFFF
#define R_00B4C4_SPI_SHADER_PREF_PRI_CNTR_CTRL_LSHS                     0x00B4C4 /* >= gfx10 */
#define   S_00B4C4_TOTAL_WAVE_COUNT_HIER_SELECT(x)                    (((unsigned)(x) & 0x7) << 0)
#define   G_00B4C4_TOTAL_WAVE_COUNT_HIER_SELECT(x)                    (((x) >> 0) & 0x7)
#define   C_00B4C4_TOTAL_WAVE_COUNT_HIER_SELECT                       0xFFFFFFF8
#define   S_00B4C4_PER_TYPE_WAVE_COUNT_HIER_SELECT(x)                 (((unsigned)(x) & 0x7) << 3)
#define   G_00B4C4_PER_TYPE_WAVE_COUNT_HIER_SELECT(x)                 (((x) >> 3) & 0x7)
#define   C_00B4C4_PER_TYPE_WAVE_COUNT_HIER_SELECT                    0xFFFFFFC7
#define   S_00B4C4_GROUP_UPDATE_EN(x)                                 (((unsigned)(x) & 0x1) << 6)
#define   G_00B4C4_GROUP_UPDATE_EN(x)                                 (((x) >> 6) & 0x1)
#define   C_00B4C4_GROUP_UPDATE_EN                                    0xFFFFFFBF
#define   S_00B4C4_TOTAL_WAVE_COUNT_COEFFICIENT(x)                    (((unsigned)(x) & 0xFF) << 8)
#define   G_00B4C4_TOTAL_WAVE_COUNT_COEFFICIENT(x)                    (((x) >> 8) & 0xFF)
#define   C_00B4C4_TOTAL_WAVE_COUNT_COEFFICIENT                       0xFFFF00FF
#define   S_00B4C4_PER_TYPE_WAVE_COUNT_COEFFICIENT(x)                 (((unsigned)(x) & 0xFF) << 16)
#define   G_00B4C4_PER_TYPE_WAVE_COUNT_COEFFICIENT(x)                 (((x) >> 16) & 0xFF)
#define   C_00B4C4_PER_TYPE_WAVE_COUNT_COEFFICIENT                    0xFF00FFFF
#define R_00B4C8_SPI_SHADER_PREF_PRI_ACCUM_LSHS_0                       0x00B4C8 /* >= gfx10 */
#define   S_00B4C8_COEFFICIENT_HIER_SELECT(x)                         (((unsigned)(x) & 0x7) << 0)
#define   G_00B4C8_COEFFICIENT_HIER_SELECT(x)                         (((x) >> 0) & 0x7)
#define   C_00B4C8_COEFFICIENT_HIER_SELECT                            0xFFFFFFF8
#define   S_00B4C8_CONTRIBUTION_HIER_SELECT(x)                        (((unsigned)(x) & 0x7) << 3)
#define   G_00B4C8_CONTRIBUTION_HIER_SELECT(x)                        (((x) >> 3) & 0x7)
#define   C_00B4C8_CONTRIBUTION_HIER_SELECT                           0xFFFFFFC7
#define   S_00B4C8_GROUP_UPDATE_EN(x)                                 (((unsigned)(x) & 0x1) << 6)
#define   G_00B4C8_GROUP_UPDATE_EN(x)                                 (((x) >> 6) & 0x1)
#define   C_00B4C8_GROUP_UPDATE_EN                                    0xFFFFFFBF
#define   S_00B4C8_COEFFICIENT(x)                                     (((unsigned)(x) & 0xFF) << 8)
#define   G_00B4C8_COEFFICIENT(x)                                     (((x) >> 8) & 0xFF)
#define   C_00B4C8_COEFFICIENT                                        0xFFFF00FF
#define   S_00B4C8_CONTRIBUTION(x)                                    (((unsigned)(x) & 0xFF) << 16)
#define   G_00B4C8_CONTRIBUTION(x)                                    (((x) >> 16) & 0xFF)
#define   C_00B4C8_CONTRIBUTION                                       0xFF00FFFF
#define R_00B4CC_SPI_SHADER_PREF_PRI_ACCUM_LSHS_1                       0x00B4CC /* >= gfx10 */
#define R_00B4D0_SPI_SHADER_PREF_PRI_ACCUM_LSHS_2                       0x00B4D0 /* >= gfx10 */
#define R_00B4D4_SPI_SHADER_PREF_PRI_ACCUM_LSHS_3                       0x00B4D4 /* >= gfx10 */
#define R_00B4F4_SPI_SHADER_PGM_RSRC2_LS_HS                             0x00B4F4 /* >= gfx10 */
#define   S_00B4F4_SCRATCH_EN(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_00B4F4_SCRATCH_EN(x)                                      (((x) >> 0) & 0x1)
#define   C_00B4F4_SCRATCH_EN                                         0xFFFFFFFE
#define   S_00B4F4_USER_SGPR(x)                                       (((unsigned)(x) & 0x1F) << 1)
#define   G_00B4F4_USER_SGPR(x)                                       (((x) >> 1) & 0x1F)
#define   C_00B4F4_USER_SGPR                                          0xFFFFFFC1
#define   S_00B4F4_TRAP_PRESENT(x)                                    (((unsigned)(x) & 0x1) << 6)
#define   G_00B4F4_TRAP_PRESENT(x)                                    (((x) >> 6) & 0x1)
#define   C_00B4F4_TRAP_PRESENT                                       0xFFFFFFBF
#define   S_00B4F4_LDS_SIZE(x)                                        (((unsigned)(x) & 0x1FF) << 7)
#define   G_00B4F4_LDS_SIZE(x)                                        (((x) >> 7) & 0x1FF)
#define   C_00B4F4_LDS_SIZE                                           0xFFFF007F
#define   S_00B4F4_EXCP_EN(x)                                         (((unsigned)(x) & 0x1FF) << 16)
#define   G_00B4F4_EXCP_EN(x)                                         (((x) >> 16) & 0x1FF)
#define   C_00B4F4_EXCP_EN                                            0xFE00FFFF
#define R_00B500_SPI_SHADER_TBA_LO_LS                                   0x00B500 /* <= stoney */
#define R_00B504_SPI_SHADER_TBA_HI_LS                                   0x00B504 /* <= stoney */
#define   S_00B504_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B504_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B504_MEM_BASE                                           0xFFFFFF00
#define R_00B508_SPI_SHADER_TMA_LO_LS                                   0x00B508 /* <= stoney */
#define R_00B50C_SPI_SHADER_TMA_HI_LS                                   0x00B50C /* <= stoney */
#define   S_00B50C_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B50C_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B50C_MEM_BASE                                           0xFFFFFF00
#define R_00B51C_SPI_SHADER_PGM_RSRC3_LS                                0x00B51C /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   S_00B51C_CU_EN(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00B51C_CU_EN(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_00B51C_CU_EN                                              0xFFFF0000
#define   S_00B51C_WAVE_LIMIT(x)                                      (((unsigned)(x) & 0x3F) << 16)
#define   G_00B51C_WAVE_LIMIT(x)                                      (((x) >> 16) & 0x3F)
#define   C_00B51C_WAVE_LIMIT                                         0xFFC0FFFF
#define   S_00B51C_LOCK_LOW_THRESHOLD(x)                              (((unsigned)(x) & 0xF) << 22)
#define   G_00B51C_LOCK_LOW_THRESHOLD(x)                              (((x) >> 22) & 0xF)
#define   C_00B51C_LOCK_LOW_THRESHOLD                                 0xFC3FFFFF
#define   S_00B51C_GROUP_FIFO_DEPTH(x)                                (((unsigned)(x) & 0x3F) << 26) /* gfx8, fiji, stoney, >= gfx10 */
#define   G_00B51C_GROUP_FIFO_DEPTH(x)                                (((x) >> 26) & 0x3F)
#define   C_00B51C_GROUP_FIFO_DEPTH                                   0x03FFFFFF
#define R_00B520_SPI_SHADER_PGM_LO_LS                                   0x00B520 /* <= stoney, >= gfx10 */
#define   S_00B520_MEM_BASE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B520_MEM_BASE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B520_MEM_BASE                                           0x00000000
#define R_00B524_SPI_SHADER_PGM_HI_LS                                   0x00B524 /* <= stoney, >= gfx10 */
#define   S_00B524_MEM_BASE(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_00B524_MEM_BASE(x)                                        (((x) >> 0) & 0xFF)
#define   C_00B524_MEM_BASE                                           0xFFFFFF00
#define R_00B528_SPI_SHADER_PGM_RSRC1_LS                                0x00B528 /* <= stoney, >= gfx10 */
#define   S_00B528_VGPRS(x)                                           (((unsigned)(x) & 0x3F) << 0)
#define   G_00B528_VGPRS(x)                                           (((x) >> 0) & 0x3F)
#define   C_00B528_VGPRS                                              0xFFFFFFC0
#define   S_00B528_SGPRS(x)                                           (((unsigned)(x) & 0xF) << 6)
#define   G_00B528_SGPRS(x)                                           (((x) >> 6) & 0xF)
#define   C_00B528_SGPRS                                              0xFFFFFC3F
#define   S_00B528_PRIORITY(x)                                        (((unsigned)(x) & 0x3) << 10)
#define   G_00B528_PRIORITY(x)                                        (((x) >> 10) & 0x3)
#define   C_00B528_PRIORITY                                           0xFFFFF3FF
#define   S_00B528_FLOAT_MODE(x)                                      (((unsigned)(x) & 0xFF) << 12)
#define   G_00B528_FLOAT_MODE(x)                                      (((x) >> 12) & 0xFF)
#define   C_00B528_FLOAT_MODE                                         0xFFF00FFF
#define     V_00B528_FP_32_DENORMS                                  48 /* <= stoney */
#define     V_00B528_FP_64_DENORMS                                  192 /* <= stoney */
#define     V_00B528_FP_ALL_DENORMS                                 240 /* <= stoney */
#define   S_00B528_PRIV(x)                                            (((unsigned)(x) & 0x1) << 20)
#define   G_00B528_PRIV(x)                                            (((x) >> 20) & 0x1)
#define   C_00B528_PRIV                                               0xFFEFFFFF
#define   S_00B528_DX10_CLAMP(x)                                      (((unsigned)(x) & 0x1) << 21)
#define   G_00B528_DX10_CLAMP(x)                                      (((x) >> 21) & 0x1)
#define   C_00B528_DX10_CLAMP                                         0xFFDFFFFF
#define   S_00B528_DEBUG_MODE(x)                                      (((unsigned)(x) & 0x1) << 22)
#define   G_00B528_DEBUG_MODE(x)                                      (((x) >> 22) & 0x1)
#define   C_00B528_DEBUG_MODE                                         0xFFBFFFFF
#define   S_00B528_IEEE_MODE(x)                                       (((unsigned)(x) & 0x1) << 23)
#define   G_00B528_IEEE_MODE(x)                                       (((x) >> 23) & 0x1)
#define   C_00B528_IEEE_MODE                                          0xFF7FFFFF
#define   S_00B528_VGPR_COMP_CNT(x)                                   (((unsigned)(x) & 0x3) << 24)
#define   G_00B528_VGPR_COMP_CNT(x)                                   (((x) >> 24) & 0x3)
#define   C_00B528_VGPR_COMP_CNT                                      0xFCFFFFFF
#define   S_00B528_CACHE_CTL(x)                                       (((unsigned)(x) & 0x7) << 26) /* gfx7, gfx8, fiji, stoney */
#define   G_00B528_CACHE_CTL(x)                                       (((x) >> 26) & 0x7)
#define   C_00B528_CACHE_CTL                                          0xE3FFFFFF
#define   S_00B528_CDBG_USER(x)                                       (((unsigned)(x) & 0x1) << 29) /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   G_00B528_CDBG_USER(x)                                       (((x) >> 29) & 0x1)
#define   C_00B528_CDBG_USER                                          0xDFFFFFFF
#define   S_00B528_FP16_OVFL(x)                                       (((unsigned)(x) & 0x1) << 30) /* >= gfx10 */
#define   G_00B528_FP16_OVFL(x)                                       (((x) >> 30) & 0x1)
#define   C_00B528_FP16_OVFL                                          0xBFFFFFFF
#define R_00B52C_SPI_SHADER_PGM_RSRC2_LS                                0x00B52C /* <= stoney, >= gfx10 */
#define   S_00B52C_SCRATCH_EN(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_00B52C_SCRATCH_EN(x)                                      (((x) >> 0) & 0x1)
#define   C_00B52C_SCRATCH_EN                                         0xFFFFFFFE
#define   S_00B52C_USER_SGPR(x)                                       (((unsigned)(x) & 0x1F) << 1)
#define   G_00B52C_USER_SGPR(x)                                       (((x) >> 1) & 0x1F)
#define   C_00B52C_USER_SGPR                                          0xFFFFFFC1
#define   S_00B52C_TRAP_PRESENT(x)                                    (((unsigned)(x) & 0x1) << 6)
#define   G_00B52C_TRAP_PRESENT(x)                                    (((x) >> 6) & 0x1)
#define   C_00B52C_TRAP_PRESENT                                       0xFFFFFFBF
#define   S_00B52C_LDS_SIZE(x)                                        (((unsigned)(x) & 0x1FF) << 7)
#define   G_00B52C_LDS_SIZE(x)                                        (((x) >> 7) & 0x1FF)
#define   C_00B52C_LDS_SIZE                                           0xFFFF007F
#define   S_00B52C_EXCP_EN(x)                                         (((unsigned)(x) & 0x1FF) << 16)
#define   G_00B52C_EXCP_EN(x)                                         (((x) >> 16) & 0x1FF)
#define   C_00B52C_EXCP_EN                                            0xFE00FFFF
#define   S_00B52C_EXCP_EN_SI(x)                                      (((unsigned)(x) & 0x7F) << 16) /* <= stoney */
#define   G_00B52C_EXCP_EN_SI(x)                                      (((x) >> 16) & 0x7F)
#define   C_00B52C_EXCP_EN_SI                                         0xFF80FFFF
#define R_00B530_SPI_SHADER_USER_DATA_COMMON_0                          0x00B530 /* gfx9 */
#define R_00B530_SPI_SHADER_USER_DATA_LS_0                              0x00B530 /* <= stoney, >= gfx10 */
#define   S_00B530_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B530_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B530_DATA                                               0x00000000
#define R_00B534_SPI_SHADER_USER_DATA_COMMON_1                          0x00B534 /* gfx9 */
#define R_00B534_SPI_SHADER_USER_DATA_LS_1                              0x00B534 /* <= stoney, >= gfx10 */
#define R_00B538_SPI_SHADER_USER_DATA_COMMON_2                          0x00B538 /* gfx9 */
#define R_00B538_SPI_SHADER_USER_DATA_LS_2                              0x00B538 /* <= stoney, >= gfx10 */
#define R_00B53C_SPI_SHADER_USER_DATA_COMMON_3                          0x00B53C /* gfx9 */
#define R_00B53C_SPI_SHADER_USER_DATA_LS_3                              0x00B53C /* <= stoney, >= gfx10 */
#define R_00B540_SPI_SHADER_USER_DATA_COMMON_4                          0x00B540 /* gfx9 */
#define R_00B540_SPI_SHADER_USER_DATA_LS_4                              0x00B540 /* <= stoney, >= gfx10 */
#define R_00B544_SPI_SHADER_USER_DATA_COMMON_5                          0x00B544 /* gfx9 */
#define R_00B544_SPI_SHADER_USER_DATA_LS_5                              0x00B544 /* <= stoney, >= gfx10 */
#define R_00B548_SPI_SHADER_USER_DATA_COMMON_6                          0x00B548 /* gfx9 */
#define R_00B548_SPI_SHADER_USER_DATA_LS_6                              0x00B548 /* <= stoney, >= gfx10 */
#define R_00B54C_SPI_SHADER_USER_DATA_COMMON_7                          0x00B54C /* gfx9 */
#define R_00B54C_SPI_SHADER_USER_DATA_LS_7                              0x00B54C /* <= stoney, >= gfx10 */
#define R_00B550_SPI_SHADER_USER_DATA_COMMON_8                          0x00B550 /* gfx9 */
#define R_00B550_SPI_SHADER_USER_DATA_LS_8                              0x00B550 /* <= stoney, >= gfx10 */
#define R_00B554_SPI_SHADER_USER_DATA_COMMON_9                          0x00B554 /* gfx9 */
#define R_00B554_SPI_SHADER_USER_DATA_LS_9                              0x00B554 /* <= stoney, >= gfx10 */
#define R_00B558_SPI_SHADER_USER_DATA_COMMON_10                         0x00B558 /* gfx9 */
#define R_00B558_SPI_SHADER_USER_DATA_LS_10                             0x00B558 /* <= stoney, >= gfx10 */
#define R_00B55C_SPI_SHADER_USER_DATA_COMMON_11                         0x00B55C /* gfx9 */
#define R_00B55C_SPI_SHADER_USER_DATA_LS_11                             0x00B55C /* <= stoney, >= gfx10 */
#define R_00B560_SPI_SHADER_USER_DATA_COMMON_12                         0x00B560 /* gfx9 */
#define R_00B560_SPI_SHADER_USER_DATA_LS_12                             0x00B560 /* <= stoney, >= gfx10 */
#define R_00B564_SPI_SHADER_USER_DATA_COMMON_13                         0x00B564 /* gfx9 */
#define R_00B564_SPI_SHADER_USER_DATA_LS_13                             0x00B564 /* <= stoney, >= gfx10 */
#define R_00B568_SPI_SHADER_USER_DATA_COMMON_14                         0x00B568 /* gfx9 */
#define R_00B568_SPI_SHADER_USER_DATA_LS_14                             0x00B568 /* <= stoney, >= gfx10 */
#define R_00B56C_SPI_SHADER_USER_DATA_COMMON_15                         0x00B56C /* gfx9 */
#define R_00B56C_SPI_SHADER_USER_DATA_LS_15                             0x00B56C /* <= stoney, >= gfx10 */
#define R_00B570_SPI_SHADER_USER_DATA_COMMON_16                         0x00B570 /* gfx9 */
#define R_00B574_SPI_SHADER_USER_DATA_COMMON_17                         0x00B574 /* gfx9 */
#define R_00B578_SPI_SHADER_USER_DATA_COMMON_18                         0x00B578 /* gfx9 */
#define R_00B57C_SPI_SHADER_USER_DATA_COMMON_19                         0x00B57C /* gfx9 */
#define R_00B580_SPI_SHADER_USER_DATA_COMMON_20                         0x00B580 /* gfx9 */
#define R_00B584_SPI_SHADER_USER_DATA_COMMON_21                         0x00B584 /* gfx9 */
#define R_00B588_SPI_SHADER_USER_DATA_COMMON_22                         0x00B588 /* gfx9 */
#define R_00B58C_SPI_SHADER_USER_DATA_COMMON_23                         0x00B58C /* gfx9 */
#define R_00B590_SPI_SHADER_USER_DATA_COMMON_24                         0x00B590 /* gfx9 */
#define R_00B594_SPI_SHADER_USER_DATA_COMMON_25                         0x00B594 /* gfx9 */
#define R_00B598_SPI_SHADER_USER_DATA_COMMON_26                         0x00B598 /* gfx9 */
#define R_00B59C_SPI_SHADER_USER_DATA_COMMON_27                         0x00B59C /* gfx9 */
#define R_00B5A0_SPI_SHADER_USER_DATA_COMMON_28                         0x00B5A0 /* gfx9 */
#define R_00B5A4_SPI_SHADER_USER_DATA_COMMON_29                         0x00B5A4 /* gfx9 */
#define R_00B5A8_SPI_SHADER_USER_DATA_COMMON_30                         0x00B5A8 /* gfx9 */
#define R_00B5AC_SPI_SHADER_USER_DATA_COMMON_31                         0x00B5AC /* gfx9 */
#define R_00B800_COMPUTE_DISPATCH_INITIATOR                             0x00B800
#define   S_00B800_COMPUTE_SHADER_EN(x)                               (((unsigned)(x) & 0x1) << 0)
#define   G_00B800_COMPUTE_SHADER_EN(x)                               (((x) >> 0) & 0x1)
#define   C_00B800_COMPUTE_SHADER_EN                                  0xFFFFFFFE
#define   S_00B800_PARTIAL_TG_EN(x)                                   (((unsigned)(x) & 0x1) << 1)
#define   G_00B800_PARTIAL_TG_EN(x)                                   (((x) >> 1) & 0x1)
#define   C_00B800_PARTIAL_TG_EN                                      0xFFFFFFFD
#define   S_00B800_FORCE_START_AT_000(x)                              (((unsigned)(x) & 0x1) << 2)
#define   G_00B800_FORCE_START_AT_000(x)                              (((x) >> 2) & 0x1)
#define   C_00B800_FORCE_START_AT_000                                 0xFFFFFFFB
#define   S_00B800_ORDERED_APPEND_ENBL(x)                             (((unsigned)(x) & 0x1) << 3)
#define   G_00B800_ORDERED_APPEND_ENBL(x)                             (((x) >> 3) & 0x1)
#define   C_00B800_ORDERED_APPEND_ENBL                                0xFFFFFFF7
#define   S_00B800_ORDERED_APPEND_MODE(x)                             (((unsigned)(x) & 0x1) << 4) /* >= gfx7 */
#define   G_00B800_ORDERED_APPEND_MODE(x)                             (((x) >> 4) & 0x1)
#define   C_00B800_ORDERED_APPEND_MODE                                0xFFFFFFEF
#define   S_00B800_USE_THREAD_DIMENSIONS(x)                           (((unsigned)(x) & 0x1) << 5) /* >= gfx7 */
#define   G_00B800_USE_THREAD_DIMENSIONS(x)                           (((x) >> 5) & 0x1)
#define   C_00B800_USE_THREAD_DIMENSIONS                              0xFFFFFFDF
#define   S_00B800_ORDER_MODE(x)                                      (((unsigned)(x) & 0x1) << 6) /* >= gfx7 */
#define   G_00B800_ORDER_MODE(x)                                      (((x) >> 6) & 0x1)
#define   C_00B800_ORDER_MODE                                         0xFFFFFFBF
#define   S_00B800_DISPATCH_CACHE_CNTL(x)                             (((unsigned)(x) & 0x7) << 7) /* gfx7, gfx8, fiji, stoney */
#define   G_00B800_DISPATCH_CACHE_CNTL(x)                             (((x) >> 7) & 0x7)
#define   C_00B800_DISPATCH_CACHE_CNTL                                0xFFFFFC7F
#define   S_00B800_SCALAR_L1_INV_VOL(x)                               (((unsigned)(x) & 0x1) << 10) /* >= gfx7 */
#define   G_00B800_SCALAR_L1_INV_VOL(x)                               (((x) >> 10) & 0x1)
#define   C_00B800_SCALAR_L1_INV_VOL                                  0xFFFFFBFF
#define   S_00B800_VECTOR_L1_INV_VOL(x)                               (((unsigned)(x) & 0x1) << 11) /* >= gfx7 */
#define   G_00B800_VECTOR_L1_INV_VOL(x)                               (((x) >> 11) & 0x1)
#define   C_00B800_VECTOR_L1_INV_VOL                                  0xFFFFF7FF
#define   S_00B800_DATA_ATC(x)                                        (((unsigned)(x) & 0x1) << 12) /* gfx7, gfx8, fiji, stoney */
#define   G_00B800_DATA_ATC(x)                                        (((x) >> 12) & 0x1)
#define   C_00B800_DATA_ATC                                           0xFFFFEFFF
#define   S_00B800_TUNNEL_ENABLE(x)                                   (((unsigned)(x) & 0x1) << 13) /* >= gfx10 */
#define   G_00B800_TUNNEL_ENABLE(x)                                   (((x) >> 13) & 0x1)
#define   C_00B800_TUNNEL_ENABLE                                      0xFFFFDFFF
#define   S_00B800_RESTORE(x)                                         (((unsigned)(x) & 0x1) << 14) /* >= gfx7 */
#define   G_00B800_RESTORE(x)                                         (((x) >> 14) & 0x1)
#define   C_00B800_RESTORE                                            0xFFFFBFFF
#define   S_00B800_CS_W32_EN(x)                                       (((unsigned)(x) & 0x1) << 15) /* >= gfx10 */
#define   G_00B800_CS_W32_EN(x)                                       (((x) >> 15) & 0x1)
#define   C_00B800_CS_W32_EN                                          0xFFFF7FFF
#define R_00B804_COMPUTE_DIM_X                                          0x00B804
#define   S_00B804_SIZE(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B804_SIZE(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B804_SIZE                                               0x00000000
#define R_00B808_COMPUTE_DIM_Y                                          0x00B808
#define   S_00B808_SIZE(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B808_SIZE(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B808_SIZE                                               0x00000000
#define R_00B80C_COMPUTE_DIM_Z                                          0x00B80C
#define   S_00B80C_SIZE(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B80C_SIZE(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B80C_SIZE                                               0x00000000
#define R_00B810_COMPUTE_START_X                                        0x00B810
#define   S_00B810_START(x)                                           (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B810_START(x)                                           (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B810_START                                              0x00000000
#define R_00B814_COMPUTE_START_Y                                        0x00B814
#define   S_00B814_START(x)                                           (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B814_START(x)                                           (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B814_START                                              0x00000000
#define R_00B818_COMPUTE_START_Z                                        0x00B818
#define   S_00B818_START(x)                                           (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B818_START(x)                                           (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B818_START                                              0x00000000
#define R_00B81C_COMPUTE_NUM_THREAD_X                                   0x00B81C
#define   S_00B81C_NUM_THREAD_FULL(x)                                 (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00B81C_NUM_THREAD_FULL(x)                                 (((x) >> 0) & 0xFFFF)
#define   C_00B81C_NUM_THREAD_FULL                                    0xFFFF0000
#define   S_00B81C_NUM_THREAD_PARTIAL(x)                              (((unsigned)(x) & 0xFFFF) << 16)
#define   G_00B81C_NUM_THREAD_PARTIAL(x)                              (((x) >> 16) & 0xFFFF)
#define   C_00B81C_NUM_THREAD_PARTIAL                                 0x0000FFFF
#define R_00B820_COMPUTE_NUM_THREAD_Y                                   0x00B820
#define   S_00B820_NUM_THREAD_FULL(x)                                 (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00B820_NUM_THREAD_FULL(x)                                 (((x) >> 0) & 0xFFFF)
#define   C_00B820_NUM_THREAD_FULL                                    0xFFFF0000
#define   S_00B820_NUM_THREAD_PARTIAL(x)                              (((unsigned)(x) & 0xFFFF) << 16)
#define   G_00B820_NUM_THREAD_PARTIAL(x)                              (((x) >> 16) & 0xFFFF)
#define   C_00B820_NUM_THREAD_PARTIAL                                 0x0000FFFF
#define R_00B824_COMPUTE_NUM_THREAD_Z                                   0x00B824
#define   S_00B824_NUM_THREAD_FULL(x)                                 (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00B824_NUM_THREAD_FULL(x)                                 (((x) >> 0) & 0xFFFF)
#define   C_00B824_NUM_THREAD_FULL                                    0xFFFF0000
#define   S_00B824_NUM_THREAD_PARTIAL(x)                              (((unsigned)(x) & 0xFFFF) << 16)
#define   G_00B824_NUM_THREAD_PARTIAL(x)                              (((x) >> 16) & 0xFFFF)
#define   C_00B824_NUM_THREAD_PARTIAL                                 0x0000FFFF
#define R_00B828_COMPUTE_PIPELINESTAT_ENABLE                            0x00B828 /* >= gfx7 */
#define   S_00B828_PIPELINESTAT_ENABLE(x)                             (((unsigned)(x) & 0x1) << 0)
#define   G_00B828_PIPELINESTAT_ENABLE(x)                             (((x) >> 0) & 0x1)
#define   C_00B828_PIPELINESTAT_ENABLE                                0xFFFFFFFE
#define R_00B82C_COMPUTE_MAX_WAVE_ID                                    0x00B82C /* <= gfx6 */
#define   S_00B82C_MAX_WAVE_ID(x)                                     (((unsigned)(x) & 0xFFF) << 0)
#define   G_00B82C_MAX_WAVE_ID(x)                                     (((x) >> 0) & 0xFFF)
#define   C_00B82C_MAX_WAVE_ID                                        0xFFFFF000
#define R_00B82C_COMPUTE_PERFCOUNT_ENABLE                               0x00B82C /* >= gfx7 */
#define   S_00B82C_PERFCOUNT_ENABLE(x)                                (((unsigned)(x) & 0x1) << 0)
#define   G_00B82C_PERFCOUNT_ENABLE(x)                                (((x) >> 0) & 0x1)
#define   C_00B82C_PERFCOUNT_ENABLE                                   0xFFFFFFFE
#define R_00B830_COMPUTE_PGM_LO                                         0x00B830
#define   S_00B830_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B830_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B830_DATA                                               0x00000000
#define R_00B834_COMPUTE_PGM_HI                                         0x00B834
#define   S_00B834_DATA(x)                                            (((unsigned)(x) & 0xFF) << 0)
#define   G_00B834_DATA(x)                                            (((x) >> 0) & 0xFF)
#define   C_00B834_DATA                                               0xFFFFFF00
#define   S_00B834_INST_ATC(x)                                        (((unsigned)(x) & 0x1) << 8) /* gfx7, gfx8, fiji, stoney */
#define   G_00B834_INST_ATC(x)                                        (((x) >> 8) & 0x1)
#define   C_00B834_INST_ATC                                           0xFFFFFEFF
#define R_00B838_COMPUTE_DISPATCH_PKT_ADDR_LO                           0x00B838 /* >= gfx9 */
#define   S_00B838_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B838_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B838_DATA                                               0x00000000
#define R_00B838_COMPUTE_TBA_LO                                         0x00B838 /* <= stoney */
#define R_00B83C_COMPUTE_DISPATCH_PKT_ADDR_HI                           0x00B83C /* >= gfx9 */
#define   S_00B83C_DATA(x)                                            (((unsigned)(x) & 0xFF) << 0)
#define   G_00B83C_DATA(x)                                            (((x) >> 0) & 0xFF)
#define   C_00B83C_DATA                                               0xFFFFFF00
#define R_00B83C_COMPUTE_TBA_HI                                         0x00B83C /* <= stoney */
#define R_00B840_COMPUTE_DISPATCH_SCRATCH_BASE_LO                       0x00B840 /* >= gfx9 */
#define   S_00B840_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B840_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B840_DATA                                               0x00000000
#define R_00B840_COMPUTE_TMA_LO                                         0x00B840 /* <= stoney */
#define R_00B844_COMPUTE_DISPATCH_SCRATCH_BASE_HI                       0x00B844 /* >= gfx9 */
#define   S_00B844_DATA(x)                                            (((unsigned)(x) & 0xFF) << 0)
#define   G_00B844_DATA(x)                                            (((x) >> 0) & 0xFF)
#define   C_00B844_DATA                                               0xFFFFFF00
#define R_00B844_COMPUTE_TMA_HI                                         0x00B844 /* <= stoney */
#define R_00B848_COMPUTE_PGM_RSRC1                                      0x00B848
#define   S_00B848_VGPRS(x)                                           (((unsigned)(x) & 0x3F) << 0)
#define   G_00B848_VGPRS(x)                                           (((x) >> 0) & 0x3F)
#define   C_00B848_VGPRS                                              0xFFFFFFC0
#define   S_00B848_SGPRS(x)                                           (((unsigned)(x) & 0xF) << 6)
#define   G_00B848_SGPRS(x)                                           (((x) >> 6) & 0xF)
#define   C_00B848_SGPRS                                              0xFFFFFC3F
#define   S_00B848_PRIORITY(x)                                        (((unsigned)(x) & 0x3) << 10)
#define   G_00B848_PRIORITY(x)                                        (((x) >> 10) & 0x3)
#define   C_00B848_PRIORITY                                           0xFFFFF3FF
#define   S_00B848_FLOAT_MODE(x)                                      (((unsigned)(x) & 0xFF) << 12)
#define   G_00B848_FLOAT_MODE(x)                                      (((x) >> 12) & 0xFF)
#define   C_00B848_FLOAT_MODE                                         0xFFF00FFF
#define     V_00B848_FP_32_DENORMS                                  48 /* <= gfx9 */
#define     V_00B848_FP_64_DENORMS                                  192 /* <= gfx9 */
#define     V_00B848_FP_ALL_DENORMS                                 240 /* <= gfx9 */
#define   S_00B848_PRIV(x)                                            (((unsigned)(x) & 0x1) << 20)
#define   G_00B848_PRIV(x)                                            (((x) >> 20) & 0x1)
#define   C_00B848_PRIV                                               0xFFEFFFFF
#define   S_00B848_DX10_CLAMP(x)                                      (((unsigned)(x) & 0x1) << 21)
#define   G_00B848_DX10_CLAMP(x)                                      (((x) >> 21) & 0x1)
#define   C_00B848_DX10_CLAMP                                         0xFFDFFFFF
#define   S_00B848_DEBUG_MODE(x)                                      (((unsigned)(x) & 0x1) << 22)
#define   G_00B848_DEBUG_MODE(x)                                      (((x) >> 22) & 0x1)
#define   C_00B848_DEBUG_MODE                                         0xFFBFFFFF
#define   S_00B848_IEEE_MODE(x)                                       (((unsigned)(x) & 0x1) << 23)
#define   G_00B848_IEEE_MODE(x)                                       (((x) >> 23) & 0x1)
#define   C_00B848_IEEE_MODE                                          0xFF7FFFFF
#define   S_00B848_BULKY(x)                                           (((unsigned)(x) & 0x1) << 24) /* >= gfx7 */
#define   G_00B848_BULKY(x)                                           (((x) >> 24) & 0x1)
#define   C_00B848_BULKY                                              0xFEFFFFFF
#define   S_00B848_CDBG_USER(x)                                       (((unsigned)(x) & 0x1) << 25) /* >= gfx7 */
#define   G_00B848_CDBG_USER(x)                                       (((x) >> 25) & 0x1)
#define   C_00B848_CDBG_USER                                          0xFDFFFFFF
#define   S_00B848_FP16_OVFL(x)                                       (((unsigned)(x) & 0x1) << 26) /* >= gfx9 */
#define   G_00B848_FP16_OVFL(x)                                       (((x) >> 26) & 0x1)
#define   C_00B848_FP16_OVFL                                          0xFBFFFFFF
#define   S_00B848_WGP_MODE(x)                                        (((unsigned)(x) & 0x1) << 29) /* >= gfx10 */
#define   G_00B848_WGP_MODE(x)                                        (((x) >> 29) & 0x1)
#define   C_00B848_WGP_MODE                                           0xDFFFFFFF
#define   S_00B848_MEM_ORDERED(x)                                     (((unsigned)(x) & 0x1) << 30) /* >= gfx10 */
#define   G_00B848_MEM_ORDERED(x)                                     (((x) >> 30) & 0x1)
#define   C_00B848_MEM_ORDERED                                        0xBFFFFFFF
#define   S_00B848_FWD_PROGRESS(x)                                    (((unsigned)(x) & 0x1) << 31) /* >= gfx10 */
#define   G_00B848_FWD_PROGRESS(x)                                    (((x) >> 31) & 0x1)
#define   C_00B848_FWD_PROGRESS                                       0x7FFFFFFF
#define R_00B84C_COMPUTE_PGM_RSRC2                                      0x00B84C
#define   S_00B84C_SCRATCH_EN(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_00B84C_SCRATCH_EN(x)                                      (((x) >> 0) & 0x1)
#define   C_00B84C_SCRATCH_EN                                         0xFFFFFFFE
#define   S_00B84C_USER_SGPR(x)                                       (((unsigned)(x) & 0x1F) << 1)
#define   G_00B84C_USER_SGPR(x)                                       (((x) >> 1) & 0x1F)
#define   C_00B84C_USER_SGPR                                          0xFFFFFFC1
#define   S_00B84C_TRAP_PRESENT(x)                                    (((unsigned)(x) & 0x1) << 6)
#define   G_00B84C_TRAP_PRESENT(x)                                    (((x) >> 6) & 0x1)
#define   C_00B84C_TRAP_PRESENT                                       0xFFFFFFBF
#define   S_00B84C_TGID_X_EN(x)                                       (((unsigned)(x) & 0x1) << 7)
#define   G_00B84C_TGID_X_EN(x)                                       (((x) >> 7) & 0x1)
#define   C_00B84C_TGID_X_EN                                          0xFFFFFF7F
#define   S_00B84C_TGID_Y_EN(x)                                       (((unsigned)(x) & 0x1) << 8)
#define   G_00B84C_TGID_Y_EN(x)                                       (((x) >> 8) & 0x1)
#define   C_00B84C_TGID_Y_EN                                          0xFFFFFEFF
#define   S_00B84C_TGID_Z_EN(x)                                       (((unsigned)(x) & 0x1) << 9)
#define   G_00B84C_TGID_Z_EN(x)                                       (((x) >> 9) & 0x1)
#define   C_00B84C_TGID_Z_EN                                          0xFFFFFDFF
#define   S_00B84C_TG_SIZE_EN(x)                                      (((unsigned)(x) & 0x1) << 10)
#define   G_00B84C_TG_SIZE_EN(x)                                      (((x) >> 10) & 0x1)
#define   C_00B84C_TG_SIZE_EN                                         0xFFFFFBFF
#define   S_00B84C_TIDIG_COMP_CNT(x)                                  (((unsigned)(x) & 0x3) << 11)
#define   G_00B84C_TIDIG_COMP_CNT(x)                                  (((x) >> 11) & 0x3)
#define   C_00B84C_TIDIG_COMP_CNT                                     0xFFFFE7FF
#define   S_00B84C_EXCP_EN_MSB(x)                                     (((unsigned)(x) & 0x3) << 13) /* >= gfx7 */
#define   G_00B84C_EXCP_EN_MSB(x)                                     (((x) >> 13) & 0x3)
#define   C_00B84C_EXCP_EN_MSB                                        0xFFFF9FFF
#define   S_00B84C_LDS_SIZE(x)                                        (((unsigned)(x) & 0x1FF) << 15)
#define   G_00B84C_LDS_SIZE(x)                                        (((x) >> 15) & 0x1FF)
#define   C_00B84C_LDS_SIZE                                           0xFF007FFF
#define   S_00B84C_EXCP_EN(x)                                         (((unsigned)(x) & 0x7F) << 24)
#define   G_00B84C_EXCP_EN(x)                                         (((x) >> 24) & 0x7F)
#define   C_00B84C_EXCP_EN                                            0x80FFFFFF
#define   S_00B84C_SKIP_USGPR0(x)                                     (((unsigned)(x) & 0x1) << 31) /* gfx9 */
#define   G_00B84C_SKIP_USGPR0(x)                                     (((x) >> 31) & 0x1)
#define   C_00B84C_SKIP_USGPR0                                        0x7FFFFFFF
#define R_00B850_COMPUTE_VMID                                           0x00B850
#define   S_00B850_DATA(x)                                            (((unsigned)(x) & 0xF) << 0)
#define   G_00B850_DATA(x)                                            (((x) >> 0) & 0xF)
#define   C_00B850_DATA                                               0xFFFFFFF0
#define R_00B854_COMPUTE_RESOURCE_LIMITS                                0x00B854
#define   S_00B854_WAVES_PER_SH(x)                                    (((unsigned)(x) & 0x3FF) << 0) /* >= gfx7 */
#define   G_00B854_WAVES_PER_SH(x)                                    (((x) >> 0) & 0x3FF)
#define   C_00B854_WAVES_PER_SH                                       0xFFFFFC00
#define   S_00B854_WAVES_PER_SH_SI(x)                                 (((unsigned)(x) & 0x3F) << 0) /* <= stoney */
#define   G_00B854_WAVES_PER_SH_SI(x)                                 (((x) >> 0) & 0x3F)
#define   C_00B854_WAVES_PER_SH_SI                                    0xFFFFFFC0
#define   S_00B854_TG_PER_CU(x)                                       (((unsigned)(x) & 0xF) << 12)
#define   G_00B854_TG_PER_CU(x)                                       (((x) >> 12) & 0xF)
#define   C_00B854_TG_PER_CU                                          0xFFFF0FFF
#define   S_00B854_LOCK_THRESHOLD(x)                                  (((unsigned)(x) & 0x3F) << 16)
#define   G_00B854_LOCK_THRESHOLD(x)                                  (((x) >> 16) & 0x3F)
#define   C_00B854_LOCK_THRESHOLD                                     0xFFC0FFFF
#define   S_00B854_SIMD_DEST_CNTL(x)                                  (((unsigned)(x) & 0x1) << 22)
#define   G_00B854_SIMD_DEST_CNTL(x)                                  (((x) >> 22) & 0x1)
#define   C_00B854_SIMD_DEST_CNTL                                     0xFFBFFFFF
#define   S_00B854_FORCE_SIMD_DIST(x)                                 (((unsigned)(x) & 0x1) << 23) /* >= gfx7 */
#define   G_00B854_FORCE_SIMD_DIST(x)                                 (((x) >> 23) & 0x1)
#define   C_00B854_FORCE_SIMD_DIST                                    0xFF7FFFFF
#define   S_00B854_CU_GROUP_COUNT(x)                                  (((unsigned)(x) & 0x7) << 24) /* >= gfx7 */
#define   G_00B854_CU_GROUP_COUNT(x)                                  (((x) >> 24) & 0x7)
#define   C_00B854_CU_GROUP_COUNT                                     0xF8FFFFFF
#define   S_00B854_SIMD_DISABLE(x)                                    (((unsigned)(x) & 0xF) << 27) /* gfx9 */
#define   G_00B854_SIMD_DISABLE(x)                                    (((x) >> 27) & 0xF)
#define   C_00B854_SIMD_DISABLE                                       0x87FFFFFF
#define R_00B858_COMPUTE_DESTINATION_EN_SE0                             0x00B858 /* >= gfx10 */
#define   S_00B858_CU_EN(x)                                           (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B858_CU_EN(x)                                           (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B858_CU_EN                                              0x00000000
#define R_00B858_COMPUTE_STATIC_THREAD_MGMT_SE0                         0x00B858 /* <= gfx9 */
#define   S_00B858_SH0_CU_EN(x)                                       (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00B858_SH0_CU_EN(x)                                       (((x) >> 0) & 0xFFFF)
#define   C_00B858_SH0_CU_EN                                          0xFFFF0000
#define   S_00B858_SH1_CU_EN(x)                                       (((unsigned)(x) & 0xFFFF) << 16)
#define   G_00B858_SH1_CU_EN(x)                                       (((x) >> 16) & 0xFFFF)
#define   C_00B858_SH1_CU_EN                                          0x0000FFFF
#define R_00B85C_COMPUTE_DESTINATION_EN_SE1                             0x00B85C /* >= gfx10 */
#define R_00B85C_COMPUTE_STATIC_THREAD_MGMT_SE1                         0x00B85C /* <= gfx9 */
#define R_00B860_COMPUTE_TMPRING_SIZE                                   0x00B860
#define   S_00B860_WAVES(x)                                           (((unsigned)(x) & 0xFFF) << 0)
#define   G_00B860_WAVES(x)                                           (((x) >> 0) & 0xFFF)
#define   C_00B860_WAVES                                              0xFFFFF000
#define   S_00B860_WAVESIZE(x)                                        (((unsigned)(x) & 0x1FFF) << 12)
#define   G_00B860_WAVESIZE(x)                                        (((x) >> 12) & 0x1FFF)
#define   C_00B860_WAVESIZE                                           0xFE000FFF
#define R_00B864_COMPUTE_DESTINATION_EN_SE2                             0x00B864 /* >= gfx10 */
#define R_00B864_COMPUTE_STATIC_THREAD_MGMT_SE2                         0x00B864 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_00B868_COMPUTE_DESTINATION_EN_SE3                             0x00B868 /* >= gfx10 */
#define R_00B868_COMPUTE_STATIC_THREAD_MGMT_SE3                         0x00B868 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_00B86C_COMPUTE_RESTART_X                                      0x00B86C /* >= gfx7 */
#define   S_00B86C_RESTART(x)                                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B86C_RESTART(x)                                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B86C_RESTART                                            0x00000000
#define R_00B870_COMPUTE_RESTART_Y                                      0x00B870 /* >= gfx7 */
#define   S_00B870_RESTART(x)                                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B870_RESTART(x)                                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B870_RESTART                                            0x00000000
#define R_00B874_COMPUTE_RESTART_Z                                      0x00B874 /* >= gfx7 */
#define   S_00B874_RESTART(x)                                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B874_RESTART(x)                                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B874_RESTART                                            0x00000000
#define R_00B878_COMPUTE_THREAD_TRACE_ENABLE                            0x00B878 /* >= gfx10 */
#define   S_00B878_THREAD_TRACE_ENABLE(x)                             (((unsigned)(x) & 0x1) << 0)
#define   G_00B878_THREAD_TRACE_ENABLE(x)                             (((x) >> 0) & 0x1)
#define   C_00B878_THREAD_TRACE_ENABLE                                0xFFFFFFFE
#define R_00B87C_COMPUTE_MISC_RESERVED                                  0x00B87C /* >= gfx7 */
#define   S_00B87C_SEND_SEID(x)                                       (((unsigned)(x) & 0x3) << 0)
#define   G_00B87C_SEND_SEID(x)                                       (((x) >> 0) & 0x3)
#define   C_00B87C_SEND_SEID                                          0xFFFFFFFC
#define   S_00B87C_RESERVED2(x)                                       (((unsigned)(x) & 0x1) << 2)
#define   G_00B87C_RESERVED2(x)                                       (((x) >> 2) & 0x1)
#define   C_00B87C_RESERVED2                                          0xFFFFFFFB
#define   S_00B87C_RESERVED3(x)                                       (((unsigned)(x) & 0x1) << 3)
#define   G_00B87C_RESERVED3(x)                                       (((x) >> 3) & 0x1)
#define   C_00B87C_RESERVED3                                          0xFFFFFFF7
#define   S_00B87C_RESERVED4(x)                                       (((unsigned)(x) & 0x1) << 4)
#define   G_00B87C_RESERVED4(x)                                       (((x) >> 4) & 0x1)
#define   C_00B87C_RESERVED4                                          0xFFFFFFEF
#define   S_00B87C_WAVE_ID_BASE(x)                                    (((unsigned)(x) & 0xFFF) << 5) /* >= gfx8 */
#define   G_00B87C_WAVE_ID_BASE(x)                                    (((x) >> 5) & 0xFFF)
#define   C_00B87C_WAVE_ID_BASE                                       0xFFFE001F
#define R_00B880_COMPUTE_DISPATCH_ID                                    0x00B880 /* >= gfx8 */
#define   S_00B880_DISPATCH_ID(x)                                     (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B880_DISPATCH_ID(x)                                     (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B880_DISPATCH_ID                                        0x00000000
#define R_00B884_COMPUTE_THREADGROUP_ID                                 0x00B884 /* >= gfx8 */
#define   S_00B884_THREADGROUP_ID(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B884_THREADGROUP_ID(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B884_THREADGROUP_ID                                     0x00000000
#define R_00B888_COMPUTE_RELAUNCH                                       0x00B888 /* gfx8, fiji, stoney, gfx9 */
#define   S_00B888_PAYLOAD(x)                                         (((unsigned)(x) & 0x3FFFFFFF) << 0)
#define   G_00B888_PAYLOAD(x)                                         (((x) >> 0) & 0x3FFFFFFF)
#define   C_00B888_PAYLOAD                                            0xC0000000
#define   S_00B888_IS_EVENT(x)                                        (((unsigned)(x) & 0x1) << 30)
#define   G_00B888_IS_EVENT(x)                                        (((x) >> 30) & 0x1)
#define   C_00B888_IS_EVENT                                           0xBFFFFFFF
#define   S_00B888_IS_STATE(x)                                        (((unsigned)(x) & 0x1) << 31)
#define   G_00B888_IS_STATE(x)                                        (((x) >> 31) & 0x1)
#define   C_00B888_IS_STATE                                           0x7FFFFFFF
#define R_00B888_COMPUTE_REQ_CTRL                                       0x00B888 /* >= gfx10 */
#define   S_00B888_SOFT_GROUPING_EN(x)                                (((unsigned)(x) & 0x1) << 0)
#define   G_00B888_SOFT_GROUPING_EN(x)                                (((x) >> 0) & 0x1)
#define   C_00B888_SOFT_GROUPING_EN                                   0xFFFFFFFE
#define   S_00B888_NUMBER_OF_REQUESTS_PER_CU(x)                       (((unsigned)(x) & 0xF) << 1)
#define   G_00B888_NUMBER_OF_REQUESTS_PER_CU(x)                       (((x) >> 1) & 0xF)
#define   C_00B888_NUMBER_OF_REQUESTS_PER_CU                          0xFFFFFFE1
#define   S_00B888_SOFT_GROUPING_ALLOCATION_TIMEOUT(x)                (((unsigned)(x) & 0xF) << 5)
#define   G_00B888_SOFT_GROUPING_ALLOCATION_TIMEOUT(x)                (((x) >> 5) & 0xF)
#define   C_00B888_SOFT_GROUPING_ALLOCATION_TIMEOUT                   0xFFFFFE1F
#define   S_00B888_HARD_LOCK_HYSTERESIS(x)                            (((unsigned)(x) & 0x1) << 9)
#define   G_00B888_HARD_LOCK_HYSTERESIS(x)                            (((x) >> 9) & 0x1)
#define   C_00B888_HARD_LOCK_HYSTERESIS                               0xFFFFFDFF
#define   S_00B888_HARD_LOCK_LOW_THRESHOLD(x)                         (((unsigned)(x) & 0x1F) << 10)
#define   G_00B888_HARD_LOCK_LOW_THRESHOLD(x)                         (((x) >> 10) & 0x1F)
#define   C_00B888_HARD_LOCK_LOW_THRESHOLD                            0xFFFF83FF
#define   S_00B888_PRODUCER_REQUEST_LOCKOUT(x)                        (((unsigned)(x) & 0x1) << 15)
#define   G_00B888_PRODUCER_REQUEST_LOCKOUT(x)                        (((x) >> 15) & 0x1)
#define   C_00B888_PRODUCER_REQUEST_LOCKOUT                           0xFFFF7FFF
#define   S_00B888_GLOBAL_SCANNING_EN(x)                              (((unsigned)(x) & 0x1) << 16)
#define   G_00B888_GLOBAL_SCANNING_EN(x)                              (((x) >> 16) & 0x1)
#define   C_00B888_GLOBAL_SCANNING_EN                                 0xFFFEFFFF
#define   S_00B888_ALLOCATION_RATE_THROTTLING_THRESHOLD(x)            (((unsigned)(x) & 0x7) << 17)
#define   G_00B888_ALLOCATION_RATE_THROTTLING_THRESHOLD(x)            (((x) >> 17) & 0x7)
#define   C_00B888_ALLOCATION_RATE_THROTTLING_THRESHOLD               0xFFF1FFFF
#define   S_00B888_DEDICATED_PREALLOCATION_BUFFER_LIMIT(x)            (((unsigned)(x) & 0x7F) << 20)
#define   G_00B888_DEDICATED_PREALLOCATION_BUFFER_LIMIT(x)            (((x) >> 20) & 0x7F)
#define   C_00B888_DEDICATED_PREALLOCATION_BUFFER_LIMIT               0xF80FFFFF
#define R_00B88C_COMPUTE_PREF_PRI_CNTR_CTRL                             0x00B88C /* >= gfx10 */
#define   S_00B88C_TOTAL_WAVE_COUNT_HIER_SELECT(x)                    (((unsigned)(x) & 0x7) << 0)
#define   G_00B88C_TOTAL_WAVE_COUNT_HIER_SELECT(x)                    (((x) >> 0) & 0x7)
#define   C_00B88C_TOTAL_WAVE_COUNT_HIER_SELECT                       0xFFFFFFF8
#define   S_00B88C_PER_TYPE_WAVE_COUNT_HIER_SELECT(x)                 (((unsigned)(x) & 0x7) << 3)
#define   G_00B88C_PER_TYPE_WAVE_COUNT_HIER_SELECT(x)                 (((x) >> 3) & 0x7)
#define   C_00B88C_PER_TYPE_WAVE_COUNT_HIER_SELECT                    0xFFFFFFC7
#define   S_00B88C_GROUP_UPDATE_EN(x)                                 (((unsigned)(x) & 0x1) << 6)
#define   G_00B88C_GROUP_UPDATE_EN(x)                                 (((x) >> 6) & 0x1)
#define   C_00B88C_GROUP_UPDATE_EN                                    0xFFFFFFBF
#define   S_00B88C_TOTAL_WAVE_COUNT_COEFFICIENT(x)                    (((unsigned)(x) & 0xFF) << 8)
#define   G_00B88C_TOTAL_WAVE_COUNT_COEFFICIENT(x)                    (((x) >> 8) & 0xFF)
#define   C_00B88C_TOTAL_WAVE_COUNT_COEFFICIENT                       0xFFFF00FF
#define   S_00B88C_PER_TYPE_WAVE_COUNT_COEFFICIENT(x)                 (((unsigned)(x) & 0xFF) << 16)
#define   G_00B88C_PER_TYPE_WAVE_COUNT_COEFFICIENT(x)                 (((x) >> 16) & 0xFF)
#define   C_00B88C_PER_TYPE_WAVE_COUNT_COEFFICIENT                    0xFF00FFFF
#define R_00B88C_COMPUTE_WAVE_RESTORE_ADDR_LO                           0x00B88C /* gfx8, fiji, stoney, gfx9 */
#define R_00B890_COMPUTE_PREF_PRI_ACCUM_0                               0x00B890 /* >= gfx10 */
#define   S_00B890_COEFFICIENT_HIER_SELECT(x)                         (((unsigned)(x) & 0x7) << 0)
#define   G_00B890_COEFFICIENT_HIER_SELECT(x)                         (((x) >> 0) & 0x7)
#define   C_00B890_COEFFICIENT_HIER_SELECT                            0xFFFFFFF8
#define   S_00B890_CONTRIBUTION_HIER_SELECT(x)                        (((unsigned)(x) & 0x7) << 3)
#define   G_00B890_CONTRIBUTION_HIER_SELECT(x)                        (((x) >> 3) & 0x7)
#define   C_00B890_CONTRIBUTION_HIER_SELECT                           0xFFFFFFC7
#define   S_00B890_GROUP_UPDATE_EN(x)                                 (((unsigned)(x) & 0x1) << 6)
#define   G_00B890_GROUP_UPDATE_EN(x)                                 (((x) >> 6) & 0x1)
#define   C_00B890_GROUP_UPDATE_EN                                    0xFFFFFFBF
#define   S_00B890_COEFFICIENT(x)                                     (((unsigned)(x) & 0xFF) << 8)
#define   G_00B890_COEFFICIENT(x)                                     (((x) >> 8) & 0xFF)
#define   C_00B890_COEFFICIENT                                        0xFFFF00FF
#define   S_00B890_CONTRIBUTION(x)                                    (((unsigned)(x) & 0xFF) << 16)
#define   G_00B890_CONTRIBUTION(x)                                    (((x) >> 16) & 0xFF)
#define   C_00B890_CONTRIBUTION                                       0xFF00FFFF
#define R_00B890_COMPUTE_WAVE_RESTORE_ADDR_HI                           0x00B890 /* gfx8, fiji, stoney, gfx9 */
#define   S_00B890_ADDR(x)                                            (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00B890_ADDR(x)                                            (((x) >> 0) & 0xFFFF)
#define   C_00B890_ADDR                                               0xFFFF0000
#define R_00B894_COMPUTE_PREF_PRI_ACCUM_1                               0x00B894 /* >= gfx10 */
#define R_00B894_COMPUTE_WAVE_RESTORE_CONTROL                           0x00B894 /* gfx8, fiji, stoney */
#define   S_00B894_ATC(x)                                             (((unsigned)(x) & 0x1) << 0)
#define   G_00B894_ATC(x)                                             (((x) >> 0) & 0x1)
#define   C_00B894_ATC                                                0xFFFFFFFE
#define   S_00B894_MTYPE(x)                                           (((unsigned)(x) & 0x3) << 1)
#define   G_00B894_MTYPE(x)                                           (((x) >> 1) & 0x3)
#define   C_00B894_MTYPE                                              0xFFFFFFF9
#define R_00B898_COMPUTE_PREF_PRI_ACCUM_2                               0x00B898 /* >= gfx10 */
#define R_00B89C_COMPUTE_PREF_PRI_ACCUM_3                               0x00B89C /* >= gfx10 */
#define R_00B8A0_COMPUTE_PGM_RSRC3                                      0x00B8A0 /* >= gfx10 */
#define   S_00B8A0_SHARED_VGPR_CNT(x)                                 (((unsigned)(x) & 0xF) << 0)
#define   G_00B8A0_SHARED_VGPR_CNT(x)                                 (((x) >> 0) & 0xF)
#define   C_00B8A0_SHARED_VGPR_CNT                                    0xFFFFFFF0
#define R_00B8A4_COMPUTE_DDID_INDEX                                     0x00B8A4 /* >= gfx10 */
#define   S_00B8A4_INDEX(x)                                           (((unsigned)(x) & 0x7FF) << 0)
#define   G_00B8A4_INDEX(x)                                           (((x) >> 0) & 0x7FF)
#define   C_00B8A4_INDEX                                              0xFFFFF800
#define R_00B8A8_COMPUTE_SHADER_CHKSUM                                  0x00B8A8 /* >= gfx10 */
#define   S_00B8A8_CHECKSUM(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B8A8_CHECKSUM(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B8A8_CHECKSUM                                           0x00000000
#define R_00B8AC_COMPUTE_RELAUNCH                                       0x00B8AC /* >= gfx10 */
#define   S_00B8AC_PAYLOAD(x)                                         (((unsigned)(x) & 0x3FFFFFFF) << 0)
#define   G_00B8AC_PAYLOAD(x)                                         (((x) >> 0) & 0x3FFFFFFF)
#define   C_00B8AC_PAYLOAD                                            0xC0000000
#define   S_00B8AC_IS_EVENT(x)                                        (((unsigned)(x) & 0x1) << 30)
#define   G_00B8AC_IS_EVENT(x)                                        (((x) >> 30) & 0x1)
#define   C_00B8AC_IS_EVENT                                           0xBFFFFFFF
#define   S_00B8AC_IS_STATE(x)                                        (((unsigned)(x) & 0x1) << 31)
#define   G_00B8AC_IS_STATE(x)                                        (((x) >> 31) & 0x1)
#define   C_00B8AC_IS_STATE                                           0x7FFFFFFF
#define R_00B8B0_COMPUTE_WAVE_RESTORE_ADDR_LO                           0x00B8B0 /* >= gfx10 */
#define   S_00B8B0_ADDR(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B8B0_ADDR(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B8B0_ADDR                                               0x00000000
#define R_00B8B4_COMPUTE_WAVE_RESTORE_ADDR_HI                           0x00B8B4 /* >= gfx10 */
#define   S_00B8B4_ADDR(x)                                            (((unsigned)(x) & 0xFFFF) << 0)
#define   G_00B8B4_ADDR(x)                                            (((x) >> 0) & 0xFFFF)
#define   C_00B8B4_ADDR                                               0xFFFF0000
#define R_00B900_COMPUTE_USER_DATA_0                                    0x00B900
#define   S_00B900_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B900_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B900_DATA                                               0x00000000
#define R_00B904_COMPUTE_USER_DATA_1                                    0x00B904
#define R_00B908_COMPUTE_USER_DATA_2                                    0x00B908
#define R_00B90C_COMPUTE_USER_DATA_3                                    0x00B90C
#define R_00B910_COMPUTE_USER_DATA_4                                    0x00B910
#define R_00B914_COMPUTE_USER_DATA_5                                    0x00B914
#define R_00B918_COMPUTE_USER_DATA_6                                    0x00B918
#define R_00B91C_COMPUTE_USER_DATA_7                                    0x00B91C
#define R_00B920_COMPUTE_USER_DATA_8                                    0x00B920
#define R_00B924_COMPUTE_USER_DATA_9                                    0x00B924
#define R_00B928_COMPUTE_USER_DATA_10                                   0x00B928
#define R_00B92C_COMPUTE_USER_DATA_11                                   0x00B92C
#define R_00B930_COMPUTE_USER_DATA_12                                   0x00B930
#define R_00B934_COMPUTE_USER_DATA_13                                   0x00B934
#define R_00B938_COMPUTE_USER_DATA_14                                   0x00B938
#define R_00B93C_COMPUTE_USER_DATA_15                                   0x00B93C
#define R_00B9F4_COMPUTE_DISPATCH_TUNNEL                                0x00B9F4 /* >= gfx10 */
#define   S_00B9F4_OFF_DELAY(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_00B9F4_OFF_DELAY(x)                                       (((x) >> 0) & 0x3FF)
#define   C_00B9F4_OFF_DELAY                                          0xFFFFFC00
#define   S_00B9F4_IMMEDIATE(x)                                       (((unsigned)(x) & 0x1) << 10)
#define   G_00B9F4_IMMEDIATE(x)                                       (((x) >> 10) & 0x1)
#define   C_00B9F4_IMMEDIATE                                          0xFFFFFBFF
#define R_00B9F8_COMPUTE_DISPATCH_END                                   0x00B9F8 /* >= gfx10 */
#define   S_00B9F8_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B9F8_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B9F8_DATA                                               0x00000000
#define R_00B9FC_COMPUTE_NOWHERE                                        0x00B9FC
#define   S_00B9FC_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_00B9FC_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_00B9FC_DATA                                               0x00000000
#define R_00C700_SPI_ARB_PRIORITY                                       0x00C700 /* gfx7, gfx8, fiji, stoney */
#define   S_00C700_PIPE_ORDER_TS0(x)                                  (((unsigned)(x) & 0x7) << 0)
#define   G_00C700_PIPE_ORDER_TS0(x)                                  (((x) >> 0) & 0x7)
#define   C_00C700_PIPE_ORDER_TS0                                     0xFFFFFFF8
#define   S_00C700_PIPE_ORDER_TS1(x)                                  (((unsigned)(x) & 0x7) << 3)
#define   G_00C700_PIPE_ORDER_TS1(x)                                  (((x) >> 3) & 0x7)
#define   C_00C700_PIPE_ORDER_TS1                                     0xFFFFFFC7
#define   S_00C700_PIPE_ORDER_TS2(x)                                  (((unsigned)(x) & 0x7) << 6)
#define   G_00C700_PIPE_ORDER_TS2(x)                                  (((x) >> 6) & 0x7)
#define   C_00C700_PIPE_ORDER_TS2                                     0xFFFFFE3F
#define   S_00C700_PIPE_ORDER_TS3(x)                                  (((unsigned)(x) & 0x7) << 9)
#define   G_00C700_PIPE_ORDER_TS3(x)                                  (((x) >> 9) & 0x7)
#define   C_00C700_PIPE_ORDER_TS3                                     0xFFFFF1FF
#define   S_00C700_TS0_DUR_MULT(x)                                    (((unsigned)(x) & 0x3) << 12)
#define   G_00C700_TS0_DUR_MULT(x)                                    (((x) >> 12) & 0x3)
#define   C_00C700_TS0_DUR_MULT                                       0xFFFFCFFF
#define   S_00C700_TS1_DUR_MULT(x)                                    (((unsigned)(x) & 0x3) << 14)
#define   G_00C700_TS1_DUR_MULT(x)                                    (((x) >> 14) & 0x3)
#define   C_00C700_TS1_DUR_MULT                                       0xFFFF3FFF
#define   S_00C700_TS2_DUR_MULT(x)                                    (((unsigned)(x) & 0x3) << 16)
#define   G_00C700_TS2_DUR_MULT(x)                                    (((x) >> 16) & 0x3)
#define   C_00C700_TS2_DUR_MULT                                       0xFFFCFFFF
#define   S_00C700_TS3_DUR_MULT(x)                                    (((unsigned)(x) & 0x3) << 18)
#define   G_00C700_TS3_DUR_MULT(x)                                    (((x) >> 18) & 0x3)
#define   C_00C700_TS3_DUR_MULT                                       0xFFF3FFFF
#define R_00D034_SDMA0_STATUS_REG                                       0x00D034 /* <= stoney */
#define   S_00D034_IDLE(x)                                            (((unsigned)(x) & 0x1) << 0)
#define   G_00D034_IDLE(x)                                            (((x) >> 0) & 0x1)
#define   C_00D034_IDLE                                               0xFFFFFFFE
#define   S_00D034_REG_IDLE(x)                                        (((unsigned)(x) & 0x1) << 1)
#define   G_00D034_REG_IDLE(x)                                        (((x) >> 1) & 0x1)
#define   C_00D034_REG_IDLE                                           0xFFFFFFFD
#define   S_00D034_RB_EMPTY(x)                                        (((unsigned)(x) & 0x1) << 2)
#define   G_00D034_RB_EMPTY(x)                                        (((x) >> 2) & 0x1)
#define   C_00D034_RB_EMPTY                                           0xFFFFFFFB
#define   S_00D034_RB_FULL(x)                                         (((unsigned)(x) & 0x1) << 3)
#define   G_00D034_RB_FULL(x)                                         (((x) >> 3) & 0x1)
#define   C_00D034_RB_FULL                                            0xFFFFFFF7
#define   S_00D034_RB_CMD_IDLE(x)                                     (((unsigned)(x) & 0x1) << 4)
#define   G_00D034_RB_CMD_IDLE(x)                                     (((x) >> 4) & 0x1)
#define   C_00D034_RB_CMD_IDLE                                        0xFFFFFFEF
#define   S_00D034_RB_CMD_FULL(x)                                     (((unsigned)(x) & 0x1) << 5)
#define   G_00D034_RB_CMD_FULL(x)                                     (((x) >> 5) & 0x1)
#define   C_00D034_RB_CMD_FULL                                        0xFFFFFFDF
#define   S_00D034_IB_CMD_IDLE(x)                                     (((unsigned)(x) & 0x1) << 6)
#define   G_00D034_IB_CMD_IDLE(x)                                     (((x) >> 6) & 0x1)
#define   C_00D034_IB_CMD_IDLE                                        0xFFFFFFBF
#define   S_00D034_IB_CMD_FULL(x)                                     (((unsigned)(x) & 0x1) << 7)
#define   G_00D034_IB_CMD_FULL(x)                                     (((x) >> 7) & 0x1)
#define   C_00D034_IB_CMD_FULL                                        0xFFFFFF7F
#define   S_00D034_BLOCK_IDLE(x)                                      (((unsigned)(x) & 0x1) << 8)
#define   G_00D034_BLOCK_IDLE(x)                                      (((x) >> 8) & 0x1)
#define   C_00D034_BLOCK_IDLE                                         0xFFFFFEFF
#define   S_00D034_INSIDE_IB(x)                                       (((unsigned)(x) & 0x1) << 9)
#define   G_00D034_INSIDE_IB(x)                                       (((x) >> 9) & 0x1)
#define   C_00D034_INSIDE_IB                                          0xFFFFFDFF
#define   S_00D034_EX_IDLE(x)                                         (((unsigned)(x) & 0x1) << 10)
#define   G_00D034_EX_IDLE(x)                                         (((x) >> 10) & 0x1)
#define   C_00D034_EX_IDLE                                            0xFFFFFBFF
#define   S_00D034_EX_IDLE_POLL_TIMER_EXPIRE(x)                       (((unsigned)(x) & 0x1) << 11)
#define   G_00D034_EX_IDLE_POLL_TIMER_EXPIRE(x)                       (((x) >> 11) & 0x1)
#define   C_00D034_EX_IDLE_POLL_TIMER_EXPIRE                          0xFFFFF7FF
#define   S_00D034_PACKET_READY(x)                                    (((unsigned)(x) & 0x1) << 12)
#define   G_00D034_PACKET_READY(x)                                    (((x) >> 12) & 0x1)
#define   C_00D034_PACKET_READY                                       0xFFFFEFFF
#define   S_00D034_MC_WR_IDLE(x)                                      (((unsigned)(x) & 0x1) << 13)
#define   G_00D034_MC_WR_IDLE(x)                                      (((x) >> 13) & 0x1)
#define   C_00D034_MC_WR_IDLE                                         0xFFFFDFFF
#define   S_00D034_SRBM_IDLE(x)                                       (((unsigned)(x) & 0x1) << 14)
#define   G_00D034_SRBM_IDLE(x)                                       (((x) >> 14) & 0x1)
#define   C_00D034_SRBM_IDLE                                          0xFFFFBFFF
#define   S_00D034_CONTEXT_EMPTY(x)                                   (((unsigned)(x) & 0x1) << 15)
#define   G_00D034_CONTEXT_EMPTY(x)                                   (((x) >> 15) & 0x1)
#define   C_00D034_CONTEXT_EMPTY                                      0xFFFF7FFF
#define   S_00D034_DELTA_RPTR_FULL(x)                                 (((unsigned)(x) & 0x1) << 16)
#define   G_00D034_DELTA_RPTR_FULL(x)                                 (((x) >> 16) & 0x1)
#define   C_00D034_DELTA_RPTR_FULL                                    0xFFFEFFFF
#define   S_00D034_RB_MC_RREQ_IDLE(x)                                 (((unsigned)(x) & 0x1) << 17)
#define   G_00D034_RB_MC_RREQ_IDLE(x)                                 (((x) >> 17) & 0x1)
#define   C_00D034_RB_MC_RREQ_IDLE                                    0xFFFDFFFF
#define   S_00D034_IB_MC_RREQ_IDLE(x)                                 (((unsigned)(x) & 0x1) << 18)
#define   G_00D034_IB_MC_RREQ_IDLE(x)                                 (((x) >> 18) & 0x1)
#define   C_00D034_IB_MC_RREQ_IDLE                                    0xFFFBFFFF
#define   S_00D034_MC_RD_IDLE(x)                                      (((unsigned)(x) & 0x1) << 19)
#define   G_00D034_MC_RD_IDLE(x)                                      (((x) >> 19) & 0x1)
#define   C_00D034_MC_RD_IDLE                                         0xFFF7FFFF
#define   S_00D034_DELTA_RPTR_EMPTY(x)                                (((unsigned)(x) & 0x1) << 20)
#define   G_00D034_DELTA_RPTR_EMPTY(x)                                (((x) >> 20) & 0x1)
#define   C_00D034_DELTA_RPTR_EMPTY                                   0xFFEFFFFF
#define   S_00D034_MC_RD_RET_STALL(x)                                 (((unsigned)(x) & 0x1) << 21)
#define   G_00D034_MC_RD_RET_STALL(x)                                 (((x) >> 21) & 0x1)
#define   C_00D034_MC_RD_RET_STALL                                    0xFFDFFFFF
#define   S_00D034_MC_RD_NO_POLL_IDLE(x)                              (((unsigned)(x) & 0x1) << 22)
#define   G_00D034_MC_RD_NO_POLL_IDLE(x)                              (((x) >> 22) & 0x1)
#define   C_00D034_MC_RD_NO_POLL_IDLE                                 0xFFBFFFFF
#define   S_00D034_PREV_CMD_IDLE(x)                                   (((unsigned)(x) & 0x1) << 25)
#define   G_00D034_PREV_CMD_IDLE(x)                                   (((x) >> 25) & 0x1)
#define   C_00D034_PREV_CMD_IDLE                                      0xFDFFFFFF
#define   S_00D034_SEM_IDLE(x)                                        (((unsigned)(x) & 0x1) << 26)
#define   G_00D034_SEM_IDLE(x)                                        (((x) >> 26) & 0x1)
#define   C_00D034_SEM_IDLE                                           0xFBFFFFFF
#define   S_00D034_SEM_REQ_STALL(x)                                   (((unsigned)(x) & 0x1) << 27)
#define   G_00D034_SEM_REQ_STALL(x)                                   (((x) >> 27) & 0x1)
#define   C_00D034_SEM_REQ_STALL                                      0xF7FFFFFF
#define   S_00D034_SEM_RESP_STATE(x)                                  (((unsigned)(x) & 0x3) << 28)
#define   G_00D034_SEM_RESP_STATE(x)                                  (((x) >> 28) & 0x3)
#define   C_00D034_SEM_RESP_STATE                                     0xCFFFFFFF
#define   S_00D034_INT_IDLE(x)                                        (((unsigned)(x) & 0x1) << 30)
#define   G_00D034_INT_IDLE(x)                                        (((x) >> 30) & 0x1)
#define   C_00D034_INT_IDLE                                           0xBFFFFFFF
#define   S_00D034_INT_REQ_STALL(x)                                   (((unsigned)(x) & 0x1) << 31)
#define   G_00D034_INT_REQ_STALL(x)                                   (((x) >> 31) & 0x1)
#define   C_00D034_INT_REQ_STALL                                      0x7FFFFFFF
#define R_00D834_SDMA1_STATUS_REG                                       0x00D834 /* <= stoney */
#define R_028000_DB_RENDER_CONTROL                                      0x028000
#define   S_028000_DEPTH_CLEAR_ENABLE(x)                              (((unsigned)(x) & 0x1) << 0)
#define   G_028000_DEPTH_CLEAR_ENABLE(x)                              (((x) >> 0) & 0x1)
#define   C_028000_DEPTH_CLEAR_ENABLE                                 0xFFFFFFFE
#define   S_028000_STENCIL_CLEAR_ENABLE(x)                            (((unsigned)(x) & 0x1) << 1)
#define   G_028000_STENCIL_CLEAR_ENABLE(x)                            (((x) >> 1) & 0x1)
#define   C_028000_STENCIL_CLEAR_ENABLE                               0xFFFFFFFD
#define   S_028000_DEPTH_COPY(x)                                      (((unsigned)(x) & 0x1) << 2)
#define   G_028000_DEPTH_COPY(x)                                      (((x) >> 2) & 0x1)
#define   C_028000_DEPTH_COPY                                         0xFFFFFFFB
#define   S_028000_STENCIL_COPY(x)                                    (((unsigned)(x) & 0x1) << 3)
#define   G_028000_STENCIL_COPY(x)                                    (((x) >> 3) & 0x1)
#define   C_028000_STENCIL_COPY                                       0xFFFFFFF7
#define   S_028000_RESUMMARIZE_ENABLE(x)                              (((unsigned)(x) & 0x1) << 4)
#define   G_028000_RESUMMARIZE_ENABLE(x)                              (((x) >> 4) & 0x1)
#define   C_028000_RESUMMARIZE_ENABLE                                 0xFFFFFFEF
#define   S_028000_STENCIL_COMPRESS_DISABLE(x)                        (((unsigned)(x) & 0x1) << 5)
#define   G_028000_STENCIL_COMPRESS_DISABLE(x)                        (((x) >> 5) & 0x1)
#define   C_028000_STENCIL_COMPRESS_DISABLE                           0xFFFFFFDF
#define   S_028000_DEPTH_COMPRESS_DISABLE(x)                          (((unsigned)(x) & 0x1) << 6)
#define   G_028000_DEPTH_COMPRESS_DISABLE(x)                          (((x) >> 6) & 0x1)
#define   C_028000_DEPTH_COMPRESS_DISABLE                             0xFFFFFFBF
#define   S_028000_COPY_CENTROID(x)                                   (((unsigned)(x) & 0x1) << 7)
#define   G_028000_COPY_CENTROID(x)                                   (((x) >> 7) & 0x1)
#define   C_028000_COPY_CENTROID                                      0xFFFFFF7F
#define   S_028000_COPY_SAMPLE(x)                                     (((unsigned)(x) & 0xF) << 8)
#define   G_028000_COPY_SAMPLE(x)                                     (((x) >> 8) & 0xF)
#define   C_028000_COPY_SAMPLE                                        0xFFFFF0FF
#define   S_028000_DECOMPRESS_ENABLE(x)                               (((unsigned)(x) & 0x1) << 12) /* >= gfx8 */
#define   G_028000_DECOMPRESS_ENABLE(x)                               (((x) >> 12) & 0x1)
#define   C_028000_DECOMPRESS_ENABLE                                  0xFFFFEFFF
#define R_028004_DB_COUNT_CONTROL                                       0x028004
#define   S_028004_ZPASS_INCREMENT_DISABLE(x)                         (((unsigned)(x) & 0x1) << 0)
#define   G_028004_ZPASS_INCREMENT_DISABLE(x)                         (((x) >> 0) & 0x1)
#define   C_028004_ZPASS_INCREMENT_DISABLE                            0xFFFFFFFE
#define   S_028004_PERFECT_ZPASS_COUNTS(x)                            (((unsigned)(x) & 0x1) << 1)
#define   G_028004_PERFECT_ZPASS_COUNTS(x)                            (((x) >> 1) & 0x1)
#define   C_028004_PERFECT_ZPASS_COUNTS                               0xFFFFFFFD
#define   S_028004_DISABLE_CONSERVATIVE_ZPASS_COUNTS(x)               (((unsigned)(x) & 0x1) << 2) /* >= gfx10 */
#define   G_028004_DISABLE_CONSERVATIVE_ZPASS_COUNTS(x)               (((x) >> 2) & 0x1)
#define   C_028004_DISABLE_CONSERVATIVE_ZPASS_COUNTS                  0xFFFFFFFB
#define   S_028004_ENHANCED_CONSERVATIVE_ZPASS_COUNTS(x)              (((unsigned)(x) & 0x1) << 3) /* >= gfx10 */
#define   G_028004_ENHANCED_CONSERVATIVE_ZPASS_COUNTS(x)              (((x) >> 3) & 0x1)
#define   C_028004_ENHANCED_CONSERVATIVE_ZPASS_COUNTS                 0xFFFFFFF7
#define   S_028004_SAMPLE_RATE(x)                                     (((unsigned)(x) & 0x7) << 4)
#define   G_028004_SAMPLE_RATE(x)                                     (((x) >> 4) & 0x7)
#define   C_028004_SAMPLE_RATE                                        0xFFFFFF8F
#define   S_028004_ZPASS_ENABLE(x)                                    (((unsigned)(x) & 0xF) << 8) /* >= gfx7 */
#define   G_028004_ZPASS_ENABLE(x)                                    (((x) >> 8) & 0xF)
#define   C_028004_ZPASS_ENABLE                                       0xFFFFF0FF
#define   S_028004_ZFAIL_ENABLE(x)                                    (((unsigned)(x) & 0xF) << 12) /* >= gfx7 */
#define   G_028004_ZFAIL_ENABLE(x)                                    (((x) >> 12) & 0xF)
#define   C_028004_ZFAIL_ENABLE                                       0xFFFF0FFF
#define   S_028004_SFAIL_ENABLE(x)                                    (((unsigned)(x) & 0xF) << 16) /* >= gfx7 */
#define   G_028004_SFAIL_ENABLE(x)                                    (((x) >> 16) & 0xF)
#define   C_028004_SFAIL_ENABLE                                       0xFFF0FFFF
#define   S_028004_DBFAIL_ENABLE(x)                                   (((unsigned)(x) & 0xF) << 20) /* >= gfx7 */
#define   G_028004_DBFAIL_ENABLE(x)                                   (((x) >> 20) & 0xF)
#define   C_028004_DBFAIL_ENABLE                                      0xFF0FFFFF
#define   S_028004_SLICE_EVEN_ENABLE(x)                               (((unsigned)(x) & 0xF) << 24) /* >= gfx7 */
#define   G_028004_SLICE_EVEN_ENABLE(x)                               (((x) >> 24) & 0xF)
#define   C_028004_SLICE_EVEN_ENABLE                                  0xF0FFFFFF
#define   S_028004_SLICE_ODD_ENABLE(x)                                (((unsigned)(x) & 0xF) << 28) /* >= gfx7 */
#define   G_028004_SLICE_ODD_ENABLE(x)                                (((x) >> 28) & 0xF)
#define   C_028004_SLICE_ODD_ENABLE                                   0x0FFFFFFF
#define R_028008_DB_DEPTH_VIEW                                          0x028008
#define   S_028008_SLICE_START(x)                                     (((unsigned)(x) & 0x7FF) << 0)
#define   G_028008_SLICE_START(x)                                     (((x) >> 0) & 0x7FF)
#define   C_028008_SLICE_START                                        0xFFFFF800
#define   S_028008_SLICE_START_HI(x)                                  (((unsigned)(x) & 0x3) << 11) /* >= gfx10 */
#define   G_028008_SLICE_START_HI(x)                                  (((x) >> 11) & 0x3)
#define   C_028008_SLICE_START_HI                                     0xFFFFE7FF
#define   S_028008_SLICE_MAX(x)                                       (((unsigned)(x) & 0x7FF) << 13)
#define   G_028008_SLICE_MAX(x)                                       (((x) >> 13) & 0x7FF)
#define   C_028008_SLICE_MAX                                          0xFF001FFF
#define   S_028008_Z_READ_ONLY(x)                                     (((unsigned)(x) & 0x1) << 24)
#define   G_028008_Z_READ_ONLY(x)                                     (((x) >> 24) & 0x1)
#define   C_028008_Z_READ_ONLY                                        0xFEFFFFFF
#define   S_028008_STENCIL_READ_ONLY(x)                               (((unsigned)(x) & 0x1) << 25)
#define   G_028008_STENCIL_READ_ONLY(x)                               (((x) >> 25) & 0x1)
#define   C_028008_STENCIL_READ_ONLY                                  0xFDFFFFFF
#define   S_028008_MIPID(x)                                           (((unsigned)(x) & 0xF) << 26) /* >= gfx9 */
#define   G_028008_MIPID(x)                                           (((x) >> 26) & 0xF)
#define   C_028008_MIPID                                              0xC3FFFFFF
#define   S_028008_SLICE_MAX_HI(x)                                    (((unsigned)(x) & 0x3) << 30) /* >= gfx10 */
#define   G_028008_SLICE_MAX_HI(x)                                    (((x) >> 30) & 0x3)
#define   C_028008_SLICE_MAX_HI                                       0x3FFFFFFF
#define R_02800C_DB_RENDER_OVERRIDE                                     0x02800C
#define   S_02800C_FORCE_HIZ_ENABLE(x)                                (((unsigned)(x) & 0x3) << 0)
#define   G_02800C_FORCE_HIZ_ENABLE(x)                                (((x) >> 0) & 0x3)
#define   C_02800C_FORCE_HIZ_ENABLE                                   0xFFFFFFFC
#define     V_02800C_FORCE_OFF                                      0
#define     V_02800C_FORCE_ENABLE                                   1
#define     V_02800C_FORCE_DISABLE                                  2
#define     V_02800C_FORCE_RESERVED                                 3
#define   S_02800C_FORCE_HIS_ENABLE0(x)                               (((unsigned)(x) & 0x3) << 2)
#define   G_02800C_FORCE_HIS_ENABLE0(x)                               (((x) >> 2) & 0x3)
#define   C_02800C_FORCE_HIS_ENABLE0                                  0xFFFFFFF3
#define   S_02800C_FORCE_HIS_ENABLE1(x)                               (((unsigned)(x) & 0x3) << 4)
#define   G_02800C_FORCE_HIS_ENABLE1(x)                               (((x) >> 4) & 0x3)
#define   C_02800C_FORCE_HIS_ENABLE1                                  0xFFFFFFCF
#define   S_02800C_FORCE_SHADER_Z_ORDER(x)                            (((unsigned)(x) & 0x1) << 6)
#define   G_02800C_FORCE_SHADER_Z_ORDER(x)                            (((x) >> 6) & 0x1)
#define   C_02800C_FORCE_SHADER_Z_ORDER                               0xFFFFFFBF
#define   S_02800C_FAST_Z_DISABLE(x)                                  (((unsigned)(x) & 0x1) << 7)
#define   G_02800C_FAST_Z_DISABLE(x)                                  (((x) >> 7) & 0x1)
#define   C_02800C_FAST_Z_DISABLE                                     0xFFFFFF7F
#define   S_02800C_FAST_STENCIL_DISABLE(x)                            (((unsigned)(x) & 0x1) << 8)
#define   G_02800C_FAST_STENCIL_DISABLE(x)                            (((x) >> 8) & 0x1)
#define   C_02800C_FAST_STENCIL_DISABLE                               0xFFFFFEFF
#define   S_02800C_NOOP_CULL_DISABLE(x)                               (((unsigned)(x) & 0x1) << 9)
#define   G_02800C_NOOP_CULL_DISABLE(x)                               (((x) >> 9) & 0x1)
#define   C_02800C_NOOP_CULL_DISABLE                                  0xFFFFFDFF
#define   S_02800C_FORCE_COLOR_KILL(x)                                (((unsigned)(x) & 0x1) << 10)
#define   G_02800C_FORCE_COLOR_KILL(x)                                (((x) >> 10) & 0x1)
#define   C_02800C_FORCE_COLOR_KILL                                   0xFFFFFBFF
#define   S_02800C_FORCE_Z_READ(x)                                    (((unsigned)(x) & 0x1) << 11)
#define   G_02800C_FORCE_Z_READ(x)                                    (((x) >> 11) & 0x1)
#define   C_02800C_FORCE_Z_READ                                       0xFFFFF7FF
#define   S_02800C_FORCE_STENCIL_READ(x)                              (((unsigned)(x) & 0x1) << 12)
#define   G_02800C_FORCE_STENCIL_READ(x)                              (((x) >> 12) & 0x1)
#define   C_02800C_FORCE_STENCIL_READ                                 0xFFFFEFFF
#define   S_02800C_FORCE_FULL_Z_RANGE(x)                              (((unsigned)(x) & 0x3) << 13)
#define   G_02800C_FORCE_FULL_Z_RANGE(x)                              (((x) >> 13) & 0x3)
#define   C_02800C_FORCE_FULL_Z_RANGE                                 0xFFFF9FFF
#define   S_02800C_FORCE_QC_SMASK_CONFLICT(x)                         (((unsigned)(x) & 0x1) << 15)
#define   G_02800C_FORCE_QC_SMASK_CONFLICT(x)                         (((x) >> 15) & 0x1)
#define   C_02800C_FORCE_QC_SMASK_CONFLICT                            0xFFFF7FFF
#define   S_02800C_DISABLE_VIEWPORT_CLAMP(x)                          (((unsigned)(x) & 0x1) << 16)
#define   G_02800C_DISABLE_VIEWPORT_CLAMP(x)                          (((x) >> 16) & 0x1)
#define   C_02800C_DISABLE_VIEWPORT_CLAMP                             0xFFFEFFFF
#define   S_02800C_IGNORE_SC_ZRANGE(x)                                (((unsigned)(x) & 0x1) << 17)
#define   G_02800C_IGNORE_SC_ZRANGE(x)                                (((x) >> 17) & 0x1)
#define   C_02800C_IGNORE_SC_ZRANGE                                   0xFFFDFFFF
#define   S_02800C_DISABLE_FULLY_COVERED(x)                           (((unsigned)(x) & 0x1) << 18)
#define   G_02800C_DISABLE_FULLY_COVERED(x)                           (((x) >> 18) & 0x1)
#define   C_02800C_DISABLE_FULLY_COVERED                              0xFFFBFFFF
#define   S_02800C_FORCE_Z_LIMIT_SUMM(x)                              (((unsigned)(x) & 0x3) << 19)
#define   G_02800C_FORCE_Z_LIMIT_SUMM(x)                              (((x) >> 19) & 0x3)
#define   C_02800C_FORCE_Z_LIMIT_SUMM                                 0xFFE7FFFF
#define     V_02800C_FORCE_SUMM_OFF                                 0
#define     V_02800C_FORCE_SUMM_MINZ                                1
#define     V_02800C_FORCE_SUMM_MAXZ                                2
#define     V_02800C_FORCE_SUMM_BOTH                                3
#define   S_02800C_MAX_TILES_IN_DTT(x)                                (((unsigned)(x) & 0x1F) << 21)
#define   G_02800C_MAX_TILES_IN_DTT(x)                                (((x) >> 21) & 0x1F)
#define   C_02800C_MAX_TILES_IN_DTT                                   0xFC1FFFFF
#define   S_02800C_DISABLE_TILE_RATE_TILES(x)                         (((unsigned)(x) & 0x1) << 26)
#define   G_02800C_DISABLE_TILE_RATE_TILES(x)                         (((x) >> 26) & 0x1)
#define   C_02800C_DISABLE_TILE_RATE_TILES                            0xFBFFFFFF
#define   S_02800C_FORCE_Z_DIRTY(x)                                   (((unsigned)(x) & 0x1) << 27)
#define   G_02800C_FORCE_Z_DIRTY(x)                                   (((x) >> 27) & 0x1)
#define   C_02800C_FORCE_Z_DIRTY                                      0xF7FFFFFF
#define   S_02800C_FORCE_STENCIL_DIRTY(x)                             (((unsigned)(x) & 0x1) << 28)
#define   G_02800C_FORCE_STENCIL_DIRTY(x)                             (((x) >> 28) & 0x1)
#define   C_02800C_FORCE_STENCIL_DIRTY                                0xEFFFFFFF
#define   S_02800C_FORCE_Z_VALID(x)                                   (((unsigned)(x) & 0x1) << 29)
#define   G_02800C_FORCE_Z_VALID(x)                                   (((x) >> 29) & 0x1)
#define   C_02800C_FORCE_Z_VALID                                      0xDFFFFFFF
#define   S_02800C_FORCE_STENCIL_VALID(x)                             (((unsigned)(x) & 0x1) << 30)
#define   G_02800C_FORCE_STENCIL_VALID(x)                             (((x) >> 30) & 0x1)
#define   C_02800C_FORCE_STENCIL_VALID                                0xBFFFFFFF
#define   S_02800C_PRESERVE_COMPRESSION(x)                            (((unsigned)(x) & 0x1) << 31)
#define   G_02800C_PRESERVE_COMPRESSION(x)                            (((x) >> 31) & 0x1)
#define   C_02800C_PRESERVE_COMPRESSION                               0x7FFFFFFF
#define R_028010_DB_RENDER_OVERRIDE2                                    0x028010
#define   S_028010_PARTIAL_SQUAD_LAUNCH_CONTROL(x)                    (((unsigned)(x) & 0x3) << 0)
#define   G_028010_PARTIAL_SQUAD_LAUNCH_CONTROL(x)                    (((x) >> 0) & 0x3)
#define   C_028010_PARTIAL_SQUAD_LAUNCH_CONTROL                       0xFFFFFFFC
#define     V_028010_PSLC_AUTO                                      0
#define     V_028010_PSLC_ON_HANG_ONLY                              1
#define     V_028010_PSLC_ASAP                                      2
#define     V_028010_PSLC_COUNTDOWN                                 3
#define   S_028010_PARTIAL_SQUAD_LAUNCH_COUNTDOWN(x)                  (((unsigned)(x) & 0x7) << 2)
#define   G_028010_PARTIAL_SQUAD_LAUNCH_COUNTDOWN(x)                  (((x) >> 2) & 0x7)
#define   C_028010_PARTIAL_SQUAD_LAUNCH_COUNTDOWN                     0xFFFFFFE3
#define   S_028010_DISABLE_ZMASK_EXPCLEAR_OPTIMIZATION(x)             (((unsigned)(x) & 0x1) << 5)
#define   G_028010_DISABLE_ZMASK_EXPCLEAR_OPTIMIZATION(x)             (((x) >> 5) & 0x1)
#define   C_028010_DISABLE_ZMASK_EXPCLEAR_OPTIMIZATION                0xFFFFFFDF
#define   S_028010_DISABLE_SMEM_EXPCLEAR_OPTIMIZATION(x)              (((unsigned)(x) & 0x1) << 6)
#define   G_028010_DISABLE_SMEM_EXPCLEAR_OPTIMIZATION(x)              (((x) >> 6) & 0x1)
#define   C_028010_DISABLE_SMEM_EXPCLEAR_OPTIMIZATION                 0xFFFFFFBF
#define   S_028010_DISABLE_COLOR_ON_VALIDATION(x)                     (((unsigned)(x) & 0x1) << 7)
#define   G_028010_DISABLE_COLOR_ON_VALIDATION(x)                     (((x) >> 7) & 0x1)
#define   C_028010_DISABLE_COLOR_ON_VALIDATION                        0xFFFFFF7F
#define   S_028010_DECOMPRESS_Z_ON_FLUSH(x)                           (((unsigned)(x) & 0x1) << 8)
#define   G_028010_DECOMPRESS_Z_ON_FLUSH(x)                           (((x) >> 8) & 0x1)
#define   C_028010_DECOMPRESS_Z_ON_FLUSH                              0xFFFFFEFF
#define   S_028010_DISABLE_REG_SNOOP(x)                               (((unsigned)(x) & 0x1) << 9)
#define   G_028010_DISABLE_REG_SNOOP(x)                               (((x) >> 9) & 0x1)
#define   C_028010_DISABLE_REG_SNOOP                                  0xFFFFFDFF
#define   S_028010_DEPTH_BOUNDS_HIER_DEPTH_DISABLE(x)                 (((unsigned)(x) & 0x1) << 10)
#define   G_028010_DEPTH_BOUNDS_HIER_DEPTH_DISABLE(x)                 (((x) >> 10) & 0x1)
#define   C_028010_DEPTH_BOUNDS_HIER_DEPTH_DISABLE                    0xFFFFFBFF
#define   S_028010_SEPARATE_HIZS_FUNC_ENABLE(x)                       (((unsigned)(x) & 0x1) << 11) /* >= gfx7 */
#define   G_028010_SEPARATE_HIZS_FUNC_ENABLE(x)                       (((x) >> 11) & 0x1)
#define   C_028010_SEPARATE_HIZS_FUNC_ENABLE                          0xFFFFF7FF
#define   S_028010_HIZ_ZFUNC(x)                                       (((unsigned)(x) & 0x7) << 12) /* >= gfx7 */
#define   G_028010_HIZ_ZFUNC(x)                                       (((x) >> 12) & 0x7)
#define   C_028010_HIZ_ZFUNC                                          0xFFFF8FFF
#define     V_028010_FRAG_NEVER                                     0 /* >= gfx9 */
#define     V_028010_FRAG_LESS                                      1 /* >= gfx9 */
#define     V_028010_FRAG_EQUAL                                     2 /* >= gfx9 */
#define     V_028010_FRAG_LEQUAL                                    3 /* >= gfx9 */
#define     V_028010_FRAG_GREATER                                   4 /* >= gfx9 */
#define     V_028010_FRAG_NOTEQUAL                                  5 /* >= gfx9 */
#define     V_028010_FRAG_GEQUAL                                    6 /* >= gfx9 */
#define     V_028010_FRAG_ALWAYS                                    7 /* >= gfx9 */
#define   S_028010_HIS_SFUNC_FF(x)                                    (((unsigned)(x) & 0x7) << 15) /* >= gfx7 */
#define   G_028010_HIS_SFUNC_FF(x)                                    (((x) >> 15) & 0x7)
#define   C_028010_HIS_SFUNC_FF                                       0xFFFC7FFF
#define   S_028010_HIS_SFUNC_BF(x)                                    (((unsigned)(x) & 0x7) << 18) /* >= gfx7 */
#define   G_028010_HIS_SFUNC_BF(x)                                    (((x) >> 18) & 0x7)
#define   C_028010_HIS_SFUNC_BF                                       0xFFE3FFFF
#define   S_028010_PRESERVE_ZRANGE(x)                                 (((unsigned)(x) & 0x1) << 21) /* >= gfx7 */
#define   G_028010_PRESERVE_ZRANGE(x)                                 (((x) >> 21) & 0x1)
#define   C_028010_PRESERVE_ZRANGE                                    0xFFDFFFFF
#define   S_028010_PRESERVE_SRESULTS(x)                               (((unsigned)(x) & 0x1) << 22) /* >= gfx7 */
#define   G_028010_PRESERVE_SRESULTS(x)                               (((x) >> 22) & 0x1)
#define   C_028010_PRESERVE_SRESULTS                                  0xFFBFFFFF
#define   S_028010_DISABLE_FAST_PASS(x)                               (((unsigned)(x) & 0x1) << 23) /* >= gfx7 */
#define   G_028010_DISABLE_FAST_PASS(x)                               (((x) >> 23) & 0x1)
#define   C_028010_DISABLE_FAST_PASS                                  0xFF7FFFFF
#define   S_028010_ALLOW_PARTIAL_RES_HIER_KILL(x)                     (((unsigned)(x) & 0x1) << 25) /* >= gfx9 */
#define   G_028010_ALLOW_PARTIAL_RES_HIER_KILL(x)                     (((x) >> 25) & 0x1)
#define   C_028010_ALLOW_PARTIAL_RES_HIER_KILL                        0xFDFFFFFF
#define R_028014_DB_HTILE_DATA_BASE                                     0x028014
#define   S_028014_BASE_256B(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028014_BASE_256B(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_028014_BASE_256B                                          0x00000000
#define R_028018_DB_HTILE_DATA_BASE_HI                                  0x028018 /* gfx9 */
#define   S_028018_BASE_HI(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_028018_BASE_HI(x)                                         (((x) >> 0) & 0xFF)
#define   C_028018_BASE_HI                                            0xFFFFFF00
#define R_02801C_DB_DEPTH_SIZE                                          0x02801C /* gfx9 */
#define   S_02801C_X_MAX(x)                                           (((unsigned)(x) & 0x3FFF) << 0)
#define   G_02801C_X_MAX(x)                                           (((x) >> 0) & 0x3FFF)
#define   C_02801C_X_MAX                                              0xFFFFC000
#define   S_02801C_Y_MAX(x)                                           (((unsigned)(x) & 0x3FFF) << 16)
#define   G_02801C_Y_MAX(x)                                           (((x) >> 16) & 0x3FFF)
#define   C_02801C_Y_MAX                                              0xC000FFFF
#define R_02801C_DB_DEPTH_SIZE_XY                                       0x02801C /* >= gfx10 */
#define R_028020_DB_DEPTH_BOUNDS_MIN                                    0x028020
#define   S_028020_MIN(x)                                             (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028020_MIN(x)                                             (((x) >> 0) & 0xFFFFFFFF)
#define   C_028020_MIN                                                0x00000000
#define R_028024_DB_DEPTH_BOUNDS_MAX                                    0x028024
#define   S_028024_MAX(x)                                             (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028024_MAX(x)                                             (((x) >> 0) & 0xFFFFFFFF)
#define   C_028024_MAX                                                0x00000000
#define R_028028_DB_STENCIL_CLEAR                                       0x028028
#define   S_028028_CLEAR(x)                                           (((unsigned)(x) & 0xFF) << 0)
#define   G_028028_CLEAR(x)                                           (((x) >> 0) & 0xFF)
#define   C_028028_CLEAR                                              0xFFFFFF00
#define R_02802C_DB_DEPTH_CLEAR                                         0x02802C
#define   S_02802C_DEPTH_CLEAR(x)                                     (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_02802C_DEPTH_CLEAR(x)                                     (((x) >> 0) & 0xFFFFFFFF)
#define   C_02802C_DEPTH_CLEAR                                        0x00000000
#define R_028030_PA_SC_SCREEN_SCISSOR_TL                                0x028030
#define   S_028030_TL_X(x)                                            (((unsigned)(x) & 0xFFFF) << 0)
#define   G_028030_TL_X(x)                                            (((x) >> 0) & 0xFFFF)
#define   C_028030_TL_X                                               0xFFFF0000
#define   S_028030_TL_Y(x)                                            (((unsigned)(x) & 0xFFFF) << 16)
#define   G_028030_TL_Y(x)                                            (((x) >> 16) & 0xFFFF)
#define   C_028030_TL_Y                                               0x0000FFFF
#define R_028034_PA_SC_SCREEN_SCISSOR_BR                                0x028034
#define   S_028034_BR_X(x)                                            (((unsigned)(x) & 0xFFFF) << 0)
#define   G_028034_BR_X(x)                                            (((x) >> 0) & 0xFFFF)
#define   C_028034_BR_X                                               0xFFFF0000
#define   S_028034_BR_Y(x)                                            (((unsigned)(x) & 0xFFFF) << 16)
#define   G_028034_BR_Y(x)                                            (((x) >> 16) & 0xFFFF)
#define   C_028034_BR_Y                                               0x0000FFFF
#define R_028038_DB_DFSM_CONTROL                                        0x028038 /* >= gfx10 */
#define   S_028038_PUNCHOUT_MODE(x)                                   (((unsigned)(x) & 0x3) << 0)
#define   G_028038_PUNCHOUT_MODE(x)                                   (((x) >> 0) & 0x3)
#define   C_028038_PUNCHOUT_MODE                                      0xFFFFFFFC
#define     V_028038_AUTO                                           0
#define     V_028038_FORCE_ON                                       1
#define     V_028038_FORCE_OFF                                      2
#define     V_028038_RESERVED                                       3
#define   S_028038_POPS_DRAIN_PS_ON_OVERLAP(x)                        (((unsigned)(x) & 0x1) << 2)
#define   G_028038_POPS_DRAIN_PS_ON_OVERLAP(x)                        (((x) >> 2) & 0x1)
#define   C_028038_POPS_DRAIN_PS_ON_OVERLAP                           0xFFFFFFFB
#define   S_028038_DISALLOW_OVERFLOW(x)                               (((unsigned)(x) & 0x1) << 3)
#define   G_028038_DISALLOW_OVERFLOW(x)                               (((x) >> 3) & 0x1)
#define   C_028038_DISALLOW_OVERFLOW                                  0xFFFFFFF7
#define R_028038_DB_Z_INFO                                              0x028038 /* gfx9 */
#define   S_028038_FORMAT(x)                                          (((unsigned)(x) & 0x3) << 0)
#define   G_028038_FORMAT(x)                                          (((x) >> 0) & 0x3)
#define   C_028038_FORMAT                                             0xFFFFFFFC
#define   S_028038_NUM_SAMPLES(x)                                     (((unsigned)(x) & 0x3) << 2)
#define   G_028038_NUM_SAMPLES(x)                                     (((x) >> 2) & 0x3)
#define   C_028038_NUM_SAMPLES                                        0xFFFFFFF3
#define   S_028038_SW_MODE(x)                                         (((unsigned)(x) & 0x1F) << 4)
#define   G_028038_SW_MODE(x)                                         (((x) >> 4) & 0x1F)
#define   C_028038_SW_MODE                                            0xFFFFFE0F
#define   S_028038_PARTIALLY_RESIDENT(x)                              (((unsigned)(x) & 0x1) << 12)
#define   G_028038_PARTIALLY_RESIDENT(x)                              (((x) >> 12) & 0x1)
#define   C_028038_PARTIALLY_RESIDENT                                 0xFFFFEFFF
#define   S_028038_FAULT_BEHAVIOR(x)                                  (((unsigned)(x) & 0x3) << 13)
#define   G_028038_FAULT_BEHAVIOR(x)                                  (((x) >> 13) & 0x3)
#define   C_028038_FAULT_BEHAVIOR                                     0xFFFF9FFF
#define   S_028038_ITERATE_FLUSH(x)                                   (((unsigned)(x) & 0x1) << 15)
#define   G_028038_ITERATE_FLUSH(x)                                   (((x) >> 15) & 0x1)
#define   C_028038_ITERATE_FLUSH                                      0xFFFF7FFF
#define   S_028038_MAXMIP(x)                                          (((unsigned)(x) & 0xF) << 16)
#define   G_028038_MAXMIP(x)                                          (((x) >> 16) & 0xF)
#define   C_028038_MAXMIP                                             0xFFF0FFFF
#define   S_028038_DECOMPRESS_ON_N_ZPLANES(x)                         (((unsigned)(x) & 0xF) << 23)
#define   G_028038_DECOMPRESS_ON_N_ZPLANES(x)                         (((x) >> 23) & 0xF)
#define   C_028038_DECOMPRESS_ON_N_ZPLANES                            0xF87FFFFF
#define   S_028038_ALLOW_EXPCLEAR(x)                                  (((unsigned)(x) & 0x1) << 27)
#define   G_028038_ALLOW_EXPCLEAR(x)                                  (((x) >> 27) & 0x1)
#define   C_028038_ALLOW_EXPCLEAR                                     0xF7FFFFFF
#define   S_028038_READ_SIZE(x)                                       (((unsigned)(x) & 0x1) << 28)
#define   G_028038_READ_SIZE(x)                                       (((x) >> 28) & 0x1)
#define   C_028038_READ_SIZE                                          0xEFFFFFFF
#define   S_028038_TILE_SURFACE_ENABLE(x)                             (((unsigned)(x) & 0x1) << 29)
#define   G_028038_TILE_SURFACE_ENABLE(x)                             (((x) >> 29) & 0x1)
#define   C_028038_TILE_SURFACE_ENABLE                                0xDFFFFFFF
#define   S_028038_CLEAR_DISALLOWED(x)                                (((unsigned)(x) & 0x1) << 30)
#define   G_028038_CLEAR_DISALLOWED(x)                                (((x) >> 30) & 0x1)
#define   C_028038_CLEAR_DISALLOWED                                   0xBFFFFFFF
#define   S_028038_ZRANGE_PRECISION(x)                                (((unsigned)(x) & 0x1) << 31)
#define   G_028038_ZRANGE_PRECISION(x)                                (((x) >> 31) & 0x1)
#define   C_028038_ZRANGE_PRECISION                                   0x7FFFFFFF
#define R_02803C_DB_DEPTH_INFO                                          0x02803C /* <= stoney, >= gfx10 */
#define   S_02803C_ADDR5_SWIZZLE_MASK(x)                              (((unsigned)(x) & 0xF) << 0)
#define   G_02803C_ADDR5_SWIZZLE_MASK(x)                              (((x) >> 0) & 0xF)
#define   C_02803C_ADDR5_SWIZZLE_MASK                                 0xFFFFFFF0
#define   S_02803C_ARRAY_MODE(x)                                      (((unsigned)(x) & 0xF) << 4) /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   G_02803C_ARRAY_MODE(x)                                      (((x) >> 4) & 0xF)
#define   C_02803C_ARRAY_MODE                                         0xFFFFFF0F
#define     V_02803C_ARRAY_LINEAR_GENERAL                           0 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ARRAY_LINEAR_ALIGNED                           1 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ARRAY_1D_TILED_THIN1                           2 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ARRAY_2D_TILED_THIN1                           4 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ARRAY_PRT_TILED_THIN1                          5 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ARRAY_PRT_2D_TILED_THIN1                       6 /* gfx7, gfx8, fiji, stoney */
#define   S_02803C_PIPE_CONFIG(x)                                     (((unsigned)(x) & 0x1F) << 8) /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   G_02803C_PIPE_CONFIG(x)                                     (((x) >> 8) & 0x1F)
#define   C_02803C_PIPE_CONFIG                                        0xFFFFE0FF
#define     V_02803C_ADDR_SURF_P2                                   0 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_X_ADDR_SURF_P4_8X16                            4 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_X_ADDR_SURF_P4_16X16                           5 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_X_ADDR_SURF_P4_16X32                           6 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_X_ADDR_SURF_P4_32X32                           7 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_X_ADDR_SURF_P8_16X16_8X16                      8 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_X_ADDR_SURF_P8_16X32_8X16                      9 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_X_ADDR_SURF_P8_32X32_8X16                      10 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_X_ADDR_SURF_P8_16X32_16X16                     11 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_X_ADDR_SURF_P8_32X32_16X16                     12 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_X_ADDR_SURF_P8_32X32_16X32                     13 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_X_ADDR_SURF_P8_32X64_32X32                     14 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_X_ADDR_SURF_P16_32X32_8X16                     16 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_X_ADDR_SURF_P16_32X32_16X16                    17 /* gfx7, gfx8, fiji, stoney */
#define   S_02803C_BANK_WIDTH(x)                                      (((unsigned)(x) & 0x3) << 13) /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   G_02803C_BANK_WIDTH(x)                                      (((x) >> 13) & 0x3)
#define   C_02803C_BANK_WIDTH                                         0xFFFF9FFF
#define     V_02803C_ADDR_SURF_BANK_WIDTH_1                         0 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ADDR_SURF_BANK_WIDTH_2                         1 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ADDR_SURF_BANK_WIDTH_4                         2 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ADDR_SURF_BANK_WIDTH_8                         3 /* gfx7, gfx8, fiji, stoney */
#define   S_02803C_BANK_HEIGHT(x)                                     (((unsigned)(x) & 0x3) << 15) /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   G_02803C_BANK_HEIGHT(x)                                     (((x) >> 15) & 0x3)
#define   C_02803C_BANK_HEIGHT                                        0xFFFE7FFF
#define     V_02803C_ADDR_SURF_BANK_HEIGHT_1                        0 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ADDR_SURF_BANK_HEIGHT_2                        1 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ADDR_SURF_BANK_HEIGHT_4                        2 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ADDR_SURF_BANK_HEIGHT_8                        3 /* gfx7, gfx8, fiji, stoney */
#define   S_02803C_MACRO_TILE_ASPECT(x)                               (((unsigned)(x) & 0x3) << 17) /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   G_02803C_MACRO_TILE_ASPECT(x)                               (((x) >> 17) & 0x3)
#define   C_02803C_MACRO_TILE_ASPECT                                  0xFFF9FFFF
#define     V_02803C_ADDR_SURF_MACRO_ASPECT_1                       0 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ADDR_SURF_MACRO_ASPECT_2                       1 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ADDR_SURF_MACRO_ASPECT_4                       2 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ADDR_SURF_MACRO_ASPECT_8                       3 /* gfx7, gfx8, fiji, stoney */
#define   S_02803C_NUM_BANKS(x)                                       (((unsigned)(x) & 0x3) << 19) /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   G_02803C_NUM_BANKS(x)                                       (((x) >> 19) & 0x3)
#define   C_02803C_NUM_BANKS                                          0xFFE7FFFF
#define     V_02803C_ADDR_SURF_2_BANK                               0 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ADDR_SURF_4_BANK                               1 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ADDR_SURF_8_BANK                               2 /* gfx7, gfx8, fiji, stoney */
#define     V_02803C_ADDR_SURF_16_BANK                              3 /* gfx7, gfx8, fiji, stoney */
#define   S_02803C_RESOURCE_LEVEL(x)                                  (((unsigned)(x) & 0xF) << 28) /* >= gfx10 */
#define   G_02803C_RESOURCE_LEVEL(x)                                  (((x) >> 28) & 0xF)
#define   C_02803C_RESOURCE_LEVEL                                     0x0FFFFFFF
#define R_02803C_DB_STENCIL_INFO                                        0x02803C /* gfx9 */
#define   S_02803C_FORMAT(x)                                          (((unsigned)(x) & 0x1) << 0)
#define   G_02803C_FORMAT(x)                                          (((x) >> 0) & 0x1)
#define   C_02803C_FORMAT                                             0xFFFFFFFE
#define   S_02803C_SW_MODE(x)                                         (((unsigned)(x) & 0x1F) << 4)
#define   G_02803C_SW_MODE(x)                                         (((x) >> 4) & 0x1F)
#define   C_02803C_SW_MODE                                            0xFFFFFE0F
#define   S_02803C_PARTIALLY_RESIDENT(x)                              (((unsigned)(x) & 0x1) << 12)
#define   G_02803C_PARTIALLY_RESIDENT(x)                              (((x) >> 12) & 0x1)
#define   C_02803C_PARTIALLY_RESIDENT                                 0xFFFFEFFF
#define   S_02803C_FAULT_BEHAVIOR(x)                                  (((unsigned)(x) & 0x3) << 13)
#define   G_02803C_FAULT_BEHAVIOR(x)                                  (((x) >> 13) & 0x3)
#define   C_02803C_FAULT_BEHAVIOR                                     0xFFFF9FFF
#define   S_02803C_ITERATE_FLUSH(x)                                   (((unsigned)(x) & 0x1) << 15)
#define   G_02803C_ITERATE_FLUSH(x)                                   (((x) >> 15) & 0x1)
#define   C_02803C_ITERATE_FLUSH                                      0xFFFF7FFF
#define   S_02803C_ALLOW_EXPCLEAR(x)                                  (((unsigned)(x) & 0x1) << 27)
#define   G_02803C_ALLOW_EXPCLEAR(x)                                  (((x) >> 27) & 0x1)
#define   C_02803C_ALLOW_EXPCLEAR                                     0xF7FFFFFF
#define   S_02803C_TILE_STENCIL_DISABLE(x)                            (((unsigned)(x) & 0x1) << 29)
#define   G_02803C_TILE_STENCIL_DISABLE(x)                            (((x) >> 29) & 0x1)
#define   C_02803C_TILE_STENCIL_DISABLE                               0xDFFFFFFF
#define   S_02803C_CLEAR_DISALLOWED(x)                                (((unsigned)(x) & 0x1) << 30)
#define   G_02803C_CLEAR_DISALLOWED(x)                                (((x) >> 30) & 0x1)
#define   C_02803C_CLEAR_DISALLOWED                                   0xBFFFFFFF
#define R_028040_DB_Z_INFO                                              0x028040 /* <= stoney, >= gfx10 */
#define   S_028040_FORMAT(x)                                          (((unsigned)(x) & 0x3) << 0)
#define   G_028040_FORMAT(x)                                          (((x) >> 0) & 0x3)
#define   C_028040_FORMAT                                             0xFFFFFFFC
#define     V_028040_Z_INVALID                                      0 /* <= stoney */
#define     V_028040_Z_16                                           1 /* <= stoney */
#define     V_028040_Z_24                                           2 /* <= stoney */
#define     V_028040_Z_32_FLOAT                                     3 /* <= stoney */
#define   S_028040_NUM_SAMPLES(x)                                     (((unsigned)(x) & 0x3) << 2)
#define   G_028040_NUM_SAMPLES(x)                                     (((x) >> 2) & 0x3)
#define   C_028040_NUM_SAMPLES                                        0xFFFFFFF3
#define   S_028040_SW_MODE(x)                                         (((unsigned)(x) & 0x1F) << 4) /* >= gfx10 */
#define   G_028040_SW_MODE(x)                                         (((x) >> 4) & 0x1F)
#define   C_028040_SW_MODE                                            0xFFFFFE0F
#define   S_028040_FAULT_BEHAVIOR(x)                                  (((unsigned)(x) & 0x3) << 9) /* >= gfx10 */
#define   G_028040_FAULT_BEHAVIOR(x)                                  (((x) >> 9) & 0x3)
#define   C_028040_FAULT_BEHAVIOR                                     0xFFFFF9FF
#define     V_028040_FAULT_ZERO                                     0
#define     V_028040_FAULT_ONE                                      1
#define     V_028040_FAULT_FAIL                                     2
#define     V_028040_FAULT_PASS                                     3
#define   S_028040_ITERATE_FLUSH(x)                                   (((unsigned)(x) & 0x1) << 11) /* >= gfx10 */
#define   G_028040_ITERATE_FLUSH(x)                                   (((x) >> 11) & 0x1)
#define   C_028040_ITERATE_FLUSH                                      0xFFFFF7FF
#define   S_028040_PARTIALLY_RESIDENT(x)                              (((unsigned)(x) & 0x1) << 12) /* >= gfx10 */
#define   G_028040_PARTIALLY_RESIDENT(x)                              (((x) >> 12) & 0x1)
#define   C_028040_PARTIALLY_RESIDENT                                 0xFFFFEFFF
#define   S_028040_TILE_SPLIT(x)                                      (((unsigned)(x) & 0x7) << 13) /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   G_028040_TILE_SPLIT(x)                                      (((x) >> 13) & 0x7)
#define   C_028040_TILE_SPLIT                                         0xFFFF1FFF
#define     V_028040_ADDR_SURF_TILE_SPLIT_64B                       0 /* gfx7, gfx8, fiji, stoney */
#define     V_028040_ADDR_SURF_TILE_SPLIT_128B                      1 /* gfx7, gfx8, fiji, stoney */
#define     V_028040_ADDR_SURF_TILE_SPLIT_256B                      2 /* gfx7, gfx8, fiji, stoney */
#define     V_028040_ADDR_SURF_TILE_SPLIT_512B                      3 /* gfx7, gfx8, fiji, stoney */
#define     V_028040_ADDR_SURF_TILE_SPLIT_1KB                       4 /* gfx7, gfx8, fiji, stoney */
#define     V_028040_ADDR_SURF_TILE_SPLIT_2KB                       5 /* gfx7, gfx8, fiji, stoney */
#define     V_028040_ADDR_SURF_TILE_SPLIT_4KB                       6 /* gfx7, gfx8, fiji, stoney */
#define   S_028040_MAXMIP(x)                                          (((unsigned)(x) & 0xF) << 16) /* >= gfx10 */
#define   G_028040_MAXMIP(x)                                          (((x) >> 16) & 0xF)
#define   C_028040_MAXMIP                                             0xFFF0FFFF
#define   S_028040_ITERATE_256(x)                                     (((unsigned)(x) & 0x1) << 20) /* >= gfx10 */
#define   G_028040_ITERATE_256(x)                                     (((x) >> 20) & 0x1)
#define   C_028040_ITERATE_256                                        0xFFEFFFFF
#define   S_028040_TILE_MODE_INDEX(x)                                 (((unsigned)(x) & 0x7) << 20) /* <= gfx6 */
#define   G_028040_TILE_MODE_INDEX(x)                                 (((x) >> 20) & 0x7)
#define   C_028040_TILE_MODE_INDEX                                    0xFF8FFFFF
#define   S_028040_DECOMPRESS_ON_N_ZPLANES(x)                         (((unsigned)(x) & 0xF) << 23) /* gfx8, fiji, stoney, >= gfx10 */
#define   G_028040_DECOMPRESS_ON_N_ZPLANES(x)                         (((x) >> 23) & 0xF)
#define   C_028040_DECOMPRESS_ON_N_ZPLANES                            0xF87FFFFF
#define   S_028040_ALLOW_EXPCLEAR(x)                                  (((unsigned)(x) & 0x1) << 27)
#define   G_028040_ALLOW_EXPCLEAR(x)                                  (((x) >> 27) & 0x1)
#define   C_028040_ALLOW_EXPCLEAR                                     0xF7FFFFFF
#define   S_028040_READ_SIZE(x)                                       (((unsigned)(x) & 0x1) << 28)
#define   G_028040_READ_SIZE(x)                                       (((x) >> 28) & 0x1)
#define   C_028040_READ_SIZE                                          0xEFFFFFFF
#define   S_028040_TILE_SURFACE_ENABLE(x)                             (((unsigned)(x) & 0x1) << 29)
#define   G_028040_TILE_SURFACE_ENABLE(x)                             (((x) >> 29) & 0x1)
#define   C_028040_TILE_SURFACE_ENABLE                                0xDFFFFFFF
#define   S_028040_CLEAR_DISALLOWED(x)                                (((unsigned)(x) & 0x1) << 30) /* gfx8, fiji, stoney */
#define   G_028040_CLEAR_DISALLOWED(x)                                (((x) >> 30) & 0x1)
#define   C_028040_CLEAR_DISALLOWED                                   0xBFFFFFFF
#define   S_028040_ZRANGE_PRECISION(x)                                (((unsigned)(x) & 0x1) << 31)
#define   G_028040_ZRANGE_PRECISION(x)                                (((x) >> 31) & 0x1)
#define   C_028040_ZRANGE_PRECISION                                   0x7FFFFFFF
#define R_028040_DB_Z_READ_BASE                                         0x028040 /* gfx9 */
#define R_028044_DB_STENCIL_INFO                                        0x028044 /* <= stoney, >= gfx10 */
#define   S_028044_FORMAT(x)                                          (((unsigned)(x) & 0x1) << 0)
#define   G_028044_FORMAT(x)                                          (((x) >> 0) & 0x1)
#define   C_028044_FORMAT                                             0xFFFFFFFE
#define     V_028044_STENCIL_INVALID                                0 /* <= stoney */
#define     V_028044_STENCIL_8                                      1 /* <= stoney */
#define   S_028044_SW_MODE(x)                                         (((unsigned)(x) & 0x1F) << 4) /* >= gfx10 */
#define   G_028044_SW_MODE(x)                                         (((x) >> 4) & 0x1F)
#define   C_028044_SW_MODE                                            0xFFFFFE0F
#define   S_028044_FAULT_BEHAVIOR(x)                                  (((unsigned)(x) & 0x3) << 9) /* >= gfx10 */
#define   G_028044_FAULT_BEHAVIOR(x)                                  (((x) >> 9) & 0x3)
#define   C_028044_FAULT_BEHAVIOR                                     0xFFFFF9FF
#define     V_028044_FAULT_ZERO                                     0
#define     V_028044_FAULT_ONE                                      1
#define     V_028044_FAULT_FAIL                                     2
#define     V_028044_FAULT_PASS                                     3
#define   S_028044_ITERATE_FLUSH(x)                                   (((unsigned)(x) & 0x1) << 11) /* >= gfx10 */
#define   G_028044_ITERATE_FLUSH(x)                                   (((x) >> 11) & 0x1)
#define   C_028044_ITERATE_FLUSH                                      0xFFFFF7FF
#define   S_028044_PARTIALLY_RESIDENT(x)                              (((unsigned)(x) & 0x1) << 12) /* >= gfx10 */
#define   G_028044_PARTIALLY_RESIDENT(x)                              (((x) >> 12) & 0x1)
#define   C_028044_PARTIALLY_RESIDENT                                 0xFFFFEFFF
#define   S_028044_TILE_SPLIT(x)                                      (((unsigned)(x) & 0x7) << 13) /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   G_028044_TILE_SPLIT(x)                                      (((x) >> 13) & 0x7)
#define   C_028044_TILE_SPLIT                                         0xFFFF1FFF
#define     V_028044_ADDR_SURF_TILE_SPLIT_64B                       0 /* gfx7, gfx8, fiji, stoney */
#define     V_028044_ADDR_SURF_TILE_SPLIT_128B                      1 /* gfx7, gfx8, fiji, stoney */
#define     V_028044_ADDR_SURF_TILE_SPLIT_256B                      2 /* gfx7, gfx8, fiji, stoney */
#define     V_028044_ADDR_SURF_TILE_SPLIT_512B                      3 /* gfx7, gfx8, fiji, stoney */
#define     V_028044_ADDR_SURF_TILE_SPLIT_1KB                       4 /* gfx7, gfx8, fiji, stoney */
#define     V_028044_ADDR_SURF_TILE_SPLIT_2KB                       5 /* gfx7, gfx8, fiji, stoney */
#define     V_028044_ADDR_SURF_TILE_SPLIT_4KB                       6 /* gfx7, gfx8, fiji, stoney */
#define   S_028044_ITERATE_256(x)                                     (((unsigned)(x) & 0x1) << 20) /* >= gfx10 */
#define   G_028044_ITERATE_256(x)                                     (((x) >> 20) & 0x1)
#define   C_028044_ITERATE_256                                        0xFFEFFFFF
#define   S_028044_TILE_MODE_INDEX(x)                                 (((unsigned)(x) & 0x7) << 20) /* <= gfx6 */
#define   G_028044_TILE_MODE_INDEX(x)                                 (((x) >> 20) & 0x7)
#define   C_028044_TILE_MODE_INDEX                                    0xFF8FFFFF
#define   S_028044_ALLOW_EXPCLEAR(x)                                  (((unsigned)(x) & 0x1) << 27)
#define   G_028044_ALLOW_EXPCLEAR(x)                                  (((x) >> 27) & 0x1)
#define   C_028044_ALLOW_EXPCLEAR                                     0xF7FFFFFF
#define   S_028044_TILE_STENCIL_DISABLE(x)                            (((unsigned)(x) & 0x1) << 29)
#define   G_028044_TILE_STENCIL_DISABLE(x)                            (((x) >> 29) & 0x1)
#define   C_028044_TILE_STENCIL_DISABLE                               0xDFFFFFFF
#define   S_028044_CLEAR_DISALLOWED(x)                                (((unsigned)(x) & 0x1) << 30) /* gfx8, fiji, stoney */
#define   G_028044_CLEAR_DISALLOWED(x)                                (((x) >> 30) & 0x1)
#define   C_028044_CLEAR_DISALLOWED                                   0xBFFFFFFF
#define R_028044_DB_Z_READ_BASE_HI                                      0x028044 /* gfx9 */
#define   S_028044_BASE_HI(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_028044_BASE_HI(x)                                         (((x) >> 0) & 0xFF)
#define   C_028044_BASE_HI                                            0xFFFFFF00
#define R_028048_DB_STENCIL_READ_BASE                                   0x028048 /* gfx9 */
#define R_028048_DB_Z_READ_BASE                                         0x028048 /* <= stoney, >= gfx10 */
#define   S_028048_BASE_256B(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028048_BASE_256B(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_028048_BASE_256B                                          0x00000000
#define R_02804C_DB_STENCIL_READ_BASE                                   0x02804C /* <= stoney, >= gfx10 */
#define   S_02804C_BASE_256B(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_02804C_BASE_256B(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_02804C_BASE_256B                                          0x00000000
#define R_02804C_DB_STENCIL_READ_BASE_HI                                0x02804C /* gfx9 */
#define   S_02804C_BASE_HI(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_02804C_BASE_HI(x)                                         (((x) >> 0) & 0xFF)
#define   C_02804C_BASE_HI                                            0xFFFFFF00
#define R_028050_DB_Z_WRITE_BASE                                        0x028050
#define   S_028050_BASE_256B(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028050_BASE_256B(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_028050_BASE_256B                                          0x00000000
#define R_028054_DB_STENCIL_WRITE_BASE                                  0x028054 /* <= stoney, >= gfx10 */
#define   S_028054_BASE_256B(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028054_BASE_256B(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_028054_BASE_256B                                          0x00000000
#define R_028054_DB_Z_WRITE_BASE_HI                                     0x028054 /* gfx9 */
#define   S_028054_BASE_HI(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_028054_BASE_HI(x)                                         (((x) >> 0) & 0xFF)
#define   C_028054_BASE_HI                                            0xFFFFFF00
#define R_028058_DB_DEPTH_SIZE                                          0x028058 /* <= stoney */
#define   S_028058_PITCH_TILE_MAX(x)                                  (((unsigned)(x) & 0x7FF) << 0)
#define   G_028058_PITCH_TILE_MAX(x)                                  (((x) >> 0) & 0x7FF)
#define   C_028058_PITCH_TILE_MAX                                     0xFFFFF800
#define   S_028058_HEIGHT_TILE_MAX(x)                                 (((unsigned)(x) & 0x7FF) << 11)
#define   G_028058_HEIGHT_TILE_MAX(x)                                 (((x) >> 11) & 0x7FF)
#define   C_028058_HEIGHT_TILE_MAX                                    0xFFC007FF
#define R_028058_DB_STENCIL_WRITE_BASE                                  0x028058 /* gfx9 */
#define R_02805C_DB_DEPTH_SLICE                                         0x02805C /* <= stoney */
#define   S_02805C_SLICE_TILE_MAX(x)                                  (((unsigned)(x) & 0x3FFFFF) << 0)
#define   G_02805C_SLICE_TILE_MAX(x)                                  (((x) >> 0) & 0x3FFFFF)
#define   C_02805C_SLICE_TILE_MAX                                     0xFFC00000
#define R_02805C_DB_STENCIL_WRITE_BASE_HI                               0x02805C /* gfx9 */
#define   S_02805C_BASE_HI(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_02805C_BASE_HI(x)                                         (((x) >> 0) & 0xFF)
#define   C_02805C_BASE_HI                                            0xFFFFFF00
#define R_028060_DB_DFSM_CONTROL                                        0x028060 /* gfx9 */
#define   S_028060_PUNCHOUT_MODE(x)                                   (((unsigned)(x) & 0x3) << 0)
#define   G_028060_PUNCHOUT_MODE(x)                                   (((x) >> 0) & 0x3)
#define   C_028060_PUNCHOUT_MODE                                      0xFFFFFFFC
#define     V_028060_AUTO                                           0
#define     V_028060_FORCE_ON                                       1
#define     V_028060_FORCE_OFF                                      2
#define     V_028060_RESERVED                                       3
#define   S_028060_POPS_DRAIN_PS_ON_OVERLAP(x)                        (((unsigned)(x) & 0x1) << 2)
#define   G_028060_POPS_DRAIN_PS_ON_OVERLAP(x)                        (((x) >> 2) & 0x1)
#define   C_028060_POPS_DRAIN_PS_ON_OVERLAP                           0xFFFFFFFB
#define   S_028060_DISALLOW_OVERFLOW(x)                               (((unsigned)(x) & 0x1) << 3)
#define   G_028060_DISALLOW_OVERFLOW(x)                               (((x) >> 3) & 0x1)
#define   C_028060_DISALLOW_OVERFLOW                                  0xFFFFFFF7
#define R_028068_DB_Z_INFO2                                             0x028068 /* gfx9 */
#define   S_028068_EPITCH(x)                                          (((unsigned)(x) & 0xFFFF) << 0)
#define   G_028068_EPITCH(x)                                          (((x) >> 0) & 0xFFFF)
#define   C_028068_EPITCH                                             0xFFFF0000
#define R_028068_DB_Z_READ_BASE_HI                                      0x028068 /* >= gfx10 */
#define   S_028068_BASE_HI(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_028068_BASE_HI(x)                                         (((x) >> 0) & 0xFF)
#define   C_028068_BASE_HI                                            0xFFFFFF00
#define R_02806C_DB_STENCIL_INFO2                                       0x02806C /* gfx9 */
#define   S_02806C_EPITCH(x)                                          (((unsigned)(x) & 0xFFFF) << 0)
#define   G_02806C_EPITCH(x)                                          (((x) >> 0) & 0xFFFF)
#define   C_02806C_EPITCH                                             0xFFFF0000
#define R_02806C_DB_STENCIL_READ_BASE_HI                                0x02806C /* >= gfx10 */
#define   S_02806C_BASE_HI(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_02806C_BASE_HI(x)                                         (((x) >> 0) & 0xFF)
#define   C_02806C_BASE_HI                                            0xFFFFFF00
#define R_028070_DB_Z_WRITE_BASE_HI                                     0x028070 /* >= gfx10 */
#define   S_028070_BASE_HI(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_028070_BASE_HI(x)                                         (((x) >> 0) & 0xFF)
#define   C_028070_BASE_HI                                            0xFFFFFF00
#define R_028074_DB_STENCIL_WRITE_BASE_HI                               0x028074 /* >= gfx10 */
#define   S_028074_BASE_HI(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_028074_BASE_HI(x)                                         (((x) >> 0) & 0xFF)
#define   C_028074_BASE_HI                                            0xFFFFFF00
#define R_028078_DB_HTILE_DATA_BASE_HI                                  0x028078 /* >= gfx10 */
#define   S_028078_BASE_HI(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_028078_BASE_HI(x)                                         (((x) >> 0) & 0xFF)
#define   C_028078_BASE_HI                                            0xFFFFFF00
#define R_02807C_DB_RMI_L2_CACHE_CONTROL                                0x02807C /* >= gfx10 */
#define   S_02807C_Z_WR_POLICY(x)                                     (((unsigned)(x) & 0x3) << 0)
#define   G_02807C_Z_WR_POLICY(x)                                     (((x) >> 0) & 0x3)
#define   C_02807C_Z_WR_POLICY                                        0xFFFFFFFC
#define     V_02807C_CACHE_LRU_WR                                   0
#define     V_02807C_CACHE_STREAM_WR                                1
#define     V_02807C_CACHE_NOA_WR                                   2
#define     V_02807C_CACHE_BYPASS_WR                                3
#define   S_02807C_S_WR_POLICY(x)                                     (((unsigned)(x) & 0x3) << 2)
#define   G_02807C_S_WR_POLICY(x)                                     (((x) >> 2) & 0x3)
#define   C_02807C_S_WR_POLICY                                        0xFFFFFFF3
#define   S_02807C_HTILE_WR_POLICY(x)                                 (((unsigned)(x) & 0x3) << 4)
#define   G_02807C_HTILE_WR_POLICY(x)                                 (((x) >> 4) & 0x3)
#define   C_02807C_HTILE_WR_POLICY                                    0xFFFFFFCF
#define   S_02807C_ZPCPSD_WR_POLICY(x)                                (((unsigned)(x) & 0x3) << 6)
#define   G_02807C_ZPCPSD_WR_POLICY(x)                                (((x) >> 6) & 0x3)
#define   C_02807C_ZPCPSD_WR_POLICY                                   0xFFFFFF3F
#define   S_02807C_Z_RD_POLICY(x)                                     (((unsigned)(x) & 0x3) << 16)
#define   G_02807C_Z_RD_POLICY(x)                                     (((x) >> 16) & 0x3)
#define   C_02807C_Z_RD_POLICY                                        0xFFFCFFFF
#define     V_02807C_CACHE_LRU_RD                                   0
#define     V_02807C_CACHE_STREAM_RD                                1
#define     V_02807C_CACHE_NOA_RD                                   2
#define     V_02807C_RESERVED_RDPOLICY                              3
#define   S_02807C_S_RD_POLICY(x)                                     (((unsigned)(x) & 0x3) << 18)
#define   G_02807C_S_RD_POLICY(x)                                     (((x) >> 18) & 0x3)
#define   C_02807C_S_RD_POLICY                                        0xFFF3FFFF
#define   S_02807C_HTILE_RD_POLICY(x)                                 (((unsigned)(x) & 0x3) << 20)
#define   G_02807C_HTILE_RD_POLICY(x)                                 (((x) >> 20) & 0x3)
#define   C_02807C_HTILE_RD_POLICY                                    0xFFCFFFFF
#define   S_02807C_Z_BIG_PAGE(x)                                      (((unsigned)(x) & 0x1) << 24)
#define   G_02807C_Z_BIG_PAGE(x)                                      (((x) >> 24) & 0x1)
#define   C_02807C_Z_BIG_PAGE                                         0xFEFFFFFF
#define   S_02807C_S_BIG_PAGE(x)                                      (((unsigned)(x) & 0x1) << 25)
#define   G_02807C_S_BIG_PAGE(x)                                      (((x) >> 25) & 0x1)
#define   C_02807C_S_BIG_PAGE                                         0xFDFFFFFF
#define R_028080_TA_BC_BASE_ADDR                                        0x028080
#define   S_028080_ADDRESS(x)                                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028080_ADDRESS(x)                                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_028080_ADDRESS                                            0x00000000
#define R_028084_TA_BC_BASE_ADDR_HI                                     0x028084 /* >= gfx7 */
#define   S_028084_ADDRESS(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_028084_ADDRESS(x)                                         (((x) >> 0) & 0xFF)
#define   C_028084_ADDRESS                                            0xFFFFFF00
#define R_0281E8_COHER_DEST_BASE_HI_0                                   0x0281E8 /* >= gfx7 */
#define   S_0281E8_DEST_BASE_HI_256B(x)                               (((unsigned)(x) & 0xFF) << 0)
#define   G_0281E8_DEST_BASE_HI_256B(x)                               (((x) >> 0) & 0xFF)
#define   C_0281E8_DEST_BASE_HI_256B                                  0xFFFFFF00
#define R_0281EC_COHER_DEST_BASE_HI_1                                   0x0281EC /* >= gfx7 */
#define R_0281F0_COHER_DEST_BASE_HI_2                                   0x0281F0 /* >= gfx7 */
#define R_0281F4_COHER_DEST_BASE_HI_3                                   0x0281F4 /* >= gfx7 */
#define R_0281F8_COHER_DEST_BASE_2                                      0x0281F8
#define R_0281FC_COHER_DEST_BASE_3                                      0x0281FC
#define R_028200_PA_SC_WINDOW_OFFSET                                    0x028200
#define   S_028200_WINDOW_X_OFFSET(x)                                 (((unsigned)(x) & 0xFFFF) << 0)
#define   G_028200_WINDOW_X_OFFSET(x)                                 (((x) >> 0) & 0xFFFF)
#define   C_028200_WINDOW_X_OFFSET                                    0xFFFF0000
#define   S_028200_WINDOW_Y_OFFSET(x)                                 (((unsigned)(x) & 0xFFFF) << 16)
#define   G_028200_WINDOW_Y_OFFSET(x)                                 (((x) >> 16) & 0xFFFF)
#define   C_028200_WINDOW_Y_OFFSET                                    0x0000FFFF
#define R_028204_PA_SC_WINDOW_SCISSOR_TL                                0x028204
#define   S_028204_TL_X(x)                                            (((unsigned)(x) & 0x7FFF) << 0)
#define   G_028204_TL_X(x)                                            (((x) >> 0) & 0x7FFF)
#define   C_028204_TL_X                                               0xFFFF8000
#define   S_028204_TL_Y(x)                                            (((unsigned)(x) & 0x7FFF) << 16)
#define   G_028204_TL_Y(x)                                            (((x) >> 16) & 0x7FFF)
#define   C_028204_TL_Y                                               0x8000FFFF
#define   S_028204_WINDOW_OFFSET_DISABLE(x)                           (((unsigned)(x) & 0x1) << 31)
#define   G_028204_WINDOW_OFFSET_DISABLE(x)                           (((x) >> 31) & 0x1)
#define   C_028204_WINDOW_OFFSET_DISABLE                              0x7FFFFFFF
#define R_028208_PA_SC_WINDOW_SCISSOR_BR                                0x028208
#define   S_028208_BR_X(x)                                            (((unsigned)(x) & 0x7FFF) << 0)
#define   G_028208_BR_X(x)                                            (((x) >> 0) & 0x7FFF)
#define   C_028208_BR_X                                               0xFFFF8000
#define   S_028208_BR_Y(x)                                            (((unsigned)(x) & 0x7FFF) << 16)
#define   G_028208_BR_Y(x)                                            (((x) >> 16) & 0x7FFF)
#define   C_028208_BR_Y                                               0x8000FFFF
#define R_02820C_PA_SC_CLIPRECT_RULE                                    0x02820C
#define   S_02820C_CLIP_RULE(x)                                       (((unsigned)(x) & 0xFFFF) << 0)
#define   G_02820C_CLIP_RULE(x)                                       (((x) >> 0) & 0xFFFF)
#define   C_02820C_CLIP_RULE                                          0xFFFF0000
#define     V_02820C_OUT                                            1
#define     V_02820C_IN_0                                           2
#define     V_02820C_IN_1                                           4
#define     V_02820C_IN_10                                          8
#define     V_02820C_IN_2                                           16
#define     V_02820C_IN_20                                          32
#define     V_02820C_IN_21                                          64
#define     V_02820C_IN_210                                         128
#define     V_02820C_IN_3                                           256
#define     V_02820C_IN_30                                          512
#define     V_02820C_IN_31                                          1024
#define     V_02820C_IN_310                                         2048
#define     V_02820C_IN_32                                          4096
#define     V_02820C_IN_320                                         8192
#define     V_02820C_IN_321                                         16384
#define     V_02820C_IN_3210                                        32768
#define R_028210_PA_SC_CLIPRECT_0_TL                                    0x028210
#define   S_028210_TL_X(x)                                            (((unsigned)(x) & 0x7FFF) << 0)
#define   G_028210_TL_X(x)                                            (((x) >> 0) & 0x7FFF)
#define   C_028210_TL_X                                               0xFFFF8000
#define   S_028210_TL_Y(x)                                            (((unsigned)(x) & 0x7FFF) << 16)
#define   G_028210_TL_Y(x)                                            (((x) >> 16) & 0x7FFF)
#define   C_028210_TL_Y                                               0x8000FFFF
#define R_028214_PA_SC_CLIPRECT_0_BR                                    0x028214
#define   S_028214_BR_X(x)                                            (((unsigned)(x) & 0x7FFF) << 0)
#define   G_028214_BR_X(x)                                            (((x) >> 0) & 0x7FFF)
#define   C_028214_BR_X                                               0xFFFF8000
#define   S_028214_BR_Y(x)                                            (((unsigned)(x) & 0x7FFF) << 16)
#define   G_028214_BR_Y(x)                                            (((x) >> 16) & 0x7FFF)
#define   C_028214_BR_Y                                               0x8000FFFF
#define R_028218_PA_SC_CLIPRECT_1_TL                                    0x028218
#define R_02821C_PA_SC_CLIPRECT_1_BR                                    0x02821C
#define R_028220_PA_SC_CLIPRECT_2_TL                                    0x028220
#define R_028224_PA_SC_CLIPRECT_2_BR                                    0x028224
#define R_028228_PA_SC_CLIPRECT_3_TL                                    0x028228
#define R_02822C_PA_SC_CLIPRECT_3_BR                                    0x02822C
#define R_028230_PA_SC_EDGERULE                                         0x028230
#define   S_028230_ER_TRI(x)                                          (((unsigned)(x) & 0xF) << 0)
#define   G_028230_ER_TRI(x)                                          (((x) >> 0) & 0xF)
#define   C_028230_ER_TRI                                             0xFFFFFFF0
#define   S_028230_ER_POINT(x)                                        (((unsigned)(x) & 0xF) << 4)
#define   G_028230_ER_POINT(x)                                        (((x) >> 4) & 0xF)
#define   C_028230_ER_POINT                                           0xFFFFFF0F
#define   S_028230_ER_RECT(x)                                         (((unsigned)(x) & 0xF) << 8)
#define   G_028230_ER_RECT(x)                                         (((x) >> 8) & 0xF)
#define   C_028230_ER_RECT                                            0xFFFFF0FF
#define   S_028230_ER_LINE_LR(x)                                      (((unsigned)(x) & 0x3F) << 12)
#define   G_028230_ER_LINE_LR(x)                                      (((x) >> 12) & 0x3F)
#define   C_028230_ER_LINE_LR                                         0xFFFC0FFF
#define   S_028230_ER_LINE_RL(x)                                      (((unsigned)(x) & 0x3F) << 18)
#define   G_028230_ER_LINE_RL(x)                                      (((x) >> 18) & 0x3F)
#define   C_028230_ER_LINE_RL                                         0xFF03FFFF
#define   S_028230_ER_LINE_TB(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_028230_ER_LINE_TB(x)                                      (((x) >> 24) & 0xF)
#define   C_028230_ER_LINE_TB                                         0xF0FFFFFF
#define   S_028230_ER_LINE_BT(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_028230_ER_LINE_BT(x)                                      (((x) >> 28) & 0xF)
#define   C_028230_ER_LINE_BT                                         0x0FFFFFFF
#define R_028234_PA_SU_HARDWARE_SCREEN_OFFSET                           0x028234
#define   S_028234_HW_SCREEN_OFFSET_X(x)                              (((unsigned)(x) & 0x1FF) << 0)
#define   G_028234_HW_SCREEN_OFFSET_X(x)                              (((x) >> 0) & 0x1FF)
#define   C_028234_HW_SCREEN_OFFSET_X                                 0xFFFFFE00
#define   S_028234_HW_SCREEN_OFFSET_Y(x)                              (((unsigned)(x) & 0x1FF) << 16)
#define   G_028234_HW_SCREEN_OFFSET_Y(x)                              (((x) >> 16) & 0x1FF)
#define   C_028234_HW_SCREEN_OFFSET_Y                                 0xFE00FFFF
#define R_028238_CB_TARGET_MASK                                         0x028238
#define   S_028238_TARGET0_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 0)
#define   G_028238_TARGET0_ENABLE(x)                                  (((x) >> 0) & 0xF)
#define   C_028238_TARGET0_ENABLE                                     0xFFFFFFF0
#define   S_028238_TARGET1_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 4)
#define   G_028238_TARGET1_ENABLE(x)                                  (((x) >> 4) & 0xF)
#define   C_028238_TARGET1_ENABLE                                     0xFFFFFF0F
#define   S_028238_TARGET2_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 8)
#define   G_028238_TARGET2_ENABLE(x)                                  (((x) >> 8) & 0xF)
#define   C_028238_TARGET2_ENABLE                                     0xFFFFF0FF
#define   S_028238_TARGET3_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 12)
#define   G_028238_TARGET3_ENABLE(x)                                  (((x) >> 12) & 0xF)
#define   C_028238_TARGET3_ENABLE                                     0xFFFF0FFF
#define   S_028238_TARGET4_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 16)
#define   G_028238_TARGET4_ENABLE(x)                                  (((x) >> 16) & 0xF)
#define   C_028238_TARGET4_ENABLE                                     0xFFF0FFFF
#define   S_028238_TARGET5_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 20)
#define   G_028238_TARGET5_ENABLE(x)                                  (((x) >> 20) & 0xF)
#define   C_028238_TARGET5_ENABLE                                     0xFF0FFFFF
#define   S_028238_TARGET6_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 24)
#define   G_028238_TARGET6_ENABLE(x)                                  (((x) >> 24) & 0xF)
#define   C_028238_TARGET6_ENABLE                                     0xF0FFFFFF
#define   S_028238_TARGET7_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 28)
#define   G_028238_TARGET7_ENABLE(x)                                  (((x) >> 28) & 0xF)
#define   C_028238_TARGET7_ENABLE                                     0x0FFFFFFF
#define R_02823C_CB_SHADER_MASK                                         0x02823C
#define   S_02823C_OUTPUT0_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 0)
#define   G_02823C_OUTPUT0_ENABLE(x)                                  (((x) >> 0) & 0xF)
#define   C_02823C_OUTPUT0_ENABLE                                     0xFFFFFFF0
#define   S_02823C_OUTPUT1_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 4)
#define   G_02823C_OUTPUT1_ENABLE(x)                                  (((x) >> 4) & 0xF)
#define   C_02823C_OUTPUT1_ENABLE                                     0xFFFFFF0F
#define   S_02823C_OUTPUT2_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 8)
#define   G_02823C_OUTPUT2_ENABLE(x)                                  (((x) >> 8) & 0xF)
#define   C_02823C_OUTPUT2_ENABLE                                     0xFFFFF0FF
#define   S_02823C_OUTPUT3_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 12)
#define   G_02823C_OUTPUT3_ENABLE(x)                                  (((x) >> 12) & 0xF)
#define   C_02823C_OUTPUT3_ENABLE                                     0xFFFF0FFF
#define   S_02823C_OUTPUT4_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 16)
#define   G_02823C_OUTPUT4_ENABLE(x)                                  (((x) >> 16) & 0xF)
#define   C_02823C_OUTPUT4_ENABLE                                     0xFFF0FFFF
#define   S_02823C_OUTPUT5_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 20)
#define   G_02823C_OUTPUT5_ENABLE(x)                                  (((x) >> 20) & 0xF)
#define   C_02823C_OUTPUT5_ENABLE                                     0xFF0FFFFF
#define   S_02823C_OUTPUT6_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 24)
#define   G_02823C_OUTPUT6_ENABLE(x)                                  (((x) >> 24) & 0xF)
#define   C_02823C_OUTPUT6_ENABLE                                     0xF0FFFFFF
#define   S_02823C_OUTPUT7_ENABLE(x)                                  (((unsigned)(x) & 0xF) << 28)
#define   G_02823C_OUTPUT7_ENABLE(x)                                  (((x) >> 28) & 0xF)
#define   C_02823C_OUTPUT7_ENABLE                                     0x0FFFFFFF
#define R_028240_PA_SC_GENERIC_SCISSOR_TL                               0x028240
#define   S_028240_TL_X(x)                                            (((unsigned)(x) & 0x7FFF) << 0)
#define   G_028240_TL_X(x)                                            (((x) >> 0) & 0x7FFF)
#define   C_028240_TL_X                                               0xFFFF8000
#define   S_028240_TL_Y(x)                                            (((unsigned)(x) & 0x7FFF) << 16)
#define   G_028240_TL_Y(x)                                            (((x) >> 16) & 0x7FFF)
#define   C_028240_TL_Y                                               0x8000FFFF
#define   S_028240_WINDOW_OFFSET_DISABLE(x)                           (((unsigned)(x) & 0x1) << 31)
#define   G_028240_WINDOW_OFFSET_DISABLE(x)                           (((x) >> 31) & 0x1)
#define   C_028240_WINDOW_OFFSET_DISABLE                              0x7FFFFFFF
#define R_028244_PA_SC_GENERIC_SCISSOR_BR                               0x028244
#define   S_028244_BR_X(x)                                            (((unsigned)(x) & 0x7FFF) << 0)
#define   G_028244_BR_X(x)                                            (((x) >> 0) & 0x7FFF)
#define   C_028244_BR_X                                               0xFFFF8000
#define   S_028244_BR_Y(x)                                            (((unsigned)(x) & 0x7FFF) << 16)
#define   G_028244_BR_Y(x)                                            (((x) >> 16) & 0x7FFF)
#define   C_028244_BR_Y                                               0x8000FFFF
#define R_028248_COHER_DEST_BASE_0                                      0x028248
#define   S_028248_DEST_BASE_256B(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028248_DEST_BASE_256B(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_028248_DEST_BASE_256B                                     0x00000000
#define R_02824C_COHER_DEST_BASE_1                                      0x02824C
#define R_028250_PA_SC_VPORT_SCISSOR_0_TL                               0x028250
#define   S_028250_TL_X(x)                                            (((unsigned)(x) & 0x7FFF) << 0)
#define   G_028250_TL_X(x)                                            (((x) >> 0) & 0x7FFF)
#define   C_028250_TL_X                                               0xFFFF8000
#define   S_028250_TL_Y(x)                                            (((unsigned)(x) & 0x7FFF) << 16)
#define   G_028250_TL_Y(x)                                            (((x) >> 16) & 0x7FFF)
#define   C_028250_TL_Y                                               0x8000FFFF
#define   S_028250_WINDOW_OFFSET_DISABLE(x)                           (((unsigned)(x) & 0x1) << 31)
#define   G_028250_WINDOW_OFFSET_DISABLE(x)                           (((x) >> 31) & 0x1)
#define   C_028250_WINDOW_OFFSET_DISABLE                              0x7FFFFFFF
#define R_028254_PA_SC_VPORT_SCISSOR_0_BR                               0x028254
#define   S_028254_BR_X(x)                                            (((unsigned)(x) & 0x7FFF) << 0)
#define   G_028254_BR_X(x)                                            (((x) >> 0) & 0x7FFF)
#define   C_028254_BR_X                                               0xFFFF8000
#define   S_028254_BR_Y(x)                                            (((unsigned)(x) & 0x7FFF) << 16)
#define   G_028254_BR_Y(x)                                            (((x) >> 16) & 0x7FFF)
#define   C_028254_BR_Y                                               0x8000FFFF
#define R_028258_PA_SC_VPORT_SCISSOR_1_TL                               0x028258
#define R_02825C_PA_SC_VPORT_SCISSOR_1_BR                               0x02825C
#define R_028260_PA_SC_VPORT_SCISSOR_2_TL                               0x028260
#define R_028264_PA_SC_VPORT_SCISSOR_2_BR                               0x028264
#define R_028268_PA_SC_VPORT_SCISSOR_3_TL                               0x028268
#define R_02826C_PA_SC_VPORT_SCISSOR_3_BR                               0x02826C
#define R_028270_PA_SC_VPORT_SCISSOR_4_TL                               0x028270
#define R_028274_PA_SC_VPORT_SCISSOR_4_BR                               0x028274
#define R_028278_PA_SC_VPORT_SCISSOR_5_TL                               0x028278
#define R_02827C_PA_SC_VPORT_SCISSOR_5_BR                               0x02827C
#define R_028280_PA_SC_VPORT_SCISSOR_6_TL                               0x028280
#define R_028284_PA_SC_VPORT_SCISSOR_6_BR                               0x028284
#define R_028288_PA_SC_VPORT_SCISSOR_7_TL                               0x028288
#define R_02828C_PA_SC_VPORT_SCISSOR_7_BR                               0x02828C
#define R_028290_PA_SC_VPORT_SCISSOR_8_TL                               0x028290
#define R_028294_PA_SC_VPORT_SCISSOR_8_BR                               0x028294
#define R_028298_PA_SC_VPORT_SCISSOR_9_TL                               0x028298
#define R_02829C_PA_SC_VPORT_SCISSOR_9_BR                               0x02829C
#define R_0282A0_PA_SC_VPORT_SCISSOR_10_TL                              0x0282A0
#define R_0282A4_PA_SC_VPORT_SCISSOR_10_BR                              0x0282A4
#define R_0282A8_PA_SC_VPORT_SCISSOR_11_TL                              0x0282A8
#define R_0282AC_PA_SC_VPORT_SCISSOR_11_BR                              0x0282AC
#define R_0282B0_PA_SC_VPORT_SCISSOR_12_TL                              0x0282B0
#define R_0282B4_PA_SC_VPORT_SCISSOR_12_BR                              0x0282B4
#define R_0282B8_PA_SC_VPORT_SCISSOR_13_TL                              0x0282B8
#define R_0282BC_PA_SC_VPORT_SCISSOR_13_BR                              0x0282BC
#define R_0282C0_PA_SC_VPORT_SCISSOR_14_TL                              0x0282C0
#define R_0282C4_PA_SC_VPORT_SCISSOR_14_BR                              0x0282C4
#define R_0282C8_PA_SC_VPORT_SCISSOR_15_TL                              0x0282C8
#define R_0282CC_PA_SC_VPORT_SCISSOR_15_BR                              0x0282CC
#define R_0282D0_PA_SC_VPORT_ZMIN_0                                     0x0282D0
#define   S_0282D0_VPORT_ZMIN(x)                                      (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0282D0_VPORT_ZMIN(x)                                      (((x) >> 0) & 0xFFFFFFFF)
#define   C_0282D0_VPORT_ZMIN                                         0x00000000
#define R_0282D4_PA_SC_VPORT_ZMAX_0                                     0x0282D4
#define   S_0282D4_VPORT_ZMAX(x)                                      (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0282D4_VPORT_ZMAX(x)                                      (((x) >> 0) & 0xFFFFFFFF)
#define   C_0282D4_VPORT_ZMAX                                         0x00000000
#define R_0282D8_PA_SC_VPORT_ZMIN_1                                     0x0282D8
#define R_0282DC_PA_SC_VPORT_ZMAX_1                                     0x0282DC
#define R_0282E0_PA_SC_VPORT_ZMIN_2                                     0x0282E0
#define R_0282E4_PA_SC_VPORT_ZMAX_2                                     0x0282E4
#define R_0282E8_PA_SC_VPORT_ZMIN_3                                     0x0282E8
#define R_0282EC_PA_SC_VPORT_ZMAX_3                                     0x0282EC
#define R_0282F0_PA_SC_VPORT_ZMIN_4                                     0x0282F0
#define R_0282F4_PA_SC_VPORT_ZMAX_4                                     0x0282F4
#define R_0282F8_PA_SC_VPORT_ZMIN_5                                     0x0282F8
#define R_0282FC_PA_SC_VPORT_ZMAX_5                                     0x0282FC
#define R_028300_PA_SC_VPORT_ZMIN_6                                     0x028300
#define R_028304_PA_SC_VPORT_ZMAX_6                                     0x028304
#define R_028308_PA_SC_VPORT_ZMIN_7                                     0x028308
#define R_02830C_PA_SC_VPORT_ZMAX_7                                     0x02830C
#define R_028310_PA_SC_VPORT_ZMIN_8                                     0x028310
#define R_028314_PA_SC_VPORT_ZMAX_8                                     0x028314
#define R_028318_PA_SC_VPORT_ZMIN_9                                     0x028318
#define R_02831C_PA_SC_VPORT_ZMAX_9                                     0x02831C
#define R_028320_PA_SC_VPORT_ZMIN_10                                    0x028320
#define R_028324_PA_SC_VPORT_ZMAX_10                                    0x028324
#define R_028328_PA_SC_VPORT_ZMIN_11                                    0x028328
#define R_02832C_PA_SC_VPORT_ZMAX_11                                    0x02832C
#define R_028330_PA_SC_VPORT_ZMIN_12                                    0x028330
#define R_028334_PA_SC_VPORT_ZMAX_12                                    0x028334
#define R_028338_PA_SC_VPORT_ZMIN_13                                    0x028338
#define R_02833C_PA_SC_VPORT_ZMAX_13                                    0x02833C
#define R_028340_PA_SC_VPORT_ZMIN_14                                    0x028340
#define R_028344_PA_SC_VPORT_ZMAX_14                                    0x028344
#define R_028348_PA_SC_VPORT_ZMIN_15                                    0x028348
#define R_02834C_PA_SC_VPORT_ZMAX_15                                    0x02834C
#define R_028350_PA_SC_RASTER_CONFIG                                    0x028350
#define   S_028350_RB_MAP_PKR0(x)                                     (((unsigned)(x) & 0x3) << 0)
#define   G_028350_RB_MAP_PKR0(x)                                     (((x) >> 0) & 0x3)
#define   C_028350_RB_MAP_PKR0                                        0xFFFFFFFC
#define     V_028350_RASTER_CONFIG_RB_MAP_0                         0
#define     V_028350_RASTER_CONFIG_RB_MAP_1                         1
#define     V_028350_RASTER_CONFIG_RB_MAP_2                         2
#define     V_028350_RASTER_CONFIG_RB_MAP_3                         3
#define   S_028350_RB_MAP_PKR1(x)                                     (((unsigned)(x) & 0x3) << 2)
#define   G_028350_RB_MAP_PKR1(x)                                     (((x) >> 2) & 0x3)
#define   C_028350_RB_MAP_PKR1                                        0xFFFFFFF3
#define   S_028350_RB_XSEL2(x)                                        (((unsigned)(x) & 0x3) << 4)
#define   G_028350_RB_XSEL2(x)                                        (((x) >> 4) & 0x3)
#define   C_028350_RB_XSEL2                                           0xFFFFFFCF
#define     V_028350_RASTER_CONFIG_RB_XSEL2_0                       0
#define     V_028350_RASTER_CONFIG_RB_XSEL2_1                       1
#define     V_028350_RASTER_CONFIG_RB_XSEL2_2                       2
#define     V_028350_RASTER_CONFIG_RB_XSEL2_3                       3
#define   S_028350_RB_XSEL(x)                                         (((unsigned)(x) & 0x1) << 6)
#define   G_028350_RB_XSEL(x)                                         (((x) >> 6) & 0x1)
#define   C_028350_RB_XSEL                                            0xFFFFFFBF
#define     V_028350_RASTER_CONFIG_RB_XSEL_0                        0 /* <= stoney, >= gfx10 */
#define     V_028350_RASTER_CONFIG_RB_XSEL_1                        1 /* <= stoney, >= gfx10 */
#define   S_028350_RB_YSEL(x)                                         (((unsigned)(x) & 0x1) << 7)
#define   G_028350_RB_YSEL(x)                                         (((x) >> 7) & 0x1)
#define   C_028350_RB_YSEL                                            0xFFFFFF7F
#define     V_028350_RASTER_CONFIG_RB_YSEL_0                        0 /* <= stoney, >= gfx10 */
#define     V_028350_RASTER_CONFIG_RB_YSEL_1                        1 /* <= stoney, >= gfx10 */
#define   S_028350_PKR_MAP(x)                                         (((unsigned)(x) & 0x3) << 8)
#define   G_028350_PKR_MAP(x)                                         (((x) >> 8) & 0x3)
#define   C_028350_PKR_MAP                                            0xFFFFFCFF
#define     V_028350_RASTER_CONFIG_PKR_MAP_0                        0
#define     V_028350_RASTER_CONFIG_PKR_MAP_1                        1
#define     V_028350_RASTER_CONFIG_PKR_MAP_2                        2
#define     V_028350_RASTER_CONFIG_PKR_MAP_3                        3
#define   S_028350_PKR_XSEL(x)                                        (((unsigned)(x) & 0x3) << 10)
#define   G_028350_PKR_XSEL(x)                                        (((x) >> 10) & 0x3)
#define   C_028350_PKR_XSEL                                           0xFFFFF3FF
#define     V_028350_RASTER_CONFIG_PKR_XSEL_0                       0
#define     V_028350_RASTER_CONFIG_PKR_XSEL_1                       1
#define     V_028350_RASTER_CONFIG_PKR_XSEL_2                       2
#define     V_028350_RASTER_CONFIG_PKR_XSEL_3                       3
#define   S_028350_PKR_YSEL(x)                                        (((unsigned)(x) & 0x3) << 12)
#define   G_028350_PKR_YSEL(x)                                        (((x) >> 12) & 0x3)
#define   C_028350_PKR_YSEL                                           0xFFFFCFFF
#define     V_028350_RASTER_CONFIG_PKR_YSEL_0                       0
#define     V_028350_RASTER_CONFIG_PKR_YSEL_1                       1
#define     V_028350_RASTER_CONFIG_PKR_YSEL_2                       2
#define     V_028350_RASTER_CONFIG_PKR_YSEL_3                       3
#define   S_028350_PKR_XSEL2(x)                                       (((unsigned)(x) & 0x3) << 14)
#define   G_028350_PKR_XSEL2(x)                                       (((x) >> 14) & 0x3)
#define   C_028350_PKR_XSEL2                                          0xFFFF3FFF
#define     V_028350_RASTER_CONFIG_PKR_XSEL2_0                      0
#define     V_028350_RASTER_CONFIG_PKR_XSEL2_1                      1
#define     V_028350_RASTER_CONFIG_PKR_XSEL2_2                      2
#define     V_028350_RASTER_CONFIG_PKR_XSEL2_3                      3
#define   S_028350_SC_MAP(x)                                          (((unsigned)(x) & 0x3) << 16)
#define   G_028350_SC_MAP(x)                                          (((x) >> 16) & 0x3)
#define   C_028350_SC_MAP                                             0xFFFCFFFF
#define     V_028350_RASTER_CONFIG_SC_MAP_0                         0
#define     V_028350_RASTER_CONFIG_SC_MAP_1                         1
#define     V_028350_RASTER_CONFIG_SC_MAP_2                         2
#define     V_028350_RASTER_CONFIG_SC_MAP_3                         3
#define   S_028350_SC_XSEL(x)                                         (((unsigned)(x) & 0x3) << 18)
#define   G_028350_SC_XSEL(x)                                         (((x) >> 18) & 0x3)
#define   C_028350_SC_XSEL                                            0xFFF3FFFF
#define     V_028350_RASTER_CONFIG_SC_XSEL_8_WIDE_TILE              0
#define     V_028350_RASTER_CONFIG_SC_XSEL_16_WIDE_TILE             1
#define     V_028350_RASTER_CONFIG_SC_XSEL_32_WIDE_TILE             2
#define     V_028350_RASTER_CONFIG_SC_XSEL_64_WIDE_TILE             3
#define   S_028350_SC_YSEL(x)                                         (((unsigned)(x) & 0x3) << 20)
#define   G_028350_SC_YSEL(x)                                         (((x) >> 20) & 0x3)
#define   C_028350_SC_YSEL                                            0xFFCFFFFF
#define     V_028350_RASTER_CONFIG_SC_YSEL_8_WIDE_TILE              0
#define     V_028350_RASTER_CONFIG_SC_YSEL_16_WIDE_TILE             1
#define     V_028350_RASTER_CONFIG_SC_YSEL_32_WIDE_TILE             2
#define     V_028350_RASTER_CONFIG_SC_YSEL_64_WIDE_TILE             3
#define   S_028350_SE_MAP(x)                                          (((unsigned)(x) & 0x3) << 24)
#define   G_028350_SE_MAP(x)                                          (((x) >> 24) & 0x3)
#define   C_028350_SE_MAP                                             0xFCFFFFFF
#define     V_028350_RASTER_CONFIG_SE_MAP_0                         0
#define     V_028350_RASTER_CONFIG_SE_MAP_1                         1
#define     V_028350_RASTER_CONFIG_SE_MAP_2                         2
#define     V_028350_RASTER_CONFIG_SE_MAP_3                         3
#define   S_028350_SE_XSEL_GFX6(x)                                    (((unsigned)(x) & 0x3) << 26) /* <= stoney, >= gfx10 */
#define   G_028350_SE_XSEL_GFX6(x)                                    (((x) >> 26) & 0x3)
#define   C_028350_SE_XSEL_GFX6                                       0xF3FFFFFF
#define     V_028350_RASTER_CONFIG_SE_XSEL_8_WIDE_TILE              0
#define     V_028350_RASTER_CONFIG_SE_XSEL_16_WIDE_TILE             1
#define     V_028350_RASTER_CONFIG_SE_XSEL_32_WIDE_TILE             2
#define     V_028350_RASTER_CONFIG_SE_XSEL_64_WIDE_TILE             3
#define   S_028350_SE_XSEL_GFX9(x)                                    (((unsigned)(x) & 0x7) << 26) /* gfx9 */
#define   G_028350_SE_XSEL_GFX9(x)                                    (((x) >> 26) & 0x7)
#define   C_028350_SE_XSEL_GFX9                                       0xE3FFFFFF
#define   S_028350_SE_YSEL_GFX6(x)                                    (((unsigned)(x) & 0x3) << 28) /* <= stoney, >= gfx10 */
#define   G_028350_SE_YSEL_GFX6(x)                                    (((x) >> 28) & 0x3)
#define   C_028350_SE_YSEL_GFX6                                       0xCFFFFFFF
#define     V_028350_RASTER_CONFIG_SE_YSEL_8_WIDE_TILE              0
#define     V_028350_RASTER_CONFIG_SE_YSEL_16_WIDE_TILE             1
#define     V_028350_RASTER_CONFIG_SE_YSEL_32_WIDE_TILE             2
#define     V_028350_RASTER_CONFIG_SE_YSEL_64_WIDE_TILE             3
#define   S_028350_SE_YSEL_GFX9(x)                                    (((unsigned)(x) & 0x7) << 29) /* gfx9 */
#define   G_028350_SE_YSEL_GFX9(x)                                    (((x) >> 29) & 0x7)
#define   C_028350_SE_YSEL_GFX9                                       0x1FFFFFFF
#define R_028354_PA_SC_RASTER_CONFIG_1                                  0x028354 /* >= gfx7 */
#define   S_028354_SE_PAIR_MAP(x)                                     (((unsigned)(x) & 0x3) << 0)
#define   G_028354_SE_PAIR_MAP(x)                                     (((x) >> 0) & 0x3)
#define   C_028354_SE_PAIR_MAP                                        0xFFFFFFFC
#define     V_028354_RASTER_CONFIG_SE_PAIR_MAP_0                    0
#define     V_028354_RASTER_CONFIG_SE_PAIR_MAP_1                    1
#define     V_028354_RASTER_CONFIG_SE_PAIR_MAP_2                    2
#define     V_028354_RASTER_CONFIG_SE_PAIR_MAP_3                    3
#define   S_028354_SE_PAIR_XSEL_GFX7(x)                               (((unsigned)(x) & 0x3) << 2) /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   G_028354_SE_PAIR_XSEL_GFX7(x)                               (((x) >> 2) & 0x3)
#define   C_028354_SE_PAIR_XSEL_GFX7                                  0xFFFFFFF3
#define     V_028354_RASTER_CONFIG_SE_PAIR_XSEL_8_WIDE_TILE         0
#define     V_028354_RASTER_CONFIG_SE_PAIR_XSEL_16_WIDE_TILE        1
#define     V_028354_RASTER_CONFIG_SE_PAIR_XSEL_32_WIDE_TILE        2
#define     V_028354_RASTER_CONFIG_SE_PAIR_XSEL_64_WIDE_TILE        3
#define   S_028354_SE_PAIR_XSEL_GFX9(x)                               (((unsigned)(x) & 0x7) << 2) /* gfx9 */
#define   G_028354_SE_PAIR_XSEL_GFX9(x)                               (((x) >> 2) & 0x7)
#define   C_028354_SE_PAIR_XSEL_GFX9                                  0xFFFFFFE3
#define   S_028354_SE_PAIR_YSEL_GFX7(x)                               (((unsigned)(x) & 0x3) << 4) /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   G_028354_SE_PAIR_YSEL_GFX7(x)                               (((x) >> 4) & 0x3)
#define   C_028354_SE_PAIR_YSEL_GFX7                                  0xFFFFFFCF
#define     V_028354_RASTER_CONFIG_SE_PAIR_YSEL_8_WIDE_TILE         0
#define     V_028354_RASTER_CONFIG_SE_PAIR_YSEL_16_WIDE_TILE        1
#define     V_028354_RASTER_CONFIG_SE_PAIR_YSEL_32_WIDE_TILE        2
#define     V_028354_RASTER_CONFIG_SE_PAIR_YSEL_64_WIDE_TILE        3
#define   S_028354_SE_PAIR_YSEL_GFX9(x)                               (((unsigned)(x) & 0x7) << 5) /* gfx9 */
#define   G_028354_SE_PAIR_YSEL_GFX9(x)                               (((x) >> 5) & 0x7)
#define   C_028354_SE_PAIR_YSEL_GFX9                                  0xFFFFFF1F
#define R_028358_PA_SC_SCREEN_EXTENT_CONTROL                            0x028358 /* >= gfx7 */
#define   S_028358_SLICE_EVEN_ENABLE(x)                               (((unsigned)(x) & 0x3) << 0)
#define   G_028358_SLICE_EVEN_ENABLE(x)                               (((x) >> 0) & 0x3)
#define   C_028358_SLICE_EVEN_ENABLE                                  0xFFFFFFFC
#define   S_028358_SLICE_ODD_ENABLE(x)                                (((unsigned)(x) & 0x3) << 2)
#define   G_028358_SLICE_ODD_ENABLE(x)                                (((x) >> 2) & 0x3)
#define   C_028358_SLICE_ODD_ENABLE                                   0xFFFFFFF3
#define R_02835C_PA_SC_TILE_STEERING_OVERRIDE                           0x02835C /* >= gfx9 */
#define   S_02835C_ENABLE(x)                                          (((unsigned)(x) & 0x1) << 0)
#define   G_02835C_ENABLE(x)                                          (((x) >> 0) & 0x1)
#define   C_02835C_ENABLE                                             0xFFFFFFFE
#define   S_02835C_NUM_SE(x)                                          (((unsigned)(x) & 0x3) << 1)
#define   G_02835C_NUM_SE(x)                                          (((x) >> 1) & 0x3)
#define   C_02835C_NUM_SE                                             0xFFFFFFF9
#define   S_02835C_NUM_RB_PER_SE(x)                                   (((unsigned)(x) & 0x3) << 5)
#define   G_02835C_NUM_RB_PER_SE(x)                                   (((x) >> 5) & 0x3)
#define   C_02835C_NUM_RB_PER_SE                                      0xFFFFFF9F
#define   S_02835C_NUM_SC(x)                                          (((unsigned)(x) & 0x3) << 12) /* >= gfx10 */
#define   G_02835C_NUM_SC(x)                                          (((x) >> 12) & 0x3)
#define   C_02835C_NUM_SC                                             0xFFFFCFFF
#define   S_02835C_NUM_RB_PER_SC(x)                                   (((unsigned)(x) & 0x3) << 16) /* >= gfx10 */
#define   G_02835C_NUM_RB_PER_SC(x)                                   (((x) >> 16) & 0x3)
#define   C_02835C_NUM_RB_PER_SC                                      0xFFFCFFFF
#define   S_02835C_NUM_PACKER_PER_SC(x)                               (((unsigned)(x) & 0x1) << 20) /* >= gfx10 */
#define   G_02835C_NUM_PACKER_PER_SC(x)                               (((x) >> 20) & 0x1)
#define   C_02835C_NUM_PACKER_PER_SC                                  0xFFEFFFFF
#define R_028360_CP_PERFMON_CNTX_CNTL                                   0x028360 /* >= gfx9 */
#define   S_028360_PERFMON_ENABLE(x)                                  (((unsigned)(x) & 0x1) << 31)
#define   G_028360_PERFMON_ENABLE(x)                                  (((x) >> 31) & 0x1)
#define   C_028360_PERFMON_ENABLE                                     0x7FFFFFFF
#define R_028368_CP_VMID                                                0x028368 /* >= gfx10 */
#define   S_028368_VMID(x)                                            (((unsigned)(x) & 0xF) << 0)
#define   G_028368_VMID(x)                                            (((x) >> 0) & 0xF)
#define   C_028368_VMID                                               0xFFFFFFF0
#define R_0283A0_PA_SC_RIGHT_VERT_GRID                                  0x0283A0 /* >= gfx9 */
#define   S_0283A0_LEFT_QTR(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_0283A0_LEFT_QTR(x)                                        (((x) >> 0) & 0xFF)
#define   C_0283A0_LEFT_QTR                                           0xFFFFFF00
#define   S_0283A0_LEFT_HALF(x)                                       (((unsigned)(x) & 0xFF) << 8)
#define   G_0283A0_LEFT_HALF(x)                                       (((x) >> 8) & 0xFF)
#define   C_0283A0_LEFT_HALF                                          0xFFFF00FF
#define   S_0283A0_RIGHT_HALF(x)                                      (((unsigned)(x) & 0xFF) << 16)
#define   G_0283A0_RIGHT_HALF(x)                                      (((x) >> 16) & 0xFF)
#define   C_0283A0_RIGHT_HALF                                         0xFF00FFFF
#define   S_0283A0_RIGHT_QTR(x)                                       (((unsigned)(x) & 0xFF) << 24)
#define   G_0283A0_RIGHT_QTR(x)                                       (((x) >> 24) & 0xFF)
#define   C_0283A0_RIGHT_QTR                                          0x00FFFFFF
#define R_0283A4_PA_SC_LEFT_VERT_GRID                                   0x0283A4 /* >= gfx9 */
#define   S_0283A4_LEFT_QTR(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_0283A4_LEFT_QTR(x)                                        (((x) >> 0) & 0xFF)
#define   C_0283A4_LEFT_QTR                                           0xFFFFFF00
#define   S_0283A4_LEFT_HALF(x)                                       (((unsigned)(x) & 0xFF) << 8)
#define   G_0283A4_LEFT_HALF(x)                                       (((x) >> 8) & 0xFF)
#define   C_0283A4_LEFT_HALF                                          0xFFFF00FF
#define   S_0283A4_RIGHT_HALF(x)                                      (((unsigned)(x) & 0xFF) << 16)
#define   G_0283A4_RIGHT_HALF(x)                                      (((x) >> 16) & 0xFF)
#define   C_0283A4_RIGHT_HALF                                         0xFF00FFFF
#define   S_0283A4_RIGHT_QTR(x)                                       (((unsigned)(x) & 0xFF) << 24)
#define   G_0283A4_RIGHT_QTR(x)                                       (((x) >> 24) & 0xFF)
#define   C_0283A4_RIGHT_QTR                                          0x00FFFFFF
#define R_0283A8_PA_SC_HORIZ_GRID                                       0x0283A8 /* >= gfx9 */
#define   S_0283A8_TOP_QTR(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_0283A8_TOP_QTR(x)                                         (((x) >> 0) & 0xFF)
#define   C_0283A8_TOP_QTR                                            0xFFFFFF00
#define   S_0283A8_TOP_HALF(x)                                        (((unsigned)(x) & 0xFF) << 8)
#define   G_0283A8_TOP_HALF(x)                                        (((x) >> 8) & 0xFF)
#define   C_0283A8_TOP_HALF                                           0xFFFF00FF
#define   S_0283A8_BOT_HALF(x)                                        (((unsigned)(x) & 0xFF) << 16)
#define   G_0283A8_BOT_HALF(x)                                        (((x) >> 16) & 0xFF)
#define   C_0283A8_BOT_HALF                                           0xFF00FFFF
#define   S_0283A8_BOT_QTR(x)                                         (((unsigned)(x) & 0xFF) << 24)
#define   G_0283A8_BOT_QTR(x)                                         (((x) >> 24) & 0xFF)
#define   C_0283A8_BOT_QTR                                            0x00FFFFFF
#define R_028400_VGT_MAX_VTX_INDX                                       0x028400 /* <= stoney, >= gfx10 */
#define   S_028400_MAX_INDX(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028400_MAX_INDX(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_028400_MAX_INDX                                           0x00000000
#define R_028404_VGT_MIN_VTX_INDX                                       0x028404 /* <= stoney, >= gfx10 */
#define   S_028404_MIN_INDX(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028404_MIN_INDX(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_028404_MIN_INDX                                           0x00000000
#define R_028408_VGT_INDX_OFFSET                                        0x028408 /* <= stoney, >= gfx10 */
#define   S_028408_INDX_OFFSET(x)                                     (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028408_INDX_OFFSET(x)                                     (((x) >> 0) & 0xFFFFFFFF)
#define   C_028408_INDX_OFFSET                                        0x00000000
#define R_02840C_VGT_MULTI_PRIM_IB_RESET_INDX                           0x02840C
#define   S_02840C_RESET_INDX(x)                                      (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_02840C_RESET_INDX(x)                                      (((x) >> 0) & 0xFFFFFFFF)
#define   C_02840C_RESET_INDX                                         0x00000000
#define R_028410_CB_RMI_GL2_CACHE_CONTROL                               0x028410 /* >= gfx10 */
#define   S_028410_CMASK_WR_POLICY(x)                                 (((unsigned)(x) & 0x3) << 0)
#define   G_028410_CMASK_WR_POLICY(x)                                 (((x) >> 0) & 0x3)
#define   C_028410_CMASK_WR_POLICY                                    0xFFFFFFFC
#define     V_028410_CACHE_LRU_WR                                   0
#define     V_028410_CACHE_STREAM_WR                                1
#define     V_028410_CACHE_NOA_WR                                   2
#define     V_028410_CACHE_BYPASS_WR                                3
#define   S_028410_FMASK_WR_POLICY(x)                                 (((unsigned)(x) & 0x3) << 2)
#define   G_028410_FMASK_WR_POLICY(x)                                 (((x) >> 2) & 0x3)
#define   C_028410_FMASK_WR_POLICY                                    0xFFFFFFF3
#define   S_028410_DCC_WR_POLICY(x)                                   (((unsigned)(x) & 0x3) << 4)
#define   G_028410_DCC_WR_POLICY(x)                                   (((x) >> 4) & 0x3)
#define   C_028410_DCC_WR_POLICY                                      0xFFFFFFCF
#define   S_028410_COLOR_WR_POLICY(x)                                 (((unsigned)(x) & 0x3) << 6)
#define   G_028410_COLOR_WR_POLICY(x)                                 (((x) >> 6) & 0x3)
#define   C_028410_COLOR_WR_POLICY                                    0xFFFFFF3F
#define   S_028410_CMASK_RD_POLICY(x)                                 (((unsigned)(x) & 0x3) << 16)
#define   G_028410_CMASK_RD_POLICY(x)                                 (((x) >> 16) & 0x3)
#define   C_028410_CMASK_RD_POLICY                                    0xFFFCFFFF
#define     V_028410_CACHE_LRU_RD                                   0
#define     V_028410_CACHE_STREAM_RD                                1
#define     V_028410_CACHE_NOA_RD                                   2
#define     V_028410_RESERVED_RDPOLICY                              3
#define   S_028410_FMASK_RD_POLICY(x)                                 (((unsigned)(x) & 0x3) << 18)
#define   G_028410_FMASK_RD_POLICY(x)                                 (((x) >> 18) & 0x3)
#define   C_028410_FMASK_RD_POLICY                                    0xFFF3FFFF
#define   S_028410_DCC_RD_POLICY(x)                                   (((unsigned)(x) & 0x3) << 20)
#define   G_028410_DCC_RD_POLICY(x)                                   (((x) >> 20) & 0x3)
#define   C_028410_DCC_RD_POLICY                                      0xFFCFFFFF
#define   S_028410_COLOR_RD_POLICY(x)                                 (((unsigned)(x) & 0x3) << 22)
#define   G_028410_COLOR_RD_POLICY(x)                                 (((x) >> 22) & 0x3)
#define   C_028410_COLOR_RD_POLICY                                    0xFF3FFFFF
#define   S_028410_FMASK_BIG_PAGE(x)                                  (((unsigned)(x) & 0x1) << 30)
#define   G_028410_FMASK_BIG_PAGE(x)                                  (((x) >> 30) & 0x1)
#define   C_028410_FMASK_BIG_PAGE                                     0xBFFFFFFF
#define   S_028410_COLOR_BIG_PAGE(x)                                  (((unsigned)(x) & 0x1) << 31)
#define   G_028410_COLOR_BIG_PAGE(x)                                  (((x) >> 31) & 0x1)
#define   C_028410_COLOR_BIG_PAGE                                     0x7FFFFFFF
#define R_028414_CB_BLEND_RED                                           0x028414
#define   S_028414_BLEND_RED(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028414_BLEND_RED(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_028414_BLEND_RED                                          0x00000000
#define R_028418_CB_BLEND_GREEN                                         0x028418
#define   S_028418_BLEND_GREEN(x)                                     (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028418_BLEND_GREEN(x)                                     (((x) >> 0) & 0xFFFFFFFF)
#define   C_028418_BLEND_GREEN                                        0x00000000
#define R_02841C_CB_BLEND_BLUE                                          0x02841C
#define   S_02841C_BLEND_BLUE(x)                                      (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_02841C_BLEND_BLUE(x)                                      (((x) >> 0) & 0xFFFFFFFF)
#define   C_02841C_BLEND_BLUE                                         0x00000000
#define R_028420_CB_BLEND_ALPHA                                         0x028420
#define   S_028420_BLEND_ALPHA(x)                                     (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028420_BLEND_ALPHA(x)                                     (((x) >> 0) & 0xFFFFFFFF)
#define   C_028420_BLEND_ALPHA                                        0x00000000
#define R_028424_CB_DCC_CONTROL                                         0x028424 /* >= gfx8 */
#define   S_028424_OVERWRITE_COMBINER_DISABLE(x)                      (((unsigned)(x) & 0x1) << 0)
#define   G_028424_OVERWRITE_COMBINER_DISABLE(x)                      (((x) >> 0) & 0x1)
#define   C_028424_OVERWRITE_COMBINER_DISABLE                         0xFFFFFFFE
#define   S_028424_OVERWRITE_COMBINER_MRT_SHARING_DISABLE(x)          (((unsigned)(x) & 0x1) << 1) /* gfx8, fiji, stoney, gfx9 */
#define   G_028424_OVERWRITE_COMBINER_MRT_SHARING_DISABLE(x)          (((x) >> 1) & 0x1)
#define   C_028424_OVERWRITE_COMBINER_MRT_SHARING_DISABLE             0xFFFFFFFD
#define   S_028424_OVERWRITE_COMBINER_WATERMARK(x)                    (((unsigned)(x) & 0x1F) << 2)
#define   G_028424_OVERWRITE_COMBINER_WATERMARK(x)                    (((x) >> 2) & 0x1F)
#define   C_028424_OVERWRITE_COMBINER_WATERMARK                       0xFFFFFF83
#define   S_028424_DISABLE_CONSTANT_ENCODE_AC01(x)                    (((unsigned)(x) & 0x1) << 8) /* >= gfx10 */
#define   G_028424_DISABLE_CONSTANT_ENCODE_AC01(x)                    (((x) >> 8) & 0x1)
#define   C_028424_DISABLE_CONSTANT_ENCODE_AC01                       0xFFFFFEFF
#define   S_028424_DISABLE_CONSTANT_ENCODE_SINGLE(x)                  (((unsigned)(x) & 0x1) << 9) /* >= gfx10 */
#define   G_028424_DISABLE_CONSTANT_ENCODE_SINGLE(x)                  (((x) >> 9) & 0x1)
#define   C_028424_DISABLE_CONSTANT_ENCODE_SINGLE                     0xFFFFFDFF
#define   S_028424_DISABLE_CONSTANT_ENCODE_REG(x)                     (((unsigned)(x) & 0x1) << 10) /* >= gfx9 */
#define   G_028424_DISABLE_CONSTANT_ENCODE_REG(x)                     (((x) >> 10) & 0x1)
#define   C_028424_DISABLE_CONSTANT_ENCODE_REG                        0xFFFFFBFF
#define   S_028424_DISABLE_ELIMFC_SKIP_OF_AC01(x)                     (((unsigned)(x) & 0x1) << 12) /* >= gfx10 */
#define   G_028424_DISABLE_ELIMFC_SKIP_OF_AC01(x)                     (((x) >> 12) & 0x1)
#define   C_028424_DISABLE_ELIMFC_SKIP_OF_AC01                        0xFFFFEFFF
#define   S_028424_DISABLE_ELIMFC_SKIP_OF_SINGLE(x)                   (((unsigned)(x) & 0x1) << 13) /* >= gfx10 */
#define   G_028424_DISABLE_ELIMFC_SKIP_OF_SINGLE(x)                   (((x) >> 13) & 0x1)
#define   C_028424_DISABLE_ELIMFC_SKIP_OF_SINGLE                      0xFFFFDFFF
#define   S_028424_ENABLE_ELIMFC_SKIP_OF_REG(x)                       (((unsigned)(x) & 0x1) << 14) /* >= gfx10 */
#define   G_028424_ENABLE_ELIMFC_SKIP_OF_REG(x)                       (((x) >> 14) & 0x1)
#define   C_028424_ENABLE_ELIMFC_SKIP_OF_REG                          0xFFFFBFFF
#define R_028428_CB_COVERAGE_OUT_CONTROL                                0x028428 /* >= gfx10 */
#define   S_028428_COVERAGE_OUT_ENABLE(x)                             (((unsigned)(x) & 0x1) << 0)
#define   G_028428_COVERAGE_OUT_ENABLE(x)                             (((x) >> 0) & 0x1)
#define   C_028428_COVERAGE_OUT_ENABLE                                0xFFFFFFFE
#define   S_028428_COVERAGE_OUT_MRT(x)                                (((unsigned)(x) & 0x7) << 1)
#define   G_028428_COVERAGE_OUT_MRT(x)                                (((x) >> 1) & 0x7)
#define   C_028428_COVERAGE_OUT_MRT                                   0xFFFFFFF1
#define   S_028428_COVERAGE_OUT_CHANNEL(x)                            (((unsigned)(x) & 0x3) << 4)
#define   G_028428_COVERAGE_OUT_CHANNEL(x)                            (((x) >> 4) & 0x3)
#define   C_028428_COVERAGE_OUT_CHANNEL                               0xFFFFFFCF
#define   S_028428_COVERAGE_OUT_SAMPLES(x)                            (((unsigned)(x) & 0xF) << 8)
#define   G_028428_COVERAGE_OUT_SAMPLES(x)                            (((x) >> 8) & 0xF)
#define   C_028428_COVERAGE_OUT_SAMPLES                               0xFFFFF0FF
#define R_02842C_DB_STENCIL_CONTROL                                     0x02842C
#define   S_02842C_STENCILFAIL(x)                                     (((unsigned)(x) & 0xF) << 0)
#define   G_02842C_STENCILFAIL(x)                                     (((x) >> 0) & 0xF)
#define   C_02842C_STENCILFAIL                                        0xFFFFFFF0
#define     V_02842C_STENCIL_KEEP                                   0
#define     V_02842C_STENCIL_ZERO                                   1
#define     V_02842C_STENCIL_ONES                                   2
#define     V_02842C_STENCIL_REPLACE_TEST                           3
#define     V_02842C_STENCIL_REPLACE_OP                             4
#define     V_02842C_STENCIL_ADD_CLAMP                              5
#define     V_02842C_STENCIL_SUB_CLAMP                              6
#define     V_02842C_STENCIL_INVERT                                 7
#define     V_02842C_STENCIL_ADD_WRAP                               8
#define     V_02842C_STENCIL_SUB_WRAP                               9
#define     V_02842C_STENCIL_AND                                    10
#define     V_02842C_STENCIL_OR                                     11
#define     V_02842C_STENCIL_XOR                                    12
#define     V_02842C_STENCIL_NAND                                   13
#define     V_02842C_STENCIL_NOR                                    14
#define     V_02842C_STENCIL_XNOR                                   15
#define   S_02842C_STENCILZPASS(x)                                    (((unsigned)(x) & 0xF) << 4)
#define   G_02842C_STENCILZPASS(x)                                    (((x) >> 4) & 0xF)
#define   C_02842C_STENCILZPASS                                       0xFFFFFF0F
#define   S_02842C_STENCILZFAIL(x)                                    (((unsigned)(x) & 0xF) << 8)
#define   G_02842C_STENCILZFAIL(x)                                    (((x) >> 8) & 0xF)
#define   C_02842C_STENCILZFAIL                                       0xFFFFF0FF
#define   S_02842C_STENCILFAIL_BF(x)                                  (((unsigned)(x) & 0xF) << 12)
#define   G_02842C_STENCILFAIL_BF(x)                                  (((x) >> 12) & 0xF)
#define   C_02842C_STENCILFAIL_BF                                     0xFFFF0FFF
#define   S_02842C_STENCILZPASS_BF(x)                                 (((unsigned)(x) & 0xF) << 16)
#define   G_02842C_STENCILZPASS_BF(x)                                 (((x) >> 16) & 0xF)
#define   C_02842C_STENCILZPASS_BF                                    0xFFF0FFFF
#define   S_02842C_STENCILZFAIL_BF(x)                                 (((unsigned)(x) & 0xF) << 20)
#define   G_02842C_STENCILZFAIL_BF(x)                                 (((x) >> 20) & 0xF)
#define   C_02842C_STENCILZFAIL_BF                                    0xFF0FFFFF
#define R_028430_DB_STENCILREFMASK                                      0x028430
#define   S_028430_STENCILTESTVAL(x)                                  (((unsigned)(x) & 0xFF) << 0)
#define   G_028430_STENCILTESTVAL(x)                                  (((x) >> 0) & 0xFF)
#define   C_028430_STENCILTESTVAL                                     0xFFFFFF00
#define   S_028430_STENCILMASK(x)                                     (((unsigned)(x) & 0xFF) << 8)
#define   G_028430_STENCILMASK(x)                                     (((x) >> 8) & 0xFF)
#define   C_028430_STENCILMASK                                        0xFFFF00FF
#define   S_028430_STENCILWRITEMASK(x)                                (((unsigned)(x) & 0xFF) << 16)
#define   G_028430_STENCILWRITEMASK(x)                                (((x) >> 16) & 0xFF)
#define   C_028430_STENCILWRITEMASK                                   0xFF00FFFF
#define   S_028430_STENCILOPVAL(x)                                    (((unsigned)(x) & 0xFF) << 24)
#define   G_028430_STENCILOPVAL(x)                                    (((x) >> 24) & 0xFF)
#define   C_028430_STENCILOPVAL                                       0x00FFFFFF
#define R_028434_DB_STENCILREFMASK_BF                                   0x028434
#define   S_028434_STENCILTESTVAL_BF(x)                               (((unsigned)(x) & 0xFF) << 0)
#define   G_028434_STENCILTESTVAL_BF(x)                               (((x) >> 0) & 0xFF)
#define   C_028434_STENCILTESTVAL_BF                                  0xFFFFFF00
#define   S_028434_STENCILMASK_BF(x)                                  (((unsigned)(x) & 0xFF) << 8)
#define   G_028434_STENCILMASK_BF(x)                                  (((x) >> 8) & 0xFF)
#define   C_028434_STENCILMASK_BF                                     0xFFFF00FF
#define   S_028434_STENCILWRITEMASK_BF(x)                             (((unsigned)(x) & 0xFF) << 16)
#define   G_028434_STENCILWRITEMASK_BF(x)                             (((x) >> 16) & 0xFF)
#define   C_028434_STENCILWRITEMASK_BF                                0xFF00FFFF
#define   S_028434_STENCILOPVAL_BF(x)                                 (((unsigned)(x) & 0xFF) << 24)
#define   G_028434_STENCILOPVAL_BF(x)                                 (((x) >> 24) & 0xFF)
#define   C_028434_STENCILOPVAL_BF                                    0x00FFFFFF
#define R_02843C_PA_CL_VPORT_XSCALE                                     0x02843C
#define   S_02843C_VPORT_XSCALE(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_02843C_VPORT_XSCALE(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_02843C_VPORT_XSCALE                                       0x00000000
#define R_028440_PA_CL_VPORT_XOFFSET                                    0x028440
#define   S_028440_VPORT_XOFFSET(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028440_VPORT_XOFFSET(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_028440_VPORT_XOFFSET                                      0x00000000
#define R_028444_PA_CL_VPORT_YSCALE                                     0x028444
#define   S_028444_VPORT_YSCALE(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028444_VPORT_YSCALE(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_028444_VPORT_YSCALE                                       0x00000000
#define R_028448_PA_CL_VPORT_YOFFSET                                    0x028448
#define   S_028448_VPORT_YOFFSET(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028448_VPORT_YOFFSET(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_028448_VPORT_YOFFSET                                      0x00000000
#define R_02844C_PA_CL_VPORT_ZSCALE                                     0x02844C
#define   S_02844C_VPORT_ZSCALE(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_02844C_VPORT_ZSCALE(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_02844C_VPORT_ZSCALE                                       0x00000000
#define R_028450_PA_CL_VPORT_ZOFFSET                                    0x028450
#define   S_028450_VPORT_ZOFFSET(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028450_VPORT_ZOFFSET(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_028450_VPORT_ZOFFSET                                      0x00000000
#define R_028454_PA_CL_VPORT_XSCALE_1                                   0x028454
#define   S_028454_VPORT_XSCALE(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028454_VPORT_XSCALE(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_028454_VPORT_XSCALE                                       0x00000000
#define R_028458_PA_CL_VPORT_XOFFSET_1                                  0x028458
#define   S_028458_VPORT_XOFFSET(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028458_VPORT_XOFFSET(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_028458_VPORT_XOFFSET                                      0x00000000
#define R_02845C_PA_CL_VPORT_YSCALE_1                                   0x02845C
#define   S_02845C_VPORT_YSCALE(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_02845C_VPORT_YSCALE(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_02845C_VPORT_YSCALE                                       0x00000000
#define R_028460_PA_CL_VPORT_YOFFSET_1                                  0x028460
#define   S_028460_VPORT_YOFFSET(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028460_VPORT_YOFFSET(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_028460_VPORT_YOFFSET                                      0x00000000
#define R_028464_PA_CL_VPORT_ZSCALE_1                                   0x028464
#define   S_028464_VPORT_ZSCALE(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028464_VPORT_ZSCALE(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_028464_VPORT_ZSCALE                                       0x00000000
#define R_028468_PA_CL_VPORT_ZOFFSET_1                                  0x028468
#define   S_028468_VPORT_ZOFFSET(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028468_VPORT_ZOFFSET(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_028468_VPORT_ZOFFSET                                      0x00000000
#define R_02846C_PA_CL_VPORT_XSCALE_2                                   0x02846C
#define R_028470_PA_CL_VPORT_XOFFSET_2                                  0x028470
#define R_028474_PA_CL_VPORT_YSCALE_2                                   0x028474
#define R_028478_PA_CL_VPORT_YOFFSET_2                                  0x028478
#define R_02847C_PA_CL_VPORT_ZSCALE_2                                   0x02847C
#define R_028480_PA_CL_VPORT_ZOFFSET_2                                  0x028480
#define R_028484_PA_CL_VPORT_XSCALE_3                                   0x028484
#define R_028488_PA_CL_VPORT_XOFFSET_3                                  0x028488
#define R_02848C_PA_CL_VPORT_YSCALE_3                                   0x02848C
#define R_028490_PA_CL_VPORT_YOFFSET_3                                  0x028490
#define R_028494_PA_CL_VPORT_ZSCALE_3                                   0x028494
#define R_028498_PA_CL_VPORT_ZOFFSET_3                                  0x028498
#define R_02849C_PA_CL_VPORT_XSCALE_4                                   0x02849C
#define R_0284A0_PA_CL_VPORT_XOFFSET_4                                  0x0284A0
#define R_0284A4_PA_CL_VPORT_YSCALE_4                                   0x0284A4
#define R_0284A8_PA_CL_VPORT_YOFFSET_4                                  0x0284A8
#define R_0284AC_PA_CL_VPORT_ZSCALE_4                                   0x0284AC
#define R_0284B0_PA_CL_VPORT_ZOFFSET_4                                  0x0284B0
#define R_0284B4_PA_CL_VPORT_XSCALE_5                                   0x0284B4
#define R_0284B8_PA_CL_VPORT_XOFFSET_5                                  0x0284B8
#define R_0284BC_PA_CL_VPORT_YSCALE_5                                   0x0284BC
#define R_0284C0_PA_CL_VPORT_YOFFSET_5                                  0x0284C0
#define R_0284C4_PA_CL_VPORT_ZSCALE_5                                   0x0284C4
#define R_0284C8_PA_CL_VPORT_ZOFFSET_5                                  0x0284C8
#define R_0284CC_PA_CL_VPORT_XSCALE_6                                   0x0284CC
#define R_0284D0_PA_CL_VPORT_XOFFSET_6                                  0x0284D0
#define R_0284D4_PA_CL_VPORT_YSCALE_6                                   0x0284D4
#define R_0284D8_PA_CL_VPORT_YOFFSET_6                                  0x0284D8
#define R_0284DC_PA_CL_VPORT_ZSCALE_6                                   0x0284DC
#define R_0284E0_PA_CL_VPORT_ZOFFSET_6                                  0x0284E0
#define R_0284E4_PA_CL_VPORT_XSCALE_7                                   0x0284E4
#define R_0284E8_PA_CL_VPORT_XOFFSET_7                                  0x0284E8
#define R_0284EC_PA_CL_VPORT_YSCALE_7                                   0x0284EC
#define R_0284F0_PA_CL_VPORT_YOFFSET_7                                  0x0284F0
#define R_0284F4_PA_CL_VPORT_ZSCALE_7                                   0x0284F4
#define R_0284F8_PA_CL_VPORT_ZOFFSET_7                                  0x0284F8
#define R_0284FC_PA_CL_VPORT_XSCALE_8                                   0x0284FC
#define R_028500_PA_CL_VPORT_XOFFSET_8                                  0x028500
#define R_028504_PA_CL_VPORT_YSCALE_8                                   0x028504
#define R_028508_PA_CL_VPORT_YOFFSET_8                                  0x028508
#define R_02850C_PA_CL_VPORT_ZSCALE_8                                   0x02850C
#define R_028510_PA_CL_VPORT_ZOFFSET_8                                  0x028510
#define R_028514_PA_CL_VPORT_XSCALE_9                                   0x028514
#define R_028518_PA_CL_VPORT_XOFFSET_9                                  0x028518
#define R_02851C_PA_CL_VPORT_YSCALE_9                                   0x02851C
#define R_028520_PA_CL_VPORT_YOFFSET_9                                  0x028520
#define R_028524_PA_CL_VPORT_ZSCALE_9                                   0x028524
#define R_028528_PA_CL_VPORT_ZOFFSET_9                                  0x028528
#define R_02852C_PA_CL_VPORT_XSCALE_10                                  0x02852C
#define R_028530_PA_CL_VPORT_XOFFSET_10                                 0x028530
#define R_028534_PA_CL_VPORT_YSCALE_10                                  0x028534
#define R_028538_PA_CL_VPORT_YOFFSET_10                                 0x028538
#define R_02853C_PA_CL_VPORT_ZSCALE_10                                  0x02853C
#define R_028540_PA_CL_VPORT_ZOFFSET_10                                 0x028540
#define R_028544_PA_CL_VPORT_XSCALE_11                                  0x028544
#define R_028548_PA_CL_VPORT_XOFFSET_11                                 0x028548
#define R_02854C_PA_CL_VPORT_YSCALE_11                                  0x02854C
#define R_028550_PA_CL_VPORT_YOFFSET_11                                 0x028550
#define R_028554_PA_CL_VPORT_ZSCALE_11                                  0x028554
#define R_028558_PA_CL_VPORT_ZOFFSET_11                                 0x028558
#define R_02855C_PA_CL_VPORT_XSCALE_12                                  0x02855C
#define R_028560_PA_CL_VPORT_XOFFSET_12                                 0x028560
#define R_028564_PA_CL_VPORT_YSCALE_12                                  0x028564
#define R_028568_PA_CL_VPORT_YOFFSET_12                                 0x028568
#define R_02856C_PA_CL_VPORT_ZSCALE_12                                  0x02856C
#define R_028570_PA_CL_VPORT_ZOFFSET_12                                 0x028570
#define R_028574_PA_CL_VPORT_XSCALE_13                                  0x028574
#define R_028578_PA_CL_VPORT_XOFFSET_13                                 0x028578
#define R_02857C_PA_CL_VPORT_YSCALE_13                                  0x02857C
#define R_028580_PA_CL_VPORT_YOFFSET_13                                 0x028580
#define R_028584_PA_CL_VPORT_ZSCALE_13                                  0x028584
#define R_028588_PA_CL_VPORT_ZOFFSET_13                                 0x028588
#define R_02858C_PA_CL_VPORT_XSCALE_14                                  0x02858C
#define R_028590_PA_CL_VPORT_XOFFSET_14                                 0x028590
#define R_028594_PA_CL_VPORT_YSCALE_14                                  0x028594
#define R_028598_PA_CL_VPORT_YOFFSET_14                                 0x028598
#define R_02859C_PA_CL_VPORT_ZSCALE_14                                  0x02859C
#define R_0285A0_PA_CL_VPORT_ZOFFSET_14                                 0x0285A0
#define R_0285A4_PA_CL_VPORT_XSCALE_15                                  0x0285A4
#define R_0285A8_PA_CL_VPORT_XOFFSET_15                                 0x0285A8
#define R_0285AC_PA_CL_VPORT_YSCALE_15                                  0x0285AC
#define R_0285B0_PA_CL_VPORT_YOFFSET_15                                 0x0285B0
#define R_0285B4_PA_CL_VPORT_ZSCALE_15                                  0x0285B4
#define R_0285B8_PA_CL_VPORT_ZOFFSET_15                                 0x0285B8
#define R_0285BC_PA_CL_UCP_0_X                                          0x0285BC
#define   S_0285BC_DATA_REGISTER(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0285BC_DATA_REGISTER(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_0285BC_DATA_REGISTER                                      0x00000000
#define R_0285C0_PA_CL_UCP_0_Y                                          0x0285C0
#define   S_0285C0_DATA_REGISTER(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0285C0_DATA_REGISTER(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_0285C0_DATA_REGISTER                                      0x00000000
#define R_0285C4_PA_CL_UCP_0_Z                                          0x0285C4
#define   S_0285C4_DATA_REGISTER(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0285C4_DATA_REGISTER(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_0285C4_DATA_REGISTER                                      0x00000000
#define R_0285C8_PA_CL_UCP_0_W                                          0x0285C8
#define   S_0285C8_DATA_REGISTER(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0285C8_DATA_REGISTER(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_0285C8_DATA_REGISTER                                      0x00000000
#define R_0285CC_PA_CL_UCP_1_X                                          0x0285CC
#define R_0285D0_PA_CL_UCP_1_Y                                          0x0285D0
#define R_0285D4_PA_CL_UCP_1_Z                                          0x0285D4
#define R_0285D8_PA_CL_UCP_1_W                                          0x0285D8
#define R_0285DC_PA_CL_UCP_2_X                                          0x0285DC
#define R_0285E0_PA_CL_UCP_2_Y                                          0x0285E0
#define R_0285E4_PA_CL_UCP_2_Z                                          0x0285E4
#define R_0285E8_PA_CL_UCP_2_W                                          0x0285E8
#define R_0285EC_PA_CL_UCP_3_X                                          0x0285EC
#define R_0285F0_PA_CL_UCP_3_Y                                          0x0285F0
#define R_0285F4_PA_CL_UCP_3_Z                                          0x0285F4
#define R_0285F8_PA_CL_UCP_3_W                                          0x0285F8
#define R_0285FC_PA_CL_UCP_4_X                                          0x0285FC
#define R_028600_PA_CL_UCP_4_Y                                          0x028600
#define R_028604_PA_CL_UCP_4_Z                                          0x028604
#define R_028608_PA_CL_UCP_4_W                                          0x028608
#define R_02860C_PA_CL_UCP_5_X                                          0x02860C
#define R_028610_PA_CL_UCP_5_Y                                          0x028610
#define R_028614_PA_CL_UCP_5_Z                                          0x028614
#define R_028618_PA_CL_UCP_5_W                                          0x028618
#define R_02861C_PA_CL_PROG_NEAR_CLIP_Z                                 0x02861C /* >= gfx10 */
#define   S_02861C_DATA_REGISTER(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_02861C_DATA_REGISTER(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_02861C_DATA_REGISTER                                      0x00000000
#define R_028644_SPI_PS_INPUT_CNTL_0                                    0x028644
#define   S_028644_OFFSET(x)                                          (((unsigned)(x) & 0x3F) << 0)
#define   G_028644_OFFSET(x)                                          (((x) >> 0) & 0x3F)
#define   C_028644_OFFSET                                             0xFFFFFFC0
#define   S_028644_DEFAULT_VAL(x)                                     (((unsigned)(x) & 0x3) << 8)
#define   G_028644_DEFAULT_VAL(x)                                     (((x) >> 8) & 0x3)
#define   C_028644_DEFAULT_VAL                                        0xFFFFFCFF
#define     V_028644_X_0_0F                                         0
#define   S_028644_FLAT_SHADE(x)                                      (((unsigned)(x) & 0x1) << 10)
#define   G_028644_FLAT_SHADE(x)                                      (((x) >> 10) & 0x1)
#define   C_028644_FLAT_SHADE                                         0xFFFFFBFF
#define   S_028644_CYL_WRAP(x)                                        (((unsigned)(x) & 0xF) << 13)
#define   G_028644_CYL_WRAP(x)                                        (((x) >> 13) & 0xF)
#define   C_028644_CYL_WRAP                                           0xFFFE1FFF
#define   S_028644_PT_SPRITE_TEX(x)                                   (((unsigned)(x) & 0x1) << 17)
#define   G_028644_PT_SPRITE_TEX(x)                                   (((x) >> 17) & 0x1)
#define   C_028644_PT_SPRITE_TEX                                      0xFFFDFFFF
#define   S_028644_DUP(x)                                             (((unsigned)(x) & 0x1) << 18) /* >= gfx7 */
#define   G_028644_DUP(x)                                             (((x) >> 18) & 0x1)
#define   C_028644_DUP                                                0xFFFBFFFF
#define   S_028644_FP16_INTERP_MODE(x)                                (((unsigned)(x) & 0x1) << 19) /* >= gfx8 */
#define   G_028644_FP16_INTERP_MODE(x)                                (((x) >> 19) & 0x1)
#define   C_028644_FP16_INTERP_MODE                                   0xFFF7FFFF
#define   S_028644_USE_DEFAULT_ATTR1(x)                               (((unsigned)(x) & 0x1) << 20) /* >= gfx8 */
#define   G_028644_USE_DEFAULT_ATTR1(x)                               (((x) >> 20) & 0x1)
#define   C_028644_USE_DEFAULT_ATTR1                                  0xFFEFFFFF
#define   S_028644_DEFAULT_VAL_ATTR1(x)                               (((unsigned)(x) & 0x3) << 21) /* >= gfx8 */
#define   G_028644_DEFAULT_VAL_ATTR1(x)                               (((x) >> 21) & 0x3)
#define   C_028644_DEFAULT_VAL_ATTR1                                  0xFF9FFFFF
#define   S_028644_PT_SPRITE_TEX_ATTR1(x)                             (((unsigned)(x) & 0x1) << 23) /* >= gfx8 */
#define   G_028644_PT_SPRITE_TEX_ATTR1(x)                             (((x) >> 23) & 0x1)
#define   C_028644_PT_SPRITE_TEX_ATTR1                                0xFF7FFFFF
#define   S_028644_ATTR0_VALID(x)                                     (((unsigned)(x) & 0x1) << 24) /* >= gfx8 */
#define   G_028644_ATTR0_VALID(x)                                     (((x) >> 24) & 0x1)
#define   C_028644_ATTR0_VALID                                        0xFEFFFFFF
#define   S_028644_ATTR1_VALID(x)                                     (((unsigned)(x) & 0x1) << 25) /* >= gfx8 */
#define   G_028644_ATTR1_VALID(x)                                     (((x) >> 25) & 0x1)
#define   C_028644_ATTR1_VALID                                        0xFDFFFFFF
#define R_028648_SPI_PS_INPUT_CNTL_1                                    0x028648
#define R_02864C_SPI_PS_INPUT_CNTL_2                                    0x02864C
#define R_028650_SPI_PS_INPUT_CNTL_3                                    0x028650
#define R_028654_SPI_PS_INPUT_CNTL_4                                    0x028654
#define R_028658_SPI_PS_INPUT_CNTL_5                                    0x028658
#define R_02865C_SPI_PS_INPUT_CNTL_6                                    0x02865C
#define R_028660_SPI_PS_INPUT_CNTL_7                                    0x028660
#define R_028664_SPI_PS_INPUT_CNTL_8                                    0x028664
#define R_028668_SPI_PS_INPUT_CNTL_9                                    0x028668
#define R_02866C_SPI_PS_INPUT_CNTL_10                                   0x02866C
#define R_028670_SPI_PS_INPUT_CNTL_11                                   0x028670
#define R_028674_SPI_PS_INPUT_CNTL_12                                   0x028674
#define R_028678_SPI_PS_INPUT_CNTL_13                                   0x028678
#define R_02867C_SPI_PS_INPUT_CNTL_14                                   0x02867C
#define R_028680_SPI_PS_INPUT_CNTL_15                                   0x028680
#define R_028684_SPI_PS_INPUT_CNTL_16                                   0x028684
#define R_028688_SPI_PS_INPUT_CNTL_17                                   0x028688
#define R_02868C_SPI_PS_INPUT_CNTL_18                                   0x02868C
#define R_028690_SPI_PS_INPUT_CNTL_19                                   0x028690
#define R_028694_SPI_PS_INPUT_CNTL_20                                   0x028694
#define   S_028694_OFFSET(x)                                          (((unsigned)(x) & 0x3F) << 0) /* >= gfx10 */
#define   G_028694_OFFSET(x)                                          (((x) >> 0) & 0x3F)
#define   C_028694_OFFSET                                             0xFFFFFFC0
#define   S_028694_DEFAULT_VAL(x)                                     (((unsigned)(x) & 0x3) << 8) /* >= gfx10 */
#define   G_028694_DEFAULT_VAL(x)                                     (((x) >> 8) & 0x3)
#define   C_028694_DEFAULT_VAL                                        0xFFFFFCFF
#define   S_028694_FLAT_SHADE(x)                                      (((unsigned)(x) & 0x1) << 10) /* >= gfx10 */
#define   G_028694_FLAT_SHADE(x)                                      (((x) >> 10) & 0x1)
#define   C_028694_FLAT_SHADE                                         0xFFFFFBFF
#define   S_028694_DUP(x)                                             (((unsigned)(x) & 0x1) << 18) /* >= gfx10 */
#define   G_028694_DUP(x)                                             (((x) >> 18) & 0x1)
#define   C_028694_DUP                                                0xFFFBFFFF
#define   S_028694_FP16_INTERP_MODE(x)                                (((unsigned)(x) & 0x1) << 19) /* >= gfx10 */
#define   G_028694_FP16_INTERP_MODE(x)                                (((x) >> 19) & 0x1)
#define   C_028694_FP16_INTERP_MODE                                   0xFFF7FFFF
#define   S_028694_USE_DEFAULT_ATTR1(x)                               (((unsigned)(x) & 0x1) << 20) /* >= gfx10 */
#define   G_028694_USE_DEFAULT_ATTR1(x)                               (((x) >> 20) & 0x1)
#define   C_028694_USE_DEFAULT_ATTR1                                  0xFFEFFFFF
#define   S_028694_DEFAULT_VAL_ATTR1(x)                               (((unsigned)(x) & 0x3) << 21) /* >= gfx10 */
#define   G_028694_DEFAULT_VAL_ATTR1(x)                               (((x) >> 21) & 0x3)
#define   C_028694_DEFAULT_VAL_ATTR1                                  0xFF9FFFFF
#define   S_028694_ATTR0_VALID(x)                                     (((unsigned)(x) & 0x1) << 24) /* >= gfx10 */
#define   G_028694_ATTR0_VALID(x)                                     (((x) >> 24) & 0x1)
#define   C_028694_ATTR0_VALID                                        0xFEFFFFFF
#define   S_028694_ATTR1_VALID(x)                                     (((unsigned)(x) & 0x1) << 25) /* >= gfx10 */
#define   G_028694_ATTR1_VALID(x)                                     (((x) >> 25) & 0x1)
#define   C_028694_ATTR1_VALID                                        0xFDFFFFFF
#define R_028698_SPI_PS_INPUT_CNTL_21                                   0x028698
#define R_02869C_SPI_PS_INPUT_CNTL_22                                   0x02869C
#define R_0286A0_SPI_PS_INPUT_CNTL_23                                   0x0286A0
#define R_0286A4_SPI_PS_INPUT_CNTL_24                                   0x0286A4
#define R_0286A8_SPI_PS_INPUT_CNTL_25                                   0x0286A8
#define R_0286AC_SPI_PS_INPUT_CNTL_26                                   0x0286AC
#define R_0286B0_SPI_PS_INPUT_CNTL_27                                   0x0286B0
#define R_0286B4_SPI_PS_INPUT_CNTL_28                                   0x0286B4
#define R_0286B8_SPI_PS_INPUT_CNTL_29                                   0x0286B8
#define R_0286BC_SPI_PS_INPUT_CNTL_30                                   0x0286BC
#define R_0286C0_SPI_PS_INPUT_CNTL_31                                   0x0286C0
#define R_0286C4_SPI_VS_OUT_CONFIG                                      0x0286C4
#define   S_0286C4_VS_EXPORT_COUNT(x)                                 (((unsigned)(x) & 0x1F) << 1)
#define   G_0286C4_VS_EXPORT_COUNT(x)                                 (((x) >> 1) & 0x1F)
#define   C_0286C4_VS_EXPORT_COUNT                                    0xFFFFFFC1
#define   S_0286C4_VS_HALF_PACK(x)                                    (((unsigned)(x) & 0x1) << 6)
#define   G_0286C4_VS_HALF_PACK(x)                                    (((x) >> 6) & 0x1)
#define   C_0286C4_VS_HALF_PACK                                       0xFFFFFFBF
#define   S_0286C4_NO_PC_EXPORT(x)                                    (((unsigned)(x) & 0x1) << 7) /* >= gfx10 */
#define   G_0286C4_NO_PC_EXPORT(x)                                    (((x) >> 7) & 0x1)
#define   C_0286C4_NO_PC_EXPORT                                       0xFFFFFF7F
#define   S_0286C4_VS_EXPORTS_FOG(x)                                  (((unsigned)(x) & 0x1) << 7) /* <= gfx6 */
#define   G_0286C4_VS_EXPORTS_FOG(x)                                  (((x) >> 7) & 0x1)
#define   C_0286C4_VS_EXPORTS_FOG                                     0xFFFFFF7F
#define   S_0286C4_VS_OUT_FOG_VEC_ADDR(x)                             (((unsigned)(x) & 0x1F) << 8) /* <= gfx6 */
#define   G_0286C4_VS_OUT_FOG_VEC_ADDR(x)                             (((x) >> 8) & 0x1F)
#define   C_0286C4_VS_OUT_FOG_VEC_ADDR                                0xFFFFE0FF
#define R_0286CC_SPI_PS_INPUT_ENA                                       0x0286CC
#define   S_0286CC_PERSP_SAMPLE_ENA(x)                                (((unsigned)(x) & 0x1) << 0)
#define   G_0286CC_PERSP_SAMPLE_ENA(x)                                (((x) >> 0) & 0x1)
#define   C_0286CC_PERSP_SAMPLE_ENA                                   0xFFFFFFFE
#define   S_0286CC_PERSP_CENTER_ENA(x)                                (((unsigned)(x) & 0x1) << 1)
#define   G_0286CC_PERSP_CENTER_ENA(x)                                (((x) >> 1) & 0x1)
#define   C_0286CC_PERSP_CENTER_ENA                                   0xFFFFFFFD
#define   S_0286CC_PERSP_CENTROID_ENA(x)                              (((unsigned)(x) & 0x1) << 2)
#define   G_0286CC_PERSP_CENTROID_ENA(x)                              (((x) >> 2) & 0x1)
#define   C_0286CC_PERSP_CENTROID_ENA                                 0xFFFFFFFB
#define   S_0286CC_PERSP_PULL_MODEL_ENA(x)                            (((unsigned)(x) & 0x1) << 3)
#define   G_0286CC_PERSP_PULL_MODEL_ENA(x)                            (((x) >> 3) & 0x1)
#define   C_0286CC_PERSP_PULL_MODEL_ENA                               0xFFFFFFF7
#define   S_0286CC_LINEAR_SAMPLE_ENA(x)                               (((unsigned)(x) & 0x1) << 4)
#define   G_0286CC_LINEAR_SAMPLE_ENA(x)                               (((x) >> 4) & 0x1)
#define   C_0286CC_LINEAR_SAMPLE_ENA                                  0xFFFFFFEF
#define   S_0286CC_LINEAR_CENTER_ENA(x)                               (((unsigned)(x) & 0x1) << 5)
#define   G_0286CC_LINEAR_CENTER_ENA(x)                               (((x) >> 5) & 0x1)
#define   C_0286CC_LINEAR_CENTER_ENA                                  0xFFFFFFDF
#define   S_0286CC_LINEAR_CENTROID_ENA(x)                             (((unsigned)(x) & 0x1) << 6)
#define   G_0286CC_LINEAR_CENTROID_ENA(x)                             (((x) >> 6) & 0x1)
#define   C_0286CC_LINEAR_CENTROID_ENA                                0xFFFFFFBF
#define   S_0286CC_LINE_STIPPLE_TEX_ENA(x)                            (((unsigned)(x) & 0x1) << 7)
#define   G_0286CC_LINE_STIPPLE_TEX_ENA(x)                            (((x) >> 7) & 0x1)
#define   C_0286CC_LINE_STIPPLE_TEX_ENA                               0xFFFFFF7F
#define   S_0286CC_POS_X_FLOAT_ENA(x)                                 (((unsigned)(x) & 0x1) << 8)
#define   G_0286CC_POS_X_FLOAT_ENA(x)                                 (((x) >> 8) & 0x1)
#define   C_0286CC_POS_X_FLOAT_ENA                                    0xFFFFFEFF
#define   S_0286CC_POS_Y_FLOAT_ENA(x)                                 (((unsigned)(x) & 0x1) << 9)
#define   G_0286CC_POS_Y_FLOAT_ENA(x)                                 (((x) >> 9) & 0x1)
#define   C_0286CC_POS_Y_FLOAT_ENA                                    0xFFFFFDFF
#define   S_0286CC_POS_Z_FLOAT_ENA(x)                                 (((unsigned)(x) & 0x1) << 10)
#define   G_0286CC_POS_Z_FLOAT_ENA(x)                                 (((x) >> 10) & 0x1)
#define   C_0286CC_POS_Z_FLOAT_ENA                                    0xFFFFFBFF
#define   S_0286CC_POS_W_FLOAT_ENA(x)                                 (((unsigned)(x) & 0x1) << 11)
#define   G_0286CC_POS_W_FLOAT_ENA(x)                                 (((x) >> 11) & 0x1)
#define   C_0286CC_POS_W_FLOAT_ENA                                    0xFFFFF7FF
#define   S_0286CC_FRONT_FACE_ENA(x)                                  (((unsigned)(x) & 0x1) << 12)
#define   G_0286CC_FRONT_FACE_ENA(x)                                  (((x) >> 12) & 0x1)
#define   C_0286CC_FRONT_FACE_ENA                                     0xFFFFEFFF
#define   S_0286CC_ANCILLARY_ENA(x)                                   (((unsigned)(x) & 0x1) << 13)
#define   G_0286CC_ANCILLARY_ENA(x)                                   (((x) >> 13) & 0x1)
#define   C_0286CC_ANCILLARY_ENA                                      0xFFFFDFFF
#define   S_0286CC_SAMPLE_COVERAGE_ENA(x)                             (((unsigned)(x) & 0x1) << 14)
#define   G_0286CC_SAMPLE_COVERAGE_ENA(x)                             (((x) >> 14) & 0x1)
#define   C_0286CC_SAMPLE_COVERAGE_ENA                                0xFFFFBFFF
#define   S_0286CC_POS_FIXED_PT_ENA(x)                                (((unsigned)(x) & 0x1) << 15)
#define   G_0286CC_POS_FIXED_PT_ENA(x)                                (((x) >> 15) & 0x1)
#define   C_0286CC_POS_FIXED_PT_ENA                                   0xFFFF7FFF
#define R_0286D0_SPI_PS_INPUT_ADDR                                      0x0286D0
#define   S_0286D0_PERSP_SAMPLE_ENA(x)                                (((unsigned)(x) & 0x1) << 0)
#define   G_0286D0_PERSP_SAMPLE_ENA(x)                                (((x) >> 0) & 0x1)
#define   C_0286D0_PERSP_SAMPLE_ENA                                   0xFFFFFFFE
#define   S_0286D0_PERSP_CENTER_ENA(x)                                (((unsigned)(x) & 0x1) << 1)
#define   G_0286D0_PERSP_CENTER_ENA(x)                                (((x) >> 1) & 0x1)
#define   C_0286D0_PERSP_CENTER_ENA                                   0xFFFFFFFD
#define   S_0286D0_PERSP_CENTROID_ENA(x)                              (((unsigned)(x) & 0x1) << 2)
#define   G_0286D0_PERSP_CENTROID_ENA(x)                              (((x) >> 2) & 0x1)
#define   C_0286D0_PERSP_CENTROID_ENA                                 0xFFFFFFFB
#define   S_0286D0_PERSP_PULL_MODEL_ENA(x)                            (((unsigned)(x) & 0x1) << 3)
#define   G_0286D0_PERSP_PULL_MODEL_ENA(x)                            (((x) >> 3) & 0x1)
#define   C_0286D0_PERSP_PULL_MODEL_ENA                               0xFFFFFFF7
#define   S_0286D0_LINEAR_SAMPLE_ENA(x)                               (((unsigned)(x) & 0x1) << 4)
#define   G_0286D0_LINEAR_SAMPLE_ENA(x)                               (((x) >> 4) & 0x1)
#define   C_0286D0_LINEAR_SAMPLE_ENA                                  0xFFFFFFEF
#define   S_0286D0_LINEAR_CENTER_ENA(x)                               (((unsigned)(x) & 0x1) << 5)
#define   G_0286D0_LINEAR_CENTER_ENA(x)                               (((x) >> 5) & 0x1)
#define   C_0286D0_LINEAR_CENTER_ENA                                  0xFFFFFFDF
#define   S_0286D0_LINEAR_CENTROID_ENA(x)                             (((unsigned)(x) & 0x1) << 6)
#define   G_0286D0_LINEAR_CENTROID_ENA(x)                             (((x) >> 6) & 0x1)
#define   C_0286D0_LINEAR_CENTROID_ENA                                0xFFFFFFBF
#define   S_0286D0_LINE_STIPPLE_TEX_ENA(x)                            (((unsigned)(x) & 0x1) << 7)
#define   G_0286D0_LINE_STIPPLE_TEX_ENA(x)                            (((x) >> 7) & 0x1)
#define   C_0286D0_LINE_STIPPLE_TEX_ENA                               0xFFFFFF7F
#define   S_0286D0_POS_X_FLOAT_ENA(x)                                 (((unsigned)(x) & 0x1) << 8)
#define   G_0286D0_POS_X_FLOAT_ENA(x)                                 (((x) >> 8) & 0x1)
#define   C_0286D0_POS_X_FLOAT_ENA                                    0xFFFFFEFF
#define   S_0286D0_POS_Y_FLOAT_ENA(x)                                 (((unsigned)(x) & 0x1) << 9)
#define   G_0286D0_POS_Y_FLOAT_ENA(x)                                 (((x) >> 9) & 0x1)
#define   C_0286D0_POS_Y_FLOAT_ENA                                    0xFFFFFDFF
#define   S_0286D0_POS_Z_FLOAT_ENA(x)                                 (((unsigned)(x) & 0x1) << 10)
#define   G_0286D0_POS_Z_FLOAT_ENA(x)                                 (((x) >> 10) & 0x1)
#define   C_0286D0_POS_Z_FLOAT_ENA                                    0xFFFFFBFF
#define   S_0286D0_POS_W_FLOAT_ENA(x)                                 (((unsigned)(x) & 0x1) << 11)
#define   G_0286D0_POS_W_FLOAT_ENA(x)                                 (((x) >> 11) & 0x1)
#define   C_0286D0_POS_W_FLOAT_ENA                                    0xFFFFF7FF
#define   S_0286D0_FRONT_FACE_ENA(x)                                  (((unsigned)(x) & 0x1) << 12)
#define   G_0286D0_FRONT_FACE_ENA(x)                                  (((x) >> 12) & 0x1)
#define   C_0286D0_FRONT_FACE_ENA                                     0xFFFFEFFF
#define   S_0286D0_ANCILLARY_ENA(x)                                   (((unsigned)(x) & 0x1) << 13)
#define   G_0286D0_ANCILLARY_ENA(x)                                   (((x) >> 13) & 0x1)
#define   C_0286D0_ANCILLARY_ENA                                      0xFFFFDFFF
#define   S_0286D0_SAMPLE_COVERAGE_ENA(x)                             (((unsigned)(x) & 0x1) << 14)
#define   G_0286D0_SAMPLE_COVERAGE_ENA(x)                             (((x) >> 14) & 0x1)
#define   C_0286D0_SAMPLE_COVERAGE_ENA                                0xFFFFBFFF
#define   S_0286D0_POS_FIXED_PT_ENA(x)                                (((unsigned)(x) & 0x1) << 15)
#define   G_0286D0_POS_FIXED_PT_ENA(x)                                (((x) >> 15) & 0x1)
#define   C_0286D0_POS_FIXED_PT_ENA                                   0xFFFF7FFF
#define R_0286D4_SPI_INTERP_CONTROL_0                                   0x0286D4
#define   S_0286D4_FLAT_SHADE_ENA(x)                                  (((unsigned)(x) & 0x1) << 0)
#define   G_0286D4_FLAT_SHADE_ENA(x)                                  (((x) >> 0) & 0x1)
#define   C_0286D4_FLAT_SHADE_ENA                                     0xFFFFFFFE
#define   S_0286D4_PNT_SPRITE_ENA(x)                                  (((unsigned)(x) & 0x1) << 1)
#define   G_0286D4_PNT_SPRITE_ENA(x)                                  (((x) >> 1) & 0x1)
#define   C_0286D4_PNT_SPRITE_ENA                                     0xFFFFFFFD
#define   S_0286D4_PNT_SPRITE_OVRD_X(x)                               (((unsigned)(x) & 0x7) << 2)
#define   G_0286D4_PNT_SPRITE_OVRD_X(x)                               (((x) >> 2) & 0x7)
#define   C_0286D4_PNT_SPRITE_OVRD_X                                  0xFFFFFFE3
#define     V_0286D4_SPI_PNT_SPRITE_SEL_0                           0
#define     V_0286D4_SPI_PNT_SPRITE_SEL_1                           1
#define     V_0286D4_SPI_PNT_SPRITE_SEL_S                           2
#define     V_0286D4_SPI_PNT_SPRITE_SEL_T                           3
#define     V_0286D4_SPI_PNT_SPRITE_SEL_NONE                        4
#define   S_0286D4_PNT_SPRITE_OVRD_Y(x)                               (((unsigned)(x) & 0x7) << 5)
#define   G_0286D4_PNT_SPRITE_OVRD_Y(x)                               (((x) >> 5) & 0x7)
#define   C_0286D4_PNT_SPRITE_OVRD_Y                                  0xFFFFFF1F
#define   S_0286D4_PNT_SPRITE_OVRD_Z(x)                               (((unsigned)(x) & 0x7) << 8)
#define   G_0286D4_PNT_SPRITE_OVRD_Z(x)                               (((x) >> 8) & 0x7)
#define   C_0286D4_PNT_SPRITE_OVRD_Z                                  0xFFFFF8FF
#define   S_0286D4_PNT_SPRITE_OVRD_W(x)                               (((unsigned)(x) & 0x7) << 11)
#define   G_0286D4_PNT_SPRITE_OVRD_W(x)                               (((x) >> 11) & 0x7)
#define   C_0286D4_PNT_SPRITE_OVRD_W                                  0xFFFFC7FF
#define   S_0286D4_PNT_SPRITE_TOP_1(x)                                (((unsigned)(x) & 0x1) << 14)
#define   G_0286D4_PNT_SPRITE_TOP_1(x)                                (((x) >> 14) & 0x1)
#define   C_0286D4_PNT_SPRITE_TOP_1                                   0xFFFFBFFF
#define R_0286D8_SPI_PS_IN_CONTROL                                      0x0286D8
#define   S_0286D8_NUM_INTERP(x)                                      (((unsigned)(x) & 0x3F) << 0)
#define   G_0286D8_NUM_INTERP(x)                                      (((x) >> 0) & 0x3F)
#define   C_0286D8_NUM_INTERP                                         0xFFFFFFC0
#define   S_0286D8_PARAM_GEN(x)                                       (((unsigned)(x) & 0x1) << 6)
#define   G_0286D8_PARAM_GEN(x)                                       (((x) >> 6) & 0x1)
#define   C_0286D8_PARAM_GEN                                          0xFFFFFFBF
#define   S_0286D8_FOG_ADDR(x)                                        (((unsigned)(x) & 0x7F) << 7) /* <= gfx6 */
#define   G_0286D8_FOG_ADDR(x)                                        (((x) >> 7) & 0x7F)
#define   C_0286D8_FOG_ADDR                                           0xFFFFC07F
#define   S_0286D8_OFFCHIP_PARAM_EN(x)                                (((unsigned)(x) & 0x1) << 7) /* >= gfx9 */
#define   G_0286D8_OFFCHIP_PARAM_EN(x)                                (((x) >> 7) & 0x1)
#define   C_0286D8_OFFCHIP_PARAM_EN                                   0xFFFFFF7F
#define   S_0286D8_LATE_PC_DEALLOC(x)                                 (((unsigned)(x) & 0x1) << 8) /* >= gfx9 */
#define   G_0286D8_LATE_PC_DEALLOC(x)                                 (((x) >> 8) & 0x1)
#define   C_0286D8_LATE_PC_DEALLOC                                    0xFFFFFEFF
#define   S_0286D8_BC_OPTIMIZE_DISABLE(x)                             (((unsigned)(x) & 0x1) << 14)
#define   G_0286D8_BC_OPTIMIZE_DISABLE(x)                             (((x) >> 14) & 0x1)
#define   C_0286D8_BC_OPTIMIZE_DISABLE                                0xFFFFBFFF
#define   S_0286D8_PASS_FOG_THROUGH_PS(x)                             (((unsigned)(x) & 0x1) << 15) /* <= gfx6 */
#define   G_0286D8_PASS_FOG_THROUGH_PS(x)                             (((x) >> 15) & 0x1)
#define   C_0286D8_PASS_FOG_THROUGH_PS                                0xFFFF7FFF
#define   S_0286D8_PS_W32_EN(x)                                       (((unsigned)(x) & 0x1) << 15) /* >= gfx10 */
#define   G_0286D8_PS_W32_EN(x)                                       (((x) >> 15) & 0x1)
#define   C_0286D8_PS_W32_EN                                          0xFFFF7FFF
#define R_0286E0_SPI_BARYC_CNTL                                         0x0286E0
#define   S_0286E0_PERSP_CENTER_CNTL(x)                               (((unsigned)(x) & 0x1) << 0)
#define   G_0286E0_PERSP_CENTER_CNTL(x)                               (((x) >> 0) & 0x1)
#define   C_0286E0_PERSP_CENTER_CNTL                                  0xFFFFFFFE
#define   S_0286E0_PERSP_CENTROID_CNTL(x)                             (((unsigned)(x) & 0x1) << 4)
#define   G_0286E0_PERSP_CENTROID_CNTL(x)                             (((x) >> 4) & 0x1)
#define   C_0286E0_PERSP_CENTROID_CNTL                                0xFFFFFFEF
#define   S_0286E0_LINEAR_CENTER_CNTL(x)                              (((unsigned)(x) & 0x1) << 8)
#define   G_0286E0_LINEAR_CENTER_CNTL(x)                              (((x) >> 8) & 0x1)
#define   C_0286E0_LINEAR_CENTER_CNTL                                 0xFFFFFEFF
#define   S_0286E0_LINEAR_CENTROID_CNTL(x)                            (((unsigned)(x) & 0x1) << 12)
#define   G_0286E0_LINEAR_CENTROID_CNTL(x)                            (((x) >> 12) & 0x1)
#define   C_0286E0_LINEAR_CENTROID_CNTL                               0xFFFFEFFF
#define   S_0286E0_POS_FLOAT_LOCATION(x)                              (((unsigned)(x) & 0x3) << 16)
#define   G_0286E0_POS_FLOAT_LOCATION(x)                              (((x) >> 16) & 0x3)
#define   C_0286E0_POS_FLOAT_LOCATION                                 0xFFFCFFFF
#define     V_0286E0_X_CALCULATE_PER_PIXEL_FLOATING_POINT_POSITION_AT 0
#define   S_0286E0_POS_FLOAT_ULC(x)                                   (((unsigned)(x) & 0x1) << 20)
#define   G_0286E0_POS_FLOAT_ULC(x)                                   (((x) >> 20) & 0x1)
#define   C_0286E0_POS_FLOAT_ULC                                      0xFFEFFFFF
#define   S_0286E0_FRONT_FACE_ALL_BITS(x)                             (((unsigned)(x) & 0x1) << 24)
#define   G_0286E0_FRONT_FACE_ALL_BITS(x)                             (((x) >> 24) & 0x1)
#define   C_0286E0_FRONT_FACE_ALL_BITS                                0xFEFFFFFF
#define R_0286E8_SPI_TMPRING_SIZE                                       0x0286E8
#define   S_0286E8_WAVES(x)                                           (((unsigned)(x) & 0xFFF) << 0)
#define   G_0286E8_WAVES(x)                                           (((x) >> 0) & 0xFFF)
#define   C_0286E8_WAVES                                              0xFFFFF000
#define   S_0286E8_WAVESIZE(x)                                        (((unsigned)(x) & 0x1FFF) << 12)
#define   G_0286E8_WAVESIZE(x)                                        (((x) >> 12) & 0x1FFF)
#define   C_0286E8_WAVESIZE                                           0xFE000FFF
#define R_028704_SPI_WAVE_MGMT_1                                        0x028704 /* <= gfx6 */
#define   S_028704_NUM_PS_WAVES(x)                                    (((unsigned)(x) & 0x3F) << 0)
#define   G_028704_NUM_PS_WAVES(x)                                    (((x) >> 0) & 0x3F)
#define   C_028704_NUM_PS_WAVES                                       0xFFFFFFC0
#define   S_028704_NUM_VS_WAVES(x)                                    (((unsigned)(x) & 0x3F) << 6)
#define   G_028704_NUM_VS_WAVES(x)                                    (((x) >> 6) & 0x3F)
#define   C_028704_NUM_VS_WAVES                                       0xFFFFF03F
#define   S_028704_NUM_GS_WAVES(x)                                    (((unsigned)(x) & 0x3F) << 12)
#define   G_028704_NUM_GS_WAVES(x)                                    (((x) >> 12) & 0x3F)
#define   C_028704_NUM_GS_WAVES                                       0xFFFC0FFF
#define   S_028704_NUM_ES_WAVES(x)                                    (((unsigned)(x) & 0x3F) << 18)
#define   G_028704_NUM_ES_WAVES(x)                                    (((x) >> 18) & 0x3F)
#define   C_028704_NUM_ES_WAVES                                       0xFF03FFFF
#define   S_028704_NUM_HS_WAVES(x)                                    (((unsigned)(x) & 0x3F) << 24)
#define   G_028704_NUM_HS_WAVES(x)                                    (((x) >> 24) & 0x3F)
#define   C_028704_NUM_HS_WAVES                                       0xC0FFFFFF
#define R_028708_SPI_SHADER_IDX_FORMAT                                  0x028708 /* >= gfx10 */
#define   S_028708_IDX0_EXPORT_FORMAT(x)                              (((unsigned)(x) & 0xF) << 0)
#define   G_028708_IDX0_EXPORT_FORMAT(x)                              (((x) >> 0) & 0xF)
#define   C_028708_IDX0_EXPORT_FORMAT                                 0xFFFFFFF0
#define     V_028708_SPI_SHADER_NONE                                0
#define     V_028708_SPI_SHADER_1COMP                               1
#define     V_028708_SPI_SHADER_2COMP                               2
#define     V_028708_SPI_SHADER_4COMPRESS                           3
#define     V_028708_SPI_SHADER_4COMP                               4
#define R_028708_SPI_WAVE_MGMT_2                                        0x028708 /* <= gfx6 */
#define   S_028708_NUM_LS_WAVES(x)                                    (((unsigned)(x) & 0x3F) << 0)
#define   G_028708_NUM_LS_WAVES(x)                                    (((x) >> 0) & 0x3F)
#define   C_028708_NUM_LS_WAVES                                       0xFFFFFFC0
#define R_02870C_SPI_SHADER_POS_FORMAT                                  0x02870C
#define   S_02870C_POS0_EXPORT_FORMAT(x)                              (((unsigned)(x) & 0xF) << 0)
#define   G_02870C_POS0_EXPORT_FORMAT(x)                              (((x) >> 0) & 0xF)
#define   C_02870C_POS0_EXPORT_FORMAT                                 0xFFFFFFF0
#define     V_02870C_SPI_SHADER_NONE                                0
#define     V_02870C_SPI_SHADER_1COMP                               1
#define     V_02870C_SPI_SHADER_2COMP                               2
#define     V_02870C_SPI_SHADER_4COMPRESS                           3
#define     V_02870C_SPI_SHADER_4COMP                               4
#define   S_02870C_POS1_EXPORT_FORMAT(x)                              (((unsigned)(x) & 0xF) << 4)
#define   G_02870C_POS1_EXPORT_FORMAT(x)                              (((x) >> 4) & 0xF)
#define   C_02870C_POS1_EXPORT_FORMAT                                 0xFFFFFF0F
#define   S_02870C_POS2_EXPORT_FORMAT(x)                              (((unsigned)(x) & 0xF) << 8)
#define   G_02870C_POS2_EXPORT_FORMAT(x)                              (((x) >> 8) & 0xF)
#define   C_02870C_POS2_EXPORT_FORMAT                                 0xFFFFF0FF
#define   S_02870C_POS3_EXPORT_FORMAT(x)                              (((unsigned)(x) & 0xF) << 12)
#define   G_02870C_POS3_EXPORT_FORMAT(x)                              (((x) >> 12) & 0xF)
#define   C_02870C_POS3_EXPORT_FORMAT                                 0xFFFF0FFF
#define   S_02870C_POS4_EXPORT_FORMAT(x)                              (((unsigned)(x) & 0xF) << 16) /* >= gfx10 */
#define   G_02870C_POS4_EXPORT_FORMAT(x)                              (((x) >> 16) & 0xF)
#define   C_02870C_POS4_EXPORT_FORMAT                                 0xFFF0FFFF
#define R_028710_SPI_SHADER_Z_FORMAT                                    0x028710
#define   S_028710_Z_EXPORT_FORMAT(x)                                 (((unsigned)(x) & 0xF) << 0)
#define   G_028710_Z_EXPORT_FORMAT(x)                                 (((x) >> 0) & 0xF)
#define   C_028710_Z_EXPORT_FORMAT                                    0xFFFFFFF0
#define     V_028710_SPI_SHADER_ZERO                                0
#define     V_028710_SPI_SHADER_32_R                                1
#define     V_028710_SPI_SHADER_32_GR                               2
#define     V_028710_SPI_SHADER_32_AR                               3
#define     V_028710_SPI_SHADER_FP16_ABGR                           4
#define     V_028710_SPI_SHADER_UNORM16_ABGR                        5
#define     V_028710_SPI_SHADER_SNORM16_ABGR                        6
#define     V_028710_SPI_SHADER_UINT16_ABGR                         7
#define     V_028710_SPI_SHADER_SINT16_ABGR                         8
#define     V_028710_SPI_SHADER_32_ABGR                             9
#define R_028714_SPI_SHADER_COL_FORMAT                                  0x028714
#define   S_028714_COL0_EXPORT_FORMAT(x)                              (((unsigned)(x) & 0xF) << 0)
#define   G_028714_COL0_EXPORT_FORMAT(x)                              (((x) >> 0) & 0xF)
#define   C_028714_COL0_EXPORT_FORMAT                                 0xFFFFFFF0
#define     V_028714_SPI_SHADER_ZERO                                0
#define     V_028714_SPI_SHADER_32_R                                1
#define     V_028714_SPI_SHADER_32_GR                               2
#define     V_028714_SPI_SHADER_32_AR                               3
#define     V_028714_SPI_SHADER_FP16_ABGR                           4
#define     V_028714_SPI_SHADER_UNORM16_ABGR                        5
#define     V_028714_SPI_SHADER_SNORM16_ABGR                        6
#define     V_028714_SPI_SHADER_UINT16_ABGR                         7
#define     V_028714_SPI_SHADER_SINT16_ABGR                         8
#define     V_028714_SPI_SHADER_32_ABGR                             9
#define   S_028714_COL1_EXPORT_FORMAT(x)                              (((unsigned)(x) & 0xF) << 4)
#define   G_028714_COL1_EXPORT_FORMAT(x)                              (((x) >> 4) & 0xF)
#define   C_028714_COL1_EXPORT_FORMAT                                 0xFFFFFF0F
#define   S_028714_COL2_EXPORT_FORMAT(x)                              (((unsigned)(x) & 0xF) << 8)
#define   G_028714_COL2_EXPORT_FORMAT(x)                              (((x) >> 8) & 0xF)
#define   C_028714_COL2_EXPORT_FORMAT                                 0xFFFFF0FF
#define   S_028714_COL3_EXPORT_FORMAT(x)                              (((unsigned)(x) & 0xF) << 12)
#define   G_028714_COL3_EXPORT_FORMAT(x)                              (((x) >> 12) & 0xF)
#define   C_028714_COL3_EXPORT_FORMAT                                 0xFFFF0FFF
#define   S_028714_COL4_EXPORT_FORMAT(x)                              (((unsigned)(x) & 0xF) << 16)
#define   G_028714_COL4_EXPORT_FORMAT(x)                              (((x) >> 16) & 0xF)
#define   C_028714_COL4_EXPORT_FORMAT                                 0xFFF0FFFF
#define   S_028714_COL5_EXPORT_FORMAT(x)                              (((unsigned)(x) & 0xF) << 20)
#define   G_028714_COL5_EXPORT_FORMAT(x)                              (((x) >> 20) & 0xF)
#define   C_028714_COL5_EXPORT_FORMAT                                 0xFF0FFFFF
#define   S_028714_COL6_EXPORT_FORMAT(x)                              (((unsigned)(x) & 0xF) << 24)
#define   G_028714_COL6_EXPORT_FORMAT(x)                              (((x) >> 24) & 0xF)
#define   C_028714_COL6_EXPORT_FORMAT                                 0xF0FFFFFF
#define   S_028714_COL7_EXPORT_FORMAT(x)                              (((unsigned)(x) & 0xF) << 28)
#define   G_028714_COL7_EXPORT_FORMAT(x)                              (((x) >> 28) & 0xF)
#define   C_028714_COL7_EXPORT_FORMAT                                 0x0FFFFFFF
#define R_028754_SX_PS_DOWNCONVERT                                      0x028754 /* >= stoney */
#define   S_028754_MRT0(x)                                            (((unsigned)(x) & 0xF) << 0)
#define   G_028754_MRT0(x)                                            (((x) >> 0) & 0xF)
#define   C_028754_MRT0                                               0xFFFFFFF0
#define     V_028754_SX_RT_EXPORT_NO_CONVERSION                     0
#define     V_028754_SX_RT_EXPORT_32_R                              1
#define     V_028754_SX_RT_EXPORT_32_A                              2
#define     V_028754_SX_RT_EXPORT_10_11_11                          3
#define     V_028754_SX_RT_EXPORT_2_10_10_10                        4
#define     V_028754_SX_RT_EXPORT_8_8_8_8                           5
#define     V_028754_SX_RT_EXPORT_5_6_5                             6
#define     V_028754_SX_RT_EXPORT_1_5_5_5                           7
#define     V_028754_SX_RT_EXPORT_4_4_4_4                           8
#define     V_028754_SX_RT_EXPORT_16_16_GR                          9
#define     V_028754_SX_RT_EXPORT_16_16_AR                          10
#define   S_028754_MRT1(x)                                            (((unsigned)(x) & 0xF) << 4)
#define   G_028754_MRT1(x)                                            (((x) >> 4) & 0xF)
#define   C_028754_MRT1                                               0xFFFFFF0F
#define   S_028754_MRT2(x)                                            (((unsigned)(x) & 0xF) << 8)
#define   G_028754_MRT2(x)                                            (((x) >> 8) & 0xF)
#define   C_028754_MRT2                                               0xFFFFF0FF
#define   S_028754_MRT3(x)                                            (((unsigned)(x) & 0xF) << 12)
#define   G_028754_MRT3(x)                                            (((x) >> 12) & 0xF)
#define   C_028754_MRT3                                               0xFFFF0FFF
#define   S_028754_MRT4(x)                                            (((unsigned)(x) & 0xF) << 16)
#define   G_028754_MRT4(x)                                            (((x) >> 16) & 0xF)
#define   C_028754_MRT4                                               0xFFF0FFFF
#define   S_028754_MRT5(x)                                            (((unsigned)(x) & 0xF) << 20)
#define   G_028754_MRT5(x)                                            (((x) >> 20) & 0xF)
#define   C_028754_MRT5                                               0xFF0FFFFF
#define   S_028754_MRT6(x)                                            (((unsigned)(x) & 0xF) << 24)
#define   G_028754_MRT6(x)                                            (((x) >> 24) & 0xF)
#define   C_028754_MRT6                                               0xF0FFFFFF
#define   S_028754_MRT7(x)                                            (((unsigned)(x) & 0xF) << 28)
#define   G_028754_MRT7(x)                                            (((x) >> 28) & 0xF)
#define   C_028754_MRT7                                               0x0FFFFFFF
#define R_028758_SX_BLEND_OPT_EPSILON                                   0x028758 /* >= stoney */
#define   S_028758_MRT0_EPSILON(x)                                    (((unsigned)(x) & 0xF) << 0)
#define   G_028758_MRT0_EPSILON(x)                                    (((x) >> 0) & 0xF)
#define   C_028758_MRT0_EPSILON                                       0xFFFFFFF0
#define     V_028758_EXACT                                          0
#define     V_028758_11BIT_FORMAT                                   1
#define     V_028758_10BIT_FORMAT                                   3
#define     V_028758_8BIT_FORMAT                                    6
#define     V_028758_6BIT_FORMAT                                    11
#define     V_028758_5BIT_FORMAT                                    13
#define     V_028758_4BIT_FORMAT                                    15
#define   S_028758_MRT1_EPSILON(x)                                    (((unsigned)(x) & 0xF) << 4)
#define   G_028758_MRT1_EPSILON(x)                                    (((x) >> 4) & 0xF)
#define   C_028758_MRT1_EPSILON                                       0xFFFFFF0F
#define   S_028758_MRT2_EPSILON(x)                                    (((unsigned)(x) & 0xF) << 8)
#define   G_028758_MRT2_EPSILON(x)                                    (((x) >> 8) & 0xF)
#define   C_028758_MRT2_EPSILON                                       0xFFFFF0FF
#define   S_028758_MRT3_EPSILON(x)                                    (((unsigned)(x) & 0xF) << 12)
#define   G_028758_MRT3_EPSILON(x)                                    (((x) >> 12) & 0xF)
#define   C_028758_MRT3_EPSILON                                       0xFFFF0FFF
#define   S_028758_MRT4_EPSILON(x)                                    (((unsigned)(x) & 0xF) << 16)
#define   G_028758_MRT4_EPSILON(x)                                    (((x) >> 16) & 0xF)
#define   C_028758_MRT4_EPSILON                                       0xFFF0FFFF
#define   S_028758_MRT5_EPSILON(x)                                    (((unsigned)(x) & 0xF) << 20)
#define   G_028758_MRT5_EPSILON(x)                                    (((x) >> 20) & 0xF)
#define   C_028758_MRT5_EPSILON                                       0xFF0FFFFF
#define   S_028758_MRT6_EPSILON(x)                                    (((unsigned)(x) & 0xF) << 24)
#define   G_028758_MRT6_EPSILON(x)                                    (((x) >> 24) & 0xF)
#define   C_028758_MRT6_EPSILON                                       0xF0FFFFFF
#define   S_028758_MRT7_EPSILON(x)                                    (((unsigned)(x) & 0xF) << 28)
#define   G_028758_MRT7_EPSILON(x)                                    (((x) >> 28) & 0xF)
#define   C_028758_MRT7_EPSILON                                       0x0FFFFFFF
#define R_02875C_SX_BLEND_OPT_CONTROL                                   0x02875C /* >= stoney */
#define   S_02875C_MRT0_COLOR_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 0)
#define   G_02875C_MRT0_COLOR_OPT_DISABLE(x)                          (((x) >> 0) & 0x1)
#define   C_02875C_MRT0_COLOR_OPT_DISABLE                             0xFFFFFFFE
#define   S_02875C_MRT0_ALPHA_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 1)
#define   G_02875C_MRT0_ALPHA_OPT_DISABLE(x)                          (((x) >> 1) & 0x1)
#define   C_02875C_MRT0_ALPHA_OPT_DISABLE                             0xFFFFFFFD
#define   S_02875C_MRT1_COLOR_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 4)
#define   G_02875C_MRT1_COLOR_OPT_DISABLE(x)                          (((x) >> 4) & 0x1)
#define   C_02875C_MRT1_COLOR_OPT_DISABLE                             0xFFFFFFEF
#define   S_02875C_MRT1_ALPHA_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 5)
#define   G_02875C_MRT1_ALPHA_OPT_DISABLE(x)                          (((x) >> 5) & 0x1)
#define   C_02875C_MRT1_ALPHA_OPT_DISABLE                             0xFFFFFFDF
#define   S_02875C_MRT2_COLOR_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 8)
#define   G_02875C_MRT2_COLOR_OPT_DISABLE(x)                          (((x) >> 8) & 0x1)
#define   C_02875C_MRT2_COLOR_OPT_DISABLE                             0xFFFFFEFF
#define   S_02875C_MRT2_ALPHA_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 9)
#define   G_02875C_MRT2_ALPHA_OPT_DISABLE(x)                          (((x) >> 9) & 0x1)
#define   C_02875C_MRT2_ALPHA_OPT_DISABLE                             0xFFFFFDFF
#define   S_02875C_MRT3_COLOR_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 12)
#define   G_02875C_MRT3_COLOR_OPT_DISABLE(x)                          (((x) >> 12) & 0x1)
#define   C_02875C_MRT3_COLOR_OPT_DISABLE                             0xFFFFEFFF
#define   S_02875C_MRT3_ALPHA_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 13)
#define   G_02875C_MRT3_ALPHA_OPT_DISABLE(x)                          (((x) >> 13) & 0x1)
#define   C_02875C_MRT3_ALPHA_OPT_DISABLE                             0xFFFFDFFF
#define   S_02875C_MRT4_COLOR_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 16)
#define   G_02875C_MRT4_COLOR_OPT_DISABLE(x)                          (((x) >> 16) & 0x1)
#define   C_02875C_MRT4_COLOR_OPT_DISABLE                             0xFFFEFFFF
#define   S_02875C_MRT4_ALPHA_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 17)
#define   G_02875C_MRT4_ALPHA_OPT_DISABLE(x)                          (((x) >> 17) & 0x1)
#define   C_02875C_MRT4_ALPHA_OPT_DISABLE                             0xFFFDFFFF
#define   S_02875C_MRT5_COLOR_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 20)
#define   G_02875C_MRT5_COLOR_OPT_DISABLE(x)                          (((x) >> 20) & 0x1)
#define   C_02875C_MRT5_COLOR_OPT_DISABLE                             0xFFEFFFFF
#define   S_02875C_MRT5_ALPHA_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 21)
#define   G_02875C_MRT5_ALPHA_OPT_DISABLE(x)                          (((x) >> 21) & 0x1)
#define   C_02875C_MRT5_ALPHA_OPT_DISABLE                             0xFFDFFFFF
#define   S_02875C_MRT6_COLOR_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 24)
#define   G_02875C_MRT6_COLOR_OPT_DISABLE(x)                          (((x) >> 24) & 0x1)
#define   C_02875C_MRT6_COLOR_OPT_DISABLE                             0xFEFFFFFF
#define   S_02875C_MRT6_ALPHA_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 25)
#define   G_02875C_MRT6_ALPHA_OPT_DISABLE(x)                          (((x) >> 25) & 0x1)
#define   C_02875C_MRT6_ALPHA_OPT_DISABLE                             0xFDFFFFFF
#define   S_02875C_MRT7_COLOR_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 28)
#define   G_02875C_MRT7_COLOR_OPT_DISABLE(x)                          (((x) >> 28) & 0x1)
#define   C_02875C_MRT7_COLOR_OPT_DISABLE                             0xEFFFFFFF
#define   S_02875C_MRT7_ALPHA_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 29)
#define   G_02875C_MRT7_ALPHA_OPT_DISABLE(x)                          (((x) >> 29) & 0x1)
#define   C_02875C_MRT7_ALPHA_OPT_DISABLE                             0xDFFFFFFF
#define   S_02875C_PIXEN_ZERO_OPT_DISABLE(x)                          (((unsigned)(x) & 0x1) << 31)
#define   G_02875C_PIXEN_ZERO_OPT_DISABLE(x)                          (((x) >> 31) & 0x1)
#define   C_02875C_PIXEN_ZERO_OPT_DISABLE                             0x7FFFFFFF
#define R_028760_SX_MRT0_BLEND_OPT                                      0x028760 /* >= stoney */
#define   S_028760_COLOR_SRC_OPT(x)                                   (((unsigned)(x) & 0x7) << 0)
#define   G_028760_COLOR_SRC_OPT(x)                                   (((x) >> 0) & 0x7)
#define   C_028760_COLOR_SRC_OPT                                      0xFFFFFFF8
#define     V_028760_BLEND_OPT_PRESERVE_NONE_IGNORE_ALL             0
#define     V_028760_BLEND_OPT_PRESERVE_ALL_IGNORE_NONE             1
#define     V_028760_BLEND_OPT_PRESERVE_C1_IGNORE_C0                2
#define     V_028760_BLEND_OPT_PRESERVE_C0_IGNORE_C1                3
#define     V_028760_BLEND_OPT_PRESERVE_A1_IGNORE_A0                4
#define     V_028760_BLEND_OPT_PRESERVE_A0_IGNORE_A1                5
#define     V_028760_BLEND_OPT_PRESERVE_NONE_IGNORE_A0              6
#define     V_028760_BLEND_OPT_PRESERVE_NONE_IGNORE_NONE            7
#define   S_028760_COLOR_DST_OPT(x)                                   (((unsigned)(x) & 0x7) << 4)
#define   G_028760_COLOR_DST_OPT(x)                                   (((x) >> 4) & 0x7)
#define   C_028760_COLOR_DST_OPT                                      0xFFFFFF8F
#define   S_028760_COLOR_COMB_FCN(x)                                  (((unsigned)(x) & 0x7) << 8)
#define   G_028760_COLOR_COMB_FCN(x)                                  (((x) >> 8) & 0x7)
#define   C_028760_COLOR_COMB_FCN                                     0xFFFFF8FF
#define     V_028760_OPT_COMB_NONE                                  0
#define     V_028760_OPT_COMB_ADD                                   1
#define     V_028760_OPT_COMB_SUBTRACT                              2
#define     V_028760_OPT_COMB_MIN                                   3
#define     V_028760_OPT_COMB_MAX                                   4
#define     V_028760_OPT_COMB_REVSUBTRACT                           5
#define     V_028760_OPT_COMB_BLEND_DISABLED                        6
#define     V_028760_OPT_COMB_SAFE_ADD                              7
#define   S_028760_ALPHA_SRC_OPT(x)                                   (((unsigned)(x) & 0x7) << 16)
#define   G_028760_ALPHA_SRC_OPT(x)                                   (((x) >> 16) & 0x7)
#define   C_028760_ALPHA_SRC_OPT                                      0xFFF8FFFF
#define   S_028760_ALPHA_DST_OPT(x)                                   (((unsigned)(x) & 0x7) << 20)
#define   G_028760_ALPHA_DST_OPT(x)                                   (((x) >> 20) & 0x7)
#define   C_028760_ALPHA_DST_OPT                                      0xFF8FFFFF
#define   S_028760_ALPHA_COMB_FCN(x)                                  (((unsigned)(x) & 0x7) << 24)
#define   G_028760_ALPHA_COMB_FCN(x)                                  (((x) >> 24) & 0x7)
#define   C_028760_ALPHA_COMB_FCN                                     0xF8FFFFFF
#define R_028764_SX_MRT1_BLEND_OPT                                      0x028764 /* >= stoney */
#define R_028768_SX_MRT2_BLEND_OPT                                      0x028768 /* >= stoney */
#define R_02876C_SX_MRT3_BLEND_OPT                                      0x02876C /* >= stoney */
#define R_028770_SX_MRT4_BLEND_OPT                                      0x028770 /* >= stoney */
#define R_028774_SX_MRT5_BLEND_OPT                                      0x028774 /* >= stoney */
#define R_028778_SX_MRT6_BLEND_OPT                                      0x028778 /* >= stoney */
#define R_02877C_SX_MRT7_BLEND_OPT                                      0x02877C /* >= stoney */
#define R_028780_CB_BLEND0_CONTROL                                      0x028780
#define   S_028780_COLOR_SRCBLEND(x)                                  (((unsigned)(x) & 0x1F) << 0)
#define   G_028780_COLOR_SRCBLEND(x)                                  (((x) >> 0) & 0x1F)
#define   C_028780_COLOR_SRCBLEND                                     0xFFFFFFE0
#define     V_028780_BLEND_ZERO                                     0
#define     V_028780_BLEND_ONE                                      1
#define     V_028780_BLEND_SRC_COLOR                                2
#define     V_028780_BLEND_ONE_MINUS_SRC_COLOR                      3
#define     V_028780_BLEND_SRC_ALPHA                                4
#define     V_028780_BLEND_ONE_MINUS_SRC_ALPHA                      5
#define     V_028780_BLEND_DST_ALPHA                                6
#define     V_028780_BLEND_ONE_MINUS_DST_ALPHA                      7
#define     V_028780_BLEND_DST_COLOR                                8
#define     V_028780_BLEND_ONE_MINUS_DST_COLOR                      9
#define     V_028780_BLEND_SRC_ALPHA_SATURATE                       10
#define     V_028780_BLEND_BOTH_SRC_ALPHA                           11 /* >= gfx10 */
#define     V_028780_BLEND_BOTH_INV_SRC_ALPHA                       12 /* >= gfx10 */
#define     V_028780_BLEND_CONSTANT_COLOR                           13
#define     V_028780_BLEND_ONE_MINUS_CONSTANT_COLOR                 14
#define     V_028780_BLEND_SRC1_COLOR                               15
#define     V_028780_BLEND_INV_SRC1_COLOR                           16
#define     V_028780_BLEND_SRC1_ALPHA                               17
#define     V_028780_BLEND_INV_SRC1_ALPHA                           18
#define     V_028780_BLEND_CONSTANT_ALPHA                           19
#define     V_028780_BLEND_ONE_MINUS_CONSTANT_ALPHA                 20
#define   S_028780_COLOR_COMB_FCN(x)                                  (((unsigned)(x) & 0x7) << 5)
#define   G_028780_COLOR_COMB_FCN(x)                                  (((x) >> 5) & 0x7)
#define   C_028780_COLOR_COMB_FCN                                     0xFFFFFF1F
#define     V_028780_COMB_DST_PLUS_SRC                              0
#define     V_028780_COMB_SRC_MINUS_DST                             1
#define     V_028780_COMB_MIN_DST_SRC                               2
#define     V_028780_COMB_MAX_DST_SRC                               3
#define     V_028780_COMB_DST_MINUS_SRC                             4
#define   S_028780_COLOR_DESTBLEND(x)                                 (((unsigned)(x) & 0x1F) << 8)
#define   G_028780_COLOR_DESTBLEND(x)                                 (((x) >> 8) & 0x1F)
#define   C_028780_COLOR_DESTBLEND                                    0xFFFFE0FF
#define   S_028780_ALPHA_SRCBLEND(x)                                  (((unsigned)(x) & 0x1F) << 16)
#define   G_028780_ALPHA_SRCBLEND(x)                                  (((x) >> 16) & 0x1F)
#define   C_028780_ALPHA_SRCBLEND                                     0xFFE0FFFF
#define   S_028780_ALPHA_COMB_FCN(x)                                  (((unsigned)(x) & 0x7) << 21)
#define   G_028780_ALPHA_COMB_FCN(x)                                  (((x) >> 21) & 0x7)
#define   C_028780_ALPHA_COMB_FCN                                     0xFF1FFFFF
#define   S_028780_ALPHA_DESTBLEND(x)                                 (((unsigned)(x) & 0x1F) << 24)
#define   G_028780_ALPHA_DESTBLEND(x)                                 (((x) >> 24) & 0x1F)
#define   C_028780_ALPHA_DESTBLEND                                    0xE0FFFFFF
#define   S_028780_SEPARATE_ALPHA_BLEND(x)                            (((unsigned)(x) & 0x1) << 29)
#define   G_028780_SEPARATE_ALPHA_BLEND(x)                            (((x) >> 29) & 0x1)
#define   C_028780_SEPARATE_ALPHA_BLEND                               0xDFFFFFFF
#define   S_028780_ENABLE(x)                                          (((unsigned)(x) & 0x1) << 30)
#define   G_028780_ENABLE(x)                                          (((x) >> 30) & 0x1)
#define   C_028780_ENABLE                                             0xBFFFFFFF
#define   S_028780_DISABLE_ROP3(x)                                    (((unsigned)(x) & 0x1) << 31)
#define   G_028780_DISABLE_ROP3(x)                                    (((x) >> 31) & 0x1)
#define   C_028780_DISABLE_ROP3                                       0x7FFFFFFF
#define R_028784_CB_BLEND1_CONTROL                                      0x028784
#define R_028788_CB_BLEND2_CONTROL                                      0x028788
#define R_02878C_CB_BLEND3_CONTROL                                      0x02878C
#define R_028790_CB_BLEND4_CONTROL                                      0x028790
#define R_028794_CB_BLEND5_CONTROL                                      0x028794
#define R_028798_CB_BLEND6_CONTROL                                      0x028798
#define R_02879C_CB_BLEND7_CONTROL                                      0x02879C
#define R_0287A0_CB_MRT0_EPITCH                                         0x0287A0 /* gfx9 */
#define   S_0287A0_EPITCH(x)                                          (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0287A0_EPITCH(x)                                          (((x) >> 0) & 0xFFFF)
#define   C_0287A0_EPITCH                                             0xFFFF0000
#define R_0287A4_CB_MRT1_EPITCH                                         0x0287A4 /* gfx9 */
#define R_0287A8_CB_MRT2_EPITCH                                         0x0287A8 /* gfx9 */
#define R_0287AC_CB_MRT3_EPITCH                                         0x0287AC /* gfx9 */
#define R_0287B0_CB_MRT4_EPITCH                                         0x0287B0 /* gfx9 */
#define R_0287B4_CB_MRT5_EPITCH                                         0x0287B4 /* gfx9 */
#define R_0287B8_CB_MRT6_EPITCH                                         0x0287B8 /* gfx9 */
#define R_0287BC_CB_MRT7_EPITCH                                         0x0287BC /* gfx9 */
#define R_0287CC_CS_COPY_STATE                                          0x0287CC
#define   S_0287CC_SRC_STATE_ID(x)                                    (((unsigned)(x) & 0x7) << 0)
#define   G_0287CC_SRC_STATE_ID(x)                                    (((x) >> 0) & 0x7)
#define   C_0287CC_SRC_STATE_ID                                       0xFFFFFFF8
#define R_0287D0_GFX_COPY_STATE                                         0x0287D0 /* >= gfx10 */
#define   S_0287D0_SRC_STATE_ID(x)                                    (((unsigned)(x) & 0x7) << 0)
#define   G_0287D0_SRC_STATE_ID(x)                                    (((x) >> 0) & 0x7)
#define   C_0287D0_SRC_STATE_ID                                       0xFFFFFFF8
#define R_0287D4_PA_CL_POINT_X_RAD                                      0x0287D4
#define   S_0287D4_DATA_REGISTER(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0287D4_DATA_REGISTER(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_0287D4_DATA_REGISTER                                      0x00000000
#define R_0287D8_PA_CL_POINT_Y_RAD                                      0x0287D8
#define   S_0287D8_DATA_REGISTER(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0287D8_DATA_REGISTER(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_0287D8_DATA_REGISTER                                      0x00000000
#define R_0287DC_PA_CL_POINT_SIZE                                       0x0287DC
#define   S_0287DC_DATA_REGISTER(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0287DC_DATA_REGISTER(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_0287DC_DATA_REGISTER                                      0x00000000
#define R_0287E0_PA_CL_POINT_CULL_RAD                                   0x0287E0
#define   S_0287E0_DATA_REGISTER(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0287E0_DATA_REGISTER(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_0287E0_DATA_REGISTER                                      0x00000000
#define R_0287E4_VGT_DMA_BASE_HI                                        0x0287E4
#define   S_0287E4_BASE_ADDR(x)                                       (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0287E4_BASE_ADDR(x)                                       (((x) >> 0) & 0xFFFF)
#define   C_0287E4_BASE_ADDR                                          0xFFFF0000
#define R_0287E8_VGT_DMA_BASE                                           0x0287E8
#define   S_0287E8_BASE_ADDR(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0287E8_BASE_ADDR(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_0287E8_BASE_ADDR                                          0x00000000
#define R_0287F0_VGT_DRAW_INITIATOR                                     0x0287F0
#define   S_0287F0_SOURCE_SELECT(x)                                   (((unsigned)(x) & 0x3) << 0)
#define   G_0287F0_SOURCE_SELECT(x)                                   (((x) >> 0) & 0x3)
#define   C_0287F0_SOURCE_SELECT                                      0xFFFFFFFC
#define     V_0287F0_DI_SRC_SEL_DMA                                 0
#define     V_0287F0_DI_SRC_SEL_IMMEDIATE                           1 /* <= gfx6, >= gfx10 */
#define     V_0287F0_DI_SRC_SEL_AUTO_INDEX                          2
#define     V_0287F0_DI_SRC_SEL_RESERVED                            3
#define   S_0287F0_MAJOR_MODE(x)                                      (((unsigned)(x) & 0x3) << 2)
#define   G_0287F0_MAJOR_MODE(x)                                      (((x) >> 2) & 0x3)
#define   C_0287F0_MAJOR_MODE                                         0xFFFFFFF3
#define     V_0287F0_DI_MAJOR_MODE_0                                0
#define     V_0287F0_DI_MAJOR_MODE_1                                1
#define   S_0287F0_SPRITE_EN_R6XX(x)                                  (((unsigned)(x) & 0x1) << 4) /* >= gfx9 */
#define   G_0287F0_SPRITE_EN_R6XX(x)                                  (((x) >> 4) & 0x1)
#define   C_0287F0_SPRITE_EN_R6XX                                     0xFFFFFFEF
#define   S_0287F0_NOT_EOP(x)                                         (((unsigned)(x) & 0x1) << 5)
#define   G_0287F0_NOT_EOP(x)                                         (((x) >> 5) & 0x1)
#define   C_0287F0_NOT_EOP                                            0xFFFFFFDF
#define   S_0287F0_USE_OPAQUE(x)                                      (((unsigned)(x) & 0x1) << 6)
#define   G_0287F0_USE_OPAQUE(x)                                      (((x) >> 6) & 0x1)
#define   C_0287F0_USE_OPAQUE                                         0xFFFFFFBF
#define   S_0287F0_UNROLLED_INST(x)                                   (((unsigned)(x) & 0x1) << 7) /* >= gfx9 */
#define   G_0287F0_UNROLLED_INST(x)                                   (((x) >> 7) & 0x1)
#define   C_0287F0_UNROLLED_INST                                      0xFFFFFF7F
#define   S_0287F0_GRBM_SKEW_NO_DEC(x)                                (((unsigned)(x) & 0x1) << 8) /* >= gfx9 */
#define   G_0287F0_GRBM_SKEW_NO_DEC(x)                                (((x) >> 8) & 0x1)
#define   C_0287F0_GRBM_SKEW_NO_DEC                                   0xFFFFFEFF
#define   S_0287F0_REG_RT_INDEX(x)                                    (((unsigned)(x) & 0x7) << 29) /* >= gfx9 */
#define   G_0287F0_REG_RT_INDEX(x)                                    (((x) >> 29) & 0x7)
#define   C_0287F0_REG_RT_INDEX                                       0x1FFFFFFF
#define R_0287F4_VGT_IMMED_DATA                                         0x0287F4 /* <= gfx6, >= gfx10 */
#define   S_0287F4_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0287F4_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_0287F4_DATA                                               0x00000000
#define R_0287F8_VGT_EVENT_ADDRESS_REG                                  0x0287F8
#define   S_0287F8_ADDRESS_LOW(x)                                     (((unsigned)(x) & 0xFFFFFFF) << 0)
#define   G_0287F8_ADDRESS_LOW(x)                                     (((x) >> 0) & 0xFFFFFFF)
#define   C_0287F8_ADDRESS_LOW                                        0xF0000000
#define R_0287FC_GE_MAX_OUTPUT_PER_SUBGROUP                             0x0287FC /* >= gfx10 */
#define   S_0287FC_MAX_VERTS_PER_SUBGROUP(x)                          (((unsigned)(x) & 0x3FF) << 0)
#define   G_0287FC_MAX_VERTS_PER_SUBGROUP(x)                          (((x) >> 0) & 0x3FF)
#define   C_0287FC_MAX_VERTS_PER_SUBGROUP                             0xFFFFFC00
#define R_028800_DB_DEPTH_CONTROL                                       0x028800
#define   S_028800_STENCIL_ENABLE(x)                                  (((unsigned)(x) & 0x1) << 0)
#define   G_028800_STENCIL_ENABLE(x)                                  (((x) >> 0) & 0x1)
#define   C_028800_STENCIL_ENABLE                                     0xFFFFFFFE
#define   S_028800_Z_ENABLE(x)                                        (((unsigned)(x) & 0x1) << 1)
#define   G_028800_Z_ENABLE(x)                                        (((x) >> 1) & 0x1)
#define   C_028800_Z_ENABLE                                           0xFFFFFFFD
#define   S_028800_Z_WRITE_ENABLE(x)                                  (((unsigned)(x) & 0x1) << 2)
#define   G_028800_Z_WRITE_ENABLE(x)                                  (((x) >> 2) & 0x1)
#define   C_028800_Z_WRITE_ENABLE                                     0xFFFFFFFB
#define   S_028800_DEPTH_BOUNDS_ENABLE(x)                             (((unsigned)(x) & 0x1) << 3)
#define   G_028800_DEPTH_BOUNDS_ENABLE(x)                             (((x) >> 3) & 0x1)
#define   C_028800_DEPTH_BOUNDS_ENABLE                                0xFFFFFFF7
#define   S_028800_ZFUNC(x)                                           (((unsigned)(x) & 0x7) << 4)
#define   G_028800_ZFUNC(x)                                           (((x) >> 4) & 0x7)
#define   C_028800_ZFUNC                                              0xFFFFFF8F
#define     V_028800_FRAG_NEVER                                     0
#define     V_028800_FRAG_LESS                                      1
#define     V_028800_FRAG_EQUAL                                     2
#define     V_028800_FRAG_LEQUAL                                    3
#define     V_028800_FRAG_GREATER                                   4
#define     V_028800_FRAG_NOTEQUAL                                  5
#define     V_028800_FRAG_GEQUAL                                    6
#define     V_028800_FRAG_ALWAYS                                    7
#define   S_028800_BACKFACE_ENABLE(x)                                 (((unsigned)(x) & 0x1) << 7)
#define   G_028800_BACKFACE_ENABLE(x)                                 (((x) >> 7) & 0x1)
#define   C_028800_BACKFACE_ENABLE                                    0xFFFFFF7F
#define   S_028800_STENCILFUNC(x)                                     (((unsigned)(x) & 0x7) << 8)
#define   G_028800_STENCILFUNC(x)                                     (((x) >> 8) & 0x7)
#define   C_028800_STENCILFUNC                                        0xFFFFF8FF
#define     V_028800_REF_NEVER                                      0
#define     V_028800_REF_LESS                                       1
#define     V_028800_REF_EQUAL                                      2
#define     V_028800_REF_LEQUAL                                     3
#define     V_028800_REF_GREATER                                    4
#define     V_028800_REF_NOTEQUAL                                   5
#define     V_028800_REF_GEQUAL                                     6
#define     V_028800_REF_ALWAYS                                     7
#define   S_028800_STENCILFUNC_BF(x)                                  (((unsigned)(x) & 0x7) << 20)
#define   G_028800_STENCILFUNC_BF(x)                                  (((x) >> 20) & 0x7)
#define   C_028800_STENCILFUNC_BF                                     0xFF8FFFFF
#define   S_028800_ENABLE_COLOR_WRITES_ON_DEPTH_FAIL(x)               (((unsigned)(x) & 0x1) << 30)
#define   G_028800_ENABLE_COLOR_WRITES_ON_DEPTH_FAIL(x)               (((x) >> 30) & 0x1)
#define   C_028800_ENABLE_COLOR_WRITES_ON_DEPTH_FAIL                  0xBFFFFFFF
#define   S_028800_DISABLE_COLOR_WRITES_ON_DEPTH_PASS(x)              (((unsigned)(x) & 0x1) << 31)
#define   G_028800_DISABLE_COLOR_WRITES_ON_DEPTH_PASS(x)              (((x) >> 31) & 0x1)
#define   C_028800_DISABLE_COLOR_WRITES_ON_DEPTH_PASS                 0x7FFFFFFF
#define R_028804_DB_EQAA                                                0x028804
#define   S_028804_MAX_ANCHOR_SAMPLES(x)                              (((unsigned)(x) & 0x7) << 0)
#define   G_028804_MAX_ANCHOR_SAMPLES(x)                              (((x) >> 0) & 0x7)
#define   C_028804_MAX_ANCHOR_SAMPLES                                 0xFFFFFFF8
#define   S_028804_PS_ITER_SAMPLES(x)                                 (((unsigned)(x) & 0x7) << 4)
#define   G_028804_PS_ITER_SAMPLES(x)                                 (((x) >> 4) & 0x7)
#define   C_028804_PS_ITER_SAMPLES                                    0xFFFFFF8F
#define   S_028804_MASK_EXPORT_NUM_SAMPLES(x)                         (((unsigned)(x) & 0x7) << 8)
#define   G_028804_MASK_EXPORT_NUM_SAMPLES(x)                         (((x) >> 8) & 0x7)
#define   C_028804_MASK_EXPORT_NUM_SAMPLES                            0xFFFFF8FF
#define   S_028804_ALPHA_TO_MASK_NUM_SAMPLES(x)                       (((unsigned)(x) & 0x7) << 12)
#define   G_028804_ALPHA_TO_MASK_NUM_SAMPLES(x)                       (((x) >> 12) & 0x7)
#define   C_028804_ALPHA_TO_MASK_NUM_SAMPLES                          0xFFFF8FFF
#define   S_028804_HIGH_QUALITY_INTERSECTIONS(x)                      (((unsigned)(x) & 0x1) << 16)
#define   G_028804_HIGH_QUALITY_INTERSECTIONS(x)                      (((x) >> 16) & 0x1)
#define   C_028804_HIGH_QUALITY_INTERSECTIONS                         0xFFFEFFFF
#define   S_028804_INCOHERENT_EQAA_READS(x)                           (((unsigned)(x) & 0x1) << 17)
#define   G_028804_INCOHERENT_EQAA_READS(x)                           (((x) >> 17) & 0x1)
#define   C_028804_INCOHERENT_EQAA_READS                              0xFFFDFFFF
#define   S_028804_INTERPOLATE_COMP_Z(x)                              (((unsigned)(x) & 0x1) << 18)
#define   G_028804_INTERPOLATE_COMP_Z(x)                              (((x) >> 18) & 0x1)
#define   C_028804_INTERPOLATE_COMP_Z                                 0xFFFBFFFF
#define   S_028804_INTERPOLATE_SRC_Z(x)                               (((unsigned)(x) & 0x1) << 19)
#define   G_028804_INTERPOLATE_SRC_Z(x)                               (((x) >> 19) & 0x1)
#define   C_028804_INTERPOLATE_SRC_Z                                  0xFFF7FFFF
#define   S_028804_STATIC_ANCHOR_ASSOCIATIONS(x)                      (((unsigned)(x) & 0x1) << 20)
#define   G_028804_STATIC_ANCHOR_ASSOCIATIONS(x)                      (((x) >> 20) & 0x1)
#define   C_028804_STATIC_ANCHOR_ASSOCIATIONS                         0xFFEFFFFF
#define   S_028804_ALPHA_TO_MASK_EQAA_DISABLE(x)                      (((unsigned)(x) & 0x1) << 21)
#define   G_028804_ALPHA_TO_MASK_EQAA_DISABLE(x)                      (((x) >> 21) & 0x1)
#define   C_028804_ALPHA_TO_MASK_EQAA_DISABLE                         0xFFDFFFFF
#define   S_028804_OVERRASTERIZATION_AMOUNT(x)                        (((unsigned)(x) & 0x7) << 24)
#define   G_028804_OVERRASTERIZATION_AMOUNT(x)                        (((x) >> 24) & 0x7)
#define   C_028804_OVERRASTERIZATION_AMOUNT                           0xF8FFFFFF
#define   S_028804_ENABLE_POSTZ_OVERRASTERIZATION(x)                  (((unsigned)(x) & 0x1) << 27)
#define   G_028804_ENABLE_POSTZ_OVERRASTERIZATION(x)                  (((x) >> 27) & 0x1)
#define   C_028804_ENABLE_POSTZ_OVERRASTERIZATION                     0xF7FFFFFF
#define R_028808_CB_COLOR_CONTROL                                       0x028808
#define   S_028808_DISABLE_DUAL_QUAD(x)                               (((unsigned)(x) & 0x1) << 0)
#define   G_028808_DISABLE_DUAL_QUAD(x)                               (((x) >> 0) & 0x1)
#define   C_028808_DISABLE_DUAL_QUAD                                  0xFFFFFFFE
#define   S_028808_DEGAMMA_ENABLE(x)                                  (((unsigned)(x) & 0x1) << 3)
#define   G_028808_DEGAMMA_ENABLE(x)                                  (((x) >> 3) & 0x1)
#define   C_028808_DEGAMMA_ENABLE                                     0xFFFFFFF7
#define   S_028808_MODE(x)                                            (((unsigned)(x) & 0x7) << 4)
#define   G_028808_MODE(x)                                            (((x) >> 4) & 0x7)
#define   C_028808_MODE                                               0xFFFFFF8F
#define     V_028808_CB_DISABLE                                     0
#define     V_028808_CB_NORMAL                                      1
#define     V_028808_CB_ELIMINATE_FAST_CLEAR                        2
#define     V_028808_CB_RESOLVE                                     3
#define     V_028808_CB_DECOMPRESS                                  4 /* >= gfx10 */
#define     V_028808_CB_FMASK_DECOMPRESS                            5
#define     V_028808_CB_DCC_DECOMPRESS                              6
#define     V_028808_CB_RESERVED                                    7 /* >= gfx10 */
#define   S_028808_ROP3(x)                                            (((unsigned)(x) & 0xFF) << 16)
#define   G_028808_ROP3(x)                                            (((x) >> 16) & 0xFF)
#define   C_028808_ROP3                                               0xFF00FFFF
#define     V_028808_ROP3_CLEAR                                     0 /* <= gfx9 */
#define     V_028808_X_0X05                                         5 /* <= gfx9 */
#define     V_028808_X_0X0A                                         10 /* <= gfx9 */
#define     V_028808_X_0X0F                                         15 /* <= gfx9 */
#define     V_028808_ROP3_NOR                                       17 /* <= gfx9 */
#define     V_028808_ROP3_AND_INVERTED                              34 /* <= gfx9 */
#define     V_028808_ROP3_COPY_INVERTED                             51 /* <= gfx9 */
#define     V_028808_ROP3_AND_REVERSE                               68 /* <= gfx9 */
#define     V_028808_X_0X50                                         80 /* <= gfx9 */
#define     V_028808_ROP3_INVERT                                    85 /* <= gfx9 */
#define     V_028808_X_0X5A                                         90 /* <= gfx9 */
#define     V_028808_X_0X5F                                         95 /* <= gfx9 */
#define     V_028808_ROP3_XOR                                       102 /* <= gfx9 */
#define     V_028808_ROP3_NAND                                      119 /* <= gfx9 */
#define     V_028808_ROP3_AND                                       136 /* <= gfx9 */
#define     V_028808_ROP3_EQUIVALENT                                153 /* <= gfx9 */
#define     V_028808_X_0XA0                                         160 /* <= gfx9 */
#define     V_028808_X_0XA5                                         165 /* <= gfx9 */
#define     V_028808_ROP3_NO_OP                                     170 /* <= gfx9 */
#define     V_028808_X_0XAF                                         175 /* <= gfx9 */
#define     V_028808_ROP3_OR_INVERTED                               187 /* <= gfx9 */
#define     V_028808_ROP3_COPY                                      204 /* <= gfx9 */
#define     V_028808_ROP3_OR_REVERSE                                221 /* <= gfx9 */
#define     V_028808_ROP3_OR                                        238 /* <= gfx9 */
#define     V_028808_X_0XF0                                         240 /* <= gfx9 */
#define     V_028808_X_0XF5                                         245 /* <= gfx9 */
#define     V_028808_X_0XFA                                         250 /* <= gfx9 */
#define     V_028808_ROP3_SET                                       255 /* <= gfx9 */
#define R_02880C_DB_SHADER_CONTROL                                      0x02880C
#define   S_02880C_Z_EXPORT_ENABLE(x)                                 (((unsigned)(x) & 0x1) << 0)
#define   G_02880C_Z_EXPORT_ENABLE(x)                                 (((x) >> 0) & 0x1)
#define   C_02880C_Z_EXPORT_ENABLE                                    0xFFFFFFFE
#define   S_02880C_STENCIL_TEST_VAL_EXPORT_ENABLE(x)                  (((unsigned)(x) & 0x1) << 1)
#define   G_02880C_STENCIL_TEST_VAL_EXPORT_ENABLE(x)                  (((x) >> 1) & 0x1)
#define   C_02880C_STENCIL_TEST_VAL_EXPORT_ENABLE                     0xFFFFFFFD
#define   S_02880C_STENCIL_OP_VAL_EXPORT_ENABLE(x)                    (((unsigned)(x) & 0x1) << 2)
#define   G_02880C_STENCIL_OP_VAL_EXPORT_ENABLE(x)                    (((x) >> 2) & 0x1)
#define   C_02880C_STENCIL_OP_VAL_EXPORT_ENABLE                       0xFFFFFFFB
#define   S_02880C_Z_ORDER(x)                                         (((unsigned)(x) & 0x3) << 4)
#define   G_02880C_Z_ORDER(x)                                         (((x) >> 4) & 0x3)
#define   C_02880C_Z_ORDER                                            0xFFFFFFCF
#define     V_02880C_LATE_Z                                         0
#define     V_02880C_EARLY_Z_THEN_LATE_Z                            1
#define     V_02880C_RE_Z                                           2
#define     V_02880C_EARLY_Z_THEN_RE_Z                              3
#define   S_02880C_KILL_ENABLE(x)                                     (((unsigned)(x) & 0x1) << 6)
#define   G_02880C_KILL_ENABLE(x)                                     (((x) >> 6) & 0x1)
#define   C_02880C_KILL_ENABLE                                        0xFFFFFFBF
#define   S_02880C_COVERAGE_TO_MASK_ENABLE(x)                         (((unsigned)(x) & 0x1) << 7)
#define   G_02880C_COVERAGE_TO_MASK_ENABLE(x)                         (((x) >> 7) & 0x1)
#define   C_02880C_COVERAGE_TO_MASK_ENABLE                            0xFFFFFF7F
#define   S_02880C_MASK_EXPORT_ENABLE(x)                              (((unsigned)(x) & 0x1) << 8)
#define   G_02880C_MASK_EXPORT_ENABLE(x)                              (((x) >> 8) & 0x1)
#define   C_02880C_MASK_EXPORT_ENABLE                                 0xFFFFFEFF
#define   S_02880C_EXEC_ON_HIER_FAIL(x)                               (((unsigned)(x) & 0x1) << 9)
#define   G_02880C_EXEC_ON_HIER_FAIL(x)                               (((x) >> 9) & 0x1)
#define   C_02880C_EXEC_ON_HIER_FAIL                                  0xFFFFFDFF
#define   S_02880C_EXEC_ON_NOOP(x)                                    (((unsigned)(x) & 0x1) << 10)
#define   G_02880C_EXEC_ON_NOOP(x)                                    (((x) >> 10) & 0x1)
#define   C_02880C_EXEC_ON_NOOP                                       0xFFFFFBFF
#define   S_02880C_ALPHA_TO_MASK_DISABLE(x)                           (((unsigned)(x) & 0x1) << 11)
#define   G_02880C_ALPHA_TO_MASK_DISABLE(x)                           (((x) >> 11) & 0x1)
#define   C_02880C_ALPHA_TO_MASK_DISABLE                              0xFFFFF7FF
#define   S_02880C_DEPTH_BEFORE_SHADER(x)                             (((unsigned)(x) & 0x1) << 12)
#define   G_02880C_DEPTH_BEFORE_SHADER(x)                             (((x) >> 12) & 0x1)
#define   C_02880C_DEPTH_BEFORE_SHADER                                0xFFFFEFFF
#define   S_02880C_CONSERVATIVE_Z_EXPORT(x)                           (((unsigned)(x) & 0x3) << 13) /* >= gfx7 */
#define   G_02880C_CONSERVATIVE_Z_EXPORT(x)                           (((x) >> 13) & 0x3)
#define   C_02880C_CONSERVATIVE_Z_EXPORT                              0xFFFF9FFF
#define     V_02880C_EXPORT_ANY_Z                                   0
#define     V_02880C_EXPORT_LESS_THAN_Z                             1
#define     V_02880C_EXPORT_GREATER_THAN_Z                          2
#define     V_02880C_EXPORT_RESERVED                                3
#define   S_02880C_DUAL_QUAD_DISABLE(x)                               (((unsigned)(x) & 0x1) << 15) /* >= stoney */
#define   G_02880C_DUAL_QUAD_DISABLE(x)                               (((x) >> 15) & 0x1)
#define   C_02880C_DUAL_QUAD_DISABLE                                  0xFFFF7FFF
#define   S_02880C_PRIMITIVE_ORDERED_PIXEL_SHADER(x)                  (((unsigned)(x) & 0x1) << 16) /* >= gfx9 */
#define   G_02880C_PRIMITIVE_ORDERED_PIXEL_SHADER(x)                  (((x) >> 16) & 0x1)
#define   C_02880C_PRIMITIVE_ORDERED_PIXEL_SHADER                     0xFFFEFFFF
#define   S_02880C_EXEC_IF_OVERLAPPED(x)                              (((unsigned)(x) & 0x1) << 17) /* >= gfx9 */
#define   G_02880C_EXEC_IF_OVERLAPPED(x)                              (((x) >> 17) & 0x1)
#define   C_02880C_EXEC_IF_OVERLAPPED                                 0xFFFDFFFF
#define   S_02880C_POPS_OVERLAP_NUM_SAMPLES(x)                        (((unsigned)(x) & 0x7) << 20) /* >= gfx9 */
#define   G_02880C_POPS_OVERLAP_NUM_SAMPLES(x)                        (((x) >> 20) & 0x7)
#define   C_02880C_POPS_OVERLAP_NUM_SAMPLES                           0xFF8FFFFF
#define   S_02880C_PRE_SHADER_DEPTH_COVERAGE_ENABLE(x)                (((unsigned)(x) & 0x1) << 23) /* >= gfx10 */
#define   G_02880C_PRE_SHADER_DEPTH_COVERAGE_ENABLE(x)                (((x) >> 23) & 0x1)
#define   C_02880C_PRE_SHADER_DEPTH_COVERAGE_ENABLE                   0xFF7FFFFF
#define R_028810_PA_CL_CLIP_CNTL                                        0x028810
#define   S_028810_UCP_ENA_0(x)                                       (((unsigned)(x) & 0x1) << 0)
#define   G_028810_UCP_ENA_0(x)                                       (((x) >> 0) & 0x1)
#define   C_028810_UCP_ENA_0                                          0xFFFFFFFE
#define   S_028810_UCP_ENA_1(x)                                       (((unsigned)(x) & 0x1) << 1)
#define   G_028810_UCP_ENA_1(x)                                       (((x) >> 1) & 0x1)
#define   C_028810_UCP_ENA_1                                          0xFFFFFFFD
#define   S_028810_UCP_ENA_2(x)                                       (((unsigned)(x) & 0x1) << 2)
#define   G_028810_UCP_ENA_2(x)                                       (((x) >> 2) & 0x1)
#define   C_028810_UCP_ENA_2                                          0xFFFFFFFB
#define   S_028810_UCP_ENA_3(x)                                       (((unsigned)(x) & 0x1) << 3)
#define   G_028810_UCP_ENA_3(x)                                       (((x) >> 3) & 0x1)
#define   C_028810_UCP_ENA_3                                          0xFFFFFFF7
#define   S_028810_UCP_ENA_4(x)                                       (((unsigned)(x) & 0x1) << 4)
#define   G_028810_UCP_ENA_4(x)                                       (((x) >> 4) & 0x1)
#define   C_028810_UCP_ENA_4                                          0xFFFFFFEF
#define   S_028810_UCP_ENA_5(x)                                       (((unsigned)(x) & 0x1) << 5)
#define   G_028810_UCP_ENA_5(x)                                       (((x) >> 5) & 0x1)
#define   C_028810_UCP_ENA_5                                          0xFFFFFFDF
#define   S_028810_PS_UCP_Y_SCALE_NEG(x)                              (((unsigned)(x) & 0x1) << 13)
#define   G_028810_PS_UCP_Y_SCALE_NEG(x)                              (((x) >> 13) & 0x1)
#define   C_028810_PS_UCP_Y_SCALE_NEG                                 0xFFFFDFFF
#define   S_028810_PS_UCP_MODE(x)                                     (((unsigned)(x) & 0x3) << 14)
#define   G_028810_PS_UCP_MODE(x)                                     (((x) >> 14) & 0x3)
#define   C_028810_PS_UCP_MODE                                        0xFFFF3FFF
#define   S_028810_CLIP_DISABLE(x)                                    (((unsigned)(x) & 0x1) << 16)
#define   G_028810_CLIP_DISABLE(x)                                    (((x) >> 16) & 0x1)
#define   C_028810_CLIP_DISABLE                                       0xFFFEFFFF
#define   S_028810_UCP_CULL_ONLY_ENA(x)                               (((unsigned)(x) & 0x1) << 17)
#define   G_028810_UCP_CULL_ONLY_ENA(x)                               (((x) >> 17) & 0x1)
#define   C_028810_UCP_CULL_ONLY_ENA                                  0xFFFDFFFF
#define   S_028810_BOUNDARY_EDGE_FLAG_ENA(x)                          (((unsigned)(x) & 0x1) << 18)
#define   G_028810_BOUNDARY_EDGE_FLAG_ENA(x)                          (((x) >> 18) & 0x1)
#define   C_028810_BOUNDARY_EDGE_FLAG_ENA                             0xFFFBFFFF
#define   S_028810_DX_CLIP_SPACE_DEF(x)                               (((unsigned)(x) & 0x1) << 19)
#define   G_028810_DX_CLIP_SPACE_DEF(x)                               (((x) >> 19) & 0x1)
#define   C_028810_DX_CLIP_SPACE_DEF                                  0xFFF7FFFF
#define   S_028810_DIS_CLIP_ERR_DETECT(x)                             (((unsigned)(x) & 0x1) << 20)
#define   G_028810_DIS_CLIP_ERR_DETECT(x)                             (((x) >> 20) & 0x1)
#define   C_028810_DIS_CLIP_ERR_DETECT                                0xFFEFFFFF
#define   S_028810_VTX_KILL_OR(x)                                     (((unsigned)(x) & 0x1) << 21)
#define   G_028810_VTX_KILL_OR(x)                                     (((x) >> 21) & 0x1)
#define   C_028810_VTX_KILL_OR                                        0xFFDFFFFF
#define   S_028810_DX_RASTERIZATION_KILL(x)                           (((unsigned)(x) & 0x1) << 22)
#define   G_028810_DX_RASTERIZATION_KILL(x)                           (((x) >> 22) & 0x1)
#define   C_028810_DX_RASTERIZATION_KILL                              0xFFBFFFFF
#define   S_028810_DX_LINEAR_ATTR_CLIP_ENA(x)                         (((unsigned)(x) & 0x1) << 24)
#define   G_028810_DX_LINEAR_ATTR_CLIP_ENA(x)                         (((x) >> 24) & 0x1)
#define   C_028810_DX_LINEAR_ATTR_CLIP_ENA                            0xFEFFFFFF
#define   S_028810_VTE_VPORT_PROVOKE_DISABLE(x)                       (((unsigned)(x) & 0x1) << 25)
#define   G_028810_VTE_VPORT_PROVOKE_DISABLE(x)                       (((x) >> 25) & 0x1)
#define   C_028810_VTE_VPORT_PROVOKE_DISABLE                          0xFDFFFFFF
#define   S_028810_ZCLIP_NEAR_DISABLE(x)                              (((unsigned)(x) & 0x1) << 26)
#define   G_028810_ZCLIP_NEAR_DISABLE(x)                              (((x) >> 26) & 0x1)
#define   C_028810_ZCLIP_NEAR_DISABLE                                 0xFBFFFFFF
#define   S_028810_ZCLIP_FAR_DISABLE(x)                               (((unsigned)(x) & 0x1) << 27)
#define   G_028810_ZCLIP_FAR_DISABLE(x)                               (((x) >> 27) & 0x1)
#define   C_028810_ZCLIP_FAR_DISABLE                                  0xF7FFFFFF
#define   S_028810_ZCLIP_PROG_NEAR_ENA(x)                             (((unsigned)(x) & 0x1) << 28) /* >= gfx10 */
#define   G_028810_ZCLIP_PROG_NEAR_ENA(x)                             (((x) >> 28) & 0x1)
#define   C_028810_ZCLIP_PROG_NEAR_ENA                                0xEFFFFFFF
#define R_028814_PA_SU_SC_MODE_CNTL                                     0x028814
#define   S_028814_CULL_FRONT(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_028814_CULL_FRONT(x)                                      (((x) >> 0) & 0x1)
#define   C_028814_CULL_FRONT                                         0xFFFFFFFE
#define   S_028814_CULL_BACK(x)                                       (((unsigned)(x) & 0x1) << 1)
#define   G_028814_CULL_BACK(x)                                       (((x) >> 1) & 0x1)
#define   C_028814_CULL_BACK                                          0xFFFFFFFD
#define   S_028814_FACE(x)                                            (((unsigned)(x) & 0x1) << 2)
#define   G_028814_FACE(x)                                            (((x) >> 2) & 0x1)
#define   C_028814_FACE                                               0xFFFFFFFB
#define   S_028814_POLY_MODE(x)                                       (((unsigned)(x) & 0x3) << 3)
#define   G_028814_POLY_MODE(x)                                       (((x) >> 3) & 0x3)
#define   C_028814_POLY_MODE                                          0xFFFFFFE7
#define     V_028814_X_DISABLE_POLY_MODE                            0 /* <= gfx9 */
#define     V_028814_X_DUAL_MODE                                    1 /* <= gfx9 */
#define   S_028814_POLYMODE_FRONT_PTYPE(x)                            (((unsigned)(x) & 0x7) << 5)
#define   G_028814_POLYMODE_FRONT_PTYPE(x)                            (((x) >> 5) & 0x7)
#define   C_028814_POLYMODE_FRONT_PTYPE                               0xFFFFFF1F
#define     V_028814_X_DRAW_POINTS                                  0 /* <= gfx9 */
#define     V_028814_X_DRAW_LINES                                   1 /* <= gfx9 */
#define     V_028814_X_DRAW_TRIANGLES                               2 /* <= gfx9 */
#define   S_028814_POLYMODE_BACK_PTYPE(x)                             (((unsigned)(x) & 0x7) << 8)
#define   G_028814_POLYMODE_BACK_PTYPE(x)                             (((x) >> 8) & 0x7)
#define   C_028814_POLYMODE_BACK_PTYPE                                0xFFFFF8FF
#define   S_028814_POLY_OFFSET_FRONT_ENABLE(x)                        (((unsigned)(x) & 0x1) << 11)
#define   G_028814_POLY_OFFSET_FRONT_ENABLE(x)                        (((x) >> 11) & 0x1)
#define   C_028814_POLY_OFFSET_FRONT_ENABLE                           0xFFFFF7FF
#define   S_028814_POLY_OFFSET_BACK_ENABLE(x)                         (((unsigned)(x) & 0x1) << 12)
#define   G_028814_POLY_OFFSET_BACK_ENABLE(x)                         (((x) >> 12) & 0x1)
#define   C_028814_POLY_OFFSET_BACK_ENABLE                            0xFFFFEFFF
#define   S_028814_POLY_OFFSET_PARA_ENABLE(x)                         (((unsigned)(x) & 0x1) << 13)
#define   G_028814_POLY_OFFSET_PARA_ENABLE(x)                         (((x) >> 13) & 0x1)
#define   C_028814_POLY_OFFSET_PARA_ENABLE                            0xFFFFDFFF
#define   S_028814_VTX_WINDOW_OFFSET_ENABLE(x)                        (((unsigned)(x) & 0x1) << 16)
#define   G_028814_VTX_WINDOW_OFFSET_ENABLE(x)                        (((x) >> 16) & 0x1)
#define   C_028814_VTX_WINDOW_OFFSET_ENABLE                           0xFFFEFFFF
#define   S_028814_PROVOKING_VTX_LAST(x)                              (((unsigned)(x) & 0x1) << 19)
#define   G_028814_PROVOKING_VTX_LAST(x)                              (((x) >> 19) & 0x1)
#define   C_028814_PROVOKING_VTX_LAST                                 0xFFF7FFFF
#define   S_028814_PERSP_CORR_DIS(x)                                  (((unsigned)(x) & 0x1) << 20)
#define   G_028814_PERSP_CORR_DIS(x)                                  (((x) >> 20) & 0x1)
#define   C_028814_PERSP_CORR_DIS                                     0xFFEFFFFF
#define   S_028814_MULTI_PRIM_IB_ENA(x)                               (((unsigned)(x) & 0x1) << 21)
#define   G_028814_MULTI_PRIM_IB_ENA(x)                               (((x) >> 21) & 0x1)
#define   C_028814_MULTI_PRIM_IB_ENA                                  0xFFDFFFFF
#define   S_028814_RIGHT_TRIANGLE_ALTERNATE_GRADIENT_REF(x)           (((unsigned)(x) & 0x1) << 22) /* >= gfx9 */
#define   G_028814_RIGHT_TRIANGLE_ALTERNATE_GRADIENT_REF(x)           (((x) >> 22) & 0x1)
#define   C_028814_RIGHT_TRIANGLE_ALTERNATE_GRADIENT_REF              0xFFBFFFFF
#define   S_028814_NEW_QUAD_DECOMPOSITION(x)                          (((unsigned)(x) & 0x1) << 23) /* >= gfx9 */
#define   G_028814_NEW_QUAD_DECOMPOSITION(x)                          (((x) >> 23) & 0x1)
#define   C_028814_NEW_QUAD_DECOMPOSITION                             0xFF7FFFFF
#define   S_028814_KEEP_TOGETHER_ENABLE(x)                            (((unsigned)(x) & 0x1) << 24) /* >= gfx10 */
#define   G_028814_KEEP_TOGETHER_ENABLE(x)                            (((x) >> 24) & 0x1)
#define   C_028814_KEEP_TOGETHER_ENABLE                               0xFEFFFFFF
#define R_028818_PA_CL_VTE_CNTL                                         0x028818
#define   S_028818_VPORT_X_SCALE_ENA(x)                               (((unsigned)(x) & 0x1) << 0)
#define   G_028818_VPORT_X_SCALE_ENA(x)                               (((x) >> 0) & 0x1)
#define   C_028818_VPORT_X_SCALE_ENA                                  0xFFFFFFFE
#define   S_028818_VPORT_X_OFFSET_ENA(x)                              (((unsigned)(x) & 0x1) << 1)
#define   G_028818_VPORT_X_OFFSET_ENA(x)                              (((x) >> 1) & 0x1)
#define   C_028818_VPORT_X_OFFSET_ENA                                 0xFFFFFFFD
#define   S_028818_VPORT_Y_SCALE_ENA(x)                               (((unsigned)(x) & 0x1) << 2)
#define   G_028818_VPORT_Y_SCALE_ENA(x)                               (((x) >> 2) & 0x1)
#define   C_028818_VPORT_Y_SCALE_ENA                                  0xFFFFFFFB
#define   S_028818_VPORT_Y_OFFSET_ENA(x)                              (((unsigned)(x) & 0x1) << 3)
#define   G_028818_VPORT_Y_OFFSET_ENA(x)                              (((x) >> 3) & 0x1)
#define   C_028818_VPORT_Y_OFFSET_ENA                                 0xFFFFFFF7
#define   S_028818_VPORT_Z_SCALE_ENA(x)                               (((unsigned)(x) & 0x1) << 4)
#define   G_028818_VPORT_Z_SCALE_ENA(x)                               (((x) >> 4) & 0x1)
#define   C_028818_VPORT_Z_SCALE_ENA                                  0xFFFFFFEF
#define   S_028818_VPORT_Z_OFFSET_ENA(x)                              (((unsigned)(x) & 0x1) << 5)
#define   G_028818_VPORT_Z_OFFSET_ENA(x)                              (((x) >> 5) & 0x1)
#define   C_028818_VPORT_Z_OFFSET_ENA                                 0xFFFFFFDF
#define   S_028818_VTX_XY_FMT(x)                                      (((unsigned)(x) & 0x1) << 8)
#define   G_028818_VTX_XY_FMT(x)                                      (((x) >> 8) & 0x1)
#define   C_028818_VTX_XY_FMT                                         0xFFFFFEFF
#define   S_028818_VTX_Z_FMT(x)                                       (((unsigned)(x) & 0x1) << 9)
#define   G_028818_VTX_Z_FMT(x)                                       (((x) >> 9) & 0x1)
#define   C_028818_VTX_Z_FMT                                          0xFFFFFDFF
#define   S_028818_VTX_W0_FMT(x)                                      (((unsigned)(x) & 0x1) << 10)
#define   G_028818_VTX_W0_FMT(x)                                      (((x) >> 10) & 0x1)
#define   C_028818_VTX_W0_FMT                                         0xFFFFFBFF
#define   S_028818_PERFCOUNTER_REF(x)                                 (((unsigned)(x) & 0x1) << 11) /* >= gfx9 */
#define   G_028818_PERFCOUNTER_REF(x)                                 (((x) >> 11) & 0x1)
#define   C_028818_PERFCOUNTER_REF                                    0xFFFFF7FF
#define R_02881C_PA_CL_VS_OUT_CNTL                                      0x02881C
#define   S_02881C_CLIP_DIST_ENA_0(x)                                 (((unsigned)(x) & 0x1) << 0)
#define   G_02881C_CLIP_DIST_ENA_0(x)                                 (((x) >> 0) & 0x1)
#define   C_02881C_CLIP_DIST_ENA_0                                    0xFFFFFFFE
#define   S_02881C_CLIP_DIST_ENA_1(x)                                 (((unsigned)(x) & 0x1) << 1)
#define   G_02881C_CLIP_DIST_ENA_1(x)                                 (((x) >> 1) & 0x1)
#define   C_02881C_CLIP_DIST_ENA_1                                    0xFFFFFFFD
#define   S_02881C_CLIP_DIST_ENA_2(x)                                 (((unsigned)(x) & 0x1) << 2)
#define   G_02881C_CLIP_DIST_ENA_2(x)                                 (((x) >> 2) & 0x1)
#define   C_02881C_CLIP_DIST_ENA_2                                    0xFFFFFFFB
#define   S_02881C_CLIP_DIST_ENA_3(x)                                 (((unsigned)(x) & 0x1) << 3)
#define   G_02881C_CLIP_DIST_ENA_3(x)                                 (((x) >> 3) & 0x1)
#define   C_02881C_CLIP_DIST_ENA_3                                    0xFFFFFFF7
#define   S_02881C_CLIP_DIST_ENA_4(x)                                 (((unsigned)(x) & 0x1) << 4)
#define   G_02881C_CLIP_DIST_ENA_4(x)                                 (((x) >> 4) & 0x1)
#define   C_02881C_CLIP_DIST_ENA_4                                    0xFFFFFFEF
#define   S_02881C_CLIP_DIST_ENA_5(x)                                 (((unsigned)(x) & 0x1) << 5)
#define   G_02881C_CLIP_DIST_ENA_5(x)                                 (((x) >> 5) & 0x1)
#define   C_02881C_CLIP_DIST_ENA_5                                    0xFFFFFFDF
#define   S_02881C_CLIP_DIST_ENA_6(x)                                 (((unsigned)(x) & 0x1) << 6)
#define   G_02881C_CLIP_DIST_ENA_6(x)                                 (((x) >> 6) & 0x1)
#define   C_02881C_CLIP_DIST_ENA_6                                    0xFFFFFFBF
#define   S_02881C_CLIP_DIST_ENA_7(x)                                 (((unsigned)(x) & 0x1) << 7)
#define   G_02881C_CLIP_DIST_ENA_7(x)                                 (((x) >> 7) & 0x1)
#define   C_02881C_CLIP_DIST_ENA_7                                    0xFFFFFF7F
#define   S_02881C_CULL_DIST_ENA_0(x)                                 (((unsigned)(x) & 0x1) << 8)
#define   G_02881C_CULL_DIST_ENA_0(x)                                 (((x) >> 8) & 0x1)
#define   C_02881C_CULL_DIST_ENA_0                                    0xFFFFFEFF
#define   S_02881C_CULL_DIST_ENA_1(x)                                 (((unsigned)(x) & 0x1) << 9)
#define   G_02881C_CULL_DIST_ENA_1(x)                                 (((x) >> 9) & 0x1)
#define   C_02881C_CULL_DIST_ENA_1                                    0xFFFFFDFF
#define   S_02881C_CULL_DIST_ENA_2(x)                                 (((unsigned)(x) & 0x1) << 10)
#define   G_02881C_CULL_DIST_ENA_2(x)                                 (((x) >> 10) & 0x1)
#define   C_02881C_CULL_DIST_ENA_2                                    0xFFFFFBFF
#define   S_02881C_CULL_DIST_ENA_3(x)                                 (((unsigned)(x) & 0x1) << 11)
#define   G_02881C_CULL_DIST_ENA_3(x)                                 (((x) >> 11) & 0x1)
#define   C_02881C_CULL_DIST_ENA_3                                    0xFFFFF7FF
#define   S_02881C_CULL_DIST_ENA_4(x)                                 (((unsigned)(x) & 0x1) << 12)
#define   G_02881C_CULL_DIST_ENA_4(x)                                 (((x) >> 12) & 0x1)
#define   C_02881C_CULL_DIST_ENA_4                                    0xFFFFEFFF
#define   S_02881C_CULL_DIST_ENA_5(x)                                 (((unsigned)(x) & 0x1) << 13)
#define   G_02881C_CULL_DIST_ENA_5(x)                                 (((x) >> 13) & 0x1)
#define   C_02881C_CULL_DIST_ENA_5                                    0xFFFFDFFF
#define   S_02881C_CULL_DIST_ENA_6(x)                                 (((unsigned)(x) & 0x1) << 14)
#define   G_02881C_CULL_DIST_ENA_6(x)                                 (((x) >> 14) & 0x1)
#define   C_02881C_CULL_DIST_ENA_6                                    0xFFFFBFFF
#define   S_02881C_CULL_DIST_ENA_7(x)                                 (((unsigned)(x) & 0x1) << 15)
#define   G_02881C_CULL_DIST_ENA_7(x)                                 (((x) >> 15) & 0x1)
#define   C_02881C_CULL_DIST_ENA_7                                    0xFFFF7FFF
#define   S_02881C_USE_VTX_POINT_SIZE(x)                              (((unsigned)(x) & 0x1) << 16)
#define   G_02881C_USE_VTX_POINT_SIZE(x)                              (((x) >> 16) & 0x1)
#define   C_02881C_USE_VTX_POINT_SIZE                                 0xFFFEFFFF
#define   S_02881C_USE_VTX_EDGE_FLAG(x)                               (((unsigned)(x) & 0x1) << 17)
#define   G_02881C_USE_VTX_EDGE_FLAG(x)                               (((x) >> 17) & 0x1)
#define   C_02881C_USE_VTX_EDGE_FLAG                                  0xFFFDFFFF
#define   S_02881C_USE_VTX_RENDER_TARGET_INDX(x)                      (((unsigned)(x) & 0x1) << 18)
#define   G_02881C_USE_VTX_RENDER_TARGET_INDX(x)                      (((x) >> 18) & 0x1)
#define   C_02881C_USE_VTX_RENDER_TARGET_INDX                         0xFFFBFFFF
#define   S_02881C_USE_VTX_VIEWPORT_INDX(x)                           (((unsigned)(x) & 0x1) << 19)
#define   G_02881C_USE_VTX_VIEWPORT_INDX(x)                           (((x) >> 19) & 0x1)
#define   C_02881C_USE_VTX_VIEWPORT_INDX                              0xFFF7FFFF
#define   S_02881C_USE_VTX_KILL_FLAG(x)                               (((unsigned)(x) & 0x1) << 20)
#define   G_02881C_USE_VTX_KILL_FLAG(x)                               (((x) >> 20) & 0x1)
#define   C_02881C_USE_VTX_KILL_FLAG                                  0xFFEFFFFF
#define   S_02881C_VS_OUT_MISC_VEC_ENA(x)                             (((unsigned)(x) & 0x1) << 21)
#define   G_02881C_VS_OUT_MISC_VEC_ENA(x)                             (((x) >> 21) & 0x1)
#define   C_02881C_VS_OUT_MISC_VEC_ENA                                0xFFDFFFFF
#define   S_02881C_VS_OUT_CCDIST0_VEC_ENA(x)                          (((unsigned)(x) & 0x1) << 22)
#define   G_02881C_VS_OUT_CCDIST0_VEC_ENA(x)                          (((x) >> 22) & 0x1)
#define   C_02881C_VS_OUT_CCDIST0_VEC_ENA                             0xFFBFFFFF
#define   S_02881C_VS_OUT_CCDIST1_VEC_ENA(x)                          (((unsigned)(x) & 0x1) << 23)
#define   G_02881C_VS_OUT_CCDIST1_VEC_ENA(x)                          (((x) >> 23) & 0x1)
#define   C_02881C_VS_OUT_CCDIST1_VEC_ENA                             0xFF7FFFFF
#define   S_02881C_VS_OUT_MISC_SIDE_BUS_ENA(x)                        (((unsigned)(x) & 0x1) << 24)
#define   G_02881C_VS_OUT_MISC_SIDE_BUS_ENA(x)                        (((x) >> 24) & 0x1)
#define   C_02881C_VS_OUT_MISC_SIDE_BUS_ENA                           0xFEFFFFFF
#define   S_02881C_USE_VTX_GS_CUT_FLAG(x)                             (((unsigned)(x) & 0x1) << 25)
#define   G_02881C_USE_VTX_GS_CUT_FLAG(x)                             (((x) >> 25) & 0x1)
#define   C_02881C_USE_VTX_GS_CUT_FLAG                                0xFDFFFFFF
#define   S_02881C_USE_VTX_LINE_WIDTH_GFX8(x)                         (((unsigned)(x) & 0x1) << 26) /* gfx8, fiji, stoney, gfx9 */
#define   G_02881C_USE_VTX_LINE_WIDTH_GFX8(x)                         (((x) >> 26) & 0x1)
#define   C_02881C_USE_VTX_LINE_WIDTH_GFX8                            0xFBFFFFFF
#define   S_02881C_USE_VTX_SHD_OBJPRIM_ID_GFX10(x)                    (((unsigned)(x) & 0x1) << 26) /* >= gfx10 */
#define   G_02881C_USE_VTX_SHD_OBJPRIM_ID_GFX10(x)                    (((x) >> 26) & 0x1)
#define   C_02881C_USE_VTX_SHD_OBJPRIM_ID_GFX10                       0xFBFFFFFF
#define   S_02881C_USE_VTX_LINE_WIDTH_GFX10(x)                        (((unsigned)(x) & 0x1) << 27) /* >= gfx10 */
#define   G_02881C_USE_VTX_LINE_WIDTH_GFX10(x)                        (((x) >> 27) & 0x1)
#define   C_02881C_USE_VTX_LINE_WIDTH_GFX10                           0xF7FFFFFF
#define   S_02881C_USE_VTX_SHD_OBJPRIM_ID_GFX9(x)                     (((unsigned)(x) & 0x1) << 27) /* gfx9 */
#define   G_02881C_USE_VTX_SHD_OBJPRIM_ID_GFX9(x)                     (((x) >> 27) & 0x1)
#define   C_02881C_USE_VTX_SHD_OBJPRIM_ID_GFX9                        0xF7FFFFFF
#define R_028820_PA_CL_NANINF_CNTL                                      0x028820
#define   S_028820_VTE_XY_INF_DISCARD(x)                              (((unsigned)(x) & 0x1) << 0)
#define   G_028820_VTE_XY_INF_DISCARD(x)                              (((x) >> 0) & 0x1)
#define   C_028820_VTE_XY_INF_DISCARD                                 0xFFFFFFFE
#define   S_028820_VTE_Z_INF_DISCARD(x)                               (((unsigned)(x) & 0x1) << 1)
#define   G_028820_VTE_Z_INF_DISCARD(x)                               (((x) >> 1) & 0x1)
#define   C_028820_VTE_Z_INF_DISCARD                                  0xFFFFFFFD
#define   S_028820_VTE_W_INF_DISCARD(x)                               (((unsigned)(x) & 0x1) << 2)
#define   G_028820_VTE_W_INF_DISCARD(x)                               (((x) >> 2) & 0x1)
#define   C_028820_VTE_W_INF_DISCARD                                  0xFFFFFFFB
#define   S_028820_VTE_0XNANINF_IS_0(x)                               (((unsigned)(x) & 0x1) << 3)
#define   G_028820_VTE_0XNANINF_IS_0(x)                               (((x) >> 3) & 0x1)
#define   C_028820_VTE_0XNANINF_IS_0                                  0xFFFFFFF7
#define   S_028820_VTE_XY_NAN_RETAIN(x)                               (((unsigned)(x) & 0x1) << 4)
#define   G_028820_VTE_XY_NAN_RETAIN(x)                               (((x) >> 4) & 0x1)
#define   C_028820_VTE_XY_NAN_RETAIN                                  0xFFFFFFEF
#define   S_028820_VTE_Z_NAN_RETAIN(x)                                (((unsigned)(x) & 0x1) << 5)
#define   G_028820_VTE_Z_NAN_RETAIN(x)                                (((x) >> 5) & 0x1)
#define   C_028820_VTE_Z_NAN_RETAIN                                   0xFFFFFFDF
#define   S_028820_VTE_W_NAN_RETAIN(x)                                (((unsigned)(x) & 0x1) << 6)
#define   G_028820_VTE_W_NAN_RETAIN(x)                                (((x) >> 6) & 0x1)
#define   C_028820_VTE_W_NAN_RETAIN                                   0xFFFFFFBF
#define   S_028820_VTE_W_RECIP_NAN_IS_0(x)                            (((unsigned)(x) & 0x1) << 7)
#define   G_028820_VTE_W_RECIP_NAN_IS_0(x)                            (((x) >> 7) & 0x1)
#define   C_028820_VTE_W_RECIP_NAN_IS_0                               0xFFFFFF7F
#define   S_028820_VS_XY_NAN_TO_INF(x)                                (((unsigned)(x) & 0x1) << 8)
#define   G_028820_VS_XY_NAN_TO_INF(x)                                (((x) >> 8) & 0x1)
#define   C_028820_VS_XY_NAN_TO_INF                                   0xFFFFFEFF
#define   S_028820_VS_XY_INF_RETAIN(x)                                (((unsigned)(x) & 0x1) << 9)
#define   G_028820_VS_XY_INF_RETAIN(x)                                (((x) >> 9) & 0x1)
#define   C_028820_VS_XY_INF_RETAIN                                   0xFFFFFDFF
#define   S_028820_VS_Z_NAN_TO_INF(x)                                 (((unsigned)(x) & 0x1) << 10)
#define   G_028820_VS_Z_NAN_TO_INF(x)                                 (((x) >> 10) & 0x1)
#define   C_028820_VS_Z_NAN_TO_INF                                    0xFFFFFBFF
#define   S_028820_VS_Z_INF_RETAIN(x)                                 (((unsigned)(x) & 0x1) << 11)
#define   G_028820_VS_Z_INF_RETAIN(x)                                 (((x) >> 11) & 0x1)
#define   C_028820_VS_Z_INF_RETAIN                                    0xFFFFF7FF
#define   S_028820_VS_W_NAN_TO_INF(x)                                 (((unsigned)(x) & 0x1) << 12)
#define   G_028820_VS_W_NAN_TO_INF(x)                                 (((x) >> 12) & 0x1)
#define   C_028820_VS_W_NAN_TO_INF                                    0xFFFFEFFF
#define   S_028820_VS_W_INF_RETAIN(x)                                 (((unsigned)(x) & 0x1) << 13)
#define   G_028820_VS_W_INF_RETAIN(x)                                 (((x) >> 13) & 0x1)
#define   C_028820_VS_W_INF_RETAIN                                    0xFFFFDFFF
#define   S_028820_VS_CLIP_DIST_INF_DISCARD(x)                        (((unsigned)(x) & 0x1) << 14)
#define   G_028820_VS_CLIP_DIST_INF_DISCARD(x)                        (((x) >> 14) & 0x1)
#define   C_028820_VS_CLIP_DIST_INF_DISCARD                           0xFFFFBFFF
#define   S_028820_VTE_NO_OUTPUT_NEG_0(x)                             (((unsigned)(x) & 0x1) << 20)
#define   G_028820_VTE_NO_OUTPUT_NEG_0(x)                             (((x) >> 20) & 0x1)
#define   C_028820_VTE_NO_OUTPUT_NEG_0                                0xFFEFFFFF
#define R_028824_PA_SU_LINE_STIPPLE_CNTL                                0x028824
#define   S_028824_LINE_STIPPLE_RESET(x)                              (((unsigned)(x) & 0x3) << 0)
#define   G_028824_LINE_STIPPLE_RESET(x)                              (((x) >> 0) & 0x3)
#define   C_028824_LINE_STIPPLE_RESET                                 0xFFFFFFFC
#define   S_028824_EXPAND_FULL_LENGTH(x)                              (((unsigned)(x) & 0x1) << 2)
#define   G_028824_EXPAND_FULL_LENGTH(x)                              (((x) >> 2) & 0x1)
#define   C_028824_EXPAND_FULL_LENGTH                                 0xFFFFFFFB
#define   S_028824_FRACTIONAL_ACCUM(x)                                (((unsigned)(x) & 0x1) << 3)
#define   G_028824_FRACTIONAL_ACCUM(x)                                (((x) >> 3) & 0x1)
#define   C_028824_FRACTIONAL_ACCUM                                   0xFFFFFFF7
#define   S_028824_DIAMOND_ADJUST(x)                                  (((unsigned)(x) & 0x1) << 4)
#define   G_028824_DIAMOND_ADJUST(x)                                  (((x) >> 4) & 0x1)
#define   C_028824_DIAMOND_ADJUST                                     0xFFFFFFEF
#define R_028828_PA_SU_LINE_STIPPLE_SCALE                               0x028828
#define   S_028828_LINE_STIPPLE_SCALE(x)                              (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028828_LINE_STIPPLE_SCALE(x)                              (((x) >> 0) & 0xFFFFFFFF)
#define   C_028828_LINE_STIPPLE_SCALE                                 0x00000000
#define R_02882C_PA_SU_PRIM_FILTER_CNTL                                 0x02882C
#define   S_02882C_TRIANGLE_FILTER_DISABLE(x)                         (((unsigned)(x) & 0x1) << 0)
#define   G_02882C_TRIANGLE_FILTER_DISABLE(x)                         (((x) >> 0) & 0x1)
#define   C_02882C_TRIANGLE_FILTER_DISABLE                            0xFFFFFFFE
#define   S_02882C_LINE_FILTER_DISABLE(x)                             (((unsigned)(x) & 0x1) << 1)
#define   G_02882C_LINE_FILTER_DISABLE(x)                             (((x) >> 1) & 0x1)
#define   C_02882C_LINE_FILTER_DISABLE                                0xFFFFFFFD
#define   S_02882C_POINT_FILTER_DISABLE(x)                            (((unsigned)(x) & 0x1) << 2)
#define   G_02882C_POINT_FILTER_DISABLE(x)                            (((x) >> 2) & 0x1)
#define   C_02882C_POINT_FILTER_DISABLE                               0xFFFFFFFB
#define   S_02882C_RECTANGLE_FILTER_DISABLE(x)                        (((unsigned)(x) & 0x1) << 3)
#define   G_02882C_RECTANGLE_FILTER_DISABLE(x)                        (((x) >> 3) & 0x1)
#define   C_02882C_RECTANGLE_FILTER_DISABLE                           0xFFFFFFF7
#define   S_02882C_TRIANGLE_EXPAND_ENA(x)                             (((unsigned)(x) & 0x1) << 4)
#define   G_02882C_TRIANGLE_EXPAND_ENA(x)                             (((x) >> 4) & 0x1)
#define   C_02882C_TRIANGLE_EXPAND_ENA                                0xFFFFFFEF
#define   S_02882C_LINE_EXPAND_ENA(x)                                 (((unsigned)(x) & 0x1) << 5)
#define   G_02882C_LINE_EXPAND_ENA(x)                                 (((x) >> 5) & 0x1)
#define   C_02882C_LINE_EXPAND_ENA                                    0xFFFFFFDF
#define   S_02882C_POINT_EXPAND_ENA(x)                                (((unsigned)(x) & 0x1) << 6)
#define   G_02882C_POINT_EXPAND_ENA(x)                                (((x) >> 6) & 0x1)
#define   C_02882C_POINT_EXPAND_ENA                                   0xFFFFFFBF
#define   S_02882C_RECTANGLE_EXPAND_ENA(x)                            (((unsigned)(x) & 0x1) << 7)
#define   G_02882C_RECTANGLE_EXPAND_ENA(x)                            (((x) >> 7) & 0x1)
#define   C_02882C_RECTANGLE_EXPAND_ENA                               0xFFFFFF7F
#define   S_02882C_PRIM_EXPAND_CONSTANT(x)                            (((unsigned)(x) & 0xFF) << 8)
#define   G_02882C_PRIM_EXPAND_CONSTANT(x)                            (((x) >> 8) & 0xFF)
#define   C_02882C_PRIM_EXPAND_CONSTANT                               0xFFFF00FF
#define   S_02882C_XMAX_RIGHT_EXCLUSION(x)                            (((unsigned)(x) & 0x1) << 30) /* >= gfx7 */
#define   G_02882C_XMAX_RIGHT_EXCLUSION(x)                            (((x) >> 30) & 0x1)
#define   C_02882C_XMAX_RIGHT_EXCLUSION                               0xBFFFFFFF
#define   S_02882C_YMAX_BOTTOM_EXCLUSION(x)                           (((unsigned)(x) & 0x1) << 31) /* >= gfx7 */
#define   G_02882C_YMAX_BOTTOM_EXCLUSION(x)                           (((x) >> 31) & 0x1)
#define   C_02882C_YMAX_BOTTOM_EXCLUSION                              0x7FFFFFFF
#define R_028830_PA_SU_SMALL_PRIM_FILTER_CNTL                           0x028830
#define   S_028830_SMALL_PRIM_FILTER_ENABLE(x)                        (((unsigned)(x) & 0x1) << 0)
#define   G_028830_SMALL_PRIM_FILTER_ENABLE(x)                        (((x) >> 0) & 0x1)
#define   C_028830_SMALL_PRIM_FILTER_ENABLE                           0xFFFFFFFE
#define   S_028830_TRIANGLE_FILTER_DISABLE(x)                         (((unsigned)(x) & 0x1) << 1)
#define   G_028830_TRIANGLE_FILTER_DISABLE(x)                         (((x) >> 1) & 0x1)
#define   C_028830_TRIANGLE_FILTER_DISABLE                            0xFFFFFFFD
#define   S_028830_LINE_FILTER_DISABLE(x)                             (((unsigned)(x) & 0x1) << 2)
#define   G_028830_LINE_FILTER_DISABLE(x)                             (((x) >> 2) & 0x1)
#define   C_028830_LINE_FILTER_DISABLE                                0xFFFFFFFB
#define   S_028830_POINT_FILTER_DISABLE(x)                            (((unsigned)(x) & 0x1) << 3)
#define   G_028830_POINT_FILTER_DISABLE(x)                            (((x) >> 3) & 0x1)
#define   C_028830_POINT_FILTER_DISABLE                               0xFFFFFFF7
#define   S_028830_RECTANGLE_FILTER_DISABLE(x)                        (((unsigned)(x) & 0x1) << 4)
#define   G_028830_RECTANGLE_FILTER_DISABLE(x)                        (((x) >> 4) & 0x1)
#define   C_028830_RECTANGLE_FILTER_DISABLE                           0xFFFFFFEF
#define   S_028830_SC_1XMSAA_COMPATIBLE_DISABLE(x)                    (((unsigned)(x) & 0x1) << 6) /* >= gfx10 */
#define   G_028830_SC_1XMSAA_COMPATIBLE_DISABLE(x)                    (((x) >> 6) & 0x1)
#define   C_028830_SC_1XMSAA_COMPATIBLE_DISABLE                       0xFFFFFFBF
#define R_028834_PA_CL_OBJPRIM_ID_CNTL                                  0x028834 /* >= gfx9 */
#define   S_028834_OBJ_ID_SEL(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_028834_OBJ_ID_SEL(x)                                      (((x) >> 0) & 0x1)
#define   C_028834_OBJ_ID_SEL                                         0xFFFFFFFE
#define   S_028834_ADD_PIPED_PRIM_ID(x)                               (((unsigned)(x) & 0x1) << 1)
#define   G_028834_ADD_PIPED_PRIM_ID(x)                               (((x) >> 1) & 0x1)
#define   C_028834_ADD_PIPED_PRIM_ID                                  0xFFFFFFFD
#define   S_028834_EN_32BIT_OBJPRIMID(x)                              (((unsigned)(x) & 0x1) << 2) /* gfx9 */
#define   G_028834_EN_32BIT_OBJPRIMID(x)                              (((x) >> 2) & 0x1)
#define   C_028834_EN_32BIT_OBJPRIMID                                 0xFFFFFFFB
#define R_028838_PA_CL_NGG_CNTL                                         0x028838 /* >= gfx9 */
#define   S_028838_VERTEX_REUSE_OFF(x)                                (((unsigned)(x) & 0x1) << 0)
#define   G_028838_VERTEX_REUSE_OFF(x)                                (((x) >> 0) & 0x1)
#define   C_028838_VERTEX_REUSE_OFF                                   0xFFFFFFFE
#define   S_028838_INDEX_BUF_EDGE_FLAG_ENA(x)                         (((unsigned)(x) & 0x1) << 1)
#define   G_028838_INDEX_BUF_EDGE_FLAG_ENA(x)                         (((x) >> 1) & 0x1)
#define   C_028838_INDEX_BUF_EDGE_FLAG_ENA                            0xFFFFFFFD
#define R_02883C_PA_SU_OVER_RASTERIZATION_CNTL                          0x02883C /* >= gfx9 */
#define   S_02883C_DISCARD_0_AREA_TRIANGLES(x)                        (((unsigned)(x) & 0x1) << 0)
#define   G_02883C_DISCARD_0_AREA_TRIANGLES(x)                        (((x) >> 0) & 0x1)
#define   C_02883C_DISCARD_0_AREA_TRIANGLES                           0xFFFFFFFE
#define   S_02883C_DISCARD_0_AREA_LINES(x)                            (((unsigned)(x) & 0x1) << 1)
#define   G_02883C_DISCARD_0_AREA_LINES(x)                            (((x) >> 1) & 0x1)
#define   C_02883C_DISCARD_0_AREA_LINES                               0xFFFFFFFD
#define   S_02883C_DISCARD_0_AREA_POINTS(x)                           (((unsigned)(x) & 0x1) << 2)
#define   G_02883C_DISCARD_0_AREA_POINTS(x)                           (((x) >> 2) & 0x1)
#define   C_02883C_DISCARD_0_AREA_POINTS                              0xFFFFFFFB
#define   S_02883C_DISCARD_0_AREA_RECTANGLES(x)                       (((unsigned)(x) & 0x1) << 3)
#define   G_02883C_DISCARD_0_AREA_RECTANGLES(x)                       (((x) >> 3) & 0x1)
#define   C_02883C_DISCARD_0_AREA_RECTANGLES                          0xFFFFFFF7
#define   S_02883C_USE_PROVOKING_ZW(x)                                (((unsigned)(x) & 0x1) << 4)
#define   G_02883C_USE_PROVOKING_ZW(x)                                (((x) >> 4) & 0x1)
#define   C_02883C_USE_PROVOKING_ZW                                   0xFFFFFFEF
#define R_028840_PA_STEREO_CNTL                                         0x028840 /* >= gfx10 */
#define   S_028840_STEREO_MODE(x)                                     (((unsigned)(x) & 0xF) << 1)
#define   G_028840_STEREO_MODE(x)                                     (((x) >> 1) & 0xF)
#define   C_028840_STEREO_MODE                                        0xFFFFFFE1
#define   S_028840_RT_SLICE_MODE(x)                                   (((unsigned)(x) & 0x7) << 5)
#define   G_028840_RT_SLICE_MODE(x)                                   (((x) >> 5) & 0x7)
#define   C_028840_RT_SLICE_MODE                                      0xFFFFFF1F
#define   S_028840_RT_SLICE_OFFSET(x)                                 (((unsigned)(x) & 0xF) << 8)
#define   G_028840_RT_SLICE_OFFSET(x)                                 (((x) >> 8) & 0xF)
#define   C_028840_RT_SLICE_OFFSET                                    0xFFFFF0FF
#define   S_028840_VP_ID_MODE(x)                                      (((unsigned)(x) & 0x7) << 16)
#define   G_028840_VP_ID_MODE(x)                                      (((x) >> 16) & 0x7)
#define   C_028840_VP_ID_MODE                                         0xFFF8FFFF
#define   S_028840_VP_ID_OFFSET(x)                                    (((unsigned)(x) & 0xF) << 19)
#define   G_028840_VP_ID_OFFSET(x)                                    (((x) >> 19) & 0xF)
#define   C_028840_VP_ID_OFFSET                                       0xFF87FFFF
#define R_028844_PA_STATE_STEREO_X                                      0x028844 /* >= gfx10 */
#define   S_028844_STEREO_X_OFFSET(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028844_STEREO_X_OFFSET(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_028844_STEREO_X_OFFSET                                    0x00000000
#define R_028A00_PA_SU_POINT_SIZE                                       0x028A00
#define   S_028A00_HEIGHT(x)                                          (((unsigned)(x) & 0xFFFF) << 0)
#define   G_028A00_HEIGHT(x)                                          (((x) >> 0) & 0xFFFF)
#define   C_028A00_HEIGHT                                             0xFFFF0000
#define   S_028A00_WIDTH(x)                                           (((unsigned)(x) & 0xFFFF) << 16)
#define   G_028A00_WIDTH(x)                                           (((x) >> 16) & 0xFFFF)
#define   C_028A00_WIDTH                                              0x0000FFFF
#define R_028A04_PA_SU_POINT_MINMAX                                     0x028A04
#define   S_028A04_MIN_SIZE(x)                                        (((unsigned)(x) & 0xFFFF) << 0)
#define   G_028A04_MIN_SIZE(x)                                        (((x) >> 0) & 0xFFFF)
#define   C_028A04_MIN_SIZE                                           0xFFFF0000
#define   S_028A04_MAX_SIZE(x)                                        (((unsigned)(x) & 0xFFFF) << 16)
#define   G_028A04_MAX_SIZE(x)                                        (((x) >> 16) & 0xFFFF)
#define   C_028A04_MAX_SIZE                                           0x0000FFFF
#define R_028A08_PA_SU_LINE_CNTL                                        0x028A08
#define   S_028A08_WIDTH(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_028A08_WIDTH(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_028A08_WIDTH                                              0xFFFF0000
#define R_028A0C_PA_SC_LINE_STIPPLE                                     0x028A0C
#define   S_028A0C_LINE_PATTERN(x)                                    (((unsigned)(x) & 0xFFFF) << 0)
#define   G_028A0C_LINE_PATTERN(x)                                    (((x) >> 0) & 0xFFFF)
#define   C_028A0C_LINE_PATTERN                                       0xFFFF0000
#define   S_028A0C_REPEAT_COUNT(x)                                    (((unsigned)(x) & 0xFF) << 16)
#define   G_028A0C_REPEAT_COUNT(x)                                    (((x) >> 16) & 0xFF)
#define   C_028A0C_REPEAT_COUNT                                       0xFF00FFFF
#define   S_028A0C_PATTERN_BIT_ORDER(x)                               (((unsigned)(x) & 0x1) << 28)
#define   G_028A0C_PATTERN_BIT_ORDER(x)                               (((x) >> 28) & 0x1)
#define   C_028A0C_PATTERN_BIT_ORDER                                  0xEFFFFFFF
#define   S_028A0C_AUTO_RESET_CNTL(x)                                 (((unsigned)(x) & 0x3) << 29)
#define   G_028A0C_AUTO_RESET_CNTL(x)                                 (((x) >> 29) & 0x3)
#define   C_028A0C_AUTO_RESET_CNTL                                    0x9FFFFFFF
#define R_028A10_VGT_OUTPUT_PATH_CNTL                                   0x028A10
#define   S_028A10_PATH_SELECT(x)                                     (((unsigned)(x) & 0x7) << 0)
#define   G_028A10_PATH_SELECT(x)                                     (((x) >> 0) & 0x7)
#define   C_028A10_PATH_SELECT                                        0xFFFFFFF8
#define     V_028A10_VGT_OUTPATH_VTX_REUSE                          0
#define     V_028A10_VGT_OUTPATH_TESS_EN                            1
#define     V_028A10_VGT_OUTPATH_PASSTHRU                           2
#define     V_028A10_VGT_OUTPATH_GS_BLOCK                           3
#define     V_028A10_VGT_OUTPATH_HS_BLOCK                           4
#define R_028A18_VGT_HOS_MAX_TESS_LEVEL                                 0x028A18
#define   S_028A18_MAX_TESS(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028A18_MAX_TESS(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_028A18_MAX_TESS                                           0x00000000
#define R_028A1C_VGT_HOS_MIN_TESS_LEVEL                                 0x028A1C
#define   S_028A1C_MIN_TESS(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028A1C_MIN_TESS(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_028A1C_MIN_TESS                                           0x00000000
#define R_028A40_VGT_GS_MODE                                            0x028A40
#define   S_028A40_MODE(x)                                            (((unsigned)(x) & 0x7) << 0)
#define   G_028A40_MODE(x)                                            (((x) >> 0) & 0x7)
#define   C_028A40_MODE                                               0xFFFFFFF8
#define     V_028A40_GS_OFF                                         0 /* <= stoney, >= gfx10 */
#define     V_028A40_GS_SCENARIO_A                                  1 /* <= stoney, >= gfx10 */
#define     V_028A40_GS_SCENARIO_B                                  2 /* <= stoney, >= gfx10 */
#define     V_028A40_GS_SCENARIO_G                                  3 /* <= stoney, >= gfx10 */
#define     V_028A40_GS_SCENARIO_C                                  4 /* <= stoney, >= gfx10 */
#define     V_028A40_SPRITE_EN                                      5 /* <= stoney, >= gfx10 */
#define   S_028A40_RESERVED_0(x)                                      (((unsigned)(x) & 0x1) << 3)
#define   G_028A40_RESERVED_0(x)                                      (((x) >> 3) & 0x1)
#define   C_028A40_RESERVED_0                                         0xFFFFFFF7
#define   S_028A40_CUT_MODE(x)                                        (((unsigned)(x) & 0x3) << 4)
#define   G_028A40_CUT_MODE(x)                                        (((x) >> 4) & 0x3)
#define   C_028A40_CUT_MODE                                           0xFFFFFFCF
#define     V_028A40_GS_CUT_1024                                    0 /* <= stoney, >= gfx10 */
#define     V_028A40_GS_CUT_512                                     1 /* <= stoney, >= gfx10 */
#define     V_028A40_GS_CUT_256                                     2 /* <= stoney, >= gfx10 */
#define     V_028A40_GS_CUT_128                                     3 /* <= stoney, >= gfx10 */
#define   S_028A40_RESERVED_1(x)                                      (((unsigned)(x) & 0x1F) << 6)
#define   G_028A40_RESERVED_1(x)                                      (((x) >> 6) & 0x1F)
#define   C_028A40_RESERVED_1                                         0xFFFFF83F
#define   S_028A40_GS_C_PACK_EN(x)                                    (((unsigned)(x) & 0x1) << 11)
#define   G_028A40_GS_C_PACK_EN(x)                                    (((x) >> 11) & 0x1)
#define   C_028A40_GS_C_PACK_EN                                       0xFFFFF7FF
#define   S_028A40_RESERVED_2(x)                                      (((unsigned)(x) & 0x1) << 12)
#define   G_028A40_RESERVED_2(x)                                      (((x) >> 12) & 0x1)
#define   C_028A40_RESERVED_2                                         0xFFFFEFFF
#define   S_028A40_ES_PASSTHRU(x)                                     (((unsigned)(x) & 0x1) << 13)
#define   G_028A40_ES_PASSTHRU(x)                                     (((x) >> 13) & 0x1)
#define   C_028A40_ES_PASSTHRU                                        0xFFFFDFFF
#define   S_028A40_COMPUTE_MODE(x)                                    (((unsigned)(x) & 0x1) << 14) /* <= gfx7, >= gfx10 */
#define   G_028A40_COMPUTE_MODE(x)                                    (((x) >> 14) & 0x1)
#define   C_028A40_COMPUTE_MODE                                       0xFFFFBFFF
#define   S_028A40_RESERVED_3(x)                                      (((unsigned)(x) & 0x1) << 14) /* gfx9 */
#define   G_028A40_RESERVED_3(x)                                      (((x) >> 14) & 0x1)
#define   C_028A40_RESERVED_3                                         0xFFFFBFFF
#define   S_028A40_FAST_COMPUTE_MODE(x)                               (((unsigned)(x) & 0x1) << 15) /* <= gfx7, >= gfx10 */
#define   G_028A40_FAST_COMPUTE_MODE(x)                               (((x) >> 15) & 0x1)
#define   C_028A40_FAST_COMPUTE_MODE                                  0xFFFF7FFF
#define   S_028A40_RESERVED_4(x)                                      (((unsigned)(x) & 0x1) << 15) /* gfx9 */
#define   G_028A40_RESERVED_4(x)                                      (((x) >> 15) & 0x1)
#define   C_028A40_RESERVED_4                                         0xFFFF7FFF
#define   S_028A40_ELEMENT_INFO_EN(x)                                 (((unsigned)(x) & 0x1) << 16) /* <= gfx7, >= gfx10 */
#define   G_028A40_ELEMENT_INFO_EN(x)                                 (((x) >> 16) & 0x1)
#define   C_028A40_ELEMENT_INFO_EN                                    0xFFFEFFFF
#define   S_028A40_RESERVED_5(x)                                      (((unsigned)(x) & 0x1) << 16) /* gfx9 */
#define   G_028A40_RESERVED_5(x)                                      (((x) >> 16) & 0x1)
#define   C_028A40_RESERVED_5                                         0xFFFEFFFF
#define   S_028A40_PARTIAL_THD_AT_EOI(x)                              (((unsigned)(x) & 0x1) << 17)
#define   G_028A40_PARTIAL_THD_AT_EOI(x)                              (((x) >> 17) & 0x1)
#define   C_028A40_PARTIAL_THD_AT_EOI                                 0xFFFDFFFF
#define   S_028A40_SUPPRESS_CUTS(x)                                   (((unsigned)(x) & 0x1) << 18)
#define   G_028A40_SUPPRESS_CUTS(x)                                   (((x) >> 18) & 0x1)
#define   C_028A40_SUPPRESS_CUTS                                      0xFFFBFFFF
#define   S_028A40_ES_WRITE_OPTIMIZE(x)                               (((unsigned)(x) & 0x1) << 19)
#define   G_028A40_ES_WRITE_OPTIMIZE(x)                               (((x) >> 19) & 0x1)
#define   C_028A40_ES_WRITE_OPTIMIZE                                  0xFFF7FFFF
#define   S_028A40_GS_WRITE_OPTIMIZE(x)                               (((unsigned)(x) & 0x1) << 20)
#define   G_028A40_GS_WRITE_OPTIMIZE(x)                               (((x) >> 20) & 0x1)
#define   C_028A40_GS_WRITE_OPTIMIZE                                  0xFFEFFFFF
#define   S_028A40_ONCHIP(x)                                          (((unsigned)(x) & 0x3) << 21) /* >= gfx7 */
#define   G_028A40_ONCHIP(x)                                          (((x) >> 21) & 0x3)
#define   C_028A40_ONCHIP                                             0xFF9FFFFF
#define     V_028A40_X_0_OFFCHIP_GS                                 0 /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define     V_028A40_X_3_ES_AND_GS_ARE_ONCHIP                       3 /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define R_028A44_VGT_GS_ONCHIP_CNTL                                     0x028A44 /* >= gfx7 */
#define   S_028A44_ES_VERTS_PER_SUBGRP(x)                             (((unsigned)(x) & 0x7FF) << 0)
#define   G_028A44_ES_VERTS_PER_SUBGRP(x)                             (((x) >> 0) & 0x7FF)
#define   C_028A44_ES_VERTS_PER_SUBGRP                                0xFFFFF800
#define   S_028A44_GS_PRIMS_PER_SUBGRP(x)                             (((unsigned)(x) & 0x7FF) << 11)
#define   G_028A44_GS_PRIMS_PER_SUBGRP(x)                             (((x) >> 11) & 0x7FF)
#define   C_028A44_GS_PRIMS_PER_SUBGRP                                0xFFC007FF
#define   S_028A44_GS_INST_PRIMS_IN_SUBGRP(x)                         (((unsigned)(x) & 0x3FF) << 22) /* >= gfx9 */
#define   G_028A44_GS_INST_PRIMS_IN_SUBGRP(x)                         (((x) >> 22) & 0x3FF)
#define   C_028A44_GS_INST_PRIMS_IN_SUBGRP                            0x003FFFFF
#define R_028A48_PA_SC_MODE_CNTL_0                                      0x028A48
#define   S_028A48_MSAA_ENABLE(x)                                     (((unsigned)(x) & 0x1) << 0)
#define   G_028A48_MSAA_ENABLE(x)                                     (((x) >> 0) & 0x1)
#define   C_028A48_MSAA_ENABLE                                        0xFFFFFFFE
#define   S_028A48_VPORT_SCISSOR_ENABLE(x)                            (((unsigned)(x) & 0x1) << 1)
#define   G_028A48_VPORT_SCISSOR_ENABLE(x)                            (((x) >> 1) & 0x1)
#define   C_028A48_VPORT_SCISSOR_ENABLE                               0xFFFFFFFD
#define   S_028A48_LINE_STIPPLE_ENABLE(x)                             (((unsigned)(x) & 0x1) << 2)
#define   G_028A48_LINE_STIPPLE_ENABLE(x)                             (((x) >> 2) & 0x1)
#define   C_028A48_LINE_STIPPLE_ENABLE                                0xFFFFFFFB
#define   S_028A48_SEND_UNLIT_STILES_TO_PKR(x)                        (((unsigned)(x) & 0x1) << 3)
#define   G_028A48_SEND_UNLIT_STILES_TO_PKR(x)                        (((x) >> 3) & 0x1)
#define   C_028A48_SEND_UNLIT_STILES_TO_PKR                           0xFFFFFFF7
#define   S_028A48_SCALE_LINE_WIDTH_PAD(x)                            (((unsigned)(x) & 0x1) << 4) /* >= gfx9 */
#define   G_028A48_SCALE_LINE_WIDTH_PAD(x)                            (((x) >> 4) & 0x1)
#define   C_028A48_SCALE_LINE_WIDTH_PAD                               0xFFFFFFEF
#define   S_028A48_ALTERNATE_RBS_PER_TILE(x)                          (((unsigned)(x) & 0x1) << 5) /* >= gfx9 */
#define   G_028A48_ALTERNATE_RBS_PER_TILE(x)                          (((x) >> 5) & 0x1)
#define   C_028A48_ALTERNATE_RBS_PER_TILE                             0xFFFFFFDF
#define   S_028A48_COARSE_TILE_STARTS_ON_EVEN_RB(x)                   (((unsigned)(x) & 0x1) << 6) /* >= gfx9 */
#define   G_028A48_COARSE_TILE_STARTS_ON_EVEN_RB(x)                   (((x) >> 6) & 0x1)
#define   C_028A48_COARSE_TILE_STARTS_ON_EVEN_RB                      0xFFFFFFBF
#define R_028A4C_PA_SC_MODE_CNTL_1                                      0x028A4C
#define   S_028A4C_WALK_SIZE(x)                                       (((unsigned)(x) & 0x1) << 0)
#define   G_028A4C_WALK_SIZE(x)                                       (((x) >> 0) & 0x1)
#define   C_028A4C_WALK_SIZE                                          0xFFFFFFFE
#define   S_028A4C_WALK_ALIGNMENT(x)                                  (((unsigned)(x) & 0x1) << 1)
#define   G_028A4C_WALK_ALIGNMENT(x)                                  (((x) >> 1) & 0x1)
#define   C_028A4C_WALK_ALIGNMENT                                     0xFFFFFFFD
#define   S_028A4C_WALK_ALIGN8_PRIM_FITS_ST(x)                        (((unsigned)(x) & 0x1) << 2)
#define   G_028A4C_WALK_ALIGN8_PRIM_FITS_ST(x)                        (((x) >> 2) & 0x1)
#define   C_028A4C_WALK_ALIGN8_PRIM_FITS_ST                           0xFFFFFFFB
#define   S_028A4C_WALK_FENCE_ENABLE(x)                               (((unsigned)(x) & 0x1) << 3)
#define   G_028A4C_WALK_FENCE_ENABLE(x)                               (((x) >> 3) & 0x1)
#define   C_028A4C_WALK_FENCE_ENABLE                                  0xFFFFFFF7
#define   S_028A4C_WALK_FENCE_SIZE(x)                                 (((unsigned)(x) & 0x7) << 4)
#define   G_028A4C_WALK_FENCE_SIZE(x)                                 (((x) >> 4) & 0x7)
#define   C_028A4C_WALK_FENCE_SIZE                                    0xFFFFFF8F
#define   S_028A4C_SUPERTILE_WALK_ORDER_ENABLE(x)                     (((unsigned)(x) & 0x1) << 7)
#define   G_028A4C_SUPERTILE_WALK_ORDER_ENABLE(x)                     (((x) >> 7) & 0x1)
#define   C_028A4C_SUPERTILE_WALK_ORDER_ENABLE                        0xFFFFFF7F
#define   S_028A4C_TILE_WALK_ORDER_ENABLE(x)                          (((unsigned)(x) & 0x1) << 8)
#define   G_028A4C_TILE_WALK_ORDER_ENABLE(x)                          (((x) >> 8) & 0x1)
#define   C_028A4C_TILE_WALK_ORDER_ENABLE                             0xFFFFFEFF
#define   S_028A4C_TILE_COVER_DISABLE(x)                              (((unsigned)(x) & 0x1) << 9)
#define   G_028A4C_TILE_COVER_DISABLE(x)                              (((x) >> 9) & 0x1)
#define   C_028A4C_TILE_COVER_DISABLE                                 0xFFFFFDFF
#define   S_028A4C_TILE_COVER_NO_SCISSOR(x)                           (((unsigned)(x) & 0x1) << 10)
#define   G_028A4C_TILE_COVER_NO_SCISSOR(x)                           (((x) >> 10) & 0x1)
#define   C_028A4C_TILE_COVER_NO_SCISSOR                              0xFFFFFBFF
#define   S_028A4C_ZMM_LINE_EXTENT(x)                                 (((unsigned)(x) & 0x1) << 11)
#define   G_028A4C_ZMM_LINE_EXTENT(x)                                 (((x) >> 11) & 0x1)
#define   C_028A4C_ZMM_LINE_EXTENT                                    0xFFFFF7FF
#define   S_028A4C_ZMM_LINE_OFFSET(x)                                 (((unsigned)(x) & 0x1) << 12)
#define   G_028A4C_ZMM_LINE_OFFSET(x)                                 (((x) >> 12) & 0x1)
#define   C_028A4C_ZMM_LINE_OFFSET                                    0xFFFFEFFF
#define   S_028A4C_ZMM_RECT_EXTENT(x)                                 (((unsigned)(x) & 0x1) << 13)
#define   G_028A4C_ZMM_RECT_EXTENT(x)                                 (((x) >> 13) & 0x1)
#define   C_028A4C_ZMM_RECT_EXTENT                                    0xFFFFDFFF
#define   S_028A4C_KILL_PIX_POST_HI_Z(x)                              (((unsigned)(x) & 0x1) << 14)
#define   G_028A4C_KILL_PIX_POST_HI_Z(x)                              (((x) >> 14) & 0x1)
#define   C_028A4C_KILL_PIX_POST_HI_Z                                 0xFFFFBFFF
#define   S_028A4C_KILL_PIX_POST_DETAIL_MASK(x)                       (((unsigned)(x) & 0x1) << 15)
#define   G_028A4C_KILL_PIX_POST_DETAIL_MASK(x)                       (((x) >> 15) & 0x1)
#define   C_028A4C_KILL_PIX_POST_DETAIL_MASK                          0xFFFF7FFF
#define   S_028A4C_PS_ITER_SAMPLE(x)                                  (((unsigned)(x) & 0x1) << 16)
#define   G_028A4C_PS_ITER_SAMPLE(x)                                  (((x) >> 16) & 0x1)
#define   C_028A4C_PS_ITER_SAMPLE                                     0xFFFEFFFF
#define   S_028A4C_MULTI_SHADER_ENGINE_PRIM_DISCARD_ENABLE(x)         (((unsigned)(x) & 0x1) << 17)
#define   G_028A4C_MULTI_SHADER_ENGINE_PRIM_DISCARD_ENABLE(x)         (((x) >> 17) & 0x1)
#define   C_028A4C_MULTI_SHADER_ENGINE_PRIM_DISCARD_ENABLE            0xFFFDFFFF
#define   S_028A4C_MULTI_GPU_SUPERTILE_ENABLE(x)                      (((unsigned)(x) & 0x1) << 18)
#define   G_028A4C_MULTI_GPU_SUPERTILE_ENABLE(x)                      (((x) >> 18) & 0x1)
#define   C_028A4C_MULTI_GPU_SUPERTILE_ENABLE                         0xFFFBFFFF
#define   S_028A4C_GPU_ID_OVERRIDE_ENABLE(x)                          (((unsigned)(x) & 0x1) << 19)
#define   G_028A4C_GPU_ID_OVERRIDE_ENABLE(x)                          (((x) >> 19) & 0x1)
#define   C_028A4C_GPU_ID_OVERRIDE_ENABLE                             0xFFF7FFFF
#define   S_028A4C_GPU_ID_OVERRIDE(x)                                 (((unsigned)(x) & 0xF) << 20)
#define   G_028A4C_GPU_ID_OVERRIDE(x)                                 (((x) >> 20) & 0xF)
#define   C_028A4C_GPU_ID_OVERRIDE                                    0xFF0FFFFF
#define   S_028A4C_MULTI_GPU_PRIM_DISCARD_ENABLE(x)                   (((unsigned)(x) & 0x1) << 24)
#define   G_028A4C_MULTI_GPU_PRIM_DISCARD_ENABLE(x)                   (((x) >> 24) & 0x1)
#define   C_028A4C_MULTI_GPU_PRIM_DISCARD_ENABLE                      0xFEFFFFFF
#define   S_028A4C_FORCE_EOV_CNTDWN_ENABLE(x)                         (((unsigned)(x) & 0x1) << 25)
#define   G_028A4C_FORCE_EOV_CNTDWN_ENABLE(x)                         (((x) >> 25) & 0x1)
#define   C_028A4C_FORCE_EOV_CNTDWN_ENABLE                            0xFDFFFFFF
#define   S_028A4C_FORCE_EOV_REZ_ENABLE(x)                            (((unsigned)(x) & 0x1) << 26)
#define   G_028A4C_FORCE_EOV_REZ_ENABLE(x)                            (((x) >> 26) & 0x1)
#define   C_028A4C_FORCE_EOV_REZ_ENABLE                               0xFBFFFFFF
#define   S_028A4C_OUT_OF_ORDER_PRIMITIVE_ENABLE(x)                   (((unsigned)(x) & 0x1) << 27)
#define   G_028A4C_OUT_OF_ORDER_PRIMITIVE_ENABLE(x)                   (((x) >> 27) & 0x1)
#define   C_028A4C_OUT_OF_ORDER_PRIMITIVE_ENABLE                      0xF7FFFFFF
#define   S_028A4C_OUT_OF_ORDER_WATER_MARK(x)                         (((unsigned)(x) & 0x7) << 28)
#define   G_028A4C_OUT_OF_ORDER_WATER_MARK(x)                         (((x) >> 28) & 0x7)
#define   C_028A4C_OUT_OF_ORDER_WATER_MARK                            0x8FFFFFFF
#define R_028A50_VGT_ENHANCE                                            0x028A50
#define   S_028A50_MISC(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028A50_MISC(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_028A50_MISC                                               0x00000000
#define R_028A54_VGT_GS_PER_ES                                          0x028A54
#define   S_028A54_GS_PER_ES(x)                                       (((unsigned)(x) & 0x7FF) << 0)
#define   G_028A54_GS_PER_ES(x)                                       (((x) >> 0) & 0x7FF)
#define   C_028A54_GS_PER_ES                                          0xFFFFF800
#define R_028A58_VGT_ES_PER_GS                                          0x028A58
#define   S_028A58_ES_PER_GS(x)                                       (((unsigned)(x) & 0x7FF) << 0)
#define   G_028A58_ES_PER_GS(x)                                       (((x) >> 0) & 0x7FF)
#define   C_028A58_ES_PER_GS                                          0xFFFFF800
#define R_028A5C_VGT_GS_PER_VS                                          0x028A5C
#define   S_028A5C_GS_PER_VS(x)                                       (((unsigned)(x) & 0xF) << 0)
#define   G_028A5C_GS_PER_VS(x)                                       (((x) >> 0) & 0xF)
#define   C_028A5C_GS_PER_VS                                          0xFFFFFFF0
#define R_028A60_VGT_GSVS_RING_OFFSET_1                                 0x028A60
#define   S_028A60_OFFSET(x)                                          (((unsigned)(x) & 0x7FFF) << 0)
#define   G_028A60_OFFSET(x)                                          (((x) >> 0) & 0x7FFF)
#define   C_028A60_OFFSET                                             0xFFFF8000
#define R_028A64_VGT_GSVS_RING_OFFSET_2                                 0x028A64
#define R_028A68_VGT_GSVS_RING_OFFSET_3                                 0x028A68
#define R_028A6C_VGT_GS_OUT_PRIM_TYPE                                   0x028A6C
#define   S_028A6C_OUTPRIM_TYPE(x)                                    (((unsigned)(x) & 0x3F) << 0)
#define   G_028A6C_OUTPRIM_TYPE(x)                                    (((x) >> 0) & 0x3F)
#define   C_028A6C_OUTPRIM_TYPE                                       0xFFFFFFC0
#define     V_028A6C_OUTPRIM_TYPE_POINTLIST                         0
#define     V_028A6C_OUTPRIM_TYPE_LINESTRIP                         1
#define     V_028A6C_OUTPRIM_TYPE_TRISTRIP                          2
#define     V_028A6C_VGT_OUT_RECT_V0                                3 /* >= gfx10 */
#define   S_028A6C_OUTPRIM_TYPE_1(x)                                  (((unsigned)(x) & 0x3F) << 8)
#define   G_028A6C_OUTPRIM_TYPE_1(x)                                  (((x) >> 8) & 0x3F)
#define   C_028A6C_OUTPRIM_TYPE_1                                     0xFFFFC0FF
#define   S_028A6C_OUTPRIM_TYPE_2(x)                                  (((unsigned)(x) & 0x3F) << 16)
#define   G_028A6C_OUTPRIM_TYPE_2(x)                                  (((x) >> 16) & 0x3F)
#define   C_028A6C_OUTPRIM_TYPE_2                                     0xFFC0FFFF
#define   S_028A6C_OUTPRIM_TYPE_3(x)                                  (((unsigned)(x) & 0x3F) << 22)
#define   G_028A6C_OUTPRIM_TYPE_3(x)                                  (((x) >> 22) & 0x3F)
#define   C_028A6C_OUTPRIM_TYPE_3                                     0xF03FFFFF
#define   S_028A6C_UNIQUE_TYPE_PER_STREAM(x)                          (((unsigned)(x) & 0x1) << 31)
#define   G_028A6C_UNIQUE_TYPE_PER_STREAM(x)                          (((x) >> 31) & 0x1)
#define   C_028A6C_UNIQUE_TYPE_PER_STREAM                             0x7FFFFFFF
#define R_028A70_IA_ENHANCE                                             0x028A70
#define   S_028A70_MISC(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028A70_MISC(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_028A70_MISC                                               0x00000000
#define R_028A74_VGT_DMA_SIZE                                           0x028A74
#define   S_028A74_NUM_INDICES(x)                                     (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028A74_NUM_INDICES(x)                                     (((x) >> 0) & 0xFFFFFFFF)
#define   C_028A74_NUM_INDICES                                        0x00000000
#define R_028A78_VGT_DMA_MAX_SIZE                                       0x028A78
#define   S_028A78_MAX_SIZE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028A78_MAX_SIZE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_028A78_MAX_SIZE                                           0x00000000
#define R_028A7C_VGT_DMA_INDEX_TYPE                                     0x028A7C
#define   S_028A7C_INDEX_TYPE(x)                                      (((unsigned)(x) & 0x3) << 0)
#define   G_028A7C_INDEX_TYPE(x)                                      (((x) >> 0) & 0x3)
#define   C_028A7C_INDEX_TYPE                                         0xFFFFFFFC
#define     V_028A7C_VGT_INDEX_16                                   0 /* <= stoney, >= gfx10 */
#define     V_028A7C_VGT_INDEX_32                                   1 /* <= stoney, >= gfx10 */
#define     V_028A7C_VGT_INDEX_8                                    2 /* gfx8, fiji, stoney, >= gfx10 */
#define   S_028A7C_SWAP_MODE(x)                                       (((unsigned)(x) & 0x3) << 2)
#define   G_028A7C_SWAP_MODE(x)                                       (((x) >> 2) & 0x3)
#define   C_028A7C_SWAP_MODE                                          0xFFFFFFF3
#define     V_028A7C_VGT_DMA_SWAP_NONE                              0 /* <= stoney, >= gfx10 */
#define     V_028A7C_VGT_DMA_SWAP_16_BIT                            1 /* <= stoney, >= gfx10 */
#define     V_028A7C_VGT_DMA_SWAP_32_BIT                            2 /* <= stoney, >= gfx10 */
#define     V_028A7C_VGT_DMA_SWAP_WORD                              3 /* <= stoney, >= gfx10 */
#define   S_028A7C_BUF_TYPE(x)                                        (((unsigned)(x) & 0x3) << 4) /* >= gfx7 */
#define   G_028A7C_BUF_TYPE(x)                                        (((x) >> 4) & 0x3)
#define   C_028A7C_BUF_TYPE                                           0xFFFFFFCF
#define     V_028A7C_VGT_DMA_BUF_MEM                                0 /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define     V_028A7C_VGT_DMA_BUF_RING                               1 /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define     V_028A7C_VGT_DMA_BUF_SETUP                              2 /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define     V_028A7C_VGT_DMA_PTR_UPDATE                             3 /* >= gfx10 */
#define   S_028A7C_RDREQ_POLICY(x)                                    (((unsigned)(x) & 0x3) << 6) /* >= gfx8 */
#define   G_028A7C_RDREQ_POLICY(x)                                    (((x) >> 6) & 0x3)
#define   C_028A7C_RDREQ_POLICY                                       0xFFFFFF3F
#define     V_028A7C_VGT_POLICY_LRU                                 0 /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define     V_028A7C_VGT_POLICY_STREAM                              1 /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define     V_028A7C_VGT_POLICY_BYPASS                              2 /* >= gfx10 */
#define   S_028A7C_RDREQ_POLICY_CIK(x)                                (((unsigned)(x) & 0x3) << 6) /* gfx7, gfx8, fiji, stoney */
#define   G_028A7C_RDREQ_POLICY_CIK(x)                                (((x) >> 6) & 0x3)
#define   C_028A7C_RDREQ_POLICY_CIK                                   0xFFFFFF3F
#define   S_028A7C_ATC(x)                                             (((unsigned)(x) & 0x1) << 8) /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   G_028A7C_ATC(x)                                             (((x) >> 8) & 0x1)
#define   C_028A7C_ATC                                                0xFFFFFEFF
#define   S_028A7C_PRIMGEN_EN(x)                                      (((unsigned)(x) & 0x1) << 8) /* gfx9 */
#define   G_028A7C_PRIMGEN_EN(x)                                      (((x) >> 8) & 0x1)
#define   C_028A7C_PRIMGEN_EN                                         0xFFFFFEFF
#define   S_028A7C_NOT_EOP(x)                                         (((unsigned)(x) & 0x1) << 9) /* >= gfx7 */
#define   G_028A7C_NOT_EOP(x)                                         (((x) >> 9) & 0x1)
#define   C_028A7C_NOT_EOP                                            0xFFFFFDFF
#define   S_028A7C_REQ_PATH(x)                                        (((unsigned)(x) & 0x1) << 10) /* >= gfx7 */
#define   G_028A7C_REQ_PATH(x)                                        (((x) >> 10) & 0x1)
#define   C_028A7C_REQ_PATH                                           0xFFFFFBFF
#define   S_028A7C_MTYPE(x)                                           (((unsigned)(x) & 0x7) << 11) /* gfx8, fiji, stoney, >= gfx10 */
#define   G_028A7C_MTYPE(x)                                           (((x) >> 11) & 0x7)
#define   C_028A7C_MTYPE                                              0xFFFFC7FF
#define R_028A80_WD_ENHANCE                                             0x028A80
#define   S_028A80_MISC(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028A80_MISC(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_028A80_MISC                                               0x00000000
#define R_028A84_VGT_PRIMITIVEID_EN                                     0x028A84 /* <= gfx6, >= gfx9 */
#define   S_028A84_PRIMITIVEID_EN(x)                                  (((unsigned)(x) & 0x1) << 0)
#define   G_028A84_PRIMITIVEID_EN(x)                                  (((x) >> 0) & 0x1)
#define   C_028A84_PRIMITIVEID_EN                                     0xFFFFFFFE
#define   S_028A84_DISABLE_RESET_ON_EOI(x)                            (((unsigned)(x) & 0x1) << 1)
#define   G_028A84_DISABLE_RESET_ON_EOI(x)                            (((x) >> 1) & 0x1)
#define   C_028A84_DISABLE_RESET_ON_EOI                               0xFFFFFFFD
#define   S_028A84_NGG_DISABLE_PROVOK_REUSE(x)                        (((unsigned)(x) & 0x1) << 2) /* >= gfx9 */
#define   G_028A84_NGG_DISABLE_PROVOK_REUSE(x)                        (((x) >> 2) & 0x1)
#define   C_028A84_NGG_DISABLE_PROVOK_REUSE                           0xFFFFFFFB
#define R_028A88_VGT_DMA_NUM_INSTANCES                                  0x028A88 /* <= gfx6, >= gfx9 */
#define   S_028A88_NUM_INSTANCES(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028A88_NUM_INSTANCES(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_028A88_NUM_INSTANCES                                      0x00000000
#define R_028A8C_VGT_PRIMITIVEID_RESET                                  0x028A8C /* <= gfx6, >= gfx9 */
#define   S_028A8C_VALUE(x)                                           (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028A8C_VALUE(x)                                           (((x) >> 0) & 0xFFFFFFFF)
#define   C_028A8C_VALUE                                              0x00000000
#define R_028A90_VGT_EVENT_INITIATOR                                    0x028A90
#define   S_028A90_EVENT_TYPE(x)                                      (((unsigned)(x) & 0x3F) << 0)
#define   G_028A90_EVENT_TYPE(x)                                      (((x) >> 0) & 0x3F)
#define   C_028A90_EVENT_TYPE                                         0xFFFFFFC0
#define     V_028A90_Reserved_0x00                                  0 /* >= gfx10 */
#define     V_028A90_SAMPLE_STREAMOUTSTATS1                         1
#define     V_028A90_SAMPLE_STREAMOUTSTATS2                         2
#define     V_028A90_SAMPLE_STREAMOUTSTATS3                         3
#define     V_028A90_CACHE_FLUSH_TS                                 4
#define     V_028A90_CONTEXT_DONE                                   5
#define     V_028A90_CACHE_FLUSH                                    6
#define     V_028A90_CS_PARTIAL_FLUSH                               7
#define     V_028A90_VGT_STREAMOUT_SYNC                             8
#define     V_028A90_Reserved_0x09                                  9 /* >= gfx10 */
#define     V_028A90_VGT_STREAMOUT_RESET                            10
#define     V_028A90_END_OF_PIPE_INCR_DE                            11
#define     V_028A90_END_OF_PIPE_IB_END                             12
#define     V_028A90_RST_PIX_CNT                                    13
#define     V_028A90_BREAK_BATCH                                    14 /* >= gfx9 */
#define     V_028A90_VS_PARTIAL_FLUSH                               15
#define     V_028A90_PS_PARTIAL_FLUSH                               16
#define     V_028A90_FLUSH_HS_OUTPUT                                17
#define     V_028A90_FLUSH_DFSM                                     18 /* >= gfx9 */
#define     V_028A90_FLUSH_LS_OUTPUT                                18 /* <= stoney */
#define     V_028A90_RESET_TO_LOWEST_VGT                            19 /* >= gfx9 */
#define     V_028A90_CACHE_FLUSH_AND_INV_TS_EVENT                   20
#define     V_028A90_ZPASS_DONE                                     21
#define     V_028A90_CACHE_FLUSH_AND_INV_EVENT                      22
#define     V_028A90_PERFCOUNTER_START                              23
#define     V_028A90_PERFCOUNTER_STOP                               24
#define     V_028A90_PIPELINESTAT_START                             25
#define     V_028A90_PIPELINESTAT_STOP                              26
#define     V_028A90_PERFCOUNTER_SAMPLE                             27
#define     V_028A90_FLUSH_ES_OUTPUT                                28 /* <= stoney, >= gfx10 */
#define     V_028A90_BIN_CONF_OVERRIDE_CHECK                        29 /* >= gfx10 */
#define     V_028A90_FLUSH_GS_OUTPUT                                29 /* <= stoney */
#define     V_028A90_SAMPLE_PIPELINESTAT                            30
#define     V_028A90_SO_VGTSTREAMOUT_FLUSH                          31
#define     V_028A90_SAMPLE_STREAMOUTSTATS                          32
#define     V_028A90_RESET_VTX_CNT                                  33
#define     V_028A90_BLOCK_CONTEXT_DONE                             34
#define     V_028A90_CS_CONTEXT_DONE                                35
#define     V_028A90_VGT_FLUSH                                      36
#define     V_028A90_TGID_ROLLOVER                                  37 /* >= gfx9 */
#define     V_028A90_SQ_NON_EVENT                                   38 /* >= gfx10 */
#define     V_028A90_SC_SEND_DB_VPZ                                 39
#define     V_028A90_BOTTOM_OF_PIPE_TS                              40
#define     V_028A90_FLUSH_SX_TS                                    41 /* >= gfx10 */
#define     V_028A90_DB_CACHE_FLUSH_AND_INV                         42
#define     V_028A90_FLUSH_AND_INV_DB_DATA_TS                       43
#define     V_028A90_FLUSH_AND_INV_DB_META                          44
#define     V_028A90_FLUSH_AND_INV_CB_DATA_TS                       45
#define     V_028A90_FLUSH_AND_INV_CB_META                          46
#define     V_028A90_CS_DONE                                        47
#define     V_028A90_PS_DONE                                        48
#define     V_028A90_FLUSH_AND_INV_CB_PIXEL_DATA                    49
#define     V_028A90_SX_CB_RAT_ACK_REQUEST                          50 /* >= gfx10 */
#define     V_028A90_THREAD_TRACE_START                             51
#define     V_028A90_THREAD_TRACE_STOP                              52
#define     V_028A90_THREAD_TRACE_MARKER                            53
#define     V_028A90_THREAD_TRACE_DRAW                              54 /* >= gfx10 */
#define     V_028A90_THREAD_TRACE_FLUSH                             54 /* <= gfx9 */
#define     V_028A90_THREAD_TRACE_FINISH                            55
#define     V_028A90_PIXEL_PIPE_STAT_CONTROL                        56 /* >= gfx9 */
#define     V_028A90_PIXEL_PIPE_STAT_DUMP                           57 /* >= gfx9 */
#define     V_028A90_PIXEL_PIPE_STAT_RESET                          58 /* >= gfx9 */
#define     V_028A90_CONTEXT_SUSPEND                                59 /* >= gfx10 */
#define     V_028A90_OFFCHIP_HS_DEALLOC                             60 /* >= gfx10 */
#define     V_028A90_ENABLE_NGG_PIPELINE                            61 /* >= gfx9 */
#define     V_028A90_ENABLE_LEGACY_PIPELINE                         62 /* >= gfx9 */
#define     V_028A90_DRAW_DONE                                      63 /* >= gfx10 */
#define   S_028A90_ADDRESS_HI_GFX9(x)                                 (((unsigned)(x) & 0x1FFFF) << 10) /* >= gfx9 */
#define   G_028A90_ADDRESS_HI_GFX9(x)                                 (((x) >> 10) & 0x1FFFF)
#define   C_028A90_ADDRESS_HI_GFX9                                    0xF80003FF
#define   S_028A90_ADDRESS_HI_GFX6(x)                                 (((unsigned)(x) & 0x1FF) << 18) /* <= stoney */
#define   G_028A90_ADDRESS_HI_GFX6(x)                                 (((x) >> 18) & 0x1FF)
#define   C_028A90_ADDRESS_HI_GFX6                                    0xF803FFFF
#define   S_028A90_EXTENDED_EVENT(x)                                  (((unsigned)(x) & 0x1) << 27)
#define   G_028A90_EXTENDED_EVENT(x)                                  (((x) >> 27) & 0x1)
#define   C_028A90_EXTENDED_EVENT                                     0xF7FFFFFF
#define R_028A94_VGT_GS_MAX_PRIMS_PER_SUBGROUP                          0x028A94 /* gfx9 */
#define   S_028A94_MAX_PRIMS_PER_SUBGROUP(x)                          (((unsigned)(x) & 0xFFFF) << 0)
#define   G_028A94_MAX_PRIMS_PER_SUBGROUP(x)                          (((x) >> 0) & 0xFFFF)
#define   C_028A94_MAX_PRIMS_PER_SUBGROUP                             0xFFFF0000
#define R_028A94_VGT_MULTI_PRIM_IB_RESET_EN                             0x028A94 /* <= stoney, >= gfx10 */
#define   S_028A94_RESET_EN(x)                                        (((unsigned)(x) & 0x1) << 0)
#define   G_028A94_RESET_EN(x)                                        (((x) >> 0) & 0x1)
#define   C_028A94_RESET_EN                                           0xFFFFFFFE
#define   S_028A94_MATCH_ALL_BITS(x)                                  (((unsigned)(x) & 0x1) << 1) /* >= gfx10 */
#define   G_028A94_MATCH_ALL_BITS(x)                                  (((x) >> 1) & 0x1)
#define   C_028A94_MATCH_ALL_BITS                                     0xFFFFFFFD
#define R_028A98_VGT_DRAW_PAYLOAD_CNTL                                  0x028A98 /* >= gfx9 */
#define   S_028A98_OBJPRIM_ID_EN(x)                                   (((unsigned)(x) & 0x1) << 0)
#define   G_028A98_OBJPRIM_ID_EN(x)                                   (((x) >> 0) & 0x1)
#define   C_028A98_OBJPRIM_ID_EN                                      0xFFFFFFFE
#define   S_028A98_EN_REG_RT_INDEX(x)                                 (((unsigned)(x) & 0x1) << 1)
#define   G_028A98_EN_REG_RT_INDEX(x)                                 (((x) >> 1) & 0x1)
#define   C_028A98_EN_REG_RT_INDEX                                    0xFFFFFFFD
#define   S_028A98_EN_PIPELINE_PRIMID(x)                              (((unsigned)(x) & 0x1) << 2) /* gfx9 */
#define   G_028A98_EN_PIPELINE_PRIMID(x)                              (((x) >> 2) & 0x1)
#define   C_028A98_EN_PIPELINE_PRIMID                                 0xFFFFFFFB
#define   S_028A98_OBJECT_ID_INST_EN_GFX10(x)                         (((unsigned)(x) & 0x1) << 2) /* >= gfx10 */
#define   G_028A98_OBJECT_ID_INST_EN_GFX10(x)                         (((x) >> 2) & 0x1)
#define   C_028A98_OBJECT_ID_INST_EN_GFX10                            0xFFFFFFFB
#define   S_028A98_EN_PRIM_PAYLOAD(x)                                 (((unsigned)(x) & 0x1) << 3) /* >= gfx10 */
#define   G_028A98_EN_PRIM_PAYLOAD(x)                                 (((x) >> 3) & 0x1)
#define   C_028A98_EN_PRIM_PAYLOAD                                    0xFFFFFFF7
#define   S_028A98_OBJECT_ID_INST_EN_GFX9(x)                          (((unsigned)(x) & 0x1) << 3) /* gfx9 */
#define   G_028A98_OBJECT_ID_INST_EN_GFX9(x)                          (((x) >> 3) & 0x1)
#define   C_028A98_OBJECT_ID_INST_EN_GFX9                             0xFFFFFFF7
#define   S_028A98_EN_DRAW_VP(x)                                      (((unsigned)(x) & 0x1) << 4) /* >= gfx10 */
#define   G_028A98_EN_DRAW_VP(x)                                      (((x) >> 4) & 0x1)
#define   C_028A98_EN_DRAW_VP                                         0xFFFFFFEF
#define R_028AA0_VGT_INSTANCE_STEP_RATE_0                               0x028AA0
#define   S_028AA0_STEP_RATE(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028AA0_STEP_RATE(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_028AA0_STEP_RATE                                          0x00000000
#define R_028AA4_VGT_INSTANCE_STEP_RATE_1                               0x028AA4
#define R_028AA8_IA_MULTI_VGT_PARAM                                     0x028AA8 /* <= stoney, >= gfx10 */
#define   S_028AA8_PRIMGROUP_SIZE(x)                                  (((unsigned)(x) & 0xFFFF) << 0)
#define   G_028AA8_PRIMGROUP_SIZE(x)                                  (((x) >> 0) & 0xFFFF)
#define   C_028AA8_PRIMGROUP_SIZE                                     0xFFFF0000
#define   S_028AA8_PARTIAL_VS_WAVE_ON(x)                              (((unsigned)(x) & 0x1) << 16)
#define   G_028AA8_PARTIAL_VS_WAVE_ON(x)                              (((x) >> 16) & 0x1)
#define   C_028AA8_PARTIAL_VS_WAVE_ON                                 0xFFFEFFFF
#define   S_028AA8_SWITCH_ON_EOP(x)                                   (((unsigned)(x) & 0x1) << 17)
#define   G_028AA8_SWITCH_ON_EOP(x)                                   (((x) >> 17) & 0x1)
#define   C_028AA8_SWITCH_ON_EOP                                      0xFFFDFFFF
#define   S_028AA8_PARTIAL_ES_WAVE_ON(x)                              (((unsigned)(x) & 0x1) << 18)
#define   G_028AA8_PARTIAL_ES_WAVE_ON(x)                              (((x) >> 18) & 0x1)
#define   C_028AA8_PARTIAL_ES_WAVE_ON                                 0xFFFBFFFF
#define   S_028AA8_SWITCH_ON_EOI(x)                                   (((unsigned)(x) & 0x1) << 19)
#define   G_028AA8_SWITCH_ON_EOI(x)                                   (((x) >> 19) & 0x1)
#define   C_028AA8_SWITCH_ON_EOI                                      0xFFF7FFFF
#define   S_028AA8_WD_SWITCH_ON_EOP(x)                                (((unsigned)(x) & 0x1) << 20) /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define   G_028AA8_WD_SWITCH_ON_EOP(x)                                (((x) >> 20) & 0x1)
#define   C_028AA8_WD_SWITCH_ON_EOP                                   0xFFEFFFFF
#define   S_028AA8_MAX_PRIMGRP_IN_WAVE(x)                             (((unsigned)(x) & 0xF) << 28) /* gfx8, fiji, stoney */
#define   G_028AA8_MAX_PRIMGRP_IN_WAVE(x)                             (((x) >> 28) & 0xF)
#define   C_028AA8_MAX_PRIMGRP_IN_WAVE                                0x0FFFFFFF
#define R_028AAC_VGT_ESGS_RING_ITEMSIZE                                 0x028AAC
#define   S_028AAC_ITEMSIZE(x)                                        (((unsigned)(x) & 0x7FFF) << 0)
#define   G_028AAC_ITEMSIZE(x)                                        (((x) >> 0) & 0x7FFF)
#define   C_028AAC_ITEMSIZE                                           0xFFFF8000
#define R_028AB0_VGT_GSVS_RING_ITEMSIZE                                 0x028AB0
#define   S_028AB0_ITEMSIZE(x)                                        (((unsigned)(x) & 0x7FFF) << 0)
#define   G_028AB0_ITEMSIZE(x)                                        (((x) >> 0) & 0x7FFF)
#define   C_028AB0_ITEMSIZE                                           0xFFFF8000
#define R_028AB4_VGT_REUSE_OFF                                          0x028AB4
#define   S_028AB4_REUSE_OFF(x)                                       (((unsigned)(x) & 0x1) << 0)
#define   G_028AB4_REUSE_OFF(x)                                       (((x) >> 0) & 0x1)
#define   C_028AB4_REUSE_OFF                                          0xFFFFFFFE
#define R_028AB8_VGT_VTX_CNT_EN                                         0x028AB8
#define   S_028AB8_VTX_CNT_EN(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_028AB8_VTX_CNT_EN(x)                                      (((x) >> 0) & 0x1)
#define   C_028AB8_VTX_CNT_EN                                         0xFFFFFFFE
#define R_028ABC_DB_HTILE_SURFACE                                       0x028ABC
#define   S_028ABC_LINEAR(x)                                          (((unsigned)(x) & 0x1) << 0) /* <= stoney, >= gfx10 */
#define   G_028ABC_LINEAR(x)                                          (((x) >> 0) & 0x1)
#define   C_028ABC_LINEAR                                             0xFFFFFFFE
#define   S_028ABC_FULL_CACHE(x)                                      (((unsigned)(x) & 0x1) << 1)
#define   G_028ABC_FULL_CACHE(x)                                      (((x) >> 1) & 0x1)
#define   C_028ABC_FULL_CACHE                                         0xFFFFFFFD
#define   S_028ABC_HTILE_USES_PRELOAD_WIN(x)                          (((unsigned)(x) & 0x1) << 2)
#define   G_028ABC_HTILE_USES_PRELOAD_WIN(x)                          (((x) >> 2) & 0x1)
#define   C_028ABC_HTILE_USES_PRELOAD_WIN                             0xFFFFFFFB
#define   S_028ABC_PRELOAD(x)                                         (((unsigned)(x) & 0x1) << 3)
#define   G_028ABC_PRELOAD(x)                                         (((x) >> 3) & 0x1)
#define   C_028ABC_PRELOAD                                            0xFFFFFFF7
#define   S_028ABC_PREFETCH_WIDTH(x)                                  (((unsigned)(x) & 0x3F) << 4)
#define   G_028ABC_PREFETCH_WIDTH(x)                                  (((x) >> 4) & 0x3F)
#define   C_028ABC_PREFETCH_WIDTH                                     0xFFFFFC0F
#define   S_028ABC_PREFETCH_HEIGHT(x)                                 (((unsigned)(x) & 0x3F) << 10)
#define   G_028ABC_PREFETCH_HEIGHT(x)                                 (((x) >> 10) & 0x3F)
#define   C_028ABC_PREFETCH_HEIGHT                                    0xFFFF03FF
#define   S_028ABC_DST_OUTSIDE_ZERO_TO_ONE(x)                         (((unsigned)(x) & 0x1) << 16)
#define   G_028ABC_DST_OUTSIDE_ZERO_TO_ONE(x)                         (((x) >> 16) & 0x1)
#define   C_028ABC_DST_OUTSIDE_ZERO_TO_ONE                            0xFFFEFFFF
#define   S_028ABC_TC_COMPATIBLE(x)                                   (((unsigned)(x) & 0x1) << 17) /* gfx8, fiji, stoney, >= gfx10 */
#define   G_028ABC_TC_COMPATIBLE(x)                                   (((x) >> 17) & 0x1)
#define   C_028ABC_TC_COMPATIBLE                                      0xFFFDFFFF
#define   S_028ABC_PIPE_ALIGNED(x)                                    (((unsigned)(x) & 0x1) << 18) /* >= gfx9 */
#define   G_028ABC_PIPE_ALIGNED(x)                                    (((x) >> 18) & 0x1)
#define   C_028ABC_PIPE_ALIGNED                                       0xFFFBFFFF
#define   S_028ABC_RB_ALIGNED(x)                                      (((unsigned)(x) & 0x1) << 19) /* gfx9 */
#define   G_028ABC_RB_ALIGNED(x)                                      (((x) >> 19) & 0x1)
#define   C_028ABC_RB_ALIGNED                                         0xFFF7FFFF
#define R_028AC0_DB_SRESULTS_COMPARE_STATE0                             0x028AC0
#define   S_028AC0_COMPAREFUNC0(x)                                    (((unsigned)(x) & 0x7) << 0)
#define   G_028AC0_COMPAREFUNC0(x)                                    (((x) >> 0) & 0x7)
#define   C_028AC0_COMPAREFUNC0                                       0xFFFFFFF8
#define     V_028AC0_REF_NEVER                                      0
#define     V_028AC0_REF_LESS                                       1
#define     V_028AC0_REF_EQUAL                                      2
#define     V_028AC0_REF_LEQUAL                                     3
#define     V_028AC0_REF_GREATER                                    4
#define     V_028AC0_REF_NOTEQUAL                                   5
#define     V_028AC0_REF_GEQUAL                                     6
#define     V_028AC0_REF_ALWAYS                                     7
#define   S_028AC0_COMPAREVALUE0(x)                                   (((unsigned)(x) & 0xFF) << 4)
#define   G_028AC0_COMPAREVALUE0(x)                                   (((x) >> 4) & 0xFF)
#define   C_028AC0_COMPAREVALUE0                                      0xFFFFF00F
#define   S_028AC0_COMPAREMASK0(x)                                    (((unsigned)(x) & 0xFF) << 12)
#define   G_028AC0_COMPAREMASK0(x)                                    (((x) >> 12) & 0xFF)
#define   C_028AC0_COMPAREMASK0                                       0xFFF00FFF
#define   S_028AC0_ENABLE0(x)                                         (((unsigned)(x) & 0x1) << 24)
#define   G_028AC0_ENABLE0(x)                                         (((x) >> 24) & 0x1)
#define   C_028AC0_ENABLE0                                            0xFEFFFFFF
#define R_028AC4_DB_SRESULTS_COMPARE_STATE1                             0x028AC4
#define   S_028AC4_COMPAREFUNC1(x)                                    (((unsigned)(x) & 0x7) << 0)
#define   G_028AC4_COMPAREFUNC1(x)                                    (((x) >> 0) & 0x7)
#define   C_028AC4_COMPAREFUNC1                                       0xFFFFFFF8
#define     V_028AC4_REF_NEVER                                      0
#define     V_028AC4_REF_LESS                                       1
#define     V_028AC4_REF_EQUAL                                      2
#define     V_028AC4_REF_LEQUAL                                     3
#define     V_028AC4_REF_GREATER                                    4
#define     V_028AC4_REF_NOTEQUAL                                   5
#define     V_028AC4_REF_GEQUAL                                     6
#define     V_028AC4_REF_ALWAYS                                     7
#define   S_028AC4_COMPAREVALUE1(x)                                   (((unsigned)(x) & 0xFF) << 4)
#define   G_028AC4_COMPAREVALUE1(x)                                   (((x) >> 4) & 0xFF)
#define   C_028AC4_COMPAREVALUE1                                      0xFFFFF00F
#define   S_028AC4_COMPAREMASK1(x)                                    (((unsigned)(x) & 0xFF) << 12)
#define   G_028AC4_COMPAREMASK1(x)                                    (((x) >> 12) & 0xFF)
#define   C_028AC4_COMPAREMASK1                                       0xFFF00FFF
#define   S_028AC4_ENABLE1(x)                                         (((unsigned)(x) & 0x1) << 24)
#define   G_028AC4_ENABLE1(x)                                         (((x) >> 24) & 0x1)
#define   C_028AC4_ENABLE1                                            0xFEFFFFFF
#define R_028AC8_DB_PRELOAD_CONTROL                                     0x028AC8
#define   S_028AC8_START_X(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_028AC8_START_X(x)                                         (((x) >> 0) & 0xFF)
#define   C_028AC8_START_X                                            0xFFFFFF00
#define   S_028AC8_START_Y(x)                                         (((unsigned)(x) & 0xFF) << 8)
#define   G_028AC8_START_Y(x)                                         (((x) >> 8) & 0xFF)
#define   C_028AC8_START_Y                                            0xFFFF00FF
#define   S_028AC8_MAX_X(x)                                           (((unsigned)(x) & 0xFF) << 16)
#define   G_028AC8_MAX_X(x)                                           (((x) >> 16) & 0xFF)
#define   C_028AC8_MAX_X                                              0xFF00FFFF
#define   S_028AC8_MAX_Y(x)                                           (((unsigned)(x) & 0xFF) << 24)
#define   G_028AC8_MAX_Y(x)                                           (((x) >> 24) & 0xFF)
#define   C_028AC8_MAX_Y                                              0x00FFFFFF
#define R_028AD0_VGT_STRMOUT_BUFFER_SIZE_0                              0x028AD0
#define   S_028AD0_SIZE(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028AD0_SIZE(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_028AD0_SIZE                                               0x00000000
#define R_028AD4_VGT_STRMOUT_VTX_STRIDE_0                               0x028AD4
#define   S_028AD4_STRIDE(x)                                          (((unsigned)(x) & 0x3FF) << 0)
#define   G_028AD4_STRIDE(x)                                          (((x) >> 0) & 0x3FF)
#define   C_028AD4_STRIDE                                             0xFFFFFC00
#define R_028ADC_VGT_STRMOUT_BUFFER_OFFSET_0                            0x028ADC
#define   S_028ADC_OFFSET(x)                                          (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028ADC_OFFSET(x)                                          (((x) >> 0) & 0xFFFFFFFF)
#define   C_028ADC_OFFSET                                             0x00000000
#define R_028AE0_VGT_STRMOUT_BUFFER_SIZE_1                              0x028AE0
#define R_028AE4_VGT_STRMOUT_VTX_STRIDE_1                               0x028AE4
#define R_028AEC_VGT_STRMOUT_BUFFER_OFFSET_1                            0x028AEC
#define R_028AF0_VGT_STRMOUT_BUFFER_SIZE_2                              0x028AF0
#define R_028AF4_VGT_STRMOUT_VTX_STRIDE_2                               0x028AF4
#define R_028AFC_VGT_STRMOUT_BUFFER_OFFSET_2                            0x028AFC
#define R_028B00_VGT_STRMOUT_BUFFER_SIZE_3                              0x028B00
#define R_028B04_VGT_STRMOUT_VTX_STRIDE_3                               0x028B04
#define R_028B0C_VGT_STRMOUT_BUFFER_OFFSET_3                            0x028B0C
#define R_028B28_VGT_STRMOUT_DRAW_OPAQUE_OFFSET                         0x028B28
#define   S_028B28_OFFSET(x)                                          (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028B28_OFFSET(x)                                          (((x) >> 0) & 0xFFFFFFFF)
#define   C_028B28_OFFSET                                             0x00000000
#define R_028B2C_VGT_STRMOUT_DRAW_OPAQUE_BUFFER_FILLED_SIZE             0x028B2C
#define   S_028B2C_SIZE(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028B2C_SIZE(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_028B2C_SIZE                                               0x00000000
#define R_028B30_VGT_STRMOUT_DRAW_OPAQUE_VERTEX_STRIDE                  0x028B30
#define   S_028B30_VERTEX_STRIDE(x)                                   (((unsigned)(x) & 0x1FF) << 0)
#define   G_028B30_VERTEX_STRIDE(x)                                   (((x) >> 0) & 0x1FF)
#define   C_028B30_VERTEX_STRIDE                                      0xFFFFFE00
#define R_028B38_VGT_GS_MAX_VERT_OUT                                    0x028B38
#define   S_028B38_MAX_VERT_OUT(x)                                    (((unsigned)(x) & 0x7FF) << 0)
#define   G_028B38_MAX_VERT_OUT(x)                                    (((x) >> 0) & 0x7FF)
#define   C_028B38_MAX_VERT_OUT                                       0xFFFFF800
#define R_028B4C_GE_NGG_SUBGRP_CNTL                                     0x028B4C /* >= gfx10 */
#define   S_028B4C_PRIM_AMP_FACTOR(x)                                 (((unsigned)(x) & 0x1FF) << 0)
#define   G_028B4C_PRIM_AMP_FACTOR(x)                                 (((x) >> 0) & 0x1FF)
#define   C_028B4C_PRIM_AMP_FACTOR                                    0xFFFFFE00
#define   S_028B4C_THDS_PER_SUBGRP(x)                                 (((unsigned)(x) & 0x1FF) << 9)
#define   G_028B4C_THDS_PER_SUBGRP(x)                                 (((x) >> 9) & 0x1FF)
#define   C_028B4C_THDS_PER_SUBGRP                                    0xFFFC01FF
#define R_028B50_VGT_TESS_DISTRIBUTION                                  0x028B50 /* >= gfx8 */
#define   S_028B50_ACCUM_ISOLINE(x)                                   (((unsigned)(x) & 0xFF) << 0)
#define   G_028B50_ACCUM_ISOLINE(x)                                   (((x) >> 0) & 0xFF)
#define   C_028B50_ACCUM_ISOLINE                                      0xFFFFFF00
#define   S_028B50_ACCUM_TRI(x)                                       (((unsigned)(x) & 0xFF) << 8)
#define   G_028B50_ACCUM_TRI(x)                                       (((x) >> 8) & 0xFF)
#define   C_028B50_ACCUM_TRI                                          0xFFFF00FF
#define   S_028B50_ACCUM_QUAD(x)                                      (((unsigned)(x) & 0xFF) << 16)
#define   G_028B50_ACCUM_QUAD(x)                                      (((x) >> 16) & 0xFF)
#define   C_028B50_ACCUM_QUAD                                         0xFF00FFFF
#define   S_028B50_DONUT_SPLIT(x)                                     (((unsigned)(x) & 0x1F) << 24)
#define   G_028B50_DONUT_SPLIT(x)                                     (((x) >> 24) & 0x1F)
#define   C_028B50_DONUT_SPLIT                                        0xE0FFFFFF
#define   S_028B50_TRAP_SPLIT(x)                                      (((unsigned)(x) & 0x7) << 29) /* fiji, >= gfx9 */
#define   G_028B50_TRAP_SPLIT(x)                                      (((x) >> 29) & 0x7)
#define   C_028B50_TRAP_SPLIT                                         0x1FFFFFFF
#define R_028B54_VGT_SHADER_STAGES_EN                                   0x028B54
#define   S_028B54_LS_EN(x)                                           (((unsigned)(x) & 0x3) << 0)
#define   G_028B54_LS_EN(x)                                           (((x) >> 0) & 0x3)
#define   C_028B54_LS_EN                                              0xFFFFFFFC
#define     V_028B54_LS_STAGE_OFF                                   0
#define     V_028B54_LS_STAGE_ON                                    1
#define     V_028B54_CS_STAGE_ON                                    2
#define     V_028B54_RESERVED_LS                                    3 /* >= gfx10 */
#define   S_028B54_HS_EN(x)                                           (((unsigned)(x) & 0x1) << 2)
#define   G_028B54_HS_EN(x)                                           (((x) >> 2) & 0x1)
#define   C_028B54_HS_EN                                              0xFFFFFFFB
#define     V_028B54_HS_STAGE_OFF                                   0 /* >= gfx10 */
#define     V_028B54_HS_STAGE_ON                                    1 /* >= gfx10 */
#define   S_028B54_ES_EN(x)                                           (((unsigned)(x) & 0x3) << 3)
#define   G_028B54_ES_EN(x)                                           (((x) >> 3) & 0x3)
#define   C_028B54_ES_EN                                              0xFFFFFFE7
#define     V_028B54_ES_STAGE_OFF                                   0
#define     V_028B54_ES_STAGE_DS                                    1
#define     V_028B54_ES_STAGE_REAL                                  2
#define     V_028B54_RESERVED_ES                                    3 /* >= gfx10 */
#define   S_028B54_GS_EN(x)                                           (((unsigned)(x) & 0x1) << 5)
#define   G_028B54_GS_EN(x)                                           (((x) >> 5) & 0x1)
#define   C_028B54_GS_EN                                              0xFFFFFFDF
#define     V_028B54_GS_STAGE_OFF                                   0 /* >= gfx10 */
#define     V_028B54_GS_STAGE_ON                                    1 /* >= gfx10 */
#define   S_028B54_VS_EN(x)                                           (((unsigned)(x) & 0x3) << 6)
#define   G_028B54_VS_EN(x)                                           (((x) >> 6) & 0x3)
#define   C_028B54_VS_EN                                              0xFFFFFF3F
#define     V_028B54_VS_STAGE_REAL                                  0
#define     V_028B54_VS_STAGE_DS                                    1
#define     V_028B54_VS_STAGE_COPY_SHADER                           2
#define     V_028B54_RESERVED_VS                                    3 /* >= gfx10 */
#define   S_028B54_DYNAMIC_HS(x)                                      (((unsigned)(x) & 0x1) << 8) /* <= stoney, >= gfx10 */
#define   G_028B54_DYNAMIC_HS(x)                                      (((x) >> 8) & 0x1)
#define   C_028B54_DYNAMIC_HS                                         0xFFFFFEFF
#define   S_028B54_DISPATCH_DRAW_EN(x)                                (((unsigned)(x) & 0x1) << 9) /* >= gfx8 */
#define   G_028B54_DISPATCH_DRAW_EN(x)                                (((x) >> 9) & 0x1)
#define   C_028B54_DISPATCH_DRAW_EN                                   0xFFFFFDFF
#define   S_028B54_DIS_DEALLOC_ACCUM_0(x)                             (((unsigned)(x) & 0x1) << 10) /* >= gfx8 */
#define   G_028B54_DIS_DEALLOC_ACCUM_0(x)                             (((x) >> 10) & 0x1)
#define   C_028B54_DIS_DEALLOC_ACCUM_0                                0xFFFFFBFF
#define   S_028B54_DIS_DEALLOC_ACCUM_1(x)                             (((unsigned)(x) & 0x1) << 11) /* >= gfx8 */
#define   G_028B54_DIS_DEALLOC_ACCUM_1(x)                             (((x) >> 11) & 0x1)
#define   C_028B54_DIS_DEALLOC_ACCUM_1                                0xFFFFF7FF
#define   S_028B54_VS_WAVE_ID_EN(x)                                   (((unsigned)(x) & 0x1) << 12) /* >= gfx8 */
#define   G_028B54_VS_WAVE_ID_EN(x)                                   (((x) >> 12) & 0x1)
#define   C_028B54_VS_WAVE_ID_EN                                      0xFFFFEFFF
#define   S_028B54_PRIMGEN_EN(x)                                      (((unsigned)(x) & 0x1) << 13) /* >= gfx9 */
#define   G_028B54_PRIMGEN_EN(x)                                      (((x) >> 13) & 0x1)
#define   C_028B54_PRIMGEN_EN                                         0xFFFFDFFF
#define   S_028B54_ORDERED_ID_MODE(x)                                 (((unsigned)(x) & 0x1) << 14) /* >= gfx9 */
#define   G_028B54_ORDERED_ID_MODE(x)                                 (((x) >> 14) & 0x1)
#define   C_028B54_ORDERED_ID_MODE                                    0xFFFFBFFF
#define   S_028B54_MAX_PRIMGRP_IN_WAVE(x)                             (((unsigned)(x) & 0xF) << 15) /* >= gfx9 */
#define   G_028B54_MAX_PRIMGRP_IN_WAVE(x)                             (((x) >> 15) & 0xF)
#define   C_028B54_MAX_PRIMGRP_IN_WAVE                                0xFFF87FFF
#define   S_028B54_GS_FAST_LAUNCH(x)                                  (((unsigned)(x) & 0x3) << 19) /* >= gfx9 */
#define   G_028B54_GS_FAST_LAUNCH(x)                                  (((x) >> 19) & 0x3)
#define   C_028B54_GS_FAST_LAUNCH                                     0xFFE7FFFF
#define   S_028B54_HS_W32_EN(x)                                       (((unsigned)(x) & 0x1) << 21) /* >= gfx10 */
#define   G_028B54_HS_W32_EN(x)                                       (((x) >> 21) & 0x1)
#define   C_028B54_HS_W32_EN                                          0xFFDFFFFF
#define   S_028B54_GS_W32_EN(x)                                       (((unsigned)(x) & 0x1) << 22) /* >= gfx10 */
#define   G_028B54_GS_W32_EN(x)                                       (((x) >> 22) & 0x1)
#define   C_028B54_GS_W32_EN                                          0xFFBFFFFF
#define   S_028B54_VS_W32_EN(x)                                       (((unsigned)(x) & 0x1) << 23) /* >= gfx10 */
#define   G_028B54_VS_W32_EN(x)                                       (((x) >> 23) & 0x1)
#define   C_028B54_VS_W32_EN                                          0xFF7FFFFF
#define   S_028B54_NGG_WAVE_ID_EN(x)                                  (((unsigned)(x) & 0x1) << 24) /* >= gfx10 */
#define   G_028B54_NGG_WAVE_ID_EN(x)                                  (((x) >> 24) & 0x1)
#define   C_028B54_NGG_WAVE_ID_EN                                     0xFEFFFFFF
#define   S_028B54_PRIMGEN_PASSTHRU_EN(x)                             (((unsigned)(x) & 0x1) << 25) /* >= gfx10 */
#define   G_028B54_PRIMGEN_PASSTHRU_EN(x)                             (((x) >> 25) & 0x1)
#define   C_028B54_PRIMGEN_PASSTHRU_EN                                0xFDFFFFFF
#define R_028B58_VGT_LS_HS_CONFIG                                       0x028B58
#define   S_028B58_NUM_PATCHES(x)                                     (((unsigned)(x) & 0xFF) << 0)
#define   G_028B58_NUM_PATCHES(x)                                     (((x) >> 0) & 0xFF)
#define   C_028B58_NUM_PATCHES                                        0xFFFFFF00
#define   S_028B58_HS_NUM_INPUT_CP(x)                                 (((unsigned)(x) & 0x3F) << 8)
#define   G_028B58_HS_NUM_INPUT_CP(x)                                 (((x) >> 8) & 0x3F)
#define   C_028B58_HS_NUM_INPUT_CP                                    0xFFFFC0FF
#define   S_028B58_HS_NUM_OUTPUT_CP(x)                                (((unsigned)(x) & 0x3F) << 14)
#define   G_028B58_HS_NUM_OUTPUT_CP(x)                                (((x) >> 14) & 0x3F)
#define   C_028B58_HS_NUM_OUTPUT_CP                                   0xFFF03FFF
#define R_028B5C_VGT_GS_VERT_ITEMSIZE                                   0x028B5C
#define   S_028B5C_ITEMSIZE(x)                                        (((unsigned)(x) & 0x7FFF) << 0)
#define   G_028B5C_ITEMSIZE(x)                                        (((x) >> 0) & 0x7FFF)
#define   C_028B5C_ITEMSIZE                                           0xFFFF8000
#define R_028B60_VGT_GS_VERT_ITEMSIZE_1                                 0x028B60
#define   S_028B60_ITEMSIZE(x)                                        (((unsigned)(x) & 0x7FFF) << 0)
#define   G_028B60_ITEMSIZE(x)                                        (((x) >> 0) & 0x7FFF)
#define   C_028B60_ITEMSIZE                                           0xFFFF8000
#define R_028B64_VGT_GS_VERT_ITEMSIZE_2                                 0x028B64
#define R_028B68_VGT_GS_VERT_ITEMSIZE_3                                 0x028B68
#define R_028B6C_VGT_TF_PARAM                                           0x028B6C
#define   S_028B6C_TYPE(x)                                            (((unsigned)(x) & 0x3) << 0)
#define   G_028B6C_TYPE(x)                                            (((x) >> 0) & 0x3)
#define   C_028B6C_TYPE                                               0xFFFFFFFC
#define     V_028B6C_TESS_ISOLINE                                   0
#define     V_028B6C_TESS_TRIANGLE                                  1
#define     V_028B6C_TESS_QUAD                                      2
#define   S_028B6C_PARTITIONING(x)                                    (((unsigned)(x) & 0x7) << 2)
#define   G_028B6C_PARTITIONING(x)                                    (((x) >> 2) & 0x7)
#define   C_028B6C_PARTITIONING                                       0xFFFFFFE3
#define     V_028B6C_PART_INTEGER                                   0
#define     V_028B6C_PART_POW2                                      1
#define     V_028B6C_PART_FRAC_ODD                                  2
#define     V_028B6C_PART_FRAC_EVEN                                 3
#define   S_028B6C_TOPOLOGY(x)                                        (((unsigned)(x) & 0x7) << 5)
#define   G_028B6C_TOPOLOGY(x)                                        (((x) >> 5) & 0x7)
#define   C_028B6C_TOPOLOGY                                           0xFFFFFF1F
#define     V_028B6C_OUTPUT_POINT                                   0
#define     V_028B6C_OUTPUT_LINE                                    1
#define     V_028B6C_OUTPUT_TRIANGLE_CW                             2
#define     V_028B6C_OUTPUT_TRIANGLE_CCW                            3
#define   S_028B6C_RESERVED_REDUC_AXIS(x)                             (((unsigned)(x) & 0x1) << 8) /* <= gfx6, >= gfx9 */
#define   G_028B6C_RESERVED_REDUC_AXIS(x)                             (((x) >> 8) & 0x1)
#define   C_028B6C_RESERVED_REDUC_AXIS                                0xFFFFFEFF
#define   S_028B6C_DEPRECATED(x)                                      (((unsigned)(x) & 0x1) << 9)
#define   G_028B6C_DEPRECATED(x)                                      (((x) >> 9) & 0x1)
#define   C_028B6C_DEPRECATED                                         0xFFFFFDFF
#define   S_028B6C_NUM_DS_WAVES_PER_SIMD(x)                           (((unsigned)(x) & 0xF) << 10) /* <= stoney, >= gfx10 */
#define   G_028B6C_NUM_DS_WAVES_PER_SIMD(x)                           (((x) >> 10) & 0xF)
#define   C_028B6C_NUM_DS_WAVES_PER_SIMD                              0xFFFFC3FF
#define   S_028B6C_DISABLE_DONUTS(x)                                  (((unsigned)(x) & 0x1) << 14)
#define   G_028B6C_DISABLE_DONUTS(x)                                  (((x) >> 14) & 0x1)
#define   C_028B6C_DISABLE_DONUTS                                     0xFFFFBFFF
#define   S_028B6C_RDREQ_POLICY(x)                                    (((unsigned)(x) & 0x3) << 15) /* >= gfx8 */
#define   G_028B6C_RDREQ_POLICY(x)                                    (((x) >> 15) & 0x3)
#define   C_028B6C_RDREQ_POLICY                                       0xFFFE7FFF
#define     V_028B6C_VGT_POLICY_LRU                                 0 /* gfx7, >= gfx10 */
#define     V_028B6C_VGT_POLICY_STREAM                              1 /* gfx7, >= gfx10 */
#define     V_028B6C_VGT_POLICY_BYPASS                              2 /* gfx7, >= gfx10 */
#define   S_028B6C_RDREQ_POLICY_CIK(x)                                (((unsigned)(x) & 0x3) << 15) /* gfx7 */
#define   G_028B6C_RDREQ_POLICY_CIK(x)                                (((x) >> 15) & 0x3)
#define   C_028B6C_RDREQ_POLICY_CIK                                   0xFFFE7FFF
#define   S_028B6C_DISTRIBUTION_MODE(x)                               (((unsigned)(x) & 0x3) << 17) /* >= gfx8 */
#define   G_028B6C_DISTRIBUTION_MODE(x)                               (((x) >> 17) & 0x3)
#define   C_028B6C_DISTRIBUTION_MODE                                  0xFFF9FFFF
#define     V_028B6C_DISTRIBUTION_MODE_NO_DIST                      0 /* gfx8, fiji, stoney, gfx9 */
#define     V_028B6C_NO_DIST                                        0 /* >= gfx10 */
#define     V_028B6C_DISTRIBUTION_MODE_PATCHES                      1 /* gfx8, fiji, stoney, gfx9 */
#define     V_028B6C_PATCHES                                        1 /* >= gfx10 */
#define     V_028B6C_DISTRIBUTION_MODE_DONUTS                       2 /* gfx8, fiji, stoney, gfx9 */
#define     V_028B6C_DONUTS                                         2 /* >= gfx10 */
#define     V_028B6C_DISTRIBUTION_MODE_TRAPEZOIDS                   3 /* fiji, gfx9 */
#define     V_028B6C_TRAPEZOIDS                                     3 /* >= gfx10 */
#define   S_028B6C_DETECT_ONE(x)                                      (((unsigned)(x) & 0x1) << 19) /* >= gfx10 */
#define   G_028B6C_DETECT_ONE(x)                                      (((x) >> 19) & 0x1)
#define   C_028B6C_DETECT_ONE                                         0xFFF7FFFF
#define     V_028B6C_ENABLE_TF1_OPT                                 0
#define     V_028B6C_DISABLE_TF1_OPT                                1
#define   S_028B6C_MTYPE_GFX8(x)                                      (((unsigned)(x) & 0x3) << 19) /* gfx8, fiji, stoney */
#define   G_028B6C_MTYPE_GFX8(x)                                      (((x) >> 19) & 0x3)
#define   C_028B6C_MTYPE_GFX8                                         0xFFE7FFFF
#define   S_028B6C_DETECT_ZERO(x)                                     (((unsigned)(x) & 0x1) << 20) /* >= gfx10 */
#define   G_028B6C_DETECT_ZERO(x)                                     (((x) >> 20) & 0x1)
#define   C_028B6C_DETECT_ZERO                                        0xFFEFFFFF
#define     V_028B6C_ENABLE_TF0_OPT                                 0
#define     V_028B6C_DISABLE_TF0_OPT                                1
#define   S_028B6C_MTYPE_GFX10(x)                                     (((unsigned)(x) & 0x7) << 23) /* >= gfx10 */
#define   G_028B6C_MTYPE_GFX10(x)                                     (((x) >> 23) & 0x7)
#define   C_028B6C_MTYPE_GFX10                                        0xFC7FFFFF
#define R_028B70_DB_ALPHA_TO_MASK                                       0x028B70
#define   S_028B70_ALPHA_TO_MASK_ENABLE(x)                            (((unsigned)(x) & 0x1) << 0)
#define   G_028B70_ALPHA_TO_MASK_ENABLE(x)                            (((x) >> 0) & 0x1)
#define   C_028B70_ALPHA_TO_MASK_ENABLE                               0xFFFFFFFE
#define   S_028B70_ALPHA_TO_MASK_OFFSET0(x)                           (((unsigned)(x) & 0x3) << 8)
#define   G_028B70_ALPHA_TO_MASK_OFFSET0(x)                           (((x) >> 8) & 0x3)
#define   C_028B70_ALPHA_TO_MASK_OFFSET0                              0xFFFFFCFF
#define   S_028B70_ALPHA_TO_MASK_OFFSET1(x)                           (((unsigned)(x) & 0x3) << 10)
#define   G_028B70_ALPHA_TO_MASK_OFFSET1(x)                           (((x) >> 10) & 0x3)
#define   C_028B70_ALPHA_TO_MASK_OFFSET1                              0xFFFFF3FF
#define   S_028B70_ALPHA_TO_MASK_OFFSET2(x)                           (((unsigned)(x) & 0x3) << 12)
#define   G_028B70_ALPHA_TO_MASK_OFFSET2(x)                           (((x) >> 12) & 0x3)
#define   C_028B70_ALPHA_TO_MASK_OFFSET2                              0xFFFFCFFF
#define   S_028B70_ALPHA_TO_MASK_OFFSET3(x)                           (((unsigned)(x) & 0x3) << 14)
#define   G_028B70_ALPHA_TO_MASK_OFFSET3(x)                           (((x) >> 14) & 0x3)
#define   C_028B70_ALPHA_TO_MASK_OFFSET3                              0xFFFF3FFF
#define   S_028B70_OFFSET_ROUND(x)                                    (((unsigned)(x) & 0x1) << 16)
#define   G_028B70_OFFSET_ROUND(x)                                    (((x) >> 16) & 0x1)
#define   C_028B70_OFFSET_ROUND                                       0xFFFEFFFF
#define R_028B74_VGT_DISPATCH_DRAW_INDEX                                0x028B74 /* >= gfx7 */
#define   S_028B74_MATCH_INDEX(x)                                     (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028B74_MATCH_INDEX(x)                                     (((x) >> 0) & 0xFFFFFFFF)
#define   C_028B74_MATCH_INDEX                                        0x00000000
#define R_028B78_PA_SU_POLY_OFFSET_DB_FMT_CNTL                          0x028B78
#define   S_028B78_POLY_OFFSET_NEG_NUM_DB_BITS(x)                     (((unsigned)(x) & 0xFF) << 0)
#define   G_028B78_POLY_OFFSET_NEG_NUM_DB_BITS(x)                     (((x) >> 0) & 0xFF)
#define   C_028B78_POLY_OFFSET_NEG_NUM_DB_BITS                        0xFFFFFF00
#define   S_028B78_POLY_OFFSET_DB_IS_FLOAT_FMT(x)                     (((unsigned)(x) & 0x1) << 8)
#define   G_028B78_POLY_OFFSET_DB_IS_FLOAT_FMT(x)                     (((x) >> 8) & 0x1)
#define   C_028B78_POLY_OFFSET_DB_IS_FLOAT_FMT                        0xFFFFFEFF
#define R_028B7C_PA_SU_POLY_OFFSET_CLAMP                                0x028B7C
#define   S_028B7C_CLAMP(x)                                           (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028B7C_CLAMP(x)                                           (((x) >> 0) & 0xFFFFFFFF)
#define   C_028B7C_CLAMP                                              0x00000000
#define R_028B80_PA_SU_POLY_OFFSET_FRONT_SCALE                          0x028B80
#define   S_028B80_SCALE(x)                                           (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028B80_SCALE(x)                                           (((x) >> 0) & 0xFFFFFFFF)
#define   C_028B80_SCALE                                              0x00000000
#define R_028B84_PA_SU_POLY_OFFSET_FRONT_OFFSET                         0x028B84
#define   S_028B84_OFFSET(x)                                          (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028B84_OFFSET(x)                                          (((x) >> 0) & 0xFFFFFFFF)
#define   C_028B84_OFFSET                                             0x00000000
#define R_028B88_PA_SU_POLY_OFFSET_BACK_SCALE                           0x028B88
#define   S_028B88_SCALE(x)                                           (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028B88_SCALE(x)                                           (((x) >> 0) & 0xFFFFFFFF)
#define   C_028B88_SCALE                                              0x00000000
#define R_028B8C_PA_SU_POLY_OFFSET_BACK_OFFSET                          0x028B8C
#define   S_028B8C_OFFSET(x)                                          (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028B8C_OFFSET(x)                                          (((x) >> 0) & 0xFFFFFFFF)
#define   C_028B8C_OFFSET                                             0x00000000
#define R_028B90_VGT_GS_INSTANCE_CNT                                    0x028B90
#define   S_028B90_ENABLE(x)                                          (((unsigned)(x) & 0x1) << 0)
#define   G_028B90_ENABLE(x)                                          (((x) >> 0) & 0x1)
#define   C_028B90_ENABLE                                             0xFFFFFFFE
#define   S_028B90_CNT(x)                                             (((unsigned)(x) & 0x7F) << 2)
#define   G_028B90_CNT(x)                                             (((x) >> 2) & 0x7F)
#define   C_028B90_CNT                                                0xFFFFFE03
#define   S_028B90_EN_MAX_VERT_OUT_PER_GS_INSTANCE(x)                 (((unsigned)(x) & 0x1) << 31) /* >= gfx10 */
#define   G_028B90_EN_MAX_VERT_OUT_PER_GS_INSTANCE(x)                 (((x) >> 31) & 0x1)
#define   C_028B90_EN_MAX_VERT_OUT_PER_GS_INSTANCE                    0x7FFFFFFF
#define R_028B94_VGT_STRMOUT_CONFIG                                     0x028B94
#define   S_028B94_STREAMOUT_0_EN(x)                                  (((unsigned)(x) & 0x1) << 0)
#define   G_028B94_STREAMOUT_0_EN(x)                                  (((x) >> 0) & 0x1)
#define   C_028B94_STREAMOUT_0_EN                                     0xFFFFFFFE
#define   S_028B94_STREAMOUT_1_EN(x)                                  (((unsigned)(x) & 0x1) << 1)
#define   G_028B94_STREAMOUT_1_EN(x)                                  (((x) >> 1) & 0x1)
#define   C_028B94_STREAMOUT_1_EN                                     0xFFFFFFFD
#define   S_028B94_STREAMOUT_2_EN(x)                                  (((unsigned)(x) & 0x1) << 2)
#define   G_028B94_STREAMOUT_2_EN(x)                                  (((x) >> 2) & 0x1)
#define   C_028B94_STREAMOUT_2_EN                                     0xFFFFFFFB
#define   S_028B94_STREAMOUT_3_EN(x)                                  (((unsigned)(x) & 0x1) << 3)
#define   G_028B94_STREAMOUT_3_EN(x)                                  (((x) >> 3) & 0x1)
#define   C_028B94_STREAMOUT_3_EN                                     0xFFFFFFF7
#define   S_028B94_RAST_STREAM(x)                                     (((unsigned)(x) & 0x7) << 4)
#define   G_028B94_RAST_STREAM(x)                                     (((x) >> 4) & 0x7)
#define   C_028B94_RAST_STREAM                                        0xFFFFFF8F
#define   S_028B94_EN_PRIMS_NEEDED_CNT(x)                             (((unsigned)(x) & 0x1) << 7) /* >= gfx9 */
#define   G_028B94_EN_PRIMS_NEEDED_CNT(x)                             (((x) >> 7) & 0x1)
#define   C_028B94_EN_PRIMS_NEEDED_CNT                                0xFFFFFF7F
#define   S_028B94_RAST_STREAM_MASK(x)                                (((unsigned)(x) & 0xF) << 8)
#define   G_028B94_RAST_STREAM_MASK(x)                                (((x) >> 8) & 0xF)
#define   C_028B94_RAST_STREAM_MASK                                   0xFFFFF0FF
#define   S_028B94_USE_RAST_STREAM_MASK(x)                            (((unsigned)(x) & 0x1) << 31)
#define   G_028B94_USE_RAST_STREAM_MASK(x)                            (((x) >> 31) & 0x1)
#define   C_028B94_USE_RAST_STREAM_MASK                               0x7FFFFFFF
#define R_028B98_VGT_STRMOUT_BUFFER_CONFIG                              0x028B98
#define   S_028B98_STREAM_0_BUFFER_EN(x)                              (((unsigned)(x) & 0xF) << 0)
#define   G_028B98_STREAM_0_BUFFER_EN(x)                              (((x) >> 0) & 0xF)
#define   C_028B98_STREAM_0_BUFFER_EN                                 0xFFFFFFF0
#define   S_028B98_STREAM_1_BUFFER_EN(x)                              (((unsigned)(x) & 0xF) << 4)
#define   G_028B98_STREAM_1_BUFFER_EN(x)                              (((x) >> 4) & 0xF)
#define   C_028B98_STREAM_1_BUFFER_EN                                 0xFFFFFF0F
#define   S_028B98_STREAM_2_BUFFER_EN(x)                              (((unsigned)(x) & 0xF) << 8)
#define   G_028B98_STREAM_2_BUFFER_EN(x)                              (((x) >> 8) & 0xF)
#define   C_028B98_STREAM_2_BUFFER_EN                                 0xFFFFF0FF
#define   S_028B98_STREAM_3_BUFFER_EN(x)                              (((unsigned)(x) & 0xF) << 12)
#define   G_028B98_STREAM_3_BUFFER_EN(x)                              (((x) >> 12) & 0xF)
#define   C_028B98_STREAM_3_BUFFER_EN                                 0xFFFF0FFF
#define R_028B9C_VGT_DMA_EVENT_INITIATOR                                0x028B9C /* >= gfx9 */
#define   S_028B9C_EVENT_TYPE(x)                                      (((unsigned)(x) & 0x3F) << 0)
#define   G_028B9C_EVENT_TYPE(x)                                      (((x) >> 0) & 0x3F)
#define   C_028B9C_EVENT_TYPE                                         0xFFFFFFC0
#define     V_028B9C_Reserved_0x00                                  0 /* >= gfx10 */
#define     V_028B9C_SAMPLE_STREAMOUTSTATS1                         1
#define     V_028B9C_SAMPLE_STREAMOUTSTATS2                         2
#define     V_028B9C_SAMPLE_STREAMOUTSTATS3                         3
#define     V_028B9C_CACHE_FLUSH_TS                                 4
#define     V_028B9C_CONTEXT_DONE                                   5
#define     V_028B9C_CACHE_FLUSH                                    6
#define     V_028B9C_CS_PARTIAL_FLUSH                               7
#define     V_028B9C_VGT_STREAMOUT_SYNC                             8
#define     V_028B9C_Reserved_0x09                                  9 /* >= gfx10 */
#define     V_028B9C_VGT_STREAMOUT_RESET                            10
#define     V_028B9C_END_OF_PIPE_INCR_DE                            11
#define     V_028B9C_END_OF_PIPE_IB_END                             12
#define     V_028B9C_RST_PIX_CNT                                    13
#define     V_028B9C_BREAK_BATCH                                    14
#define     V_028B9C_VS_PARTIAL_FLUSH                               15
#define     V_028B9C_PS_PARTIAL_FLUSH                               16
#define     V_028B9C_FLUSH_HS_OUTPUT                                17
#define     V_028B9C_FLUSH_DFSM                                     18
#define     V_028B9C_RESET_TO_LOWEST_VGT                            19
#define     V_028B9C_CACHE_FLUSH_AND_INV_TS_EVENT                   20
#define     V_028B9C_ZPASS_DONE                                     21
#define     V_028B9C_CACHE_FLUSH_AND_INV_EVENT                      22
#define     V_028B9C_PERFCOUNTER_START                              23
#define     V_028B9C_PERFCOUNTER_STOP                               24
#define     V_028B9C_PIPELINESTAT_START                             25
#define     V_028B9C_PIPELINESTAT_STOP                              26
#define     V_028B9C_PERFCOUNTER_SAMPLE                             27
#define     V_028B9C_FLUSH_ES_OUTPUT                                28 /* >= gfx10 */
#define     V_028B9C_BIN_CONF_OVERRIDE_CHECK                        29 /* >= gfx10 */
#define     V_028B9C_SAMPLE_PIPELINESTAT                            30
#define     V_028B9C_SO_VGTSTREAMOUT_FLUSH                          31
#define     V_028B9C_SAMPLE_STREAMOUTSTATS                          32
#define     V_028B9C_RESET_VTX_CNT                                  33
#define     V_028B9C_BLOCK_CONTEXT_DONE                             34
#define     V_028B9C_CS_CONTEXT_DONE                                35
#define     V_028B9C_VGT_FLUSH                                      36
#define     V_028B9C_TGID_ROLLOVER                                  37
#define     V_028B9C_SQ_NON_EVENT                                   38 /* >= gfx10 */
#define     V_028B9C_SC_SEND_DB_VPZ                                 39
#define     V_028B9C_BOTTOM_OF_PIPE_TS                              40
#define     V_028B9C_FLUSH_SX_TS                                    41 /* >= gfx10 */
#define     V_028B9C_DB_CACHE_FLUSH_AND_INV                         42
#define     V_028B9C_FLUSH_AND_INV_DB_DATA_TS                       43
#define     V_028B9C_FLUSH_AND_INV_DB_META                          44
#define     V_028B9C_FLUSH_AND_INV_CB_DATA_TS                       45
#define     V_028B9C_FLUSH_AND_INV_CB_META                          46
#define     V_028B9C_CS_DONE                                        47
#define     V_028B9C_PS_DONE                                        48
#define     V_028B9C_FLUSH_AND_INV_CB_PIXEL_DATA                    49
#define     V_028B9C_SX_CB_RAT_ACK_REQUEST                          50 /* >= gfx10 */
#define     V_028B9C_THREAD_TRACE_START                             51
#define     V_028B9C_THREAD_TRACE_STOP                              52
#define     V_028B9C_THREAD_TRACE_MARKER                            53
#define     V_028B9C_THREAD_TRACE_DRAW                              54 /* >= gfx10 */
#define     V_028B9C_THREAD_TRACE_FLUSH                             54 /* gfx9 */
#define     V_028B9C_THREAD_TRACE_FINISH                            55
#define     V_028B9C_PIXEL_PIPE_STAT_CONTROL                        56
#define     V_028B9C_PIXEL_PIPE_STAT_DUMP                           57
#define     V_028B9C_PIXEL_PIPE_STAT_RESET                          58
#define     V_028B9C_CONTEXT_SUSPEND                                59 /* >= gfx10 */
#define     V_028B9C_OFFCHIP_HS_DEALLOC                             60 /* >= gfx10 */
#define     V_028B9C_ENABLE_NGG_PIPELINE                            61
#define     V_028B9C_ENABLE_LEGACY_PIPELINE                         62
#define     V_028B9C_DRAW_DONE                                      63 /* >= gfx10 */
#define   S_028B9C_ADDRESS_HI(x)                                      (((unsigned)(x) & 0x1FFFF) << 10)
#define   G_028B9C_ADDRESS_HI(x)                                      (((x) >> 10) & 0x1FFFF)
#define   C_028B9C_ADDRESS_HI                                         0xF80003FF
#define   S_028B9C_EXTENDED_EVENT(x)                                  (((unsigned)(x) & 0x1) << 27)
#define   G_028B9C_EXTENDED_EVENT(x)                                  (((x) >> 27) & 0x1)
#define   C_028B9C_EXTENDED_EVENT                                     0xF7FFFFFF
#define R_028BD4_PA_SC_CENTROID_PRIORITY_0                              0x028BD4
#define   S_028BD4_DISTANCE_0(x)                                      (((unsigned)(x) & 0xF) << 0)
#define   G_028BD4_DISTANCE_0(x)                                      (((x) >> 0) & 0xF)
#define   C_028BD4_DISTANCE_0                                         0xFFFFFFF0
#define   S_028BD4_DISTANCE_1(x)                                      (((unsigned)(x) & 0xF) << 4)
#define   G_028BD4_DISTANCE_1(x)                                      (((x) >> 4) & 0xF)
#define   C_028BD4_DISTANCE_1                                         0xFFFFFF0F
#define   S_028BD4_DISTANCE_2(x)                                      (((unsigned)(x) & 0xF) << 8)
#define   G_028BD4_DISTANCE_2(x)                                      (((x) >> 8) & 0xF)
#define   C_028BD4_DISTANCE_2                                         0xFFFFF0FF
#define   S_028BD4_DISTANCE_3(x)                                      (((unsigned)(x) & 0xF) << 12)
#define   G_028BD4_DISTANCE_3(x)                                      (((x) >> 12) & 0xF)
#define   C_028BD4_DISTANCE_3                                         0xFFFF0FFF
#define   S_028BD4_DISTANCE_4(x)                                      (((unsigned)(x) & 0xF) << 16)
#define   G_028BD4_DISTANCE_4(x)                                      (((x) >> 16) & 0xF)
#define   C_028BD4_DISTANCE_4                                         0xFFF0FFFF
#define   S_028BD4_DISTANCE_5(x)                                      (((unsigned)(x) & 0xF) << 20)
#define   G_028BD4_DISTANCE_5(x)                                      (((x) >> 20) & 0xF)
#define   C_028BD4_DISTANCE_5                                         0xFF0FFFFF
#define   S_028BD4_DISTANCE_6(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_028BD4_DISTANCE_6(x)                                      (((x) >> 24) & 0xF)
#define   C_028BD4_DISTANCE_6                                         0xF0FFFFFF
#define   S_028BD4_DISTANCE_7(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_028BD4_DISTANCE_7(x)                                      (((x) >> 28) & 0xF)
#define   C_028BD4_DISTANCE_7                                         0x0FFFFFFF
#define R_028BD8_PA_SC_CENTROID_PRIORITY_1                              0x028BD8
#define   S_028BD8_DISTANCE_8(x)                                      (((unsigned)(x) & 0xF) << 0)
#define   G_028BD8_DISTANCE_8(x)                                      (((x) >> 0) & 0xF)
#define   C_028BD8_DISTANCE_8                                         0xFFFFFFF0
#define   S_028BD8_DISTANCE_9(x)                                      (((unsigned)(x) & 0xF) << 4)
#define   G_028BD8_DISTANCE_9(x)                                      (((x) >> 4) & 0xF)
#define   C_028BD8_DISTANCE_9                                         0xFFFFFF0F
#define   S_028BD8_DISTANCE_10(x)                                     (((unsigned)(x) & 0xF) << 8)
#define   G_028BD8_DISTANCE_10(x)                                     (((x) >> 8) & 0xF)
#define   C_028BD8_DISTANCE_10                                        0xFFFFF0FF
#define   S_028BD8_DISTANCE_11(x)                                     (((unsigned)(x) & 0xF) << 12)
#define   G_028BD8_DISTANCE_11(x)                                     (((x) >> 12) & 0xF)
#define   C_028BD8_DISTANCE_11                                        0xFFFF0FFF
#define   S_028BD8_DISTANCE_12(x)                                     (((unsigned)(x) & 0xF) << 16)
#define   G_028BD8_DISTANCE_12(x)                                     (((x) >> 16) & 0xF)
#define   C_028BD8_DISTANCE_12                                        0xFFF0FFFF
#define   S_028BD8_DISTANCE_13(x)                                     (((unsigned)(x) & 0xF) << 20)
#define   G_028BD8_DISTANCE_13(x)                                     (((x) >> 20) & 0xF)
#define   C_028BD8_DISTANCE_13                                        0xFF0FFFFF
#define   S_028BD8_DISTANCE_14(x)                                     (((unsigned)(x) & 0xF) << 24)
#define   G_028BD8_DISTANCE_14(x)                                     (((x) >> 24) & 0xF)
#define   C_028BD8_DISTANCE_14                                        0xF0FFFFFF
#define   S_028BD8_DISTANCE_15(x)                                     (((unsigned)(x) & 0xF) << 28)
#define   G_028BD8_DISTANCE_15(x)                                     (((x) >> 28) & 0xF)
#define   C_028BD8_DISTANCE_15                                        0x0FFFFFFF
#define R_028BDC_PA_SC_LINE_CNTL                                        0x028BDC
#define   S_028BDC_EXPAND_LINE_WIDTH(x)                               (((unsigned)(x) & 0x1) << 9)
#define   G_028BDC_EXPAND_LINE_WIDTH(x)                               (((x) >> 9) & 0x1)
#define   C_028BDC_EXPAND_LINE_WIDTH                                  0xFFFFFDFF
#define   S_028BDC_LAST_PIXEL(x)                                      (((unsigned)(x) & 0x1) << 10)
#define   G_028BDC_LAST_PIXEL(x)                                      (((x) >> 10) & 0x1)
#define   C_028BDC_LAST_PIXEL                                         0xFFFFFBFF
#define   S_028BDC_PERPENDICULAR_ENDCAP_ENA(x)                        (((unsigned)(x) & 0x1) << 11)
#define   G_028BDC_PERPENDICULAR_ENDCAP_ENA(x)                        (((x) >> 11) & 0x1)
#define   C_028BDC_PERPENDICULAR_ENDCAP_ENA                           0xFFFFF7FF
#define   S_028BDC_DX10_DIAMOND_TEST_ENA(x)                           (((unsigned)(x) & 0x1) << 12)
#define   G_028BDC_DX10_DIAMOND_TEST_ENA(x)                           (((x) >> 12) & 0x1)
#define   C_028BDC_DX10_DIAMOND_TEST_ENA                              0xFFFFEFFF
#define   S_028BDC_EXTRA_DX_DY_PRECISION(x)                           (((unsigned)(x) & 0x1) << 13) /* >= gfx10 */
#define   G_028BDC_EXTRA_DX_DY_PRECISION(x)                           (((x) >> 13) & 0x1)
#define   C_028BDC_EXTRA_DX_DY_PRECISION                              0xFFFFDFFF
#define R_028BE0_PA_SC_AA_CONFIG                                        0x028BE0
#define   S_028BE0_MSAA_NUM_SAMPLES(x)                                (((unsigned)(x) & 0x7) << 0)
#define   G_028BE0_MSAA_NUM_SAMPLES(x)                                (((x) >> 0) & 0x7)
#define   C_028BE0_MSAA_NUM_SAMPLES                                   0xFFFFFFF8
#define   S_028BE0_AA_MASK_CENTROID_DTMN(x)                           (((unsigned)(x) & 0x1) << 4)
#define   G_028BE0_AA_MASK_CENTROID_DTMN(x)                           (((x) >> 4) & 0x1)
#define   C_028BE0_AA_MASK_CENTROID_DTMN                              0xFFFFFFEF
#define   S_028BE0_MAX_SAMPLE_DIST(x)                                 (((unsigned)(x) & 0xF) << 13)
#define   G_028BE0_MAX_SAMPLE_DIST(x)                                 (((x) >> 13) & 0xF)
#define   C_028BE0_MAX_SAMPLE_DIST                                    0xFFFE1FFF
#define   S_028BE0_MSAA_EXPOSED_SAMPLES(x)                            (((unsigned)(x) & 0x7) << 20)
#define   G_028BE0_MSAA_EXPOSED_SAMPLES(x)                            (((x) >> 20) & 0x7)
#define   C_028BE0_MSAA_EXPOSED_SAMPLES                               0xFF8FFFFF
#define   S_028BE0_DETAIL_TO_EXPOSED_MODE(x)                          (((unsigned)(x) & 0x3) << 24)
#define   G_028BE0_DETAIL_TO_EXPOSED_MODE(x)                          (((x) >> 24) & 0x3)
#define   C_028BE0_DETAIL_TO_EXPOSED_MODE                             0xFCFFFFFF
#define   S_028BE0_COVERAGE_TO_SHADER_SELECT(x)                       (((unsigned)(x) & 0x3) << 26) /* >= gfx9 */
#define   G_028BE0_COVERAGE_TO_SHADER_SELECT(x)                       (((x) >> 26) & 0x3)
#define   C_028BE0_COVERAGE_TO_SHADER_SELECT                          0xF3FFFFFF
#define     V_028BE0_INPUT_COVERAGE                                 0
#define     V_028BE0_INPUT_INNER_COVERAGE                           1
#define     V_028BE0_INPUT_DEPTH_COVERAGE                           2
#define     V_028BE0_RAW                                            3
#define R_028BE4_PA_SU_VTX_CNTL                                         0x028BE4
#define   S_028BE4_PIX_CENTER(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_028BE4_PIX_CENTER(x)                                      (((x) >> 0) & 0x1)
#define   C_028BE4_PIX_CENTER                                         0xFFFFFFFE
#define   S_028BE4_ROUND_MODE(x)                                      (((unsigned)(x) & 0x3) << 1)
#define   G_028BE4_ROUND_MODE(x)                                      (((x) >> 1) & 0x3)
#define   C_028BE4_ROUND_MODE                                         0xFFFFFFF9
#define     V_028BE4_X_TRUNCATE                                     0
#define     V_028BE4_X_ROUND                                        1
#define     V_028BE4_X_ROUND_TO_EVEN                                2
#define     V_028BE4_X_ROUND_TO_ODD                                 3
#define   S_028BE4_QUANT_MODE(x)                                      (((unsigned)(x) & 0x7) << 3)
#define   G_028BE4_QUANT_MODE(x)                                      (((x) >> 3) & 0x7)
#define   C_028BE4_QUANT_MODE                                         0xFFFFFFC7
#define     V_028BE4_X_16_8_FIXED_POINT_1_16TH                      0
#define     V_028BE4_X_16_8_FIXED_POINT_1_8TH                       1
#define     V_028BE4_X_16_8_FIXED_POINT_1_4TH                       2
#define     V_028BE4_X_16_8_FIXED_POINT_1_2                         3
#define     V_028BE4_X_16_8_FIXED_POINT_1                           4
#define     V_028BE4_X_16_8_FIXED_POINT_1_256TH                     5
#define     V_028BE4_X_14_10_FIXED_POINT_1_1024TH                   6
#define     V_028BE4_X_12_12_FIXED_POINT_1_4096TH                   7
#define R_028BE8_PA_CL_GB_VERT_CLIP_ADJ                                 0x028BE8
#define   S_028BE8_DATA_REGISTER(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028BE8_DATA_REGISTER(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_028BE8_DATA_REGISTER                                      0x00000000
#define R_028BEC_PA_CL_GB_VERT_DISC_ADJ                                 0x028BEC
#define   S_028BEC_DATA_REGISTER(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028BEC_DATA_REGISTER(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_028BEC_DATA_REGISTER                                      0x00000000
#define R_028BF0_PA_CL_GB_HORZ_CLIP_ADJ                                 0x028BF0
#define   S_028BF0_DATA_REGISTER(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028BF0_DATA_REGISTER(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_028BF0_DATA_REGISTER                                      0x00000000
#define R_028BF4_PA_CL_GB_HORZ_DISC_ADJ                                 0x028BF4
#define   S_028BF4_DATA_REGISTER(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028BF4_DATA_REGISTER(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_028BF4_DATA_REGISTER                                      0x00000000
#define R_028BF8_PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y0_0                      0x028BF8
#define   S_028BF8_S0_X(x)                                            (((unsigned)(x) & 0xF) << 0)
#define   G_028BF8_S0_X(x)                                            (((x) >> 0) & 0xF)
#define   C_028BF8_S0_X                                               0xFFFFFFF0
#define   S_028BF8_S0_Y(x)                                            (((unsigned)(x) & 0xF) << 4)
#define   G_028BF8_S0_Y(x)                                            (((x) >> 4) & 0xF)
#define   C_028BF8_S0_Y                                               0xFFFFFF0F
#define   S_028BF8_S1_X(x)                                            (((unsigned)(x) & 0xF) << 8)
#define   G_028BF8_S1_X(x)                                            (((x) >> 8) & 0xF)
#define   C_028BF8_S1_X                                               0xFFFFF0FF
#define   S_028BF8_S1_Y(x)                                            (((unsigned)(x) & 0xF) << 12)
#define   G_028BF8_S1_Y(x)                                            (((x) >> 12) & 0xF)
#define   C_028BF8_S1_Y                                               0xFFFF0FFF
#define   S_028BF8_S2_X(x)                                            (((unsigned)(x) & 0xF) << 16)
#define   G_028BF8_S2_X(x)                                            (((x) >> 16) & 0xF)
#define   C_028BF8_S2_X                                               0xFFF0FFFF
#define   S_028BF8_S2_Y(x)                                            (((unsigned)(x) & 0xF) << 20)
#define   G_028BF8_S2_Y(x)                                            (((x) >> 20) & 0xF)
#define   C_028BF8_S2_Y                                               0xFF0FFFFF
#define   S_028BF8_S3_X(x)                                            (((unsigned)(x) & 0xF) << 24)
#define   G_028BF8_S3_X(x)                                            (((x) >> 24) & 0xF)
#define   C_028BF8_S3_X                                               0xF0FFFFFF
#define   S_028BF8_S3_Y(x)                                            (((unsigned)(x) & 0xF) << 28)
#define   G_028BF8_S3_Y(x)                                            (((x) >> 28) & 0xF)
#define   C_028BF8_S3_Y                                               0x0FFFFFFF
#define R_028BFC_PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y0_1                      0x028BFC
#define   S_028BFC_S4_X(x)                                            (((unsigned)(x) & 0xF) << 0)
#define   G_028BFC_S4_X(x)                                            (((x) >> 0) & 0xF)
#define   C_028BFC_S4_X                                               0xFFFFFFF0
#define   S_028BFC_S4_Y(x)                                            (((unsigned)(x) & 0xF) << 4)
#define   G_028BFC_S4_Y(x)                                            (((x) >> 4) & 0xF)
#define   C_028BFC_S4_Y                                               0xFFFFFF0F
#define   S_028BFC_S5_X(x)                                            (((unsigned)(x) & 0xF) << 8)
#define   G_028BFC_S5_X(x)                                            (((x) >> 8) & 0xF)
#define   C_028BFC_S5_X                                               0xFFFFF0FF
#define   S_028BFC_S5_Y(x)                                            (((unsigned)(x) & 0xF) << 12)
#define   G_028BFC_S5_Y(x)                                            (((x) >> 12) & 0xF)
#define   C_028BFC_S5_Y                                               0xFFFF0FFF
#define   S_028BFC_S6_X(x)                                            (((unsigned)(x) & 0xF) << 16)
#define   G_028BFC_S6_X(x)                                            (((x) >> 16) & 0xF)
#define   C_028BFC_S6_X                                               0xFFF0FFFF
#define   S_028BFC_S6_Y(x)                                            (((unsigned)(x) & 0xF) << 20)
#define   G_028BFC_S6_Y(x)                                            (((x) >> 20) & 0xF)
#define   C_028BFC_S6_Y                                               0xFF0FFFFF
#define   S_028BFC_S7_X(x)                                            (((unsigned)(x) & 0xF) << 24)
#define   G_028BFC_S7_X(x)                                            (((x) >> 24) & 0xF)
#define   C_028BFC_S7_X                                               0xF0FFFFFF
#define   S_028BFC_S7_Y(x)                                            (((unsigned)(x) & 0xF) << 28)
#define   G_028BFC_S7_Y(x)                                            (((x) >> 28) & 0xF)
#define   C_028BFC_S7_Y                                               0x0FFFFFFF
#define R_028C00_PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y0_2                      0x028C00
#define   S_028C00_S8_X(x)                                            (((unsigned)(x) & 0xF) << 0)
#define   G_028C00_S8_X(x)                                            (((x) >> 0) & 0xF)
#define   C_028C00_S8_X                                               0xFFFFFFF0
#define   S_028C00_S8_Y(x)                                            (((unsigned)(x) & 0xF) << 4)
#define   G_028C00_S8_Y(x)                                            (((x) >> 4) & 0xF)
#define   C_028C00_S8_Y                                               0xFFFFFF0F
#define   S_028C00_S9_X(x)                                            (((unsigned)(x) & 0xF) << 8)
#define   G_028C00_S9_X(x)                                            (((x) >> 8) & 0xF)
#define   C_028C00_S9_X                                               0xFFFFF0FF
#define   S_028C00_S9_Y(x)                                            (((unsigned)(x) & 0xF) << 12)
#define   G_028C00_S9_Y(x)                                            (((x) >> 12) & 0xF)
#define   C_028C00_S9_Y                                               0xFFFF0FFF
#define   S_028C00_S10_X(x)                                           (((unsigned)(x) & 0xF) << 16)
#define   G_028C00_S10_X(x)                                           (((x) >> 16) & 0xF)
#define   C_028C00_S10_X                                              0xFFF0FFFF
#define   S_028C00_S10_Y(x)                                           (((unsigned)(x) & 0xF) << 20)
#define   G_028C00_S10_Y(x)                                           (((x) >> 20) & 0xF)
#define   C_028C00_S10_Y                                              0xFF0FFFFF
#define   S_028C00_S11_X(x)                                           (((unsigned)(x) & 0xF) << 24)
#define   G_028C00_S11_X(x)                                           (((x) >> 24) & 0xF)
#define   C_028C00_S11_X                                              0xF0FFFFFF
#define   S_028C00_S11_Y(x)                                           (((unsigned)(x) & 0xF) << 28)
#define   G_028C00_S11_Y(x)                                           (((x) >> 28) & 0xF)
#define   C_028C00_S11_Y                                              0x0FFFFFFF
#define R_028C04_PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y0_3                      0x028C04
#define   S_028C04_S12_X(x)                                           (((unsigned)(x) & 0xF) << 0)
#define   G_028C04_S12_X(x)                                           (((x) >> 0) & 0xF)
#define   C_028C04_S12_X                                              0xFFFFFFF0
#define   S_028C04_S12_Y(x)                                           (((unsigned)(x) & 0xF) << 4)
#define   G_028C04_S12_Y(x)                                           (((x) >> 4) & 0xF)
#define   C_028C04_S12_Y                                              0xFFFFFF0F
#define   S_028C04_S13_X(x)                                           (((unsigned)(x) & 0xF) << 8)
#define   G_028C04_S13_X(x)                                           (((x) >> 8) & 0xF)
#define   C_028C04_S13_X                                              0xFFFFF0FF
#define   S_028C04_S13_Y(x)                                           (((unsigned)(x) & 0xF) << 12)
#define   G_028C04_S13_Y(x)                                           (((x) >> 12) & 0xF)
#define   C_028C04_S13_Y                                              0xFFFF0FFF
#define   S_028C04_S14_X(x)                                           (((unsigned)(x) & 0xF) << 16)
#define   G_028C04_S14_X(x)                                           (((x) >> 16) & 0xF)
#define   C_028C04_S14_X                                              0xFFF0FFFF
#define   S_028C04_S14_Y(x)                                           (((unsigned)(x) & 0xF) << 20)
#define   G_028C04_S14_Y(x)                                           (((x) >> 20) & 0xF)
#define   C_028C04_S14_Y                                              0xFF0FFFFF
#define   S_028C04_S15_X(x)                                           (((unsigned)(x) & 0xF) << 24)
#define   G_028C04_S15_X(x)                                           (((x) >> 24) & 0xF)
#define   C_028C04_S15_X                                              0xF0FFFFFF
#define   S_028C04_S15_Y(x)                                           (((unsigned)(x) & 0xF) << 28)
#define   G_028C04_S15_Y(x)                                           (((x) >> 28) & 0xF)
#define   C_028C04_S15_Y                                              0x0FFFFFFF
#define R_028C08_PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y0_0                      0x028C08
#define R_028C0C_PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y0_1                      0x028C0C
#define R_028C10_PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y0_2                      0x028C10
#define R_028C14_PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y0_3                      0x028C14
#define R_028C18_PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y1_0                      0x028C18
#define R_028C1C_PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y1_1                      0x028C1C
#define R_028C20_PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y1_2                      0x028C20
#define R_028C24_PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y1_3                      0x028C24
#define R_028C28_PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y1_0                      0x028C28
#define R_028C2C_PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y1_1                      0x028C2C
#define R_028C30_PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y1_2                      0x028C30
#define R_028C34_PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y1_3                      0x028C34
#define R_028C38_PA_SC_AA_MASK_X0Y0_X1Y0                                0x028C38
#define   S_028C38_AA_MASK_X0Y0(x)                                    (((unsigned)(x) & 0xFFFF) << 0)
#define   G_028C38_AA_MASK_X0Y0(x)                                    (((x) >> 0) & 0xFFFF)
#define   C_028C38_AA_MASK_X0Y0                                       0xFFFF0000
#define   S_028C38_AA_MASK_X1Y0(x)                                    (((unsigned)(x) & 0xFFFF) << 16)
#define   G_028C38_AA_MASK_X1Y0(x)                                    (((x) >> 16) & 0xFFFF)
#define   C_028C38_AA_MASK_X1Y0                                       0x0000FFFF
#define R_028C3C_PA_SC_AA_MASK_X0Y1_X1Y1                                0x028C3C
#define   S_028C3C_AA_MASK_X0Y1(x)                                    (((unsigned)(x) & 0xFFFF) << 0)
#define   G_028C3C_AA_MASK_X0Y1(x)                                    (((x) >> 0) & 0xFFFF)
#define   C_028C3C_AA_MASK_X0Y1                                       0xFFFF0000
#define   S_028C3C_AA_MASK_X1Y1(x)                                    (((unsigned)(x) & 0xFFFF) << 16)
#define   G_028C3C_AA_MASK_X1Y1(x)                                    (((x) >> 16) & 0xFFFF)
#define   C_028C3C_AA_MASK_X1Y1                                       0x0000FFFF
#define R_028C40_PA_SC_SHADER_CONTROL                                   0x028C40 /* >= stoney */
#define   S_028C40_REALIGN_DQUADS_AFTER_N_WAVES(x)                    (((unsigned)(x) & 0x3) << 0)
#define   G_028C40_REALIGN_DQUADS_AFTER_N_WAVES(x)                    (((x) >> 0) & 0x3)
#define   C_028C40_REALIGN_DQUADS_AFTER_N_WAVES                       0xFFFFFFFC
#define   S_028C40_LOAD_COLLISION_WAVEID(x)                           (((unsigned)(x) & 0x1) << 2) /* >= gfx9 */
#define   G_028C40_LOAD_COLLISION_WAVEID(x)                           (((x) >> 2) & 0x1)
#define   C_028C40_LOAD_COLLISION_WAVEID                              0xFFFFFFFB
#define   S_028C40_LOAD_INTRAWAVE_COLLISION(x)                        (((unsigned)(x) & 0x1) << 3) /* >= gfx9 */
#define   G_028C40_LOAD_INTRAWAVE_COLLISION(x)                        (((x) >> 3) & 0x1)
#define   C_028C40_LOAD_INTRAWAVE_COLLISION                           0xFFFFFFF7
#define   S_028C40_WAVE_BREAK_REGION_SIZE(x)                          (((unsigned)(x) & 0x3) << 5) /* >= gfx10 */
#define   G_028C40_WAVE_BREAK_REGION_SIZE(x)                          (((x) >> 5) & 0x3)
#define   C_028C40_WAVE_BREAK_REGION_SIZE                             0xFFFFFF9F
#define R_028C44_PA_SC_BINNER_CNTL_0                                    0x028C44 /* >= gfx9 */
#define   S_028C44_BINNING_MODE(x)                                    (((unsigned)(x) & 0x3) << 0)
#define   G_028C44_BINNING_MODE(x)                                    (((x) >> 0) & 0x3)
#define   C_028C44_BINNING_MODE                                       0xFFFFFFFC
#define     V_028C44_BINNING_ALLOWED                                0
#define     V_028C44_FORCE_BINNING_ON                               1
#define     V_028C44_DISABLE_BINNING_USE_NEW_SC                     2
#define     V_028C44_DISABLE_BINNING_USE_LEGACY_SC                  3
#define   S_028C44_BIN_SIZE_X(x)                                      (((unsigned)(x) & 0x1) << 2)
#define   G_028C44_BIN_SIZE_X(x)                                      (((x) >> 2) & 0x1)
#define   C_028C44_BIN_SIZE_X                                         0xFFFFFFFB
#define   S_028C44_BIN_SIZE_Y(x)                                      (((unsigned)(x) & 0x1) << 3)
#define   G_028C44_BIN_SIZE_Y(x)                                      (((x) >> 3) & 0x1)
#define   C_028C44_BIN_SIZE_Y                                         0xFFFFFFF7
#define   S_028C44_BIN_SIZE_X_EXTEND(x)                               (((unsigned)(x) & 0x7) << 4)
#define   G_028C44_BIN_SIZE_X_EXTEND(x)                               (((x) >> 4) & 0x7)
#define   C_028C44_BIN_SIZE_X_EXTEND                                  0xFFFFFF8F
#define     V_028C44_BIN_SIZE_32_PIXELS                             0 /* >= gfx10 */
#define     V_028C44_BIN_SIZE_64_PIXELS                             1 /* >= gfx10 */
#define     V_028C44_BIN_SIZE_128_PIXELS                            2 /* >= gfx10 */
#define     V_028C44_BIN_SIZE_256_PIXELS                            3 /* >= gfx10 */
#define     V_028C44_BIN_SIZE_512_PIXELS                            4 /* >= gfx10 */
#define   S_028C44_BIN_SIZE_Y_EXTEND(x)                               (((unsigned)(x) & 0x7) << 7)
#define   G_028C44_BIN_SIZE_Y_EXTEND(x)                               (((x) >> 7) & 0x7)
#define   C_028C44_BIN_SIZE_Y_EXTEND                                  0xFFFFFC7F
#define   S_028C44_CONTEXT_STATES_PER_BIN(x)                          (((unsigned)(x) & 0x7) << 10)
#define   G_028C44_CONTEXT_STATES_PER_BIN(x)                          (((x) >> 10) & 0x7)
#define   C_028C44_CONTEXT_STATES_PER_BIN                             0xFFFFE3FF
#define   S_028C44_PERSISTENT_STATES_PER_BIN(x)                       (((unsigned)(x) & 0x1F) << 13)
#define   G_028C44_PERSISTENT_STATES_PER_BIN(x)                       (((x) >> 13) & 0x1F)
#define   C_028C44_PERSISTENT_STATES_PER_BIN                          0xFFFC1FFF
#define   S_028C44_DISABLE_START_OF_PRIM(x)                           (((unsigned)(x) & 0x1) << 18)
#define   G_028C44_DISABLE_START_OF_PRIM(x)                           (((x) >> 18) & 0x1)
#define   C_028C44_DISABLE_START_OF_PRIM                              0xFFFBFFFF
#define   S_028C44_FPOVS_PER_BATCH(x)                                 (((unsigned)(x) & 0xFF) << 19)
#define   G_028C44_FPOVS_PER_BATCH(x)                                 (((x) >> 19) & 0xFF)
#define   C_028C44_FPOVS_PER_BATCH                                    0xF807FFFF
#define   S_028C44_OPTIMAL_BIN_SELECTION(x)                           (((unsigned)(x) & 0x1) << 27)
#define   G_028C44_OPTIMAL_BIN_SELECTION(x)                           (((x) >> 27) & 0x1)
#define   C_028C44_OPTIMAL_BIN_SELECTION                              0xF7FFFFFF
#define   S_028C44_FLUSH_ON_BINNING_TRANSITION(x)                     (((unsigned)(x) & 0x1) << 28) /* >= gfx10 */
#define   G_028C44_FLUSH_ON_BINNING_TRANSITION(x)                     (((x) >> 28) & 0x1)
#define   C_028C44_FLUSH_ON_BINNING_TRANSITION                        0xEFFFFFFF
#define   S_028C44_BIN_MAPPING_MODE(x)                                (((unsigned)(x) & 0x3) << 29) /* >= gfx10 */
#define   G_028C44_BIN_MAPPING_MODE(x)                                (((x) >> 29) & 0x3)
#define   C_028C44_BIN_MAPPING_MODE                                   0x9FFFFFFF
#define     V_028C44_BIN_MAP_MODE_NONE                              0
#define     V_028C44_BIN_MAP_MODE_RTA_INDEX                         1
#define     V_028C44_BIN_MAP_MODE_POPS                              2
#define R_028C48_PA_SC_BINNER_CNTL_1                                    0x028C48 /* >= gfx9 */
#define   S_028C48_MAX_ALLOC_COUNT(x)                                 (((unsigned)(x) & 0xFFFF) << 0)
#define   G_028C48_MAX_ALLOC_COUNT(x)                                 (((x) >> 0) & 0xFFFF)
#define   C_028C48_MAX_ALLOC_COUNT                                    0xFFFF0000
#define   S_028C48_MAX_PRIM_PER_BATCH(x)                              (((unsigned)(x) & 0xFFFF) << 16)
#define   G_028C48_MAX_PRIM_PER_BATCH(x)                              (((x) >> 16) & 0xFFFF)
#define   C_028C48_MAX_PRIM_PER_BATCH                                 0x0000FFFF
#define R_028C4C_PA_SC_CONSERVATIVE_RASTERIZATION_CNTL                  0x028C4C /* >= gfx9 */
#define   S_028C4C_OVER_RAST_ENABLE(x)                                (((unsigned)(x) & 0x1) << 0)
#define   G_028C4C_OVER_RAST_ENABLE(x)                                (((x) >> 0) & 0x1)
#define   C_028C4C_OVER_RAST_ENABLE                                   0xFFFFFFFE
#define   S_028C4C_OVER_RAST_SAMPLE_SELECT(x)                         (((unsigned)(x) & 0xF) << 1)
#define   G_028C4C_OVER_RAST_SAMPLE_SELECT(x)                         (((x) >> 1) & 0xF)
#define   C_028C4C_OVER_RAST_SAMPLE_SELECT                            0xFFFFFFE1
#define   S_028C4C_UNDER_RAST_ENABLE(x)                               (((unsigned)(x) & 0x1) << 5)
#define   G_028C4C_UNDER_RAST_ENABLE(x)                               (((x) >> 5) & 0x1)
#define   C_028C4C_UNDER_RAST_ENABLE                                  0xFFFFFFDF
#define   S_028C4C_UNDER_RAST_SAMPLE_SELECT(x)                        (((unsigned)(x) & 0xF) << 6)
#define   G_028C4C_UNDER_RAST_SAMPLE_SELECT(x)                        (((x) >> 6) & 0xF)
#define   C_028C4C_UNDER_RAST_SAMPLE_SELECT                           0xFFFFFC3F
#define   S_028C4C_PBB_UNCERTAINTY_REGION_ENABLE(x)                   (((unsigned)(x) & 0x1) << 10)
#define   G_028C4C_PBB_UNCERTAINTY_REGION_ENABLE(x)                   (((x) >> 10) & 0x1)
#define   C_028C4C_PBB_UNCERTAINTY_REGION_ENABLE                      0xFFFFFBFF
#define   S_028C4C_ZMM_TRI_EXTENT(x)                                  (((unsigned)(x) & 0x1) << 11)
#define   G_028C4C_ZMM_TRI_EXTENT(x)                                  (((x) >> 11) & 0x1)
#define   C_028C4C_ZMM_TRI_EXTENT                                     0xFFFFF7FF
#define   S_028C4C_ZMM_TRI_OFFSET(x)                                  (((unsigned)(x) & 0x1) << 12)
#define   G_028C4C_ZMM_TRI_OFFSET(x)                                  (((x) >> 12) & 0x1)
#define   C_028C4C_ZMM_TRI_OFFSET                                     0xFFFFEFFF
#define   S_028C4C_OVERRIDE_OVER_RAST_INNER_TO_NORMAL(x)              (((unsigned)(x) & 0x1) << 13)
#define   G_028C4C_OVERRIDE_OVER_RAST_INNER_TO_NORMAL(x)              (((x) >> 13) & 0x1)
#define   C_028C4C_OVERRIDE_OVER_RAST_INNER_TO_NORMAL                 0xFFFFDFFF
#define   S_028C4C_OVERRIDE_UNDER_RAST_INNER_TO_NORMAL(x)             (((unsigned)(x) & 0x1) << 14)
#define   G_028C4C_OVERRIDE_UNDER_RAST_INNER_TO_NORMAL(x)             (((x) >> 14) & 0x1)
#define   C_028C4C_OVERRIDE_UNDER_RAST_INNER_TO_NORMAL                0xFFFFBFFF
#define   S_028C4C_DEGENERATE_OVERRIDE_INNER_TO_NORMAL_DISABLE(x)     (((unsigned)(x) & 0x1) << 15)
#define   G_028C4C_DEGENERATE_OVERRIDE_INNER_TO_NORMAL_DISABLE(x)     (((x) >> 15) & 0x1)
#define   C_028C4C_DEGENERATE_OVERRIDE_INNER_TO_NORMAL_DISABLE        0xFFFF7FFF
#define   S_028C4C_UNCERTAINTY_REGION_MODE(x)                         (((unsigned)(x) & 0x3) << 16)
#define   G_028C4C_UNCERTAINTY_REGION_MODE(x)                         (((x) >> 16) & 0x3)
#define   C_028C4C_UNCERTAINTY_REGION_MODE                            0xFFFCFFFF
#define     V_028C4C_SC_HALF_LSB                                    0 /* >= gfx10 */
#define     V_028C4C_SC_LSB_ONE_SIDED                               1 /* >= gfx10 */
#define     V_028C4C_SC_LSB_TWO_SIDED                               2 /* >= gfx10 */
#define   S_028C4C_OUTER_UNCERTAINTY_EDGERULE_OVERRIDE(x)             (((unsigned)(x) & 0x1) << 18)
#define   G_028C4C_OUTER_UNCERTAINTY_EDGERULE_OVERRIDE(x)             (((x) >> 18) & 0x1)
#define   C_028C4C_OUTER_UNCERTAINTY_EDGERULE_OVERRIDE                0xFFFBFFFF
#define   S_028C4C_INNER_UNCERTAINTY_EDGERULE_OVERRIDE(x)             (((unsigned)(x) & 0x1) << 19)
#define   G_028C4C_INNER_UNCERTAINTY_EDGERULE_OVERRIDE(x)             (((x) >> 19) & 0x1)
#define   C_028C4C_INNER_UNCERTAINTY_EDGERULE_OVERRIDE                0xFFF7FFFF
#define   S_028C4C_NULL_SQUAD_AA_MASK_ENABLE(x)                       (((unsigned)(x) & 0x1) << 20)
#define   G_028C4C_NULL_SQUAD_AA_MASK_ENABLE(x)                       (((x) >> 20) & 0x1)
#define   C_028C4C_NULL_SQUAD_AA_MASK_ENABLE                          0xFFEFFFFF
#define   S_028C4C_COVERAGE_AA_MASK_ENABLE(x)                         (((unsigned)(x) & 0x1) << 21)
#define   G_028C4C_COVERAGE_AA_MASK_ENABLE(x)                         (((x) >> 21) & 0x1)
#define   C_028C4C_COVERAGE_AA_MASK_ENABLE                            0xFFDFFFFF
#define   S_028C4C_PREZ_AA_MASK_ENABLE(x)                             (((unsigned)(x) & 0x1) << 22)
#define   G_028C4C_PREZ_AA_MASK_ENABLE(x)                             (((x) >> 22) & 0x1)
#define   C_028C4C_PREZ_AA_MASK_ENABLE                                0xFFBFFFFF
#define   S_028C4C_POSTZ_AA_MASK_ENABLE(x)                            (((unsigned)(x) & 0x1) << 23)
#define   G_028C4C_POSTZ_AA_MASK_ENABLE(x)                            (((x) >> 23) & 0x1)
#define   C_028C4C_POSTZ_AA_MASK_ENABLE                               0xFF7FFFFF
#define   S_028C4C_CENTROID_SAMPLE_OVERRIDE(x)                        (((unsigned)(x) & 0x1) << 24)
#define   G_028C4C_CENTROID_SAMPLE_OVERRIDE(x)                        (((x) >> 24) & 0x1)
#define   C_028C4C_CENTROID_SAMPLE_OVERRIDE                           0xFEFFFFFF
#define   S_028C4C_UNCERTAINTY_REGION_MULT(x)                         (((unsigned)(x) & 0x3) << 25) /* >= gfx10 */
#define   G_028C4C_UNCERTAINTY_REGION_MULT(x)                         (((x) >> 25) & 0x3)
#define   C_028C4C_UNCERTAINTY_REGION_MULT                            0xF9FFFFFF
#define     V_028C4C_SC_UR_1X                                       0
#define     V_028C4C_SC_UR_2X                                       1
#define     V_028C4C_SC_UR_4X                                       2
#define     V_028C4C_SC_UR_8X                                       3
#define   S_028C4C_UNCERTAINTY_REGION_PBB_MULT(x)                     (((unsigned)(x) & 0x3) << 27) /* >= gfx10 */
#define   G_028C4C_UNCERTAINTY_REGION_PBB_MULT(x)                     (((x) >> 27) & 0x3)
#define   C_028C4C_UNCERTAINTY_REGION_PBB_MULT                        0xE7FFFFFF
#define R_028C50_PA_SC_NGG_MODE_CNTL                                    0x028C50 /* >= gfx9 */
#define   S_028C50_MAX_DEALLOCS_IN_WAVE(x)                            (((unsigned)(x) & 0x7FF) << 0)
#define   G_028C50_MAX_DEALLOCS_IN_WAVE(x)                            (((x) >> 0) & 0x7FF)
#define   C_028C50_MAX_DEALLOCS_IN_WAVE                               0xFFFFF800
#define   S_028C50_MAX_FPOVS_IN_WAVE(x)                               (((unsigned)(x) & 0xFF) << 16) /* >= gfx10 */
#define   G_028C50_MAX_FPOVS_IN_WAVE(x)                               (((x) >> 16) & 0xFF)
#define   C_028C50_MAX_FPOVS_IN_WAVE                                  0xFF00FFFF
#define R_028C58_VGT_VERTEX_REUSE_BLOCK_CNTL                            0x028C58
#define   S_028C58_VTX_REUSE_DEPTH(x)                                 (((unsigned)(x) & 0xFF) << 0)
#define   G_028C58_VTX_REUSE_DEPTH(x)                                 (((x) >> 0) & 0xFF)
#define   C_028C58_VTX_REUSE_DEPTH                                    0xFFFFFF00
#define R_028C5C_VGT_OUT_DEALLOC_CNTL                                   0x028C5C
#define   S_028C5C_DEALLOC_DIST(x)                                    (((unsigned)(x) & 0x7F) << 0)
#define   G_028C5C_DEALLOC_DIST(x)                                    (((x) >> 0) & 0x7F)
#define   C_028C5C_DEALLOC_DIST                                       0xFFFFFF80
#define R_028C60_CB_COLOR0_BASE                                         0x028C60
#define   S_028C60_BASE_256B(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028C60_BASE_256B(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_028C60_BASE_256B                                          0x00000000
#define R_028C64_CB_COLOR0_BASE_EXT                                     0x028C64 /* gfx9 */
#define   S_028C64_BASE_256B(x)                                       (((unsigned)(x) & 0xFF) << 0)
#define   G_028C64_BASE_256B(x)                                       (((x) >> 0) & 0xFF)
#define   C_028C64_BASE_256B                                          0xFFFFFF00
#define R_028C64_CB_COLOR0_PITCH                                        0x028C64 /* <= stoney */
#define   S_028C64_TILE_MAX(x)                                        (((unsigned)(x) & 0x7FF) << 0)
#define   G_028C64_TILE_MAX(x)                                        (((x) >> 0) & 0x7FF)
#define   C_028C64_TILE_MAX                                           0xFFFFF800
#define   S_028C64_FMASK_TILE_MAX(x)                                  (((unsigned)(x) & 0x7FF) << 20) /* gfx7, gfx8, fiji, stoney */
#define   G_028C64_FMASK_TILE_MAX(x)                                  (((x) >> 20) & 0x7FF)
#define   C_028C64_FMASK_TILE_MAX                                     0x800FFFFF
#define R_028C68_CB_COLOR0_ATTRIB2                                      0x028C68 /* gfx9 */
#define   S_028C68_MIP0_HEIGHT(x)                                     (((unsigned)(x) & 0x3FFF) << 0)
#define   G_028C68_MIP0_HEIGHT(x)                                     (((x) >> 0) & 0x3FFF)
#define   C_028C68_MIP0_HEIGHT                                        0xFFFFC000
#define   S_028C68_MIP0_WIDTH(x)                                      (((unsigned)(x) & 0x3FFF) << 14)
#define   G_028C68_MIP0_WIDTH(x)                                      (((x) >> 14) & 0x3FFF)
#define   C_028C68_MIP0_WIDTH                                         0xF0003FFF
#define   S_028C68_MAX_MIP(x)                                         (((unsigned)(x) & 0xF) << 28)
#define   G_028C68_MAX_MIP(x)                                         (((x) >> 28) & 0xF)
#define   C_028C68_MAX_MIP                                            0x0FFFFFFF
#define R_028C68_CB_COLOR0_SLICE                                        0x028C68 /* <= stoney */
#define   S_028C68_TILE_MAX(x)                                        (((unsigned)(x) & 0x3FFFFF) << 0)
#define   G_028C68_TILE_MAX(x)                                        (((x) >> 0) & 0x3FFFFF)
#define   C_028C68_TILE_MAX                                           0xFFC00000
#define R_028C6C_CB_COLOR0_VIEW                                         0x028C6C
#define   S_028C6C_SLICE_START(x)                                     (((unsigned)(x) & 0x1FFF) << 0)
#define   G_028C6C_SLICE_START(x)                                     (((x) >> 0) & 0x1FFF)
#define   C_028C6C_SLICE_START                                        0xFFFFE000
#define   S_028C6C_SLICE_MAX_GFX10(x)                                 (((unsigned)(x) & 0x1FFF) << 13) /* >= gfx10 */
#define   G_028C6C_SLICE_MAX_GFX10(x)                                 (((x) >> 13) & 0x1FFF)
#define   C_028C6C_SLICE_MAX_GFX10                                    0xFC001FFF
#define   S_028C6C_SLICE_MAX_GFX6(x)                                  (((unsigned)(x) & 0x7FF) << 13) /* <= gfx9 */
#define   G_028C6C_SLICE_MAX_GFX6(x)                                  (((x) >> 13) & 0x7FF)
#define   C_028C6C_SLICE_MAX_GFX6                                     0xFF001FFF
#define   S_028C6C_MIP_LEVEL_GFX9(x)                                  (((unsigned)(x) & 0xF) << 24) /* gfx9 */
#define   G_028C6C_MIP_LEVEL_GFX9(x)                                  (((x) >> 24) & 0xF)
#define   C_028C6C_MIP_LEVEL_GFX9                                     0xF0FFFFFF
#define   S_028C6C_MIP_LEVEL_GFX10(x)                                 (((unsigned)(x) & 0xF) << 26) /* >= gfx10 */
#define   G_028C6C_MIP_LEVEL_GFX10(x)                                 (((x) >> 26) & 0xF)
#define   C_028C6C_MIP_LEVEL_GFX10                                    0xC3FFFFFF
#define R_028C70_CB_COLOR0_INFO                                         0x028C70
#define   S_028C70_ENDIAN(x)                                          (((unsigned)(x) & 0x3) << 0)
#define   G_028C70_ENDIAN(x)                                          (((x) >> 0) & 0x3)
#define   C_028C70_ENDIAN                                             0xFFFFFFFC
#define     V_028C70_ENDIAN_NONE                                    0 /* <= gfx9 */
#define     V_028C70_ENDIAN_8IN16                                   1 /* <= gfx9 */
#define     V_028C70_ENDIAN_8IN32                                   2 /* <= gfx9 */
#define     V_028C70_ENDIAN_8IN64                                   3 /* <= gfx9 */
#define   S_028C70_FORMAT(x)                                          (((unsigned)(x) & 0x1F) << 2)
#define   G_028C70_FORMAT(x)                                          (((x) >> 2) & 0x1F)
#define   C_028C70_FORMAT                                             0xFFFFFF83
#define     V_028C70_COLOR_INVALID                                  0 /* <= gfx9 */
#define     V_028C70_COLOR_8                                        1 /* <= gfx9 */
#define     V_028C70_COLOR_16                                       2 /* <= gfx9 */
#define     V_028C70_COLOR_8_8                                      3 /* <= gfx9 */
#define     V_028C70_COLOR_32                                       4 /* <= gfx9 */
#define     V_028C70_COLOR_16_16                                    5 /* <= gfx9 */
#define     V_028C70_COLOR_10_11_11                                 6 /* <= gfx9 */
#define     V_028C70_COLOR_11_11_10                                 7 /* <= gfx9 */
#define     V_028C70_COLOR_10_10_10_2                               8 /* <= gfx9 */
#define     V_028C70_COLOR_2_10_10_10                               9 /* <= gfx9 */
#define     V_028C70_COLOR_8_8_8_8                                  10 /* <= gfx9 */
#define     V_028C70_COLOR_32_32                                    11 /* <= gfx9 */
#define     V_028C70_COLOR_16_16_16_16                              12 /* <= gfx9 */
#define     V_028C70_COLOR_32_32_32_32                              14 /* <= gfx9 */
#define     V_028C70_COLOR_5_6_5                                    16 /* <= gfx9 */
#define     V_028C70_COLOR_1_5_5_5                                  17 /* <= gfx9 */
#define     V_028C70_COLOR_5_5_5_1                                  18 /* <= gfx9 */
#define     V_028C70_COLOR_4_4_4_4                                  19 /* <= gfx9 */
#define     V_028C70_COLOR_8_24                                     20 /* <= gfx9 */
#define     V_028C70_COLOR_24_8                                     21 /* <= gfx9 */
#define     V_028C70_COLOR_X24_8_32_FLOAT                           22 /* <= gfx9 */
#define   S_028C70_LINEAR_GENERAL(x)                                  (((unsigned)(x) & 0x1) << 7) /* <= stoney, >= gfx10 */
#define   G_028C70_LINEAR_GENERAL(x)                                  (((x) >> 7) & 0x1)
#define   C_028C70_LINEAR_GENERAL                                     0xFFFFFF7F
#define   S_028C70_NUMBER_TYPE(x)                                     (((unsigned)(x) & 0x7) << 8)
#define   G_028C70_NUMBER_TYPE(x)                                     (((x) >> 8) & 0x7)
#define   C_028C70_NUMBER_TYPE                                        0xFFFFF8FF
#define     V_028C70_NUMBER_UNORM                                   0 /* <= gfx9 */
#define     V_028C70_NUMBER_SNORM                                   1 /* <= gfx9 */
#define     V_028C70_NUMBER_UINT                                    4 /* <= gfx9 */
#define     V_028C70_NUMBER_SINT                                    5 /* <= gfx9 */
#define     V_028C70_NUMBER_SRGB                                    6 /* <= gfx9 */
#define     V_028C70_NUMBER_FLOAT                                   7 /* <= gfx9 */
#define   S_028C70_COMP_SWAP(x)                                       (((unsigned)(x) & 0x3) << 11)
#define   G_028C70_COMP_SWAP(x)                                       (((x) >> 11) & 0x3)
#define   C_028C70_COMP_SWAP                                          0xFFFFE7FF
#define     V_028C70_SWAP_STD                                       0 /* <= gfx9 */
#define     V_028C70_SWAP_ALT                                       1 /* <= gfx9 */
#define     V_028C70_SWAP_STD_REV                                   2 /* <= gfx9 */
#define     V_028C70_SWAP_ALT_REV                                   3 /* <= gfx9 */
#define   S_028C70_FAST_CLEAR(x)                                      (((unsigned)(x) & 0x1) << 13)
#define   G_028C70_FAST_CLEAR(x)                                      (((x) >> 13) & 0x1)
#define   C_028C70_FAST_CLEAR                                         0xFFFFDFFF
#define   S_028C70_COMPRESSION(x)                                     (((unsigned)(x) & 0x1) << 14)
#define   G_028C70_COMPRESSION(x)                                     (((x) >> 14) & 0x1)
#define   C_028C70_COMPRESSION                                        0xFFFFBFFF
#define   S_028C70_BLEND_CLAMP(x)                                     (((unsigned)(x) & 0x1) << 15)
#define   G_028C70_BLEND_CLAMP(x)                                     (((x) >> 15) & 0x1)
#define   C_028C70_BLEND_CLAMP                                        0xFFFF7FFF
#define   S_028C70_BLEND_BYPASS(x)                                    (((unsigned)(x) & 0x1) << 16)
#define   G_028C70_BLEND_BYPASS(x)                                    (((x) >> 16) & 0x1)
#define   C_028C70_BLEND_BYPASS                                       0xFFFEFFFF
#define   S_028C70_SIMPLE_FLOAT(x)                                    (((unsigned)(x) & 0x1) << 17)
#define   G_028C70_SIMPLE_FLOAT(x)                                    (((x) >> 17) & 0x1)
#define   C_028C70_SIMPLE_FLOAT                                       0xFFFDFFFF
#define   S_028C70_ROUND_MODE(x)                                      (((unsigned)(x) & 0x1) << 18)
#define   G_028C70_ROUND_MODE(x)                                      (((x) >> 18) & 0x1)
#define   C_028C70_ROUND_MODE                                         0xFFFBFFFF
#define   S_028C70_CMASK_IS_LINEAR(x)                                 (((unsigned)(x) & 0x1) << 19) /* <= stoney, >= gfx10 */
#define   G_028C70_CMASK_IS_LINEAR(x)                                 (((x) >> 19) & 0x1)
#define   C_028C70_CMASK_IS_LINEAR                                    0xFFF7FFFF
#define   S_028C70_BLEND_OPT_DONT_RD_DST(x)                           (((unsigned)(x) & 0x7) << 20)
#define   G_028C70_BLEND_OPT_DONT_RD_DST(x)                           (((x) >> 20) & 0x7)
#define   C_028C70_BLEND_OPT_DONT_RD_DST                              0xFF8FFFFF
#define     V_028C70_FORCE_OPT_AUTO                                 0
#define     V_028C70_FORCE_OPT_DISABLE                              1
#define     V_028C70_FORCE_OPT_ENABLE_IF_SRC_A_0                    2
#define     V_028C70_FORCE_OPT_ENABLE_IF_SRC_RGB_0                  3
#define     V_028C70_FORCE_OPT_ENABLE_IF_SRC_ARGB_0                 4
#define     V_028C70_FORCE_OPT_ENABLE_IF_SRC_A_1                    5
#define     V_028C70_FORCE_OPT_ENABLE_IF_SRC_RGB_1                  6
#define     V_028C70_FORCE_OPT_ENABLE_IF_SRC_ARGB_1                 7
#define   S_028C70_BLEND_OPT_DISCARD_PIXEL(x)                         (((unsigned)(x) & 0x7) << 23)
#define   G_028C70_BLEND_OPT_DISCARD_PIXEL(x)                         (((x) >> 23) & 0x7)
#define   C_028C70_BLEND_OPT_DISCARD_PIXEL                            0xFC7FFFFF
#define   S_028C70_FMASK_COMPRESSION_DISABLE(x)                       (((unsigned)(x) & 0x1) << 26) /* >= gfx7 */
#define   G_028C70_FMASK_COMPRESSION_DISABLE(x)                       (((x) >> 26) & 0x1)
#define   C_028C70_FMASK_COMPRESSION_DISABLE                          0xFBFFFFFF
#define   S_028C70_FMASK_COMPRESS_1FRAG_ONLY(x)                       (((unsigned)(x) & 0x1) << 27) /* >= gfx8 */
#define   G_028C70_FMASK_COMPRESS_1FRAG_ONLY(x)                       (((x) >> 27) & 0x1)
#define   C_028C70_FMASK_COMPRESS_1FRAG_ONLY                          0xF7FFFFFF
#define   S_028C70_DCC_ENABLE(x)                                      (((unsigned)(x) & 0x1) << 28) /* >= gfx8 */
#define   G_028C70_DCC_ENABLE(x)                                      (((x) >> 28) & 0x1)
#define   C_028C70_DCC_ENABLE                                         0xEFFFFFFF
#define   S_028C70_CMASK_ADDR_TYPE(x)                                 (((unsigned)(x) & 0x3) << 29) /* >= gfx8 */
#define   G_028C70_CMASK_ADDR_TYPE(x)                                 (((x) >> 29) & 0x3)
#define   C_028C70_CMASK_ADDR_TYPE                                    0x9FFFFFFF
#define     V_028C70_CMASK_ADDR_TILED                               0 /* >= gfx10 */
#define     V_028C70_CMASK_ADDR_LINEAR                              1 /* >= gfx10 */
#define     V_028C70_CMASK_ADDR_COMPATIBLE                          2 /* >= gfx10 */
#define   S_028C70_ALT_TILE_MODE(x)                                   (((unsigned)(x) & 0x1) << 31) /* >= gfx10 */
#define   G_028C70_ALT_TILE_MODE(x)                                   (((x) >> 31) & 0x1)
#define   C_028C70_ALT_TILE_MODE                                      0x7FFFFFFF
#define R_028C74_CB_COLOR0_ATTRIB                                       0x028C74
#define   S_028C74_MIP0_DEPTH(x)                                      (((unsigned)(x) & 0x7FF) << 0) /* gfx9 */
#define   G_028C74_MIP0_DEPTH(x)                                      (((x) >> 0) & 0x7FF)
#define   C_028C74_MIP0_DEPTH                                         0xFFFFF800
#define   S_028C74_TILE_MODE_INDEX(x)                                 (((unsigned)(x) & 0x1F) << 0) /* <= stoney, >= gfx10 */
#define   G_028C74_TILE_MODE_INDEX(x)                                 (((x) >> 0) & 0x1F)
#define   C_028C74_TILE_MODE_INDEX                                    0xFFFFFFE0
#define   S_028C74_FMASK_TILE_MODE_INDEX(x)                           (((unsigned)(x) & 0x1F) << 5) /* <= stoney, >= gfx10 */
#define   G_028C74_FMASK_TILE_MODE_INDEX(x)                           (((x) >> 5) & 0x1F)
#define   C_028C74_FMASK_TILE_MODE_INDEX                              0xFFFFFC1F
#define   S_028C74_FMASK_BANK_HEIGHT(x)                               (((unsigned)(x) & 0x3) << 10) /* <= stoney, >= gfx10 */
#define   G_028C74_FMASK_BANK_HEIGHT(x)                               (((x) >> 10) & 0x3)
#define   C_028C74_FMASK_BANK_HEIGHT                                  0xFFFFF3FF
#define   S_028C74_META_LINEAR(x)                                     (((unsigned)(x) & 0x1) << 11) /* gfx9 */
#define   G_028C74_META_LINEAR(x)                                     (((x) >> 11) & 0x1)
#define   C_028C74_META_LINEAR                                        0xFFFFF7FF
#define   S_028C74_NUM_SAMPLES(x)                                     (((unsigned)(x) & 0x7) << 12)
#define   G_028C74_NUM_SAMPLES(x)                                     (((x) >> 12) & 0x7)
#define   C_028C74_NUM_SAMPLES                                        0xFFFF8FFF
#define   S_028C74_NUM_FRAGMENTS(x)                                   (((unsigned)(x) & 0x3) << 15)
#define   G_028C74_NUM_FRAGMENTS(x)                                   (((x) >> 15) & 0x3)
#define   C_028C74_NUM_FRAGMENTS                                      0xFFFE7FFF
#define   S_028C74_FORCE_DST_ALPHA_1(x)                               (((unsigned)(x) & 0x1) << 17)
#define   G_028C74_FORCE_DST_ALPHA_1(x)                               (((x) >> 17) & 0x1)
#define   C_028C74_FORCE_DST_ALPHA_1                                  0xFFFDFFFF
#define   S_028C74_COLOR_SW_MODE(x)                                   (((unsigned)(x) & 0x1F) << 18) /* gfx9 */
#define   G_028C74_COLOR_SW_MODE(x)                                   (((x) >> 18) & 0x1F)
#define   C_028C74_COLOR_SW_MODE                                      0xFF83FFFF
#define   S_028C74_DISABLE_FMASK_NOFETCH_OPT(x)                       (((unsigned)(x) & 0x1) << 18) /* >= gfx10 */
#define   G_028C74_DISABLE_FMASK_NOFETCH_OPT(x)                       (((x) >> 18) & 0x1)
#define   C_028C74_DISABLE_FMASK_NOFETCH_OPT                          0xFFFBFFFF
#define   S_028C74_LIMIT_COLOR_FETCH_TO_256B_MAX(x)                   (((unsigned)(x) & 0x1) << 19) /* >= gfx10 */
#define   G_028C74_LIMIT_COLOR_FETCH_TO_256B_MAX(x)                   (((x) >> 19) & 0x1)
#define   C_028C74_LIMIT_COLOR_FETCH_TO_256B_MAX                      0xFFF7FFFF
#define   S_028C74_FMASK_SW_MODE(x)                                   (((unsigned)(x) & 0x1F) << 23) /* gfx9 */
#define   G_028C74_FMASK_SW_MODE(x)                                   (((x) >> 23) & 0x1F)
#define   C_028C74_FMASK_SW_MODE                                      0xF07FFFFF
#define   S_028C74_RESOURCE_TYPE(x)                                   (((unsigned)(x) & 0x3) << 28) /* gfx9 */
#define   G_028C74_RESOURCE_TYPE(x)                                   (((x) >> 28) & 0x3)
#define   C_028C74_RESOURCE_TYPE                                      0xCFFFFFFF
#define     V_028C74_1D                                             0
#define     V_028C74_2D                                             1
#define     V_028C74_3D                                             2
#define     V_028C74_RESERVED                                       3
#define   S_028C74_RB_ALIGNED(x)                                      (((unsigned)(x) & 0x1) << 30) /* gfx9 */
#define   G_028C74_RB_ALIGNED(x)                                      (((x) >> 30) & 0x1)
#define   C_028C74_RB_ALIGNED                                         0xBFFFFFFF
#define   S_028C74_PIPE_ALIGNED(x)                                    (((unsigned)(x) & 0x1) << 31) /* gfx9 */
#define   G_028C74_PIPE_ALIGNED(x)                                    (((x) >> 31) & 0x1)
#define   C_028C74_PIPE_ALIGNED                                       0x7FFFFFFF
#define R_028C78_CB_COLOR0_DCC_CONTROL                                  0x028C78 /* >= gfx8 */
#define   S_028C78_OVERWRITE_COMBINER_DISABLE(x)                      (((unsigned)(x) & 0x1) << 0)
#define   G_028C78_OVERWRITE_COMBINER_DISABLE(x)                      (((x) >> 0) & 0x1)
#define   C_028C78_OVERWRITE_COMBINER_DISABLE                         0xFFFFFFFE
#define   S_028C78_KEY_CLEAR_ENABLE(x)                                (((unsigned)(x) & 0x1) << 1)
#define   G_028C78_KEY_CLEAR_ENABLE(x)                                (((x) >> 1) & 0x1)
#define   C_028C78_KEY_CLEAR_ENABLE                                   0xFFFFFFFD
#define   S_028C78_MAX_UNCOMPRESSED_BLOCK_SIZE(x)                     (((unsigned)(x) & 0x3) << 2)
#define   G_028C78_MAX_UNCOMPRESSED_BLOCK_SIZE(x)                     (((x) >> 2) & 0x3)
#define   C_028C78_MAX_UNCOMPRESSED_BLOCK_SIZE                        0xFFFFFFF3
#define     V_028C78_MAX_BLOCK_SIZE_64B                             0 /* gfx8, fiji, stoney, gfx9 */
#define     V_028C78_MAX_BLOCK_SIZE_128B                            1 /* gfx8, fiji, stoney, gfx9 */
#define     V_028C78_MAX_BLOCK_SIZE_256B                            2 /* gfx8, fiji, stoney, gfx9 */
#define   S_028C78_MIN_COMPRESSED_BLOCK_SIZE(x)                       (((unsigned)(x) & 0x1) << 4)
#define   G_028C78_MIN_COMPRESSED_BLOCK_SIZE(x)                       (((x) >> 4) & 0x1)
#define   C_028C78_MIN_COMPRESSED_BLOCK_SIZE                          0xFFFFFFEF
#define     V_028C78_MIN_BLOCK_SIZE_32B                             0 /* gfx8, fiji, stoney, gfx9 */
#define     V_028C78_MIN_BLOCK_SIZE_64B                             1 /* gfx8, fiji, stoney, gfx9 */
#define   S_028C78_MAX_COMPRESSED_BLOCK_SIZE(x)                       (((unsigned)(x) & 0x3) << 5)
#define   G_028C78_MAX_COMPRESSED_BLOCK_SIZE(x)                       (((x) >> 5) & 0x3)
#define   C_028C78_MAX_COMPRESSED_BLOCK_SIZE                          0xFFFFFF9F
#define   S_028C78_COLOR_TRANSFORM(x)                                 (((unsigned)(x) & 0x3) << 7)
#define   G_028C78_COLOR_TRANSFORM(x)                                 (((x) >> 7) & 0x3)
#define   C_028C78_COLOR_TRANSFORM                                    0xFFFFFE7F
#define   S_028C78_INDEPENDENT_64B_BLOCKS(x)                          (((unsigned)(x) & 0x1) << 9)
#define   G_028C78_INDEPENDENT_64B_BLOCKS(x)                          (((x) >> 9) & 0x1)
#define   C_028C78_INDEPENDENT_64B_BLOCKS                             0xFFFFFDFF
#define   S_028C78_LOSSY_RGB_PRECISION(x)                             (((unsigned)(x) & 0xF) << 10)
#define   G_028C78_LOSSY_RGB_PRECISION(x)                             (((x) >> 10) & 0xF)
#define   C_028C78_LOSSY_RGB_PRECISION                                0xFFFFC3FF
#define   S_028C78_LOSSY_ALPHA_PRECISION(x)                           (((unsigned)(x) & 0xF) << 14)
#define   G_028C78_LOSSY_ALPHA_PRECISION(x)                           (((x) >> 14) & 0xF)
#define   C_028C78_LOSSY_ALPHA_PRECISION                              0xFFFC3FFF
#define   S_028C78_DISABLE_CONSTANT_ENCODE_REG(x)                     (((unsigned)(x) & 0x1) << 18) /* >= gfx10 */
#define   G_028C78_DISABLE_CONSTANT_ENCODE_REG(x)                     (((x) >> 18) & 0x1)
#define   C_028C78_DISABLE_CONSTANT_ENCODE_REG                        0xFFFBFFFF
#define   S_028C78_ENABLE_CONSTANT_ENCODE_REG_WRITE(x)                (((unsigned)(x) & 0x1) << 19) /* >= gfx10 */
#define   G_028C78_ENABLE_CONSTANT_ENCODE_REG_WRITE(x)                (((x) >> 19) & 0x1)
#define   C_028C78_ENABLE_CONSTANT_ENCODE_REG_WRITE                   0xFFF7FFFF
#define   S_028C78_INDEPENDENT_128B_BLOCKS(x)                         (((unsigned)(x) & 0x1) << 20) /* >= gfx10 */
#define   G_028C78_INDEPENDENT_128B_BLOCKS(x)                         (((x) >> 20) & 0x1)
#define   C_028C78_INDEPENDENT_128B_BLOCKS                            0xFFEFFFFF
#define R_028C7C_CB_COLOR0_CMASK                                        0x028C7C
#define   S_028C7C_BASE_256B(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028C7C_BASE_256B(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_028C7C_BASE_256B                                          0x00000000
#define R_028C80_CB_COLOR0_CMASK_BASE_EXT                               0x028C80 /* gfx9 */
#define   S_028C80_BASE_256B(x)                                       (((unsigned)(x) & 0xFF) << 0)
#define   G_028C80_BASE_256B(x)                                       (((x) >> 0) & 0xFF)
#define   C_028C80_BASE_256B                                          0xFFFFFF00
#define R_028C80_CB_COLOR0_CMASK_SLICE                                  0x028C80 /* <= stoney */
#define   S_028C80_TILE_MAX(x)                                        (((unsigned)(x) & 0x3FFF) << 0)
#define   G_028C80_TILE_MAX(x)                                        (((x) >> 0) & 0x3FFF)
#define   C_028C80_TILE_MAX                                           0xFFFFC000
#define R_028C84_CB_COLOR0_FMASK                                        0x028C84
#define   S_028C84_BASE_256B(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028C84_BASE_256B(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_028C84_BASE_256B                                          0x00000000
#define R_028C88_CB_COLOR0_FMASK_BASE_EXT                               0x028C88 /* gfx9 */
#define   S_028C88_BASE_256B(x)                                       (((unsigned)(x) & 0xFF) << 0)
#define   G_028C88_BASE_256B(x)                                       (((x) >> 0) & 0xFF)
#define   C_028C88_BASE_256B                                          0xFFFFFF00
#define R_028C88_CB_COLOR0_FMASK_SLICE                                  0x028C88 /* <= stoney */
#define   S_028C88_TILE_MAX(x)                                        (((unsigned)(x) & 0x3FFFFF) << 0)
#define   G_028C88_TILE_MAX(x)                                        (((x) >> 0) & 0x3FFFFF)
#define   C_028C88_TILE_MAX                                           0xFFC00000
#define R_028C8C_CB_COLOR0_CLEAR_WORD0                                  0x028C8C
#define   S_028C8C_CLEAR_WORD0(x)                                     (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028C8C_CLEAR_WORD0(x)                                     (((x) >> 0) & 0xFFFFFFFF)
#define   C_028C8C_CLEAR_WORD0                                        0x00000000
#define R_028C90_CB_COLOR0_CLEAR_WORD1                                  0x028C90
#define   S_028C90_CLEAR_WORD1(x)                                     (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028C90_CLEAR_WORD1(x)                                     (((x) >> 0) & 0xFFFFFFFF)
#define   C_028C90_CLEAR_WORD1                                        0x00000000
#define R_028C94_CB_COLOR0_DCC_BASE                                     0x028C94 /* >= gfx8 */
#define   S_028C94_BASE_256B(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_028C94_BASE_256B(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_028C94_BASE_256B                                          0x00000000
#define R_028C98_CB_COLOR0_DCC_BASE_EXT                                 0x028C98 /* gfx9 */
#define   S_028C98_BASE_256B(x)                                       (((unsigned)(x) & 0xFF) << 0)
#define   G_028C98_BASE_256B(x)                                       (((x) >> 0) & 0xFF)
#define   C_028C98_BASE_256B                                          0xFFFFFF00
#define R_028C9C_CB_COLOR1_BASE                                         0x028C9C
#define R_028CA0_CB_COLOR1_BASE_EXT                                     0x028CA0 /* gfx9 */
#define R_028CA0_CB_COLOR1_PITCH                                        0x028CA0 /* <= stoney */
#define R_028CA4_CB_COLOR1_ATTRIB2                                      0x028CA4 /* gfx9 */
#define R_028CA4_CB_COLOR1_SLICE                                        0x028CA4 /* <= stoney */
#define R_028CA8_CB_COLOR1_VIEW                                         0x028CA8
#define R_028CAC_CB_COLOR1_INFO                                         0x028CAC
#define R_028CB0_CB_COLOR1_ATTRIB                                       0x028CB0
#define R_028CB4_CB_COLOR1_DCC_CONTROL                                  0x028CB4 /* >= gfx8 */
#define R_028CB8_CB_COLOR1_CMASK                                        0x028CB8
#define R_028CBC_CB_COLOR1_CMASK_BASE_EXT                               0x028CBC /* gfx9 */
#define R_028CBC_CB_COLOR1_CMASK_SLICE                                  0x028CBC /* <= stoney */
#define R_028CC0_CB_COLOR1_FMASK                                        0x028CC0
#define R_028CC4_CB_COLOR1_FMASK_BASE_EXT                               0x028CC4 /* gfx9 */
#define R_028CC4_CB_COLOR1_FMASK_SLICE                                  0x028CC4 /* <= stoney */
#define R_028CC8_CB_COLOR1_CLEAR_WORD0                                  0x028CC8
#define R_028CCC_CB_COLOR1_CLEAR_WORD1                                  0x028CCC
#define R_028CD0_CB_COLOR1_DCC_BASE                                     0x028CD0 /* >= gfx8 */
#define R_028CD4_CB_COLOR1_DCC_BASE_EXT                                 0x028CD4 /* gfx9 */
#define R_028CD8_CB_COLOR2_BASE                                         0x028CD8
#define R_028CDC_CB_COLOR2_BASE_EXT                                     0x028CDC /* gfx9 */
#define R_028CDC_CB_COLOR2_PITCH                                        0x028CDC /* <= stoney */
#define R_028CE0_CB_COLOR2_ATTRIB2                                      0x028CE0 /* gfx9 */
#define R_028CE0_CB_COLOR2_SLICE                                        0x028CE0 /* <= stoney */
#define R_028CE4_CB_COLOR2_VIEW                                         0x028CE4
#define R_028CE8_CB_COLOR2_INFO                                         0x028CE8
#define R_028CEC_CB_COLOR2_ATTRIB                                       0x028CEC
#define R_028CF0_CB_COLOR2_DCC_CONTROL                                  0x028CF0 /* >= gfx8 */
#define R_028CF4_CB_COLOR2_CMASK                                        0x028CF4
#define R_028CF8_CB_COLOR2_CMASK_BASE_EXT                               0x028CF8 /* gfx9 */
#define R_028CF8_CB_COLOR2_CMASK_SLICE                                  0x028CF8 /* <= stoney */
#define R_028CFC_CB_COLOR2_FMASK                                        0x028CFC
#define R_028D00_CB_COLOR2_FMASK_BASE_EXT                               0x028D00 /* gfx9 */
#define R_028D00_CB_COLOR2_FMASK_SLICE                                  0x028D00 /* <= stoney */
#define R_028D04_CB_COLOR2_CLEAR_WORD0                                  0x028D04
#define R_028D08_CB_COLOR2_CLEAR_WORD1                                  0x028D08
#define R_028D0C_CB_COLOR2_DCC_BASE                                     0x028D0C /* >= gfx8 */
#define R_028D10_CB_COLOR2_DCC_BASE_EXT                                 0x028D10 /* gfx9 */
#define R_028D14_CB_COLOR3_BASE                                         0x028D14
#define R_028D18_CB_COLOR3_BASE_EXT                                     0x028D18 /* gfx9 */
#define R_028D18_CB_COLOR3_PITCH                                        0x028D18 /* <= stoney */
#define R_028D1C_CB_COLOR3_ATTRIB2                                      0x028D1C /* gfx9 */
#define R_028D1C_CB_COLOR3_SLICE                                        0x028D1C /* <= stoney */
#define R_028D20_CB_COLOR3_VIEW                                         0x028D20
#define R_028D24_CB_COLOR3_INFO                                         0x028D24
#define R_028D28_CB_COLOR3_ATTRIB                                       0x028D28
#define R_028D2C_CB_COLOR3_DCC_CONTROL                                  0x028D2C /* >= gfx8 */
#define R_028D30_CB_COLOR3_CMASK                                        0x028D30
#define R_028D34_CB_COLOR3_CMASK_BASE_EXT                               0x028D34 /* gfx9 */
#define R_028D34_CB_COLOR3_CMASK_SLICE                                  0x028D34 /* <= stoney */
#define R_028D38_CB_COLOR3_FMASK                                        0x028D38
#define R_028D3C_CB_COLOR3_FMASK_BASE_EXT                               0x028D3C /* gfx9 */
#define R_028D3C_CB_COLOR3_FMASK_SLICE                                  0x028D3C /* <= stoney */
#define R_028D40_CB_COLOR3_CLEAR_WORD0                                  0x028D40
#define R_028D44_CB_COLOR3_CLEAR_WORD1                                  0x028D44
#define R_028D48_CB_COLOR3_DCC_BASE                                     0x028D48 /* >= gfx8 */
#define R_028D4C_CB_COLOR3_DCC_BASE_EXT                                 0x028D4C /* gfx9 */
#define R_028D50_CB_COLOR4_BASE                                         0x028D50
#define R_028D54_CB_COLOR4_BASE_EXT                                     0x028D54 /* gfx9 */
#define R_028D54_CB_COLOR4_PITCH                                        0x028D54 /* <= stoney */
#define R_028D58_CB_COLOR4_ATTRIB2                                      0x028D58 /* gfx9 */
#define R_028D58_CB_COLOR4_SLICE                                        0x028D58 /* <= stoney */
#define R_028D5C_CB_COLOR4_VIEW                                         0x028D5C
#define R_028D60_CB_COLOR4_INFO                                         0x028D60
#define R_028D64_CB_COLOR4_ATTRIB                                       0x028D64
#define R_028D68_CB_COLOR4_DCC_CONTROL                                  0x028D68 /* >= gfx8 */
#define R_028D6C_CB_COLOR4_CMASK                                        0x028D6C
#define R_028D70_CB_COLOR4_CMASK_BASE_EXT                               0x028D70 /* gfx9 */
#define R_028D70_CB_COLOR4_CMASK_SLICE                                  0x028D70 /* <= stoney */
#define R_028D74_CB_COLOR4_FMASK                                        0x028D74
#define R_028D78_CB_COLOR4_FMASK_BASE_EXT                               0x028D78 /* gfx9 */
#define R_028D78_CB_COLOR4_FMASK_SLICE                                  0x028D78 /* <= stoney */
#define R_028D7C_CB_COLOR4_CLEAR_WORD0                                  0x028D7C
#define R_028D80_CB_COLOR4_CLEAR_WORD1                                  0x028D80
#define R_028D84_CB_COLOR4_DCC_BASE                                     0x028D84 /* >= gfx8 */
#define R_028D88_CB_COLOR4_DCC_BASE_EXT                                 0x028D88 /* gfx9 */
#define R_028D8C_CB_COLOR5_BASE                                         0x028D8C
#define R_028D90_CB_COLOR5_BASE_EXT                                     0x028D90 /* gfx9 */
#define R_028D90_CB_COLOR5_PITCH                                        0x028D90 /* <= stoney */
#define R_028D94_CB_COLOR5_ATTRIB2                                      0x028D94 /* gfx9 */
#define R_028D94_CB_COLOR5_SLICE                                        0x028D94 /* <= stoney */
#define R_028D98_CB_COLOR5_VIEW                                         0x028D98
#define R_028D9C_CB_COLOR5_INFO                                         0x028D9C
#define R_028DA0_CB_COLOR5_ATTRIB                                       0x028DA0
#define R_028DA4_CB_COLOR5_DCC_CONTROL                                  0x028DA4 /* >= gfx8 */
#define R_028DA8_CB_COLOR5_CMASK                                        0x028DA8
#define R_028DAC_CB_COLOR5_CMASK_BASE_EXT                               0x028DAC /* gfx9 */
#define R_028DAC_CB_COLOR5_CMASK_SLICE                                  0x028DAC /* <= stoney */
#define R_028DB0_CB_COLOR5_FMASK                                        0x028DB0
#define R_028DB4_CB_COLOR5_FMASK_BASE_EXT                               0x028DB4 /* gfx9 */
#define R_028DB4_CB_COLOR5_FMASK_SLICE                                  0x028DB4 /* <= stoney */
#define R_028DB8_CB_COLOR5_CLEAR_WORD0                                  0x028DB8
#define R_028DBC_CB_COLOR5_CLEAR_WORD1                                  0x028DBC
#define R_028DC0_CB_COLOR5_DCC_BASE                                     0x028DC0 /* >= gfx8 */
#define R_028DC4_CB_COLOR5_DCC_BASE_EXT                                 0x028DC4 /* gfx9 */
#define R_028DC8_CB_COLOR6_BASE                                         0x028DC8
#define R_028DCC_CB_COLOR6_BASE_EXT                                     0x028DCC /* gfx9 */
#define R_028DCC_CB_COLOR6_PITCH                                        0x028DCC /* <= stoney */
#define R_028DD0_CB_COLOR6_ATTRIB2                                      0x028DD0 /* gfx9 */
#define R_028DD0_CB_COLOR6_SLICE                                        0x028DD0 /* <= stoney */
#define R_028DD4_CB_COLOR6_VIEW                                         0x028DD4
#define R_028DD8_CB_COLOR6_INFO                                         0x028DD8
#define R_028DDC_CB_COLOR6_ATTRIB                                       0x028DDC
#define R_028DE0_CB_COLOR6_DCC_CONTROL                                  0x028DE0 /* >= gfx8 */
#define R_028DE4_CB_COLOR6_CMASK                                        0x028DE4
#define R_028DE8_CB_COLOR6_CMASK_BASE_EXT                               0x028DE8 /* gfx9 */
#define R_028DE8_CB_COLOR6_CMASK_SLICE                                  0x028DE8 /* <= stoney */
#define R_028DEC_CB_COLOR6_FMASK                                        0x028DEC
#define R_028DF0_CB_COLOR6_FMASK_BASE_EXT                               0x028DF0 /* gfx9 */
#define R_028DF0_CB_COLOR6_FMASK_SLICE                                  0x028DF0 /* <= stoney */
#define R_028DF4_CB_COLOR6_CLEAR_WORD0                                  0x028DF4
#define R_028DF8_CB_COLOR6_CLEAR_WORD1                                  0x028DF8
#define R_028DFC_CB_COLOR6_DCC_BASE                                     0x028DFC /* >= gfx8 */
#define R_028E00_CB_COLOR6_DCC_BASE_EXT                                 0x028E00 /* gfx9 */
#define R_028E04_CB_COLOR7_BASE                                         0x028E04
#define R_028E08_CB_COLOR7_BASE_EXT                                     0x028E08 /* gfx9 */
#define R_028E08_CB_COLOR7_PITCH                                        0x028E08 /* <= stoney */
#define R_028E0C_CB_COLOR7_ATTRIB2                                      0x028E0C /* gfx9 */
#define R_028E0C_CB_COLOR7_SLICE                                        0x028E0C /* <= stoney */
#define R_028E10_CB_COLOR7_VIEW                                         0x028E10
#define R_028E14_CB_COLOR7_INFO                                         0x028E14
#define R_028E18_CB_COLOR7_ATTRIB                                       0x028E18
#define R_028E1C_CB_COLOR7_DCC_CONTROL                                  0x028E1C /* >= gfx8 */
#define R_028E20_CB_COLOR7_CMASK                                        0x028E20
#define R_028E24_CB_COLOR7_CMASK_BASE_EXT                               0x028E24 /* gfx9 */
#define R_028E24_CB_COLOR7_CMASK_SLICE                                  0x028E24 /* <= stoney */
#define R_028E28_CB_COLOR7_FMASK                                        0x028E28
#define R_028E2C_CB_COLOR7_FMASK_BASE_EXT                               0x028E2C /* gfx9 */
#define R_028E2C_CB_COLOR7_FMASK_SLICE                                  0x028E2C /* <= stoney */
#define R_028E30_CB_COLOR7_CLEAR_WORD0                                  0x028E30
#define R_028E34_CB_COLOR7_CLEAR_WORD1                                  0x028E34
#define R_028E38_CB_COLOR7_DCC_BASE                                     0x028E38 /* >= gfx8 */
#define R_028E3C_CB_COLOR7_DCC_BASE_EXT                                 0x028E3C /* gfx9 */
#define R_028E40_CB_COLOR0_BASE_EXT                                     0x028E40 /* >= gfx10 */
#define   S_028E40_BASE_256B(x)                                       (((unsigned)(x) & 0xFF) << 0)
#define   G_028E40_BASE_256B(x)                                       (((x) >> 0) & 0xFF)
#define   C_028E40_BASE_256B                                          0xFFFFFF00
#define R_028E44_CB_COLOR1_BASE_EXT                                     0x028E44 /* >= gfx10 */
#define R_028E48_CB_COLOR2_BASE_EXT                                     0x028E48 /* >= gfx10 */
#define R_028E4C_CB_COLOR3_BASE_EXT                                     0x028E4C /* >= gfx10 */
#define R_028E50_CB_COLOR4_BASE_EXT                                     0x028E50 /* >= gfx10 */
#define R_028E54_CB_COLOR5_BASE_EXT                                     0x028E54 /* >= gfx10 */
#define R_028E58_CB_COLOR6_BASE_EXT                                     0x028E58 /* >= gfx10 */
#define R_028E5C_CB_COLOR7_BASE_EXT                                     0x028E5C /* >= gfx10 */
#define R_028E60_CB_COLOR0_CMASK_BASE_EXT                               0x028E60 /* >= gfx10 */
#define   S_028E60_BASE_256B(x)                                       (((unsigned)(x) & 0xFF) << 0)
#define   G_028E60_BASE_256B(x)                                       (((x) >> 0) & 0xFF)
#define   C_028E60_BASE_256B                                          0xFFFFFF00
#define R_028E64_CB_COLOR1_CMASK_BASE_EXT                               0x028E64 /* >= gfx10 */
#define R_028E68_CB_COLOR2_CMASK_BASE_EXT                               0x028E68 /* >= gfx10 */
#define R_028E6C_CB_COLOR3_CMASK_BASE_EXT                               0x028E6C /* >= gfx10 */
#define R_028E70_CB_COLOR4_CMASK_BASE_EXT                               0x028E70 /* >= gfx10 */
#define R_028E74_CB_COLOR5_CMASK_BASE_EXT                               0x028E74 /* >= gfx10 */
#define R_028E78_CB_COLOR6_CMASK_BASE_EXT                               0x028E78 /* >= gfx10 */
#define R_028E7C_CB_COLOR7_CMASK_BASE_EXT                               0x028E7C /* >= gfx10 */
#define R_028E80_CB_COLOR0_FMASK_BASE_EXT                               0x028E80 /* >= gfx10 */
#define   S_028E80_BASE_256B(x)                                       (((unsigned)(x) & 0xFF) << 0)
#define   G_028E80_BASE_256B(x)                                       (((x) >> 0) & 0xFF)
#define   C_028E80_BASE_256B                                          0xFFFFFF00
#define R_028E84_CB_COLOR1_FMASK_BASE_EXT                               0x028E84 /* >= gfx10 */
#define R_028E88_CB_COLOR2_FMASK_BASE_EXT                               0x028E88 /* >= gfx10 */
#define R_028E8C_CB_COLOR3_FMASK_BASE_EXT                               0x028E8C /* >= gfx10 */
#define R_028E90_CB_COLOR4_FMASK_BASE_EXT                               0x028E90 /* >= gfx10 */
#define R_028E94_CB_COLOR5_FMASK_BASE_EXT                               0x028E94 /* >= gfx10 */
#define R_028E98_CB_COLOR6_FMASK_BASE_EXT                               0x028E98 /* >= gfx10 */
#define R_028E9C_CB_COLOR7_FMASK_BASE_EXT                               0x028E9C /* >= gfx10 */
#define R_028EA0_CB_COLOR0_DCC_BASE_EXT                                 0x028EA0 /* >= gfx10 */
#define   S_028EA0_BASE_256B(x)                                       (((unsigned)(x) & 0xFF) << 0)
#define   G_028EA0_BASE_256B(x)                                       (((x) >> 0) & 0xFF)
#define   C_028EA0_BASE_256B                                          0xFFFFFF00
#define R_028EA4_CB_COLOR1_DCC_BASE_EXT                                 0x028EA4 /* >= gfx10 */
#define R_028EA8_CB_COLOR2_DCC_BASE_EXT                                 0x028EA8 /* >= gfx10 */
#define R_028EAC_CB_COLOR3_DCC_BASE_EXT                                 0x028EAC /* >= gfx10 */
#define R_028EB0_CB_COLOR4_DCC_BASE_EXT                                 0x028EB0 /* >= gfx10 */
#define R_028EB4_CB_COLOR5_DCC_BASE_EXT                                 0x028EB4 /* >= gfx10 */
#define R_028EB8_CB_COLOR6_DCC_BASE_EXT                                 0x028EB8 /* >= gfx10 */
#define R_028EBC_CB_COLOR7_DCC_BASE_EXT                                 0x028EBC /* >= gfx10 */
#define R_028EC0_CB_COLOR0_ATTRIB2                                      0x028EC0 /* >= gfx10 */
#define   S_028EC0_MIP0_HEIGHT(x)                                     (((unsigned)(x) & 0x3FFF) << 0)
#define   G_028EC0_MIP0_HEIGHT(x)                                     (((x) >> 0) & 0x3FFF)
#define   C_028EC0_MIP0_HEIGHT                                        0xFFFFC000
#define   S_028EC0_MIP0_WIDTH(x)                                      (((unsigned)(x) & 0x3FFF) << 14)
#define   G_028EC0_MIP0_WIDTH(x)                                      (((x) >> 14) & 0x3FFF)
#define   C_028EC0_MIP0_WIDTH                                         0xF0003FFF
#define   S_028EC0_MAX_MIP(x)                                         (((unsigned)(x) & 0xF) << 28)
#define   G_028EC0_MAX_MIP(x)                                         (((x) >> 28) & 0xF)
#define   C_028EC0_MAX_MIP                                            0x0FFFFFFF
#define R_028EC4_CB_COLOR1_ATTRIB2                                      0x028EC4 /* >= gfx10 */
#define R_028EC8_CB_COLOR2_ATTRIB2                                      0x028EC8 /* >= gfx10 */
#define R_028ECC_CB_COLOR3_ATTRIB2                                      0x028ECC /* >= gfx10 */
#define R_028ED0_CB_COLOR4_ATTRIB2                                      0x028ED0 /* >= gfx10 */
#define R_028ED4_CB_COLOR5_ATTRIB2                                      0x028ED4 /* >= gfx10 */
#define R_028ED8_CB_COLOR6_ATTRIB2                                      0x028ED8 /* >= gfx10 */
#define R_028EDC_CB_COLOR7_ATTRIB2                                      0x028EDC /* >= gfx10 */
#define R_028EE0_CB_COLOR0_ATTRIB3                                      0x028EE0 /* >= gfx10 */
#define   S_028EE0_MIP0_DEPTH(x)                                      (((unsigned)(x) & 0x1FFF) << 0)
#define   G_028EE0_MIP0_DEPTH(x)                                      (((x) >> 0) & 0x1FFF)
#define   C_028EE0_MIP0_DEPTH                                         0xFFFFE000
#define   S_028EE0_META_LINEAR(x)                                     (((unsigned)(x) & 0x1) << 13)
#define   G_028EE0_META_LINEAR(x)                                     (((x) >> 13) & 0x1)
#define   C_028EE0_META_LINEAR                                        0xFFFFDFFF
#define   S_028EE0_COLOR_SW_MODE(x)                                   (((unsigned)(x) & 0x1F) << 14)
#define   G_028EE0_COLOR_SW_MODE(x)                                   (((x) >> 14) & 0x1F)
#define   C_028EE0_COLOR_SW_MODE                                      0xFFF83FFF
#define   S_028EE0_FMASK_SW_MODE(x)                                   (((unsigned)(x) & 0x1F) << 19)
#define   G_028EE0_FMASK_SW_MODE(x)                                   (((x) >> 19) & 0x1F)
#define   C_028EE0_FMASK_SW_MODE                                      0xFF07FFFF
#define   S_028EE0_RESOURCE_TYPE(x)                                   (((unsigned)(x) & 0x3) << 24)
#define   G_028EE0_RESOURCE_TYPE(x)                                   (((x) >> 24) & 0x3)
#define   C_028EE0_RESOURCE_TYPE                                      0xFCFFFFFF
#define   S_028EE0_CMASK_PIPE_ALIGNED(x)                              (((unsigned)(x) & 0x1) << 26)
#define   G_028EE0_CMASK_PIPE_ALIGNED(x)                              (((x) >> 26) & 0x1)
#define   C_028EE0_CMASK_PIPE_ALIGNED                                 0xFBFFFFFF
#define   S_028EE0_RESOURCE_LEVEL(x)                                  (((unsigned)(x) & 0x7) << 27)
#define   G_028EE0_RESOURCE_LEVEL(x)                                  (((x) >> 27) & 0x7)
#define   C_028EE0_RESOURCE_LEVEL                                     0xC7FFFFFF
#define   S_028EE0_DCC_PIPE_ALIGNED(x)                                (((unsigned)(x) & 0x1) << 30)
#define   G_028EE0_DCC_PIPE_ALIGNED(x)                                (((x) >> 30) & 0x1)
#define   C_028EE0_DCC_PIPE_ALIGNED                                   0xBFFFFFFF
#define R_028EE4_CB_COLOR1_ATTRIB3                                      0x028EE4 /* >= gfx10 */
#define R_028EE8_CB_COLOR2_ATTRIB3                                      0x028EE8 /* >= gfx10 */
#define R_028EEC_CB_COLOR3_ATTRIB3                                      0x028EEC /* >= gfx10 */
#define R_028EF0_CB_COLOR4_ATTRIB3                                      0x028EF0 /* >= gfx10 */
#define R_028EF4_CB_COLOR5_ATTRIB3                                      0x028EF4 /* >= gfx10 */
#define R_028EF8_CB_COLOR6_ATTRIB3                                      0x028EF8 /* >= gfx10 */
#define R_028EFC_CB_COLOR7_ATTRIB3                                      0x028EFC /* >= gfx10 */
#define R_030000_CP_EOP_DONE_ADDR_LO                                    0x030000 /* >= gfx10 */
#define   S_030000_ADDR_LO(x)                                         (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_030000_ADDR_LO(x)                                         (((x) >> 2) & 0x3FFFFFFF)
#define   C_030000_ADDR_LO                                            0x00000003
#define R_030004_CP_EOP_DONE_ADDR_HI                                    0x030004 /* >= gfx10 */
#define   S_030004_ADDR_HI(x)                                         (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030004_ADDR_HI(x)                                         (((x) >> 0) & 0xFFFF)
#define   C_030004_ADDR_HI                                            0xFFFF0000
#define R_030008_CP_EOP_DONE_DATA_LO                                    0x030008 /* >= gfx10 */
#define   S_030008_DATA_LO(x)                                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030008_DATA_LO(x)                                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_030008_DATA_LO                                            0x00000000
#define R_03000C_CP_EOP_DONE_DATA_HI                                    0x03000C /* >= gfx10 */
#define   S_03000C_DATA_HI(x)                                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03000C_DATA_HI(x)                                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_03000C_DATA_HI                                            0x00000000
#define R_030010_CP_EOP_LAST_FENCE_LO                                   0x030010 /* >= gfx10 */
#define   S_030010_LAST_FENCE_LO(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030010_LAST_FENCE_LO(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_030010_LAST_FENCE_LO                                      0x00000000
#define R_030014_CP_EOP_LAST_FENCE_HI                                   0x030014 /* >= gfx10 */
#define   S_030014_LAST_FENCE_HI(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030014_LAST_FENCE_HI(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_030014_LAST_FENCE_HI                                      0x00000000
#define R_030018_CP_STREAM_OUT_ADDR_LO                                  0x030018 /* >= gfx10 */
#define   S_030018_STREAM_OUT_ADDR_LO(x)                              (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_030018_STREAM_OUT_ADDR_LO(x)                              (((x) >> 2) & 0x3FFFFFFF)
#define   C_030018_STREAM_OUT_ADDR_LO                                 0x00000003
#define R_03001C_CP_STREAM_OUT_ADDR_HI                                  0x03001C /* >= gfx10 */
#define   S_03001C_STREAM_OUT_ADDR_HI(x)                              (((unsigned)(x) & 0xFFFF) << 0)
#define   G_03001C_STREAM_OUT_ADDR_HI(x)                              (((x) >> 0) & 0xFFFF)
#define   C_03001C_STREAM_OUT_ADDR_HI                                 0xFFFF0000
#define R_030020_CP_NUM_PRIM_WRITTEN_COUNT0_LO                          0x030020 /* >= gfx10 */
#define   S_030020_NUM_PRIM_WRITTEN_CNT0_LO(x)                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030020_NUM_PRIM_WRITTEN_CNT0_LO(x)                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_030020_NUM_PRIM_WRITTEN_CNT0_LO                           0x00000000
#define R_030024_CP_NUM_PRIM_WRITTEN_COUNT0_HI                          0x030024 /* >= gfx10 */
#define   S_030024_NUM_PRIM_WRITTEN_CNT0_HI(x)                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030024_NUM_PRIM_WRITTEN_CNT0_HI(x)                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_030024_NUM_PRIM_WRITTEN_CNT0_HI                           0x00000000
#define R_030028_CP_NUM_PRIM_NEEDED_COUNT0_LO                           0x030028 /* >= gfx10 */
#define   S_030028_NUM_PRIM_NEEDED_CNT0_LO(x)                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030028_NUM_PRIM_NEEDED_CNT0_LO(x)                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_030028_NUM_PRIM_NEEDED_CNT0_LO                            0x00000000
#define R_03002C_CP_NUM_PRIM_NEEDED_COUNT0_HI                           0x03002C /* >= gfx10 */
#define   S_03002C_NUM_PRIM_NEEDED_CNT0_HI(x)                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03002C_NUM_PRIM_NEEDED_CNT0_HI(x)                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_03002C_NUM_PRIM_NEEDED_CNT0_HI                            0x00000000
#define R_030030_CP_NUM_PRIM_WRITTEN_COUNT1_LO                          0x030030 /* >= gfx10 */
#define   S_030030_NUM_PRIM_WRITTEN_CNT1_LO(x)                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030030_NUM_PRIM_WRITTEN_CNT1_LO(x)                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_030030_NUM_PRIM_WRITTEN_CNT1_LO                           0x00000000
#define R_030034_CP_NUM_PRIM_WRITTEN_COUNT1_HI                          0x030034 /* >= gfx10 */
#define   S_030034_NUM_PRIM_WRITTEN_CNT1_HI(x)                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030034_NUM_PRIM_WRITTEN_CNT1_HI(x)                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_030034_NUM_PRIM_WRITTEN_CNT1_HI                           0x00000000
#define R_030038_CP_NUM_PRIM_NEEDED_COUNT1_LO                           0x030038 /* >= gfx10 */
#define   S_030038_NUM_PRIM_NEEDED_CNT1_LO(x)                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030038_NUM_PRIM_NEEDED_CNT1_LO(x)                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_030038_NUM_PRIM_NEEDED_CNT1_LO                            0x00000000
#define R_03003C_CP_NUM_PRIM_NEEDED_COUNT1_HI                           0x03003C /* >= gfx10 */
#define   S_03003C_NUM_PRIM_NEEDED_CNT1_HI(x)                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03003C_NUM_PRIM_NEEDED_CNT1_HI(x)                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_03003C_NUM_PRIM_NEEDED_CNT1_HI                            0x00000000
#define R_030040_CP_NUM_PRIM_WRITTEN_COUNT2_LO                          0x030040 /* >= gfx10 */
#define   S_030040_NUM_PRIM_WRITTEN_CNT2_LO(x)                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030040_NUM_PRIM_WRITTEN_CNT2_LO(x)                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_030040_NUM_PRIM_WRITTEN_CNT2_LO                           0x00000000
#define R_030044_CP_NUM_PRIM_WRITTEN_COUNT2_HI                          0x030044 /* >= gfx10 */
#define   S_030044_NUM_PRIM_WRITTEN_CNT2_HI(x)                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030044_NUM_PRIM_WRITTEN_CNT2_HI(x)                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_030044_NUM_PRIM_WRITTEN_CNT2_HI                           0x00000000
#define R_030048_CP_NUM_PRIM_NEEDED_COUNT2_LO                           0x030048 /* >= gfx10 */
#define   S_030048_NUM_PRIM_NEEDED_CNT2_LO(x)                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030048_NUM_PRIM_NEEDED_CNT2_LO(x)                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_030048_NUM_PRIM_NEEDED_CNT2_LO                            0x00000000
#define R_03004C_CP_NUM_PRIM_NEEDED_COUNT2_HI                           0x03004C /* >= gfx10 */
#define   S_03004C_NUM_PRIM_NEEDED_CNT2_HI(x)                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03004C_NUM_PRIM_NEEDED_CNT2_HI(x)                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_03004C_NUM_PRIM_NEEDED_CNT2_HI                            0x00000000
#define R_030050_CP_NUM_PRIM_WRITTEN_COUNT3_LO                          0x030050 /* >= gfx10 */
#define   S_030050_NUM_PRIM_WRITTEN_CNT3_LO(x)                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030050_NUM_PRIM_WRITTEN_CNT3_LO(x)                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_030050_NUM_PRIM_WRITTEN_CNT3_LO                           0x00000000
#define R_030054_CP_NUM_PRIM_WRITTEN_COUNT3_HI                          0x030054 /* >= gfx10 */
#define   S_030054_NUM_PRIM_WRITTEN_CNT3_HI(x)                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030054_NUM_PRIM_WRITTEN_CNT3_HI(x)                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_030054_NUM_PRIM_WRITTEN_CNT3_HI                           0x00000000
#define R_030058_CP_NUM_PRIM_NEEDED_COUNT3_LO                           0x030058 /* >= gfx10 */
#define   S_030058_NUM_PRIM_NEEDED_CNT3_LO(x)                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030058_NUM_PRIM_NEEDED_CNT3_LO(x)                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_030058_NUM_PRIM_NEEDED_CNT3_LO                            0x00000000
#define R_03005C_CP_NUM_PRIM_NEEDED_COUNT3_HI                           0x03005C /* >= gfx10 */
#define   S_03005C_NUM_PRIM_NEEDED_CNT3_HI(x)                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03005C_NUM_PRIM_NEEDED_CNT3_HI(x)                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_03005C_NUM_PRIM_NEEDED_CNT3_HI                            0x00000000
#define R_030060_CP_PIPE_STATS_ADDR_LO                                  0x030060 /* >= gfx10 */
#define   S_030060_PIPE_STATS_ADDR_LO(x)                              (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_030060_PIPE_STATS_ADDR_LO(x)                              (((x) >> 2) & 0x3FFFFFFF)
#define   C_030060_PIPE_STATS_ADDR_LO                                 0x00000003
#define R_030064_CP_PIPE_STATS_ADDR_HI                                  0x030064 /* >= gfx10 */
#define   S_030064_PIPE_STATS_ADDR_HI(x)                              (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030064_PIPE_STATS_ADDR_HI(x)                              (((x) >> 0) & 0xFFFF)
#define   C_030064_PIPE_STATS_ADDR_HI                                 0xFFFF0000
#define R_030068_CP_VGT_IAVERT_COUNT_LO                                 0x030068 /* >= gfx10 */
#define   S_030068_IAVERT_COUNT_LO(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030068_IAVERT_COUNT_LO(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_030068_IAVERT_COUNT_LO                                    0x00000000
#define R_03006C_CP_VGT_IAVERT_COUNT_HI                                 0x03006C /* >= gfx10 */
#define   S_03006C_IAVERT_COUNT_HI(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03006C_IAVERT_COUNT_HI(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_03006C_IAVERT_COUNT_HI                                    0x00000000
#define R_030070_CP_VGT_IAPRIM_COUNT_LO                                 0x030070 /* >= gfx10 */
#define   S_030070_IAPRIM_COUNT_LO(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030070_IAPRIM_COUNT_LO(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_030070_IAPRIM_COUNT_LO                                    0x00000000
#define R_030074_CP_VGT_IAPRIM_COUNT_HI                                 0x030074 /* >= gfx10 */
#define   S_030074_IAPRIM_COUNT_HI(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030074_IAPRIM_COUNT_HI(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_030074_IAPRIM_COUNT_HI                                    0x00000000
#define R_030078_CP_VGT_GSPRIM_COUNT_LO                                 0x030078 /* >= gfx10 */
#define   S_030078_GSPRIM_COUNT_LO(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030078_GSPRIM_COUNT_LO(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_030078_GSPRIM_COUNT_LO                                    0x00000000
#define R_03007C_CP_VGT_GSPRIM_COUNT_HI                                 0x03007C /* >= gfx10 */
#define   S_03007C_GSPRIM_COUNT_HI(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03007C_GSPRIM_COUNT_HI(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_03007C_GSPRIM_COUNT_HI                                    0x00000000
#define R_030080_CP_VGT_VSINVOC_COUNT_LO                                0x030080 /* >= gfx10 */
#define   S_030080_VSINVOC_COUNT_LO(x)                                (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030080_VSINVOC_COUNT_LO(x)                                (((x) >> 0) & 0xFFFFFFFF)
#define   C_030080_VSINVOC_COUNT_LO                                   0x00000000
#define R_030084_CP_VGT_VSINVOC_COUNT_HI                                0x030084 /* >= gfx10 */
#define   S_030084_VSINVOC_COUNT_HI(x)                                (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030084_VSINVOC_COUNT_HI(x)                                (((x) >> 0) & 0xFFFFFFFF)
#define   C_030084_VSINVOC_COUNT_HI                                   0x00000000
#define R_030088_CP_VGT_GSINVOC_COUNT_LO                                0x030088 /* >= gfx10 */
#define   S_030088_GSINVOC_COUNT_LO(x)                                (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030088_GSINVOC_COUNT_LO(x)                                (((x) >> 0) & 0xFFFFFFFF)
#define   C_030088_GSINVOC_COUNT_LO                                   0x00000000
#define R_03008C_CP_VGT_GSINVOC_COUNT_HI                                0x03008C /* >= gfx10 */
#define   S_03008C_GSINVOC_COUNT_HI(x)                                (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03008C_GSINVOC_COUNT_HI(x)                                (((x) >> 0) & 0xFFFFFFFF)
#define   C_03008C_GSINVOC_COUNT_HI                                   0x00000000
#define R_030090_CP_VGT_HSINVOC_COUNT_LO                                0x030090 /* >= gfx10 */
#define   S_030090_HSINVOC_COUNT_LO(x)                                (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030090_HSINVOC_COUNT_LO(x)                                (((x) >> 0) & 0xFFFFFFFF)
#define   C_030090_HSINVOC_COUNT_LO                                   0x00000000
#define R_030094_CP_VGT_HSINVOC_COUNT_HI                                0x030094 /* >= gfx10 */
#define   S_030094_HSINVOC_COUNT_HI(x)                                (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030094_HSINVOC_COUNT_HI(x)                                (((x) >> 0) & 0xFFFFFFFF)
#define   C_030094_HSINVOC_COUNT_HI                                   0x00000000
#define R_030098_CP_VGT_DSINVOC_COUNT_LO                                0x030098 /* >= gfx10 */
#define   S_030098_DSINVOC_COUNT_LO(x)                                (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030098_DSINVOC_COUNT_LO(x)                                (((x) >> 0) & 0xFFFFFFFF)
#define   C_030098_DSINVOC_COUNT_LO                                   0x00000000
#define R_03009C_CP_VGT_DSINVOC_COUNT_HI                                0x03009C /* >= gfx10 */
#define   S_03009C_DSINVOC_COUNT_HI(x)                                (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03009C_DSINVOC_COUNT_HI(x)                                (((x) >> 0) & 0xFFFFFFFF)
#define   C_03009C_DSINVOC_COUNT_HI                                   0x00000000
#define R_0300A0_CP_PA_CINVOC_COUNT_LO                                  0x0300A0 /* >= gfx10 */
#define   S_0300A0_CINVOC_COUNT_LO(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0300A0_CINVOC_COUNT_LO(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_0300A0_CINVOC_COUNT_LO                                    0x00000000
#define R_0300A4_CP_PA_CINVOC_COUNT_HI                                  0x0300A4 /* >= gfx10 */
#define   S_0300A4_CINVOC_COUNT_HI(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0300A4_CINVOC_COUNT_HI(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_0300A4_CINVOC_COUNT_HI                                    0x00000000
#define R_0300A8_CP_PA_CPRIM_COUNT_LO                                   0x0300A8 /* >= gfx10 */
#define   S_0300A8_CPRIM_COUNT_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0300A8_CPRIM_COUNT_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_0300A8_CPRIM_COUNT_LO                                     0x00000000
#define R_0300AC_CP_PA_CPRIM_COUNT_HI                                   0x0300AC /* >= gfx10 */
#define   S_0300AC_CPRIM_COUNT_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0300AC_CPRIM_COUNT_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_0300AC_CPRIM_COUNT_HI                                     0x00000000
#define R_0300B0_CP_SC_PSINVOC_COUNT0_LO                                0x0300B0 /* >= gfx10 */
#define   S_0300B0_PSINVOC_COUNT0_LO(x)                               (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0300B0_PSINVOC_COUNT0_LO(x)                               (((x) >> 0) & 0xFFFFFFFF)
#define   C_0300B0_PSINVOC_COUNT0_LO                                  0x00000000
#define R_0300B4_CP_SC_PSINVOC_COUNT0_HI                                0x0300B4 /* >= gfx10 */
#define   S_0300B4_PSINVOC_COUNT0_HI(x)                               (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0300B4_PSINVOC_COUNT0_HI(x)                               (((x) >> 0) & 0xFFFFFFFF)
#define   C_0300B4_PSINVOC_COUNT0_HI                                  0x00000000
#define R_0300B8_CP_SC_PSINVOC_COUNT1_LO                                0x0300B8 /* >= gfx10 */
#define   S_0300B8_OBSOLETE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0300B8_OBSOLETE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_0300B8_OBSOLETE                                           0x00000000
#define R_0300BC_CP_SC_PSINVOC_COUNT1_HI                                0x0300BC /* >= gfx10 */
#define   S_0300BC_OBSOLETE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0300BC_OBSOLETE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_0300BC_OBSOLETE                                           0x00000000
#define R_0300C0_CP_VGT_CSINVOC_COUNT_LO                                0x0300C0 /* >= gfx10 */
#define   S_0300C0_CSINVOC_COUNT_LO(x)                                (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0300C0_CSINVOC_COUNT_LO(x)                                (((x) >> 0) & 0xFFFFFFFF)
#define   C_0300C0_CSINVOC_COUNT_LO                                   0x00000000
#define R_0300C4_CP_VGT_CSINVOC_COUNT_HI                                0x0300C4 /* >= gfx10 */
#define   S_0300C4_CSINVOC_COUNT_HI(x)                                (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0300C4_CSINVOC_COUNT_HI(x)                                (((x) >> 0) & 0xFFFFFFFF)
#define   C_0300C4_CSINVOC_COUNT_HI                                   0x00000000
#define R_0300C8_CP_EOP_DONE_DOORBELL                                   0x0300C8 /* >= gfx10 */
#define   S_0300C8_DOORBELL_OFFSET(x)                                 (((unsigned)(x) & 0x3FFFFFF) << 2)
#define   G_0300C8_DOORBELL_OFFSET(x)                                 (((x) >> 2) & 0x3FFFFFF)
#define   C_0300C8_DOORBELL_OFFSET                                    0xF0000003
#define R_0300CC_CP_STREAM_OUT_DOORBELL                                 0x0300CC /* >= gfx10 */
#define   S_0300CC_DOORBELL_OFFSET(x)                                 (((unsigned)(x) & 0x3FFFFFF) << 2)
#define   G_0300CC_DOORBELL_OFFSET(x)                                 (((x) >> 2) & 0x3FFFFFF)
#define   C_0300CC_DOORBELL_OFFSET                                    0xF0000003
#define R_0300F0_CP_PIPE_STATS_DOORBELL                                 0x0300F0 /* >= gfx10 */
#define   S_0300F0_DOORBELL_OFFSET(x)                                 (((unsigned)(x) & 0x3FFFFFF) << 2)
#define   G_0300F0_DOORBELL_OFFSET(x)                                 (((x) >> 2) & 0x3FFFFFF)
#define   C_0300F0_DOORBELL_OFFSET                                    0xF0000003
#define R_0300F4_CP_PIPE_STATS_CONTROL                                  0x0300F4 /* >= gfx10 */
#define   S_0300F4_CACHE_POLICY(x)                                    (((unsigned)(x) & 0x3) << 25)
#define   G_0300F4_CACHE_POLICY(x)                                    (((x) >> 25) & 0x3)
#define   C_0300F4_CACHE_POLICY                                       0xF9FFFFFF
#define R_0300F8_CP_STREAM_OUT_CONTROL                                  0x0300F8 /* >= gfx10 */
#define   S_0300F8_CACHE_POLICY(x)                                    (((unsigned)(x) & 0x3) << 25)
#define   G_0300F8_CACHE_POLICY(x)                                    (((x) >> 25) & 0x3)
#define   C_0300F8_CACHE_POLICY                                       0xF9FFFFFF
#define R_0300FC_CP_STRMOUT_CNTL                                        0x0300FC /* >= gfx7 */
#define   S_0300FC_OFFSET_UPDATE_DONE(x)                              (((unsigned)(x) & 0x1) << 0)
#define   G_0300FC_OFFSET_UPDATE_DONE(x)                              (((x) >> 0) & 0x1)
#define   C_0300FC_OFFSET_UPDATE_DONE                                 0xFFFFFFFE
#define R_030100_GUI_SCRATCH_REG0                                       0x030100 /* >= gfx10 */
#define   S_030100_SCRATCH_REG0(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030100_SCRATCH_REG0(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_030100_SCRATCH_REG0                                       0x00000000
#define R_030100_SCRATCH_REG0                                           0x030100 /* >= gfx10 */
#define R_030104_GUI_SCRATCH_REG1                                       0x030104 /* >= gfx10 */
#define   S_030104_SCRATCH_REG1(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030104_SCRATCH_REG1(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_030104_SCRATCH_REG1                                       0x00000000
#define R_030104_SCRATCH_REG1                                           0x030104 /* >= gfx10 */
#define R_030108_GUI_SCRATCH_REG2                                       0x030108 /* >= gfx10 */
#define   S_030108_SCRATCH_REG2(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030108_SCRATCH_REG2(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_030108_SCRATCH_REG2                                       0x00000000
#define R_030108_SCRATCH_REG2                                           0x030108 /* >= gfx10 */
#define R_03010C_GUI_SCRATCH_REG3                                       0x03010C /* >= gfx10 */
#define   S_03010C_SCRATCH_REG3(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03010C_SCRATCH_REG3(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_03010C_SCRATCH_REG3                                       0x00000000
#define R_03010C_SCRATCH_REG3                                           0x03010C /* >= gfx10 */
#define R_030110_GUI_SCRATCH_REG4                                       0x030110 /* >= gfx10 */
#define   S_030110_SCRATCH_REG4(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030110_SCRATCH_REG4(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_030110_SCRATCH_REG4                                       0x00000000
#define R_030110_SCRATCH_REG4                                           0x030110 /* >= gfx10 */
#define R_030114_GUI_SCRATCH_REG5                                       0x030114 /* >= gfx10 */
#define   S_030114_SCRATCH_REG5(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030114_SCRATCH_REG5(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_030114_SCRATCH_REG5                                       0x00000000
#define R_030114_SCRATCH_REG5                                           0x030114 /* >= gfx10 */
#define R_030118_GUI_SCRATCH_REG6                                       0x030118 /* >= gfx10 */
#define   S_030118_SCRATCH_REG6(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030118_SCRATCH_REG6(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_030118_SCRATCH_REG6                                       0x00000000
#define R_030118_SCRATCH_REG6                                           0x030118 /* >= gfx10 */
#define R_03011C_GUI_SCRATCH_REG7                                       0x03011C /* >= gfx10 */
#define   S_03011C_SCRATCH_REG7(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03011C_SCRATCH_REG7(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_03011C_SCRATCH_REG7                                       0x00000000
#define R_03011C_SCRATCH_REG7                                           0x03011C /* >= gfx10 */
#define R_03012C_CP_APPEND_DDID_CNT                                     0x03012C /* >= gfx10 */
#define   S_03012C_DATA(x)                                            (((unsigned)(x) & 0xFF) << 0)
#define   G_03012C_DATA(x)                                            (((x) >> 0) & 0xFF)
#define   C_03012C_DATA                                               0xFFFFFF00
#define R_030130_CP_APPEND_DATA_HI                                      0x030130 /* >= gfx10 */
#define   S_030130_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030130_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_030130_DATA                                               0x00000000
#define R_030134_CP_APPEND_LAST_CS_FENCE_HI                             0x030134 /* >= gfx10 */
#define   S_030134_LAST_FENCE(x)                                      (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030134_LAST_FENCE(x)                                      (((x) >> 0) & 0xFFFFFFFF)
#define   C_030134_LAST_FENCE                                         0x00000000
#define R_030138_CP_APPEND_LAST_PS_FENCE_HI                             0x030138 /* >= gfx10 */
#define   S_030138_LAST_FENCE(x)                                      (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030138_LAST_FENCE(x)                                      (((x) >> 0) & 0xFFFFFFFF)
#define   C_030138_LAST_FENCE                                         0x00000000
#define R_030140_SCRATCH_UMSK                                           0x030140 /* >= gfx10 */
#define   S_030140_OBSOLETE_UMSK(x)                                   (((unsigned)(x) & 0xFF) << 0)
#define   G_030140_OBSOLETE_UMSK(x)                                   (((x) >> 0) & 0xFF)
#define   C_030140_OBSOLETE_UMSK                                      0xFFFFFF00
#define   S_030140_OBSOLETE_SWAP(x)                                   (((unsigned)(x) & 0x3) << 16)
#define   G_030140_OBSOLETE_SWAP(x)                                   (((x) >> 16) & 0x3)
#define   C_030140_OBSOLETE_SWAP                                      0xFFFCFFFF
#define R_030144_SCRATCH_ADDR                                           0x030144 /* >= gfx10 */
#define   S_030144_OBSOLETE_ADDR(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030144_OBSOLETE_ADDR(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_030144_OBSOLETE_ADDR                                      0x00000000
#define R_030148_CP_PFP_ATOMIC_PREOP_LO                                 0x030148 /* >= gfx10 */
#define   S_030148_ATOMIC_PREOP_LO(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030148_ATOMIC_PREOP_LO(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_030148_ATOMIC_PREOP_LO                                    0x00000000
#define R_03014C_CP_PFP_ATOMIC_PREOP_HI                                 0x03014C /* >= gfx10 */
#define   S_03014C_ATOMIC_PREOP_HI(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03014C_ATOMIC_PREOP_HI(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_03014C_ATOMIC_PREOP_HI                                    0x00000000
#define R_030150_CP_PFP_GDS_ATOMIC0_PREOP_LO                            0x030150 /* >= gfx10 */
#define   S_030150_GDS_ATOMIC0_PREOP_LO(x)                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030150_GDS_ATOMIC0_PREOP_LO(x)                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_030150_GDS_ATOMIC0_PREOP_LO                               0x00000000
#define R_030154_CP_PFP_GDS_ATOMIC0_PREOP_HI                            0x030154 /* >= gfx10 */
#define   S_030154_GDS_ATOMIC0_PREOP_HI(x)                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030154_GDS_ATOMIC0_PREOP_HI(x)                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_030154_GDS_ATOMIC0_PREOP_HI                               0x00000000
#define R_030158_CP_PFP_GDS_ATOMIC1_PREOP_LO                            0x030158 /* >= gfx10 */
#define   S_030158_GDS_ATOMIC1_PREOP_LO(x)                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030158_GDS_ATOMIC1_PREOP_LO(x)                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_030158_GDS_ATOMIC1_PREOP_LO                               0x00000000
#define R_03015C_CP_PFP_GDS_ATOMIC1_PREOP_HI                            0x03015C /* >= gfx10 */
#define   S_03015C_GDS_ATOMIC1_PREOP_HI(x)                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03015C_GDS_ATOMIC1_PREOP_HI(x)                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_03015C_GDS_ATOMIC1_PREOP_HI                               0x00000000
#define R_030160_CP_APPEND_ADDR_LO                                      0x030160 /* >= gfx10 */
#define   S_030160_MEM_ADDR_LO(x)                                     (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_030160_MEM_ADDR_LO(x)                                     (((x) >> 2) & 0x3FFFFFFF)
#define   C_030160_MEM_ADDR_LO                                        0x00000003
#define R_030164_CP_APPEND_ADDR_HI                                      0x030164 /* >= gfx10 */
#define   S_030164_MEM_ADDR_HI(x)                                     (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030164_MEM_ADDR_HI(x)                                     (((x) >> 0) & 0xFFFF)
#define   C_030164_MEM_ADDR_HI                                        0xFFFF0000
#define   S_030164_CS_PS_SEL(x)                                       (((unsigned)(x) & 0x1) << 16)
#define   G_030164_CS_PS_SEL(x)                                       (((x) >> 16) & 0x1)
#define   C_030164_CS_PS_SEL                                          0xFFFEFFFF
#define   S_030164_CACHE_POLICY(x)                                    (((unsigned)(x) & 0x3) << 25)
#define   G_030164_CACHE_POLICY(x)                                    (((x) >> 25) & 0x3)
#define   C_030164_CACHE_POLICY                                       0xF9FFFFFF
#define   S_030164_COMMAND(x)                                         (((unsigned)(x) & 0x7) << 29)
#define   G_030164_COMMAND(x)                                         (((x) >> 29) & 0x7)
#define   C_030164_COMMAND                                            0x1FFFFFFF
#define R_0301A4_CP_ME_MC_WADDR_LO                                      0x0301A4 /* >= gfx10 */
#define   S_0301A4_ME_MC_WADDR_LO(x)                                  (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_0301A4_ME_MC_WADDR_LO(x)                                  (((x) >> 2) & 0x3FFFFFFF)
#define   C_0301A4_ME_MC_WADDR_LO                                     0x00000003
#define R_0301A8_CP_ME_MC_WADDR_HI                                      0x0301A8 /* >= gfx10 */
#define   S_0301A8_ME_MC_WADDR_HI(x)                                  (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0301A8_ME_MC_WADDR_HI(x)                                  (((x) >> 0) & 0xFFFF)
#define   C_0301A8_ME_MC_WADDR_HI                                     0xFFFF0000
#define   S_0301A8_CACHE_POLICY(x)                                    (((unsigned)(x) & 0x3) << 22)
#define   G_0301A8_CACHE_POLICY(x)                                    (((x) >> 22) & 0x3)
#define   C_0301A8_CACHE_POLICY                                       0xFF3FFFFF
#define R_0301AC_CP_ME_MC_WDATA_LO                                      0x0301AC /* >= gfx10 */
#define   S_0301AC_ME_MC_WDATA_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0301AC_ME_MC_WDATA_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_0301AC_ME_MC_WDATA_LO                                     0x00000000
#define R_0301B0_CP_ME_MC_WDATA_HI                                      0x0301B0 /* >= gfx10 */
#define   S_0301B0_ME_MC_WDATA_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0301B0_ME_MC_WDATA_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_0301B0_ME_MC_WDATA_HI                                     0x00000000
#define R_0301B4_CP_ME_MC_RADDR_LO                                      0x0301B4 /* >= gfx10 */
#define   S_0301B4_ME_MC_RADDR_LO(x)                                  (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_0301B4_ME_MC_RADDR_LO(x)                                  (((x) >> 2) & 0x3FFFFFFF)
#define   C_0301B4_ME_MC_RADDR_LO                                     0x00000003
#define R_0301B8_CP_ME_MC_RADDR_HI                                      0x0301B8 /* >= gfx10 */
#define   S_0301B8_ME_MC_RADDR_HI(x)                                  (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0301B8_ME_MC_RADDR_HI(x)                                  (((x) >> 0) & 0xFFFF)
#define   C_0301B8_ME_MC_RADDR_HI                                     0xFFFF0000
#define   S_0301B8_CACHE_POLICY(x)                                    (((unsigned)(x) & 0x3) << 22)
#define   G_0301B8_CACHE_POLICY(x)                                    (((x) >> 22) & 0x3)
#define   C_0301B8_CACHE_POLICY                                       0xFF3FFFFF
#define R_0301BC_CP_SEM_WAIT_TIMER                                      0x0301BC /* >= gfx10 */
#define   S_0301BC_SEM_WAIT_TIMER(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0301BC_SEM_WAIT_TIMER(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_0301BC_SEM_WAIT_TIMER                                     0x00000000
#define R_0301C0_CP_SIG_SEM_ADDR_LO                                     0x0301C0 /* >= gfx10 */
#define   S_0301C0_SEM_ADDR_SWAP(x)                                   (((unsigned)(x) & 0x3) << 0)
#define   G_0301C0_SEM_ADDR_SWAP(x)                                   (((x) >> 0) & 0x3)
#define   C_0301C0_SEM_ADDR_SWAP                                      0xFFFFFFFC
#define   S_0301C0_SEM_ADDR_LO(x)                                     (((unsigned)(x) & 0x1FFFFFFF) << 3)
#define   G_0301C0_SEM_ADDR_LO(x)                                     (((x) >> 3) & 0x1FFFFFFF)
#define   C_0301C0_SEM_ADDR_LO                                        0x00000007
#define R_0301C4_CP_SIG_SEM_ADDR_HI                                     0x0301C4 /* >= gfx10 */
#define   S_0301C4_SEM_ADDR_HI(x)                                     (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0301C4_SEM_ADDR_HI(x)                                     (((x) >> 0) & 0xFFFF)
#define   C_0301C4_SEM_ADDR_HI                                        0xFFFF0000
#define   S_0301C4_SEM_USE_MAILBOX(x)                                 (((unsigned)(x) & 0x1) << 16)
#define   G_0301C4_SEM_USE_MAILBOX(x)                                 (((x) >> 16) & 0x1)
#define   C_0301C4_SEM_USE_MAILBOX                                    0xFFFEFFFF
#define   S_0301C4_SEM_SIGNAL_TYPE(x)                                 (((unsigned)(x) & 0x1) << 20)
#define   G_0301C4_SEM_SIGNAL_TYPE(x)                                 (((x) >> 20) & 0x1)
#define   C_0301C4_SEM_SIGNAL_TYPE                                    0xFFEFFFFF
#define   S_0301C4_SEM_CLIENT_CODE(x)                                 (((unsigned)(x) & 0x3) << 24)
#define   G_0301C4_SEM_CLIENT_CODE(x)                                 (((x) >> 24) & 0x3)
#define   C_0301C4_SEM_CLIENT_CODE                                    0xFCFFFFFF
#define   S_0301C4_SEM_SELECT(x)                                      (((unsigned)(x) & 0x7) << 29)
#define   G_0301C4_SEM_SELECT(x)                                      (((x) >> 29) & 0x7)
#define   C_0301C4_SEM_SELECT                                         0x1FFFFFFF
#define R_0301D0_CP_WAIT_REG_MEM_TIMEOUT                                0x0301D0 /* >= gfx10 */
#define   S_0301D0_WAIT_REG_MEM_TIMEOUT(x)                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0301D0_WAIT_REG_MEM_TIMEOUT(x)                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_0301D0_WAIT_REG_MEM_TIMEOUT                               0x00000000
#define R_0301D4_CP_WAIT_SEM_ADDR_LO                                    0x0301D4 /* >= gfx10 */
#define   S_0301D4_SEM_ADDR_SWAP(x)                                   (((unsigned)(x) & 0x3) << 0)
#define   G_0301D4_SEM_ADDR_SWAP(x)                                   (((x) >> 0) & 0x3)
#define   C_0301D4_SEM_ADDR_SWAP                                      0xFFFFFFFC
#define   S_0301D4_SEM_ADDR_LO(x)                                     (((unsigned)(x) & 0x1FFFFFFF) << 3)
#define   G_0301D4_SEM_ADDR_LO(x)                                     (((x) >> 3) & 0x1FFFFFFF)
#define   C_0301D4_SEM_ADDR_LO                                        0x00000007
#define R_0301D8_CP_WAIT_SEM_ADDR_HI                                    0x0301D8 /* >= gfx10 */
#define   S_0301D8_SEM_ADDR_HI(x)                                     (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0301D8_SEM_ADDR_HI(x)                                     (((x) >> 0) & 0xFFFF)
#define   C_0301D8_SEM_ADDR_HI                                        0xFFFF0000
#define   S_0301D8_SEM_USE_MAILBOX(x)                                 (((unsigned)(x) & 0x1) << 16)
#define   G_0301D8_SEM_USE_MAILBOX(x)                                 (((x) >> 16) & 0x1)
#define   C_0301D8_SEM_USE_MAILBOX                                    0xFFFEFFFF
#define   S_0301D8_SEM_SIGNAL_TYPE(x)                                 (((unsigned)(x) & 0x1) << 20)
#define   G_0301D8_SEM_SIGNAL_TYPE(x)                                 (((x) >> 20) & 0x1)
#define   C_0301D8_SEM_SIGNAL_TYPE                                    0xFFEFFFFF
#define   S_0301D8_SEM_CLIENT_CODE(x)                                 (((unsigned)(x) & 0x3) << 24)
#define   G_0301D8_SEM_CLIENT_CODE(x)                                 (((x) >> 24) & 0x3)
#define   C_0301D8_SEM_CLIENT_CODE                                    0xFCFFFFFF
#define   S_0301D8_SEM_SELECT(x)                                      (((unsigned)(x) & 0x7) << 29)
#define   G_0301D8_SEM_SELECT(x)                                      (((x) >> 29) & 0x7)
#define   C_0301D8_SEM_SELECT                                         0x1FFFFFFF
#define R_0301E4_CP_COHER_BASE_HI                                       0x0301E4 /* >= gfx7 */
#define   S_0301E4_COHER_BASE_HI_256B(x)                              (((unsigned)(x) & 0xFF) << 0)
#define   G_0301E4_COHER_BASE_HI_256B(x)                              (((x) >> 0) & 0xFF)
#define   C_0301E4_COHER_BASE_HI_256B                                 0xFFFFFF00
#define R_0301EC_CP_COHER_START_DELAY                                   0x0301EC /* >= gfx7 */
#define   S_0301EC_START_DELAY_COUNT(x)                               (((unsigned)(x) & 0x3F) << 0)
#define   G_0301EC_START_DELAY_COUNT(x)                               (((x) >> 0) & 0x3F)
#define   C_0301EC_START_DELAY_COUNT                                  0xFFFFFFC0
#define R_0301F0_CP_COHER_CNTL                                          0x0301F0 /* >= gfx7 */
#define   S_0301F0_DEST_BASE_0_ENA(x)                                 (((unsigned)(x) & 0x1) << 0) /* gfx7, gfx8, fiji, stoney */
#define   G_0301F0_DEST_BASE_0_ENA(x)                                 (((x) >> 0) & 0x1)
#define   C_0301F0_DEST_BASE_0_ENA                                    0xFFFFFFFE
#define   S_0301F0_DEST_BASE_1_ENA(x)                                 (((unsigned)(x) & 0x1) << 1) /* gfx7, gfx8, fiji, stoney */
#define   G_0301F0_DEST_BASE_1_ENA(x)                                 (((x) >> 1) & 0x1)
#define   C_0301F0_DEST_BASE_1_ENA                                    0xFFFFFFFD
#define   S_0301F0_TC_SD_ACTION_ENA(x)                                (((unsigned)(x) & 0x1) << 2) /* gfx8, fiji, stoney */
#define   G_0301F0_TC_SD_ACTION_ENA(x)                                (((x) >> 2) & 0x1)
#define   C_0301F0_TC_SD_ACTION_ENA                                   0xFFFFFFFB
#define   S_0301F0_TC_NC_ACTION_ENA(x)                                (((unsigned)(x) & 0x1) << 3) /* >= gfx8 */
#define   G_0301F0_TC_NC_ACTION_ENA(x)                                (((x) >> 3) & 0x1)
#define   C_0301F0_TC_NC_ACTION_ENA                                   0xFFFFFFF7
#define   S_0301F0_TC_WC_ACTION_ENA(x)                                (((unsigned)(x) & 0x1) << 4) /* >= gfx9 */
#define   G_0301F0_TC_WC_ACTION_ENA(x)                                (((x) >> 4) & 0x1)
#define   C_0301F0_TC_WC_ACTION_ENA                                   0xFFFFFFEF
#define   S_0301F0_TC_INV_METADATA_ACTION_ENA(x)                      (((unsigned)(x) & 0x1) << 5) /* >= gfx9 */
#define   G_0301F0_TC_INV_METADATA_ACTION_ENA(x)                      (((x) >> 5) & 0x1)
#define   C_0301F0_TC_INV_METADATA_ACTION_ENA                         0xFFFFFFDF
#define   S_0301F0_CB0_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 6) /* gfx7, gfx8, fiji, stoney */
#define   G_0301F0_CB0_DEST_BASE_ENA(x)                               (((x) >> 6) & 0x1)
#define   C_0301F0_CB0_DEST_BASE_ENA                                  0xFFFFFFBF
#define   S_0301F0_CB1_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 7) /* gfx7, gfx8, fiji, stoney */
#define   G_0301F0_CB1_DEST_BASE_ENA(x)                               (((x) >> 7) & 0x1)
#define   C_0301F0_CB1_DEST_BASE_ENA                                  0xFFFFFF7F
#define   S_0301F0_CB2_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 8) /* gfx7, gfx8, fiji, stoney */
#define   G_0301F0_CB2_DEST_BASE_ENA(x)                               (((x) >> 8) & 0x1)
#define   C_0301F0_CB2_DEST_BASE_ENA                                  0xFFFFFEFF
#define   S_0301F0_CB3_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 9) /* gfx7, gfx8, fiji, stoney */
#define   G_0301F0_CB3_DEST_BASE_ENA(x)                               (((x) >> 9) & 0x1)
#define   C_0301F0_CB3_DEST_BASE_ENA                                  0xFFFFFDFF
#define   S_0301F0_CB4_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 10) /* gfx7, gfx8, fiji, stoney */
#define   G_0301F0_CB4_DEST_BASE_ENA(x)                               (((x) >> 10) & 0x1)
#define   C_0301F0_CB4_DEST_BASE_ENA                                  0xFFFFFBFF
#define   S_0301F0_CB5_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 11) /* gfx7, gfx8, fiji, stoney */
#define   G_0301F0_CB5_DEST_BASE_ENA(x)                               (((x) >> 11) & 0x1)
#define   C_0301F0_CB5_DEST_BASE_ENA                                  0xFFFFF7FF
#define   S_0301F0_CB6_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 12) /* gfx7, gfx8, fiji, stoney */
#define   G_0301F0_CB6_DEST_BASE_ENA(x)                               (((x) >> 12) & 0x1)
#define   C_0301F0_CB6_DEST_BASE_ENA                                  0xFFFFEFFF
#define   S_0301F0_CB7_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 13) /* gfx7, gfx8, fiji, stoney */
#define   G_0301F0_CB7_DEST_BASE_ENA(x)                               (((x) >> 13) & 0x1)
#define   C_0301F0_CB7_DEST_BASE_ENA                                  0xFFFFDFFF
#define   S_0301F0_DB_DEST_BASE_ENA(x)                                (((unsigned)(x) & 0x1) << 14) /* gfx7, gfx8, fiji, stoney */
#define   G_0301F0_DB_DEST_BASE_ENA(x)                                (((x) >> 14) & 0x1)
#define   C_0301F0_DB_DEST_BASE_ENA                                   0xFFFFBFFF
#define   S_0301F0_TCL1_VOL_ACTION_ENA(x)                             (((unsigned)(x) & 0x1) << 15)
#define   G_0301F0_TCL1_VOL_ACTION_ENA(x)                             (((x) >> 15) & 0x1)
#define   C_0301F0_TCL1_VOL_ACTION_ENA                                0xFFFF7FFF
#define   S_0301F0_TC_VOL_ACTION_ENA(x)                               (((unsigned)(x) & 0x1) << 16) /* gfx7 */
#define   G_0301F0_TC_VOL_ACTION_ENA(x)                               (((x) >> 16) & 0x1)
#define   C_0301F0_TC_VOL_ACTION_ENA                                  0xFFFEFFFF
#define   S_0301F0_TC_WB_ACTION_ENA(x)                                (((unsigned)(x) & 0x1) << 18)
#define   G_0301F0_TC_WB_ACTION_ENA(x)                                (((x) >> 18) & 0x1)
#define   C_0301F0_TC_WB_ACTION_ENA                                   0xFFFBFFFF
#define   S_0301F0_DEST_BASE_2_ENA(x)                                 (((unsigned)(x) & 0x1) << 19) /* gfx7, gfx8, fiji, stoney */
#define   G_0301F0_DEST_BASE_2_ENA(x)                                 (((x) >> 19) & 0x1)
#define   C_0301F0_DEST_BASE_2_ENA                                    0xFFF7FFFF
#define   S_0301F0_DEST_BASE_3_ENA(x)                                 (((unsigned)(x) & 0x1) << 21) /* gfx7, gfx8, fiji, stoney */
#define   G_0301F0_DEST_BASE_3_ENA(x)                                 (((x) >> 21) & 0x1)
#define   C_0301F0_DEST_BASE_3_ENA                                    0xFFDFFFFF
#define   S_0301F0_TCL1_ACTION_ENA(x)                                 (((unsigned)(x) & 0x1) << 22)
#define   G_0301F0_TCL1_ACTION_ENA(x)                                 (((x) >> 22) & 0x1)
#define   C_0301F0_TCL1_ACTION_ENA                                    0xFFBFFFFF
#define   S_0301F0_TC_ACTION_ENA(x)                                   (((unsigned)(x) & 0x1) << 23)
#define   G_0301F0_TC_ACTION_ENA(x)                                   (((x) >> 23) & 0x1)
#define   C_0301F0_TC_ACTION_ENA                                      0xFF7FFFFF
#define   S_0301F0_CB_ACTION_ENA(x)                                   (((unsigned)(x) & 0x1) << 25)
#define   G_0301F0_CB_ACTION_ENA(x)                                   (((x) >> 25) & 0x1)
#define   C_0301F0_CB_ACTION_ENA                                      0xFDFFFFFF
#define   S_0301F0_DB_ACTION_ENA(x)                                   (((unsigned)(x) & 0x1) << 26)
#define   G_0301F0_DB_ACTION_ENA(x)                                   (((x) >> 26) & 0x1)
#define   C_0301F0_DB_ACTION_ENA                                      0xFBFFFFFF
#define   S_0301F0_SH_KCACHE_ACTION_ENA(x)                            (((unsigned)(x) & 0x1) << 27)
#define   G_0301F0_SH_KCACHE_ACTION_ENA(x)                            (((x) >> 27) & 0x1)
#define   C_0301F0_SH_KCACHE_ACTION_ENA                               0xF7FFFFFF
#define   S_0301F0_SH_KCACHE_VOL_ACTION_ENA(x)                        (((unsigned)(x) & 0x1) << 28)
#define   G_0301F0_SH_KCACHE_VOL_ACTION_ENA(x)                        (((x) >> 28) & 0x1)
#define   C_0301F0_SH_KCACHE_VOL_ACTION_ENA                           0xEFFFFFFF
#define   S_0301F0_SH_ICACHE_ACTION_ENA(x)                            (((unsigned)(x) & 0x1) << 29)
#define   G_0301F0_SH_ICACHE_ACTION_ENA(x)                            (((x) >> 29) & 0x1)
#define   C_0301F0_SH_ICACHE_ACTION_ENA                               0xDFFFFFFF
#define   S_0301F0_SH_KCACHE_WB_ACTION_ENA(x)                         (((unsigned)(x) & 0x1) << 30) /* >= gfx8 */
#define   G_0301F0_SH_KCACHE_WB_ACTION_ENA(x)                         (((x) >> 30) & 0x1)
#define   C_0301F0_SH_KCACHE_WB_ACTION_ENA                            0xBFFFFFFF
#define   S_0301F0_SH_SD_ACTION_ENA(x)                                (((unsigned)(x) & 0x1) << 31) /* gfx8, fiji, stoney */
#define   G_0301F0_SH_SD_ACTION_ENA(x)                                (((x) >> 31) & 0x1)
#define   C_0301F0_SH_SD_ACTION_ENA                                   0x7FFFFFFF
#define R_0301F4_CP_COHER_SIZE                                          0x0301F4 /* >= gfx7 */
#define   S_0301F4_COHER_SIZE_256B(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0301F4_COHER_SIZE_256B(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_0301F4_COHER_SIZE_256B                                    0x00000000
#define R_0301F8_CP_COHER_BASE                                          0x0301F8 /* >= gfx7 */
#define   S_0301F8_COHER_BASE_256B(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0301F8_COHER_BASE_256B(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_0301F8_COHER_BASE_256B                                    0x00000000
#define R_0301FC_CP_COHER_STATUS                                        0x0301FC /* >= gfx7 */
#define   S_0301FC_MATCHING_GFX_CNTX(x)                               (((unsigned)(x) & 0xFF) << 0) /* gfx7, gfx8, fiji, stoney */
#define   G_0301FC_MATCHING_GFX_CNTX(x)                               (((x) >> 0) & 0xFF)
#define   C_0301FC_MATCHING_GFX_CNTX                                  0xFFFFFF00
#define   S_0301FC_MEID(x)                                            (((unsigned)(x) & 0x3) << 24)
#define   G_0301FC_MEID(x)                                            (((x) >> 24) & 0x3)
#define   C_0301FC_MEID                                               0xFCFFFFFF
#define   S_0301FC_PHASE1_STATUS(x)                                   (((unsigned)(x) & 0x1) << 30) /* gfx7, gfx8, fiji, stoney */
#define   G_0301FC_PHASE1_STATUS(x)                                   (((x) >> 30) & 0x1)
#define   C_0301FC_PHASE1_STATUS                                      0xBFFFFFFF
#define   S_0301FC_STATUS(x)                                          (((unsigned)(x) & 0x1) << 31)
#define   G_0301FC_STATUS(x)                                          (((x) >> 31) & 0x1)
#define   C_0301FC_STATUS                                             0x7FFFFFFF
#define R_030228_CP_DMA_CNTL                                            0x030228 /* >= gfx10 */
#define   S_030228_UTCL1_FAULT_CONTROL(x)                             (((unsigned)(x) & 0x1) << 0)
#define   G_030228_UTCL1_FAULT_CONTROL(x)                             (((x) >> 0) & 0x1)
#define   C_030228_UTCL1_FAULT_CONTROL                                0xFFFFFFFE
#define   S_030228_WATCH_CONTROL(x)                                   (((unsigned)(x) & 0x1) << 1)
#define   G_030228_WATCH_CONTROL(x)                                   (((x) >> 1) & 0x1)
#define   C_030228_WATCH_CONTROL                                      0xFFFFFFFD
#define   S_030228_MIN_AVAILSZ(x)                                     (((unsigned)(x) & 0x3) << 4)
#define   G_030228_MIN_AVAILSZ(x)                                     (((x) >> 4) & 0x3)
#define   C_030228_MIN_AVAILSZ                                        0xFFFFFFCF
#define   S_030228_BUFFER_DEPTH(x)                                    (((unsigned)(x) & 0x1FF) << 16)
#define   G_030228_BUFFER_DEPTH(x)                                    (((x) >> 16) & 0x1FF)
#define   C_030228_BUFFER_DEPTH                                       0xFE00FFFF
#define   S_030228_PIO_FIFO_EMPTY(x)                                  (((unsigned)(x) & 0x1) << 28)
#define   G_030228_PIO_FIFO_EMPTY(x)                                  (((x) >> 28) & 0x1)
#define   C_030228_PIO_FIFO_EMPTY                                     0xEFFFFFFF
#define   S_030228_PIO_FIFO_FULL(x)                                   (((unsigned)(x) & 0x1) << 29)
#define   G_030228_PIO_FIFO_FULL(x)                                   (((x) >> 29) & 0x1)
#define   C_030228_PIO_FIFO_FULL                                      0xDFFFFFFF
#define   S_030228_PIO_COUNT(x)                                       (((unsigned)(x) & 0x3) << 30)
#define   G_030228_PIO_COUNT(x)                                       (((x) >> 30) & 0x3)
#define   C_030228_PIO_COUNT                                          0x3FFFFFFF
#define R_03022C_CP_DMA_READ_TAGS                                       0x03022C /* >= gfx10 */
#define   S_03022C_DMA_READ_TAG(x)                                    (((unsigned)(x) & 0x3FFFFFF) << 0)
#define   G_03022C_DMA_READ_TAG(x)                                    (((x) >> 0) & 0x3FFFFFF)
#define   C_03022C_DMA_READ_TAG                                       0xFC000000
#define   S_03022C_DMA_READ_TAG_VALID(x)                              (((unsigned)(x) & 0x1) << 28)
#define   G_03022C_DMA_READ_TAG_VALID(x)                              (((x) >> 28) & 0x1)
#define   C_03022C_DMA_READ_TAG_VALID                                 0xEFFFFFFF
#define R_030230_CP_COHER_SIZE_HI                                       0x030230
#define   S_030230_COHER_SIZE_HI_256B(x)                              (((unsigned)(x) & 0xFF) << 0)
#define   G_030230_COHER_SIZE_HI_256B(x)                              (((x) >> 0) & 0xFF)
#define   C_030230_COHER_SIZE_HI_256B                                 0xFFFFFF00
#define R_030234_CP_PFP_IB_CONTROL                                      0x030234 /* >= gfx10 */
#define   S_030234_IB_EN(x)                                           (((unsigned)(x) & 0xFF) << 0)
#define   G_030234_IB_EN(x)                                           (((x) >> 0) & 0xFF)
#define   C_030234_IB_EN                                              0xFFFFFF00
#define R_030238_CP_PFP_LOAD_CONTROL                                    0x030238 /* >= gfx10 */
#define   S_030238_CONFIG_REG_EN(x)                                   (((unsigned)(x) & 0x1) << 0)
#define   G_030238_CONFIG_REG_EN(x)                                   (((x) >> 0) & 0x1)
#define   C_030238_CONFIG_REG_EN                                      0xFFFFFFFE
#define   S_030238_CNTX_REG_EN(x)                                     (((unsigned)(x) & 0x1) << 1)
#define   G_030238_CNTX_REG_EN(x)                                     (((x) >> 1) & 0x1)
#define   C_030238_CNTX_REG_EN                                        0xFFFFFFFD
#define   S_030238_SH_GFX_REG_EN(x)                                   (((unsigned)(x) & 0x1) << 16)
#define   G_030238_SH_GFX_REG_EN(x)                                   (((x) >> 16) & 0x1)
#define   C_030238_SH_GFX_REG_EN                                      0xFFFEFFFF
#define   S_030238_SH_CS_REG_EN(x)                                    (((unsigned)(x) & 0x1) << 24)
#define   G_030238_SH_CS_REG_EN(x)                                    (((x) >> 24) & 0x1)
#define   C_030238_SH_CS_REG_EN                                       0xFEFFFFFF
#define R_03023C_CP_SCRATCH_INDEX                                       0x03023C /* >= gfx10 */
#define   S_03023C_SCRATCH_INDEX(x)                                   (((unsigned)(x) & 0xFF) << 0)
#define   G_03023C_SCRATCH_INDEX(x)                                   (((x) >> 0) & 0xFF)
#define   C_03023C_SCRATCH_INDEX                                      0xFFFFFF00
#define   S_03023C_SCRATCH_INDEX_64BIT_MODE(x)                        (((unsigned)(x) & 0x1) << 31)
#define   G_03023C_SCRATCH_INDEX_64BIT_MODE(x)                        (((x) >> 31) & 0x1)
#define   C_03023C_SCRATCH_INDEX_64BIT_MODE                           0x7FFFFFFF
#define R_030240_CP_SCRATCH_DATA                                        0x030240 /* >= gfx10 */
#define   S_030240_SCRATCH_DATA(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030240_SCRATCH_DATA(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_030240_SCRATCH_DATA                                       0x00000000
#define R_030248_CP_IB1_OFFSET                                          0x030248 /* >= gfx10 */
#define   S_030248_IB1_OFFSET(x)                                      (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_030248_IB1_OFFSET(x)                                      (((x) >> 0) & 0xFFFFF)
#define   C_030248_IB1_OFFSET                                         0xFFF00000
#define R_03024C_CP_IB2_OFFSET                                          0x03024C /* >= gfx10 */
#define   S_03024C_IB2_OFFSET(x)                                      (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_03024C_IB2_OFFSET(x)                                      (((x) >> 0) & 0xFFFFF)
#define   C_03024C_IB2_OFFSET                                         0xFFF00000
#define R_030250_CP_IB1_PREAMBLE_BEGIN                                  0x030250 /* >= gfx10 */
#define   S_030250_IB1_PREAMBLE_BEGIN(x)                              (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_030250_IB1_PREAMBLE_BEGIN(x)                              (((x) >> 0) & 0xFFFFF)
#define   C_030250_IB1_PREAMBLE_BEGIN                                 0xFFF00000
#define R_030254_CP_IB1_PREAMBLE_END                                    0x030254 /* >= gfx10 */
#define   S_030254_IB1_PREAMBLE_END(x)                                (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_030254_IB1_PREAMBLE_END(x)                                (((x) >> 0) & 0xFFFFF)
#define   C_030254_IB1_PREAMBLE_END                                   0xFFF00000
#define R_030258_CP_IB2_PREAMBLE_BEGIN                                  0x030258 /* >= gfx10 */
#define   S_030258_IB2_PREAMBLE_BEGIN(x)                              (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_030258_IB2_PREAMBLE_BEGIN(x)                              (((x) >> 0) & 0xFFFFF)
#define   C_030258_IB2_PREAMBLE_BEGIN                                 0xFFF00000
#define R_03025C_CP_IB2_PREAMBLE_END                                    0x03025C /* >= gfx10 */
#define   S_03025C_IB2_PREAMBLE_END(x)                                (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_03025C_IB2_PREAMBLE_END(x)                                (((x) >> 0) & 0xFFFFF)
#define   C_03025C_IB2_PREAMBLE_END                                   0xFFF00000
#define R_030260_CP_CE_IB1_OFFSET                                       0x030260 /* >= gfx10 */
#define   S_030260_IB1_OFFSET(x)                                      (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_030260_IB1_OFFSET(x)                                      (((x) >> 0) & 0xFFFFF)
#define   C_030260_IB1_OFFSET                                         0xFFF00000
#define R_030264_CP_CE_IB2_OFFSET                                       0x030264 /* >= gfx10 */
#define   S_030264_IB2_OFFSET(x)                                      (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_030264_IB2_OFFSET(x)                                      (((x) >> 0) & 0xFFFFF)
#define   C_030264_IB2_OFFSET                                         0xFFF00000
#define R_030268_CP_CE_COUNTER                                          0x030268 /* >= gfx10 */
#define   S_030268_CONST_ENGINE_COUNT(x)                              (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030268_CONST_ENGINE_COUNT(x)                              (((x) >> 0) & 0xFFFFFFFF)
#define   C_030268_CONST_ENGINE_COUNT                                 0x00000000
#define R_030270_CP_DMA_ME_CMD_ADDR_LO                                  0x030270 /* >= gfx10 */
#define   S_030270_RSVD(x)                                            (((unsigned)(x) & 0x3) << 0)
#define   G_030270_RSVD(x)                                            (((x) >> 0) & 0x3)
#define   C_030270_RSVD                                               0xFFFFFFFC
#define   S_030270_ADDR_LO(x)                                         (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_030270_ADDR_LO(x)                                         (((x) >> 2) & 0x3FFFFFFF)
#define   C_030270_ADDR_LO                                            0x00000003
#define R_030274_CP_DMA_ME_CMD_ADDR_HI                                  0x030274 /* >= gfx10 */
#define   S_030274_ADDR_HI(x)                                         (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030274_ADDR_HI(x)                                         (((x) >> 0) & 0xFFFF)
#define   C_030274_ADDR_HI                                            0xFFFF0000
#define   S_030274_RSVD(x)                                            (((unsigned)(x) & 0xFFFF) << 16)
#define   G_030274_RSVD(x)                                            (((x) >> 16) & 0xFFFF)
#define   C_030274_RSVD                                               0x0000FFFF
#define R_030278_CP_DMA_PFP_CMD_ADDR_LO                                 0x030278 /* >= gfx10 */
#define   S_030278_RSVD(x)                                            (((unsigned)(x) & 0x3) << 0)
#define   G_030278_RSVD(x)                                            (((x) >> 0) & 0x3)
#define   C_030278_RSVD                                               0xFFFFFFFC
#define   S_030278_ADDR_LO(x)                                         (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_030278_ADDR_LO(x)                                         (((x) >> 2) & 0x3FFFFFFF)
#define   C_030278_ADDR_LO                                            0x00000003
#define R_03027C_CP_DMA_PFP_CMD_ADDR_HI                                 0x03027C /* >= gfx10 */
#define   S_03027C_ADDR_HI(x)                                         (((unsigned)(x) & 0xFFFF) << 0)
#define   G_03027C_ADDR_HI(x)                                         (((x) >> 0) & 0xFFFF)
#define   C_03027C_ADDR_HI                                            0xFFFF0000
#define   S_03027C_RSVD(x)                                            (((unsigned)(x) & 0xFFFF) << 16)
#define   G_03027C_RSVD(x)                                            (((x) >> 16) & 0xFFFF)
#define   C_03027C_RSVD                                               0x0000FFFF
#define R_030280_CP_APPEND_CMD_ADDR_LO                                  0x030280 /* >= gfx10 */
#define   S_030280_RSVD(x)                                            (((unsigned)(x) & 0x3) << 0)
#define   G_030280_RSVD(x)                                            (((x) >> 0) & 0x3)
#define   C_030280_RSVD                                               0xFFFFFFFC
#define   S_030280_ADDR_LO(x)                                         (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_030280_ADDR_LO(x)                                         (((x) >> 2) & 0x3FFFFFFF)
#define   C_030280_ADDR_LO                                            0x00000003
#define R_030284_CP_APPEND_CMD_ADDR_HI                                  0x030284 /* >= gfx10 */
#define   S_030284_ADDR_HI(x)                                         (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030284_ADDR_HI(x)                                         (((x) >> 0) & 0xFFFF)
#define   C_030284_ADDR_HI                                            0xFFFF0000
#define   S_030284_RSVD(x)                                            (((unsigned)(x) & 0xFFFF) << 16)
#define   G_030284_RSVD(x)                                            (((x) >> 16) & 0xFFFF)
#define   C_030284_RSVD                                               0x0000FFFF
#define R_0302F4_CP_CE_INIT_CMD_BUFSZ                                   0x0302F4 /* >= gfx10 */
#define   S_0302F4_INIT_CMD_REQSZ(x)                                  (((unsigned)(x) & 0xFFF) << 0)
#define   G_0302F4_INIT_CMD_REQSZ(x)                                  (((x) >> 0) & 0xFFF)
#define   C_0302F4_INIT_CMD_REQSZ                                     0xFFFFF000
#define R_0302F8_CP_CE_IB1_CMD_BUFSZ                                    0x0302F8 /* >= gfx10 */
#define   S_0302F8_IB1_CMD_REQSZ(x)                                   (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_0302F8_IB1_CMD_REQSZ(x)                                   (((x) >> 0) & 0xFFFFF)
#define   C_0302F8_IB1_CMD_REQSZ                                      0xFFF00000
#define R_0302FC_CP_CE_IB2_CMD_BUFSZ                                    0x0302FC /* >= gfx10 */
#define   S_0302FC_IB2_CMD_REQSZ(x)                                   (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_0302FC_IB2_CMD_REQSZ(x)                                   (((x) >> 0) & 0xFFFFF)
#define   C_0302FC_IB2_CMD_REQSZ                                      0xFFF00000
#define R_030300_CP_IB1_CMD_BUFSZ                                       0x030300 /* >= gfx10 */
#define   S_030300_IB1_CMD_REQSZ(x)                                   (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_030300_IB1_CMD_REQSZ(x)                                   (((x) >> 0) & 0xFFFFF)
#define   C_030300_IB1_CMD_REQSZ                                      0xFFF00000
#define R_030304_CP_IB2_CMD_BUFSZ                                       0x030304 /* >= gfx10 */
#define   S_030304_IB2_CMD_REQSZ(x)                                   (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_030304_IB2_CMD_REQSZ(x)                                   (((x) >> 0) & 0xFFFFF)
#define   C_030304_IB2_CMD_REQSZ                                      0xFFF00000
#define R_030308_CP_ST_CMD_BUFSZ                                        0x030308 /* >= gfx10 */
#define   S_030308_ST_CMD_REQSZ(x)                                    (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_030308_ST_CMD_REQSZ(x)                                    (((x) >> 0) & 0xFFFFF)
#define   C_030308_ST_CMD_REQSZ                                       0xFFF00000
#define R_03030C_CP_CE_INIT_BASE_LO                                     0x03030C /* >= gfx10 */
#define   S_03030C_INIT_BASE_LO(x)                                    (((unsigned)(x) & 0x7FFFFFF) << 5)
#define   G_03030C_INIT_BASE_LO(x)                                    (((x) >> 5) & 0x7FFFFFF)
#define   C_03030C_INIT_BASE_LO                                       0x0000001F
#define R_030310_CP_CE_INIT_BASE_HI                                     0x030310 /* >= gfx10 */
#define   S_030310_INIT_BASE_HI(x)                                    (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030310_INIT_BASE_HI(x)                                    (((x) >> 0) & 0xFFFF)
#define   C_030310_INIT_BASE_HI                                       0xFFFF0000
#define R_030314_CP_CE_INIT_BUFSZ                                       0x030314 /* >= gfx10 */
#define   S_030314_INIT_BUFSZ(x)                                      (((unsigned)(x) & 0xFFF) << 0)
#define   G_030314_INIT_BUFSZ(x)                                      (((x) >> 0) & 0xFFF)
#define   C_030314_INIT_BUFSZ                                         0xFFFFF000
#define R_030318_CP_CE_IB1_BASE_LO                                      0x030318 /* >= gfx10 */
#define   S_030318_IB1_BASE_LO(x)                                     (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_030318_IB1_BASE_LO(x)                                     (((x) >> 2) & 0x3FFFFFFF)
#define   C_030318_IB1_BASE_LO                                        0x00000003
#define R_03031C_CP_CE_IB1_BASE_HI                                      0x03031C /* >= gfx10 */
#define   S_03031C_IB1_BASE_HI(x)                                     (((unsigned)(x) & 0xFFFF) << 0)
#define   G_03031C_IB1_BASE_HI(x)                                     (((x) >> 0) & 0xFFFF)
#define   C_03031C_IB1_BASE_HI                                        0xFFFF0000
#define R_030320_CP_CE_IB1_BUFSZ                                        0x030320 /* >= gfx10 */
#define   S_030320_IB1_BUFSZ(x)                                       (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_030320_IB1_BUFSZ(x)                                       (((x) >> 0) & 0xFFFFF)
#define   C_030320_IB1_BUFSZ                                          0xFFF00000
#define R_030324_CP_CE_IB2_BASE_LO                                      0x030324 /* >= gfx10 */
#define   S_030324_IB2_BASE_LO(x)                                     (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_030324_IB2_BASE_LO(x)                                     (((x) >> 2) & 0x3FFFFFFF)
#define   C_030324_IB2_BASE_LO                                        0x00000003
#define R_030328_CP_CE_IB2_BASE_HI                                      0x030328 /* >= gfx10 */
#define   S_030328_IB2_BASE_HI(x)                                     (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030328_IB2_BASE_HI(x)                                     (((x) >> 0) & 0xFFFF)
#define   C_030328_IB2_BASE_HI                                        0xFFFF0000
#define R_03032C_CP_CE_IB2_BUFSZ                                        0x03032C /* >= gfx10 */
#define   S_03032C_IB2_BUFSZ(x)                                       (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_03032C_IB2_BUFSZ(x)                                       (((x) >> 0) & 0xFFFFF)
#define   C_03032C_IB2_BUFSZ                                          0xFFF00000
#define R_030330_CP_IB1_BASE_LO                                         0x030330 /* >= gfx10 */
#define   S_030330_IB1_BASE_LO(x)                                     (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_030330_IB1_BASE_LO(x)                                     (((x) >> 2) & 0x3FFFFFFF)
#define   C_030330_IB1_BASE_LO                                        0x00000003
#define R_030334_CP_IB1_BASE_HI                                         0x030334 /* >= gfx10 */
#define   S_030334_IB1_BASE_HI(x)                                     (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030334_IB1_BASE_HI(x)                                     (((x) >> 0) & 0xFFFF)
#define   C_030334_IB1_BASE_HI                                        0xFFFF0000
#define R_030338_CP_IB1_BUFSZ                                           0x030338 /* >= gfx10 */
#define   S_030338_IB1_BUFSZ(x)                                       (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_030338_IB1_BUFSZ(x)                                       (((x) >> 0) & 0xFFFFF)
#define   C_030338_IB1_BUFSZ                                          0xFFF00000
#define R_03033C_CP_IB2_BASE_LO                                         0x03033C /* >= gfx10 */
#define   S_03033C_IB2_BASE_LO(x)                                     (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_03033C_IB2_BASE_LO(x)                                     (((x) >> 2) & 0x3FFFFFFF)
#define   C_03033C_IB2_BASE_LO                                        0x00000003
#define R_030340_CP_IB2_BASE_HI                                         0x030340 /* >= gfx10 */
#define   S_030340_IB2_BASE_HI(x)                                     (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030340_IB2_BASE_HI(x)                                     (((x) >> 0) & 0xFFFF)
#define   C_030340_IB2_BASE_HI                                        0xFFFF0000
#define R_030344_CP_IB2_BUFSZ                                           0x030344 /* >= gfx10 */
#define   S_030344_IB2_BUFSZ(x)                                       (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_030344_IB2_BUFSZ(x)                                       (((x) >> 0) & 0xFFFFF)
#define   C_030344_IB2_BUFSZ                                          0xFFF00000
#define R_030348_CP_ST_BASE_LO                                          0x030348 /* >= gfx10 */
#define   S_030348_ST_BASE_LO(x)                                      (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_030348_ST_BASE_LO(x)                                      (((x) >> 2) & 0x3FFFFFFF)
#define   C_030348_ST_BASE_LO                                         0x00000003
#define R_03034C_CP_ST_BASE_HI                                          0x03034C /* >= gfx10 */
#define   S_03034C_ST_BASE_HI(x)                                      (((unsigned)(x) & 0xFFFF) << 0)
#define   G_03034C_ST_BASE_HI(x)                                      (((x) >> 0) & 0xFFFF)
#define   C_03034C_ST_BASE_HI                                         0xFFFF0000
#define R_030350_CP_ST_BUFSZ                                            0x030350 /* >= gfx10 */
#define   S_030350_ST_BUFSZ(x)                                        (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_030350_ST_BUFSZ(x)                                        (((x) >> 0) & 0xFFFFF)
#define   C_030350_ST_BUFSZ                                           0xFFF00000
#define R_030354_CP_EOP_DONE_EVENT_CNTL                                 0x030354 /* >= gfx10 */
#define   S_030354_GCR_CNTL(x)                                        (((unsigned)(x) & 0xFFF) << 12)
#define   G_030354_GCR_CNTL(x)                                        (((x) >> 12) & 0xFFF)
#define   C_030354_GCR_CNTL                                           0xFF000FFF
#define   S_030354_CACHE_POLICY(x)                                    (((unsigned)(x) & 0x3) << 25)
#define   G_030354_CACHE_POLICY(x)                                    (((x) >> 25) & 0x3)
#define   C_030354_CACHE_POLICY                                       0xF9FFFFFF
#define   S_030354_EOP_VOLATILE(x)                                    (((unsigned)(x) & 0x1) << 27)
#define   G_030354_EOP_VOLATILE(x)                                    (((x) >> 27) & 0x1)
#define   C_030354_EOP_VOLATILE                                       0xF7FFFFFF
#define   S_030354_EXECUTE(x)                                         (((unsigned)(x) & 0x1) << 28)
#define   G_030354_EXECUTE(x)                                         (((x) >> 28) & 0x1)
#define   C_030354_EXECUTE                                            0xEFFFFFFF
#define R_030358_CP_EOP_DONE_DATA_CNTL                                  0x030358 /* >= gfx10 */
#define   S_030358_DST_SEL(x)                                         (((unsigned)(x) & 0x3) << 16)
#define   G_030358_DST_SEL(x)                                         (((x) >> 16) & 0x3)
#define   C_030358_DST_SEL                                            0xFFFCFFFF
#define   S_030358_INT_SEL(x)                                         (((unsigned)(x) & 0x7) << 24)
#define   G_030358_INT_SEL(x)                                         (((x) >> 24) & 0x7)
#define   C_030358_INT_SEL                                            0xF8FFFFFF
#define   S_030358_DATA_SEL(x)                                        (((unsigned)(x) & 0x7) << 29)
#define   G_030358_DATA_SEL(x)                                        (((x) >> 29) & 0x7)
#define   C_030358_DATA_SEL                                           0x1FFFFFFF
#define R_03035C_CP_EOP_DONE_CNTX_ID                                    0x03035C /* >= gfx10 */
#define   S_03035C_CNTX_ID(x)                                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03035C_CNTX_ID(x)                                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_03035C_CNTX_ID                                            0x00000000
#define R_030360_CP_DB_BASE_LO                                          0x030360 /* >= gfx10 */
#define   S_030360_DB_BASE_LO(x)                                      (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_030360_DB_BASE_LO(x)                                      (((x) >> 2) & 0x3FFFFFFF)
#define   C_030360_DB_BASE_LO                                         0x00000003
#define R_030364_CP_DB_BASE_HI                                          0x030364 /* >= gfx10 */
#define   S_030364_DB_BASE_HI(x)                                      (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030364_DB_BASE_HI(x)                                      (((x) >> 0) & 0xFFFF)
#define   C_030364_DB_BASE_HI                                         0xFFFF0000
#define R_030368_CP_DB_BUFSZ                                            0x030368 /* >= gfx10 */
#define   S_030368_DB_BUFSZ(x)                                        (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_030368_DB_BUFSZ(x)                                        (((x) >> 0) & 0xFFFFF)
#define   C_030368_DB_BUFSZ                                           0xFFF00000
#define R_03036C_CP_DB_CMD_BUFSZ                                        0x03036C /* >= gfx10 */
#define   S_03036C_DB_CMD_REQSZ(x)                                    (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_03036C_DB_CMD_REQSZ(x)                                    (((x) >> 0) & 0xFFFFF)
#define   C_03036C_DB_CMD_REQSZ                                       0xFFF00000
#define R_030370_CP_CE_DB_BASE_LO                                       0x030370 /* >= gfx10 */
#define   S_030370_DB_BASE_LO(x)                                      (((unsigned)(x) & 0x3FFFFFFF) << 2)
#define   G_030370_DB_BASE_LO(x)                                      (((x) >> 2) & 0x3FFFFFFF)
#define   C_030370_DB_BASE_LO                                         0x00000003
#define R_030374_CP_CE_DB_BASE_HI                                       0x030374 /* >= gfx10 */
#define   S_030374_DB_BASE_HI(x)                                      (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030374_DB_BASE_HI(x)                                      (((x) >> 0) & 0xFFFF)
#define   C_030374_DB_BASE_HI                                         0xFFFF0000
#define R_030378_CP_CE_DB_BUFSZ                                         0x030378 /* >= gfx10 */
#define   S_030378_DB_BUFSZ(x)                                        (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_030378_DB_BUFSZ(x)                                        (((x) >> 0) & 0xFFFFF)
#define   C_030378_DB_BUFSZ                                           0xFFF00000
#define R_03037C_CP_CE_DB_CMD_BUFSZ                                     0x03037C /* >= gfx10 */
#define   S_03037C_DB_CMD_REQSZ(x)                                    (((unsigned)(x) & 0xFFFFF) << 0)
#define   G_03037C_DB_CMD_REQSZ(x)                                    (((x) >> 0) & 0xFFFFF)
#define   C_03037C_DB_CMD_REQSZ                                       0xFFF00000
#define R_0303B0_CP_PFP_COMPLETION_STATUS                               0x0303B0 /* >= gfx10 */
#define   S_0303B0_STATUS(x)                                          (((unsigned)(x) & 0x3) << 0)
#define   G_0303B0_STATUS(x)                                          (((x) >> 0) & 0x3)
#define   C_0303B0_STATUS                                             0xFFFFFFFC
#define R_0303B4_CP_CE_COMPLETION_STATUS                                0x0303B4 /* >= gfx10 */
#define   S_0303B4_STATUS(x)                                          (((unsigned)(x) & 0x3) << 0)
#define   G_0303B4_STATUS(x)                                          (((x) >> 0) & 0x3)
#define   C_0303B4_STATUS                                             0xFFFFFFFC
#define R_0303B8_CP_PRED_NOT_VISIBLE                                    0x0303B8 /* >= gfx10 */
#define   S_0303B8_NOT_VISIBLE(x)                                     (((unsigned)(x) & 0x1) << 0)
#define   G_0303B8_NOT_VISIBLE(x)                                     (((x) >> 0) & 0x1)
#define   C_0303B8_NOT_VISIBLE                                        0xFFFFFFFE
#define R_0303C0_CP_PFP_METADATA_BASE_ADDR                              0x0303C0 /* >= gfx10 */
#define   S_0303C0_ADDR_LO(x)                                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0303C0_ADDR_LO(x)                                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_0303C0_ADDR_LO                                            0x00000000
#define R_0303C4_CP_PFP_METADATA_BASE_ADDR_HI                           0x0303C4 /* >= gfx10 */
#define   S_0303C4_ADDR_HI(x)                                         (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0303C4_ADDR_HI(x)                                         (((x) >> 0) & 0xFFFF)
#define   C_0303C4_ADDR_HI                                            0xFFFF0000
#define R_0303C8_CP_CE_METADATA_BASE_ADDR                               0x0303C8 /* >= gfx10 */
#define   S_0303C8_ADDR_LO(x)                                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0303C8_ADDR_LO(x)                                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_0303C8_ADDR_LO                                            0x00000000
#define R_0303CC_CP_CE_METADATA_BASE_ADDR_HI                            0x0303CC /* >= gfx10 */
#define   S_0303CC_ADDR_HI(x)                                         (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0303CC_ADDR_HI(x)                                         (((x) >> 0) & 0xFFFF)
#define   C_0303CC_ADDR_HI                                            0xFFFF0000
#define R_0303D0_CP_DRAW_INDX_INDR_ADDR                                 0x0303D0 /* >= gfx10 */
#define   S_0303D0_ADDR_LO(x)                                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0303D0_ADDR_LO(x)                                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_0303D0_ADDR_LO                                            0x00000000
#define R_0303D4_CP_DRAW_INDX_INDR_ADDR_HI                              0x0303D4 /* >= gfx10 */
#define   S_0303D4_ADDR_HI(x)                                         (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0303D4_ADDR_HI(x)                                         (((x) >> 0) & 0xFFFF)
#define   C_0303D4_ADDR_HI                                            0xFFFF0000
#define R_0303D8_CP_DISPATCH_INDR_ADDR                                  0x0303D8 /* >= gfx10 */
#define   S_0303D8_ADDR_LO(x)                                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0303D8_ADDR_LO(x)                                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_0303D8_ADDR_LO                                            0x00000000
#define R_0303DC_CP_DISPATCH_INDR_ADDR_HI                               0x0303DC /* >= gfx10 */
#define   S_0303DC_ADDR_HI(x)                                         (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0303DC_ADDR_HI(x)                                         (((x) >> 0) & 0xFFFF)
#define   C_0303DC_ADDR_HI                                            0xFFFF0000
#define R_0303E0_CP_INDEX_BASE_ADDR                                     0x0303E0 /* >= gfx10 */
#define   S_0303E0_ADDR_LO(x)                                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0303E0_ADDR_LO(x)                                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_0303E0_ADDR_LO                                            0x00000000
#define R_0303E4_CP_INDEX_BASE_ADDR_HI                                  0x0303E4 /* >= gfx10 */
#define   S_0303E4_ADDR_HI(x)                                         (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0303E4_ADDR_HI(x)                                         (((x) >> 0) & 0xFFFF)
#define   C_0303E4_ADDR_HI                                            0xFFFF0000
#define R_0303E8_CP_INDEX_TYPE                                          0x0303E8 /* >= gfx10 */
#define   S_0303E8_INDEX_TYPE(x)                                      (((unsigned)(x) & 0x3) << 0)
#define   G_0303E8_INDEX_TYPE(x)                                      (((x) >> 0) & 0x3)
#define   C_0303E8_INDEX_TYPE                                         0xFFFFFFFC
#define     V_0303E8_DI_INDEX_SIZE_16_BIT                           0
#define     V_0303E8_DI_INDEX_SIZE_32_BIT                           1
#define     V_0303E8_DI_INDEX_SIZE_8_BIT                            2
#define R_0303EC_CP_GDS_BKUP_ADDR                                       0x0303EC /* >= gfx10 */
#define   S_0303EC_ADDR_LO(x)                                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0303EC_ADDR_LO(x)                                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_0303EC_ADDR_LO                                            0x00000000
#define R_0303F0_CP_GDS_BKUP_ADDR_HI                                    0x0303F0 /* >= gfx10 */
#define   S_0303F0_ADDR_HI(x)                                         (((unsigned)(x) & 0xFFFF) << 0)
#define   G_0303F0_ADDR_HI(x)                                         (((x) >> 0) & 0xFFFF)
#define   C_0303F0_ADDR_HI                                            0xFFFF0000
#define R_0303F4_CP_SAMPLE_STATUS                                       0x0303F4 /* >= gfx10 */
#define   S_0303F4_Z_PASS_ACITVE(x)                                   (((unsigned)(x) & 0x1) << 0)
#define   G_0303F4_Z_PASS_ACITVE(x)                                   (((x) >> 0) & 0x1)
#define   C_0303F4_Z_PASS_ACITVE                                      0xFFFFFFFE
#define   S_0303F4_STREAMOUT_ACTIVE(x)                                (((unsigned)(x) & 0x1) << 1)
#define   G_0303F4_STREAMOUT_ACTIVE(x)                                (((x) >> 1) & 0x1)
#define   C_0303F4_STREAMOUT_ACTIVE                                   0xFFFFFFFD
#define   S_0303F4_PIPELINE_ACTIVE(x)                                 (((unsigned)(x) & 0x1) << 2)
#define   G_0303F4_PIPELINE_ACTIVE(x)                                 (((x) >> 2) & 0x1)
#define   C_0303F4_PIPELINE_ACTIVE                                    0xFFFFFFFB
#define   S_0303F4_STIPPLE_ACTIVE(x)                                  (((unsigned)(x) & 0x1) << 3)
#define   G_0303F4_STIPPLE_ACTIVE(x)                                  (((x) >> 3) & 0x1)
#define   C_0303F4_STIPPLE_ACTIVE                                     0xFFFFFFF7
#define   S_0303F4_VGT_BUFFERS_ACTIVE(x)                              (((unsigned)(x) & 0x1) << 4)
#define   G_0303F4_VGT_BUFFERS_ACTIVE(x)                              (((x) >> 4) & 0x1)
#define   C_0303F4_VGT_BUFFERS_ACTIVE                                 0xFFFFFFEF
#define   S_0303F4_SCREEN_EXT_ACTIVE(x)                               (((unsigned)(x) & 0x1) << 5)
#define   G_0303F4_SCREEN_EXT_ACTIVE(x)                               (((x) >> 5) & 0x1)
#define   C_0303F4_SCREEN_EXT_ACTIVE                                  0xFFFFFFDF
#define   S_0303F4_DRAW_INDIRECT_ACTIVE(x)                            (((unsigned)(x) & 0x1) << 6)
#define   G_0303F4_DRAW_INDIRECT_ACTIVE(x)                            (((x) >> 6) & 0x1)
#define   C_0303F4_DRAW_INDIRECT_ACTIVE                               0xFFFFFFBF
#define   S_0303F4_DISP_INDIRECT_ACTIVE(x)                            (((unsigned)(x) & 0x1) << 7)
#define   G_0303F4_DISP_INDIRECT_ACTIVE(x)                            (((x) >> 7) & 0x1)
#define   C_0303F4_DISP_INDIRECT_ACTIVE                               0xFFFFFF7F
#define R_0303F8_CP_ME_COHER_CNTL                                       0x0303F8 /* >= gfx10 */
#define   S_0303F8_DEST_BASE_0_ENA(x)                                 (((unsigned)(x) & 0x1) << 0)
#define   G_0303F8_DEST_BASE_0_ENA(x)                                 (((x) >> 0) & 0x1)
#define   C_0303F8_DEST_BASE_0_ENA                                    0xFFFFFFFE
#define   S_0303F8_DEST_BASE_1_ENA(x)                                 (((unsigned)(x) & 0x1) << 1)
#define   G_0303F8_DEST_BASE_1_ENA(x)                                 (((x) >> 1) & 0x1)
#define   C_0303F8_DEST_BASE_1_ENA                                    0xFFFFFFFD
#define   S_0303F8_CB0_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 6)
#define   G_0303F8_CB0_DEST_BASE_ENA(x)                               (((x) >> 6) & 0x1)
#define   C_0303F8_CB0_DEST_BASE_ENA                                  0xFFFFFFBF
#define   S_0303F8_CB1_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 7)
#define   G_0303F8_CB1_DEST_BASE_ENA(x)                               (((x) >> 7) & 0x1)
#define   C_0303F8_CB1_DEST_BASE_ENA                                  0xFFFFFF7F
#define   S_0303F8_CB2_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 8)
#define   G_0303F8_CB2_DEST_BASE_ENA(x)                               (((x) >> 8) & 0x1)
#define   C_0303F8_CB2_DEST_BASE_ENA                                  0xFFFFFEFF
#define   S_0303F8_CB3_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 9)
#define   G_0303F8_CB3_DEST_BASE_ENA(x)                               (((x) >> 9) & 0x1)
#define   C_0303F8_CB3_DEST_BASE_ENA                                  0xFFFFFDFF
#define   S_0303F8_CB4_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 10)
#define   G_0303F8_CB4_DEST_BASE_ENA(x)                               (((x) >> 10) & 0x1)
#define   C_0303F8_CB4_DEST_BASE_ENA                                  0xFFFFFBFF
#define   S_0303F8_CB5_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 11)
#define   G_0303F8_CB5_DEST_BASE_ENA(x)                               (((x) >> 11) & 0x1)
#define   C_0303F8_CB5_DEST_BASE_ENA                                  0xFFFFF7FF
#define   S_0303F8_CB6_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 12)
#define   G_0303F8_CB6_DEST_BASE_ENA(x)                               (((x) >> 12) & 0x1)
#define   C_0303F8_CB6_DEST_BASE_ENA                                  0xFFFFEFFF
#define   S_0303F8_CB7_DEST_BASE_ENA(x)                               (((unsigned)(x) & 0x1) << 13)
#define   G_0303F8_CB7_DEST_BASE_ENA(x)                               (((x) >> 13) & 0x1)
#define   C_0303F8_CB7_DEST_BASE_ENA                                  0xFFFFDFFF
#define   S_0303F8_DB_DEST_BASE_ENA(x)                                (((unsigned)(x) & 0x1) << 14)
#define   G_0303F8_DB_DEST_BASE_ENA(x)                                (((x) >> 14) & 0x1)
#define   C_0303F8_DB_DEST_BASE_ENA                                   0xFFFFBFFF
#define   S_0303F8_DEST_BASE_2_ENA(x)                                 (((unsigned)(x) & 0x1) << 19)
#define   G_0303F8_DEST_BASE_2_ENA(x)                                 (((x) >> 19) & 0x1)
#define   C_0303F8_DEST_BASE_2_ENA                                    0xFFF7FFFF
#define   S_0303F8_DEST_BASE_3_ENA(x)                                 (((unsigned)(x) & 0x1) << 21)
#define   G_0303F8_DEST_BASE_3_ENA(x)                                 (((x) >> 21) & 0x1)
#define   C_0303F8_DEST_BASE_3_ENA                                    0xFFDFFFFF
#define R_0303FC_CP_ME_COHER_SIZE                                       0x0303FC /* >= gfx10 */
#define   S_0303FC_COHER_SIZE_256B(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_0303FC_COHER_SIZE_256B(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_0303FC_COHER_SIZE_256B                                    0x00000000
#define R_030400_CP_ME_COHER_SIZE_HI                                    0x030400 /* >= gfx10 */
#define   S_030400_COHER_SIZE_HI_256B(x)                              (((unsigned)(x) & 0xFF) << 0)
#define   G_030400_COHER_SIZE_HI_256B(x)                              (((x) >> 0) & 0xFF)
#define   C_030400_COHER_SIZE_HI_256B                                 0xFFFFFF00
#define R_030404_CP_ME_COHER_BASE                                       0x030404 /* >= gfx10 */
#define   S_030404_COHER_BASE_256B(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030404_COHER_BASE_256B(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_030404_COHER_BASE_256B                                    0x00000000
#define R_030408_CP_ME_COHER_BASE_HI                                    0x030408 /* >= gfx10 */
#define   S_030408_COHER_BASE_HI_256B(x)                              (((unsigned)(x) & 0xFF) << 0)
#define   G_030408_COHER_BASE_HI_256B(x)                              (((x) >> 0) & 0xFF)
#define   C_030408_COHER_BASE_HI_256B                                 0xFFFFFF00
#define R_03040C_CP_ME_COHER_STATUS                                     0x03040C /* >= gfx10 */
#define   S_03040C_MATCHING_GFX_CNTX(x)                               (((unsigned)(x) & 0xFF) << 0)
#define   G_03040C_MATCHING_GFX_CNTX(x)                               (((x) >> 0) & 0xFF)
#define   C_03040C_MATCHING_GFX_CNTX                                  0xFFFFFF00
#define   S_03040C_STATUS(x)                                          (((unsigned)(x) & 0x1) << 31)
#define   G_03040C_STATUS(x)                                          (((x) >> 31) & 0x1)
#define   C_03040C_STATUS                                             0x7FFFFFFF
#define R_030500_RLC_GPM_PERF_COUNT_0                                   0x030500 /* >= gfx10 */
#define   S_030500_FEATURE_SEL(x)                                     (((unsigned)(x) & 0xF) << 0)
#define   G_030500_FEATURE_SEL(x)                                     (((x) >> 0) & 0xF)
#define   C_030500_FEATURE_SEL                                        0xFFFFFFF0
#define   S_030500_SE_INDEX(x)                                        (((unsigned)(x) & 0xF) << 4)
#define   G_030500_SE_INDEX(x)                                        (((x) >> 4) & 0xF)
#define   C_030500_SE_INDEX                                           0xFFFFFF0F
#define   S_030500_SA_INDEX(x)                                        (((unsigned)(x) & 0xF) << 8)
#define   G_030500_SA_INDEX(x)                                        (((x) >> 8) & 0xF)
#define   C_030500_SA_INDEX                                           0xFFFFF0FF
#define   S_030500_WGP_INDEX(x)                                       (((unsigned)(x) & 0xF) << 12)
#define   G_030500_WGP_INDEX(x)                                       (((x) >> 12) & 0xF)
#define   C_030500_WGP_INDEX                                          0xFFFF0FFF
#define   S_030500_EVENT_SEL(x)                                       (((unsigned)(x) & 0x3) << 16)
#define   G_030500_EVENT_SEL(x)                                       (((x) >> 16) & 0x3)
#define   C_030500_EVENT_SEL                                          0xFFFCFFFF
#define   S_030500_UNUSED(x)                                          (((unsigned)(x) & 0x3) << 18)
#define   G_030500_UNUSED(x)                                          (((x) >> 18) & 0x3)
#define   C_030500_UNUSED                                             0xFFF3FFFF
#define   S_030500_ENABLE(x)                                          (((unsigned)(x) & 0x1) << 20)
#define   G_030500_ENABLE(x)                                          (((x) >> 20) & 0x1)
#define   C_030500_ENABLE                                             0xFFEFFFFF
#define R_030504_RLC_GPM_PERF_COUNT_1                                   0x030504 /* >= gfx10 */
#define R_030800_GRBM_GFX_INDEX                                         0x030800 /* >= gfx7 */
#define   S_030800_INSTANCE_INDEX(x)                                  (((unsigned)(x) & 0xFF) << 0)
#define   G_030800_INSTANCE_INDEX(x)                                  (((x) >> 0) & 0xFF)
#define   C_030800_INSTANCE_INDEX                                     0xFFFFFF00
#define   S_030800_SA_INDEX(x)                                        (((unsigned)(x) & 0xFF) << 8) /* >= gfx10 */
#define   G_030800_SA_INDEX(x)                                        (((x) >> 8) & 0xFF)
#define   C_030800_SA_INDEX                                           0xFFFF00FF
#define   S_030800_SH_INDEX(x)                                        (((unsigned)(x) & 0xFF) << 8) /* gfx7, gfx8, fiji, stoney, gfx9 */
#define   G_030800_SH_INDEX(x)                                        (((x) >> 8) & 0xFF)
#define   C_030800_SH_INDEX                                           0xFFFF00FF
#define   S_030800_SE_INDEX(x)                                        (((unsigned)(x) & 0xFF) << 16)
#define   G_030800_SE_INDEX(x)                                        (((x) >> 16) & 0xFF)
#define   C_030800_SE_INDEX                                           0xFF00FFFF
#define   S_030800_SA_BROADCAST_WRITES(x)                             (((unsigned)(x) & 0x1) << 29) /* >= gfx10 */
#define   G_030800_SA_BROADCAST_WRITES(x)                             (((x) >> 29) & 0x1)
#define   C_030800_SA_BROADCAST_WRITES                                0xDFFFFFFF
#define   S_030800_SH_BROADCAST_WRITES(x)                             (((unsigned)(x) & 0x1) << 29) /* gfx7, gfx8, fiji, stoney, gfx9 */
#define   G_030800_SH_BROADCAST_WRITES(x)                             (((x) >> 29) & 0x1)
#define   C_030800_SH_BROADCAST_WRITES                                0xDFFFFFFF
#define   S_030800_INSTANCE_BROADCAST_WRITES(x)                       (((unsigned)(x) & 0x1) << 30)
#define   G_030800_INSTANCE_BROADCAST_WRITES(x)                       (((x) >> 30) & 0x1)
#define   C_030800_INSTANCE_BROADCAST_WRITES                          0xBFFFFFFF
#define   S_030800_SE_BROADCAST_WRITES(x)                             (((unsigned)(x) & 0x1) << 31)
#define   G_030800_SE_BROADCAST_WRITES(x)                             (((x) >> 31) & 0x1)
#define   C_030800_SE_BROADCAST_WRITES                                0x7FFFFFFF
#define R_030900_VGT_ESGS_RING_SIZE                                     0x030900 /* gfx7, gfx8, fiji, stoney */
#define R_030900_VGT_ESGS_RING_SIZE_UMD                                 0x030900 /* >= gfx10 */
#define   S_030900_MEM_SIZE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030900_MEM_SIZE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_030900_MEM_SIZE                                           0x00000000
#define R_030904_VGT_GSVS_RING_SIZE                                     0x030904 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_030904_VGT_GSVS_RING_SIZE_UMD                                 0x030904 /* >= gfx10 */
#define   S_030904_MEM_SIZE(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030904_MEM_SIZE(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_030904_MEM_SIZE                                           0x00000000
#define R_030908_VGT_PRIMITIVE_TYPE                                     0x030908 /* >= gfx7 */
#define   S_030908_PRIM_TYPE(x)                                       (((unsigned)(x) & 0x3F) << 0)
#define   G_030908_PRIM_TYPE(x)                                       (((x) >> 0) & 0x3F)
#define   C_030908_PRIM_TYPE                                          0xFFFFFFC0
#define     V_030908_DI_PT_NONE                                     0
#define     V_030908_DI_PT_POINTLIST                                1
#define     V_030908_DI_PT_LINELIST                                 2
#define     V_030908_DI_PT_LINESTRIP                                3
#define     V_030908_DI_PT_TRILIST                                  4
#define     V_030908_DI_PT_TRIFAN                                   5
#define     V_030908_DI_PT_TRISTRIP                                 6
#define     V_030908_DI_PT_2D_RECTANGLE                             7 /* >= gfx10 */
#define     V_030908_DI_PT_UNUSED_0                                 7 /* gfx9 */
#define     V_030908_DI_PT_UNUSED_1                                 8 /* >= gfx9 */
#define     V_030908_DI_PT_PATCH                                    9
#define     V_030908_DI_PT_LINELIST_ADJ                             10
#define     V_030908_DI_PT_LINESTRIP_ADJ                            11
#define     V_030908_DI_PT_TRILIST_ADJ                              12
#define     V_030908_DI_PT_TRISTRIP_ADJ                             13
#define     V_030908_DI_PT_UNUSED_3                                 14 /* >= gfx9 */
#define     V_030908_DI_PT_UNUSED_4                                 15 /* >= gfx9 */
#define     V_030908_DI_PT_TRI_WITH_WFLAGS                          16 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define     V_030908_DI_PT_UNUSED_5                                 16 /* >= gfx10 */
#define     V_030908_DI_PT_RECTLIST                                 17
#define     V_030908_DI_PT_LINELOOP                                 18
#define     V_030908_DI_PT_QUADLIST                                 19
#define     V_030908_DI_PT_QUADSTRIP                                20
#define     V_030908_DI_PT_POLYGON                                  21
#define     V_030908_DI_PT_2D_COPY_RECT_LIST_V0                     22 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define     V_030908_DI_PT_2D_COPY_RECT_LIST_V1                     23 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define     V_030908_DI_PT_2D_COPY_RECT_LIST_V2                     24 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define     V_030908_DI_PT_2D_COPY_RECT_LIST_V3                     25 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define     V_030908_DI_PT_2D_FILL_RECT_LIST                        26 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define     V_030908_DI_PT_2D_LINE_STRIP                            27 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define     V_030908_DI_PT_2D_TRI_STRIP                             28 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_03090C_VGT_INDEX_TYPE                                         0x03090C /* >= gfx7 */
#define   S_03090C_INDEX_TYPE(x)                                      (((unsigned)(x) & 0x3) << 0)
#define   G_03090C_INDEX_TYPE(x)                                      (((x) >> 0) & 0x3)
#define   C_03090C_INDEX_TYPE                                         0xFFFFFFFC
#define     V_03090C_DI_INDEX_SIZE_16_BIT                           0 /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define     V_03090C_DI_INDEX_SIZE_32_BIT                           1 /* gfx7, gfx8, fiji, stoney, >= gfx10 */
#define     V_03090C_DI_INDEX_SIZE_8_BIT                            2 /* >= gfx10 */
#define   S_03090C_PRIMGEN_EN(x)                                      (((unsigned)(x) & 0x1) << 8) /* gfx9 */
#define   G_03090C_PRIMGEN_EN(x)                                      (((x) >> 8) & 0x1)
#define   C_03090C_PRIMGEN_EN                                         0xFFFFFEFF
#define R_030910_VGT_STRMOUT_BUFFER_FILLED_SIZE_0                       0x030910 /* >= gfx7 */
#define   S_030910_SIZE(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030910_SIZE(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_030910_SIZE                                               0x00000000
#define R_030914_VGT_STRMOUT_BUFFER_FILLED_SIZE_1                       0x030914 /* >= gfx7 */
#define R_030918_VGT_STRMOUT_BUFFER_FILLED_SIZE_2                       0x030918 /* >= gfx7 */
#define R_03091C_VGT_STRMOUT_BUFFER_FILLED_SIZE_3                       0x03091C /* >= gfx7 */
#define R_030920_VGT_MAX_VTX_INDX                                       0x030920 /* gfx9 */
#define R_030924_GE_MIN_VTX_INDX                                        0x030924 /* >= gfx10 */
#define   S_030924_MIN_INDX(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030924_MIN_INDX(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_030924_MIN_INDX                                           0x00000000
#define R_030924_VGT_MIN_VTX_INDX                                       0x030924 /* gfx9 */
#define R_030928_GE_INDX_OFFSET                                         0x030928 /* >= gfx10 */
#define   S_030928_INDX_OFFSET(x)                                     (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030928_INDX_OFFSET(x)                                     (((x) >> 0) & 0xFFFFFFFF)
#define   C_030928_INDX_OFFSET                                        0x00000000
#define R_030928_VGT_INDX_OFFSET                                        0x030928 /* gfx9 */
#define R_03092C_GE_MULTI_PRIM_IB_RESET_EN                              0x03092C /* >= gfx10 */
#define   S_03092C_RESET_EN(x)                                        (((unsigned)(x) & 0x1) << 0)
#define   G_03092C_RESET_EN(x)                                        (((x) >> 0) & 0x1)
#define   C_03092C_RESET_EN                                           0xFFFFFFFE
#define   S_03092C_MATCH_ALL_BITS(x)                                  (((unsigned)(x) & 0x1) << 1)
#define   G_03092C_MATCH_ALL_BITS(x)                                  (((x) >> 1) & 0x1)
#define   C_03092C_MATCH_ALL_BITS                                     0xFFFFFFFD
#define R_03092C_VGT_MULTI_PRIM_IB_RESET_EN                             0x03092C /* gfx9 */
#define R_030930_VGT_NUM_INDICES                                        0x030930 /* >= gfx7 */
#define   S_030930_NUM_INDICES(x)                                     (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030930_NUM_INDICES(x)                                     (((x) >> 0) & 0xFFFFFFFF)
#define   C_030930_NUM_INDICES                                        0x00000000
#define R_030934_VGT_NUM_INSTANCES                                      0x030934 /* >= gfx7 */
#define   S_030934_NUM_INSTANCES(x)                                   (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030934_NUM_INSTANCES(x)                                   (((x) >> 0) & 0xFFFFFFFF)
#define   C_030934_NUM_INSTANCES                                      0x00000000
#define R_030938_VGT_TF_RING_SIZE                                       0x030938 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define   S_030938_SIZE(x)                                            (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030938_SIZE(x)                                            (((x) >> 0) & 0xFFFF)
#define   C_030938_SIZE                                               0xFFFF0000
#define R_030938_VGT_TF_RING_SIZE_UMD                                   0x030938 /* >= gfx10 */
#define R_03093C_VGT_HS_OFFCHIP_PARAM                                   0x03093C /* gfx7, gfx8, fiji, stoney, gfx9 */
#define   S_03093C_OFFCHIP_BUFFERING(x)                               (((unsigned)(x) & 0x1FF) << 0)
#define   G_03093C_OFFCHIP_BUFFERING(x)                               (((x) >> 0) & 0x1FF)
#define   C_03093C_OFFCHIP_BUFFERING                                  0xFFFFFE00
#define   S_03093C_OFFCHIP_GRANULARITY(x)                             (((unsigned)(x) & 0x3) << 9)
#define   G_03093C_OFFCHIP_GRANULARITY(x)                             (((x) >> 9) & 0x3)
#define   C_03093C_OFFCHIP_GRANULARITY                                0xFFFFF9FF
#define     V_03093C_X_8K_DWORDS                                    0
#define     V_03093C_X_4K_DWORDS                                    1
#define     V_03093C_X_2K_DWORDS                                    2
#define     V_03093C_X_1K_DWORDS                                    3
#define R_03093C_VGT_HS_OFFCHIP_PARAM_UMD                               0x03093C /* >= gfx10 */
#define R_030940_VGT_TF_MEMORY_BASE                                     0x030940 /* gfx7, gfx8, fiji, stoney, gfx9 */
#define R_030940_VGT_TF_MEMORY_BASE_UMD                                 0x030940 /* >= gfx10 */
#define   S_030940_BASE(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030940_BASE(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_030940_BASE                                               0x00000000
#define R_030944_GE_DMA_FIRST_INDEX                                     0x030944 /* >= gfx10 */
#define   S_030944_FIRST_INDEX(x)                                     (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030944_FIRST_INDEX(x)                                     (((x) >> 0) & 0xFFFFFFFF)
#define   C_030944_FIRST_INDEX                                        0x00000000
#define R_030944_VGT_TF_MEMORY_BASE_HI                                  0x030944 /* gfx9 */
#define   S_030944_BASE_HI(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_030944_BASE_HI(x)                                         (((x) >> 0) & 0xFF)
#define   C_030944_BASE_HI                                            0xFFFFFF00
#define R_030948_WD_POS_BUF_BASE                                        0x030948 /* >= gfx9 */
#define   S_030948_BASE(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030948_BASE(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_030948_BASE                                               0x00000000
#define R_03094C_WD_POS_BUF_BASE_HI                                     0x03094C /* >= gfx9 */
#define   S_03094C_BASE_HI(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_03094C_BASE_HI(x)                                         (((x) >> 0) & 0xFF)
#define   C_03094C_BASE_HI                                            0xFFFFFF00
#define R_030950_WD_CNTL_SB_BUF_BASE                                    0x030950 /* >= gfx9 */
#define   S_030950_BASE(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030950_BASE(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_030950_BASE                                               0x00000000
#define R_030954_WD_CNTL_SB_BUF_BASE_HI                                 0x030954 /* >= gfx9 */
#define   S_030954_BASE_HI(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_030954_BASE_HI(x)                                         (((x) >> 0) & 0xFF)
#define   C_030954_BASE_HI                                            0xFFFFFF00
#define R_030958_WD_INDEX_BUF_BASE                                      0x030958 /* >= gfx9 */
#define   S_030958_BASE(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030958_BASE(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_030958_BASE                                               0x00000000
#define R_03095C_WD_INDEX_BUF_BASE_HI                                   0x03095C /* >= gfx9 */
#define   S_03095C_BASE_HI(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_03095C_BASE_HI(x)                                         (((x) >> 0) & 0xFF)
#define   C_03095C_BASE_HI                                            0xFFFFFF00
#define R_030960_IA_MULTI_VGT_PARAM                                     0x030960 /* gfx9 */
#define   S_030960_PRIMGROUP_SIZE(x)                                  (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030960_PRIMGROUP_SIZE(x)                                  (((x) >> 0) & 0xFFFF)
#define   C_030960_PRIMGROUP_SIZE                                     0xFFFF0000
#define   S_030960_PARTIAL_VS_WAVE_ON(x)                              (((unsigned)(x) & 0x1) << 16)
#define   G_030960_PARTIAL_VS_WAVE_ON(x)                              (((x) >> 16) & 0x1)
#define   C_030960_PARTIAL_VS_WAVE_ON                                 0xFFFEFFFF
#define   S_030960_SWITCH_ON_EOP(x)                                   (((unsigned)(x) & 0x1) << 17)
#define   G_030960_SWITCH_ON_EOP(x)                                   (((x) >> 17) & 0x1)
#define   C_030960_SWITCH_ON_EOP                                      0xFFFDFFFF
#define   S_030960_PARTIAL_ES_WAVE_ON(x)                              (((unsigned)(x) & 0x1) << 18)
#define   G_030960_PARTIAL_ES_WAVE_ON(x)                              (((x) >> 18) & 0x1)
#define   C_030960_PARTIAL_ES_WAVE_ON                                 0xFFFBFFFF
#define   S_030960_SWITCH_ON_EOI(x)                                   (((unsigned)(x) & 0x1) << 19)
#define   G_030960_SWITCH_ON_EOI(x)                                   (((x) >> 19) & 0x1)
#define   C_030960_SWITCH_ON_EOI                                      0xFFF7FFFF
#define   S_030960_WD_SWITCH_ON_EOP(x)                                (((unsigned)(x) & 0x1) << 20)
#define   G_030960_WD_SWITCH_ON_EOP(x)                                (((x) >> 20) & 0x1)
#define   C_030960_WD_SWITCH_ON_EOP                                   0xFFEFFFFF
#define   S_030960_EN_INST_OPT_BASIC(x)                               (((unsigned)(x) & 0x1) << 21)
#define   G_030960_EN_INST_OPT_BASIC(x)                               (((x) >> 21) & 0x1)
#define   C_030960_EN_INST_OPT_BASIC                                  0xFFDFFFFF
#define   S_030960_EN_INST_OPT_ADV(x)                                 (((unsigned)(x) & 0x1) << 22)
#define   G_030960_EN_INST_OPT_ADV(x)                                 (((x) >> 22) & 0x1)
#define   C_030960_EN_INST_OPT_ADV                                    0xFFBFFFFF
#define   S_030960_HW_USE_ONLY(x)                                     (((unsigned)(x) & 0x1) << 23)
#define   G_030960_HW_USE_ONLY(x)                                     (((x) >> 23) & 0x1)
#define   C_030960_HW_USE_ONLY                                        0xFF7FFFFF
#define R_030960_IA_MULTI_VGT_PARAM_PIPED                               0x030960 /* >= gfx10 */
#define R_030964_GE_MAX_VTX_INDX                                        0x030964 /* >= gfx10 */
#define   S_030964_MAX_INDX(x)                                        (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030964_MAX_INDX(x)                                        (((x) >> 0) & 0xFFFFFFFF)
#define   C_030964_MAX_INDX                                           0x00000000
#define R_030968_VGT_INSTANCE_BASE_ID                                   0x030968 /* >= gfx9 */
#define   S_030968_INSTANCE_BASE_ID(x)                                (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030968_INSTANCE_BASE_ID(x)                                (((x) >> 0) & 0xFFFFFFFF)
#define   C_030968_INSTANCE_BASE_ID                                   0x00000000
#define R_03096C_GE_CNTL                                                0x03096C /* >= gfx10 */
#define   S_03096C_PRIM_GRP_SIZE(x)                                   (((unsigned)(x) & 0x1FF) << 0)
#define   G_03096C_PRIM_GRP_SIZE(x)                                   (((x) >> 0) & 0x1FF)
#define   C_03096C_PRIM_GRP_SIZE                                      0xFFFFFE00
#define   S_03096C_VERT_GRP_SIZE(x)                                   (((unsigned)(x) & 0x1FF) << 9)
#define   G_03096C_VERT_GRP_SIZE(x)                                   (((x) >> 9) & 0x1FF)
#define   C_03096C_VERT_GRP_SIZE                                      0xFFFC01FF
#define   S_03096C_BREAK_WAVE_AT_EOI(x)                               (((unsigned)(x) & 0x1) << 18)
#define   G_03096C_BREAK_WAVE_AT_EOI(x)                               (((x) >> 18) & 0x1)
#define   C_03096C_BREAK_WAVE_AT_EOI                                  0xFFFBFFFF
#define   S_03096C_PACKET_TO_ONE_PA(x)                                (((unsigned)(x) & 0x1) << 19)
#define   G_03096C_PACKET_TO_ONE_PA(x)                                (((x) >> 19) & 0x1)
#define   C_03096C_PACKET_TO_ONE_PA                                   0xFFF7FFFF
#define R_030970_GE_USER_VGPR1                                          0x030970 /* >= gfx10 */
#define   S_030970_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030970_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_030970_DATA                                               0x00000000
#define R_030974_GE_USER_VGPR2                                          0x030974 /* >= gfx10 */
#define R_030978_GE_USER_VGPR3                                          0x030978 /* >= gfx10 */
#define R_03097C_GE_STEREO_CNTL                                         0x03097C /* >= gfx10 */
#define   S_03097C_RT_SLICE(x)                                        (((unsigned)(x) & 0x7) << 0)
#define   G_03097C_RT_SLICE(x)                                        (((x) >> 0) & 0x7)
#define   C_03097C_RT_SLICE                                           0xFFFFFFF8
#define   S_03097C_VIEWPORT(x)                                        (((unsigned)(x) & 0xF) << 3)
#define   G_03097C_VIEWPORT(x)                                        (((x) >> 3) & 0xF)
#define   C_03097C_VIEWPORT                                           0xFFFFFF87
#define   S_03097C_EN_STEREO(x)                                       (((unsigned)(x) & 0x1) << 8)
#define   G_03097C_EN_STEREO(x)                                       (((x) >> 8) & 0x1)
#define   C_03097C_EN_STEREO                                          0xFFFFFEFF
#define R_030980_GE_PC_ALLOC                                            0x030980 /* >= gfx10 */
#define   S_030980_OVERSUB_EN(x)                                      (((unsigned)(x) & 0x1) << 0)
#define   G_030980_OVERSUB_EN(x)                                      (((x) >> 0) & 0x1)
#define   C_030980_OVERSUB_EN                                         0xFFFFFFFE
#define   S_030980_NUM_PC_LINES(x)                                    (((unsigned)(x) & 0x3FF) << 1)
#define   G_030980_NUM_PC_LINES(x)                                    (((x) >> 1) & 0x3FF)
#define   C_030980_NUM_PC_LINES                                       0xFFFFF801
#define R_030984_VGT_TF_MEMORY_BASE_HI_UMD                              0x030984 /* >= gfx10 */
#define   S_030984_BASE_HI(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_030984_BASE_HI(x)                                         (((x) >> 0) & 0xFF)
#define   C_030984_BASE_HI                                            0xFFFFFF00
#define R_030988_GE_USER_VGPR_EN                                        0x030988 /* >= gfx10 */
#define   S_030988_EN_USER_VGPR1(x)                                   (((unsigned)(x) & 0x1) << 0)
#define   G_030988_EN_USER_VGPR1(x)                                   (((x) >> 0) & 0x1)
#define   C_030988_EN_USER_VGPR1                                      0xFFFFFFFE
#define   S_030988_EN_USER_VGPR2(x)                                   (((unsigned)(x) & 0x1) << 1)
#define   G_030988_EN_USER_VGPR2(x)                                   (((x) >> 1) & 0x1)
#define   C_030988_EN_USER_VGPR2                                      0xFFFFFFFD
#define   S_030988_EN_USER_VGPR3(x)                                   (((unsigned)(x) & 0x1) << 2)
#define   G_030988_EN_USER_VGPR3(x)                                   (((x) >> 2) & 0x1)
#define   C_030988_EN_USER_VGPR3                                      0xFFFFFFFB
#define R_030A00_PA_SU_LINE_STIPPLE_VALUE                               0x030A00 /* >= gfx7 */
#define   S_030A00_LINE_STIPPLE_VALUE(x)                              (((unsigned)(x) & 0xFFFFFF) << 0)
#define   G_030A00_LINE_STIPPLE_VALUE(x)                              (((x) >> 0) & 0xFFFFFF)
#define   C_030A00_LINE_STIPPLE_VALUE                                 0xFF000000
#define R_030A04_PA_SC_LINE_STIPPLE_STATE                               0x030A04 /* >= gfx7 */
#define   S_030A04_CURRENT_PTR(x)                                     (((unsigned)(x) & 0xF) << 0)
#define   G_030A04_CURRENT_PTR(x)                                     (((x) >> 0) & 0xF)
#define   C_030A04_CURRENT_PTR                                        0xFFFFFFF0
#define   S_030A04_CURRENT_COUNT(x)                                   (((unsigned)(x) & 0xFF) << 8)
#define   G_030A04_CURRENT_COUNT(x)                                   (((x) >> 8) & 0xFF)
#define   C_030A04_CURRENT_COUNT                                      0xFFFF00FF
#define R_030A10_PA_SC_SCREEN_EXTENT_MIN_0                              0x030A10 /* >= gfx7 */
#define   S_030A10_X(x)                                               (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030A10_X(x)                                               (((x) >> 0) & 0xFFFF)
#define   C_030A10_X                                                  0xFFFF0000
#define   S_030A10_Y(x)                                               (((unsigned)(x) & 0xFFFF) << 16)
#define   G_030A10_Y(x)                                               (((x) >> 16) & 0xFFFF)
#define   C_030A10_Y                                                  0x0000FFFF
#define R_030A14_PA_SC_SCREEN_EXTENT_MAX_0                              0x030A14 /* >= gfx7 */
#define   S_030A14_X(x)                                               (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030A14_X(x)                                               (((x) >> 0) & 0xFFFF)
#define   C_030A14_X                                                  0xFFFF0000
#define   S_030A14_Y(x)                                               (((unsigned)(x) & 0xFFFF) << 16)
#define   G_030A14_Y(x)                                               (((x) >> 16) & 0xFFFF)
#define   C_030A14_Y                                                  0x0000FFFF
#define R_030A18_PA_SC_SCREEN_EXTENT_MIN_1                              0x030A18 /* >= gfx7 */
#define R_030A2C_PA_SC_SCREEN_EXTENT_MAX_1                              0x030A2C /* >= gfx7 */
#define R_030A80_PA_SC_P3D_TRAP_SCREEN_HV_EN                            0x030A80 /* >= gfx10 */
#define   S_030A80_ENABLE_HV_PRE_SHADER(x)                            (((unsigned)(x) & 0x1) << 0)
#define   G_030A80_ENABLE_HV_PRE_SHADER(x)                            (((x) >> 0) & 0x1)
#define   C_030A80_ENABLE_HV_PRE_SHADER                               0xFFFFFFFE
#define   S_030A80_FORCE_PRE_SHADER_ALL_PIXELS(x)                     (((unsigned)(x) & 0x1) << 1)
#define   G_030A80_FORCE_PRE_SHADER_ALL_PIXELS(x)                     (((x) >> 1) & 0x1)
#define   C_030A80_FORCE_PRE_SHADER_ALL_PIXELS                        0xFFFFFFFD
#define R_030A84_PA_SC_P3D_TRAP_SCREEN_H                                0x030A84 /* >= gfx10 */
#define   S_030A84_X_COORD(x)                                         (((unsigned)(x) & 0x3FFF) << 0)
#define   G_030A84_X_COORD(x)                                         (((x) >> 0) & 0x3FFF)
#define   C_030A84_X_COORD                                            0xFFFFC000
#define R_030A88_PA_SC_P3D_TRAP_SCREEN_V                                0x030A88 /* >= gfx10 */
#define   S_030A88_Y_COORD(x)                                         (((unsigned)(x) & 0x3FFF) << 0)
#define   G_030A88_Y_COORD(x)                                         (((x) >> 0) & 0x3FFF)
#define   C_030A88_Y_COORD                                            0xFFFFC000
#define R_030A8C_PA_SC_P3D_TRAP_SCREEN_OCCURRENCE                       0x030A8C /* >= gfx10 */
#define   S_030A8C_COUNT(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030A8C_COUNT(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_030A8C_COUNT                                              0xFFFF0000
#define R_030A90_PA_SC_P3D_TRAP_SCREEN_COUNT                            0x030A90 /* >= gfx10 */
#define   S_030A90_COUNT(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030A90_COUNT(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_030A90_COUNT                                              0xFFFF0000
#define R_030AA0_PA_SC_HP3D_TRAP_SCREEN_HV_EN                           0x030AA0 /* >= gfx10 */
#define   S_030AA0_ENABLE_HV_PRE_SHADER(x)                            (((unsigned)(x) & 0x1) << 0)
#define   G_030AA0_ENABLE_HV_PRE_SHADER(x)                            (((x) >> 0) & 0x1)
#define   C_030AA0_ENABLE_HV_PRE_SHADER                               0xFFFFFFFE
#define   S_030AA0_FORCE_PRE_SHADER_ALL_PIXELS(x)                     (((unsigned)(x) & 0x1) << 1)
#define   G_030AA0_FORCE_PRE_SHADER_ALL_PIXELS(x)                     (((x) >> 1) & 0x1)
#define   C_030AA0_FORCE_PRE_SHADER_ALL_PIXELS                        0xFFFFFFFD
#define R_030AA4_PA_SC_HP3D_TRAP_SCREEN_H                               0x030AA4 /* >= gfx10 */
#define   S_030AA4_X_COORD(x)                                         (((unsigned)(x) & 0x3FFF) << 0)
#define   G_030AA4_X_COORD(x)                                         (((x) >> 0) & 0x3FFF)
#define   C_030AA4_X_COORD                                            0xFFFFC000
#define R_030AA8_PA_SC_HP3D_TRAP_SCREEN_V                               0x030AA8 /* >= gfx10 */
#define   S_030AA8_Y_COORD(x)                                         (((unsigned)(x) & 0x3FFF) << 0)
#define   G_030AA8_Y_COORD(x)                                         (((x) >> 0) & 0x3FFF)
#define   C_030AA8_Y_COORD                                            0xFFFFC000
#define R_030AAC_PA_SC_HP3D_TRAP_SCREEN_OCCURRENCE                      0x030AAC /* >= gfx10 */
#define   S_030AAC_COUNT(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030AAC_COUNT(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_030AAC_COUNT                                              0xFFFF0000
#define R_030AB0_PA_SC_HP3D_TRAP_SCREEN_COUNT                           0x030AB0 /* >= gfx10 */
#define   S_030AB0_COUNT(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030AB0_COUNT(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_030AB0_COUNT                                              0xFFFF0000
#define R_030AC0_PA_SC_TRAP_SCREEN_HV_EN                                0x030AC0 /* >= gfx10 */
#define   S_030AC0_ENABLE_HV_PRE_SHADER(x)                            (((unsigned)(x) & 0x1) << 0)
#define   G_030AC0_ENABLE_HV_PRE_SHADER(x)                            (((x) >> 0) & 0x1)
#define   C_030AC0_ENABLE_HV_PRE_SHADER                               0xFFFFFFFE
#define   S_030AC0_FORCE_PRE_SHADER_ALL_PIXELS(x)                     (((unsigned)(x) & 0x1) << 1)
#define   G_030AC0_FORCE_PRE_SHADER_ALL_PIXELS(x)                     (((x) >> 1) & 0x1)
#define   C_030AC0_FORCE_PRE_SHADER_ALL_PIXELS                        0xFFFFFFFD
#define R_030AC4_PA_SC_TRAP_SCREEN_H                                    0x030AC4 /* >= gfx10 */
#define   S_030AC4_X_COORD(x)                                         (((unsigned)(x) & 0x3FFF) << 0)
#define   G_030AC4_X_COORD(x)                                         (((x) >> 0) & 0x3FFF)
#define   C_030AC4_X_COORD                                            0xFFFFC000
#define R_030AC8_PA_SC_TRAP_SCREEN_V                                    0x030AC8 /* >= gfx10 */
#define   S_030AC8_Y_COORD(x)                                         (((unsigned)(x) & 0x3FFF) << 0)
#define   G_030AC8_Y_COORD(x)                                         (((x) >> 0) & 0x3FFF)
#define   C_030AC8_Y_COORD                                            0xFFFFC000
#define R_030ACC_PA_SC_TRAP_SCREEN_OCCURRENCE                           0x030ACC /* >= gfx10 */
#define   S_030ACC_COUNT(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030ACC_COUNT(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_030ACC_COUNT                                              0xFFFF0000
#define R_030AD0_PA_SC_TRAP_SCREEN_COUNT                                0x030AD0 /* >= gfx10 */
#define   S_030AD0_COUNT(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_030AD0_COUNT(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_030AD0_COUNT                                              0xFFFF0000
#define R_030D00_SQ_THREAD_TRACE_USERDATA_0                             0x030D00 /* >= gfx10 */
#define   S_030D00_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030D00_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_030D00_DATA                                               0x00000000
#define R_030D04_SQ_THREAD_TRACE_USERDATA_1                             0x030D04 /* >= gfx10 */
#define R_030D08_SQ_THREAD_TRACE_USERDATA_2                             0x030D08 /* >= gfx10 */
#define R_030D0C_SQ_THREAD_TRACE_USERDATA_3                             0x030D0C /* >= gfx10 */
#define R_030D10_SQ_THREAD_TRACE_USERDATA_4                             0x030D10 /* >= gfx10 */
#define R_030D14_SQ_THREAD_TRACE_USERDATA_5                             0x030D14 /* >= gfx10 */
#define R_030D18_SQ_THREAD_TRACE_USERDATA_6                             0x030D18 /* >= gfx10 */
#define R_030D1C_SQ_THREAD_TRACE_USERDATA_7                             0x030D1C /* >= gfx10 */
#define R_030D20_SQC_CACHES                                             0x030D20 /* >= gfx7 */
#define   S_030D20_INST_INVALIDATE(x)                                 (((unsigned)(x) & 0x1) << 0) /* gfx7, gfx8, fiji, stoney */
#define   G_030D20_INST_INVALIDATE(x)                                 (((x) >> 0) & 0x1)
#define   C_030D20_INST_INVALIDATE                                    0xFFFFFFFE
#define   S_030D20_TARGET_INST(x)                                     (((unsigned)(x) & 0x1) << 0) /* >= gfx9 */
#define   G_030D20_TARGET_INST(x)                                     (((x) >> 0) & 0x1)
#define   C_030D20_TARGET_INST                                        0xFFFFFFFE
#define   S_030D20_DATA_INVALIDATE(x)                                 (((unsigned)(x) & 0x1) << 1) /* gfx7, gfx8, fiji, stoney */
#define   G_030D20_DATA_INVALIDATE(x)                                 (((x) >> 1) & 0x1)
#define   C_030D20_DATA_INVALIDATE                                    0xFFFFFFFD
#define   S_030D20_TARGET_DATA(x)                                     (((unsigned)(x) & 0x1) << 1) /* >= gfx9 */
#define   G_030D20_TARGET_DATA(x)                                     (((x) >> 1) & 0x1)
#define   C_030D20_TARGET_DATA                                        0xFFFFFFFD
#define   S_030D20_INVALIDATE(x)                                      (((unsigned)(x) & 0x1) << 2) /* >= gfx9 */
#define   G_030D20_INVALIDATE(x)                                      (((x) >> 2) & 0x1)
#define   C_030D20_INVALIDATE                                         0xFFFFFFFB
#define   S_030D20_INVALIDATE_VOLATILE(x)                             (((unsigned)(x) & 0x1) << 2) /* gfx7, gfx8, fiji, stoney */
#define   G_030D20_INVALIDATE_VOLATILE(x)                             (((x) >> 2) & 0x1)
#define   C_030D20_INVALIDATE_VOLATILE                                0xFFFFFFFB
#define   S_030D20_WRITEBACK(x)                                       (((unsigned)(x) & 0x1) << 3) /* >= gfx9 */
#define   G_030D20_WRITEBACK(x)                                       (((x) >> 3) & 0x1)
#define   C_030D20_WRITEBACK                                          0xFFFFFFF7
#define   S_030D20_VOL(x)                                             (((unsigned)(x) & 0x1) << 4) /* >= gfx9 */
#define   G_030D20_VOL(x)                                             (((x) >> 4) & 0x1)
#define   C_030D20_VOL                                                0xFFFFFFEF
#define   S_030D20_COMPLETE(x)                                        (((unsigned)(x) & 0x1) << 16) /* >= gfx9 */
#define   G_030D20_COMPLETE(x)                                        (((x) >> 16) & 0x1)
#define   C_030D20_COMPLETE                                           0xFFFEFFFF
#define   S_030D20_L2_WB_POLICY(x)                                    (((unsigned)(x) & 0x3) << 17) /* >= gfx10 */
#define   G_030D20_L2_WB_POLICY(x)                                    (((x) >> 17) & 0x3)
#define   C_030D20_L2_WB_POLICY                                       0xFFF9FFFF
#define R_030D24_SQC_WRITEBACK                                          0x030D24 /* >= gfx9 */
#define   S_030D24_DWB(x)                                             (((unsigned)(x) & 0x1) << 0)
#define   G_030D24_DWB(x)                                             (((x) >> 0) & 0x1)
#define   C_030D24_DWB                                                0xFFFFFFFE
#define   S_030D24_DIRTY(x)                                           (((unsigned)(x) & 0x1) << 1)
#define   G_030D24_DIRTY(x)                                           (((x) >> 1) & 0x1)
#define   C_030D24_DIRTY                                              0xFFFFFFFD
#define R_030E00_TA_CS_BC_BASE_ADDR                                     0x030E00 /* >= gfx7 */
#define   S_030E00_ADDRESS(x)                                         (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030E00_ADDRESS(x)                                         (((x) >> 0) & 0xFFFFFFFF)
#define   C_030E00_ADDRESS                                            0x00000000
#define R_030E04_TA_CS_BC_BASE_ADDR_HI                                  0x030E04 /* >= gfx7 */
#define   S_030E04_ADDRESS(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_030E04_ADDRESS(x)                                         (((x) >> 0) & 0xFF)
#define   C_030E04_ADDRESS                                            0xFFFFFF00
#define R_030F00_DB_OCCLUSION_COUNT0_LOW                                0x030F00 /* >= gfx7 */
#define   S_030F00_COUNT_LOW(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030F00_COUNT_LOW(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_030F00_COUNT_LOW                                          0x00000000
#define R_030F04_DB_OCCLUSION_COUNT0_HI                                 0x030F04 /* >= gfx7 */
#define   S_030F04_COUNT_HI(x)                                        (((unsigned)(x) & 0x7FFFFFFF) << 0)
#define   G_030F04_COUNT_HI(x)                                        (((x) >> 0) & 0x7FFFFFFF)
#define   C_030F04_COUNT_HI                                           0x80000000
#define R_030F08_DB_OCCLUSION_COUNT1_LOW                                0x030F08
#define R_030F0C_DB_OCCLUSION_COUNT1_HI                                 0x030F0C
#define R_030F10_DB_OCCLUSION_COUNT2_LOW                                0x030F10
#define R_030F14_DB_OCCLUSION_COUNT2_HI                                 0x030F14
#define R_030F18_DB_OCCLUSION_COUNT3_LOW                                0x030F18
#define R_030F1C_DB_OCCLUSION_COUNT3_HI                                 0x030F1C
#define R_030FF8_DB_ZPASS_COUNT_LOW                                     0x030FF8
#define   S_030FF8_COUNT_LOW(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_030FF8_COUNT_LOW(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_030FF8_COUNT_LOW                                          0x00000000
#define R_030FFC_DB_ZPASS_COUNT_HI                                      0x030FFC
#define   S_030FFC_COUNT_HI(x)                                        (((unsigned)(x) & 0x7FFFFFFF) << 0)
#define   G_030FFC_COUNT_HI(x)                                        (((x) >> 0) & 0x7FFFFFFF)
#define   C_030FFC_COUNT_HI                                           0x80000000
#define R_031000_GDS_RD_ADDR                                            0x031000 /* >= gfx10 */
#define   S_031000_READ_ADDR(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_031000_READ_ADDR(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_031000_READ_ADDR                                          0x00000000
#define R_031004_GDS_RD_DATA                                            0x031004 /* >= gfx10 */
#define   S_031004_READ_DATA(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_031004_READ_DATA(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_031004_READ_DATA                                          0x00000000
#define R_031008_GDS_RD_BURST_ADDR                                      0x031008 /* >= gfx10 */
#define   S_031008_BURST_ADDR(x)                                      (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_031008_BURST_ADDR(x)                                      (((x) >> 0) & 0xFFFFFFFF)
#define   C_031008_BURST_ADDR                                         0x00000000
#define R_03100C_GDS_RD_BURST_COUNT                                     0x03100C /* >= gfx10 */
#define   S_03100C_BURST_COUNT(x)                                     (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03100C_BURST_COUNT(x)                                     (((x) >> 0) & 0xFFFFFFFF)
#define   C_03100C_BURST_COUNT                                        0x00000000
#define R_031010_GDS_RD_BURST_DATA                                      0x031010 /* >= gfx10 */
#define   S_031010_BURST_DATA(x)                                      (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_031010_BURST_DATA(x)                                      (((x) >> 0) & 0xFFFFFFFF)
#define   C_031010_BURST_DATA                                         0x00000000
#define R_031014_GDS_WR_ADDR                                            0x031014 /* >= gfx10 */
#define   S_031014_WRITE_ADDR(x)                                      (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_031014_WRITE_ADDR(x)                                      (((x) >> 0) & 0xFFFFFFFF)
#define   C_031014_WRITE_ADDR                                         0x00000000
#define R_031018_GDS_WR_DATA                                            0x031018 /* >= gfx10 */
#define   S_031018_WRITE_DATA(x)                                      (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_031018_WRITE_DATA(x)                                      (((x) >> 0) & 0xFFFFFFFF)
#define   C_031018_WRITE_DATA                                         0x00000000
#define R_03101C_GDS_WR_BURST_ADDR                                      0x03101C /* >= gfx10 */
#define   S_03101C_WRITE_ADDR(x)                                      (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03101C_WRITE_ADDR(x)                                      (((x) >> 0) & 0xFFFFFFFF)
#define   C_03101C_WRITE_ADDR                                         0x00000000
#define R_031020_GDS_WR_BURST_DATA                                      0x031020 /* >= gfx10 */
#define   S_031020_WRITE_DATA(x)                                      (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_031020_WRITE_DATA(x)                                      (((x) >> 0) & 0xFFFFFFFF)
#define   C_031020_WRITE_DATA                                         0x00000000
#define R_031024_GDS_WRITE_COMPLETE                                     0x031024 /* >= gfx10 */
#define   S_031024_WRITE_COMPLETE(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_031024_WRITE_COMPLETE(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_031024_WRITE_COMPLETE                                     0x00000000
#define R_031028_GDS_ATOM_CNTL                                          0x031028 /* >= gfx10 */
#define   S_031028_AINC(x)                                            (((unsigned)(x) & 0x3F) << 0)
#define   G_031028_AINC(x)                                            (((x) >> 0) & 0x3F)
#define   C_031028_AINC                                               0xFFFFFFC0
#define   S_031028_UNUSED1(x)                                         (((unsigned)(x) & 0x3) << 6)
#define   G_031028_UNUSED1(x)                                         (((x) >> 6) & 0x3)
#define   C_031028_UNUSED1                                            0xFFFFFF3F
#define   S_031028_DMODE(x)                                           (((unsigned)(x) & 0x3) << 8)
#define   G_031028_DMODE(x)                                           (((x) >> 8) & 0x3)
#define   C_031028_DMODE                                              0xFFFFFCFF
#define   S_031028_UNUSED2(x)                                         (((unsigned)(x) & 0x3FFFFF) << 10)
#define   G_031028_UNUSED2(x)                                         (((x) >> 10) & 0x3FFFFF)
#define   C_031028_UNUSED2                                            0x000003FF
#define R_03102C_GDS_ATOM_COMPLETE                                      0x03102C /* >= gfx10 */
#define   S_03102C_COMPLETE(x)                                        (((unsigned)(x) & 0x1) << 0)
#define   G_03102C_COMPLETE(x)                                        (((x) >> 0) & 0x1)
#define   C_03102C_COMPLETE                                           0xFFFFFFFE
#define   S_03102C_UNUSED(x)                                          (((unsigned)(x) & 0x7FFFFFFF) << 1)
#define   G_03102C_UNUSED(x)                                          (((x) >> 1) & 0x7FFFFFFF)
#define   C_03102C_UNUSED                                             0x00000001
#define R_031030_GDS_ATOM_BASE                                          0x031030 /* >= gfx10 */
#define   S_031030_BASE(x)                                            (((unsigned)(x) & 0xFFFF) << 0)
#define   G_031030_BASE(x)                                            (((x) >> 0) & 0xFFFF)
#define   C_031030_BASE                                               0xFFFF0000
#define   S_031030_UNUSED(x)                                          (((unsigned)(x) & 0xFFFF) << 16)
#define   G_031030_UNUSED(x)                                          (((x) >> 16) & 0xFFFF)
#define   C_031030_UNUSED                                             0x0000FFFF
#define R_031034_GDS_ATOM_SIZE                                          0x031034 /* >= gfx10 */
#define   S_031034_SIZE(x)                                            (((unsigned)(x) & 0xFFFF) << 0)
#define   G_031034_SIZE(x)                                            (((x) >> 0) & 0xFFFF)
#define   C_031034_SIZE                                               0xFFFF0000
#define   S_031034_UNUSED(x)                                          (((unsigned)(x) & 0xFFFF) << 16)
#define   G_031034_UNUSED(x)                                          (((x) >> 16) & 0xFFFF)
#define   C_031034_UNUSED                                             0x0000FFFF
#define R_031038_GDS_ATOM_OFFSET0                                       0x031038 /* >= gfx10 */
#define   S_031038_OFFSET0(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_031038_OFFSET0(x)                                         (((x) >> 0) & 0xFF)
#define   C_031038_OFFSET0                                            0xFFFFFF00
#define   S_031038_UNUSED(x)                                          (((unsigned)(x) & 0xFFFFFF) << 8)
#define   G_031038_UNUSED(x)                                          (((x) >> 8) & 0xFFFFFF)
#define   C_031038_UNUSED                                             0x000000FF
#define R_03103C_GDS_ATOM_OFFSET1                                       0x03103C /* >= gfx10 */
#define   S_03103C_OFFSET1(x)                                         (((unsigned)(x) & 0xFF) << 0)
#define   G_03103C_OFFSET1(x)                                         (((x) >> 0) & 0xFF)
#define   C_03103C_OFFSET1                                            0xFFFFFF00
#define   S_03103C_UNUSED(x)                                          (((unsigned)(x) & 0xFFFFFF) << 8)
#define   G_03103C_UNUSED(x)                                          (((x) >> 8) & 0xFFFFFF)
#define   C_03103C_UNUSED                                             0x000000FF
#define R_031040_GDS_ATOM_DST                                           0x031040 /* >= gfx10 */
#define   S_031040_DST(x)                                             (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_031040_DST(x)                                             (((x) >> 0) & 0xFFFFFFFF)
#define   C_031040_DST                                                0x00000000
#define R_031044_GDS_ATOM_OP                                            0x031044 /* >= gfx10 */
#define   S_031044_OP(x)                                              (((unsigned)(x) & 0xFF) << 0)
#define   G_031044_OP(x)                                              (((x) >> 0) & 0xFF)
#define   C_031044_OP                                                 0xFFFFFF00
#define   S_031044_UNUSED(x)                                          (((unsigned)(x) & 0xFFFFFF) << 8)
#define   G_031044_UNUSED(x)                                          (((x) >> 8) & 0xFFFFFF)
#define   C_031044_UNUSED                                             0x000000FF
#define R_031048_GDS_ATOM_SRC0                                          0x031048 /* >= gfx10 */
#define   S_031048_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_031048_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_031048_DATA                                               0x00000000
#define R_03104C_GDS_ATOM_SRC0_U                                        0x03104C /* >= gfx10 */
#define   S_03104C_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03104C_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_03104C_DATA                                               0x00000000
#define R_031050_GDS_ATOM_SRC1                                          0x031050 /* >= gfx10 */
#define R_031054_GDS_ATOM_SRC1_U                                        0x031054 /* >= gfx10 */
#define R_031058_GDS_ATOM_READ0                                         0x031058 /* >= gfx10 */
#define   S_031058_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_031058_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_031058_DATA                                               0x00000000
#define R_03105C_GDS_ATOM_READ0_U                                       0x03105C /* >= gfx10 */
#define   S_03105C_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03105C_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_03105C_DATA                                               0x00000000
#define R_031060_GDS_ATOM_READ1                                         0x031060 /* >= gfx10 */
#define R_031064_GDS_ATOM_READ1_U                                       0x031064 /* >= gfx10 */
#define R_031068_GDS_GWS_RESOURCE_CNTL                                  0x031068 /* >= gfx10 */
#define   S_031068_INDEX(x)                                           (((unsigned)(x) & 0x3F) << 0)
#define   G_031068_INDEX(x)                                           (((x) >> 0) & 0x3F)
#define   C_031068_INDEX                                              0xFFFFFFC0
#define   S_031068_UNUSED(x)                                          (((unsigned)(x) & 0x3FFFFFF) << 6)
#define   G_031068_UNUSED(x)                                          (((x) >> 6) & 0x3FFFFFF)
#define   C_031068_UNUSED                                             0x0000003F
#define R_03106C_GDS_GWS_RESOURCE                                       0x03106C /* >= gfx10 */
#define   S_03106C_FLAG(x)                                            (((unsigned)(x) & 0x1) << 0)
#define   G_03106C_FLAG(x)                                            (((x) >> 0) & 0x1)
#define   C_03106C_FLAG                                               0xFFFFFFFE
#define   S_03106C_COUNTER(x)                                         (((unsigned)(x) & 0xFFF) << 1)
#define   G_03106C_COUNTER(x)                                         (((x) >> 1) & 0xFFF)
#define   C_03106C_COUNTER                                            0xFFFFE001
#define   S_03106C_TYPE(x)                                            (((unsigned)(x) & 0x1) << 13)
#define   G_03106C_TYPE(x)                                            (((x) >> 13) & 0x1)
#define   C_03106C_TYPE                                               0xFFFFDFFF
#define   S_03106C_DED(x)                                             (((unsigned)(x) & 0x1) << 14)
#define   G_03106C_DED(x)                                             (((x) >> 14) & 0x1)
#define   C_03106C_DED                                                0xFFFFBFFF
#define   S_03106C_RELEASE_ALL(x)                                     (((unsigned)(x) & 0x1) << 15)
#define   G_03106C_RELEASE_ALL(x)                                     (((x) >> 15) & 0x1)
#define   C_03106C_RELEASE_ALL                                        0xFFFF7FFF
#define   S_03106C_HEAD_QUEUE(x)                                      (((unsigned)(x) & 0x7FF) << 16)
#define   G_03106C_HEAD_QUEUE(x)                                      (((x) >> 16) & 0x7FF)
#define   C_03106C_HEAD_QUEUE                                         0xF800FFFF
#define   S_03106C_HEAD_VALID(x)                                      (((unsigned)(x) & 0x1) << 27)
#define   G_03106C_HEAD_VALID(x)                                      (((x) >> 27) & 0x1)
#define   C_03106C_HEAD_VALID                                         0xF7FFFFFF
#define   S_03106C_HEAD_FLAG(x)                                       (((unsigned)(x) & 0x1) << 28)
#define   G_03106C_HEAD_FLAG(x)                                       (((x) >> 28) & 0x1)
#define   C_03106C_HEAD_FLAG                                          0xEFFFFFFF
#define   S_03106C_HALTED(x)                                          (((unsigned)(x) & 0x1) << 29)
#define   G_03106C_HALTED(x)                                          (((x) >> 29) & 0x1)
#define   C_03106C_HALTED                                             0xDFFFFFFF
#define   S_03106C_UNUSED1(x)                                         (((unsigned)(x) & 0x3) << 30)
#define   G_03106C_UNUSED1(x)                                         (((x) >> 30) & 0x3)
#define   C_03106C_UNUSED1                                            0x3FFFFFFF
#define R_031070_GDS_GWS_RESOURCE_CNT                                   0x031070 /* >= gfx10 */
#define   S_031070_RESOURCE_CNT(x)                                    (((unsigned)(x) & 0xFFFF) << 0)
#define   G_031070_RESOURCE_CNT(x)                                    (((x) >> 0) & 0xFFFF)
#define   C_031070_RESOURCE_CNT                                       0xFFFF0000
#define   S_031070_UNUSED(x)                                          (((unsigned)(x) & 0xFFFF) << 16)
#define   G_031070_UNUSED(x)                                          (((x) >> 16) & 0xFFFF)
#define   C_031070_UNUSED                                             0x0000FFFF
#define R_031074_GDS_OA_CNTL                                            0x031074
#define   S_031074_INDEX(x)                                           (((unsigned)(x) & 0xF) << 0)
#define   G_031074_INDEX(x)                                           (((x) >> 0) & 0xF)
#define   C_031074_INDEX                                              0xFFFFFFF0
#define   S_031074_UNUSED(x)                                          (((unsigned)(x) & 0xFFFFFFF) << 4) /* >= gfx10 */
#define   G_031074_UNUSED(x)                                          (((x) >> 4) & 0xFFFFFFF)
#define   C_031074_UNUSED                                             0x0000000F
#define R_031078_GDS_OA_COUNTER                                         0x031078
#define   S_031078_SPACE_AVAILABLE(x)                                 (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_031078_SPACE_AVAILABLE(x)                                 (((x) >> 0) & 0xFFFFFFFF)
#define   C_031078_SPACE_AVAILABLE                                    0x00000000
#define R_03107C_GDS_OA_ADDRESS                                         0x03107C
#define   S_03107C_DS_ADDRESS(x)                                      (((unsigned)(x) & 0xFFFF) << 0)
#define   G_03107C_DS_ADDRESS(x)                                      (((x) >> 0) & 0xFFFF)
#define   C_03107C_DS_ADDRESS                                         0xFFFF0000
#define   S_03107C_CRAWLER_GFX6(x)                                    (((unsigned)(x) & 0xF) << 16) /* <= gfx9 */
#define   G_03107C_CRAWLER_GFX6(x)                                    (((x) >> 16) & 0xF)
#define   C_03107C_CRAWLER_GFX6                                       0xFFF0FFFF
#define   S_03107C_CRAWLER_TYPE_GFX10(x)                              (((unsigned)(x) & 0xF) << 16) /* >= gfx10 */
#define   G_03107C_CRAWLER_TYPE_GFX10(x)                              (((x) >> 16) & 0xF)
#define   C_03107C_CRAWLER_TYPE_GFX10                                 0xFFF0FFFF
#define   S_03107C_CRAWLER_GFX10(x)                                   (((unsigned)(x) & 0xF) << 20) /* >= gfx10 */
#define   G_03107C_CRAWLER_GFX10(x)                                   (((x) >> 20) & 0xF)
#define   C_03107C_CRAWLER_GFX10                                      0xFF0FFFFF
#define   S_03107C_CRAWLER_TYPE_GFX6(x)                               (((unsigned)(x) & 0x3) << 20) /* <= gfx9 */
#define   G_03107C_CRAWLER_TYPE_GFX6(x)                               (((x) >> 20) & 0x3)
#define   C_03107C_CRAWLER_TYPE_GFX6                                  0xFFCFFFFF
#define   S_03107C_UNUSED(x)                                          (((unsigned)(x) & 0x3F) << 24) /* >= gfx10 */
#define   G_03107C_UNUSED(x)                                          (((x) >> 24) & 0x3F)
#define   C_03107C_UNUSED                                             0xC0FFFFFF
#define   S_03107C_NO_ALLOC(x)                                        (((unsigned)(x) & 0x1) << 30)
#define   G_03107C_NO_ALLOC(x)                                        (((x) >> 30) & 0x1)
#define   C_03107C_NO_ALLOC                                           0xBFFFFFFF
#define   S_03107C_ENABLE(x)                                          (((unsigned)(x) & 0x1) << 31)
#define   G_03107C_ENABLE(x)                                          (((x) >> 31) & 0x1)
#define   C_03107C_ENABLE                                             0x7FFFFFFF
#define R_031080_GDS_OA_INCDEC                                          0x031080
#define   S_031080_VALUE(x)                                           (((unsigned)(x) & 0x7FFFFFFF) << 0)
#define   G_031080_VALUE(x)                                           (((x) >> 0) & 0x7FFFFFFF)
#define   C_031080_VALUE                                              0x80000000
#define   S_031080_INCDEC(x)                                          (((unsigned)(x) & 0x1) << 31)
#define   G_031080_INCDEC(x)                                          (((x) >> 31) & 0x1)
#define   C_031080_INCDEC                                             0x7FFFFFFF
#define R_031084_GDS_OA_RING_SIZE                                       0x031084
#define   S_031084_RING_SIZE(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_031084_RING_SIZE(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_031084_RING_SIZE                                          0x00000000
#define R_031100_SPI_CONFIG_CNTL                                        0x031100 /* gfx9 */
#define   S_031100_GPR_WRITE_PRIORITY(x)                              (((unsigned)(x) & 0x1FFFFF) << 0)
#define   G_031100_GPR_WRITE_PRIORITY(x)                              (((x) >> 0) & 0x1FFFFF)
#define   C_031100_GPR_WRITE_PRIORITY                                 0xFFE00000
#define   S_031100_EXP_PRIORITY_ORDER(x)                              (((unsigned)(x) & 0x7) << 21)
#define   G_031100_EXP_PRIORITY_ORDER(x)                              (((x) >> 21) & 0x7)
#define   C_031100_EXP_PRIORITY_ORDER                                 0xFF1FFFFF
#define   S_031100_ENABLE_SQG_TOP_EVENTS(x)                           (((unsigned)(x) & 0x1) << 24)
#define   G_031100_ENABLE_SQG_TOP_EVENTS(x)                           (((x) >> 24) & 0x1)
#define   C_031100_ENABLE_SQG_TOP_EVENTS                              0xFEFFFFFF
#define   S_031100_ENABLE_SQG_BOP_EVENTS(x)                           (((unsigned)(x) & 0x1) << 25)
#define   G_031100_ENABLE_SQG_BOP_EVENTS(x)                           (((x) >> 25) & 0x1)
#define   C_031100_ENABLE_SQG_BOP_EVENTS                              0xFDFFFFFF
#define   S_031100_RSRC_MGMT_RESET(x)                                 (((unsigned)(x) & 0x1) << 26)
#define   G_031100_RSRC_MGMT_RESET(x)                                 (((x) >> 26) & 0x1)
#define   C_031100_RSRC_MGMT_RESET                                    0xFBFFFFFF
#define   S_031100_TTRACE_STALL_ALL(x)                                (((unsigned)(x) & 0x1) << 27)
#define   G_031100_TTRACE_STALL_ALL(x)                                (((x) >> 27) & 0x1)
#define   C_031100_TTRACE_STALL_ALL                                   0xF7FFFFFF
#define   S_031100_ALLOC_ARB_LRU_ENA(x)                               (((unsigned)(x) & 0x1) << 28)
#define   G_031100_ALLOC_ARB_LRU_ENA(x)                               (((x) >> 28) & 0x1)
#define   C_031100_ALLOC_ARB_LRU_ENA                                  0xEFFFFFFF
#define   S_031100_EXP_ARB_LRU_ENA(x)                                 (((unsigned)(x) & 0x1) << 29)
#define   G_031100_EXP_ARB_LRU_ENA(x)                                 (((x) >> 29) & 0x1)
#define   C_031100_EXP_ARB_LRU_ENA                                    0xDFFFFFFF
#define   S_031100_PS_PKR_PRIORITY_CNTL(x)                            (((unsigned)(x) & 0x3) << 30)
#define   G_031100_PS_PKR_PRIORITY_CNTL(x)                            (((x) >> 30) & 0x3)
#define   C_031100_PS_PKR_PRIORITY_CNTL                               0x3FFFFFFF
#define R_031100_SPI_CONFIG_CNTL_REMAP                                  0x031100 /* >= gfx10 */
#define R_031104_SPI_CONFIG_CNTL_1                                      0x031104 /* gfx9 */
#define   S_031104_VTX_DONE_DELAY(x)                                  (((unsigned)(x) & 0xF) << 0)
#define   G_031104_VTX_DONE_DELAY(x)                                  (((x) >> 0) & 0xF)
#define   C_031104_VTX_DONE_DELAY                                     0xFFFFFFF0
#define   S_031104_INTERP_ONE_PRIM_PER_ROW(x)                         (((unsigned)(x) & 0x1) << 4)
#define   G_031104_INTERP_ONE_PRIM_PER_ROW(x)                         (((x) >> 4) & 0x1)
#define   C_031104_INTERP_ONE_PRIM_PER_ROW                            0xFFFFFFEF
#define   S_031104_BATON_RESET_DISABLE(x)                             (((unsigned)(x) & 0x1) << 5)
#define   G_031104_BATON_RESET_DISABLE(x)                             (((x) >> 5) & 0x1)
#define   C_031104_BATON_RESET_DISABLE                                0xFFFFFFDF
#define   S_031104_PC_LIMIT_ENABLE(x)                                 (((unsigned)(x) & 0x1) << 6)
#define   G_031104_PC_LIMIT_ENABLE(x)                                 (((x) >> 6) & 0x1)
#define   C_031104_PC_LIMIT_ENABLE                                    0xFFFFFFBF
#define   S_031104_PC_LIMIT_STRICT(x)                                 (((unsigned)(x) & 0x1) << 7)
#define   G_031104_PC_LIMIT_STRICT(x)                                 (((x) >> 7) & 0x1)
#define   C_031104_PC_LIMIT_STRICT                                    0xFFFFFF7F
#define   S_031104_CRC_SIMD_ID_WADDR_DISABLE(x)                       (((unsigned)(x) & 0x1) << 8)
#define   G_031104_CRC_SIMD_ID_WADDR_DISABLE(x)                       (((x) >> 8) & 0x1)
#define   C_031104_CRC_SIMD_ID_WADDR_DISABLE                          0xFFFFFEFF
#define   S_031104_LBPW_CU_CHK_MODE(x)                                (((unsigned)(x) & 0x1) << 9)
#define   G_031104_LBPW_CU_CHK_MODE(x)                                (((x) >> 9) & 0x1)
#define   C_031104_LBPW_CU_CHK_MODE                                   0xFFFFFDFF
#define   S_031104_LBPW_CU_CHK_CNT(x)                                 (((unsigned)(x) & 0xF) << 10)
#define   G_031104_LBPW_CU_CHK_CNT(x)                                 (((x) >> 10) & 0xF)
#define   C_031104_LBPW_CU_CHK_CNT                                    0xFFFFC3FF
#define   S_031104_CSC_PWR_SAVE_DISABLE(x)                            (((unsigned)(x) & 0x1) << 14)
#define   G_031104_CSC_PWR_SAVE_DISABLE(x)                            (((x) >> 14) & 0x1)
#define   C_031104_CSC_PWR_SAVE_DISABLE                               0xFFFFBFFF
#define   S_031104_CSG_PWR_SAVE_DISABLE(x)                            (((unsigned)(x) & 0x1) << 15)
#define   G_031104_CSG_PWR_SAVE_DISABLE(x)                            (((x) >> 15) & 0x1)
#define   C_031104_CSG_PWR_SAVE_DISABLE                               0xFFFF7FFF
#define   S_031104_PC_LIMIT_SIZE(x)                                   (((unsigned)(x) & 0xFFFF) << 16)
#define   G_031104_PC_LIMIT_SIZE(x)                                   (((x) >> 16) & 0xFFFF)
#define   C_031104_PC_LIMIT_SIZE                                      0x0000FFFF
#define R_031104_SPI_CONFIG_CNTL_1_REMAP                                0x031104 /* >= gfx10 */
#define R_031108_SPI_CONFIG_CNTL_2                                      0x031108 /* gfx9 */
#define   S_031108_CONTEXT_SAVE_WAIT_GDS_REQUEST_CYCLE_OVHD(x)        (((unsigned)(x) & 0xF) << 0)
#define   G_031108_CONTEXT_SAVE_WAIT_GDS_REQUEST_CYCLE_OVHD(x)        (((x) >> 0) & 0xF)
#define   C_031108_CONTEXT_SAVE_WAIT_GDS_REQUEST_CYCLE_OVHD           0xFFFFFFF0
#define   S_031108_CONTEXT_SAVE_WAIT_GDS_GRANT_CYCLE_OVHD(x)          (((unsigned)(x) & 0xF) << 4)
#define   G_031108_CONTEXT_SAVE_WAIT_GDS_GRANT_CYCLE_OVHD(x)          (((x) >> 4) & 0xF)
#define   C_031108_CONTEXT_SAVE_WAIT_GDS_GRANT_CYCLE_OVHD             0xFFFFFF0F
#define R_031108_SPI_CONFIG_CNTL_2_REMAP                                0x031108 /* >= gfx10 */
#define R_03110C_SPI_WAVE_LIMIT_CNTL_REMAP                              0x03110C /* >= gfx10 */
#define R_034000_CPG_PERFCOUNTER1_LO                                    0x034000
#define R_034004_CPG_PERFCOUNTER1_HI                                    0x034004
#define R_034008_CPG_PERFCOUNTER0_LO                                    0x034008
#define   S_034008_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034008_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034008_PERFCOUNTER_LO                                     0x00000000
#define R_03400C_CPG_PERFCOUNTER0_HI                                    0x03400C
#define   S_03400C_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03400C_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_03400C_PERFCOUNTER_HI                                     0x00000000
#define R_034010_CPC_PERFCOUNTER1_LO                                    0x034010
#define R_034014_CPC_PERFCOUNTER1_HI                                    0x034014
#define R_034018_CPC_PERFCOUNTER0_LO                                    0x034018
#define   S_034018_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034018_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034018_PERFCOUNTER_LO                                     0x00000000
#define R_03401C_CPC_PERFCOUNTER0_HI                                    0x03401C
#define   S_03401C_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03401C_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_03401C_PERFCOUNTER_HI                                     0x00000000
#define R_034020_CPF_PERFCOUNTER1_LO                                    0x034020
#define R_034024_CPF_PERFCOUNTER1_HI                                    0x034024
#define R_034028_CPF_PERFCOUNTER0_LO                                    0x034028
#define   S_034028_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034028_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034028_PERFCOUNTER_LO                                     0x00000000
#define R_03402C_CPF_PERFCOUNTER0_HI                                    0x03402C
#define   S_03402C_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03402C_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_03402C_PERFCOUNTER_HI                                     0x00000000
#define R_034030_CPF_LATENCY_STATS_DATA                                 0x034030 /* >= gfx9 */
#define   S_034030_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034030_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_034030_DATA                                               0x00000000
#define R_034034_CPG_LATENCY_STATS_DATA                                 0x034034 /* >= gfx9 */
#define   S_034034_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034034_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_034034_DATA                                               0x00000000
#define R_034038_CPC_LATENCY_STATS_DATA                                 0x034038 /* >= gfx9 */
#define   S_034038_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034038_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_034038_DATA                                               0x00000000
#define R_034100_GRBM_PERFCOUNTER0_LO                                   0x034100
#define   S_034100_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034100_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034100_PERFCOUNTER_LO                                     0x00000000
#define R_034104_GRBM_PERFCOUNTER0_HI                                   0x034104
#define   S_034104_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034104_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034104_PERFCOUNTER_HI                                     0x00000000
#define R_03410C_GRBM_PERFCOUNTER1_LO                                   0x03410C
#define R_034110_GRBM_PERFCOUNTER1_HI                                   0x034110
#define R_034114_GRBM_SE0_PERFCOUNTER_LO                                0x034114
#define   S_034114_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034114_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034114_PERFCOUNTER_LO                                     0x00000000
#define R_034118_GRBM_SE0_PERFCOUNTER_HI                                0x034118
#define   S_034118_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034118_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034118_PERFCOUNTER_HI                                     0x00000000
#define R_03411C_GRBM_SE1_PERFCOUNTER_LO                                0x03411C
#define R_034120_GRBM_SE1_PERFCOUNTER_HI                                0x034120
#define R_034124_GRBM_SE2_PERFCOUNTER_LO                                0x034124
#define R_034128_GRBM_SE2_PERFCOUNTER_HI                                0x034128
#define R_03412C_GRBM_SE3_PERFCOUNTER_LO                                0x03412C
#define R_034130_GRBM_SE3_PERFCOUNTER_HI                                0x034130
#define R_034200_GE_PERFCOUNTER0_LO                                     0x034200 /* >= gfx10 */
#define   S_034200_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034200_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034200_PERFCOUNTER_LO                                     0x00000000
#define R_034200_WD_PERFCOUNTER0_LO                                     0x034200 /* <= gfx9 */
#define R_034204_GE_PERFCOUNTER0_HI                                     0x034204 /* >= gfx10 */
#define   S_034204_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034204_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034204_PERFCOUNTER_HI                                     0x00000000
#define R_034204_WD_PERFCOUNTER0_HI                                     0x034204 /* <= gfx9 */
#define R_034208_GE_PERFCOUNTER1_LO                                     0x034208 /* >= gfx10 */
#define R_034208_WD_PERFCOUNTER1_LO                                     0x034208 /* <= gfx9 */
#define R_03420C_GE_PERFCOUNTER1_HI                                     0x03420C /* >= gfx10 */
#define R_03420C_WD_PERFCOUNTER1_HI                                     0x03420C /* <= gfx9 */
#define R_034210_GE_PERFCOUNTER2_LO                                     0x034210 /* >= gfx10 */
#define R_034210_WD_PERFCOUNTER2_LO                                     0x034210 /* <= gfx9 */
#define R_034214_GE_PERFCOUNTER2_HI                                     0x034214 /* >= gfx10 */
#define R_034214_WD_PERFCOUNTER2_HI                                     0x034214 /* <= gfx9 */
#define R_034218_GE_PERFCOUNTER3_LO                                     0x034218 /* >= gfx10 */
#define R_034218_WD_PERFCOUNTER3_LO                                     0x034218 /* <= gfx9 */
#define R_03421C_GE_PERFCOUNTER3_HI                                     0x03421C /* >= gfx10 */
#define R_03421C_WD_PERFCOUNTER3_HI                                     0x03421C /* <= gfx9 */
#define R_034220_GE_PERFCOUNTER4_LO                                     0x034220 /* >= gfx10 */
#define R_034220_IA_PERFCOUNTER0_LO                                     0x034220 /* <= gfx9 */
#define R_034224_GE_PERFCOUNTER4_HI                                     0x034224 /* >= gfx10 */
#define R_034224_IA_PERFCOUNTER0_HI                                     0x034224 /* <= gfx9 */
#define R_034228_GE_PERFCOUNTER5_LO                                     0x034228 /* >= gfx10 */
#define R_034228_IA_PERFCOUNTER1_LO                                     0x034228 /* <= gfx9 */
#define R_03422C_GE_PERFCOUNTER5_HI                                     0x03422C /* >= gfx10 */
#define R_03422C_IA_PERFCOUNTER1_HI                                     0x03422C /* <= gfx9 */
#define R_034230_GE_PERFCOUNTER6_LO                                     0x034230 /* >= gfx10 */
#define R_034230_IA_PERFCOUNTER2_LO                                     0x034230 /* <= gfx9 */
#define R_034234_GE_PERFCOUNTER6_HI                                     0x034234 /* >= gfx10 */
#define R_034234_IA_PERFCOUNTER2_HI                                     0x034234 /* <= gfx9 */
#define R_034238_GE_PERFCOUNTER7_LO                                     0x034238 /* >= gfx10 */
#define R_034238_IA_PERFCOUNTER3_LO                                     0x034238 /* <= gfx9 */
#define R_03423C_GE_PERFCOUNTER7_HI                                     0x03423C /* >= gfx10 */
#define R_03423C_IA_PERFCOUNTER3_HI                                     0x03423C /* <= gfx9 */
#define R_034240_GE_PERFCOUNTER8_LO                                     0x034240 /* >= gfx10 */
#define R_034240_VGT_PERFCOUNTER0_LO                                    0x034240 /* <= gfx9 */
#define R_034244_GE_PERFCOUNTER8_HI                                     0x034244 /* >= gfx10 */
#define R_034244_VGT_PERFCOUNTER0_HI                                    0x034244 /* <= gfx9 */
#define R_034248_GE_PERFCOUNTER9_LO                                     0x034248 /* >= gfx10 */
#define R_034248_VGT_PERFCOUNTER1_LO                                    0x034248 /* <= gfx9 */
#define R_03424C_GE_PERFCOUNTER9_HI                                     0x03424C /* >= gfx10 */
#define R_03424C_VGT_PERFCOUNTER1_HI                                    0x03424C /* <= gfx9 */
#define R_034250_GE_PERFCOUNTER10_LO                                    0x034250 /* >= gfx10 */
#define R_034250_VGT_PERFCOUNTER2_LO                                    0x034250 /* <= gfx9 */
#define R_034254_GE_PERFCOUNTER10_HI                                    0x034254 /* >= gfx10 */
#define R_034254_VGT_PERFCOUNTER2_HI                                    0x034254 /* <= gfx9 */
#define R_034258_GE_PERFCOUNTER11_LO                                    0x034258 /* >= gfx10 */
#define R_034258_VGT_PERFCOUNTER3_LO                                    0x034258 /* <= gfx9 */
#define R_03425C_GE_PERFCOUNTER11_HI                                    0x03425C /* >= gfx10 */
#define R_03425C_VGT_PERFCOUNTER3_HI                                    0x03425C /* <= gfx9 */
#define R_034400_PA_SU_PERFCOUNTER0_LO                                  0x034400
#define   S_034400_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034400_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034400_PERFCOUNTER_LO                                     0x00000000
#define R_034404_PA_SU_PERFCOUNTER0_HI                                  0x034404
#define   S_034404_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFF) << 0)
#define   G_034404_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFF)
#define   C_034404_PERFCOUNTER_HI                                     0xFFFF0000
#define R_034408_PA_SU_PERFCOUNTER1_LO                                  0x034408
#define R_03440C_PA_SU_PERFCOUNTER1_HI                                  0x03440C
#define R_034410_PA_SU_PERFCOUNTER2_LO                                  0x034410
#define R_034414_PA_SU_PERFCOUNTER2_HI                                  0x034414
#define R_034418_PA_SU_PERFCOUNTER3_LO                                  0x034418
#define R_03441C_PA_SU_PERFCOUNTER3_HI                                  0x03441C
#define R_034500_PA_SC_PERFCOUNTER0_LO                                  0x034500
#define   S_034500_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034500_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034500_PERFCOUNTER_LO                                     0x00000000
#define R_034504_PA_SC_PERFCOUNTER0_HI                                  0x034504
#define   S_034504_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034504_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034504_PERFCOUNTER_HI                                     0x00000000
#define R_034508_PA_SC_PERFCOUNTER1_LO                                  0x034508
#define R_03450C_PA_SC_PERFCOUNTER1_HI                                  0x03450C
#define R_034510_PA_SC_PERFCOUNTER2_LO                                  0x034510
#define R_034514_PA_SC_PERFCOUNTER2_HI                                  0x034514
#define R_034518_PA_SC_PERFCOUNTER3_LO                                  0x034518
#define R_03451C_PA_SC_PERFCOUNTER3_HI                                  0x03451C
#define R_034520_PA_SC_PERFCOUNTER4_LO                                  0x034520
#define R_034524_PA_SC_PERFCOUNTER4_HI                                  0x034524
#define R_034528_PA_SC_PERFCOUNTER5_LO                                  0x034528
#define R_03452C_PA_SC_PERFCOUNTER5_HI                                  0x03452C
#define R_034530_PA_SC_PERFCOUNTER6_LO                                  0x034530
#define R_034534_PA_SC_PERFCOUNTER6_HI                                  0x034534
#define R_034538_PA_SC_PERFCOUNTER7_LO                                  0x034538
#define R_03453C_PA_SC_PERFCOUNTER7_HI                                  0x03453C
#define R_034600_SPI_PERFCOUNTER0_HI                                    0x034600
#define   S_034600_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034600_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034600_PERFCOUNTER_HI                                     0x00000000
#define R_034604_SPI_PERFCOUNTER0_LO                                    0x034604
#define   S_034604_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034604_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034604_PERFCOUNTER_LO                                     0x00000000
#define R_034608_SPI_PERFCOUNTER1_HI                                    0x034608
#define R_03460C_SPI_PERFCOUNTER1_LO                                    0x03460C
#define R_034610_SPI_PERFCOUNTER2_HI                                    0x034610
#define R_034614_SPI_PERFCOUNTER2_LO                                    0x034614
#define R_034618_SPI_PERFCOUNTER3_HI                                    0x034618
#define R_03461C_SPI_PERFCOUNTER3_LO                                    0x03461C
#define R_034620_SPI_PERFCOUNTER4_HI                                    0x034620
#define R_034624_SPI_PERFCOUNTER4_LO                                    0x034624
#define R_034628_SPI_PERFCOUNTER5_HI                                    0x034628
#define R_03462C_SPI_PERFCOUNTER5_LO                                    0x03462C
#define R_034700_SQ_PERFCOUNTER0_LO                                     0x034700
#define   S_034700_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034700_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034700_PERFCOUNTER_LO                                     0x00000000
#define R_034704_SQ_PERFCOUNTER0_HI                                     0x034704
#define   S_034704_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034704_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034704_PERFCOUNTER_HI                                     0x00000000
#define R_034708_SQ_PERFCOUNTER1_LO                                     0x034708
#define R_03470C_SQ_PERFCOUNTER1_HI                                     0x03470C
#define R_034710_SQ_PERFCOUNTER2_LO                                     0x034710
#define R_034714_SQ_PERFCOUNTER2_HI                                     0x034714
#define R_034718_SQ_PERFCOUNTER3_LO                                     0x034718
#define R_03471C_SQ_PERFCOUNTER3_HI                                     0x03471C
#define R_034720_SQ_PERFCOUNTER4_LO                                     0x034720
#define R_034724_SQ_PERFCOUNTER4_HI                                     0x034724
#define R_034728_SQ_PERFCOUNTER5_LO                                     0x034728
#define R_03472C_SQ_PERFCOUNTER5_HI                                     0x03472C
#define R_034730_SQ_PERFCOUNTER6_LO                                     0x034730
#define R_034734_SQ_PERFCOUNTER6_HI                                     0x034734
#define R_034738_SQ_PERFCOUNTER7_LO                                     0x034738
#define R_03473C_SQ_PERFCOUNTER7_HI                                     0x03473C
#define R_034740_SQ_PERFCOUNTER8_LO                                     0x034740
#define R_034744_SQ_PERFCOUNTER8_HI                                     0x034744
#define R_034748_SQ_PERFCOUNTER9_LO                                     0x034748
#define R_03474C_SQ_PERFCOUNTER9_HI                                     0x03474C
#define R_034750_SQ_PERFCOUNTER10_LO                                    0x034750
#define R_034754_SQ_PERFCOUNTER10_HI                                    0x034754
#define R_034758_SQ_PERFCOUNTER11_LO                                    0x034758
#define R_03475C_SQ_PERFCOUNTER11_HI                                    0x03475C
#define R_034760_SQ_PERFCOUNTER12_LO                                    0x034760
#define R_034764_SQ_PERFCOUNTER12_HI                                    0x034764
#define R_034768_SQ_PERFCOUNTER13_LO                                    0x034768
#define R_03476C_SQ_PERFCOUNTER13_HI                                    0x03476C
#define R_034770_SQ_PERFCOUNTER14_LO                                    0x034770
#define R_034774_SQ_PERFCOUNTER14_HI                                    0x034774
#define R_034778_SQ_PERFCOUNTER15_LO                                    0x034778
#define R_03477C_SQ_PERFCOUNTER15_HI                                    0x03477C
#define R_034900_SX_PERFCOUNTER0_LO                                     0x034900
#define   S_034900_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034900_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034900_PERFCOUNTER_LO                                     0x00000000
#define R_034904_SX_PERFCOUNTER0_HI                                     0x034904
#define   S_034904_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034904_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034904_PERFCOUNTER_HI                                     0x00000000
#define R_034908_SX_PERFCOUNTER1_LO                                     0x034908
#define R_03490C_SX_PERFCOUNTER1_HI                                     0x03490C
#define R_034910_SX_PERFCOUNTER2_LO                                     0x034910
#define R_034914_SX_PERFCOUNTER2_HI                                     0x034914
#define R_034918_SX_PERFCOUNTER3_LO                                     0x034918
#define R_03491C_SX_PERFCOUNTER3_HI                                     0x03491C
#define R_034A00_GDS_PERFCOUNTER0_LO                                    0x034A00
#define   S_034A00_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034A00_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034A00_PERFCOUNTER_LO                                     0x00000000
#define R_034A04_GDS_PERFCOUNTER0_HI                                    0x034A04
#define   S_034A04_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034A04_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034A04_PERFCOUNTER_HI                                     0x00000000
#define R_034A08_GDS_PERFCOUNTER1_LO                                    0x034A08
#define R_034A0C_GDS_PERFCOUNTER1_HI                                    0x034A0C
#define R_034A10_GDS_PERFCOUNTER2_LO                                    0x034A10
#define R_034A14_GDS_PERFCOUNTER2_HI                                    0x034A14
#define R_034A18_GDS_PERFCOUNTER3_LO                                    0x034A18
#define R_034A1C_GDS_PERFCOUNTER3_HI                                    0x034A1C
#define R_034B00_TA_PERFCOUNTER0_LO                                     0x034B00
#define   S_034B00_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034B00_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034B00_PERFCOUNTER_LO                                     0x00000000
#define R_034B04_TA_PERFCOUNTER0_HI                                     0x034B04
#define   S_034B04_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034B04_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034B04_PERFCOUNTER_HI                                     0x00000000
#define R_034B08_TA_PERFCOUNTER1_LO                                     0x034B08
#define R_034B0C_TA_PERFCOUNTER1_HI                                     0x034B0C
#define R_034C00_TD_PERFCOUNTER0_LO                                     0x034C00
#define   S_034C00_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034C00_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034C00_PERFCOUNTER_LO                                     0x00000000
#define R_034C04_TD_PERFCOUNTER0_HI                                     0x034C04
#define   S_034C04_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034C04_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034C04_PERFCOUNTER_HI                                     0x00000000
#define R_034C08_TD_PERFCOUNTER1_LO                                     0x034C08
#define R_034C0C_TD_PERFCOUNTER1_HI                                     0x034C0C
#define R_034D00_TCP_PERFCOUNTER0_LO                                    0x034D00
#define   S_034D00_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034D00_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034D00_PERFCOUNTER_LO                                     0x00000000
#define R_034D04_TCP_PERFCOUNTER0_HI                                    0x034D04
#define   S_034D04_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034D04_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034D04_PERFCOUNTER_HI                                     0x00000000
#define R_034D08_TCP_PERFCOUNTER1_LO                                    0x034D08
#define R_034D0C_TCP_PERFCOUNTER1_HI                                    0x034D0C
#define R_034D10_TCP_PERFCOUNTER2_LO                                    0x034D10
#define R_034D14_TCP_PERFCOUNTER2_HI                                    0x034D14
#define R_034D18_TCP_PERFCOUNTER3_LO                                    0x034D18
#define R_034D1C_TCP_PERFCOUNTER3_HI                                    0x034D1C
#define R_034E00_GL2C_PERFCOUNTER0_LO                                   0x034E00 /* >= gfx10 */
#define R_034E00_TCC_PERFCOUNTER0_LO                                    0x034E00 /* <= gfx9 */
#define R_034E04_GL2C_PERFCOUNTER0_HI                                   0x034E04 /* >= gfx10 */
#define R_034E04_TCC_PERFCOUNTER0_HI                                    0x034E04 /* <= gfx9 */
#define R_034E08_GL2C_PERFCOUNTER1_LO                                   0x034E08 /* >= gfx10 */
#define R_034E08_TCC_PERFCOUNTER1_LO                                    0x034E08 /* <= gfx9 */
#define R_034E0C_GL2C_PERFCOUNTER1_HI                                   0x034E0C /* >= gfx10 */
#define R_034E0C_TCC_PERFCOUNTER1_HI                                    0x034E0C /* <= gfx9 */
#define R_034E10_GL2C_PERFCOUNTER2_LO                                   0x034E10 /* >= gfx10 */
#define R_034E10_TCC_PERFCOUNTER2_LO                                    0x034E10 /* <= gfx9 */
#define R_034E14_GL2C_PERFCOUNTER2_HI                                   0x034E14 /* >= gfx10 */
#define R_034E14_TCC_PERFCOUNTER2_HI                                    0x034E14 /* <= gfx9 */
#define R_034E18_GL2C_PERFCOUNTER3_LO                                   0x034E18 /* >= gfx10 */
#define R_034E18_TCC_PERFCOUNTER3_LO                                    0x034E18 /* <= gfx9 */
#define R_034E1C_GL2C_PERFCOUNTER3_HI                                   0x034E1C /* >= gfx10 */
#define R_034E1C_TCC_PERFCOUNTER3_HI                                    0x034E1C /* <= gfx9 */
#define R_034E40_GL2A_PERFCOUNTER0_LO                                   0x034E40 /* >= gfx10 */
#define R_034E40_TCA_PERFCOUNTER0_LO                                    0x034E40 /* <= gfx9 */
#define R_034E44_GL2A_PERFCOUNTER0_HI                                   0x034E44 /* >= gfx10 */
#define R_034E44_TCA_PERFCOUNTER0_HI                                    0x034E44 /* <= gfx9 */
#define R_034E48_GL2A_PERFCOUNTER1_LO                                   0x034E48 /* >= gfx10 */
#define R_034E48_TCA_PERFCOUNTER1_LO                                    0x034E48 /* <= gfx9 */
#define R_034E4C_GL2A_PERFCOUNTER1_HI                                   0x034E4C /* >= gfx10 */
#define R_034E4C_TCA_PERFCOUNTER1_HI                                    0x034E4C /* <= gfx9 */
#define R_034E50_GL2A_PERFCOUNTER2_LO                                   0x034E50 /* >= gfx10 */
#define R_034E50_TCA_PERFCOUNTER2_LO                                    0x034E50 /* <= gfx9 */
#define R_034E54_GL2A_PERFCOUNTER2_HI                                   0x034E54 /* >= gfx10 */
#define R_034E54_TCA_PERFCOUNTER2_HI                                    0x034E54 /* <= gfx9 */
#define R_034E58_GL2A_PERFCOUNTER3_LO                                   0x034E58 /* >= gfx10 */
#define R_034E58_TCA_PERFCOUNTER3_LO                                    0x034E58 /* <= gfx9 */
#define R_034E5C_GL2A_PERFCOUNTER3_HI                                   0x034E5C /* >= gfx10 */
#define R_034E5C_TCA_PERFCOUNTER3_HI                                    0x034E5C /* <= gfx9 */
#define R_034E80_GL1C_PERFCOUNTER0_LO                                   0x034E80 /* >= gfx10 */
#define   S_034E80_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034E80_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034E80_PERFCOUNTER_LO                                     0x00000000
#define R_034E84_GL1C_PERFCOUNTER0_HI                                   0x034E84 /* >= gfx10 */
#define   S_034E84_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034E84_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034E84_PERFCOUNTER_HI                                     0x00000000
#define R_034E88_GL1C_PERFCOUNTER1_LO                                   0x034E88 /* >= gfx10 */
#define R_034E8C_GL1C_PERFCOUNTER1_HI                                   0x034E8C /* >= gfx10 */
#define R_034E90_GL1C_PERFCOUNTER2_LO                                   0x034E90 /* >= gfx10 */
#define R_034E94_GL1C_PERFCOUNTER2_HI                                   0x034E94 /* >= gfx10 */
#define R_034E98_GL1C_PERFCOUNTER3_LO                                   0x034E98 /* >= gfx10 */
#define R_034E9C_GL1C_PERFCOUNTER3_HI                                   0x034E9C /* >= gfx10 */
#define R_034EA0_GL1CG_PERFCOUNTER0_LO                                  0x034EA0 /* >= gfx10 */
#define   S_034EA0_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034EA0_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034EA0_PERFCOUNTER_LO                                     0x00000000
#define R_034EA4_GL1CG_PERFCOUNTER0_HI                                  0x034EA4 /* >= gfx10 */
#define   S_034EA4_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034EA4_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034EA4_PERFCOUNTER_HI                                     0x00000000
#define R_034EA8_GL1CG_PERFCOUNTER1_LO                                  0x034EA8 /* >= gfx10 */
#define R_034EAC_GL1CG_PERFCOUNTER1_HI                                  0x034EAC /* >= gfx10 */
#define R_034EB0_GL1CG_PERFCOUNTER2_LO                                  0x034EB0 /* >= gfx10 */
#define R_034EB4_GL1CG_PERFCOUNTER2_HI                                  0x034EB4 /* >= gfx10 */
#define R_034EB8_GL1CG_PERFCOUNTER3_LO                                  0x034EB8 /* >= gfx10 */
#define R_034EBC_GL1CG_PERFCOUNTER3_HI                                  0x034EBC /* >= gfx10 */
#define R_034F00_CHC_PERFCOUNTER0_LO                                    0x034F00 /* >= gfx10 */
#define   S_034F00_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034F00_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034F00_PERFCOUNTER_LO                                     0x00000000
#define R_034F04_CHC_PERFCOUNTER0_HI                                    0x034F04 /* >= gfx10 */
#define   S_034F04_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034F04_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034F04_PERFCOUNTER_HI                                     0x00000000
#define R_034F08_CHC_PERFCOUNTER1_LO                                    0x034F08 /* >= gfx10 */
#define R_034F0C_CHC_PERFCOUNTER1_HI                                    0x034F0C /* >= gfx10 */
#define R_034F10_CHC_PERFCOUNTER2_LO                                    0x034F10 /* >= gfx10 */
#define R_034F14_CHC_PERFCOUNTER2_HI                                    0x034F14 /* >= gfx10 */
#define R_034F18_CHC_PERFCOUNTER3_LO                                    0x034F18 /* >= gfx10 */
#define R_034F1C_CHC_PERFCOUNTER3_HI                                    0x034F1C /* >= gfx10 */
#define R_034F20_CHCG_PERFCOUNTER0_LO                                   0x034F20 /* >= gfx10 */
#define   S_034F20_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034F20_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034F20_PERFCOUNTER_LO                                     0x00000000
#define R_034F24_CHCG_PERFCOUNTER0_HI                                   0x034F24 /* >= gfx10 */
#define   S_034F24_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_034F24_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_034F24_PERFCOUNTER_HI                                     0x00000000
#define R_034F28_CHCG_PERFCOUNTER1_LO                                   0x034F28 /* >= gfx10 */
#define R_034F2C_CHCG_PERFCOUNTER1_HI                                   0x034F2C /* >= gfx10 */
#define R_034F30_CHCG_PERFCOUNTER2_LO                                   0x034F30 /* >= gfx10 */
#define R_034F34_CHCG_PERFCOUNTER2_HI                                   0x034F34 /* >= gfx10 */
#define R_034F38_CHCG_PERFCOUNTER3_LO                                   0x034F38 /* >= gfx10 */
#define R_034F3C_CHCG_PERFCOUNTER3_HI                                   0x034F3C /* >= gfx10 */
#define R_035018_CB_PERFCOUNTER0_LO                                     0x035018
#define   S_035018_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035018_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035018_PERFCOUNTER_LO                                     0x00000000
#define R_03501C_CB_PERFCOUNTER0_HI                                     0x03501C
#define   S_03501C_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03501C_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_03501C_PERFCOUNTER_HI                                     0x00000000
#define R_035020_CB_PERFCOUNTER1_LO                                     0x035020
#define R_035024_CB_PERFCOUNTER1_HI                                     0x035024
#define R_035028_CB_PERFCOUNTER2_LO                                     0x035028
#define R_03502C_CB_PERFCOUNTER2_HI                                     0x03502C
#define R_035030_CB_PERFCOUNTER3_LO                                     0x035030
#define R_035034_CB_PERFCOUNTER3_HI                                     0x035034
#define R_035100_DB_PERFCOUNTER0_LO                                     0x035100
#define   S_035100_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035100_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035100_PERFCOUNTER_LO                                     0x00000000
#define R_035104_DB_PERFCOUNTER0_HI                                     0x035104
#define   S_035104_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035104_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035104_PERFCOUNTER_HI                                     0x00000000
#define R_035108_DB_PERFCOUNTER1_LO                                     0x035108
#define R_03510C_DB_PERFCOUNTER1_HI                                     0x03510C
#define R_035110_DB_PERFCOUNTER2_LO                                     0x035110
#define R_035114_DB_PERFCOUNTER2_HI                                     0x035114
#define R_035118_DB_PERFCOUNTER3_LO                                     0x035118
#define R_03511C_DB_PERFCOUNTER3_HI                                     0x03511C
#define R_035200_RLC_PERFCOUNTER0_LO                                    0x035200 /* <= stoney, >= gfx10 */
#define   S_035200_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035200_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035200_PERFCOUNTER_LO                                     0x00000000
#define R_035204_RLC_PERFCOUNTER0_HI                                    0x035204 /* <= stoney, >= gfx10 */
#define   S_035204_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035204_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035204_PERFCOUNTER_HI                                     0x00000000
#define R_035208_RLC_PERFCOUNTER1_LO                                    0x035208 /* <= stoney, >= gfx10 */
#define R_03520C_RLC_PERFCOUNTER1_HI                                    0x03520C /* <= stoney, >= gfx10 */
#define R_035300_RMI_PERFCOUNTER0_LO                                    0x035300 /* >= gfx10 */
#define   S_035300_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035300_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035300_PERFCOUNTER_LO                                     0x00000000
#define R_035304_RMI_PERFCOUNTER0_HI                                    0x035304 /* >= gfx10 */
#define   S_035304_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035304_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035304_PERFCOUNTER_HI                                     0x00000000
#define R_035308_RMI_PERFCOUNTER1_LO                                    0x035308 /* >= gfx10 */
#define R_03530C_RMI_PERFCOUNTER1_HI                                    0x03530C /* >= gfx10 */
#define R_035310_RMI_PERFCOUNTER2_LO                                    0x035310 /* >= gfx10 */
#define R_035314_RMI_PERFCOUNTER2_HI                                    0x035314 /* >= gfx10 */
#define R_035318_RMI_PERFCOUNTER3_LO                                    0x035318 /* >= gfx10 */
#define R_03531C_RMI_PERFCOUNTER3_HI                                    0x03531C /* >= gfx10 */
#define R_035470_UTCL1_PERFCOUNTER0_LO                                  0x035470 /* >= gfx10 */
#define   S_035470_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035470_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035470_PERFCOUNTER_LO                                     0x00000000
#define R_035474_UTCL1_PERFCOUNTER0_HI                                  0x035474 /* >= gfx10 */
#define   S_035474_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035474_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035474_PERFCOUNTER_HI                                     0x00000000
#define R_035478_UTCL1_PERFCOUNTER1_LO                                  0x035478 /* >= gfx10 */
#define R_03547C_UTCL1_PERFCOUNTER1_HI                                  0x03547C /* >= gfx10 */
#define R_035480_GCR_PERFCOUNTER0_LO                                    0x035480 /* >= gfx10 */
#define   S_035480_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035480_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035480_PERFCOUNTER_LO                                     0x00000000
#define R_035484_GCR_PERFCOUNTER0_HI                                    0x035484 /* >= gfx10 */
#define   S_035484_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035484_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035484_PERFCOUNTER_HI                                     0x00000000
#define R_035488_GCR_PERFCOUNTER1_LO                                    0x035488 /* >= gfx10 */
#define R_03548C_GCR_PERFCOUNTER1_HI                                    0x03548C /* >= gfx10 */
#define R_035600_PA_PH_PERFCOUNTER0_LO                                  0x035600 /* >= gfx10 */
#define   S_035600_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035600_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035600_PERFCOUNTER_LO                                     0x00000000
#define R_035604_PA_PH_PERFCOUNTER0_HI                                  0x035604 /* >= gfx10 */
#define   S_035604_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035604_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035604_PERFCOUNTER_HI                                     0x00000000
#define R_035608_PA_PH_PERFCOUNTER1_LO                                  0x035608 /* >= gfx10 */
#define R_03560C_PA_PH_PERFCOUNTER1_HI                                  0x03560C /* >= gfx10 */
#define R_035610_PA_PH_PERFCOUNTER2_LO                                  0x035610 /* >= gfx10 */
#define R_035614_PA_PH_PERFCOUNTER2_HI                                  0x035614 /* >= gfx10 */
#define R_035618_PA_PH_PERFCOUNTER3_LO                                  0x035618 /* >= gfx10 */
#define R_03561C_PA_PH_PERFCOUNTER3_HI                                  0x03561C /* >= gfx10 */
#define R_035620_PA_PH_PERFCOUNTER4_LO                                  0x035620 /* >= gfx10 */
#define R_035624_PA_PH_PERFCOUNTER4_HI                                  0x035624 /* >= gfx10 */
#define R_035628_PA_PH_PERFCOUNTER5_LO                                  0x035628 /* >= gfx10 */
#define R_03562C_PA_PH_PERFCOUNTER5_HI                                  0x03562C /* >= gfx10 */
#define R_035630_PA_PH_PERFCOUNTER6_LO                                  0x035630 /* >= gfx10 */
#define R_035634_PA_PH_PERFCOUNTER6_HI                                  0x035634 /* >= gfx10 */
#define R_035638_PA_PH_PERFCOUNTER7_LO                                  0x035638 /* >= gfx10 */
#define R_03563C_PA_PH_PERFCOUNTER7_HI                                  0x03563C /* >= gfx10 */
#define R_035700_GL1A_PERFCOUNTER0_LO                                   0x035700 /* >= gfx10 */
#define   S_035700_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035700_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035700_PERFCOUNTER_LO                                     0x00000000
#define R_035704_GL1A_PERFCOUNTER0_HI                                   0x035704 /* >= gfx10 */
#define   S_035704_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035704_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035704_PERFCOUNTER_HI                                     0x00000000
#define R_035708_GL1A_PERFCOUNTER1_LO                                   0x035708 /* >= gfx10 */
#define R_03570C_GL1A_PERFCOUNTER1_HI                                   0x03570C /* >= gfx10 */
#define R_035710_GL1A_PERFCOUNTER2_LO                                   0x035710 /* >= gfx10 */
#define R_035714_GL1A_PERFCOUNTER2_HI                                   0x035714 /* >= gfx10 */
#define R_035718_GL1A_PERFCOUNTER3_LO                                   0x035718 /* >= gfx10 */
#define R_03571C_GL1A_PERFCOUNTER3_HI                                   0x03571C /* >= gfx10 */
#define R_035800_CHA_PERFCOUNTER0_LO                                    0x035800 /* >= gfx10 */
#define   S_035800_PERFCOUNTER_LO(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035800_PERFCOUNTER_LO(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035800_PERFCOUNTER_LO                                     0x00000000
#define R_035804_CHA_PERFCOUNTER0_HI                                    0x035804 /* >= gfx10 */
#define   S_035804_PERFCOUNTER_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_035804_PERFCOUNTER_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_035804_PERFCOUNTER_HI                                     0x00000000
#define R_035808_CHA_PERFCOUNTER1_LO                                    0x035808 /* >= gfx10 */
#define R_03580C_CHA_PERFCOUNTER1_HI                                    0x03580C /* >= gfx10 */
#define R_035810_CHA_PERFCOUNTER2_LO                                    0x035810 /* >= gfx10 */
#define R_035814_CHA_PERFCOUNTER2_HI                                    0x035814 /* >= gfx10 */
#define R_035818_CHA_PERFCOUNTER3_LO                                    0x035818 /* >= gfx10 */
#define R_03581C_CHA_PERFCOUNTER3_HI                                    0x03581C /* >= gfx10 */
#define R_036000_CPG_PERFCOUNTER1_SELECT                                0x036000
#define R_036004_CPG_PERFCOUNTER0_SELECT1                               0x036004
#define   S_036004_CNTR_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0) /* gfx9 */
#define   G_036004_CNTR_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036004_CNTR_SEL2                                          0xFFFFFC00
#define   S_036004_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0) /* <= stoney, >= gfx10 */
#define   G_036004_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036004_PERF_SEL2                                          0xFFFFFC00
#define     V_036004_CPG_PERF_SEL_ALWAYS_COUNT                      0 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_RBIU_FIFO_FULL                    1 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CSF_RTS_BUT_MIU_NOT_RTR           2 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CSF_ST_BASE_SIZE_FIFO_FULL        3 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CP_GRBM_DWORDS_SENT               4 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_ME_PARSER_BUSY                    5 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_COUNT_TYPE0_PACKETS               6 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_COUNT_TYPE3_PACKETS               7 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CSF_FETCHING_CMD_BUFFERS          8 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CP_GRBM_OUT_OF_CREDITS            9 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CP_PFP_GRBM_OUT_OF_CREDITS        10 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CP_GDS_GRBM_OUT_OF_CREDITS        11 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_RCIU_STALLED_ON_ME_READ           12 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_RCIU_STALLED_ON_DMA_READ          13 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_SSU_STALLED_ON_ACTIVE_CNTX        14 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_SSU_STALLED_ON_CLEAN_SIGNALS      15 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_QU_STALLED_ON_EOP_DONE_PULSE      16 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_QU_STALLED_ON_EOP_DONE_WR_CONFIRM 17 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_PFP_STALLED_ON_CSF_READY          18 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_PFP_STALLED_ON_MEQ_READY          19 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_PFP_STALLED_ON_RCIU_READY         20 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_PFP_STALLED_FOR_DATA_FROM_ROQ     21 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_ME_STALLED_FOR_DATA_FROM_PFP      22 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_ME_STALLED_FOR_DATA_FROM_STQ      23 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_ME_STALLED_ON_NO_AVAIL_GFX_CNTX   24 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_ME_STALLED_WRITING_TO_RCIU        25 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_ME_STALLED_WRITING_CONSTANTS      26 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_ME_STALLED_ON_PARTIAL_FLUSH       27 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_ME_WAIT_ON_CE_COUNTER             28 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_ME_WAIT_ON_AVAIL_BUFFER           29 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_SEMAPHORE_BUSY_POLLING_FOR_PASS   30 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_LOAD_STALLED_ON_SET_COHERENCY     31 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_DYNAMIC_CLK_VALID                 32 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_REGISTER_CLK_VALID                33 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_GUS_WRITE_REQUEST_SENT            34 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_GUS_READ_REQUEST_SENT             35 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CE_STALL_RAM_DUMP                 36 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CE_STALL_RAM_WRITE                37 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CE_STALL_ON_INC_FIFO              38 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CE_STALL_ON_WR_RAM_FIFO           39 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CE_STALL_ON_DATA_FROM_MIU         40 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CE_STALL_ON_DATA_FROM_ROQ         41 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CE_STALL_ON_CE_BUFFER_FLAG        42 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CE_STALL_ON_DE_COUNTER            43 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_TCIU_STALL_WAIT_ON_FREE           44 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_TCIU_STALL_WAIT_ON_TAGS           45 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_UTCL2IU_STALL_WAIT_ON_FREE        46 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_UTCL2IU_STALL_WAIT_ON_TAGS        47 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_UTCL1_STALL_ON_TRANSLATION        48 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_TCIU_WRITE_REQUEST_SENT           49 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_TCIU_READ_REQUEST_SENT            50 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CPG_STAT_BUSY                     51 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CPG_STAT_IDLE                     52 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CPG_STAT_STALL                    53 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CPG_TCIU_BUSY                     54 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CPG_TCIU_IDLE                     55 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CPG_TCIU_STALL                    56 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CPG_UTCL2IU_BUSY                  57 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CPG_UTCL2IU_IDLE                  58 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CPG_UTCL2IU_STALL                 59 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CPG_GCRIU_BUSY                    60 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CPG_GCRIU_IDLE                    61 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CPG_GCRIU_STALL                   62 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_GCRIU_STALL_WAIT_ON_FREE          63 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_ALL_GFX_PIPES_BUSY                64 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CPG_UTCL2IU_XACK                  65 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CPG_UTCL2IU_XNACK                 66 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_PFP_STALLED_ON_MEQ_DDID_READY     67 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_PFP_INSTR_CACHE_HIT               68 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_PFP_INSTR_CACHE_MISS              69 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CE_INSTR_CACHE_HIT                70 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_CE_INSTR_CACHE_MISS               71 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_ME_INSTR_CACHE_HIT                72 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_ME_INSTR_CACHE_MISS               73 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_PFP_PACKET_FILTER_HIT_IB1         74 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_PFP_PACKET_FILTER_MISS_IB1        75 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_PFP_PACKET_FILTER_HIT_IB2         76 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_PFP_PACKET_FILTER_MISS_IB2        77 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_DMA_BUSY                          78 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_DMA_STARVED                       79 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_DMA_STALLED                       80 /* >= gfx10 */
#define     V_036004_CPG_PERF_SEL_DMA_FETCHER_STALLED_ON_ROQ_FULL   81 /* >= gfx10 */
#define   S_036004_CNTR_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10) /* gfx9 */
#define   G_036004_CNTR_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036004_CNTR_SEL3                                          0xFFF003FF
#define   S_036004_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10) /* <= stoney, >= gfx10 */
#define   G_036004_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036004_PERF_SEL3                                          0xFFF003FF
#define   S_036004_CNTR_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24) /* >= gfx9 */
#define   G_036004_CNTR_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_036004_CNTR_MODE3                                         0xF0FFFFFF
#define   S_036004_CNTR_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28) /* >= gfx9 */
#define   G_036004_CNTR_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_036004_CNTR_MODE2                                         0x0FFFFFFF
#define R_036008_CPG_PERFCOUNTER0_SELECT                                0x036008
#define   S_036008_CNTR_SEL0(x)                                       (((unsigned)(x) & 0x3FF) << 0) /* gfx9 */
#define   G_036008_CNTR_SEL0(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036008_CNTR_SEL0                                          0xFFFFFC00
#define   S_036008_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0) /* <= stoney, >= gfx10 */
#define   G_036008_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036008_PERF_SEL                                           0xFFFFFC00
#define     V_036008_CPG_PERF_SEL_ALWAYS_COUNT                      0 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_RBIU_FIFO_FULL                    1 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CSF_RTS_BUT_MIU_NOT_RTR           2 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CSF_ST_BASE_SIZE_FIFO_FULL        3 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CP_GRBM_DWORDS_SENT               4 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_ME_PARSER_BUSY                    5 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_COUNT_TYPE0_PACKETS               6 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_COUNT_TYPE3_PACKETS               7 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CSF_FETCHING_CMD_BUFFERS          8 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CP_GRBM_OUT_OF_CREDITS            9 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CP_PFP_GRBM_OUT_OF_CREDITS        10 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CP_GDS_GRBM_OUT_OF_CREDITS        11 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_RCIU_STALLED_ON_ME_READ           12 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_RCIU_STALLED_ON_DMA_READ          13 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_SSU_STALLED_ON_ACTIVE_CNTX        14 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_SSU_STALLED_ON_CLEAN_SIGNALS      15 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_QU_STALLED_ON_EOP_DONE_PULSE      16 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_QU_STALLED_ON_EOP_DONE_WR_CONFIRM 17 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_PFP_STALLED_ON_CSF_READY          18 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_PFP_STALLED_ON_MEQ_READY          19 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_PFP_STALLED_ON_RCIU_READY         20 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_PFP_STALLED_FOR_DATA_FROM_ROQ     21 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_ME_STALLED_FOR_DATA_FROM_PFP      22 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_ME_STALLED_FOR_DATA_FROM_STQ      23 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_ME_STALLED_ON_NO_AVAIL_GFX_CNTX   24 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_ME_STALLED_WRITING_TO_RCIU        25 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_ME_STALLED_WRITING_CONSTANTS      26 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_ME_STALLED_ON_PARTIAL_FLUSH       27 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_ME_WAIT_ON_CE_COUNTER             28 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_ME_WAIT_ON_AVAIL_BUFFER           29 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_SEMAPHORE_BUSY_POLLING_FOR_PASS   30 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_LOAD_STALLED_ON_SET_COHERENCY     31 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_DYNAMIC_CLK_VALID                 32 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_REGISTER_CLK_VALID                33 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_GUS_WRITE_REQUEST_SENT            34 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_GUS_READ_REQUEST_SENT             35 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CE_STALL_RAM_DUMP                 36 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CE_STALL_RAM_WRITE                37 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CE_STALL_ON_INC_FIFO              38 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CE_STALL_ON_WR_RAM_FIFO           39 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CE_STALL_ON_DATA_FROM_MIU         40 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CE_STALL_ON_DATA_FROM_ROQ         41 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CE_STALL_ON_CE_BUFFER_FLAG        42 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CE_STALL_ON_DE_COUNTER            43 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_TCIU_STALL_WAIT_ON_FREE           44 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_TCIU_STALL_WAIT_ON_TAGS           45 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_UTCL2IU_STALL_WAIT_ON_FREE        46 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_UTCL2IU_STALL_WAIT_ON_TAGS        47 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_UTCL1_STALL_ON_TRANSLATION        48 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_TCIU_WRITE_REQUEST_SENT           49 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_TCIU_READ_REQUEST_SENT            50 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CPG_STAT_BUSY                     51 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CPG_STAT_IDLE                     52 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CPG_STAT_STALL                    53 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CPG_TCIU_BUSY                     54 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CPG_TCIU_IDLE                     55 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CPG_TCIU_STALL                    56 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CPG_UTCL2IU_BUSY                  57 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CPG_UTCL2IU_IDLE                  58 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CPG_UTCL2IU_STALL                 59 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CPG_GCRIU_BUSY                    60 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CPG_GCRIU_IDLE                    61 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CPG_GCRIU_STALL                   62 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_GCRIU_STALL_WAIT_ON_FREE          63 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_ALL_GFX_PIPES_BUSY                64 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CPG_UTCL2IU_XACK                  65 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CPG_UTCL2IU_XNACK                 66 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_PFP_STALLED_ON_MEQ_DDID_READY     67 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_PFP_INSTR_CACHE_HIT               68 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_PFP_INSTR_CACHE_MISS              69 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CE_INSTR_CACHE_HIT                70 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_CE_INSTR_CACHE_MISS               71 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_ME_INSTR_CACHE_HIT                72 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_ME_INSTR_CACHE_MISS               73 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_PFP_PACKET_FILTER_HIT_IB1         74 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_PFP_PACKET_FILTER_MISS_IB1        75 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_PFP_PACKET_FILTER_HIT_IB2         76 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_PFP_PACKET_FILTER_MISS_IB2        77 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_DMA_BUSY                          78 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_DMA_STARVED                       79 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_DMA_STALLED                       80 /* >= gfx10 */
#define     V_036008_CPG_PERF_SEL_DMA_FETCHER_STALLED_ON_ROQ_FULL   81 /* >= gfx10 */
#define   S_036008_CNTR_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10) /* gfx9 */
#define   G_036008_CNTR_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036008_CNTR_SEL1                                          0xFFF003FF
#define   S_036008_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10) /* <= stoney, >= gfx10 */
#define   G_036008_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036008_PERF_SEL1                                          0xFFF003FF
#define   S_036008_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20) /* <= stoney */
#define   G_036008_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036008_CNTR_MODE                                          0xFF0FFFFF
#define   S_036008_SPM_MODE(x)                                        (((unsigned)(x) & 0xF) << 20) /* >= gfx9 */
#define   G_036008_SPM_MODE(x)                                        (((x) >> 20) & 0xF)
#define   C_036008_SPM_MODE                                           0xFF0FFFFF
#define   S_036008_CNTR_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24) /* >= gfx9 */
#define   G_036008_CNTR_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036008_CNTR_MODE1                                         0xF0FFFFFF
#define   S_036008_CNTR_MODE0(x)                                      (((unsigned)(x) & 0xF) << 28) /* >= gfx9 */
#define   G_036008_CNTR_MODE0(x)                                      (((x) >> 28) & 0xF)
#define   C_036008_CNTR_MODE0                                         0x0FFFFFFF
#define R_03600C_CPC_PERFCOUNTER1_SELECT                                0x03600C
#define R_036010_CPC_PERFCOUNTER0_SELECT1                               0x036010
#define   S_036010_CNTR_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0) /* gfx9 */
#define   G_036010_CNTR_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036010_CNTR_SEL2                                          0xFFFFFC00
#define   S_036010_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0) /* <= stoney, >= gfx10 */
#define   G_036010_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036010_PERF_SEL2                                          0xFFFFFC00
#define     V_036010_CPC_PERF_SEL_ALWAYS_COUNT                      0 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_RCIU_STALL_WAIT_ON_FREE           1 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_RCIU_STALL_PRIV_VIOLATION         2 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_MIU_STALL_ON_RDREQ_FREE           3 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_MIU_STALL_ON_WRREQ_FREE           4 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_TCIU_STALL_WAIT_ON_FREE           5 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME1_STALL_WAIT_ON_RCIU_READY      6 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME1_STALL_WAIT_ON_RCIU_READY_PERF 7 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME1_STALL_WAIT_ON_RCIU_READ       8 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME1_STALL_WAIT_ON_GUS_READ        9 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME1_STALL_WAIT_ON_GUS_WRITE       10 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME1_STALL_ON_DATA_FROM_ROQ        11 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME1_STALL_ON_DATA_FROM_ROQ_PERF   12 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME1_BUSY_FOR_PACKET_DECODE        13 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME2_STALL_WAIT_ON_RCIU_READY      14 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME2_STALL_WAIT_ON_RCIU_READY_PERF 15 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME2_STALL_WAIT_ON_RCIU_READ       16 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME2_STALL_WAIT_ON_GUS_READ        17 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME2_STALL_WAIT_ON_GUS_WRITE       18 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME2_STALL_ON_DATA_FROM_ROQ        19 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME2_STALL_ON_DATA_FROM_ROQ_PERF   20 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME2_BUSY_FOR_PACKET_DECODE        21 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_UTCL2IU_STALL_WAIT_ON_FREE        22 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_UTCL2IU_STALL_WAIT_ON_TAGS        23 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_UTCL1_STALL_ON_TRANSLATION        24 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_CPC_STAT_BUSY                     25 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_CPC_STAT_IDLE                     26 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_CPC_STAT_STALL                    27 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_CPC_TCIU_BUSY                     28 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_CPC_TCIU_IDLE                     29 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_CPC_UTCL2IU_BUSY                  30 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_CPC_UTCL2IU_IDLE                  31 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_CPC_UTCL2IU_STALL                 32 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME1_DC0_SPI_BUSY                  33 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME2_DC1_SPI_BUSY                  34 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_CPC_GCRIU_BUSY                    35 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_CPC_GCRIU_IDLE                    36 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_CPC_GCRIU_STALL                   37 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_GCRIU_STALL_WAIT_ON_FREE          38 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME1_STALL_WAIT_ON_TCIU_READ       39 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_ME2_STALL_WAIT_ON_TCIU_READ       40 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_CPC_UTCL2IU_XACK                  41 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_CPC_UTCL2IU_XNACK                 42 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_MEC_INSTR_CACHE_HIT               43 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_MEC_INSTR_CACHE_MISS              44 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_MES_THREAD0                       45 /* >= gfx10 */
#define     V_036010_CPC_PERF_SEL_MES_THREAD1                       46 /* >= gfx10 */
#define   S_036010_CNTR_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10) /* gfx9 */
#define   G_036010_CNTR_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036010_CNTR_SEL3                                          0xFFF003FF
#define   S_036010_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10) /* <= stoney, >= gfx10 */
#define   G_036010_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036010_PERF_SEL3                                          0xFFF003FF
#define   S_036010_CNTR_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24) /* >= gfx9 */
#define   G_036010_CNTR_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_036010_CNTR_MODE3                                         0xF0FFFFFF
#define   S_036010_CNTR_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28) /* >= gfx9 */
#define   G_036010_CNTR_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_036010_CNTR_MODE2                                         0x0FFFFFFF
#define R_036014_CPF_PERFCOUNTER1_SELECT                                0x036014
#define R_036018_CPF_PERFCOUNTER0_SELECT1                               0x036018
#define   S_036018_CNTR_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0) /* gfx9 */
#define   G_036018_CNTR_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036018_CNTR_SEL2                                          0xFFFFFC00
#define   S_036018_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0) /* <= stoney, >= gfx10 */
#define   G_036018_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036018_PERF_SEL2                                          0xFFFFFC00
#define     V_036018_CPF_PERF_SEL_ALWAYS_COUNT                      0 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_MIU_STALLED_WAITING_RDREQ_FREE    1 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_TCIU_STALLED_WAITING_ON_FREE      2 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_TCIU_STALLED_WAITING_ON_TAGS      3 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CSF_BUSY_FOR_FETCHING_RING        4 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CSF_BUSY_FOR_FETCHING_IB1         5 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CSF_BUSY_FOR_FETCHING_IB2         6 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CSF_BUSY_FOR_FECTHINC_STATE       7 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_MIU_BUSY_FOR_OUTSTANDING_TAGS     8 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CSF_RTS_MIU_NOT_RTR               9 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CSF_STATE_FIFO_NOT_RTR            10 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CSF_FETCHING_CMD_BUFFERS          11 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_GRBM_DWORDS_SENT                  12 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_DYNAMIC_CLOCK_VALID               13 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_REGISTER_CLOCK_VALID              14 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_GUS_WRITE_REQUEST_SENT            15 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_GUS_READ_REQUEST_SENT             16 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_UTCL2IU_STALL_WAIT_ON_FREE        17 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_UTCL2IU_STALL_WAIT_ON_TAGS        18 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_GFX_UTCL1_STALL_ON_TRANSLATION    19 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CMP_UTCL1_STALL_ON_TRANSLATION    20 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_RCIU_STALL_WAIT_ON_FREE           21 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_TCIU_WRITE_REQUEST_SENT           22 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_TCIU_READ_REQUEST_SENT            23 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CPF_STAT_BUSY                     24 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CPF_STAT_IDLE                     25 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CPF_STAT_STALL                    26 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CPF_TCIU_BUSY                     27 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CPF_TCIU_IDLE                     28 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CPF_TCIU_STALL                    29 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CPF_UTCL2IU_BUSY                  30 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CPF_UTCL2IU_IDLE                  31 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CPF_UTCL2IU_STALL                 32 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CPF_GCRIU_BUSY                    33 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CPF_GCRIU_IDLE                    34 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CPF_GCRIU_STALL                   35 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_GCRIU_STALL_WAIT_ON_FREE          36 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CSF_BUSY_FOR_FETCHING_DB          37 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CPF_UTCL2IU_XACK                  38 /* >= gfx10 */
#define     V_036018_CPF_PERF_SEL_CPF_UTCL2IU_XNACK                 39 /* >= gfx10 */
#define   S_036018_CNTR_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10) /* gfx9 */
#define   G_036018_CNTR_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036018_CNTR_SEL3                                          0xFFF003FF
#define   S_036018_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10) /* <= stoney, >= gfx10 */
#define   G_036018_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036018_PERF_SEL3                                          0xFFF003FF
#define   S_036018_CNTR_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24) /* >= gfx9 */
#define   G_036018_CNTR_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_036018_CNTR_MODE3                                         0xF0FFFFFF
#define   S_036018_CNTR_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28) /* >= gfx9 */
#define   G_036018_CNTR_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_036018_CNTR_MODE2                                         0x0FFFFFFF
#define R_03601C_CPF_PERFCOUNTER0_SELECT                                0x03601C
#define   S_03601C_CNTR_SEL0(x)                                       (((unsigned)(x) & 0x3FF) << 0) /* gfx9 */
#define   G_03601C_CNTR_SEL0(x)                                       (((x) >> 0) & 0x3FF)
#define   C_03601C_CNTR_SEL0                                          0xFFFFFC00
#define   S_03601C_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0) /* <= stoney, >= gfx10 */
#define   G_03601C_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_03601C_PERF_SEL                                           0xFFFFFC00
#define     V_03601C_CPF_PERF_SEL_ALWAYS_COUNT                      0 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_MIU_STALLED_WAITING_RDREQ_FREE    1 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_TCIU_STALLED_WAITING_ON_FREE      2 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_TCIU_STALLED_WAITING_ON_TAGS      3 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CSF_BUSY_FOR_FETCHING_RING        4 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CSF_BUSY_FOR_FETCHING_IB1         5 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CSF_BUSY_FOR_FETCHING_IB2         6 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CSF_BUSY_FOR_FECTHINC_STATE       7 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_MIU_BUSY_FOR_OUTSTANDING_TAGS     8 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CSF_RTS_MIU_NOT_RTR               9 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CSF_STATE_FIFO_NOT_RTR            10 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CSF_FETCHING_CMD_BUFFERS          11 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_GRBM_DWORDS_SENT                  12 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_DYNAMIC_CLOCK_VALID               13 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_REGISTER_CLOCK_VALID              14 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_GUS_WRITE_REQUEST_SENT            15 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_GUS_READ_REQUEST_SENT             16 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_UTCL2IU_STALL_WAIT_ON_FREE        17 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_UTCL2IU_STALL_WAIT_ON_TAGS        18 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_GFX_UTCL1_STALL_ON_TRANSLATION    19 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CMP_UTCL1_STALL_ON_TRANSLATION    20 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_RCIU_STALL_WAIT_ON_FREE           21 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_TCIU_WRITE_REQUEST_SENT           22 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_TCIU_READ_REQUEST_SENT            23 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CPF_STAT_BUSY                     24 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CPF_STAT_IDLE                     25 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CPF_STAT_STALL                    26 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CPF_TCIU_BUSY                     27 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CPF_TCIU_IDLE                     28 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CPF_TCIU_STALL                    29 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CPF_UTCL2IU_BUSY                  30 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CPF_UTCL2IU_IDLE                  31 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CPF_UTCL2IU_STALL                 32 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CPF_GCRIU_BUSY                    33 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CPF_GCRIU_IDLE                    34 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CPF_GCRIU_STALL                   35 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_GCRIU_STALL_WAIT_ON_FREE          36 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CSF_BUSY_FOR_FETCHING_DB          37 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CPF_UTCL2IU_XACK                  38 /* >= gfx10 */
#define     V_03601C_CPF_PERF_SEL_CPF_UTCL2IU_XNACK                 39 /* >= gfx10 */
#define   S_03601C_CNTR_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10) /* gfx9 */
#define   G_03601C_CNTR_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_03601C_CNTR_SEL1                                          0xFFF003FF
#define   S_03601C_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10) /* <= stoney, >= gfx10 */
#define   G_03601C_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_03601C_PERF_SEL1                                          0xFFF003FF
#define   S_03601C_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20) /* <= stoney */
#define   G_03601C_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_03601C_CNTR_MODE                                          0xFF0FFFFF
#define   S_03601C_SPM_MODE(x)                                        (((unsigned)(x) & 0xF) << 20) /* >= gfx9 */
#define   G_03601C_SPM_MODE(x)                                        (((x) >> 20) & 0xF)
#define   C_03601C_SPM_MODE                                           0xFF0FFFFF
#define   S_03601C_CNTR_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24) /* >= gfx9 */
#define   G_03601C_CNTR_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_03601C_CNTR_MODE1                                         0xF0FFFFFF
#define   S_03601C_CNTR_MODE0(x)                                      (((unsigned)(x) & 0xF) << 28) /* >= gfx9 */
#define   G_03601C_CNTR_MODE0(x)                                      (((x) >> 28) & 0xF)
#define   C_03601C_CNTR_MODE0                                         0x0FFFFFFF
#define R_036020_CP_PERFMON_CNTL                                        0x036020
#define   S_036020_PERFMON_STATE(x)                                   (((unsigned)(x) & 0xF) << 0)
#define   G_036020_PERFMON_STATE(x)                                   (((x) >> 0) & 0xF)
#define   C_036020_PERFMON_STATE                                      0xFFFFFFF0
#define     V_036020_CP_PERFMON_STATE_DISABLE_AND_RESET             0 /* >= gfx10 */
#define     V_036020_DISABLE_AND_RESET                              0 /* <= gfx9 */
#define     V_036020_CP_PERFMON_STATE_START_COUNTING                1 /* >= gfx10 */
#define     V_036020_START_COUNTING                                 1 /* <= gfx9 */
#define     V_036020_CP_PERFMON_STATE_STOP_COUNTING                 2 /* >= gfx10 */
#define     V_036020_STOP_COUNTING                                  2 /* <= gfx9 */
#define     V_036020_CP_PERFMON_STATE_RESERVED_3                    3 /* >= gfx10 */
#define     V_036020_CP_PERFMON_STATE_DISABLE_AND_RESET_PHANTOM     4 /* >= gfx10 */
#define     V_036020_CP_PERFMON_STATE_COUNT_AND_DUMP_PHANTOM        5 /* >= gfx10 */
#define   S_036020_SPM_PERFMON_STATE(x)                               (((unsigned)(x) & 0xF) << 4)
#define   G_036020_SPM_PERFMON_STATE(x)                               (((x) >> 4) & 0xF)
#define   C_036020_SPM_PERFMON_STATE                                  0xFFFFFF0F
#define     V_036020_STRM_PERFMON_STATE_DISABLE_AND_RESET           0 /* >= gfx10 */
#define     V_036020_STRM_PERFMON_STATE_START_COUNTING              1 /* >= gfx10 */
#define     V_036020_STRM_PERFMON_STATE_STOP_COUNTING               2 /* >= gfx10 */
#define     V_036020_STRM_PERFMON_STATE_RESERVED_3                  3 /* >= gfx10 */
#define     V_036020_STRM_PERFMON_STATE_DISABLE_AND_RESET_PHANTOM   4 /* >= gfx10 */
#define     V_036020_STRM_PERFMON_STATE_COUNT_AND_DUMP_PHANTOM      5 /* >= gfx10 */
#define   S_036020_PERFMON_ENABLE_MODE(x)                             (((unsigned)(x) & 0x3) << 8)
#define   G_036020_PERFMON_ENABLE_MODE(x)                             (((x) >> 8) & 0x3)
#define   C_036020_PERFMON_ENABLE_MODE                                0xFFFFFCFF
#define     V_036020_CP_PERFMON_ENABLE_MODE_ALWAYS_COUNT            0 /* >= gfx10 */
#define     V_036020_CP_PERFMON_ENABLE_MODE_RESERVED_1              1 /* >= gfx10 */
#define     V_036020_CP_PERFMON_ENABLE_MODE_COUNT_CONTEXT_TRUE      2 /* >= gfx10 */
#define     V_036020_CP_PERFMON_ENABLE_MODE_COUNT_CONTEXT_FALSE     3 /* >= gfx10 */
#define   S_036020_PERFMON_SAMPLE_ENABLE(x)                           (((unsigned)(x) & 0x1) << 10)
#define   G_036020_PERFMON_SAMPLE_ENABLE(x)                           (((x) >> 10) & 0x1)
#define   C_036020_PERFMON_SAMPLE_ENABLE                              0xFFFFFBFF
#define R_036024_CPC_PERFCOUNTER0_SELECT                                0x036024
#define   S_036024_CNTR_SEL0(x)                                       (((unsigned)(x) & 0x3FF) << 0) /* gfx9 */
#define   G_036024_CNTR_SEL0(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036024_CNTR_SEL0                                          0xFFFFFC00
#define   S_036024_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0) /* <= stoney, >= gfx10 */
#define   G_036024_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036024_PERF_SEL                                           0xFFFFFC00
#define     V_036024_CPC_PERF_SEL_ALWAYS_COUNT                      0 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_RCIU_STALL_WAIT_ON_FREE           1 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_RCIU_STALL_PRIV_VIOLATION         2 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_MIU_STALL_ON_RDREQ_FREE           3 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_MIU_STALL_ON_WRREQ_FREE           4 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_TCIU_STALL_WAIT_ON_FREE           5 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME1_STALL_WAIT_ON_RCIU_READY      6 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME1_STALL_WAIT_ON_RCIU_READY_PERF 7 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME1_STALL_WAIT_ON_RCIU_READ       8 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME1_STALL_WAIT_ON_GUS_READ        9 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME1_STALL_WAIT_ON_GUS_WRITE       10 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME1_STALL_ON_DATA_FROM_ROQ        11 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME1_STALL_ON_DATA_FROM_ROQ_PERF   12 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME1_BUSY_FOR_PACKET_DECODE        13 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME2_STALL_WAIT_ON_RCIU_READY      14 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME2_STALL_WAIT_ON_RCIU_READY_PERF 15 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME2_STALL_WAIT_ON_RCIU_READ       16 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME2_STALL_WAIT_ON_GUS_READ        17 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME2_STALL_WAIT_ON_GUS_WRITE       18 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME2_STALL_ON_DATA_FROM_ROQ        19 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME2_STALL_ON_DATA_FROM_ROQ_PERF   20 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME2_BUSY_FOR_PACKET_DECODE        21 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_UTCL2IU_STALL_WAIT_ON_FREE        22 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_UTCL2IU_STALL_WAIT_ON_TAGS        23 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_UTCL1_STALL_ON_TRANSLATION        24 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_CPC_STAT_BUSY                     25 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_CPC_STAT_IDLE                     26 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_CPC_STAT_STALL                    27 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_CPC_TCIU_BUSY                     28 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_CPC_TCIU_IDLE                     29 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_CPC_UTCL2IU_BUSY                  30 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_CPC_UTCL2IU_IDLE                  31 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_CPC_UTCL2IU_STALL                 32 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME1_DC0_SPI_BUSY                  33 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME2_DC1_SPI_BUSY                  34 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_CPC_GCRIU_BUSY                    35 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_CPC_GCRIU_IDLE                    36 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_CPC_GCRIU_STALL                   37 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_GCRIU_STALL_WAIT_ON_FREE          38 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME1_STALL_WAIT_ON_TCIU_READ       39 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_ME2_STALL_WAIT_ON_TCIU_READ       40 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_CPC_UTCL2IU_XACK                  41 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_CPC_UTCL2IU_XNACK                 42 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_MEC_INSTR_CACHE_HIT               43 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_MEC_INSTR_CACHE_MISS              44 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_MES_THREAD0                       45 /* >= gfx10 */
#define     V_036024_CPC_PERF_SEL_MES_THREAD1                       46 /* >= gfx10 */
#define   S_036024_CNTR_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10) /* gfx9 */
#define   G_036024_CNTR_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036024_CNTR_SEL1                                          0xFFF003FF
#define   S_036024_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10) /* <= stoney, >= gfx10 */
#define   G_036024_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036024_PERF_SEL1                                          0xFFF003FF
#define   S_036024_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20) /* <= stoney */
#define   G_036024_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036024_CNTR_MODE                                          0xFF0FFFFF
#define   S_036024_SPM_MODE(x)                                        (((unsigned)(x) & 0xF) << 20) /* >= gfx9 */
#define   G_036024_SPM_MODE(x)                                        (((x) >> 20) & 0xF)
#define   C_036024_SPM_MODE                                           0xFF0FFFFF
#define   S_036024_CNTR_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24) /* >= gfx9 */
#define   G_036024_CNTR_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036024_CNTR_MODE1                                         0xF0FFFFFF
#define   S_036024_CNTR_MODE0(x)                                      (((unsigned)(x) & 0xF) << 28) /* >= gfx9 */
#define   G_036024_CNTR_MODE0(x)                                      (((x) >> 28) & 0xF)
#define   C_036024_CNTR_MODE0                                         0x0FFFFFFF
#define R_036028_CPF_TC_PERF_COUNTER_WINDOW_SELECT                      0x036028 /* >= gfx9 */
#define   S_036028_INDEX(x)                                           (((unsigned)(x) & 0x7) << 0)
#define   G_036028_INDEX(x)                                           (((x) >> 0) & 0x7)
#define   C_036028_INDEX                                              0xFFFFFFF8
#define     V_036028_CPF_PERFWINDOW_SEL_CSF                         0
#define     V_036028_CPF_PERFWINDOW_SEL_HQD1                        1
#define     V_036028_CPF_PERFWINDOW_SEL_HQD2                        2
#define     V_036028_CPF_PERFWINDOW_SEL_RDMA                        3
#define     V_036028_CPF_PERFWINDOW_SEL_RWPP                        4
#define   S_036028_ALWAYS(x)                                          (((unsigned)(x) & 0x1) << 30)
#define   G_036028_ALWAYS(x)                                          (((x) >> 30) & 0x1)
#define   C_036028_ALWAYS                                             0xBFFFFFFF
#define   S_036028_ENABLE(x)                                          (((unsigned)(x) & 0x1) << 31)
#define   G_036028_ENABLE(x)                                          (((x) >> 31) & 0x1)
#define   C_036028_ENABLE                                             0x7FFFFFFF
#define R_03602C_CPG_TC_PERF_COUNTER_WINDOW_SELECT                      0x03602C /* >= gfx9 */
#define   S_03602C_INDEX(x)                                           (((unsigned)(x) & 0x1F) << 0)
#define   G_03602C_INDEX(x)                                           (((x) >> 0) & 0x1F)
#define   C_03602C_INDEX                                              0xFFFFFFE0
#define     V_03602C_CPG_PERFWINDOW_SEL_PFP                         0
#define     V_03602C_CPG_PERFWINDOW_SEL_ME                          1
#define     V_03602C_CPG_PERFWINDOW_SEL_CE                          2
#define     V_03602C_CPG_PERFWINDOW_SEL_MES                         3
#define     V_03602C_CPG_PERFWINDOW_SEL_MEC1                        4
#define     V_03602C_CPG_PERFWINDOW_SEL_MEC2                        5
#define     V_03602C_CPG_PERFWINDOW_SEL_DFY                         6
#define     V_03602C_CPG_PERFWINDOW_SEL_DMA                         7
#define     V_03602C_CPG_PERFWINDOW_SEL_SHADOW                      8
#define     V_03602C_CPG_PERFWINDOW_SEL_RB                          9
#define     V_03602C_CPG_PERFWINDOW_SEL_CEDMA                       10
#define     V_03602C_CPG_PERFWINDOW_SEL_PRT_HDR_RPTR                11
#define     V_03602C_CPG_PERFWINDOW_SEL_PRT_SMP_RPTR                12
#define     V_03602C_CPG_PERFWINDOW_SEL_PQ1                         13
#define     V_03602C_CPG_PERFWINDOW_SEL_PQ2                         14
#define     V_03602C_CPG_PERFWINDOW_SEL_PQ3                         15
#define     V_03602C_CPG_PERFWINDOW_SEL_MEMWR                       16
#define     V_03602C_CPG_PERFWINDOW_SEL_MEMRD                       17
#define     V_03602C_CPG_PERFWINDOW_SEL_VGT0                        18
#define     V_03602C_CPG_PERFWINDOW_SEL_VGT1                        19
#define     V_03602C_CPG_PERFWINDOW_SEL_APPEND                      20
#define     V_03602C_CPG_PERFWINDOW_SEL_QURD                        21
#define     V_03602C_CPG_PERFWINDOW_SEL_DDID                        22
#define     V_03602C_CPG_PERFWINDOW_SEL_SR                          23
#define     V_03602C_CPG_PERFWINDOW_SEL_QU_EOP                      24
#define     V_03602C_CPG_PERFWINDOW_SEL_QU_STRM                     25
#define     V_03602C_CPG_PERFWINDOW_SEL_QU_PIPE                     26
#define     V_03602C_CPG_PERFWINDOW_SEL_RESERVED1                   27
#define     V_03602C_CPG_PERFWINDOW_SEL_CPC_IC                      28
#define     V_03602C_CPG_PERFWINDOW_SEL_RESERVED2                   29
#define     V_03602C_CPG_PERFWINDOW_SEL_CPG_IC                      30
#define   S_03602C_ALWAYS(x)                                          (((unsigned)(x) & 0x1) << 30)
#define   G_03602C_ALWAYS(x)                                          (((x) >> 30) & 0x1)
#define   C_03602C_ALWAYS                                             0xBFFFFFFF
#define   S_03602C_ENABLE(x)                                          (((unsigned)(x) & 0x1) << 31)
#define   G_03602C_ENABLE(x)                                          (((x) >> 31) & 0x1)
#define   C_03602C_ENABLE                                             0x7FFFFFFF
#define R_036030_CPF_LATENCY_STATS_SELECT                               0x036030 /* >= gfx9 */
#define   S_036030_INDEX(x)                                           (((unsigned)(x) & 0xF) << 0)
#define   G_036030_INDEX(x)                                           (((x) >> 0) & 0xF)
#define   C_036030_INDEX                                              0xFFFFFFF0
#define     V_036030_CPC_LATENCY_STATS_SEL_XACK_MAX                 0 /* gfx9 */
#define     V_036030_CPF_LATENCY_STATS_SEL_XACK_MAX                 0 /* >= gfx10 */
#define     V_036030_CPC_LATENCY_STATS_SEL_XACK_MIN                 1 /* gfx9 */
#define     V_036030_CPF_LATENCY_STATS_SEL_XACK_MIN                 1 /* >= gfx10 */
#define     V_036030_CPC_LATENCY_STATS_SEL_XACK_LAST                2 /* gfx9 */
#define     V_036030_CPF_LATENCY_STATS_SEL_XACK_LAST                2 /* >= gfx10 */
#define     V_036030_CPC_LATENCY_STATS_SEL_XNACK_MAX                3 /* gfx9 */
#define     V_036030_CPF_LATENCY_STATS_SEL_XNACK_MAX                3 /* >= gfx10 */
#define     V_036030_CPC_LATENCY_STATS_SEL_XNACK_MIN                4 /* gfx9 */
#define     V_036030_CPF_LATENCY_STATS_SEL_XNACK_MIN                4 /* >= gfx10 */
#define     V_036030_CPC_LATENCY_STATS_SEL_XNACK_LAST               5 /* gfx9 */
#define     V_036030_CPF_LATENCY_STATS_SEL_XNACK_LAST               5 /* >= gfx10 */
#define     V_036030_CPC_LATENCY_STATS_SEL_INVAL_MAX                6 /* gfx9 */
#define     V_036030_CPF_LATENCY_STATS_SEL_READ_MAX                 6 /* >= gfx10 */
#define     V_036030_CPC_LATENCY_STATS_SEL_INVAL_MIN                7 /* gfx9 */
#define     V_036030_CPF_LATENCY_STATS_SEL_READ_MIN                 7 /* >= gfx10 */
#define     V_036030_CPC_LATENCY_STATS_SEL_INVAL_LAST               8 /* gfx9 */
#define     V_036030_CPF_LATENCY_STATS_SEL_READ_LAST                8 /* >= gfx10 */
#define     V_036030_CPF_LATENCY_STATS_SEL_INVAL_MAX                9 /* >= gfx10 */
#define     V_036030_CPF_LATENCY_STATS_SEL_INVAL_MIN                10 /* >= gfx10 */
#define     V_036030_CPF_LATENCY_STATS_SEL_INVAL_LAST               11 /* >= gfx10 */
#define   S_036030_CLEAR(x)                                           (((unsigned)(x) & 0x1) << 30)
#define   G_036030_CLEAR(x)                                           (((x) >> 30) & 0x1)
#define   C_036030_CLEAR                                              0xBFFFFFFF
#define   S_036030_ENABLE(x)                                          (((unsigned)(x) & 0x1) << 31)
#define   G_036030_ENABLE(x)                                          (((x) >> 31) & 0x1)
#define   C_036030_ENABLE                                             0x7FFFFFFF
#define R_036034_CPG_LATENCY_STATS_SELECT                               0x036034 /* >= gfx9 */
#define   S_036034_INDEX(x)                                           (((unsigned)(x) & 0x1F) << 0)
#define   G_036034_INDEX(x)                                           (((x) >> 0) & 0x1F)
#define   C_036034_INDEX                                              0xFFFFFFE0
#define     V_036034_CPG_LATENCY_STATS_SEL_XACK_MAX                 0
#define     V_036034_CPG_LATENCY_STATS_SEL_XACK_MIN                 1
#define     V_036034_CPG_LATENCY_STATS_SEL_XACK_LAST                2
#define     V_036034_CPG_LATENCY_STATS_SEL_XNACK_MAX                3
#define     V_036034_CPG_LATENCY_STATS_SEL_XNACK_MIN                4
#define     V_036034_CPG_LATENCY_STATS_SEL_XNACK_LAST               5
#define     V_036034_CPG_LATENCY_STATS_SEL_WRITE_MAX                6
#define     V_036034_CPG_LATENCY_STATS_SEL_WRITE_MIN                7
#define     V_036034_CPG_LATENCY_STATS_SEL_WRITE_LAST               8
#define     V_036034_CPG_LATENCY_STATS_SEL_READ_MAX                 9
#define     V_036034_CPG_LATENCY_STATS_SEL_READ_MIN                 10
#define     V_036034_CPG_LATENCY_STATS_SEL_READ_LAST                11
#define     V_036034_CPG_LATENCY_STATS_SEL_ATOMIC_MAX               12
#define     V_036034_CPG_LATENCY_STATS_SEL_ATOMIC_MIN               13
#define     V_036034_CPG_LATENCY_STATS_SEL_ATOMIC_LAST              14
#define     V_036034_CPG_LATENCY_STATS_SEL_INVAL_MAX                15
#define     V_036034_CPG_LATENCY_STATS_SEL_INVAL_MIN                16
#define     V_036034_CPG_LATENCY_STATS_SEL_INVAL_LAST               17
#define   S_036034_CLEAR(x)                                           (((unsigned)(x) & 0x1) << 30)
#define   G_036034_CLEAR(x)                                           (((x) >> 30) & 0x1)
#define   C_036034_CLEAR                                              0xBFFFFFFF
#define   S_036034_ENABLE(x)                                          (((unsigned)(x) & 0x1) << 31)
#define   G_036034_ENABLE(x)                                          (((x) >> 31) & 0x1)
#define   C_036034_ENABLE                                             0x7FFFFFFF
#define R_036038_CPC_LATENCY_STATS_SELECT                               0x036038 /* >= gfx9 */
#define   S_036038_INDEX(x)                                           (((unsigned)(x) & 0xF) << 0)
#define   G_036038_INDEX(x)                                           (((x) >> 0) & 0xF)
#define   C_036038_INDEX                                              0xFFFFFFF0
#define     V_036038_CPC_LATENCY_STATS_SEL_XACK_MAX                 0 /* >= gfx10 */
#define     V_036038_CPC_LATENCY_STATS_SEL_XACK_MIN                 1 /* >= gfx10 */
#define     V_036038_CPC_LATENCY_STATS_SEL_XACK_LAST                2 /* >= gfx10 */
#define     V_036038_CPC_LATENCY_STATS_SEL_XNACK_MAX                3 /* >= gfx10 */
#define     V_036038_CPC_LATENCY_STATS_SEL_XNACK_MIN                4 /* >= gfx10 */
#define     V_036038_CPC_LATENCY_STATS_SEL_XNACK_LAST               5 /* >= gfx10 */
#define     V_036038_CPC_LATENCY_STATS_SEL_INVAL_MAX                6 /* >= gfx10 */
#define     V_036038_CPC_LATENCY_STATS_SEL_INVAL_MIN                7 /* >= gfx10 */
#define     V_036038_CPC_LATENCY_STATS_SEL_INVAL_LAST               8 /* >= gfx10 */
#define   S_036038_CLEAR(x)                                           (((unsigned)(x) & 0x1) << 30)
#define   G_036038_CLEAR(x)                                           (((x) >> 30) & 0x1)
#define   C_036038_CLEAR                                              0xBFFFFFFF
#define   S_036038_ENABLE(x)                                          (((unsigned)(x) & 0x1) << 31)
#define   G_036038_ENABLE(x)                                          (((x) >> 31) & 0x1)
#define   C_036038_ENABLE                                             0x7FFFFFFF
#define R_036040_CP_DRAW_OBJECT                                         0x036040 /* >= gfx10 */
#define   S_036040_OBJECT(x)                                          (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_036040_OBJECT(x)                                          (((x) >> 0) & 0xFFFFFFFF)
#define   C_036040_OBJECT                                             0x00000000
#define R_036044_CP_DRAW_OBJECT_COUNTER                                 0x036044 /* >= gfx10 */
#define   S_036044_COUNT(x)                                           (((unsigned)(x) & 0xFFFF) << 0)
#define   G_036044_COUNT(x)                                           (((x) >> 0) & 0xFFFF)
#define   C_036044_COUNT                                              0xFFFF0000
#define R_036048_CP_DRAW_WINDOW_MASK_HI                                 0x036048 /* >= gfx10 */
#define   S_036048_WINDOW_MASK_HI(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_036048_WINDOW_MASK_HI(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_036048_WINDOW_MASK_HI                                     0x00000000
#define R_03604C_CP_DRAW_WINDOW_HI                                      0x03604C /* >= gfx10 */
#define   S_03604C_WINDOW_HI(x)                                       (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03604C_WINDOW_HI(x)                                       (((x) >> 0) & 0xFFFFFFFF)
#define   C_03604C_WINDOW_HI                                          0x00000000
#define R_036050_CP_DRAW_WINDOW_LO                                      0x036050 /* >= gfx10 */
#define   S_036050_MIN(x)                                             (((unsigned)(x) & 0xFFFF) << 0)
#define   G_036050_MIN(x)                                             (((x) >> 0) & 0xFFFF)
#define   C_036050_MIN                                                0xFFFF0000
#define   S_036050_MAX(x)                                             (((unsigned)(x) & 0xFFFF) << 16)
#define   G_036050_MAX(x)                                             (((x) >> 16) & 0xFFFF)
#define   C_036050_MAX                                                0x0000FFFF
#define R_036054_CP_DRAW_WINDOW_CNTL                                    0x036054 /* >= gfx10 */
#define   S_036054_DISABLE_DRAW_WINDOW_LO_MAX(x)                      (((unsigned)(x) & 0x1) << 0)
#define   G_036054_DISABLE_DRAW_WINDOW_LO_MAX(x)                      (((x) >> 0) & 0x1)
#define   C_036054_DISABLE_DRAW_WINDOW_LO_MAX                         0xFFFFFFFE
#define   S_036054_DISABLE_DRAW_WINDOW_LO_MIN(x)                      (((unsigned)(x) & 0x1) << 1)
#define   G_036054_DISABLE_DRAW_WINDOW_LO_MIN(x)                      (((x) >> 1) & 0x1)
#define   C_036054_DISABLE_DRAW_WINDOW_LO_MIN                         0xFFFFFFFD
#define   S_036054_DISABLE_DRAW_WINDOW_HI(x)                          (((unsigned)(x) & 0x1) << 2)
#define   G_036054_DISABLE_DRAW_WINDOW_HI(x)                          (((x) >> 2) & 0x1)
#define   C_036054_DISABLE_DRAW_WINDOW_HI                             0xFFFFFFFB
#define   S_036054_MODE(x)                                            (((unsigned)(x) & 0x1) << 8)
#define   G_036054_MODE(x)                                            (((x) >> 8) & 0x1)
#define   C_036054_MODE                                               0xFFFFFEFF
#define R_036100_GRBM_PERFCOUNTER0_SELECT                               0x036100
#define   S_036100_PERF_SEL(x)                                        (((unsigned)(x) & 0x3F) << 0)
#define   G_036100_PERF_SEL(x)                                        (((x) >> 0) & 0x3F)
#define   C_036100_PERF_SEL                                           0xFFFFFFC0
#define     V_036100_GRBM_PERF_SEL_COUNT                            0 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_USER_DEFINED                     1 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_GUI_ACTIVE                       2 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_CP_BUSY                          3 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_CP_COHER_BUSY                    4 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_CP_DMA_BUSY                      5 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_CB_BUSY                          6 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_DB_BUSY                          7 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_PA_BUSY                          8 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_SC_BUSY                          9 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_RESERVED_6                       10 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_SPI_BUSY                         11 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_SX_BUSY                          12 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_TA_BUSY                          13 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_CB_CLEAN                         14 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_DB_CLEAN                         15 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_RESERVED_5                       16 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_RESERVED_9                       17 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_RESERVED_4                       18 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_RESERVED_3                       19 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_RESERVED_2                       20 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_RESERVED_1                       21 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_RESERVED_0                       22 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_RESERVED_8                       23 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_RESERVED_7                       24 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_GDS_BUSY                         25 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_BCI_BUSY                         26 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_RLC_BUSY                         27 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_TCP_BUSY                         28 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_CPG_BUSY                         29 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_CPC_BUSY                         30 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_CPF_BUSY                         31 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_GE_BUSY                          32 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_GE_NO_DMA_BUSY                   33 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_UTCL2_BUSY                       34 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_EA_BUSY                          35 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_RMI_BUSY                         36 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_CPAXI_BUSY                       37 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_UTCL1_BUSY                       39 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_GL2CC_BUSY                       40 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_SDMA_BUSY                        41 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_CH_BUSY                          42 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_PH_BUSY                          43 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_PMM_BUSY                         44 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_GUS_BUSY                         45 /* >= gfx10 */
#define     V_036100_GRBM_PERF_SEL_GL1CC_BUSY                       46 /* >= gfx10 */
#define   S_036100_DB_CLEAN_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 10)
#define   G_036100_DB_CLEAN_USER_DEFINED_MASK(x)                      (((x) >> 10) & 0x1)
#define   C_036100_DB_CLEAN_USER_DEFINED_MASK                         0xFFFFFBFF
#define   S_036100_CB_CLEAN_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 11)
#define   G_036100_CB_CLEAN_USER_DEFINED_MASK(x)                      (((x) >> 11) & 0x1)
#define   C_036100_CB_CLEAN_USER_DEFINED_MASK                         0xFFFFF7FF
#define   S_036100_VGT_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 12) /* <= gfx9 */
#define   G_036100_VGT_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 12) & 0x1)
#define   C_036100_VGT_BUSY_USER_DEFINED_MASK                         0xFFFFEFFF
#define   S_036100_TA_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 13)
#define   G_036100_TA_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 13) & 0x1)
#define   C_036100_TA_BUSY_USER_DEFINED_MASK                          0xFFFFDFFF
#define   S_036100_SX_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 14)
#define   G_036100_SX_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 14) & 0x1)
#define   C_036100_SX_BUSY_USER_DEFINED_MASK                          0xFFFFBFFF
#define   S_036100_SPI_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 16)
#define   G_036100_SPI_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 16) & 0x1)
#define   C_036100_SPI_BUSY_USER_DEFINED_MASK                         0xFFFEFFFF
#define   S_036100_SC_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 17)
#define   G_036100_SC_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 17) & 0x1)
#define   C_036100_SC_BUSY_USER_DEFINED_MASK                          0xFFFDFFFF
#define   S_036100_PA_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 18)
#define   G_036100_PA_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 18) & 0x1)
#define   C_036100_PA_BUSY_USER_DEFINED_MASK                          0xFFFBFFFF
#define   S_036100_GRBM_BUSY_USER_DEFINED_MASK(x)                     (((unsigned)(x) & 0x1) << 19)
#define   G_036100_GRBM_BUSY_USER_DEFINED_MASK(x)                     (((x) >> 19) & 0x1)
#define   C_036100_GRBM_BUSY_USER_DEFINED_MASK                        0xFFF7FFFF
#define   S_036100_DB_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 20)
#define   G_036100_DB_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 20) & 0x1)
#define   C_036100_DB_BUSY_USER_DEFINED_MASK                          0xFFEFFFFF
#define   S_036100_CB_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 21)
#define   G_036100_CB_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 21) & 0x1)
#define   C_036100_CB_BUSY_USER_DEFINED_MASK                          0xFFDFFFFF
#define   S_036100_CP_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 22)
#define   G_036100_CP_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 22) & 0x1)
#define   C_036100_CP_BUSY_USER_DEFINED_MASK                          0xFFBFFFFF
#define   S_036100_IA_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 23) /* <= gfx9 */
#define   G_036100_IA_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 23) & 0x1)
#define   C_036100_IA_BUSY_USER_DEFINED_MASK                          0xFF7FFFFF
#define   S_036100_GDS_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 24)
#define   G_036100_GDS_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 24) & 0x1)
#define   C_036100_GDS_BUSY_USER_DEFINED_MASK                         0xFEFFFFFF
#define   S_036100_BCI_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 25)
#define   G_036100_BCI_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 25) & 0x1)
#define   C_036100_BCI_BUSY_USER_DEFINED_MASK                         0xFDFFFFFF
#define   S_036100_RLC_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 26)
#define   G_036100_RLC_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 26) & 0x1)
#define   C_036100_RLC_BUSY_USER_DEFINED_MASK                         0xFBFFFFFF
#define   S_036100_TCP_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 27) /* >= gfx10 */
#define   G_036100_TCP_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 27) & 0x1)
#define   C_036100_TCP_BUSY_USER_DEFINED_MASK                         0xF7FFFFFF
#define   S_036100_TC_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 27) /* <= gfx9 */
#define   G_036100_TC_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 27) & 0x1)
#define   C_036100_TC_BUSY_USER_DEFINED_MASK                          0xF7FFFFFF
#define   S_036100_GE_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 28) /* >= gfx10 */
#define   G_036100_GE_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 28) & 0x1)
#define   C_036100_GE_BUSY_USER_DEFINED_MASK                          0xEFFFFFFF
#define   S_036100_WD_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 28) /* <= gfx9 */
#define   G_036100_WD_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 28) & 0x1)
#define   C_036100_WD_BUSY_USER_DEFINED_MASK                          0xEFFFFFFF
#define   S_036100_UTCL2_BUSY_USER_DEFINED_MASK(x)                    (((unsigned)(x) & 0x1) << 29) /* >= gfx9 */
#define   G_036100_UTCL2_BUSY_USER_DEFINED_MASK(x)                    (((x) >> 29) & 0x1)
#define   C_036100_UTCL2_BUSY_USER_DEFINED_MASK                       0xDFFFFFFF
#define   S_036100_EA_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 30) /* >= gfx9 */
#define   G_036100_EA_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 30) & 0x1)
#define   C_036100_EA_BUSY_USER_DEFINED_MASK                          0xBFFFFFFF
#define   S_036100_RMI_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 31) /* >= gfx9 */
#define   G_036100_RMI_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 31) & 0x1)
#define   C_036100_RMI_BUSY_USER_DEFINED_MASK                         0x7FFFFFFF
#define R_036104_GRBM_PERFCOUNTER1_SELECT                               0x036104
#define R_036108_GRBM_SE0_PERFCOUNTER_SELECT                            0x036108
#define   S_036108_PERF_SEL(x)                                        (((unsigned)(x) & 0x3F) << 0)
#define   G_036108_PERF_SEL(x)                                        (((x) >> 0) & 0x3F)
#define   C_036108_PERF_SEL                                           0xFFFFFFC0
#define     V_036108_GRBM_SE0_PERF_SEL_COUNT                        0 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_USER_DEFINED                 1 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_CB_BUSY                      2 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_DB_BUSY                      3 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_SC_BUSY                      4 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_RESERVED_1                   5 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_SPI_BUSY                     6 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_SX_BUSY                      7 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_TA_BUSY                      8 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_CB_CLEAN                     9 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_DB_CLEAN                     10 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_RESERVED_0                   11 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_PA_BUSY                      12 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_RESERVED_2                   13 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_BCI_BUSY                     14 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_RMI_BUSY                     15 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_UTCL1_BUSY                   16 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_TCP_BUSY                     17 /* >= gfx10 */
#define     V_036108_GRBM_SE0_PERF_SEL_GL1CC_BUSY                   18 /* >= gfx10 */
#define   S_036108_DB_CLEAN_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 10)
#define   G_036108_DB_CLEAN_USER_DEFINED_MASK(x)                      (((x) >> 10) & 0x1)
#define   C_036108_DB_CLEAN_USER_DEFINED_MASK                         0xFFFFFBFF
#define   S_036108_CB_CLEAN_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 11)
#define   G_036108_CB_CLEAN_USER_DEFINED_MASK(x)                      (((x) >> 11) & 0x1)
#define   C_036108_CB_CLEAN_USER_DEFINED_MASK                         0xFFFFF7FF
#define   S_036108_TA_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 12)
#define   G_036108_TA_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 12) & 0x1)
#define   C_036108_TA_BUSY_USER_DEFINED_MASK                          0xFFFFEFFF
#define   S_036108_SX_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 13)
#define   G_036108_SX_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 13) & 0x1)
#define   C_036108_SX_BUSY_USER_DEFINED_MASK                          0xFFFFDFFF
#define   S_036108_SPI_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 15)
#define   G_036108_SPI_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 15) & 0x1)
#define   C_036108_SPI_BUSY_USER_DEFINED_MASK                         0xFFFF7FFF
#define   S_036108_SC_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 16)
#define   G_036108_SC_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 16) & 0x1)
#define   C_036108_SC_BUSY_USER_DEFINED_MASK                          0xFFFEFFFF
#define   S_036108_DB_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 17)
#define   G_036108_DB_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 17) & 0x1)
#define   C_036108_DB_BUSY_USER_DEFINED_MASK                          0xFFFDFFFF
#define   S_036108_CB_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 18)
#define   G_036108_CB_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 18) & 0x1)
#define   C_036108_CB_BUSY_USER_DEFINED_MASK                          0xFFFBFFFF
#define   S_036108_VGT_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 19) /* <= gfx9 */
#define   G_036108_VGT_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 19) & 0x1)
#define   C_036108_VGT_BUSY_USER_DEFINED_MASK                         0xFFF7FFFF
#define   S_036108_PA_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 20)
#define   G_036108_PA_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 20) & 0x1)
#define   C_036108_PA_BUSY_USER_DEFINED_MASK                          0xFFEFFFFF
#define   S_036108_BCI_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 21)
#define   G_036108_BCI_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 21) & 0x1)
#define   C_036108_BCI_BUSY_USER_DEFINED_MASK                         0xFFDFFFFF
#define   S_036108_RMI_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 22) /* >= gfx9 */
#define   G_036108_RMI_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 22) & 0x1)
#define   C_036108_RMI_BUSY_USER_DEFINED_MASK                         0xFFBFFFFF
#define   S_036108_UTCL1_BUSY_USER_DEFINED_MASK(x)                    (((unsigned)(x) & 0x1) << 23) /* >= gfx10 */
#define   G_036108_UTCL1_BUSY_USER_DEFINED_MASK(x)                    (((x) >> 23) & 0x1)
#define   C_036108_UTCL1_BUSY_USER_DEFINED_MASK                       0xFF7FFFFF
#define   S_036108_TCP_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 24) /* >= gfx10 */
#define   G_036108_TCP_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 24) & 0x1)
#define   C_036108_TCP_BUSY_USER_DEFINED_MASK                         0xFEFFFFFF
#define   S_036108_GL1CC_BUSY_USER_DEFINED_MASK(x)                    (((unsigned)(x) & 0x1) << 25) /* >= gfx10 */
#define   G_036108_GL1CC_BUSY_USER_DEFINED_MASK(x)                    (((x) >> 25) & 0x1)
#define   C_036108_GL1CC_BUSY_USER_DEFINED_MASK                       0xFDFFFFFF
#define R_03610C_GRBM_SE1_PERFCOUNTER_SELECT                            0x03610C
#define   S_03610C_PERF_SEL(x)                                        (((unsigned)(x) & 0x3F) << 0) /* >= gfx10 */
#define   G_03610C_PERF_SEL(x)                                        (((x) >> 0) & 0x3F)
#define   C_03610C_PERF_SEL                                           0xFFFFFFC0
#define     V_03610C_GRBM_SE1_PERF_SEL_COUNT                        0
#define     V_03610C_GRBM_SE1_PERF_SEL_USER_DEFINED                 1
#define     V_03610C_GRBM_SE1_PERF_SEL_CB_BUSY                      2
#define     V_03610C_GRBM_SE1_PERF_SEL_DB_BUSY                      3
#define     V_03610C_GRBM_SE1_PERF_SEL_SC_BUSY                      4
#define     V_03610C_GRBM_SE1_PERF_SEL_RESERVED_1                   5
#define     V_03610C_GRBM_SE1_PERF_SEL_SPI_BUSY                     6
#define     V_03610C_GRBM_SE1_PERF_SEL_SX_BUSY                      7
#define     V_03610C_GRBM_SE1_PERF_SEL_TA_BUSY                      8
#define     V_03610C_GRBM_SE1_PERF_SEL_CB_CLEAN                     9
#define     V_03610C_GRBM_SE1_PERF_SEL_DB_CLEAN                     10
#define     V_03610C_GRBM_SE1_PERF_SEL_RESERVED_0                   11
#define     V_03610C_GRBM_SE1_PERF_SEL_PA_BUSY                      12
#define     V_03610C_GRBM_SE1_PERF_SEL_RESERVED_2                   13
#define     V_03610C_GRBM_SE1_PERF_SEL_BCI_BUSY                     14
#define     V_03610C_GRBM_SE1_PERF_SEL_RMI_BUSY                     15
#define     V_03610C_GRBM_SE1_PERF_SEL_UTCL1_BUSY                   16
#define     V_03610C_GRBM_SE1_PERF_SEL_TCP_BUSY                     17
#define     V_03610C_GRBM_SE1_PERF_SEL_GL1CC_BUSY                   18
#define   S_03610C_DB_CLEAN_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 10) /* >= gfx10 */
#define   G_03610C_DB_CLEAN_USER_DEFINED_MASK(x)                      (((x) >> 10) & 0x1)
#define   C_03610C_DB_CLEAN_USER_DEFINED_MASK                         0xFFFFFBFF
#define   S_03610C_CB_CLEAN_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 11) /* >= gfx10 */
#define   G_03610C_CB_CLEAN_USER_DEFINED_MASK(x)                      (((x) >> 11) & 0x1)
#define   C_03610C_CB_CLEAN_USER_DEFINED_MASK                         0xFFFFF7FF
#define   S_03610C_TA_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 12) /* >= gfx10 */
#define   G_03610C_TA_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 12) & 0x1)
#define   C_03610C_TA_BUSY_USER_DEFINED_MASK                          0xFFFFEFFF
#define   S_03610C_SX_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 13) /* >= gfx10 */
#define   G_03610C_SX_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 13) & 0x1)
#define   C_03610C_SX_BUSY_USER_DEFINED_MASK                          0xFFFFDFFF
#define   S_03610C_SPI_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 15) /* >= gfx10 */
#define   G_03610C_SPI_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 15) & 0x1)
#define   C_03610C_SPI_BUSY_USER_DEFINED_MASK                         0xFFFF7FFF
#define   S_03610C_SC_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 16) /* >= gfx10 */
#define   G_03610C_SC_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 16) & 0x1)
#define   C_03610C_SC_BUSY_USER_DEFINED_MASK                          0xFFFEFFFF
#define   S_03610C_DB_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 17) /* >= gfx10 */
#define   G_03610C_DB_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 17) & 0x1)
#define   C_03610C_DB_BUSY_USER_DEFINED_MASK                          0xFFFDFFFF
#define   S_03610C_CB_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 18) /* >= gfx10 */
#define   G_03610C_CB_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 18) & 0x1)
#define   C_03610C_CB_BUSY_USER_DEFINED_MASK                          0xFFFBFFFF
#define   S_03610C_PA_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 20) /* >= gfx10 */
#define   G_03610C_PA_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 20) & 0x1)
#define   C_03610C_PA_BUSY_USER_DEFINED_MASK                          0xFFEFFFFF
#define   S_03610C_BCI_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 21) /* >= gfx10 */
#define   G_03610C_BCI_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 21) & 0x1)
#define   C_03610C_BCI_BUSY_USER_DEFINED_MASK                         0xFFDFFFFF
#define   S_03610C_RMI_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 22) /* >= gfx10 */
#define   G_03610C_RMI_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 22) & 0x1)
#define   C_03610C_RMI_BUSY_USER_DEFINED_MASK                         0xFFBFFFFF
#define   S_03610C_UTCL1_BUSY_USER_DEFINED_MASK(x)                    (((unsigned)(x) & 0x1) << 23) /* >= gfx10 */
#define   G_03610C_UTCL1_BUSY_USER_DEFINED_MASK(x)                    (((x) >> 23) & 0x1)
#define   C_03610C_UTCL1_BUSY_USER_DEFINED_MASK                       0xFF7FFFFF
#define   S_03610C_TCP_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 24) /* >= gfx10 */
#define   G_03610C_TCP_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 24) & 0x1)
#define   C_03610C_TCP_BUSY_USER_DEFINED_MASK                         0xFEFFFFFF
#define   S_03610C_GL1CC_BUSY_USER_DEFINED_MASK(x)                    (((unsigned)(x) & 0x1) << 25) /* >= gfx10 */
#define   G_03610C_GL1CC_BUSY_USER_DEFINED_MASK(x)                    (((x) >> 25) & 0x1)
#define   C_03610C_GL1CC_BUSY_USER_DEFINED_MASK                       0xFDFFFFFF
#define R_036110_GRBM_SE2_PERFCOUNTER_SELECT                            0x036110
#define   S_036110_PERF_SEL(x)                                        (((unsigned)(x) & 0x3F) << 0) /* >= gfx10 */
#define   G_036110_PERF_SEL(x)                                        (((x) >> 0) & 0x3F)
#define   C_036110_PERF_SEL                                           0xFFFFFFC0
#define     V_036110_GRBM_SE2_PERF_SEL_COUNT                        0
#define     V_036110_GRBM_SE2_PERF_SEL_USER_DEFINED                 1
#define     V_036110_GRBM_SE2_PERF_SEL_CB_BUSY                      2
#define     V_036110_GRBM_SE2_PERF_SEL_DB_BUSY                      3
#define     V_036110_GRBM_SE2_PERF_SEL_SC_BUSY                      4
#define     V_036110_GRBM_SE2_PERF_SEL_RESERVED_1                   5
#define     V_036110_GRBM_SE2_PERF_SEL_SPI_BUSY                     6
#define     V_036110_GRBM_SE2_PERF_SEL_SX_BUSY                      7
#define     V_036110_GRBM_SE2_PERF_SEL_TA_BUSY                      8
#define     V_036110_GRBM_SE2_PERF_SEL_CB_CLEAN                     9
#define     V_036110_GRBM_SE2_PERF_SEL_DB_CLEAN                     10
#define     V_036110_GRBM_SE2_PERF_SEL_RESERVED_0                   11
#define     V_036110_GRBM_SE2_PERF_SEL_PA_BUSY                      12
#define     V_036110_GRBM_SE2_PERF_SEL_RESERVED_2                   13
#define     V_036110_GRBM_SE2_PERF_SEL_BCI_BUSY                     14
#define     V_036110_GRBM_SE2_PERF_SEL_RMI_BUSY                     15
#define     V_036110_GRBM_SE2_PERF_SEL_UTCL1_BUSY                   16
#define     V_036110_GRBM_SE2_PERF_SEL_TCP_BUSY                     17
#define     V_036110_GRBM_SE2_PERF_SEL_GL1CC_BUSY                   18
#define   S_036110_DB_CLEAN_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 10) /* >= gfx10 */
#define   G_036110_DB_CLEAN_USER_DEFINED_MASK(x)                      (((x) >> 10) & 0x1)
#define   C_036110_DB_CLEAN_USER_DEFINED_MASK                         0xFFFFFBFF
#define   S_036110_CB_CLEAN_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 11) /* >= gfx10 */
#define   G_036110_CB_CLEAN_USER_DEFINED_MASK(x)                      (((x) >> 11) & 0x1)
#define   C_036110_CB_CLEAN_USER_DEFINED_MASK                         0xFFFFF7FF
#define   S_036110_TA_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 12) /* >= gfx10 */
#define   G_036110_TA_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 12) & 0x1)
#define   C_036110_TA_BUSY_USER_DEFINED_MASK                          0xFFFFEFFF
#define   S_036110_SX_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 13) /* >= gfx10 */
#define   G_036110_SX_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 13) & 0x1)
#define   C_036110_SX_BUSY_USER_DEFINED_MASK                          0xFFFFDFFF
#define   S_036110_SPI_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 15) /* >= gfx10 */
#define   G_036110_SPI_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 15) & 0x1)
#define   C_036110_SPI_BUSY_USER_DEFINED_MASK                         0xFFFF7FFF
#define   S_036110_SC_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 16) /* >= gfx10 */
#define   G_036110_SC_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 16) & 0x1)
#define   C_036110_SC_BUSY_USER_DEFINED_MASK                          0xFFFEFFFF
#define   S_036110_DB_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 17) /* >= gfx10 */
#define   G_036110_DB_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 17) & 0x1)
#define   C_036110_DB_BUSY_USER_DEFINED_MASK                          0xFFFDFFFF
#define   S_036110_CB_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 18) /* >= gfx10 */
#define   G_036110_CB_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 18) & 0x1)
#define   C_036110_CB_BUSY_USER_DEFINED_MASK                          0xFFFBFFFF
#define   S_036110_PA_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 20) /* >= gfx10 */
#define   G_036110_PA_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 20) & 0x1)
#define   C_036110_PA_BUSY_USER_DEFINED_MASK                          0xFFEFFFFF
#define   S_036110_BCI_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 21) /* >= gfx10 */
#define   G_036110_BCI_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 21) & 0x1)
#define   C_036110_BCI_BUSY_USER_DEFINED_MASK                         0xFFDFFFFF
#define   S_036110_RMI_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 22) /* >= gfx10 */
#define   G_036110_RMI_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 22) & 0x1)
#define   C_036110_RMI_BUSY_USER_DEFINED_MASK                         0xFFBFFFFF
#define   S_036110_UTCL1_BUSY_USER_DEFINED_MASK(x)                    (((unsigned)(x) & 0x1) << 23) /* >= gfx10 */
#define   G_036110_UTCL1_BUSY_USER_DEFINED_MASK(x)                    (((x) >> 23) & 0x1)
#define   C_036110_UTCL1_BUSY_USER_DEFINED_MASK                       0xFF7FFFFF
#define   S_036110_TCP_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 24) /* >= gfx10 */
#define   G_036110_TCP_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 24) & 0x1)
#define   C_036110_TCP_BUSY_USER_DEFINED_MASK                         0xFEFFFFFF
#define   S_036110_GL1CC_BUSY_USER_DEFINED_MASK(x)                    (((unsigned)(x) & 0x1) << 25) /* >= gfx10 */
#define   G_036110_GL1CC_BUSY_USER_DEFINED_MASK(x)                    (((x) >> 25) & 0x1)
#define   C_036110_GL1CC_BUSY_USER_DEFINED_MASK                       0xFDFFFFFF
#define R_036114_GRBM_SE3_PERFCOUNTER_SELECT                            0x036114
#define   S_036114_PERF_SEL(x)                                        (((unsigned)(x) & 0x3F) << 0) /* >= gfx10 */
#define   G_036114_PERF_SEL(x)                                        (((x) >> 0) & 0x3F)
#define   C_036114_PERF_SEL                                           0xFFFFFFC0
#define     V_036114_GRBM_SE3_PERF_SEL_COUNT                        0
#define     V_036114_GRBM_SE3_PERF_SEL_USER_DEFINED                 1
#define     V_036114_GRBM_SE3_PERF_SEL_CB_BUSY                      2
#define     V_036114_GRBM_SE3_PERF_SEL_DB_BUSY                      3
#define     V_036114_GRBM_SE3_PERF_SEL_SC_BUSY                      4
#define     V_036114_GRBM_SE3_PERF_SEL_RESERVED_1                   5
#define     V_036114_GRBM_SE3_PERF_SEL_SPI_BUSY                     6
#define     V_036114_GRBM_SE3_PERF_SEL_SX_BUSY                      7
#define     V_036114_GRBM_SE3_PERF_SEL_TA_BUSY                      8
#define     V_036114_GRBM_SE3_PERF_SEL_CB_CLEAN                     9
#define     V_036114_GRBM_SE3_PERF_SEL_DB_CLEAN                     10
#define     V_036114_GRBM_SE3_PERF_SEL_RESERVED_0                   11
#define     V_036114_GRBM_SE3_PERF_SEL_PA_BUSY                      12
#define     V_036114_GRBM_SE3_PERF_SEL_RESERVED_2                   13
#define     V_036114_GRBM_SE3_PERF_SEL_BCI_BUSY                     14
#define     V_036114_GRBM_SE3_PERF_SEL_RMI_BUSY                     15
#define     V_036114_GRBM_SE3_PERF_SEL_UTCL1_BUSY                   16
#define     V_036114_GRBM_SE3_PERF_SEL_TCP_BUSY                     17
#define     V_036114_GRBM_SE3_PERF_SEL_GL1CC_BUSY                   18
#define   S_036114_DB_CLEAN_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 10) /* >= gfx10 */
#define   G_036114_DB_CLEAN_USER_DEFINED_MASK(x)                      (((x) >> 10) & 0x1)
#define   C_036114_DB_CLEAN_USER_DEFINED_MASK                         0xFFFFFBFF
#define   S_036114_CB_CLEAN_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 11) /* >= gfx10 */
#define   G_036114_CB_CLEAN_USER_DEFINED_MASK(x)                      (((x) >> 11) & 0x1)
#define   C_036114_CB_CLEAN_USER_DEFINED_MASK                         0xFFFFF7FF
#define   S_036114_TA_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 12) /* >= gfx10 */
#define   G_036114_TA_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 12) & 0x1)
#define   C_036114_TA_BUSY_USER_DEFINED_MASK                          0xFFFFEFFF
#define   S_036114_SX_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 13) /* >= gfx10 */
#define   G_036114_SX_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 13) & 0x1)
#define   C_036114_SX_BUSY_USER_DEFINED_MASK                          0xFFFFDFFF
#define   S_036114_SPI_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 15) /* >= gfx10 */
#define   G_036114_SPI_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 15) & 0x1)
#define   C_036114_SPI_BUSY_USER_DEFINED_MASK                         0xFFFF7FFF
#define   S_036114_SC_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 16) /* >= gfx10 */
#define   G_036114_SC_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 16) & 0x1)
#define   C_036114_SC_BUSY_USER_DEFINED_MASK                          0xFFFEFFFF
#define   S_036114_DB_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 17) /* >= gfx10 */
#define   G_036114_DB_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 17) & 0x1)
#define   C_036114_DB_BUSY_USER_DEFINED_MASK                          0xFFFDFFFF
#define   S_036114_CB_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 18) /* >= gfx10 */
#define   G_036114_CB_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 18) & 0x1)
#define   C_036114_CB_BUSY_USER_DEFINED_MASK                          0xFFFBFFFF
#define   S_036114_PA_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 20) /* >= gfx10 */
#define   G_036114_PA_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 20) & 0x1)
#define   C_036114_PA_BUSY_USER_DEFINED_MASK                          0xFFEFFFFF
#define   S_036114_BCI_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 21) /* >= gfx10 */
#define   G_036114_BCI_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 21) & 0x1)
#define   C_036114_BCI_BUSY_USER_DEFINED_MASK                         0xFFDFFFFF
#define   S_036114_RMI_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 22) /* >= gfx10 */
#define   G_036114_RMI_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 22) & 0x1)
#define   C_036114_RMI_BUSY_USER_DEFINED_MASK                         0xFFBFFFFF
#define   S_036114_UTCL1_BUSY_USER_DEFINED_MASK(x)                    (((unsigned)(x) & 0x1) << 23) /* >= gfx10 */
#define   G_036114_UTCL1_BUSY_USER_DEFINED_MASK(x)                    (((x) >> 23) & 0x1)
#define   C_036114_UTCL1_BUSY_USER_DEFINED_MASK                       0xFF7FFFFF
#define   S_036114_TCP_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 24) /* >= gfx10 */
#define   G_036114_TCP_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 24) & 0x1)
#define   C_036114_TCP_BUSY_USER_DEFINED_MASK                         0xFEFFFFFF
#define   S_036114_GL1CC_BUSY_USER_DEFINED_MASK(x)                    (((unsigned)(x) & 0x1) << 25) /* >= gfx10 */
#define   G_036114_GL1CC_BUSY_USER_DEFINED_MASK(x)                    (((x) >> 25) & 0x1)
#define   C_036114_GL1CC_BUSY_USER_DEFINED_MASK                       0xFDFFFFFF
#define R_036134_GRBM_PERFCOUNTER0_SELECT_HI                            0x036134 /* >= gfx10 */
#define   S_036134_UTCL1_BUSY_USER_DEFINED_MASK(x)                    (((unsigned)(x) & 0x1) << 1)
#define   G_036134_UTCL1_BUSY_USER_DEFINED_MASK(x)                    (((x) >> 1) & 0x1)
#define   C_036134_UTCL1_BUSY_USER_DEFINED_MASK                       0xFFFFFFFD
#define   S_036134_GL2CC_BUSY_USER_DEFINED_MASK(x)                    (((unsigned)(x) & 0x1) << 2)
#define   G_036134_GL2CC_BUSY_USER_DEFINED_MASK(x)                    (((x) >> 2) & 0x1)
#define   C_036134_GL2CC_BUSY_USER_DEFINED_MASK                       0xFFFFFFFB
#define   S_036134_SDMA_BUSY_USER_DEFINED_MASK(x)                     (((unsigned)(x) & 0x1) << 3)
#define   G_036134_SDMA_BUSY_USER_DEFINED_MASK(x)                     (((x) >> 3) & 0x1)
#define   C_036134_SDMA_BUSY_USER_DEFINED_MASK                        0xFFFFFFF7
#define   S_036134_CH_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 4)
#define   G_036134_CH_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 4) & 0x1)
#define   C_036134_CH_BUSY_USER_DEFINED_MASK                          0xFFFFFFEF
#define   S_036134_PH_BUSY_USER_DEFINED_MASK(x)                       (((unsigned)(x) & 0x1) << 5)
#define   G_036134_PH_BUSY_USER_DEFINED_MASK(x)                       (((x) >> 5) & 0x1)
#define   C_036134_PH_BUSY_USER_DEFINED_MASK                          0xFFFFFFDF
#define   S_036134_PMM_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 6)
#define   G_036134_PMM_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 6) & 0x1)
#define   C_036134_PMM_BUSY_USER_DEFINED_MASK                         0xFFFFFFBF
#define   S_036134_GUS_BUSY_USER_DEFINED_MASK(x)                      (((unsigned)(x) & 0x1) << 7)
#define   G_036134_GUS_BUSY_USER_DEFINED_MASK(x)                      (((x) >> 7) & 0x1)
#define   C_036134_GUS_BUSY_USER_DEFINED_MASK                         0xFFFFFF7F
#define   S_036134_GL1CC_BUSY_USER_DEFINED_MASK(x)                    (((unsigned)(x) & 0x1) << 8)
#define   G_036134_GL1CC_BUSY_USER_DEFINED_MASK(x)                    (((x) >> 8) & 0x1)
#define   C_036134_GL1CC_BUSY_USER_DEFINED_MASK                       0xFFFFFEFF
#define R_036138_GRBM_PERFCOUNTER1_SELECT_HI                            0x036138 /* >= gfx10 */
#define R_036200_GE_PERFCOUNTER0_SELECT                                 0x036200 /* >= gfx10 */
#define   S_036200_PERF_SEL0(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_036200_PERF_SEL0(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036200_PERF_SEL0                                          0xFFFFFC00
#define     V_036200_ge_assembler_busy                              0
#define     V_036200_ge_assembler_stalled                           1
#define     V_036200_ge_cm_reading_stalled                          2
#define     V_036200_ge_cm_stalled_by_gog                           3
#define     V_036200_ge_cm_stalled_by_gsfetch_done                  4
#define     V_036200_ge_dma_busy                                    5
#define     V_036200_ge_dma_lat_bin_0                               6
#define     V_036200_ge_dma_lat_bin_1                               7
#define     V_036200_ge_dma_lat_bin_2                               8
#define     V_036200_ge_dma_lat_bin_3                               9
#define     V_036200_ge_dma_lat_bin_4                               10
#define     V_036200_ge_dma_lat_bin_5                               11
#define     V_036200_ge_dma_lat_bin_6                               12
#define     V_036200_ge_dma_lat_bin_7                               13
#define     V_036200_ge_dma_return_cl0                              14
#define     V_036200_ge_dma_return_cl1                              15
#define     V_036200_ge_dma_utcl1_consecutive_retry_event           16
#define     V_036200_ge_dma_utcl1_request_event                     17
#define     V_036200_ge_dma_utcl1_retry_event                       18
#define     V_036200_ge_dma_utcl1_stall_event                       19
#define     V_036200_ge_dma_utcl1_stall_utcl2_event                 20
#define     V_036200_ge_dma_utcl1_translation_hit_event             21
#define     V_036200_ge_dma_utcl1_translation_miss_event            22
#define     V_036200_ge_dma_utcl2_stall_on_trans                    23
#define     V_036200_ge_dma_utcl2_trans_ack                         24
#define     V_036200_ge_dma_utcl2_trans_xnack                       25
#define     V_036200_ge_ds_cache_hits                               26
#define     V_036200_ge_ds_prims                                    27
#define     V_036200_ge_es_done                                     28
#define     V_036200_ge_es_done_latency                             29
#define     V_036200_ge_es_flush                                    30
#define     V_036200_ge_es_ring_high_water_mark                     31
#define     V_036200_ge_es_thread_groups                            32
#define     V_036200_ge_esthread_stalled_es_rb_full                 33
#define     V_036200_ge_esthread_stalled_spi_bp                     34
#define     V_036200_ge_esvert_stalled_es_tbl                       35
#define     V_036200_ge_esvert_stalled_gs_event                     36
#define     V_036200_ge_esvert_stalled_gs_tbl                       37
#define     V_036200_ge_esvert_stalled_gsprim                       38
#define     V_036200_ge_assembler_dma_starved                       39
#define     V_036200_ge_gog_busy                                    40
#define     V_036200_ge_gog_out_indx_stalled                        41
#define     V_036200_ge_gog_out_prim_stalled                        42
#define     V_036200_ge_gog_vs_tbl_stalled                          43
#define     V_036200_ge_gs_cache_hits                               44
#define     V_036200_ge_gs_counters_avail_stalled                   45
#define     V_036200_ge_gs_done                                     46
#define     V_036200_ge_gs_done_latency                             47
#define     V_036200_ge_gs_event_stall                              48
#define     V_036200_ge_gs_issue_rtr_stalled                        49
#define     V_036200_ge_gs_rb_space_avail_stalled                   50
#define     V_036200_ge_gs_ring_high_water_mark                     51
#define     V_036200_ge_gsprim_stalled_es_tbl                       52
#define     V_036200_ge_gsprim_stalled_esvert                       53
#define     V_036200_ge_gsprim_stalled_gs_event                     54
#define     V_036200_ge_gsprim_stalled_gs_tbl                       55
#define     V_036200_ge_gsthread_stalled                            56
#define     V_036200_ge_hs_done                                     57
#define     V_036200_ge_hs_done_latency                             58
#define     V_036200_ge_hs_done_se0                                 59
#define     V_036200_ge_hs_done_se1                                 60
#define     V_036200_ge_hs_done_se2_reserved                        61
#define     V_036200_ge_hs_done_se3_reserved                        62
#define     V_036200_ge_hs_tfm_stall                                63
#define     V_036200_ge_hs_tgs_active_high_water_mark               64
#define     V_036200_ge_hs_thread_groups                            65
#define     V_036200_ge_inside_tf_bin_0                             66
#define     V_036200_ge_inside_tf_bin_1                             67
#define     V_036200_ge_inside_tf_bin_2                             68
#define     V_036200_ge_inside_tf_bin_3                             69
#define     V_036200_ge_inside_tf_bin_4                             70
#define     V_036200_ge_inside_tf_bin_5                             71
#define     V_036200_ge_inside_tf_bin_6                             72
#define     V_036200_ge_inside_tf_bin_7                             73
#define     V_036200_ge_inside_tf_bin_8                             74
#define     V_036200_ge_ls_done                                     75
#define     V_036200_ge_ls_done_latency                             76
#define     V_036200_ge_null_patch                                  77
#define     V_036200_ge_se0pa0_clipp_eop                            78
#define     V_036200_ge_se0pa0_clipp_eopg                           79
#define     V_036200_ge_se0pa0_clipp_is_event                       80
#define     V_036200_ge_se0pa0_clipp_new_vtx_vect                   81
#define     V_036200_ge_se0pa0_clipp_null_prim                      82
#define     V_036200_ge_se0pa0_clipp_send                           83
#define     V_036200_ge_se0pa0_clipp_send_not_event                 84
#define     V_036200_ge_se0pa0_clipp_stalled                        85
#define     V_036200_ge_se0pa0_clipp_starved_busy                   86
#define     V_036200_ge_se0pa0_clipp_starved_idle                   87
#define     V_036200_ge_se0pa0_clipp_starved_after_work             88
#define     V_036200_ge_se0pa0_clipp_valid_prim                     89
#define     V_036200_ge_se0pa0_clips_send                           90
#define     V_036200_ge_se0pa0_clips_stalled                        91
#define     V_036200_ge_se0pa0_clipv_send                           92
#define     V_036200_ge_se0pa0_clipv_stalled                        93
#define     V_036200_ge_se0pa1_clipp_eop                            94
#define     V_036200_ge_se0pa1_clipp_eopg                           95
#define     V_036200_ge_se0pa1_clipp_is_event                       96
#define     V_036200_ge_se0pa1_clipp_new_vtx_vect                   97
#define     V_036200_ge_se0pa1_clipp_null_prim                      98
#define     V_036200_ge_se0pa1_clipp_send                           99
#define     V_036200_ge_se0pa1_clipp_send_not_event                 100
#define     V_036200_ge_se0pa1_clipp_stalled                        101
#define     V_036200_ge_se0pa1_clipp_starved_busy                   102
#define     V_036200_ge_se0pa1_clipp_starved_idle                   103
#define     V_036200_ge_se0pa1_clipp_starved_after_work             104
#define     V_036200_ge_se0pa1_clipp_valid_prim                     105
#define     V_036200_ge_se0pa1_clips_send                           106
#define     V_036200_ge_se0pa1_clips_stalled                        107
#define     V_036200_ge_se0pa1_clipv_send                           108
#define     V_036200_ge_se0pa1_clipv_stalled                        109
#define     V_036200_ge_se1pa0_clipp_eop                            110
#define     V_036200_ge_se1pa0_clipp_eopg                           111
#define     V_036200_ge_se1pa0_clipp_is_event                       112
#define     V_036200_ge_se1pa0_clipp_new_vtx_vect                   113
#define     V_036200_ge_se1pa0_clipp_null_prim                      114
#define     V_036200_ge_se1pa0_clipp_send                           115
#define     V_036200_ge_se1pa0_clipp_send_not_event                 116
#define     V_036200_ge_se1pa0_clipp_stalled                        117
#define     V_036200_ge_se1pa0_clipp_starved_busy                   118
#define     V_036200_ge_se1pa0_clipp_starved_idle                   119
#define     V_036200_ge_se1pa0_clipp_starved_after_work             120
#define     V_036200_ge_se1pa0_clipp_valid_prim                     121
#define     V_036200_ge_se1pa0_clips_send                           122
#define     V_036200_ge_se1pa0_clips_stalled                        123
#define     V_036200_ge_se1pa0_clipv_send                           124
#define     V_036200_ge_se1pa0_clipv_stalled                        125
#define     V_036200_ge_se1pa1_clipp_eop                            126
#define     V_036200_ge_se1pa1_clipp_eopg                           127
#define     V_036200_ge_se1pa1_clipp_is_event                       128
#define     V_036200_ge_se1pa1_clipp_new_vtx_vect                   129
#define     V_036200_ge_se1pa1_clipp_null_prim                      130
#define     V_036200_ge_se1pa1_clipp_send                           131
#define     V_036200_ge_se1pa1_clipp_send_not_event                 132
#define     V_036200_ge_se1pa1_clipp_stalled                        133
#define     V_036200_ge_se1pa1_clipp_starved_busy                   134
#define     V_036200_ge_se1pa1_clipp_starved_idle                   135
#define     V_036200_ge_se1pa1_clipp_starved_after_work             136
#define     V_036200_ge_se1pa1_clipp_valid_prim                     137
#define     V_036200_ge_se1pa1_clips_send                           138
#define     V_036200_ge_se1pa1_clips_stalled                        139
#define     V_036200_ge_se1pa1_clipv_send                           140
#define     V_036200_ge_se1pa1_clipv_stalled                        141
#define     V_036200_ge_se2pa0_clipp_eop                            142
#define     V_036200_ge_se2pa0_clipp_eopg                           143
#define     V_036200_ge_se2pa0_clipp_is_event                       144
#define     V_036200_ge_se2pa0_clipp_new_vtx_vect                   145
#define     V_036200_ge_se2pa0_clipp_null_prim                      146
#define     V_036200_ge_se2pa0_clipp_send                           147
#define     V_036200_ge_se2pa0_clipp_send_not_event                 148
#define     V_036200_ge_se2pa0_clipp_stalled                        149
#define     V_036200_ge_se2pa0_clipp_starved_busy                   150
#define     V_036200_ge_se2pa0_clipp_starved_idle                   151
#define     V_036200_ge_se2pa0_clipp_starved_after_work             152
#define     V_036200_ge_se2pa0_clipp_valid_prim                     153
#define     V_036200_ge_se2pa0_clips_send                           154
#define     V_036200_ge_se2pa0_clips_stalled                        155
#define     V_036200_ge_se2pa0_clipv_send                           156
#define     V_036200_ge_se2pa0_clipv_stalled                        157
#define     V_036200_ge_se2pa1_clipp_eop                            158
#define     V_036200_ge_se2pa1_clipp_eopg                           159
#define     V_036200_ge_se2pa1_clipp_is_event                       160
#define     V_036200_ge_se2pa1_clipp_new_vtx_vect                   161
#define     V_036200_ge_se2pa1_clipp_null_prim                      162
#define     V_036200_ge_se2pa1_clipp_send                           163
#define     V_036200_ge_se2pa1_clipp_send_not_event                 164
#define     V_036200_ge_se2pa1_clipp_stalled                        165
#define     V_036200_ge_se2pa1_clipp_starved_busy                   166
#define     V_036200_ge_se2pa1_clipp_starved_idle                   167
#define     V_036200_ge_se2pa1_clipp_starved_after_work             168
#define     V_036200_ge_se2pa1_clipp_valid_prim                     169
#define     V_036200_ge_se2pa1_clips_send                           170
#define     V_036200_ge_se2pa1_clips_stalled                        171
#define     V_036200_ge_se2pa1_clipv_send                           172
#define     V_036200_ge_se2pa1_clipv_stalled                        173
#define     V_036200_ge_se3pa0_clipp_eop                            174
#define     V_036200_ge_se3pa0_clipp_eopg                           175
#define     V_036200_ge_se3pa0_clipp_is_event                       176
#define     V_036200_ge_se3pa0_clipp_new_vtx_vect                   177
#define     V_036200_ge_se3pa0_clipp_null_prim                      178
#define     V_036200_ge_se3pa0_clipp_send                           179
#define     V_036200_ge_se3pa0_clipp_send_not_event                 180
#define     V_036200_ge_se3pa0_clipp_stalled                        181
#define     V_036200_ge_se3pa0_clipp_starved_busy                   182
#define     V_036200_ge_se3pa0_clipp_starved_idle                   183
#define     V_036200_ge_se3pa0_clipp_starved_after_work             184
#define     V_036200_ge_se3pa0_clipp_valid_prim                     185
#define     V_036200_ge_se3pa0_clips_send                           186
#define     V_036200_ge_se3pa0_clips_stalled                        187
#define     V_036200_ge_se3pa0_clipv_send                           188
#define     V_036200_ge_se3pa0_clipv_stalled                        189
#define     V_036200_ge_se3pa1_clipp_eop                            190
#define     V_036200_ge_se3pa1_clipp_eopg                           191
#define     V_036200_ge_se3pa1_clipp_is_event                       192
#define     V_036200_ge_se3pa1_clipp_new_vtx_vect                   193
#define     V_036200_ge_se3pa1_clipp_null_prim                      194
#define     V_036200_ge_se3pa1_clipp_send                           195
#define     V_036200_ge_se3pa1_clipp_send_not_event                 196
#define     V_036200_ge_se3pa1_clipp_stalled                        197
#define     V_036200_ge_se3pa1_clipp_starved_busy                   198
#define     V_036200_ge_se3pa1_clipp_starved_idle                   199
#define     V_036200_ge_se3pa1_clipp_starved_after_work             200
#define     V_036200_ge_se3pa1_clipp_valid_prim                     201
#define     V_036200_ge_se3pa1_clips_send                           202
#define     V_036200_ge_se3pa1_clips_stalled                        203
#define     V_036200_ge_se3pa1_clipv_send                           204
#define     V_036200_ge_se3pa1_clipv_stalled                        205
#define     V_036200_ge_rbiu_di_fifo_stalled                        206
#define     V_036200_ge_rbiu_di_fifo_starved                        207
#define     V_036200_ge_rbiu_dr_fifo_stalled                        208
#define     V_036200_ge_rbiu_dr_fifo_starved                        209
#define     V_036200_ge_reused_es_indices                           210
#define     V_036200_ge_reused_vs_indices                           211
#define     V_036200_ge_sclk_core_vld                               212
#define     V_036200_ge_sclk_gs_vld                                 213
#define     V_036200_ge_sclk_input_vld                              214
#define     V_036200_ge_sclk_leg_gs_arb_vld                         215
#define     V_036200_ge_sclk_ngg_vld                                216
#define     V_036200_ge_sclk_reg_vld                                217
#define     V_036200_ge_sclk_te11_vld                               218
#define     V_036200_ge_sclk_vr_vld                                 219
#define     V_036200_ge_sclk_wd_te11_vld                            220
#define     V_036200_ge_spi_esvert_eov                              221
#define     V_036200_ge_spi_esvert_stalled                          222
#define     V_036200_ge_spi_esvert_starved_busy                     223
#define     V_036200_ge_spi_esvert_valid                            224
#define     V_036200_ge_spi_eswave_is_event                         225
#define     V_036200_ge_spi_eswave_send                             226
#define     V_036200_ge_spi_gsprim_cont                             227
#define     V_036200_ge_spi_gsprim_eov                              228
#define     V_036200_ge_spi_gsprim_stalled                          229
#define     V_036200_ge_spi_gsprim_starved_busy                     230
#define     V_036200_ge_spi_gsprim_starved_idle                     231
#define     V_036200_ge_spi_gsprim_valid                            232
#define     V_036200_ge_spi_gssubgrp_is_event                       233
#define     V_036200_ge_spi_gssubgrp_send                           234
#define     V_036200_ge_spi_gswave_is_event                         235
#define     V_036200_ge_spi_gswave_send                             236
#define     V_036200_ge_spi_hsvert_eov                              237
#define     V_036200_ge_spi_hsvert_stalled                          238
#define     V_036200_ge_spi_hsvert_starved_busy                     239
#define     V_036200_ge_spi_hsvert_valid                            240
#define     V_036200_ge_spi_hsgrp_is_event                          241
#define     V_036200_ge_spi_hswgrp_send                             242
#define     V_036200_ge_spi_hsgrp_event_window_active               243
#define     V_036200_ge_spi_lsvert_eov                              244
#define     V_036200_ge_spi_lsvert_stalled                          245
#define     V_036200_ge_spi_lsvert_starved_busy                     246
#define     V_036200_ge_spi_lsvert_starved_idle                     247
#define     V_036200_ge_spi_lsvert_valid                            248
#define     V_036200_ge_spi_lswave_is_event                         249
#define     V_036200_ge_spi_lswave_send                             250
#define     V_036200_ge_spi_vsvert_eov                              251
#define     V_036200_ge_spi_vsvert_send                             252
#define     V_036200_ge_spi_vsvert_stalled                          253
#define     V_036200_ge_spi_vsvert_starved_busy                     254
#define     V_036200_ge_spi_vsvert_starved_idle                     255
#define     V_036200_ge_spi_vswave_is_event                         256
#define     V_036200_ge_spi_vswave_send                             257
#define     V_036200_ge_starved_on_hs_done                          258
#define     V_036200_ge_stat_busy                                   259
#define     V_036200_ge_stat_combined_busy                          260
#define     V_036200_ge_stat_no_dma_busy                            261
#define     V_036200_ge_strmout_stalled                             262
#define     V_036200_ge_te11_busy                                   263
#define     V_036200_ge_te11_starved                                264
#define     V_036200_ge_tfreq_lat_bin_0                             265
#define     V_036200_ge_tfreq_lat_bin_1                             266
#define     V_036200_ge_tfreq_lat_bin_2                             267
#define     V_036200_ge_tfreq_lat_bin_3                             268
#define     V_036200_ge_tfreq_lat_bin_4                             269
#define     V_036200_ge_tfreq_lat_bin_5                             270
#define     V_036200_ge_tfreq_lat_bin_6                             271
#define     V_036200_ge_tfreq_lat_bin_7                             272
#define     V_036200_ge_tfreq_utcl1_consecutive_retry_event         273
#define     V_036200_ge_tfreq_utcl1_request_event                   274
#define     V_036200_ge_tfreq_utcl1_retry_event                     275
#define     V_036200_ge_tfreq_utcl1_stall_event                     276
#define     V_036200_ge_tfreq_utcl1_stall_utcl2_event               277
#define     V_036200_ge_tfreq_utcl1_translation_hit_event           278
#define     V_036200_ge_tfreq_utcl1_translation_miss_event          279
#define     V_036200_spare23                                        280
#define     V_036200_spare24                                        281
#define     V_036200_spare25                                        282
#define     V_036200_ge_vs_cache_hits                               283
#define     V_036200_ge_vs_done                                     284
#define     V_036200_ge_vs_pc_stall                                 285
#define     V_036200_ge_vs_table_high_water_mark                    286
#define     V_036200_ge_vs_thread_groups                            287
#define     V_036200_ge_vsvert_api_send                             288
#define     V_036200_ge_vsvert_ds_send                              289
#define     V_036200_ge_wait_for_es_done_stalled                    290
#define     V_036200_ge_waveid_stalled                              291
#define     V_036200_ge_spi_vsvert_valid                            292
#define     V_036200_pc_feorder_ffo_full                            293
#define     V_036200_pc_ge_manager_busy                             294
#define     V_036200_pc_req_stall_se0                               295
#define     V_036200_pc_req_stall_se1                               296
#define     V_036200_pc_req_stall_se2                               297
#define     V_036200_pc_req_stall_se3                               298
#define     V_036200_ge_pipe0_to_pipe1                              299
#define     V_036200_ge_pipe1_to_pipe0                              300
#define     V_036200_ge_dma_return_size_cl0                         301
#define     V_036200_ge_dma_return_size_cl1                         302
#define     V_036200_ge_spi_gssubgrp_event_window_active            303
#define     V_036200_ge_bypass_fifo_full                            304
#define   S_036200_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036200_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036200_PERF_SEL1                                          0xFFF003FF
#define   S_036200_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036200_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036200_CNTR_MODE                                          0xFF0FFFFF
#define   S_036200_PERF_MODE0(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036200_PERF_MODE0(x)                                      (((x) >> 24) & 0xF)
#define   C_036200_PERF_MODE0                                         0xF0FFFFFF
#define   S_036200_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_036200_PERF_MODE1(x)                                      (((x) >> 28) & 0xF)
#define   C_036200_PERF_MODE1                                         0x0FFFFFFF
#define R_036200_WD_PERFCOUNTER0_SELECT                                 0x036200 /* <= gfx9 */
#define   S_036200_PERF_SEL(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_036200_PERF_SEL(x)                                        (((x) >> 0) & 0xFF)
#define   C_036200_PERF_SEL                                           0xFFFFFF00
#define   S_036200_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036200_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036200_PERF_MODE                                          0x0FFFFFFF
#define R_036204_GE_PERFCOUNTER0_SELECT1                                0x036204 /* >= gfx10 */
#define   S_036204_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_036204_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036204_PERF_SEL2                                          0xFFFFFC00
#define     V_036204_ge_assembler_busy                              0
#define     V_036204_ge_assembler_stalled                           1
#define     V_036204_ge_cm_reading_stalled                          2
#define     V_036204_ge_cm_stalled_by_gog                           3
#define     V_036204_ge_cm_stalled_by_gsfetch_done                  4
#define     V_036204_ge_dma_busy                                    5
#define     V_036204_ge_dma_lat_bin_0                               6
#define     V_036204_ge_dma_lat_bin_1                               7
#define     V_036204_ge_dma_lat_bin_2                               8
#define     V_036204_ge_dma_lat_bin_3                               9
#define     V_036204_ge_dma_lat_bin_4                               10
#define     V_036204_ge_dma_lat_bin_5                               11
#define     V_036204_ge_dma_lat_bin_6                               12
#define     V_036204_ge_dma_lat_bin_7                               13
#define     V_036204_ge_dma_return_cl0                              14
#define     V_036204_ge_dma_return_cl1                              15
#define     V_036204_ge_dma_utcl1_consecutive_retry_event           16
#define     V_036204_ge_dma_utcl1_request_event                     17
#define     V_036204_ge_dma_utcl1_retry_event                       18
#define     V_036204_ge_dma_utcl1_stall_event                       19
#define     V_036204_ge_dma_utcl1_stall_utcl2_event                 20
#define     V_036204_ge_dma_utcl1_translation_hit_event             21
#define     V_036204_ge_dma_utcl1_translation_miss_event            22
#define     V_036204_ge_dma_utcl2_stall_on_trans                    23
#define     V_036204_ge_dma_utcl2_trans_ack                         24
#define     V_036204_ge_dma_utcl2_trans_xnack                       25
#define     V_036204_ge_ds_cache_hits                               26
#define     V_036204_ge_ds_prims                                    27
#define     V_036204_ge_es_done                                     28
#define     V_036204_ge_es_done_latency                             29
#define     V_036204_ge_es_flush                                    30
#define     V_036204_ge_es_ring_high_water_mark                     31
#define     V_036204_ge_es_thread_groups                            32
#define     V_036204_ge_esthread_stalled_es_rb_full                 33
#define     V_036204_ge_esthread_stalled_spi_bp                     34
#define     V_036204_ge_esvert_stalled_es_tbl                       35
#define     V_036204_ge_esvert_stalled_gs_event                     36
#define     V_036204_ge_esvert_stalled_gs_tbl                       37
#define     V_036204_ge_esvert_stalled_gsprim                       38
#define     V_036204_ge_assembler_dma_starved                       39
#define     V_036204_ge_gog_busy                                    40
#define     V_036204_ge_gog_out_indx_stalled                        41
#define     V_036204_ge_gog_out_prim_stalled                        42
#define     V_036204_ge_gog_vs_tbl_stalled                          43
#define     V_036204_ge_gs_cache_hits                               44
#define     V_036204_ge_gs_counters_avail_stalled                   45
#define     V_036204_ge_gs_done                                     46
#define     V_036204_ge_gs_done_latency                             47
#define     V_036204_ge_gs_event_stall                              48
#define     V_036204_ge_gs_issue_rtr_stalled                        49
#define     V_036204_ge_gs_rb_space_avail_stalled                   50
#define     V_036204_ge_gs_ring_high_water_mark                     51
#define     V_036204_ge_gsprim_stalled_es_tbl                       52
#define     V_036204_ge_gsprim_stalled_esvert                       53
#define     V_036204_ge_gsprim_stalled_gs_event                     54
#define     V_036204_ge_gsprim_stalled_gs_tbl                       55
#define     V_036204_ge_gsthread_stalled                            56
#define     V_036204_ge_hs_done                                     57
#define     V_036204_ge_hs_done_latency                             58
#define     V_036204_ge_hs_done_se0                                 59
#define     V_036204_ge_hs_done_se1                                 60
#define     V_036204_ge_hs_done_se2_reserved                        61
#define     V_036204_ge_hs_done_se3_reserved                        62
#define     V_036204_ge_hs_tfm_stall                                63
#define     V_036204_ge_hs_tgs_active_high_water_mark               64
#define     V_036204_ge_hs_thread_groups                            65
#define     V_036204_ge_inside_tf_bin_0                             66
#define     V_036204_ge_inside_tf_bin_1                             67
#define     V_036204_ge_inside_tf_bin_2                             68
#define     V_036204_ge_inside_tf_bin_3                             69
#define     V_036204_ge_inside_tf_bin_4                             70
#define     V_036204_ge_inside_tf_bin_5                             71
#define     V_036204_ge_inside_tf_bin_6                             72
#define     V_036204_ge_inside_tf_bin_7                             73
#define     V_036204_ge_inside_tf_bin_8                             74
#define     V_036204_ge_ls_done                                     75
#define     V_036204_ge_ls_done_latency                             76
#define     V_036204_ge_null_patch                                  77
#define     V_036204_ge_se0pa0_clipp_eop                            78
#define     V_036204_ge_se0pa0_clipp_eopg                           79
#define     V_036204_ge_se0pa0_clipp_is_event                       80
#define     V_036204_ge_se0pa0_clipp_new_vtx_vect                   81
#define     V_036204_ge_se0pa0_clipp_null_prim                      82
#define     V_036204_ge_se0pa0_clipp_send                           83
#define     V_036204_ge_se0pa0_clipp_send_not_event                 84
#define     V_036204_ge_se0pa0_clipp_stalled                        85
#define     V_036204_ge_se0pa0_clipp_starved_busy                   86
#define     V_036204_ge_se0pa0_clipp_starved_idle                   87
#define     V_036204_ge_se0pa0_clipp_starved_after_work             88
#define     V_036204_ge_se0pa0_clipp_valid_prim                     89
#define     V_036204_ge_se0pa0_clips_send                           90
#define     V_036204_ge_se0pa0_clips_stalled                        91
#define     V_036204_ge_se0pa0_clipv_send                           92
#define     V_036204_ge_se0pa0_clipv_stalled                        93
#define     V_036204_ge_se0pa1_clipp_eop                            94
#define     V_036204_ge_se0pa1_clipp_eopg                           95
#define     V_036204_ge_se0pa1_clipp_is_event                       96
#define     V_036204_ge_se0pa1_clipp_new_vtx_vect                   97
#define     V_036204_ge_se0pa1_clipp_null_prim                      98
#define     V_036204_ge_se0pa1_clipp_send                           99
#define     V_036204_ge_se0pa1_clipp_send_not_event                 100
#define     V_036204_ge_se0pa1_clipp_stalled                        101
#define     V_036204_ge_se0pa1_clipp_starved_busy                   102
#define     V_036204_ge_se0pa1_clipp_starved_idle                   103
#define     V_036204_ge_se0pa1_clipp_starved_after_work             104
#define     V_036204_ge_se0pa1_clipp_valid_prim                     105
#define     V_036204_ge_se0pa1_clips_send                           106
#define     V_036204_ge_se0pa1_clips_stalled                        107
#define     V_036204_ge_se0pa1_clipv_send                           108
#define     V_036204_ge_se0pa1_clipv_stalled                        109
#define     V_036204_ge_se1pa0_clipp_eop                            110
#define     V_036204_ge_se1pa0_clipp_eopg                           111
#define     V_036204_ge_se1pa0_clipp_is_event                       112
#define     V_036204_ge_se1pa0_clipp_new_vtx_vect                   113
#define     V_036204_ge_se1pa0_clipp_null_prim                      114
#define     V_036204_ge_se1pa0_clipp_send                           115
#define     V_036204_ge_se1pa0_clipp_send_not_event                 116
#define     V_036204_ge_se1pa0_clipp_stalled                        117
#define     V_036204_ge_se1pa0_clipp_starved_busy                   118
#define     V_036204_ge_se1pa0_clipp_starved_idle                   119
#define     V_036204_ge_se1pa0_clipp_starved_after_work             120
#define     V_036204_ge_se1pa0_clipp_valid_prim                     121
#define     V_036204_ge_se1pa0_clips_send                           122
#define     V_036204_ge_se1pa0_clips_stalled                        123
#define     V_036204_ge_se1pa0_clipv_send                           124
#define     V_036204_ge_se1pa0_clipv_stalled                        125
#define     V_036204_ge_se1pa1_clipp_eop                            126
#define     V_036204_ge_se1pa1_clipp_eopg                           127
#define     V_036204_ge_se1pa1_clipp_is_event                       128
#define     V_036204_ge_se1pa1_clipp_new_vtx_vect                   129
#define     V_036204_ge_se1pa1_clipp_null_prim                      130
#define     V_036204_ge_se1pa1_clipp_send                           131
#define     V_036204_ge_se1pa1_clipp_send_not_event                 132
#define     V_036204_ge_se1pa1_clipp_stalled                        133
#define     V_036204_ge_se1pa1_clipp_starved_busy                   134
#define     V_036204_ge_se1pa1_clipp_starved_idle                   135
#define     V_036204_ge_se1pa1_clipp_starved_after_work             136
#define     V_036204_ge_se1pa1_clipp_valid_prim                     137
#define     V_036204_ge_se1pa1_clips_send                           138
#define     V_036204_ge_se1pa1_clips_stalled                        139
#define     V_036204_ge_se1pa1_clipv_send                           140
#define     V_036204_ge_se1pa1_clipv_stalled                        141
#define     V_036204_ge_se2pa0_clipp_eop                            142
#define     V_036204_ge_se2pa0_clipp_eopg                           143
#define     V_036204_ge_se2pa0_clipp_is_event                       144
#define     V_036204_ge_se2pa0_clipp_new_vtx_vect                   145
#define     V_036204_ge_se2pa0_clipp_null_prim                      146
#define     V_036204_ge_se2pa0_clipp_send                           147
#define     V_036204_ge_se2pa0_clipp_send_not_event                 148
#define     V_036204_ge_se2pa0_clipp_stalled                        149
#define     V_036204_ge_se2pa0_clipp_starved_busy                   150
#define     V_036204_ge_se2pa0_clipp_starved_idle                   151
#define     V_036204_ge_se2pa0_clipp_starved_after_work             152
#define     V_036204_ge_se2pa0_clipp_valid_prim                     153
#define     V_036204_ge_se2pa0_clips_send                           154
#define     V_036204_ge_se2pa0_clips_stalled                        155
#define     V_036204_ge_se2pa0_clipv_send                           156
#define     V_036204_ge_se2pa0_clipv_stalled                        157
#define     V_036204_ge_se2pa1_clipp_eop                            158
#define     V_036204_ge_se2pa1_clipp_eopg                           159
#define     V_036204_ge_se2pa1_clipp_is_event                       160
#define     V_036204_ge_se2pa1_clipp_new_vtx_vect                   161
#define     V_036204_ge_se2pa1_clipp_null_prim                      162
#define     V_036204_ge_se2pa1_clipp_send                           163
#define     V_036204_ge_se2pa1_clipp_send_not_event                 164
#define     V_036204_ge_se2pa1_clipp_stalled                        165
#define     V_036204_ge_se2pa1_clipp_starved_busy                   166
#define     V_036204_ge_se2pa1_clipp_starved_idle                   167
#define     V_036204_ge_se2pa1_clipp_starved_after_work             168
#define     V_036204_ge_se2pa1_clipp_valid_prim                     169
#define     V_036204_ge_se2pa1_clips_send                           170
#define     V_036204_ge_se2pa1_clips_stalled                        171
#define     V_036204_ge_se2pa1_clipv_send                           172
#define     V_036204_ge_se2pa1_clipv_stalled                        173
#define     V_036204_ge_se3pa0_clipp_eop                            174
#define     V_036204_ge_se3pa0_clipp_eopg                           175
#define     V_036204_ge_se3pa0_clipp_is_event                       176
#define     V_036204_ge_se3pa0_clipp_new_vtx_vect                   177
#define     V_036204_ge_se3pa0_clipp_null_prim                      178
#define     V_036204_ge_se3pa0_clipp_send                           179
#define     V_036204_ge_se3pa0_clipp_send_not_event                 180
#define     V_036204_ge_se3pa0_clipp_stalled                        181
#define     V_036204_ge_se3pa0_clipp_starved_busy                   182
#define     V_036204_ge_se3pa0_clipp_starved_idle                   183
#define     V_036204_ge_se3pa0_clipp_starved_after_work             184
#define     V_036204_ge_se3pa0_clipp_valid_prim                     185
#define     V_036204_ge_se3pa0_clips_send                           186
#define     V_036204_ge_se3pa0_clips_stalled                        187
#define     V_036204_ge_se3pa0_clipv_send                           188
#define     V_036204_ge_se3pa0_clipv_stalled                        189
#define     V_036204_ge_se3pa1_clipp_eop                            190
#define     V_036204_ge_se3pa1_clipp_eopg                           191
#define     V_036204_ge_se3pa1_clipp_is_event                       192
#define     V_036204_ge_se3pa1_clipp_new_vtx_vect                   193
#define     V_036204_ge_se3pa1_clipp_null_prim                      194
#define     V_036204_ge_se3pa1_clipp_send                           195
#define     V_036204_ge_se3pa1_clipp_send_not_event                 196
#define     V_036204_ge_se3pa1_clipp_stalled                        197
#define     V_036204_ge_se3pa1_clipp_starved_busy                   198
#define     V_036204_ge_se3pa1_clipp_starved_idle                   199
#define     V_036204_ge_se3pa1_clipp_starved_after_work             200
#define     V_036204_ge_se3pa1_clipp_valid_prim                     201
#define     V_036204_ge_se3pa1_clips_send                           202
#define     V_036204_ge_se3pa1_clips_stalled                        203
#define     V_036204_ge_se3pa1_clipv_send                           204
#define     V_036204_ge_se3pa1_clipv_stalled                        205
#define     V_036204_ge_rbiu_di_fifo_stalled                        206
#define     V_036204_ge_rbiu_di_fifo_starved                        207
#define     V_036204_ge_rbiu_dr_fifo_stalled                        208
#define     V_036204_ge_rbiu_dr_fifo_starved                        209
#define     V_036204_ge_reused_es_indices                           210
#define     V_036204_ge_reused_vs_indices                           211
#define     V_036204_ge_sclk_core_vld                               212
#define     V_036204_ge_sclk_gs_vld                                 213
#define     V_036204_ge_sclk_input_vld                              214
#define     V_036204_ge_sclk_leg_gs_arb_vld                         215
#define     V_036204_ge_sclk_ngg_vld                                216
#define     V_036204_ge_sclk_reg_vld                                217
#define     V_036204_ge_sclk_te11_vld                               218
#define     V_036204_ge_sclk_vr_vld                                 219
#define     V_036204_ge_sclk_wd_te11_vld                            220
#define     V_036204_ge_spi_esvert_eov                              221
#define     V_036204_ge_spi_esvert_stalled                          222
#define     V_036204_ge_spi_esvert_starved_busy                     223
#define     V_036204_ge_spi_esvert_valid                            224
#define     V_036204_ge_spi_eswave_is_event                         225
#define     V_036204_ge_spi_eswave_send                             226
#define     V_036204_ge_spi_gsprim_cont                             227
#define     V_036204_ge_spi_gsprim_eov                              228
#define     V_036204_ge_spi_gsprim_stalled                          229
#define     V_036204_ge_spi_gsprim_starved_busy                     230
#define     V_036204_ge_spi_gsprim_starved_idle                     231
#define     V_036204_ge_spi_gsprim_valid                            232
#define     V_036204_ge_spi_gssubgrp_is_event                       233
#define     V_036204_ge_spi_gssubgrp_send                           234
#define     V_036204_ge_spi_gswave_is_event                         235
#define     V_036204_ge_spi_gswave_send                             236
#define     V_036204_ge_spi_hsvert_eov                              237
#define     V_036204_ge_spi_hsvert_stalled                          238
#define     V_036204_ge_spi_hsvert_starved_busy                     239
#define     V_036204_ge_spi_hsvert_valid                            240
#define     V_036204_ge_spi_hsgrp_is_event                          241
#define     V_036204_ge_spi_hswgrp_send                             242
#define     V_036204_ge_spi_hsgrp_event_window_active               243
#define     V_036204_ge_spi_lsvert_eov                              244
#define     V_036204_ge_spi_lsvert_stalled                          245
#define     V_036204_ge_spi_lsvert_starved_busy                     246
#define     V_036204_ge_spi_lsvert_starved_idle                     247
#define     V_036204_ge_spi_lsvert_valid                            248
#define     V_036204_ge_spi_lswave_is_event                         249
#define     V_036204_ge_spi_lswave_send                             250
#define     V_036204_ge_spi_vsvert_eov                              251
#define     V_036204_ge_spi_vsvert_send                             252
#define     V_036204_ge_spi_vsvert_stalled                          253
#define     V_036204_ge_spi_vsvert_starved_busy                     254
#define     V_036204_ge_spi_vsvert_starved_idle                     255
#define     V_036204_ge_spi_vswave_is_event                         256
#define     V_036204_ge_spi_vswave_send                             257
#define     V_036204_ge_starved_on_hs_done                          258
#define     V_036204_ge_stat_busy                                   259
#define     V_036204_ge_stat_combined_busy                          260
#define     V_036204_ge_stat_no_dma_busy                            261
#define     V_036204_ge_strmout_stalled                             262
#define     V_036204_ge_te11_busy                                   263
#define     V_036204_ge_te11_starved                                264
#define     V_036204_ge_tfreq_lat_bin_0                             265
#define     V_036204_ge_tfreq_lat_bin_1                             266
#define     V_036204_ge_tfreq_lat_bin_2                             267
#define     V_036204_ge_tfreq_lat_bin_3                             268
#define     V_036204_ge_tfreq_lat_bin_4                             269
#define     V_036204_ge_tfreq_lat_bin_5                             270
#define     V_036204_ge_tfreq_lat_bin_6                             271
#define     V_036204_ge_tfreq_lat_bin_7                             272
#define     V_036204_ge_tfreq_utcl1_consecutive_retry_event         273
#define     V_036204_ge_tfreq_utcl1_request_event                   274
#define     V_036204_ge_tfreq_utcl1_retry_event                     275
#define     V_036204_ge_tfreq_utcl1_stall_event                     276
#define     V_036204_ge_tfreq_utcl1_stall_utcl2_event               277
#define     V_036204_ge_tfreq_utcl1_translation_hit_event           278
#define     V_036204_ge_tfreq_utcl1_translation_miss_event          279
#define     V_036204_spare23                                        280
#define     V_036204_spare24                                        281
#define     V_036204_spare25                                        282
#define     V_036204_ge_vs_cache_hits                               283
#define     V_036204_ge_vs_done                                     284
#define     V_036204_ge_vs_pc_stall                                 285
#define     V_036204_ge_vs_table_high_water_mark                    286
#define     V_036204_ge_vs_thread_groups                            287
#define     V_036204_ge_vsvert_api_send                             288
#define     V_036204_ge_vsvert_ds_send                              289
#define     V_036204_ge_wait_for_es_done_stalled                    290
#define     V_036204_ge_waveid_stalled                              291
#define     V_036204_ge_spi_vsvert_valid                            292
#define     V_036204_pc_feorder_ffo_full                            293
#define     V_036204_pc_ge_manager_busy                             294
#define     V_036204_pc_req_stall_se0                               295
#define     V_036204_pc_req_stall_se1                               296
#define     V_036204_pc_req_stall_se2                               297
#define     V_036204_pc_req_stall_se3                               298
#define     V_036204_ge_pipe0_to_pipe1                              299
#define     V_036204_ge_pipe1_to_pipe0                              300
#define     V_036204_ge_dma_return_size_cl0                         301
#define     V_036204_ge_dma_return_size_cl1                         302
#define     V_036204_ge_spi_gssubgrp_event_window_active            303
#define     V_036204_ge_bypass_fifo_full                            304
#define   S_036204_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036204_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036204_PERF_SEL3                                          0xFFF003FF
#define   S_036204_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036204_PERF_MODE2(x)                                      (((x) >> 24) & 0xF)
#define   C_036204_PERF_MODE2                                         0xF0FFFFFF
#define   S_036204_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_036204_PERF_MODE3(x)                                      (((x) >> 28) & 0xF)
#define   C_036204_PERF_MODE3                                         0x0FFFFFFF
#define R_036204_WD_PERFCOUNTER1_SELECT                                 0x036204 /* <= gfx9 */
#define R_036208_GE_PERFCOUNTER1_SELECT                                 0x036208 /* >= gfx10 */
#define R_036208_WD_PERFCOUNTER2_SELECT                                 0x036208 /* <= gfx9 */
#define R_03620C_GE_PERFCOUNTER1_SELECT1                                0x03620C /* >= gfx10 */
#define R_03620C_WD_PERFCOUNTER3_SELECT                                 0x03620C /* <= gfx9 */
#define R_036210_GE_PERFCOUNTER2_SELECT                                 0x036210 /* >= gfx10 */
#define R_036210_IA_PERFCOUNTER0_SELECT                                 0x036210 /* <= gfx9 */
#define   S_036210_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036210_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036210_PERF_SEL                                           0xFFFFFC00
#define     V_036210_CHA_PERF_SEL_BUSY                              0
#define     V_036210_CHA_PERF_SEL_STALL_CHC0                        1
#define     V_036210_CHA_PERF_SEL_STALL_CHC1                        2
#define     V_036210_CHA_PERF_SEL_STALL_CHC2                        3
#define     V_036210_CHA_PERF_SEL_STALL_CHC3                        4
#define     V_036210_CHA_PERF_SEL_STALL_CHC4                        5
#define     V_036210_CHA_PERF_SEL_STALL_CHC5                        6
#define     V_036210_CHA_PERF_SEL_REQUEST_CHC0                      7
#define     V_036210_CHA_PERF_SEL_REQUEST_CHC1                      8
#define     V_036210_CHA_PERF_SEL_REQUEST_CHC2                      9
#define     V_036210_CHA_PERF_SEL_REQUEST_CHC3                      10
#define     V_036210_CHA_PERF_SEL_REQUEST_CHC4                      11
#define     V_036210_CHA_PERF_SEL_MEM_32B_WDS_CHC0                  12
#define     V_036210_CHA_PERF_SEL_MEM_32B_WDS_CHC1                  13
#define     V_036210_CHA_PERF_SEL_MEM_32B_WDS_CHC2                  14
#define     V_036210_CHA_PERF_SEL_MEM_32B_WDS_CHC3                  15
#define     V_036210_CHA_PERF_SEL_MEM_32B_WDS_CHC4                  16
#define     V_036210_CHA_PERF_SEL_IO_32B_WDS_CHC0                   17
#define     V_036210_CHA_PERF_SEL_IO_32B_WDS_CHC1                   18
#define     V_036210_CHA_PERF_SEL_IO_32B_WDS_CHC2                   19
#define     V_036210_CHA_PERF_SEL_IO_32B_WDS_CHC3                   20
#define     V_036210_CHA_PERF_SEL_IO_32B_WDS_CHC4                   21
#define     V_036210_CHA_PERF_SEL_MEM_BURST_COUNT_CHC0              22
#define     V_036210_CHA_PERF_SEL_MEM_BURST_COUNT_CHC1              23
#define     V_036210_CHA_PERF_SEL_MEM_BURST_COUNT_CHC2              24
#define     V_036210_CHA_PERF_SEL_MEM_BURST_COUNT_CHC3              25
#define     V_036210_CHA_PERF_SEL_MEM_BURST_COUNT_CHC4              26
#define     V_036210_CHA_PERF_SEL_IO_BURST_COUNT_CHC0               27
#define     V_036210_CHA_PERF_SEL_IO_BURST_COUNT_CHC1               28
#define     V_036210_CHA_PERF_SEL_IO_BURST_COUNT_CHC2               29
#define     V_036210_CHA_PERF_SEL_IO_BURST_COUNT_CHC3               30
#define     V_036210_CHA_PERF_SEL_IO_BURST_COUNT_CHC4               31
#define     V_036210_CHA_PERF_SEL_ARB_REQUESTS                      32
#define     V_036210_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC0                33
#define     V_036210_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC1                34
#define     V_036210_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC2                35
#define     V_036210_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC3                36
#define     V_036210_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC4                37
#define     V_036210_CHA_PERF_SEL_REQ_INFLIGHT_LEVEL                38
#define     V_036210_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC0           39
#define     V_036210_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC1           40
#define     V_036210_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC2           41
#define     V_036210_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC3           42
#define     V_036210_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC4           43
#define     V_036210_CHA_PERF_SEL_CYCLE                             44
#define   S_036210_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036210_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036210_PERF_SEL1                                          0xFFF003FF
#define   S_036210_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036210_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036210_CNTR_MODE                                          0xFF0FFFFF
#define   S_036210_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036210_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036210_PERF_MODE1                                         0xF0FFFFFF
#define   S_036210_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036210_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036210_PERF_MODE                                          0x0FFFFFFF
#define R_036214_GE_PERFCOUNTER2_SELECT1                                0x036214 /* >= gfx10 */
#define R_036214_IA_PERFCOUNTER1_SELECT                                 0x036214 /* <= gfx9 */
#define R_036218_GE_PERFCOUNTER3_SELECT                                 0x036218 /* >= gfx10 */
#define R_036218_IA_PERFCOUNTER2_SELECT                                 0x036218 /* <= gfx9 */
#define R_03621C_GE_PERFCOUNTER3_SELECT1                                0x03621C /* >= gfx10 */
#define R_03621C_IA_PERFCOUNTER3_SELECT                                 0x03621C /* <= gfx9 */
#define R_036220_GE_PERFCOUNTER4_SELECT                                 0x036220 /* >= gfx10 */
#define R_036220_IA_PERFCOUNTER0_SELECT1                                0x036220 /* <= gfx9 */
#define   S_036220_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_036220_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036220_PERF_SEL2                                          0xFFFFFC00
#define     V_036220_DB_PERF_SEL_SC_DB_tile_sends                   0
#define     V_036220_DB_PERF_SEL_SC_DB_tile_busy                    1
#define     V_036220_DB_PERF_SEL_SC_DB_tile_stalls                  2
#define     V_036220_DB_PERF_SEL_SC_DB_tile_events                  3
#define     V_036220_DB_PERF_SEL_SC_DB_tile_tiles                   4
#define     V_036220_DB_PERF_SEL_SC_DB_tile_covered                 5
#define     V_036220_DB_PERF_SEL_hiz_tc_read_starved                6
#define     V_036220_DB_PERF_SEL_hiz_tc_write_stall                 7
#define     V_036220_DB_PERF_SEL_hiz_tile_culled                    8
#define     V_036220_DB_PERF_SEL_his_tile_culled                    9
#define     V_036220_DB_PERF_SEL_DB_SC_tile_sends                   10
#define     V_036220_DB_PERF_SEL_DB_SC_tile_busy                    11
#define     V_036220_DB_PERF_SEL_DB_SC_tile_stalls                  12
#define     V_036220_DB_PERF_SEL_DB_SC_tile_df_stalls               13
#define     V_036220_DB_PERF_SEL_DB_SC_tile_tiles                   14
#define     V_036220_DB_PERF_SEL_DB_SC_tile_culled                  15
#define     V_036220_DB_PERF_SEL_DB_SC_tile_hier_kill               16
#define     V_036220_DB_PERF_SEL_DB_SC_tile_fast_ops                17
#define     V_036220_DB_PERF_SEL_DB_SC_tile_no_ops                  18
#define     V_036220_DB_PERF_SEL_DB_SC_tile_tile_rate               19
#define     V_036220_DB_PERF_SEL_DB_SC_tile_ssaa_kill               20
#define     V_036220_DB_PERF_SEL_DB_SC_tile_fast_z_ops              21
#define     V_036220_DB_PERF_SEL_DB_SC_tile_fast_stencil_ops        22
#define     V_036220_DB_PERF_SEL_SC_DB_quad_sends                   23
#define     V_036220_DB_PERF_SEL_SC_DB_quad_busy                    24
#define     V_036220_DB_PERF_SEL_SC_DB_quad_squads                  25
#define     V_036220_DB_PERF_SEL_SC_DB_quad_tiles                   26
#define     V_036220_DB_PERF_SEL_SC_DB_quad_pixels                  27
#define     V_036220_DB_PERF_SEL_SC_DB_quad_killed_tiles            28
#define     V_036220_DB_PERF_SEL_DB_SC_quad_sends                   29
#define     V_036220_DB_PERF_SEL_DB_SC_quad_busy                    30
#define     V_036220_DB_PERF_SEL_DB_SC_quad_stalls                  31
#define     V_036220_DB_PERF_SEL_DB_SC_quad_tiles                   32
#define     V_036220_DB_PERF_SEL_DB_SC_quad_lit_quad                33
#define     V_036220_DB_PERF_SEL_DB_CB_tile_sends                   34
#define     V_036220_DB_PERF_SEL_DB_CB_tile_busy                    35
#define     V_036220_DB_PERF_SEL_DB_CB_tile_stalls                  36
#define     V_036220_DB_PERF_SEL_SX_DB_quad_sends                   37
#define     V_036220_DB_PERF_SEL_SX_DB_quad_busy                    38
#define     V_036220_DB_PERF_SEL_SX_DB_quad_stalls                  39
#define     V_036220_DB_PERF_SEL_SX_DB_quad_quads                   40
#define     V_036220_DB_PERF_SEL_SX_DB_quad_pixels                  41
#define     V_036220_DB_PERF_SEL_SX_DB_quad_exports                 42
#define     V_036220_DB_PERF_SEL_SH_quads_outstanding_sum           43
#define     V_036220_DB_PERF_SEL_DB_CB_lquad_sends                  44
#define     V_036220_DB_PERF_SEL_DB_CB_lquad_busy                   45
#define     V_036220_DB_PERF_SEL_DB_CB_lquad_stalls                 46
#define     V_036220_DB_PERF_SEL_DB_CB_lquad_quads                  47
#define     V_036220_DB_PERF_SEL_tile_rd_sends                      48
#define     V_036220_DB_PERF_SEL_mi_tile_rd_outstanding_sum         49
#define     V_036220_DB_PERF_SEL_quad_rd_sends                      50
#define     V_036220_DB_PERF_SEL_quad_rd_busy                       51
#define     V_036220_DB_PERF_SEL_quad_rd_mi_stall                   52
#define     V_036220_DB_PERF_SEL_quad_rd_rw_collision               53
#define     V_036220_DB_PERF_SEL_quad_rd_tag_stall                  54
#define     V_036220_DB_PERF_SEL_quad_rd_32byte_reqs                55
#define     V_036220_DB_PERF_SEL_quad_rd_panic                      56
#define     V_036220_DB_PERF_SEL_mi_quad_rd_outstanding_sum         57
#define     V_036220_DB_PERF_SEL_quad_rdret_sends                   58
#define     V_036220_DB_PERF_SEL_quad_rdret_busy                    59
#define     V_036220_DB_PERF_SEL_tile_wr_sends                      60
#define     V_036220_DB_PERF_SEL_tile_wr_acks                       61
#define     V_036220_DB_PERF_SEL_mi_tile_wr_outstanding_sum         62
#define     V_036220_DB_PERF_SEL_quad_wr_sends                      63
#define     V_036220_DB_PERF_SEL_quad_wr_busy                       64
#define     V_036220_DB_PERF_SEL_quad_wr_mi_stall                   65
#define     V_036220_DB_PERF_SEL_quad_wr_coherency_stall            66
#define     V_036220_DB_PERF_SEL_quad_wr_acks                       67
#define     V_036220_DB_PERF_SEL_mi_quad_wr_outstanding_sum         68
#define     V_036220_DB_PERF_SEL_Tile_Cache_misses                  69
#define     V_036220_DB_PERF_SEL_Tile_Cache_hits                    70
#define     V_036220_DB_PERF_SEL_Tile_Cache_flushes                 71
#define     V_036220_DB_PERF_SEL_Tile_Cache_surface_stall           72
#define     V_036220_DB_PERF_SEL_Tile_Cache_starves                 73
#define     V_036220_DB_PERF_SEL_Tile_Cache_mem_return_starve       74
#define     V_036220_DB_PERF_SEL_tcp_dispatcher_reads               75
#define     V_036220_DB_PERF_SEL_tcp_prefetcher_reads               76
#define     V_036220_DB_PERF_SEL_tcp_preloader_reads                77
#define     V_036220_DB_PERF_SEL_tcp_dispatcher_flushes             78
#define     V_036220_DB_PERF_SEL_tcp_prefetcher_flushes             79
#define     V_036220_DB_PERF_SEL_tcp_preloader_flushes              80
#define     V_036220_DB_PERF_SEL_Depth_Tile_Cache_sends             81
#define     V_036220_DB_PERF_SEL_Depth_Tile_Cache_busy              82
#define     V_036220_DB_PERF_SEL_Depth_Tile_Cache_starves           83
#define     V_036220_DB_PERF_SEL_Depth_Tile_Cache_dtile_locked      84
#define     V_036220_DB_PERF_SEL_Depth_Tile_Cache_alloc_stall       85
#define     V_036220_DB_PERF_SEL_Depth_Tile_Cache_misses            86
#define     V_036220_DB_PERF_SEL_Depth_Tile_Cache_hits              87
#define     V_036220_DB_PERF_SEL_Depth_Tile_Cache_flushes           88
#define     V_036220_DB_PERF_SEL_Depth_Tile_Cache_noop_tile         89
#define     V_036220_DB_PERF_SEL_Depth_Tile_Cache_detailed_noop     90
#define     V_036220_DB_PERF_SEL_Depth_Tile_Cache_event             91
#define     V_036220_DB_PERF_SEL_Depth_Tile_Cache_tile_frees        92
#define     V_036220_DB_PERF_SEL_Depth_Tile_Cache_data_frees        93
#define     V_036220_DB_PERF_SEL_Depth_Tile_Cache_mem_return_starve 94
#define     V_036220_DB_PERF_SEL_Stencil_Cache_misses               95
#define     V_036220_DB_PERF_SEL_Stencil_Cache_hits                 96
#define     V_036220_DB_PERF_SEL_Stencil_Cache_flushes              97
#define     V_036220_DB_PERF_SEL_Stencil_Cache_starves              98
#define     V_036220_DB_PERF_SEL_Stencil_Cache_frees                99
#define     V_036220_DB_PERF_SEL_Z_Cache_separate_Z_misses          100
#define     V_036220_DB_PERF_SEL_Z_Cache_separate_Z_hits            101
#define     V_036220_DB_PERF_SEL_Z_Cache_separate_Z_flushes         102
#define     V_036220_DB_PERF_SEL_Z_Cache_separate_Z_starves         103
#define     V_036220_DB_PERF_SEL_Z_Cache_pmask_misses               104
#define     V_036220_DB_PERF_SEL_Z_Cache_pmask_hits                 105
#define     V_036220_DB_PERF_SEL_Z_Cache_pmask_flushes              106
#define     V_036220_DB_PERF_SEL_Z_Cache_pmask_starves              107
#define     V_036220_DB_PERF_SEL_Z_Cache_frees                      108
#define     V_036220_DB_PERF_SEL_Plane_Cache_misses                 109
#define     V_036220_DB_PERF_SEL_Plane_Cache_hits                   110
#define     V_036220_DB_PERF_SEL_Plane_Cache_flushes                111
#define     V_036220_DB_PERF_SEL_Plane_Cache_starves                112
#define     V_036220_DB_PERF_SEL_Plane_Cache_frees                  113
#define     V_036220_DB_PERF_SEL_flush_expanded_stencil             114
#define     V_036220_DB_PERF_SEL_flush_compressed_stencil           115
#define     V_036220_DB_PERF_SEL_flush_single_stencil               116
#define     V_036220_DB_PERF_SEL_planes_flushed                     117
#define     V_036220_DB_PERF_SEL_flush_1plane                       118
#define     V_036220_DB_PERF_SEL_flush_2plane                       119
#define     V_036220_DB_PERF_SEL_flush_3plane                       120
#define     V_036220_DB_PERF_SEL_flush_4plane                       121
#define     V_036220_DB_PERF_SEL_flush_5plane                       122
#define     V_036220_DB_PERF_SEL_flush_6plane                       123
#define     V_036220_DB_PERF_SEL_flush_7plane                       124
#define     V_036220_DB_PERF_SEL_flush_8plane                       125
#define     V_036220_DB_PERF_SEL_flush_9plane                       126
#define     V_036220_DB_PERF_SEL_flush_10plane                      127
#define     V_036220_DB_PERF_SEL_flush_11plane                      128
#define     V_036220_DB_PERF_SEL_flush_12plane                      129
#define     V_036220_DB_PERF_SEL_flush_13plane                      130
#define     V_036220_DB_PERF_SEL_flush_14plane                      131
#define     V_036220_DB_PERF_SEL_flush_15plane                      132
#define     V_036220_DB_PERF_SEL_flush_16plane                      133
#define     V_036220_DB_PERF_SEL_flush_expanded_z                   134
#define     V_036220_DB_PERF_SEL_earlyZ_waiting_for_postZ_done      135
#define     V_036220_DB_PERF_SEL_reZ_waiting_for_postZ_done         136
#define     V_036220_DB_PERF_SEL_dk_tile_sends                      137
#define     V_036220_DB_PERF_SEL_dk_tile_busy                       138
#define     V_036220_DB_PERF_SEL_dk_tile_quad_starves               139
#define     V_036220_DB_PERF_SEL_dk_tile_stalls                     140
#define     V_036220_DB_PERF_SEL_dk_squad_sends                     141
#define     V_036220_DB_PERF_SEL_dk_squad_busy                      142
#define     V_036220_DB_PERF_SEL_dk_squad_stalls                    143
#define     V_036220_DB_PERF_SEL_Op_Pipe_Busy                       144
#define     V_036220_DB_PERF_SEL_Op_Pipe_MC_Read_stall              145
#define     V_036220_DB_PERF_SEL_qc_busy                            146
#define     V_036220_DB_PERF_SEL_qc_xfc                             147
#define     V_036220_DB_PERF_SEL_qc_conflicts                       148
#define     V_036220_DB_PERF_SEL_qc_full_stall                      149
#define     V_036220_DB_PERF_SEL_qc_in_preZ_tile_stalls_postZ       150
#define     V_036220_DB_PERF_SEL_qc_in_postZ_tile_stalls_preZ       151
#define     V_036220_DB_PERF_SEL_tsc_insert_summarize_stall         152
#define     V_036220_DB_PERF_SEL_tl_busy                            153
#define     V_036220_DB_PERF_SEL_tl_dtc_read_starved                154
#define     V_036220_DB_PERF_SEL_tl_z_fetch_stall                   155
#define     V_036220_DB_PERF_SEL_tl_stencil_stall                   156
#define     V_036220_DB_PERF_SEL_tl_z_decompress_stall              157
#define     V_036220_DB_PERF_SEL_tl_stencil_locked_stall            158
#define     V_036220_DB_PERF_SEL_tl_events                          159
#define     V_036220_DB_PERF_SEL_tl_summarize_squads                160
#define     V_036220_DB_PERF_SEL_tl_flush_expand_squads             161
#define     V_036220_DB_PERF_SEL_tl_expand_squads                   162
#define     V_036220_DB_PERF_SEL_tl_preZ_squads                     163
#define     V_036220_DB_PERF_SEL_tl_postZ_squads                    164
#define     V_036220_DB_PERF_SEL_tl_preZ_noop_squads                165
#define     V_036220_DB_PERF_SEL_tl_postZ_noop_squads               166
#define     V_036220_DB_PERF_SEL_tl_tile_ops                        167
#define     V_036220_DB_PERF_SEL_tl_in_xfc                          168
#define     V_036220_DB_PERF_SEL_tl_in_single_stencil_expand_stall  169
#define     V_036220_DB_PERF_SEL_tl_in_fast_z_stall                 170
#define     V_036220_DB_PERF_SEL_tl_out_xfc                         171
#define     V_036220_DB_PERF_SEL_tl_out_squads                      172
#define     V_036220_DB_PERF_SEL_zf_plane_multicycle                173
#define     V_036220_DB_PERF_SEL_PostZ_Samples_passing_Z            174
#define     V_036220_DB_PERF_SEL_PostZ_Samples_failing_Z            175
#define     V_036220_DB_PERF_SEL_PostZ_Samples_failing_S            176
#define     V_036220_DB_PERF_SEL_PreZ_Samples_passing_Z             177
#define     V_036220_DB_PERF_SEL_PreZ_Samples_failing_Z             178
#define     V_036220_DB_PERF_SEL_PreZ_Samples_failing_S             179
#define     V_036220_DB_PERF_SEL_ts_tc_update_stall                 180
#define     V_036220_DB_PERF_SEL_sc_kick_start                      181
#define     V_036220_DB_PERF_SEL_sc_kick_end                        182
#define     V_036220_DB_PERF_SEL_clock_reg_active                   183
#define     V_036220_DB_PERF_SEL_clock_main_active                  184
#define     V_036220_DB_PERF_SEL_clock_mem_export_active            185
#define     V_036220_DB_PERF_SEL_esr_ps_out_busy                    186
#define     V_036220_DB_PERF_SEL_esr_ps_lqf_busy                    187
#define     V_036220_DB_PERF_SEL_esr_ps_lqf_stall                   188
#define     V_036220_DB_PERF_SEL_etr_out_send                       189
#define     V_036220_DB_PERF_SEL_etr_out_busy                       190
#define     V_036220_DB_PERF_SEL_etr_out_ltile_probe_fifo_full_stall 191
#define     V_036220_DB_PERF_SEL_etr_out_cb_tile_stall              192
#define     V_036220_DB_PERF_SEL_etr_out_esr_stall                  193
#define     V_036220_DB_PERF_SEL_esr_ps_sqq_busy                    194
#define     V_036220_DB_PERF_SEL_esr_ps_sqq_stall                   195
#define     V_036220_DB_PERF_SEL_esr_eot_fwd_busy                   196
#define     V_036220_DB_PERF_SEL_esr_eot_fwd_holding_squad          197
#define     V_036220_DB_PERF_SEL_esr_eot_fwd_forward                198
#define     V_036220_DB_PERF_SEL_esr_sqq_zi_busy                    199
#define     V_036220_DB_PERF_SEL_esr_sqq_zi_stall                   200
#define     V_036220_DB_PERF_SEL_postzl_sq_pt_busy                  201
#define     V_036220_DB_PERF_SEL_postzl_sq_pt_stall                 202
#define     V_036220_DB_PERF_SEL_postzl_se_busy                     203
#define     V_036220_DB_PERF_SEL_postzl_se_stall                    204
#define     V_036220_DB_PERF_SEL_postzl_partial_launch              205
#define     V_036220_DB_PERF_SEL_postzl_full_launch                 206
#define     V_036220_DB_PERF_SEL_postzl_partial_waiting             207
#define     V_036220_DB_PERF_SEL_postzl_tile_mem_stall              208
#define     V_036220_DB_PERF_SEL_postzl_tile_init_stall             209
#define     V_036220_DB_PERF_SEL_prezl_tile_mem_stall               210
#define     V_036220_DB_PERF_SEL_prezl_tile_init_stall              211
#define     V_036220_DB_PERF_SEL_dtt_sm_clash_stall                 212
#define     V_036220_DB_PERF_SEL_dtt_sm_slot_stall                  213
#define     V_036220_DB_PERF_SEL_dtt_sm_miss_stall                  214
#define     V_036220_DB_PERF_SEL_mi_rdreq_busy                      215
#define     V_036220_DB_PERF_SEL_mi_rdreq_stall                     216
#define     V_036220_DB_PERF_SEL_mi_wrreq_busy                      217
#define     V_036220_DB_PERF_SEL_mi_wrreq_stall                     218
#define     V_036220_DB_PERF_SEL_recomp_tile_to_1zplane_no_fastop   219
#define     V_036220_DB_PERF_SEL_dkg_tile_rate_tile                 220
#define     V_036220_DB_PERF_SEL_prezl_src_in_sends                 221
#define     V_036220_DB_PERF_SEL_prezl_src_in_stall                 222
#define     V_036220_DB_PERF_SEL_prezl_src_in_squads                223
#define     V_036220_DB_PERF_SEL_prezl_src_in_squads_unrolled       224
#define     V_036220_DB_PERF_SEL_prezl_src_in_tile_rate             225
#define     V_036220_DB_PERF_SEL_prezl_src_in_tile_rate_unrolled    226
#define     V_036220_DB_PERF_SEL_prezl_src_out_stall                227
#define     V_036220_DB_PERF_SEL_postzl_src_in_sends                228
#define     V_036220_DB_PERF_SEL_postzl_src_in_stall                229
#define     V_036220_DB_PERF_SEL_postzl_src_in_squads               230
#define     V_036220_DB_PERF_SEL_postzl_src_in_squads_unrolled      231
#define     V_036220_DB_PERF_SEL_postzl_src_in_tile_rate            232
#define     V_036220_DB_PERF_SEL_postzl_src_in_tile_rate_unrolled   233
#define     V_036220_DB_PERF_SEL_postzl_src_out_stall               234
#define     V_036220_DB_PERF_SEL_esr_ps_src_in_sends                235
#define     V_036220_DB_PERF_SEL_esr_ps_src_in_stall                236
#define     V_036220_DB_PERF_SEL_esr_ps_src_in_squads               237
#define     V_036220_DB_PERF_SEL_esr_ps_src_in_squads_unrolled      238
#define     V_036220_DB_PERF_SEL_esr_ps_src_in_tile_rate            239
#define     V_036220_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled   240
#define     V_036220_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled_to_pixel_rate 241
#define     V_036220_DB_PERF_SEL_esr_ps_src_out_stall               242
#define     V_036220_DB_PERF_SEL_depth_bounds_tile_culled           243
#define     V_036220_DB_PERF_SEL_PreZ_Samples_failing_DB            244
#define     V_036220_DB_PERF_SEL_PostZ_Samples_failing_DB           245
#define     V_036220_DB_PERF_SEL_flush_compressed                   246
#define     V_036220_DB_PERF_SEL_flush_plane_le4                    247
#define     V_036220_DB_PERF_SEL_tiles_z_fully_summarized           248
#define     V_036220_DB_PERF_SEL_tiles_stencil_fully_summarized     249
#define     V_036220_DB_PERF_SEL_tiles_z_clear_on_expclear          250
#define     V_036220_DB_PERF_SEL_tiles_s_clear_on_expclear          251
#define     V_036220_DB_PERF_SEL_tiles_decomp_on_expclear           252
#define     V_036220_DB_PERF_SEL_tiles_compressed_to_decompressed   253
#define     V_036220_DB_PERF_SEL_Op_Pipe_Prez_Busy                  254
#define     V_036220_DB_PERF_SEL_Op_Pipe_Postz_Busy                 255
#define     V_036220_DB_PERF_SEL_di_dt_stall                        256
#define     V_036220_DB_PERF_SEL_DB_SC_quad_lit_quad_pre_invoke     257
#define     V_036220_DB_PERF_SEL_DB_SC_s_tile_rate                  258
#define     V_036220_DB_PERF_SEL_DB_SC_c_tile_rate                  259
#define     V_036220_DB_PERF_SEL_DB_SC_z_tile_rate                  260
#define     V_036220_Spare_261                                      261
#define     V_036220_DB_PERF_SEL_DB_CB_lquad_export_quads           262
#define     V_036220_DB_PERF_SEL_DB_CB_lquad_double_format          263
#define     V_036220_DB_PERF_SEL_DB_CB_lquad_fast_format            264
#define     V_036220_DB_PERF_SEL_DB_CB_lquad_slow_format            265
#define     V_036220_DB_PERF_SEL_CB_DB_rdreq_sends                  266
#define     V_036220_DB_PERF_SEL_CB_DB_rdreq_prt_sends              267
#define     V_036220_DB_PERF_SEL_CB_DB_wrreq_sends                  268
#define     V_036220_DB_PERF_SEL_CB_DB_wrreq_prt_sends              269
#define     V_036220_DB_PERF_SEL_DB_CB_rdret_ack                    270
#define     V_036220_DB_PERF_SEL_DB_CB_rdret_nack                   271
#define     V_036220_DB_PERF_SEL_DB_CB_wrret_ack                    272
#define     V_036220_DB_PERF_SEL_DB_CB_wrret_nack                   273
#define     V_036220_Spare_274                                      274
#define     V_036220_DB_PERF_SEL_DFSM_Stall_opmode_change           275
#define     V_036220_DB_PERF_SEL_DFSM_Stall_cam_fifo                276
#define     V_036220_DB_PERF_SEL_DFSM_Stall_bypass_fifo             277
#define     V_036220_DB_PERF_SEL_DFSM_Stall_retained_tile_fifo      278
#define     V_036220_DB_PERF_SEL_DFSM_Stall_control_fifo            279
#define     V_036220_DB_PERF_SEL_DFSM_Stall_overflow_counter        280
#define     V_036220_DB_PERF_SEL_DFSM_Stall_pops_stall_overflow     281
#define     V_036220_DB_PERF_SEL_DFSM_Stall_pops_stall_self_flush   282
#define     V_036220_DB_PERF_SEL_DFSM_Stall_middle_output           283
#define     V_036220_DB_PERF_SEL_DFSM_Stall_stalling_general        284
#define     V_036220_Spare_285                                      285
#define     V_036220_Spare_286                                      286
#define     V_036220_DB_PERF_SEL_DFSM_prez_killed_squad             287
#define     V_036220_DB_PERF_SEL_DFSM_squads_in                     288
#define     V_036220_DB_PERF_SEL_DFSM_full_cleared_squads_out       289
#define     V_036220_DB_PERF_SEL_DFSM_quads_in                      290
#define     V_036220_DB_PERF_SEL_DFSM_fully_cleared_quads_out       291
#define     V_036220_DB_PERF_SEL_DFSM_lit_pixels_in                 292
#define     V_036220_DB_PERF_SEL_DFSM_fully_cleared_pixels_out      293
#define     V_036220_DB_PERF_SEL_DFSM_lit_samples_in                294
#define     V_036220_DB_PERF_SEL_DFSM_lit_samples_out               295
#define     V_036220_DB_PERF_SEL_DFSM_evicted_tiles_above_watermark 296
#define     V_036220_DB_PERF_SEL_DFSM_cant_accept_squads_but_not_stalled_by_downstream 297
#define     V_036220_DB_PERF_SEL_DFSM_stalled_by_downstream         298
#define     V_036220_DB_PERF_SEL_DFSM_evicted_squads_above_watermark 299
#define     V_036220_DB_PERF_SEL_DFSM_collisions_due_to_POPS_overflow 300
#define     V_036220_DB_PERF_SEL_DFSM_collisions_detected_within_POPS_FIFO 301
#define     V_036220_DB_PERF_SEL_DFSM_evicted_squads_due_to_prim_watermark 302
#define     V_036220_DB_PERF_SEL_MI_tile_req_wrack_counter_stall    303
#define     V_036220_DB_PERF_SEL_MI_quad_req_wrack_counter_stall    304
#define     V_036220_DB_PERF_SEL_MI_zpc_req_wrack_counter_stall     305
#define     V_036220_DB_PERF_SEL_MI_psd_req_wrack_counter_stall     306
#define     V_036220_DB_PERF_SEL_unmapped_z_tile_culled             307
#define     V_036220_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_DB_DATA_TS 308
#define     V_036220_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_CB_PIXEL_DATA 309
#define     V_036220_DB_PERF_SEL_DB_CB_tile_is_event_BOTTOM_OF_PIPE_TS 310
#define     V_036220_DB_PERF_SEL_DB_CB_tile_waiting_for_perfcounter_stop_event 311
#define     V_036220_DB_PERF_SEL_DB_CB_lquad_fmt_32bpp_8pix         312
#define     V_036220_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_unsigned_8pix 313
#define     V_036220_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_signed_8pix  314
#define     V_036220_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_float_8pix   315
#define     V_036220_DB_PERF_SEL_DB_CB_lquad_num_pixels_need_blending 316
#define     V_036220_DB_PERF_SEL_DB_CB_context_dones                317
#define     V_036220_DB_PERF_SEL_DB_CB_eop_dones                    318
#define     V_036220_DB_PERF_SEL_SX_DB_quad_all_pixels_killed       319
#define     V_036220_DB_PERF_SEL_SX_DB_quad_all_pixels_enabled      320
#define     V_036220_DB_PERF_SEL_SX_DB_quad_need_blending_and_dst_read 321
#define     V_036220_DB_PERF_SEL_SC_DB_tile_backface                322
#define     V_036220_DB_PERF_SEL_SC_DB_quad_quads                   323
#define     V_036220_DB_PERF_SEL_DB_SC_quad_quads_with_1_pixel      324
#define     V_036220_DB_PERF_SEL_DB_SC_quad_quads_with_2_pixels     325
#define     V_036220_DB_PERF_SEL_DB_SC_quad_quads_with_3_pixels     326
#define     V_036220_DB_PERF_SEL_DB_SC_quad_quads_with_4_pixels     327
#define     V_036220_DB_PERF_SEL_DFSM_Flush_flushabit               328
#define     V_036220_DB_PERF_SEL_DFSM_Flush_flushabit_camcoord_fifo 329
#define     V_036220_DB_PERF_SEL_DFSM_Flush_flushabit_passthrough   330
#define     V_036220_DB_PERF_SEL_DFSM_Flush_flushabit_forceflush    331
#define     V_036220_DB_PERF_SEL_DFSM_Flush_flushabit_nearlyfull    332
#define     V_036220_DB_PERF_SEL_DFSM_Flush_flushabit_primitivesinflightwatermark 333
#define     V_036220_DB_PERF_SEL_DFSM_Flush_flushabit_punch_stalling 334
#define     V_036220_DB_PERF_SEL_DFSM_Flush_flushabit_retainedtilefifo_watermark 335
#define     V_036220_DB_PERF_SEL_DFSM_Flush_flushabit_tilesinflightwatermark 336
#define     V_036220_DB_PERF_SEL_DFSM_Flush_flushall                337
#define     V_036220_DB_PERF_SEL_DFSM_Flush_flushall_dfsmflush      338
#define     V_036220_DB_PERF_SEL_DFSM_Flush_flushall_opmodechange   339
#define     V_036220_DB_PERF_SEL_DFSM_Flush_flushall_sampleratechange 340
#define     V_036220_DB_PERF_SEL_DFSM_Flush_flushall_watchdog       341
#define     V_036220_DB_PERF_SEL_DB_SC_quad_double_quad             342
#define     V_036220_DB_PERF_SEL_SX_DB_quad_export_quads            343
#define     V_036220_DB_PERF_SEL_SX_DB_quad_double_format           344
#define     V_036220_DB_PERF_SEL_SX_DB_quad_fast_format             345
#define     V_036220_DB_PERF_SEL_SX_DB_quad_slow_format             346
#define     V_036220_DB_PERF_SEL_quad_rd_sends_unc                  347
#define     V_036220_DB_PERF_SEL_quad_rd_mi_stall_unc               348
#define     V_036220_DB_PERF_SEL_DFSM_OutputPunch                   349
#define     V_036220_DB_PERF_SEL_DFSM_OutputPops                    350
#define     V_036220_DB_PERF_SEL_DFSM_OutputFifo                    351
#define     V_036220_DB_PERF_SEL_DFSM_StallOpmodeChange             352
#define     V_036220_DB_PERF_SEL_DFSM_StallCAMFifoFull              353
#define     V_036220_DB_PERF_SEL_DFSM_StallBypassFifoFull           354
#define     V_036220_DB_PERF_SEL_DFSM_StallRetainedTileFifoFull     355
#define     V_036220_DB_PERF_SEL_DFSM_StallControlFifoFull          356
#define     V_036220_DB_PERF_SEL_DFSM_StallControlCountFull         357
#define     V_036220_DB_PERF_SEL_DFSM_StallOverflowMaximum          358
#define     V_036220_DB_PERF_SEL_DFSM_StallPopsStallOverflow        359
#define     V_036220_DB_PERF_SEL_DFSM_StallPopsStallSelfStall       360
#define     V_036220_DB_PERF_SEL_DFSM_StallCamSlotFlush             361
#define     V_036220_DB_PERF_SEL_DFSM_StallOutput                   362
#define     V_036220_DB_PERF_SEL_DFSM_WatchdogTrigger               363
#define     V_036220_DB_PERF_SEL_DFSM_StallOnPOPSStall              364
#define     V_036220_DB_PERF_SEL_SC_DB_tile_tiles_pipe0             365
#define     V_036220_DB_PERF_SEL_SC_DB_tile_tiles_pipe1             366
#define     V_036220_DB_PERF_SEL_SC_DB_quad_quads_pipe0             367
#define     V_036220_DB_PERF_SEL_SC_DB_quad_quads_pipe1             368
#define   S_036220_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036220_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036220_PERF_SEL3                                          0xFFF003FF
#define   S_036220_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036220_PERF_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_036220_PERF_MODE3                                         0xF0FFFFFF
#define   S_036220_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_036220_PERF_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_036220_PERF_MODE2                                         0x0FFFFFFF
#define R_036228_GE_PERFCOUNTER5_SELECT                                 0x036228 /* >= gfx10 */
#define R_036230_GE_PERFCOUNTER6_SELECT                                 0x036230 /* >= gfx10 */
#define R_036230_VGT_PERFCOUNTER0_SELECT                                0x036230 /* <= gfx9 */
#define   S_036230_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036230_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036230_PERF_SEL                                           0xFFFFFC00
#define     V_036230_CHA_PERF_SEL_BUSY                              0
#define     V_036230_CHA_PERF_SEL_STALL_CHC0                        1
#define     V_036230_CHA_PERF_SEL_STALL_CHC1                        2
#define     V_036230_CHA_PERF_SEL_STALL_CHC2                        3
#define     V_036230_CHA_PERF_SEL_STALL_CHC3                        4
#define     V_036230_CHA_PERF_SEL_STALL_CHC4                        5
#define     V_036230_CHA_PERF_SEL_STALL_CHC5                        6
#define     V_036230_CHA_PERF_SEL_REQUEST_CHC0                      7
#define     V_036230_CHA_PERF_SEL_REQUEST_CHC1                      8
#define     V_036230_CHA_PERF_SEL_REQUEST_CHC2                      9
#define     V_036230_CHA_PERF_SEL_REQUEST_CHC3                      10
#define     V_036230_CHA_PERF_SEL_REQUEST_CHC4                      11
#define     V_036230_CHA_PERF_SEL_MEM_32B_WDS_CHC0                  12
#define     V_036230_CHA_PERF_SEL_MEM_32B_WDS_CHC1                  13
#define     V_036230_CHA_PERF_SEL_MEM_32B_WDS_CHC2                  14
#define     V_036230_CHA_PERF_SEL_MEM_32B_WDS_CHC3                  15
#define     V_036230_CHA_PERF_SEL_MEM_32B_WDS_CHC4                  16
#define     V_036230_CHA_PERF_SEL_IO_32B_WDS_CHC0                   17
#define     V_036230_CHA_PERF_SEL_IO_32B_WDS_CHC1                   18
#define     V_036230_CHA_PERF_SEL_IO_32B_WDS_CHC2                   19
#define     V_036230_CHA_PERF_SEL_IO_32B_WDS_CHC3                   20
#define     V_036230_CHA_PERF_SEL_IO_32B_WDS_CHC4                   21
#define     V_036230_CHA_PERF_SEL_MEM_BURST_COUNT_CHC0              22
#define     V_036230_CHA_PERF_SEL_MEM_BURST_COUNT_CHC1              23
#define     V_036230_CHA_PERF_SEL_MEM_BURST_COUNT_CHC2              24
#define     V_036230_CHA_PERF_SEL_MEM_BURST_COUNT_CHC3              25
#define     V_036230_CHA_PERF_SEL_MEM_BURST_COUNT_CHC4              26
#define     V_036230_CHA_PERF_SEL_IO_BURST_COUNT_CHC0               27
#define     V_036230_CHA_PERF_SEL_IO_BURST_COUNT_CHC1               28
#define     V_036230_CHA_PERF_SEL_IO_BURST_COUNT_CHC2               29
#define     V_036230_CHA_PERF_SEL_IO_BURST_COUNT_CHC3               30
#define     V_036230_CHA_PERF_SEL_IO_BURST_COUNT_CHC4               31
#define     V_036230_CHA_PERF_SEL_ARB_REQUESTS                      32
#define     V_036230_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC0                33
#define     V_036230_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC1                34
#define     V_036230_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC2                35
#define     V_036230_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC3                36
#define     V_036230_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC4                37
#define     V_036230_CHA_PERF_SEL_REQ_INFLIGHT_LEVEL                38
#define     V_036230_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC0           39
#define     V_036230_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC1           40
#define     V_036230_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC2           41
#define     V_036230_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC3           42
#define     V_036230_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC4           43
#define     V_036230_CHA_PERF_SEL_CYCLE                             44
#define   S_036230_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036230_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036230_PERF_SEL1                                          0xFFF003FF
#define   S_036230_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036230_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036230_CNTR_MODE                                          0xFF0FFFFF
#define   S_036230_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036230_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036230_PERF_MODE1                                         0xF0FFFFFF
#define   S_036230_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036230_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036230_PERF_MODE                                          0x0FFFFFFF
#define R_036234_VGT_PERFCOUNTER1_SELECT                                0x036234 /* <= gfx9 */
#define R_036238_GE_PERFCOUNTER7_SELECT                                 0x036238 /* >= gfx10 */
#define R_036238_VGT_PERFCOUNTER2_SELECT                                0x036238 /* <= gfx9 */
#define R_03623C_VGT_PERFCOUNTER3_SELECT                                0x03623C /* <= gfx9 */
#define R_036240_GE_PERFCOUNTER8_SELECT                                 0x036240 /* >= gfx10 */
#define R_036240_VGT_PERFCOUNTER0_SELECT1                               0x036240 /* <= gfx9 */
#define   S_036240_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_036240_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036240_PERF_SEL2                                          0xFFFFFC00
#define     V_036240_DB_PERF_SEL_SC_DB_tile_sends                   0
#define     V_036240_DB_PERF_SEL_SC_DB_tile_busy                    1
#define     V_036240_DB_PERF_SEL_SC_DB_tile_stalls                  2
#define     V_036240_DB_PERF_SEL_SC_DB_tile_events                  3
#define     V_036240_DB_PERF_SEL_SC_DB_tile_tiles                   4
#define     V_036240_DB_PERF_SEL_SC_DB_tile_covered                 5
#define     V_036240_DB_PERF_SEL_hiz_tc_read_starved                6
#define     V_036240_DB_PERF_SEL_hiz_tc_write_stall                 7
#define     V_036240_DB_PERF_SEL_hiz_tile_culled                    8
#define     V_036240_DB_PERF_SEL_his_tile_culled                    9
#define     V_036240_DB_PERF_SEL_DB_SC_tile_sends                   10
#define     V_036240_DB_PERF_SEL_DB_SC_tile_busy                    11
#define     V_036240_DB_PERF_SEL_DB_SC_tile_stalls                  12
#define     V_036240_DB_PERF_SEL_DB_SC_tile_df_stalls               13
#define     V_036240_DB_PERF_SEL_DB_SC_tile_tiles                   14
#define     V_036240_DB_PERF_SEL_DB_SC_tile_culled                  15
#define     V_036240_DB_PERF_SEL_DB_SC_tile_hier_kill               16
#define     V_036240_DB_PERF_SEL_DB_SC_tile_fast_ops                17
#define     V_036240_DB_PERF_SEL_DB_SC_tile_no_ops                  18
#define     V_036240_DB_PERF_SEL_DB_SC_tile_tile_rate               19
#define     V_036240_DB_PERF_SEL_DB_SC_tile_ssaa_kill               20
#define     V_036240_DB_PERF_SEL_DB_SC_tile_fast_z_ops              21
#define     V_036240_DB_PERF_SEL_DB_SC_tile_fast_stencil_ops        22
#define     V_036240_DB_PERF_SEL_SC_DB_quad_sends                   23
#define     V_036240_DB_PERF_SEL_SC_DB_quad_busy                    24
#define     V_036240_DB_PERF_SEL_SC_DB_quad_squads                  25
#define     V_036240_DB_PERF_SEL_SC_DB_quad_tiles                   26
#define     V_036240_DB_PERF_SEL_SC_DB_quad_pixels                  27
#define     V_036240_DB_PERF_SEL_SC_DB_quad_killed_tiles            28
#define     V_036240_DB_PERF_SEL_DB_SC_quad_sends                   29
#define     V_036240_DB_PERF_SEL_DB_SC_quad_busy                    30
#define     V_036240_DB_PERF_SEL_DB_SC_quad_stalls                  31
#define     V_036240_DB_PERF_SEL_DB_SC_quad_tiles                   32
#define     V_036240_DB_PERF_SEL_DB_SC_quad_lit_quad                33
#define     V_036240_DB_PERF_SEL_DB_CB_tile_sends                   34
#define     V_036240_DB_PERF_SEL_DB_CB_tile_busy                    35
#define     V_036240_DB_PERF_SEL_DB_CB_tile_stalls                  36
#define     V_036240_DB_PERF_SEL_SX_DB_quad_sends                   37
#define     V_036240_DB_PERF_SEL_SX_DB_quad_busy                    38
#define     V_036240_DB_PERF_SEL_SX_DB_quad_stalls                  39
#define     V_036240_DB_PERF_SEL_SX_DB_quad_quads                   40
#define     V_036240_DB_PERF_SEL_SX_DB_quad_pixels                  41
#define     V_036240_DB_PERF_SEL_SX_DB_quad_exports                 42
#define     V_036240_DB_PERF_SEL_SH_quads_outstanding_sum           43
#define     V_036240_DB_PERF_SEL_DB_CB_lquad_sends                  44
#define     V_036240_DB_PERF_SEL_DB_CB_lquad_busy                   45
#define     V_036240_DB_PERF_SEL_DB_CB_lquad_stalls                 46
#define     V_036240_DB_PERF_SEL_DB_CB_lquad_quads                  47
#define     V_036240_DB_PERF_SEL_tile_rd_sends                      48
#define     V_036240_DB_PERF_SEL_mi_tile_rd_outstanding_sum         49
#define     V_036240_DB_PERF_SEL_quad_rd_sends                      50
#define     V_036240_DB_PERF_SEL_quad_rd_busy                       51
#define     V_036240_DB_PERF_SEL_quad_rd_mi_stall                   52
#define     V_036240_DB_PERF_SEL_quad_rd_rw_collision               53
#define     V_036240_DB_PERF_SEL_quad_rd_tag_stall                  54
#define     V_036240_DB_PERF_SEL_quad_rd_32byte_reqs                55
#define     V_036240_DB_PERF_SEL_quad_rd_panic                      56
#define     V_036240_DB_PERF_SEL_mi_quad_rd_outstanding_sum         57
#define     V_036240_DB_PERF_SEL_quad_rdret_sends                   58
#define     V_036240_DB_PERF_SEL_quad_rdret_busy                    59
#define     V_036240_DB_PERF_SEL_tile_wr_sends                      60
#define     V_036240_DB_PERF_SEL_tile_wr_acks                       61
#define     V_036240_DB_PERF_SEL_mi_tile_wr_outstanding_sum         62
#define     V_036240_DB_PERF_SEL_quad_wr_sends                      63
#define     V_036240_DB_PERF_SEL_quad_wr_busy                       64
#define     V_036240_DB_PERF_SEL_quad_wr_mi_stall                   65
#define     V_036240_DB_PERF_SEL_quad_wr_coherency_stall            66
#define     V_036240_DB_PERF_SEL_quad_wr_acks                       67
#define     V_036240_DB_PERF_SEL_mi_quad_wr_outstanding_sum         68
#define     V_036240_DB_PERF_SEL_Tile_Cache_misses                  69
#define     V_036240_DB_PERF_SEL_Tile_Cache_hits                    70
#define     V_036240_DB_PERF_SEL_Tile_Cache_flushes                 71
#define     V_036240_DB_PERF_SEL_Tile_Cache_surface_stall           72
#define     V_036240_DB_PERF_SEL_Tile_Cache_starves                 73
#define     V_036240_DB_PERF_SEL_Tile_Cache_mem_return_starve       74
#define     V_036240_DB_PERF_SEL_tcp_dispatcher_reads               75
#define     V_036240_DB_PERF_SEL_tcp_prefetcher_reads               76
#define     V_036240_DB_PERF_SEL_tcp_preloader_reads                77
#define     V_036240_DB_PERF_SEL_tcp_dispatcher_flushes             78
#define     V_036240_DB_PERF_SEL_tcp_prefetcher_flushes             79
#define     V_036240_DB_PERF_SEL_tcp_preloader_flushes              80
#define     V_036240_DB_PERF_SEL_Depth_Tile_Cache_sends             81
#define     V_036240_DB_PERF_SEL_Depth_Tile_Cache_busy              82
#define     V_036240_DB_PERF_SEL_Depth_Tile_Cache_starves           83
#define     V_036240_DB_PERF_SEL_Depth_Tile_Cache_dtile_locked      84
#define     V_036240_DB_PERF_SEL_Depth_Tile_Cache_alloc_stall       85
#define     V_036240_DB_PERF_SEL_Depth_Tile_Cache_misses            86
#define     V_036240_DB_PERF_SEL_Depth_Tile_Cache_hits              87
#define     V_036240_DB_PERF_SEL_Depth_Tile_Cache_flushes           88
#define     V_036240_DB_PERF_SEL_Depth_Tile_Cache_noop_tile         89
#define     V_036240_DB_PERF_SEL_Depth_Tile_Cache_detailed_noop     90
#define     V_036240_DB_PERF_SEL_Depth_Tile_Cache_event             91
#define     V_036240_DB_PERF_SEL_Depth_Tile_Cache_tile_frees        92
#define     V_036240_DB_PERF_SEL_Depth_Tile_Cache_data_frees        93
#define     V_036240_DB_PERF_SEL_Depth_Tile_Cache_mem_return_starve 94
#define     V_036240_DB_PERF_SEL_Stencil_Cache_misses               95
#define     V_036240_DB_PERF_SEL_Stencil_Cache_hits                 96
#define     V_036240_DB_PERF_SEL_Stencil_Cache_flushes              97
#define     V_036240_DB_PERF_SEL_Stencil_Cache_starves              98
#define     V_036240_DB_PERF_SEL_Stencil_Cache_frees                99
#define     V_036240_DB_PERF_SEL_Z_Cache_separate_Z_misses          100
#define     V_036240_DB_PERF_SEL_Z_Cache_separate_Z_hits            101
#define     V_036240_DB_PERF_SEL_Z_Cache_separate_Z_flushes         102
#define     V_036240_DB_PERF_SEL_Z_Cache_separate_Z_starves         103
#define     V_036240_DB_PERF_SEL_Z_Cache_pmask_misses               104
#define     V_036240_DB_PERF_SEL_Z_Cache_pmask_hits                 105
#define     V_036240_DB_PERF_SEL_Z_Cache_pmask_flushes              106
#define     V_036240_DB_PERF_SEL_Z_Cache_pmask_starves              107
#define     V_036240_DB_PERF_SEL_Z_Cache_frees                      108
#define     V_036240_DB_PERF_SEL_Plane_Cache_misses                 109
#define     V_036240_DB_PERF_SEL_Plane_Cache_hits                   110
#define     V_036240_DB_PERF_SEL_Plane_Cache_flushes                111
#define     V_036240_DB_PERF_SEL_Plane_Cache_starves                112
#define     V_036240_DB_PERF_SEL_Plane_Cache_frees                  113
#define     V_036240_DB_PERF_SEL_flush_expanded_stencil             114
#define     V_036240_DB_PERF_SEL_flush_compressed_stencil           115
#define     V_036240_DB_PERF_SEL_flush_single_stencil               116
#define     V_036240_DB_PERF_SEL_planes_flushed                     117
#define     V_036240_DB_PERF_SEL_flush_1plane                       118
#define     V_036240_DB_PERF_SEL_flush_2plane                       119
#define     V_036240_DB_PERF_SEL_flush_3plane                       120
#define     V_036240_DB_PERF_SEL_flush_4plane                       121
#define     V_036240_DB_PERF_SEL_flush_5plane                       122
#define     V_036240_DB_PERF_SEL_flush_6plane                       123
#define     V_036240_DB_PERF_SEL_flush_7plane                       124
#define     V_036240_DB_PERF_SEL_flush_8plane                       125
#define     V_036240_DB_PERF_SEL_flush_9plane                       126
#define     V_036240_DB_PERF_SEL_flush_10plane                      127
#define     V_036240_DB_PERF_SEL_flush_11plane                      128
#define     V_036240_DB_PERF_SEL_flush_12plane                      129
#define     V_036240_DB_PERF_SEL_flush_13plane                      130
#define     V_036240_DB_PERF_SEL_flush_14plane                      131
#define     V_036240_DB_PERF_SEL_flush_15plane                      132
#define     V_036240_DB_PERF_SEL_flush_16plane                      133
#define     V_036240_DB_PERF_SEL_flush_expanded_z                   134
#define     V_036240_DB_PERF_SEL_earlyZ_waiting_for_postZ_done      135
#define     V_036240_DB_PERF_SEL_reZ_waiting_for_postZ_done         136
#define     V_036240_DB_PERF_SEL_dk_tile_sends                      137
#define     V_036240_DB_PERF_SEL_dk_tile_busy                       138
#define     V_036240_DB_PERF_SEL_dk_tile_quad_starves               139
#define     V_036240_DB_PERF_SEL_dk_tile_stalls                     140
#define     V_036240_DB_PERF_SEL_dk_squad_sends                     141
#define     V_036240_DB_PERF_SEL_dk_squad_busy                      142
#define     V_036240_DB_PERF_SEL_dk_squad_stalls                    143
#define     V_036240_DB_PERF_SEL_Op_Pipe_Busy                       144
#define     V_036240_DB_PERF_SEL_Op_Pipe_MC_Read_stall              145
#define     V_036240_DB_PERF_SEL_qc_busy                            146
#define     V_036240_DB_PERF_SEL_qc_xfc                             147
#define     V_036240_DB_PERF_SEL_qc_conflicts                       148
#define     V_036240_DB_PERF_SEL_qc_full_stall                      149
#define     V_036240_DB_PERF_SEL_qc_in_preZ_tile_stalls_postZ       150
#define     V_036240_DB_PERF_SEL_qc_in_postZ_tile_stalls_preZ       151
#define     V_036240_DB_PERF_SEL_tsc_insert_summarize_stall         152
#define     V_036240_DB_PERF_SEL_tl_busy                            153
#define     V_036240_DB_PERF_SEL_tl_dtc_read_starved                154
#define     V_036240_DB_PERF_SEL_tl_z_fetch_stall                   155
#define     V_036240_DB_PERF_SEL_tl_stencil_stall                   156
#define     V_036240_DB_PERF_SEL_tl_z_decompress_stall              157
#define     V_036240_DB_PERF_SEL_tl_stencil_locked_stall            158
#define     V_036240_DB_PERF_SEL_tl_events                          159
#define     V_036240_DB_PERF_SEL_tl_summarize_squads                160
#define     V_036240_DB_PERF_SEL_tl_flush_expand_squads             161
#define     V_036240_DB_PERF_SEL_tl_expand_squads                   162
#define     V_036240_DB_PERF_SEL_tl_preZ_squads                     163
#define     V_036240_DB_PERF_SEL_tl_postZ_squads                    164
#define     V_036240_DB_PERF_SEL_tl_preZ_noop_squads                165
#define     V_036240_DB_PERF_SEL_tl_postZ_noop_squads               166
#define     V_036240_DB_PERF_SEL_tl_tile_ops                        167
#define     V_036240_DB_PERF_SEL_tl_in_xfc                          168
#define     V_036240_DB_PERF_SEL_tl_in_single_stencil_expand_stall  169
#define     V_036240_DB_PERF_SEL_tl_in_fast_z_stall                 170
#define     V_036240_DB_PERF_SEL_tl_out_xfc                         171
#define     V_036240_DB_PERF_SEL_tl_out_squads                      172
#define     V_036240_DB_PERF_SEL_zf_plane_multicycle                173
#define     V_036240_DB_PERF_SEL_PostZ_Samples_passing_Z            174
#define     V_036240_DB_PERF_SEL_PostZ_Samples_failing_Z            175
#define     V_036240_DB_PERF_SEL_PostZ_Samples_failing_S            176
#define     V_036240_DB_PERF_SEL_PreZ_Samples_passing_Z             177
#define     V_036240_DB_PERF_SEL_PreZ_Samples_failing_Z             178
#define     V_036240_DB_PERF_SEL_PreZ_Samples_failing_S             179
#define     V_036240_DB_PERF_SEL_ts_tc_update_stall                 180
#define     V_036240_DB_PERF_SEL_sc_kick_start                      181
#define     V_036240_DB_PERF_SEL_sc_kick_end                        182
#define     V_036240_DB_PERF_SEL_clock_reg_active                   183
#define     V_036240_DB_PERF_SEL_clock_main_active                  184
#define     V_036240_DB_PERF_SEL_clock_mem_export_active            185
#define     V_036240_DB_PERF_SEL_esr_ps_out_busy                    186
#define     V_036240_DB_PERF_SEL_esr_ps_lqf_busy                    187
#define     V_036240_DB_PERF_SEL_esr_ps_lqf_stall                   188
#define     V_036240_DB_PERF_SEL_etr_out_send                       189
#define     V_036240_DB_PERF_SEL_etr_out_busy                       190
#define     V_036240_DB_PERF_SEL_etr_out_ltile_probe_fifo_full_stall 191
#define     V_036240_DB_PERF_SEL_etr_out_cb_tile_stall              192
#define     V_036240_DB_PERF_SEL_etr_out_esr_stall                  193
#define     V_036240_DB_PERF_SEL_esr_ps_sqq_busy                    194
#define     V_036240_DB_PERF_SEL_esr_ps_sqq_stall                   195
#define     V_036240_DB_PERF_SEL_esr_eot_fwd_busy                   196
#define     V_036240_DB_PERF_SEL_esr_eot_fwd_holding_squad          197
#define     V_036240_DB_PERF_SEL_esr_eot_fwd_forward                198
#define     V_036240_DB_PERF_SEL_esr_sqq_zi_busy                    199
#define     V_036240_DB_PERF_SEL_esr_sqq_zi_stall                   200
#define     V_036240_DB_PERF_SEL_postzl_sq_pt_busy                  201
#define     V_036240_DB_PERF_SEL_postzl_sq_pt_stall                 202
#define     V_036240_DB_PERF_SEL_postzl_se_busy                     203
#define     V_036240_DB_PERF_SEL_postzl_se_stall                    204
#define     V_036240_DB_PERF_SEL_postzl_partial_launch              205
#define     V_036240_DB_PERF_SEL_postzl_full_launch                 206
#define     V_036240_DB_PERF_SEL_postzl_partial_waiting             207
#define     V_036240_DB_PERF_SEL_postzl_tile_mem_stall              208
#define     V_036240_DB_PERF_SEL_postzl_tile_init_stall             209
#define     V_036240_DB_PERF_SEL_prezl_tile_mem_stall               210
#define     V_036240_DB_PERF_SEL_prezl_tile_init_stall              211
#define     V_036240_DB_PERF_SEL_dtt_sm_clash_stall                 212
#define     V_036240_DB_PERF_SEL_dtt_sm_slot_stall                  213
#define     V_036240_DB_PERF_SEL_dtt_sm_miss_stall                  214
#define     V_036240_DB_PERF_SEL_mi_rdreq_busy                      215
#define     V_036240_DB_PERF_SEL_mi_rdreq_stall                     216
#define     V_036240_DB_PERF_SEL_mi_wrreq_busy                      217
#define     V_036240_DB_PERF_SEL_mi_wrreq_stall                     218
#define     V_036240_DB_PERF_SEL_recomp_tile_to_1zplane_no_fastop   219
#define     V_036240_DB_PERF_SEL_dkg_tile_rate_tile                 220
#define     V_036240_DB_PERF_SEL_prezl_src_in_sends                 221
#define     V_036240_DB_PERF_SEL_prezl_src_in_stall                 222
#define     V_036240_DB_PERF_SEL_prezl_src_in_squads                223
#define     V_036240_DB_PERF_SEL_prezl_src_in_squads_unrolled       224
#define     V_036240_DB_PERF_SEL_prezl_src_in_tile_rate             225
#define     V_036240_DB_PERF_SEL_prezl_src_in_tile_rate_unrolled    226
#define     V_036240_DB_PERF_SEL_prezl_src_out_stall                227
#define     V_036240_DB_PERF_SEL_postzl_src_in_sends                228
#define     V_036240_DB_PERF_SEL_postzl_src_in_stall                229
#define     V_036240_DB_PERF_SEL_postzl_src_in_squads               230
#define     V_036240_DB_PERF_SEL_postzl_src_in_squads_unrolled      231
#define     V_036240_DB_PERF_SEL_postzl_src_in_tile_rate            232
#define     V_036240_DB_PERF_SEL_postzl_src_in_tile_rate_unrolled   233
#define     V_036240_DB_PERF_SEL_postzl_src_out_stall               234
#define     V_036240_DB_PERF_SEL_esr_ps_src_in_sends                235
#define     V_036240_DB_PERF_SEL_esr_ps_src_in_stall                236
#define     V_036240_DB_PERF_SEL_esr_ps_src_in_squads               237
#define     V_036240_DB_PERF_SEL_esr_ps_src_in_squads_unrolled      238
#define     V_036240_DB_PERF_SEL_esr_ps_src_in_tile_rate            239
#define     V_036240_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled   240
#define     V_036240_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled_to_pixel_rate 241
#define     V_036240_DB_PERF_SEL_esr_ps_src_out_stall               242
#define     V_036240_DB_PERF_SEL_depth_bounds_tile_culled           243
#define     V_036240_DB_PERF_SEL_PreZ_Samples_failing_DB            244
#define     V_036240_DB_PERF_SEL_PostZ_Samples_failing_DB           245
#define     V_036240_DB_PERF_SEL_flush_compressed                   246
#define     V_036240_DB_PERF_SEL_flush_plane_le4                    247
#define     V_036240_DB_PERF_SEL_tiles_z_fully_summarized           248
#define     V_036240_DB_PERF_SEL_tiles_stencil_fully_summarized     249
#define     V_036240_DB_PERF_SEL_tiles_z_clear_on_expclear          250
#define     V_036240_DB_PERF_SEL_tiles_s_clear_on_expclear          251
#define     V_036240_DB_PERF_SEL_tiles_decomp_on_expclear           252
#define     V_036240_DB_PERF_SEL_tiles_compressed_to_decompressed   253
#define     V_036240_DB_PERF_SEL_Op_Pipe_Prez_Busy                  254
#define     V_036240_DB_PERF_SEL_Op_Pipe_Postz_Busy                 255
#define     V_036240_DB_PERF_SEL_di_dt_stall                        256
#define     V_036240_DB_PERF_SEL_DB_SC_quad_lit_quad_pre_invoke     257
#define     V_036240_DB_PERF_SEL_DB_SC_s_tile_rate                  258
#define     V_036240_DB_PERF_SEL_DB_SC_c_tile_rate                  259
#define     V_036240_DB_PERF_SEL_DB_SC_z_tile_rate                  260
#define     V_036240_Spare_261                                      261
#define     V_036240_DB_PERF_SEL_DB_CB_lquad_export_quads           262
#define     V_036240_DB_PERF_SEL_DB_CB_lquad_double_format          263
#define     V_036240_DB_PERF_SEL_DB_CB_lquad_fast_format            264
#define     V_036240_DB_PERF_SEL_DB_CB_lquad_slow_format            265
#define     V_036240_DB_PERF_SEL_CB_DB_rdreq_sends                  266
#define     V_036240_DB_PERF_SEL_CB_DB_rdreq_prt_sends              267
#define     V_036240_DB_PERF_SEL_CB_DB_wrreq_sends                  268
#define     V_036240_DB_PERF_SEL_CB_DB_wrreq_prt_sends              269
#define     V_036240_DB_PERF_SEL_DB_CB_rdret_ack                    270
#define     V_036240_DB_PERF_SEL_DB_CB_rdret_nack                   271
#define     V_036240_DB_PERF_SEL_DB_CB_wrret_ack                    272
#define     V_036240_DB_PERF_SEL_DB_CB_wrret_nack                   273
#define     V_036240_Spare_274                                      274
#define     V_036240_DB_PERF_SEL_DFSM_Stall_opmode_change           275
#define     V_036240_DB_PERF_SEL_DFSM_Stall_cam_fifo                276
#define     V_036240_DB_PERF_SEL_DFSM_Stall_bypass_fifo             277
#define     V_036240_DB_PERF_SEL_DFSM_Stall_retained_tile_fifo      278
#define     V_036240_DB_PERF_SEL_DFSM_Stall_control_fifo            279
#define     V_036240_DB_PERF_SEL_DFSM_Stall_overflow_counter        280
#define     V_036240_DB_PERF_SEL_DFSM_Stall_pops_stall_overflow     281
#define     V_036240_DB_PERF_SEL_DFSM_Stall_pops_stall_self_flush   282
#define     V_036240_DB_PERF_SEL_DFSM_Stall_middle_output           283
#define     V_036240_DB_PERF_SEL_DFSM_Stall_stalling_general        284
#define     V_036240_Spare_285                                      285
#define     V_036240_Spare_286                                      286
#define     V_036240_DB_PERF_SEL_DFSM_prez_killed_squad             287
#define     V_036240_DB_PERF_SEL_DFSM_squads_in                     288
#define     V_036240_DB_PERF_SEL_DFSM_full_cleared_squads_out       289
#define     V_036240_DB_PERF_SEL_DFSM_quads_in                      290
#define     V_036240_DB_PERF_SEL_DFSM_fully_cleared_quads_out       291
#define     V_036240_DB_PERF_SEL_DFSM_lit_pixels_in                 292
#define     V_036240_DB_PERF_SEL_DFSM_fully_cleared_pixels_out      293
#define     V_036240_DB_PERF_SEL_DFSM_lit_samples_in                294
#define     V_036240_DB_PERF_SEL_DFSM_lit_samples_out               295
#define     V_036240_DB_PERF_SEL_DFSM_evicted_tiles_above_watermark 296
#define     V_036240_DB_PERF_SEL_DFSM_cant_accept_squads_but_not_stalled_by_downstream 297
#define     V_036240_DB_PERF_SEL_DFSM_stalled_by_downstream         298
#define     V_036240_DB_PERF_SEL_DFSM_evicted_squads_above_watermark 299
#define     V_036240_DB_PERF_SEL_DFSM_collisions_due_to_POPS_overflow 300
#define     V_036240_DB_PERF_SEL_DFSM_collisions_detected_within_POPS_FIFO 301
#define     V_036240_DB_PERF_SEL_DFSM_evicted_squads_due_to_prim_watermark 302
#define     V_036240_DB_PERF_SEL_MI_tile_req_wrack_counter_stall    303
#define     V_036240_DB_PERF_SEL_MI_quad_req_wrack_counter_stall    304
#define     V_036240_DB_PERF_SEL_MI_zpc_req_wrack_counter_stall     305
#define     V_036240_DB_PERF_SEL_MI_psd_req_wrack_counter_stall     306
#define     V_036240_DB_PERF_SEL_unmapped_z_tile_culled             307
#define     V_036240_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_DB_DATA_TS 308
#define     V_036240_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_CB_PIXEL_DATA 309
#define     V_036240_DB_PERF_SEL_DB_CB_tile_is_event_BOTTOM_OF_PIPE_TS 310
#define     V_036240_DB_PERF_SEL_DB_CB_tile_waiting_for_perfcounter_stop_event 311
#define     V_036240_DB_PERF_SEL_DB_CB_lquad_fmt_32bpp_8pix         312
#define     V_036240_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_unsigned_8pix 313
#define     V_036240_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_signed_8pix  314
#define     V_036240_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_float_8pix   315
#define     V_036240_DB_PERF_SEL_DB_CB_lquad_num_pixels_need_blending 316
#define     V_036240_DB_PERF_SEL_DB_CB_context_dones                317
#define     V_036240_DB_PERF_SEL_DB_CB_eop_dones                    318
#define     V_036240_DB_PERF_SEL_SX_DB_quad_all_pixels_killed       319
#define     V_036240_DB_PERF_SEL_SX_DB_quad_all_pixels_enabled      320
#define     V_036240_DB_PERF_SEL_SX_DB_quad_need_blending_and_dst_read 321
#define     V_036240_DB_PERF_SEL_SC_DB_tile_backface                322
#define     V_036240_DB_PERF_SEL_SC_DB_quad_quads                   323
#define     V_036240_DB_PERF_SEL_DB_SC_quad_quads_with_1_pixel      324
#define     V_036240_DB_PERF_SEL_DB_SC_quad_quads_with_2_pixels     325
#define     V_036240_DB_PERF_SEL_DB_SC_quad_quads_with_3_pixels     326
#define     V_036240_DB_PERF_SEL_DB_SC_quad_quads_with_4_pixels     327
#define     V_036240_DB_PERF_SEL_DFSM_Flush_flushabit               328
#define     V_036240_DB_PERF_SEL_DFSM_Flush_flushabit_camcoord_fifo 329
#define     V_036240_DB_PERF_SEL_DFSM_Flush_flushabit_passthrough   330
#define     V_036240_DB_PERF_SEL_DFSM_Flush_flushabit_forceflush    331
#define     V_036240_DB_PERF_SEL_DFSM_Flush_flushabit_nearlyfull    332
#define     V_036240_DB_PERF_SEL_DFSM_Flush_flushabit_primitivesinflightwatermark 333
#define     V_036240_DB_PERF_SEL_DFSM_Flush_flushabit_punch_stalling 334
#define     V_036240_DB_PERF_SEL_DFSM_Flush_flushabit_retainedtilefifo_watermark 335
#define     V_036240_DB_PERF_SEL_DFSM_Flush_flushabit_tilesinflightwatermark 336
#define     V_036240_DB_PERF_SEL_DFSM_Flush_flushall                337
#define     V_036240_DB_PERF_SEL_DFSM_Flush_flushall_dfsmflush      338
#define     V_036240_DB_PERF_SEL_DFSM_Flush_flushall_opmodechange   339
#define     V_036240_DB_PERF_SEL_DFSM_Flush_flushall_sampleratechange 340
#define     V_036240_DB_PERF_SEL_DFSM_Flush_flushall_watchdog       341
#define     V_036240_DB_PERF_SEL_DB_SC_quad_double_quad             342
#define     V_036240_DB_PERF_SEL_SX_DB_quad_export_quads            343
#define     V_036240_DB_PERF_SEL_SX_DB_quad_double_format           344
#define     V_036240_DB_PERF_SEL_SX_DB_quad_fast_format             345
#define     V_036240_DB_PERF_SEL_SX_DB_quad_slow_format             346
#define     V_036240_DB_PERF_SEL_quad_rd_sends_unc                  347
#define     V_036240_DB_PERF_SEL_quad_rd_mi_stall_unc               348
#define     V_036240_DB_PERF_SEL_DFSM_OutputPunch                   349
#define     V_036240_DB_PERF_SEL_DFSM_OutputPops                    350
#define     V_036240_DB_PERF_SEL_DFSM_OutputFifo                    351
#define     V_036240_DB_PERF_SEL_DFSM_StallOpmodeChange             352
#define     V_036240_DB_PERF_SEL_DFSM_StallCAMFifoFull              353
#define     V_036240_DB_PERF_SEL_DFSM_StallBypassFifoFull           354
#define     V_036240_DB_PERF_SEL_DFSM_StallRetainedTileFifoFull     355
#define     V_036240_DB_PERF_SEL_DFSM_StallControlFifoFull          356
#define     V_036240_DB_PERF_SEL_DFSM_StallControlCountFull         357
#define     V_036240_DB_PERF_SEL_DFSM_StallOverflowMaximum          358
#define     V_036240_DB_PERF_SEL_DFSM_StallPopsStallOverflow        359
#define     V_036240_DB_PERF_SEL_DFSM_StallPopsStallSelfStall       360
#define     V_036240_DB_PERF_SEL_DFSM_StallCamSlotFlush             361
#define     V_036240_DB_PERF_SEL_DFSM_StallOutput                   362
#define     V_036240_DB_PERF_SEL_DFSM_WatchdogTrigger               363
#define     V_036240_DB_PERF_SEL_DFSM_StallOnPOPSStall              364
#define     V_036240_DB_PERF_SEL_SC_DB_tile_tiles_pipe0             365
#define     V_036240_DB_PERF_SEL_SC_DB_tile_tiles_pipe1             366
#define     V_036240_DB_PERF_SEL_SC_DB_quad_quads_pipe0             367
#define     V_036240_DB_PERF_SEL_SC_DB_quad_quads_pipe1             368
#define   S_036240_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036240_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036240_PERF_SEL3                                          0xFFF003FF
#define   S_036240_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036240_PERF_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_036240_PERF_MODE3                                         0xF0FFFFFF
#define   S_036240_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_036240_PERF_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_036240_PERF_MODE2                                         0x0FFFFFFF
#define R_036244_VGT_PERFCOUNTER1_SELECT1                               0x036244 /* <= gfx9 */
#define R_036248_GE_PERFCOUNTER9_SELECT                                 0x036248 /* >= gfx10 */
#define R_036250_GE_PERFCOUNTER10_SELECT                                0x036250 /* >= gfx10 */
#define   S_036250_PERF_SEL0(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_036250_PERF_SEL0(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036250_PERF_SEL0                                          0xFFFFFC00
#define     V_036250_ge_assembler_busy                              0
#define     V_036250_ge_assembler_stalled                           1
#define     V_036250_ge_cm_reading_stalled                          2
#define     V_036250_ge_cm_stalled_by_gog                           3
#define     V_036250_ge_cm_stalled_by_gsfetch_done                  4
#define     V_036250_ge_dma_busy                                    5
#define     V_036250_ge_dma_lat_bin_0                               6
#define     V_036250_ge_dma_lat_bin_1                               7
#define     V_036250_ge_dma_lat_bin_2                               8
#define     V_036250_ge_dma_lat_bin_3                               9
#define     V_036250_ge_dma_lat_bin_4                               10
#define     V_036250_ge_dma_lat_bin_5                               11
#define     V_036250_ge_dma_lat_bin_6                               12
#define     V_036250_ge_dma_lat_bin_7                               13
#define     V_036250_ge_dma_return_cl0                              14
#define     V_036250_ge_dma_return_cl1                              15
#define     V_036250_ge_dma_utcl1_consecutive_retry_event           16
#define     V_036250_ge_dma_utcl1_request_event                     17
#define     V_036250_ge_dma_utcl1_retry_event                       18
#define     V_036250_ge_dma_utcl1_stall_event                       19
#define     V_036250_ge_dma_utcl1_stall_utcl2_event                 20
#define     V_036250_ge_dma_utcl1_translation_hit_event             21
#define     V_036250_ge_dma_utcl1_translation_miss_event            22
#define     V_036250_ge_dma_utcl2_stall_on_trans                    23
#define     V_036250_ge_dma_utcl2_trans_ack                         24
#define     V_036250_ge_dma_utcl2_trans_xnack                       25
#define     V_036250_ge_ds_cache_hits                               26
#define     V_036250_ge_ds_prims                                    27
#define     V_036250_ge_es_done                                     28
#define     V_036250_ge_es_done_latency                             29
#define     V_036250_ge_es_flush                                    30
#define     V_036250_ge_es_ring_high_water_mark                     31
#define     V_036250_ge_es_thread_groups                            32
#define     V_036250_ge_esthread_stalled_es_rb_full                 33
#define     V_036250_ge_esthread_stalled_spi_bp                     34
#define     V_036250_ge_esvert_stalled_es_tbl                       35
#define     V_036250_ge_esvert_stalled_gs_event                     36
#define     V_036250_ge_esvert_stalled_gs_tbl                       37
#define     V_036250_ge_esvert_stalled_gsprim                       38
#define     V_036250_ge_assembler_dma_starved                       39
#define     V_036250_ge_gog_busy                                    40
#define     V_036250_ge_gog_out_indx_stalled                        41
#define     V_036250_ge_gog_out_prim_stalled                        42
#define     V_036250_ge_gog_vs_tbl_stalled                          43
#define     V_036250_ge_gs_cache_hits                               44
#define     V_036250_ge_gs_counters_avail_stalled                   45
#define     V_036250_ge_gs_done                                     46
#define     V_036250_ge_gs_done_latency                             47
#define     V_036250_ge_gs_event_stall                              48
#define     V_036250_ge_gs_issue_rtr_stalled                        49
#define     V_036250_ge_gs_rb_space_avail_stalled                   50
#define     V_036250_ge_gs_ring_high_water_mark                     51
#define     V_036250_ge_gsprim_stalled_es_tbl                       52
#define     V_036250_ge_gsprim_stalled_esvert                       53
#define     V_036250_ge_gsprim_stalled_gs_event                     54
#define     V_036250_ge_gsprim_stalled_gs_tbl                       55
#define     V_036250_ge_gsthread_stalled                            56
#define     V_036250_ge_hs_done                                     57
#define     V_036250_ge_hs_done_latency                             58
#define     V_036250_ge_hs_done_se0                                 59
#define     V_036250_ge_hs_done_se1                                 60
#define     V_036250_ge_hs_done_se2_reserved                        61
#define     V_036250_ge_hs_done_se3_reserved                        62
#define     V_036250_ge_hs_tfm_stall                                63
#define     V_036250_ge_hs_tgs_active_high_water_mark               64
#define     V_036250_ge_hs_thread_groups                            65
#define     V_036250_ge_inside_tf_bin_0                             66
#define     V_036250_ge_inside_tf_bin_1                             67
#define     V_036250_ge_inside_tf_bin_2                             68
#define     V_036250_ge_inside_tf_bin_3                             69
#define     V_036250_ge_inside_tf_bin_4                             70
#define     V_036250_ge_inside_tf_bin_5                             71
#define     V_036250_ge_inside_tf_bin_6                             72
#define     V_036250_ge_inside_tf_bin_7                             73
#define     V_036250_ge_inside_tf_bin_8                             74
#define     V_036250_ge_ls_done                                     75
#define     V_036250_ge_ls_done_latency                             76
#define     V_036250_ge_null_patch                                  77
#define     V_036250_ge_se0pa0_clipp_eop                            78
#define     V_036250_ge_se0pa0_clipp_eopg                           79
#define     V_036250_ge_se0pa0_clipp_is_event                       80
#define     V_036250_ge_se0pa0_clipp_new_vtx_vect                   81
#define     V_036250_ge_se0pa0_clipp_null_prim                      82
#define     V_036250_ge_se0pa0_clipp_send                           83
#define     V_036250_ge_se0pa0_clipp_send_not_event                 84
#define     V_036250_ge_se0pa0_clipp_stalled                        85
#define     V_036250_ge_se0pa0_clipp_starved_busy                   86
#define     V_036250_ge_se0pa0_clipp_starved_idle                   87
#define     V_036250_ge_se0pa0_clipp_starved_after_work             88
#define     V_036250_ge_se0pa0_clipp_valid_prim                     89
#define     V_036250_ge_se0pa0_clips_send                           90
#define     V_036250_ge_se0pa0_clips_stalled                        91
#define     V_036250_ge_se0pa0_clipv_send                           92
#define     V_036250_ge_se0pa0_clipv_stalled                        93
#define     V_036250_ge_se0pa1_clipp_eop                            94
#define     V_036250_ge_se0pa1_clipp_eopg                           95
#define     V_036250_ge_se0pa1_clipp_is_event                       96
#define     V_036250_ge_se0pa1_clipp_new_vtx_vect                   97
#define     V_036250_ge_se0pa1_clipp_null_prim                      98
#define     V_036250_ge_se0pa1_clipp_send                           99
#define     V_036250_ge_se0pa1_clipp_send_not_event                 100
#define     V_036250_ge_se0pa1_clipp_stalled                        101
#define     V_036250_ge_se0pa1_clipp_starved_busy                   102
#define     V_036250_ge_se0pa1_clipp_starved_idle                   103
#define     V_036250_ge_se0pa1_clipp_starved_after_work             104
#define     V_036250_ge_se0pa1_clipp_valid_prim                     105
#define     V_036250_ge_se0pa1_clips_send                           106
#define     V_036250_ge_se0pa1_clips_stalled                        107
#define     V_036250_ge_se0pa1_clipv_send                           108
#define     V_036250_ge_se0pa1_clipv_stalled                        109
#define     V_036250_ge_se1pa0_clipp_eop                            110
#define     V_036250_ge_se1pa0_clipp_eopg                           111
#define     V_036250_ge_se1pa0_clipp_is_event                       112
#define     V_036250_ge_se1pa0_clipp_new_vtx_vect                   113
#define     V_036250_ge_se1pa0_clipp_null_prim                      114
#define     V_036250_ge_se1pa0_clipp_send                           115
#define     V_036250_ge_se1pa0_clipp_send_not_event                 116
#define     V_036250_ge_se1pa0_clipp_stalled                        117
#define     V_036250_ge_se1pa0_clipp_starved_busy                   118
#define     V_036250_ge_se1pa0_clipp_starved_idle                   119
#define     V_036250_ge_se1pa0_clipp_starved_after_work             120
#define     V_036250_ge_se1pa0_clipp_valid_prim                     121
#define     V_036250_ge_se1pa0_clips_send                           122
#define     V_036250_ge_se1pa0_clips_stalled                        123
#define     V_036250_ge_se1pa0_clipv_send                           124
#define     V_036250_ge_se1pa0_clipv_stalled                        125
#define     V_036250_ge_se1pa1_clipp_eop                            126
#define     V_036250_ge_se1pa1_clipp_eopg                           127
#define     V_036250_ge_se1pa1_clipp_is_event                       128
#define     V_036250_ge_se1pa1_clipp_new_vtx_vect                   129
#define     V_036250_ge_se1pa1_clipp_null_prim                      130
#define     V_036250_ge_se1pa1_clipp_send                           131
#define     V_036250_ge_se1pa1_clipp_send_not_event                 132
#define     V_036250_ge_se1pa1_clipp_stalled                        133
#define     V_036250_ge_se1pa1_clipp_starved_busy                   134
#define     V_036250_ge_se1pa1_clipp_starved_idle                   135
#define     V_036250_ge_se1pa1_clipp_starved_after_work             136
#define     V_036250_ge_se1pa1_clipp_valid_prim                     137
#define     V_036250_ge_se1pa1_clips_send                           138
#define     V_036250_ge_se1pa1_clips_stalled                        139
#define     V_036250_ge_se1pa1_clipv_send                           140
#define     V_036250_ge_se1pa1_clipv_stalled                        141
#define     V_036250_ge_se2pa0_clipp_eop                            142
#define     V_036250_ge_se2pa0_clipp_eopg                           143
#define     V_036250_ge_se2pa0_clipp_is_event                       144
#define     V_036250_ge_se2pa0_clipp_new_vtx_vect                   145
#define     V_036250_ge_se2pa0_clipp_null_prim                      146
#define     V_036250_ge_se2pa0_clipp_send                           147
#define     V_036250_ge_se2pa0_clipp_send_not_event                 148
#define     V_036250_ge_se2pa0_clipp_stalled                        149
#define     V_036250_ge_se2pa0_clipp_starved_busy                   150
#define     V_036250_ge_se2pa0_clipp_starved_idle                   151
#define     V_036250_ge_se2pa0_clipp_starved_after_work             152
#define     V_036250_ge_se2pa0_clipp_valid_prim                     153
#define     V_036250_ge_se2pa0_clips_send                           154
#define     V_036250_ge_se2pa0_clips_stalled                        155
#define     V_036250_ge_se2pa0_clipv_send                           156
#define     V_036250_ge_se2pa0_clipv_stalled                        157
#define     V_036250_ge_se2pa1_clipp_eop                            158
#define     V_036250_ge_se2pa1_clipp_eopg                           159
#define     V_036250_ge_se2pa1_clipp_is_event                       160
#define     V_036250_ge_se2pa1_clipp_new_vtx_vect                   161
#define     V_036250_ge_se2pa1_clipp_null_prim                      162
#define     V_036250_ge_se2pa1_clipp_send                           163
#define     V_036250_ge_se2pa1_clipp_send_not_event                 164
#define     V_036250_ge_se2pa1_clipp_stalled                        165
#define     V_036250_ge_se2pa1_clipp_starved_busy                   166
#define     V_036250_ge_se2pa1_clipp_starved_idle                   167
#define     V_036250_ge_se2pa1_clipp_starved_after_work             168
#define     V_036250_ge_se2pa1_clipp_valid_prim                     169
#define     V_036250_ge_se2pa1_clips_send                           170
#define     V_036250_ge_se2pa1_clips_stalled                        171
#define     V_036250_ge_se2pa1_clipv_send                           172
#define     V_036250_ge_se2pa1_clipv_stalled                        173
#define     V_036250_ge_se3pa0_clipp_eop                            174
#define     V_036250_ge_se3pa0_clipp_eopg                           175
#define     V_036250_ge_se3pa0_clipp_is_event                       176
#define     V_036250_ge_se3pa0_clipp_new_vtx_vect                   177
#define     V_036250_ge_se3pa0_clipp_null_prim                      178
#define     V_036250_ge_se3pa0_clipp_send                           179
#define     V_036250_ge_se3pa0_clipp_send_not_event                 180
#define     V_036250_ge_se3pa0_clipp_stalled                        181
#define     V_036250_ge_se3pa0_clipp_starved_busy                   182
#define     V_036250_ge_se3pa0_clipp_starved_idle                   183
#define     V_036250_ge_se3pa0_clipp_starved_after_work             184
#define     V_036250_ge_se3pa0_clipp_valid_prim                     185
#define     V_036250_ge_se3pa0_clips_send                           186
#define     V_036250_ge_se3pa0_clips_stalled                        187
#define     V_036250_ge_se3pa0_clipv_send                           188
#define     V_036250_ge_se3pa0_clipv_stalled                        189
#define     V_036250_ge_se3pa1_clipp_eop                            190
#define     V_036250_ge_se3pa1_clipp_eopg                           191
#define     V_036250_ge_se3pa1_clipp_is_event                       192
#define     V_036250_ge_se3pa1_clipp_new_vtx_vect                   193
#define     V_036250_ge_se3pa1_clipp_null_prim                      194
#define     V_036250_ge_se3pa1_clipp_send                           195
#define     V_036250_ge_se3pa1_clipp_send_not_event                 196
#define     V_036250_ge_se3pa1_clipp_stalled                        197
#define     V_036250_ge_se3pa1_clipp_starved_busy                   198
#define     V_036250_ge_se3pa1_clipp_starved_idle                   199
#define     V_036250_ge_se3pa1_clipp_starved_after_work             200
#define     V_036250_ge_se3pa1_clipp_valid_prim                     201
#define     V_036250_ge_se3pa1_clips_send                           202
#define     V_036250_ge_se3pa1_clips_stalled                        203
#define     V_036250_ge_se3pa1_clipv_send                           204
#define     V_036250_ge_se3pa1_clipv_stalled                        205
#define     V_036250_ge_rbiu_di_fifo_stalled                        206
#define     V_036250_ge_rbiu_di_fifo_starved                        207
#define     V_036250_ge_rbiu_dr_fifo_stalled                        208
#define     V_036250_ge_rbiu_dr_fifo_starved                        209
#define     V_036250_ge_reused_es_indices                           210
#define     V_036250_ge_reused_vs_indices                           211
#define     V_036250_ge_sclk_core_vld                               212
#define     V_036250_ge_sclk_gs_vld                                 213
#define     V_036250_ge_sclk_input_vld                              214
#define     V_036250_ge_sclk_leg_gs_arb_vld                         215
#define     V_036250_ge_sclk_ngg_vld                                216
#define     V_036250_ge_sclk_reg_vld                                217
#define     V_036250_ge_sclk_te11_vld                               218
#define     V_036250_ge_sclk_vr_vld                                 219
#define     V_036250_ge_sclk_wd_te11_vld                            220
#define     V_036250_ge_spi_esvert_eov                              221
#define     V_036250_ge_spi_esvert_stalled                          222
#define     V_036250_ge_spi_esvert_starved_busy                     223
#define     V_036250_ge_spi_esvert_valid                            224
#define     V_036250_ge_spi_eswave_is_event                         225
#define     V_036250_ge_spi_eswave_send                             226
#define     V_036250_ge_spi_gsprim_cont                             227
#define     V_036250_ge_spi_gsprim_eov                              228
#define     V_036250_ge_spi_gsprim_stalled                          229
#define     V_036250_ge_spi_gsprim_starved_busy                     230
#define     V_036250_ge_spi_gsprim_starved_idle                     231
#define     V_036250_ge_spi_gsprim_valid                            232
#define     V_036250_ge_spi_gssubgrp_is_event                       233
#define     V_036250_ge_spi_gssubgrp_send                           234
#define     V_036250_ge_spi_gswave_is_event                         235
#define     V_036250_ge_spi_gswave_send                             236
#define     V_036250_ge_spi_hsvert_eov                              237
#define     V_036250_ge_spi_hsvert_stalled                          238
#define     V_036250_ge_spi_hsvert_starved_busy                     239
#define     V_036250_ge_spi_hsvert_valid                            240
#define     V_036250_ge_spi_hsgrp_is_event                          241
#define     V_036250_ge_spi_hswgrp_send                             242
#define     V_036250_ge_spi_hsgrp_event_window_active               243
#define     V_036250_ge_spi_lsvert_eov                              244
#define     V_036250_ge_spi_lsvert_stalled                          245
#define     V_036250_ge_spi_lsvert_starved_busy                     246
#define     V_036250_ge_spi_lsvert_starved_idle                     247
#define     V_036250_ge_spi_lsvert_valid                            248
#define     V_036250_ge_spi_lswave_is_event                         249
#define     V_036250_ge_spi_lswave_send                             250
#define     V_036250_ge_spi_vsvert_eov                              251
#define     V_036250_ge_spi_vsvert_send                             252
#define     V_036250_ge_spi_vsvert_stalled                          253
#define     V_036250_ge_spi_vsvert_starved_busy                     254
#define     V_036250_ge_spi_vsvert_starved_idle                     255
#define     V_036250_ge_spi_vswave_is_event                         256
#define     V_036250_ge_spi_vswave_send                             257
#define     V_036250_ge_starved_on_hs_done                          258
#define     V_036250_ge_stat_busy                                   259
#define     V_036250_ge_stat_combined_busy                          260
#define     V_036250_ge_stat_no_dma_busy                            261
#define     V_036250_ge_strmout_stalled                             262
#define     V_036250_ge_te11_busy                                   263
#define     V_036250_ge_te11_starved                                264
#define     V_036250_ge_tfreq_lat_bin_0                             265
#define     V_036250_ge_tfreq_lat_bin_1                             266
#define     V_036250_ge_tfreq_lat_bin_2                             267
#define     V_036250_ge_tfreq_lat_bin_3                             268
#define     V_036250_ge_tfreq_lat_bin_4                             269
#define     V_036250_ge_tfreq_lat_bin_5                             270
#define     V_036250_ge_tfreq_lat_bin_6                             271
#define     V_036250_ge_tfreq_lat_bin_7                             272
#define     V_036250_ge_tfreq_utcl1_consecutive_retry_event         273
#define     V_036250_ge_tfreq_utcl1_request_event                   274
#define     V_036250_ge_tfreq_utcl1_retry_event                     275
#define     V_036250_ge_tfreq_utcl1_stall_event                     276
#define     V_036250_ge_tfreq_utcl1_stall_utcl2_event               277
#define     V_036250_ge_tfreq_utcl1_translation_hit_event           278
#define     V_036250_ge_tfreq_utcl1_translation_miss_event          279
#define     V_036250_spare23                                        280
#define     V_036250_spare24                                        281
#define     V_036250_spare25                                        282
#define     V_036250_ge_vs_cache_hits                               283
#define     V_036250_ge_vs_done                                     284
#define     V_036250_ge_vs_pc_stall                                 285
#define     V_036250_ge_vs_table_high_water_mark                    286
#define     V_036250_ge_vs_thread_groups                            287
#define     V_036250_ge_vsvert_api_send                             288
#define     V_036250_ge_vsvert_ds_send                              289
#define     V_036250_ge_wait_for_es_done_stalled                    290
#define     V_036250_ge_waveid_stalled                              291
#define     V_036250_ge_spi_vsvert_valid                            292
#define     V_036250_pc_feorder_ffo_full                            293
#define     V_036250_pc_ge_manager_busy                             294
#define     V_036250_pc_req_stall_se0                               295
#define     V_036250_pc_req_stall_se1                               296
#define     V_036250_pc_req_stall_se2                               297
#define     V_036250_pc_req_stall_se3                               298
#define     V_036250_ge_pipe0_to_pipe1                              299
#define     V_036250_ge_pipe1_to_pipe0                              300
#define     V_036250_ge_dma_return_size_cl0                         301
#define     V_036250_ge_dma_return_size_cl1                         302
#define     V_036250_ge_spi_gssubgrp_event_window_active            303
#define     V_036250_ge_bypass_fifo_full                            304
#define   S_036250_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036250_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036250_PERF_MODE                                          0x0FFFFFFF
#define R_036250_VGT_PERFCOUNTER_SEID_MASK                              0x036250 /* <= gfx9 */
#define   S_036250_PERF_SEID_IGNORE_MASK(x)                           (((unsigned)(x) & 0xFF) << 0)
#define   G_036250_PERF_SEID_IGNORE_MASK(x)                           (((x) >> 0) & 0xFF)
#define   C_036250_PERF_SEID_IGNORE_MASK                              0xFFFFFF00
#define R_036258_GE_PERFCOUNTER11_SELECT                                0x036258 /* >= gfx10 */
#define R_036400_PA_SU_PERFCOUNTER0_SELECT                              0x036400
#define   S_036400_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036400_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036400_PERF_SEL                                           0xFFFFFC00
#define     V_036400_PERF_PAPC_PASX_REQ                             0 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_DISABLE_PIPE                    1 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_FIRST_VECTOR                    2 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_SECOND_VECTOR                   3 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_FIRST_DEAD                      4 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_SECOND_DEAD                     5 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_VTX_KILL_DISCARD                6 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_VTX_NAN_DISCARD                 7 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PA_INPUT_PRIM                        8 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PA_INPUT_NULL_PRIM                   9 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PA_INPUT_EVENT_FLAG                  10 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PA_INPUT_FIRST_PRIM_SLOT             11 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PA_INPUT_END_OF_PACKET               12 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PA_INPUT_EXTENDED_EVENT              13 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_CULL_PRIM                       14 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_VVUCP_CULL_PRIM                 15 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_VV_CULL_PRIM                    16 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_UCP_CULL_PRIM                   17 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_VTX_KILL_CULL_PRIM              18 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_VTX_NAN_CULL_PRIM               19 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_CULL_TO_NULL_PRIM               20 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_VVUCP_CLIP_PRIM                 21 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_VV_CLIP_PRIM                    22 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_UCP_CLIP_PRIM                   23 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_POINT_CLIP_CANDIDATE            24 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_CLIP_PLANE_CNT_1                25 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_CLIP_PLANE_CNT_2                26 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_CLIP_PLANE_CNT_3                27 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_CLIP_PLANE_CNT_4                28 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_CLIP_PLANE_CNT_5_8              29 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_CLIP_PLANE_CNT_9_12             30 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_CLIP_PLANE_NEAR                 31 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_CLIP_PLANE_FAR                  32 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_CLIP_PLANE_LEFT                 33 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_CLIP_PLANE_RIGHT                34 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_CLIP_PLANE_TOP                  35 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_CLIP_PLANE_BOTTOM               36 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_GSC_KILL_CULL_PRIM              37 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPR_RASTER_KILL_CULL_PRIM           38 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLSM_NULL_PRIM                       39 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLSM_TOTALLY_VISIBLE_PRIM            40 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLSM_CULL_TO_NULL_PRIM               41 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLSM_OUT_PRIM_CNT_1                  42 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLSM_OUT_PRIM_CNT_2                  43 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLSM_OUT_PRIM_CNT_3                  44 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLSM_OUT_PRIM_CNT_4                  45 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLSM_OUT_PRIM_CNT_5_8                46 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLSM_OUT_PRIM_CNT_9_13               47 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLIPGA_VTE_KILL_PRIM                 48 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_INPUT_PRIM                        49 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_INPUT_CLIP_PRIM                   50 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_INPUT_NULL_PRIM                   51 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_INPUT_PRIM_DUAL                   52 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_INPUT_CLIP_PRIM_DUAL              53 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_ZERO_AREA_CULL_PRIM               54 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_BACK_FACE_CULL_PRIM               55 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_FRONT_FACE_CULL_PRIM              56 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_POLYMODE_FACE_CULL                57 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_POLYMODE_BACK_CULL                58 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_POLYMODE_FRONT_CULL               59 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_POLYMODE_INVALID_FILL             60 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUTPUT_PRIM                       61 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUTPUT_CLIP_PRIM                  62 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUTPUT_NULL_PRIM                  63 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUTPUT_EVENT_FLAG                 64 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUTPUT_FIRST_PRIM_SLOT            65 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUTPUT_END_OF_PACKET              66 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUTPUT_POLYMODE_FACE              67 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUTPUT_POLYMODE_BACK              68 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUTPUT_POLYMODE_FRONT             69 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUT_CLIP_POLYMODE_FACE            70 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUT_CLIP_POLYMODE_BACK            71 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUT_CLIP_POLYMODE_FRONT           72 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUTPUT_PRIM_DUAL                  73 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUTPUT_CLIP_PRIM_DUAL             74 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUTPUT_POLYMODE_DUAL              75 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUTPUT_CLIP_POLYMODE_DUAL         76 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_REQ_IDLE                        77 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_REQ_BUSY                        78 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_REQ_STALLED                     79 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_REC_IDLE                        80 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_REC_BUSY                        81 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_REC_STARVED_SX                  82 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_REC_STALLED                     83 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_REC_STALLED_POS_MEM             84 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_REC_STALLED_CCGSM_IN            85 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CCGSM_IDLE                           86 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CCGSM_BUSY                           87 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CCGSM_STALLED                        88 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPRIM_IDLE                          89 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPRIM_BUSY                          90 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPRIM_STALLED                       91 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLPRIM_STARVED_CCGSM                 92 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLIPSM_IDLE                          93 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLIPSM_BUSY                          94 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLIPSM_WAIT_CLIP_VERT_ENGH           95 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLIPSM_WAIT_HIGH_PRI_SEQ             96 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLIPSM_WAIT_CLIPGA                   97 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLIPSM_WAIT_AVAIL_VTE_CLIP           98 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLIPSM_WAIT_CLIP_OUTSM               99 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLIPGA_IDLE                          100 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLIPGA_BUSY                          101 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLIPGA_STARVED_VTE_CLIP              102 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLIPGA_STALLED                       103 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLIP_IDLE                            104 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLIP_BUSY                            105 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_IDLE                              106 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_BUSY                              107 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_STARVED_CLIP                      108 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_STALLED_SC                        109 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CL_DYN_SCLK_VLD                      110 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_DYN_SCLK_VLD                      111 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PA_REG_SCLK_VLD                      112 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_MULTI_GPU_PRIM_FILTER_CULL        113 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_SE0_REQ                         114 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_SE1_REQ                         115 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_SE0_FIRST_VECTOR                116 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_SE0_SECOND_VECTOR               117 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_SE1_FIRST_VECTOR                118 /* >= gfx10 */
#define     V_036400_PERF_PAPC_PASX_SE1_SECOND_VECTOR               119 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE0_PRIM_FILTER_CULL              120 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE1_PRIM_FILTER_CULL              121 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE01_PRIM_FILTER_CULL             122 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE0_OUTPUT_PRIM                   123 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE1_OUTPUT_PRIM                   124 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE01_OUTPUT_PRIM                  125 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE0_OUTPUT_NULL_PRIM              126 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE1_OUTPUT_NULL_PRIM              127 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE01_OUTPUT_NULL_PRIM             128 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE0_OUTPUT_FIRST_PRIM_SLOT        129 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE1_OUTPUT_FIRST_PRIM_SLOT        130 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE0_STALLED_SC                    131 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE1_STALLED_SC                    132 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE01_STALLED_SC                   133 /* >= gfx10 */
#define     V_036400_PERF_PAPC_CLSM_CLIPPING_PRIM                   134 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_CULLED_PRIM                       135 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_OUTPUT_EOPG                       136 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE2_PRIM_FILTER_CULL              137 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE3_PRIM_FILTER_CULL              138 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE2_OUTPUT_PRIM                   139 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE3_OUTPUT_PRIM                   140 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE2_OUTPUT_NULL_PRIM              141 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE3_OUTPUT_NULL_PRIM              142 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE0_OUTPUT_END_OF_PACKET          143 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE1_OUTPUT_END_OF_PACKET          144 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE2_OUTPUT_END_OF_PACKET          145 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE3_OUTPUT_END_OF_PACKET          146 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE0_OUTPUT_EOPG                   147 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE1_OUTPUT_EOPG                   148 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE2_OUTPUT_EOPG                   149 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE3_OUTPUT_EOPG                   150 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE2_STALLED_SC                    151 /* >= gfx10 */
#define     V_036400_PERF_PAPC_SU_SE3_STALLED_SC                    152 /* >= gfx10 */
#define     V_036400_PERF_SU_SMALL_PRIM_FILTER_CULL_CNT             153 /* >= gfx10 */
#define     V_036400_PERF_SMALL_PRIM_CULL_PRIM_1X1                  154 /* >= gfx10 */
#define     V_036400_PERF_SMALL_PRIM_CULL_PRIM_2X1                  155 /* >= gfx10 */
#define     V_036400_PERF_SMALL_PRIM_CULL_PRIM_1X2                  156 /* >= gfx10 */
#define     V_036400_PERF_SMALL_PRIM_CULL_PRIM_2X2                  157 /* >= gfx10 */
#define     V_036400_PERF_SMALL_PRIM_CULL_PRIM_3X1                  158 /* >= gfx10 */
#define     V_036400_PERF_SMALL_PRIM_CULL_PRIM_1X3                  159 /* >= gfx10 */
#define     V_036400_PERF_SMALL_PRIM_CULL_PRIM_3X2                  160 /* >= gfx10 */
#define     V_036400_PERF_SMALL_PRIM_CULL_PRIM_2X3                  161 /* >= gfx10 */
#define     V_036400_PERF_SMALL_PRIM_CULL_PRIM_NX1                  162 /* >= gfx10 */
#define     V_036400_PERF_SMALL_PRIM_CULL_PRIM_1XN                  163 /* >= gfx10 */
#define     V_036400_PERF_SMALL_PRIM_CULL_PRIM_NX2                  164 /* >= gfx10 */
#define     V_036400_PERF_SMALL_PRIM_CULL_PRIM_2XN                  165 /* >= gfx10 */
#define     V_036400_PERF_SMALL_PRIM_CULL_PRIM_FULL_RES_EVENT       166 /* >= gfx10 */
#define     V_036400_PERF_SMALL_PRIM_CULL_PRIM_HALF_RES_EVENT       167 /* >= gfx10 */
#define     V_036400_PERF_SMALL_PRIM_CULL_PRIM_QUARTER_RES_EVENT    168 /* >= gfx10 */
#define     V_036400_PERF_SC0_QUALIFIED_SEND_BUSY_EVENT             169 /* >= gfx10 */
#define     V_036400_PERF_SC0_QUALIFIED_SEND_NOT_BUSY_EVENT         170 /* >= gfx10 */
#define     V_036400_PERF_SC1_QUALIFIED_SEND_BUSY_EVENT             171 /* >= gfx10 */
#define     V_036400_PERF_SC1_QUALIFIED_SEND_NOT_BUSY_EVENT         172 /* >= gfx10 */
#define     V_036400_PERF_SC2_QUALIFIED_SEND_BUSY_EVENT             173 /* >= gfx10 */
#define     V_036400_PERF_SC2_QUALIFIED_SEND_NOT_BUSY_EVENT         174 /* >= gfx10 */
#define     V_036400_PERF_SC3_QUALIFIED_SEND_BUSY_EVENT             175 /* >= gfx10 */
#define     V_036400_PERF_SC3_QUALIFIED_SEND_NOT_BUSY_EVENT         176 /* >= gfx10 */
#define     V_036400_PERF_PA_VERTEX_FIFO_FULL                       177 /* >= gfx10 */
#define     V_036400_PERF_PA_PRIMIC_TO_CLPRIM_FIFO_FULL             178 /* >= gfx10 */
#define     V_036400_PERF_PA_FETCH_TO_PRIMIC_P_FIFO_FULL            179 /* >= gfx10 */
#define     V_036400_PERF_PA_FETCH_TO_SXIF_FIFO_FULL                180 /* >= gfx10 */
#define     V_036400_PERF_PA_PIPE0_SWITCHED_GEN                     181 /* >= gfx10 */
#define     V_036400_PERF_PA_PIPE1_SWITCHED_GEN                     182 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_MACHINE_IS_STARVED               183 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_MACHINE_STALLED_BY_CSB_MEMORY    184 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_MACHINE_STALLED_BY_SPI           185 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_GE_INPUT_FIFO_FULL               186 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_INPUT_FIFO_FULL              187 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_OBJECTID_INPUT_FIFO_FULL         188 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_GE_INPUT_FIFO_POP_BIT            189 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_PRIM_COUNT_EQ0                   190 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_NULL_SUBGROUP                    191 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_GE_SENDING_SUBGROUP              192 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_GE_MEMORY_FULL                   193 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_GE_MEMORY_EMPTY                  194 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_MEMORY_FULL                  195 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_MEMORY_EMPTY                 196 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN00                      197 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN01                      198 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN02                      199 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN03                      200 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN04                      201 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN05                      202 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN06                      203 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN07                      204 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN08                      205 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN09                      206 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN10                      207 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN11                      208 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN12                      209 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN13                      210 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN14                      211 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_DELAY_BIN15                      212 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN00                  213 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN01                  214 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN02                  215 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN03                  216 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN04                  217 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN05                  218 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN06                  219 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN07                  220 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN08                  221 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN09                  222 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN10                  223 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN11                  224 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN12                  225 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN13                  226 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN14                  227 /* >= gfx10 */
#define     V_036400_PERF_ENGG_CSB_SPI_DELAY_BIN15                  228 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_REQ_STARVED                    229 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_REQ_IDLE_AND_STALLED_BY_REQ2RTN_FIFO_FULL 230 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_REQ_BUSY_AND_STALLED_BY_REQ2RTN_FIFO_FULL 231 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_REQ_STALLED_BY_SX_CREDITS      232 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_REQ2RTN_FIFO_FULL          233 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_REQ2RTN_FIFO_EMPTY         234 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SX_RECEIVE_FIFO_FULL       235 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_STARVED_BY_CSB        236 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_STARVED_BY_PRIMS      237 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_STALLED_BY_PRIM_INDICES_CSB_FIFO 238 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_STALLED_BY_PRIM_INDICES_FIFO 239 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_EVENT         240 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_NULL_SUBGROUP 241 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_SUBGROUP_PRIMCOUNT_EQ0 242 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_0_VALID_PRIMS_NOPL 243 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_1_VALID_PRIMS_NOPL 244 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_2_VALID_PRIMS_NOPL 245 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_3_VALID_PRIMS_NOPL 246 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_4_VALID_PRIMS_NOPL 247 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_0_VALID_PRIMS_PL 248 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_1_VALID_PRIMS_PL 249 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_2_VALID_PRIMS_PL 250 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_3_VALID_PRIMS_PL 251 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_4_VALID_PRIMS_PL 252 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_0_NULL_PRIMS 253 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_1_NULL_PRIMS 254 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_2_NULL_PRIMS 255 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_3_NULL_PRIMS 256 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_4_NULL_PRIMS 257 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_PRIM_IF_STALLED_BY_FULL_FETCH_TO_PRIMIC_P_FIFO 258 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_PRIM_IF_STALLED_BY_FULL_FETCH_TO_PRIMIC_S_FIFO 259 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_PRIM_IF_STARVED_BY_NO_CSB      260 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_PRIM_IF_STARVED_BY_NO_PRIM     261 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_PRIM_IF_FETCH_TO_PRIMIC_P_FIFO_WRITE 262 /* >= gfx10 */
#define     V_036400_PERF_ENGG_INDEX_PRIM_IF_FETCH_TO_PRIMIC_P_FIFO_NO_WRITE 263 /* >= gfx10 */
#define     V_036400_PERF_ENGG_POS_REQ_STARVED                      264 /* >= gfx10 */
#define     V_036400_PERF_ENGG_POS_REQ_STALLED_BY_FULL_CLIPV_FIFO   265 /* >= gfx10 */
#define   S_036400_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036400_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036400_PERF_SEL1                                          0xFFF003FF
#define   S_036400_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036400_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036400_CNTR_MODE                                          0xFF0FFFFF
#define   S_036400_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24) /* >= gfx10 */
#define   G_036400_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036400_PERF_MODE1                                         0xF0FFFFFF
#define   S_036400_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28) /* >= gfx10 */
#define   G_036400_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036400_PERF_MODE                                          0x0FFFFFFF
#define R_036404_PA_SU_PERFCOUNTER0_SELECT1                             0x036404
#define   S_036404_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_036404_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036404_PERF_SEL2                                          0xFFFFFC00
#define     V_036404_PERF_PAPC_PASX_REQ                             0 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_DISABLE_PIPE                    1 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_FIRST_VECTOR                    2 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_SECOND_VECTOR                   3 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_FIRST_DEAD                      4 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_SECOND_DEAD                     5 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_VTX_KILL_DISCARD                6 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_VTX_NAN_DISCARD                 7 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PA_INPUT_PRIM                        8 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PA_INPUT_NULL_PRIM                   9 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PA_INPUT_EVENT_FLAG                  10 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PA_INPUT_FIRST_PRIM_SLOT             11 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PA_INPUT_END_OF_PACKET               12 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PA_INPUT_EXTENDED_EVENT              13 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_CULL_PRIM                       14 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_VVUCP_CULL_PRIM                 15 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_VV_CULL_PRIM                    16 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_UCP_CULL_PRIM                   17 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_VTX_KILL_CULL_PRIM              18 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_VTX_NAN_CULL_PRIM               19 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_CULL_TO_NULL_PRIM               20 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_VVUCP_CLIP_PRIM                 21 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_VV_CLIP_PRIM                    22 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_UCP_CLIP_PRIM                   23 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_POINT_CLIP_CANDIDATE            24 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_CLIP_PLANE_CNT_1                25 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_CLIP_PLANE_CNT_2                26 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_CLIP_PLANE_CNT_3                27 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_CLIP_PLANE_CNT_4                28 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_CLIP_PLANE_CNT_5_8              29 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_CLIP_PLANE_CNT_9_12             30 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_CLIP_PLANE_NEAR                 31 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_CLIP_PLANE_FAR                  32 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_CLIP_PLANE_LEFT                 33 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_CLIP_PLANE_RIGHT                34 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_CLIP_PLANE_TOP                  35 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_CLIP_PLANE_BOTTOM               36 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_GSC_KILL_CULL_PRIM              37 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPR_RASTER_KILL_CULL_PRIM           38 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLSM_NULL_PRIM                       39 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLSM_TOTALLY_VISIBLE_PRIM            40 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLSM_CULL_TO_NULL_PRIM               41 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLSM_OUT_PRIM_CNT_1                  42 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLSM_OUT_PRIM_CNT_2                  43 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLSM_OUT_PRIM_CNT_3                  44 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLSM_OUT_PRIM_CNT_4                  45 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLSM_OUT_PRIM_CNT_5_8                46 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLSM_OUT_PRIM_CNT_9_13               47 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLIPGA_VTE_KILL_PRIM                 48 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_INPUT_PRIM                        49 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_INPUT_CLIP_PRIM                   50 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_INPUT_NULL_PRIM                   51 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_INPUT_PRIM_DUAL                   52 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_INPUT_CLIP_PRIM_DUAL              53 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_ZERO_AREA_CULL_PRIM               54 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_BACK_FACE_CULL_PRIM               55 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_FRONT_FACE_CULL_PRIM              56 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_POLYMODE_FACE_CULL                57 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_POLYMODE_BACK_CULL                58 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_POLYMODE_FRONT_CULL               59 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_POLYMODE_INVALID_FILL             60 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUTPUT_PRIM                       61 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUTPUT_CLIP_PRIM                  62 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUTPUT_NULL_PRIM                  63 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUTPUT_EVENT_FLAG                 64 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUTPUT_FIRST_PRIM_SLOT            65 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUTPUT_END_OF_PACKET              66 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUTPUT_POLYMODE_FACE              67 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUTPUT_POLYMODE_BACK              68 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUTPUT_POLYMODE_FRONT             69 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUT_CLIP_POLYMODE_FACE            70 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUT_CLIP_POLYMODE_BACK            71 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUT_CLIP_POLYMODE_FRONT           72 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUTPUT_PRIM_DUAL                  73 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUTPUT_CLIP_PRIM_DUAL             74 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUTPUT_POLYMODE_DUAL              75 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUTPUT_CLIP_POLYMODE_DUAL         76 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_REQ_IDLE                        77 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_REQ_BUSY                        78 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_REQ_STALLED                     79 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_REC_IDLE                        80 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_REC_BUSY                        81 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_REC_STARVED_SX                  82 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_REC_STALLED                     83 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_REC_STALLED_POS_MEM             84 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_REC_STALLED_CCGSM_IN            85 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CCGSM_IDLE                           86 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CCGSM_BUSY                           87 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CCGSM_STALLED                        88 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPRIM_IDLE                          89 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPRIM_BUSY                          90 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPRIM_STALLED                       91 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLPRIM_STARVED_CCGSM                 92 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLIPSM_IDLE                          93 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLIPSM_BUSY                          94 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLIPSM_WAIT_CLIP_VERT_ENGH           95 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLIPSM_WAIT_HIGH_PRI_SEQ             96 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLIPSM_WAIT_CLIPGA                   97 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLIPSM_WAIT_AVAIL_VTE_CLIP           98 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLIPSM_WAIT_CLIP_OUTSM               99 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLIPGA_IDLE                          100 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLIPGA_BUSY                          101 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLIPGA_STARVED_VTE_CLIP              102 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLIPGA_STALLED                       103 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLIP_IDLE                            104 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLIP_BUSY                            105 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_IDLE                              106 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_BUSY                              107 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_STARVED_CLIP                      108 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_STALLED_SC                        109 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CL_DYN_SCLK_VLD                      110 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_DYN_SCLK_VLD                      111 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PA_REG_SCLK_VLD                      112 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_MULTI_GPU_PRIM_FILTER_CULL        113 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_SE0_REQ                         114 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_SE1_REQ                         115 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_SE0_FIRST_VECTOR                116 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_SE0_SECOND_VECTOR               117 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_SE1_FIRST_VECTOR                118 /* >= gfx10 */
#define     V_036404_PERF_PAPC_PASX_SE1_SECOND_VECTOR               119 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE0_PRIM_FILTER_CULL              120 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE1_PRIM_FILTER_CULL              121 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE01_PRIM_FILTER_CULL             122 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE0_OUTPUT_PRIM                   123 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE1_OUTPUT_PRIM                   124 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE01_OUTPUT_PRIM                  125 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE0_OUTPUT_NULL_PRIM              126 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE1_OUTPUT_NULL_PRIM              127 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE01_OUTPUT_NULL_PRIM             128 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE0_OUTPUT_FIRST_PRIM_SLOT        129 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE1_OUTPUT_FIRST_PRIM_SLOT        130 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE0_STALLED_SC                    131 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE1_STALLED_SC                    132 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE01_STALLED_SC                   133 /* >= gfx10 */
#define     V_036404_PERF_PAPC_CLSM_CLIPPING_PRIM                   134 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_CULLED_PRIM                       135 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_OUTPUT_EOPG                       136 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE2_PRIM_FILTER_CULL              137 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE3_PRIM_FILTER_CULL              138 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE2_OUTPUT_PRIM                   139 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE3_OUTPUT_PRIM                   140 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE2_OUTPUT_NULL_PRIM              141 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE3_OUTPUT_NULL_PRIM              142 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE0_OUTPUT_END_OF_PACKET          143 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE1_OUTPUT_END_OF_PACKET          144 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE2_OUTPUT_END_OF_PACKET          145 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE3_OUTPUT_END_OF_PACKET          146 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE0_OUTPUT_EOPG                   147 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE1_OUTPUT_EOPG                   148 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE2_OUTPUT_EOPG                   149 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE3_OUTPUT_EOPG                   150 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE2_STALLED_SC                    151 /* >= gfx10 */
#define     V_036404_PERF_PAPC_SU_SE3_STALLED_SC                    152 /* >= gfx10 */
#define     V_036404_PERF_SU_SMALL_PRIM_FILTER_CULL_CNT             153 /* >= gfx10 */
#define     V_036404_PERF_SMALL_PRIM_CULL_PRIM_1X1                  154 /* >= gfx10 */
#define     V_036404_PERF_SMALL_PRIM_CULL_PRIM_2X1                  155 /* >= gfx10 */
#define     V_036404_PERF_SMALL_PRIM_CULL_PRIM_1X2                  156 /* >= gfx10 */
#define     V_036404_PERF_SMALL_PRIM_CULL_PRIM_2X2                  157 /* >= gfx10 */
#define     V_036404_PERF_SMALL_PRIM_CULL_PRIM_3X1                  158 /* >= gfx10 */
#define     V_036404_PERF_SMALL_PRIM_CULL_PRIM_1X3                  159 /* >= gfx10 */
#define     V_036404_PERF_SMALL_PRIM_CULL_PRIM_3X2                  160 /* >= gfx10 */
#define     V_036404_PERF_SMALL_PRIM_CULL_PRIM_2X3                  161 /* >= gfx10 */
#define     V_036404_PERF_SMALL_PRIM_CULL_PRIM_NX1                  162 /* >= gfx10 */
#define     V_036404_PERF_SMALL_PRIM_CULL_PRIM_1XN                  163 /* >= gfx10 */
#define     V_036404_PERF_SMALL_PRIM_CULL_PRIM_NX2                  164 /* >= gfx10 */
#define     V_036404_PERF_SMALL_PRIM_CULL_PRIM_2XN                  165 /* >= gfx10 */
#define     V_036404_PERF_SMALL_PRIM_CULL_PRIM_FULL_RES_EVENT       166 /* >= gfx10 */
#define     V_036404_PERF_SMALL_PRIM_CULL_PRIM_HALF_RES_EVENT       167 /* >= gfx10 */
#define     V_036404_PERF_SMALL_PRIM_CULL_PRIM_QUARTER_RES_EVENT    168 /* >= gfx10 */
#define     V_036404_PERF_SC0_QUALIFIED_SEND_BUSY_EVENT             169 /* >= gfx10 */
#define     V_036404_PERF_SC0_QUALIFIED_SEND_NOT_BUSY_EVENT         170 /* >= gfx10 */
#define     V_036404_PERF_SC1_QUALIFIED_SEND_BUSY_EVENT             171 /* >= gfx10 */
#define     V_036404_PERF_SC1_QUALIFIED_SEND_NOT_BUSY_EVENT         172 /* >= gfx10 */
#define     V_036404_PERF_SC2_QUALIFIED_SEND_BUSY_EVENT             173 /* >= gfx10 */
#define     V_036404_PERF_SC2_QUALIFIED_SEND_NOT_BUSY_EVENT         174 /* >= gfx10 */
#define     V_036404_PERF_SC3_QUALIFIED_SEND_BUSY_EVENT             175 /* >= gfx10 */
#define     V_036404_PERF_SC3_QUALIFIED_SEND_NOT_BUSY_EVENT         176 /* >= gfx10 */
#define     V_036404_PERF_PA_VERTEX_FIFO_FULL                       177 /* >= gfx10 */
#define     V_036404_PERF_PA_PRIMIC_TO_CLPRIM_FIFO_FULL             178 /* >= gfx10 */
#define     V_036404_PERF_PA_FETCH_TO_PRIMIC_P_FIFO_FULL            179 /* >= gfx10 */
#define     V_036404_PERF_PA_FETCH_TO_SXIF_FIFO_FULL                180 /* >= gfx10 */
#define     V_036404_PERF_PA_PIPE0_SWITCHED_GEN                     181 /* >= gfx10 */
#define     V_036404_PERF_PA_PIPE1_SWITCHED_GEN                     182 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_MACHINE_IS_STARVED               183 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_MACHINE_STALLED_BY_CSB_MEMORY    184 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_MACHINE_STALLED_BY_SPI           185 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_GE_INPUT_FIFO_FULL               186 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_INPUT_FIFO_FULL              187 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_OBJECTID_INPUT_FIFO_FULL         188 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_GE_INPUT_FIFO_POP_BIT            189 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_PRIM_COUNT_EQ0                   190 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_NULL_SUBGROUP                    191 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_GE_SENDING_SUBGROUP              192 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_GE_MEMORY_FULL                   193 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_GE_MEMORY_EMPTY                  194 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_MEMORY_FULL                  195 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_MEMORY_EMPTY                 196 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN00                      197 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN01                      198 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN02                      199 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN03                      200 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN04                      201 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN05                      202 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN06                      203 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN07                      204 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN08                      205 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN09                      206 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN10                      207 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN11                      208 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN12                      209 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN13                      210 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN14                      211 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_DELAY_BIN15                      212 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN00                  213 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN01                  214 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN02                  215 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN03                  216 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN04                  217 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN05                  218 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN06                  219 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN07                  220 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN08                  221 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN09                  222 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN10                  223 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN11                  224 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN12                  225 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN13                  226 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN14                  227 /* >= gfx10 */
#define     V_036404_PERF_ENGG_CSB_SPI_DELAY_BIN15                  228 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_REQ_STARVED                    229 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_REQ_IDLE_AND_STALLED_BY_REQ2RTN_FIFO_FULL 230 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_REQ_BUSY_AND_STALLED_BY_REQ2RTN_FIFO_FULL 231 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_REQ_STALLED_BY_SX_CREDITS      232 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_REQ2RTN_FIFO_FULL          233 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_REQ2RTN_FIFO_EMPTY         234 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SX_RECEIVE_FIFO_FULL       235 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_STARVED_BY_CSB        236 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_STARVED_BY_PRIMS      237 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_STALLED_BY_PRIM_INDICES_CSB_FIFO 238 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_STALLED_BY_PRIM_INDICES_FIFO 239 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_EVENT         240 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_NULL_SUBGROUP 241 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_SUBGROUP_PRIMCOUNT_EQ0 242 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_0_VALID_PRIMS_NOPL 243 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_1_VALID_PRIMS_NOPL 244 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_2_VALID_PRIMS_NOPL 245 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_3_VALID_PRIMS_NOPL 246 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_4_VALID_PRIMS_NOPL 247 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_0_VALID_PRIMS_PL 248 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_1_VALID_PRIMS_PL 249 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_2_VALID_PRIMS_PL 250 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_3_VALID_PRIMS_PL 251 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_4_VALID_PRIMS_PL 252 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_0_NULL_PRIMS 253 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_1_NULL_PRIMS 254 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_2_NULL_PRIMS 255 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_3_NULL_PRIMS 256 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_RET_SXRX_READING_QDWORD_4_NULL_PRIMS 257 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_PRIM_IF_STALLED_BY_FULL_FETCH_TO_PRIMIC_P_FIFO 258 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_PRIM_IF_STALLED_BY_FULL_FETCH_TO_PRIMIC_S_FIFO 259 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_PRIM_IF_STARVED_BY_NO_CSB      260 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_PRIM_IF_STARVED_BY_NO_PRIM     261 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_PRIM_IF_FETCH_TO_PRIMIC_P_FIFO_WRITE 262 /* >= gfx10 */
#define     V_036404_PERF_ENGG_INDEX_PRIM_IF_FETCH_TO_PRIMIC_P_FIFO_NO_WRITE 263 /* >= gfx10 */
#define     V_036404_PERF_ENGG_POS_REQ_STARVED                      264 /* >= gfx10 */
#define     V_036404_PERF_ENGG_POS_REQ_STALLED_BY_FULL_CLIPV_FIFO   265 /* >= gfx10 */
#define   S_036404_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036404_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036404_PERF_SEL3                                          0xFFF003FF
#define   S_036404_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24) /* >= gfx10 */
#define   G_036404_PERF_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_036404_PERF_MODE3                                         0xF0FFFFFF
#define   S_036404_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28) /* >= gfx10 */
#define   G_036404_PERF_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_036404_PERF_MODE2                                         0x0FFFFFFF
#define R_036408_PA_SU_PERFCOUNTER1_SELECT                              0x036408
#define R_03640C_PA_SU_PERFCOUNTER1_SELECT1                             0x03640C
#define R_036410_PA_SU_PERFCOUNTER2_SELECT                              0x036410
#define R_036414_PA_SU_PERFCOUNTER2_SELECT1                             0x036414 /* >= gfx10 */
#define R_036414_PA_SU_PERFCOUNTER3_SELECT                              0x036414 /* <= gfx9 */
#define R_036418_PA_SU_PERFCOUNTER3_SELECT                              0x036418 /* >= gfx10 */
#define R_03641C_PA_SU_PERFCOUNTER3_SELECT1                             0x03641C /* >= gfx10 */
#define R_036500_PA_SC_PERFCOUNTER0_SELECT                              0x036500
#define   S_036500_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036500_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036500_PERF_SEL                                           0xFFFFFC00
#define     V_036500_SC_SRPS_WINDOW_VALID                           0 /* >= gfx10 */
#define     V_036500_SC_PSSW_WINDOW_VALID                           1 /* >= gfx10 */
#define     V_036500_SC_TPQZ_WINDOW_VALID                           2 /* >= gfx10 */
#define     V_036500_SC_QZQP_WINDOW_VALID                           3 /* >= gfx10 */
#define     V_036500_SC_TRPK_WINDOW_VALID                           4 /* >= gfx10 */
#define     V_036500_SC_SRPS_WINDOW_VALID_BUSY                      5 /* >= gfx10 */
#define     V_036500_SC_PSSW_WINDOW_VALID_BUSY                      6 /* >= gfx10 */
#define     V_036500_SC_TPQZ_WINDOW_VALID_BUSY                      7 /* >= gfx10 */
#define     V_036500_SC_QZQP_WINDOW_VALID_BUSY                      8 /* >= gfx10 */
#define     V_036500_SC_TRPK_WINDOW_VALID_BUSY                      9 /* >= gfx10 */
#define     V_036500_SC_STARVED_BY_PA                               10 /* >= gfx10 */
#define     V_036500_SC_STALLED_BY_PRIMFIFO                         11 /* >= gfx10 */
#define     V_036500_SC_STALLED_BY_DB_TILE                          12 /* >= gfx10 */
#define     V_036500_SC_STARVED_BY_DB_TILE                          13 /* >= gfx10 */
#define     V_036500_SC_STALLED_BY_TILEORDERFIFO                    14 /* >= gfx10 */
#define     V_036500_SC_STALLED_BY_TILEFIFO                         15 /* >= gfx10 */
#define     V_036500_SC_STALLED_BY_DB_QUAD                          16 /* >= gfx10 */
#define     V_036500_SC_STARVED_BY_DB_QUAD                          17 /* >= gfx10 */
#define     V_036500_SC_STALLED_BY_QUADFIFO                         18 /* >= gfx10 */
#define     V_036500_SC_STALLED_BY_BCI                              19 /* >= gfx10 */
#define     V_036500_SC_STALLED_BY_SPI                              20 /* >= gfx10 */
#define     V_036500_SC_SCISSOR_DISCARD                             21 /* >= gfx10 */
#define     V_036500_SC_BB_DISCARD                                  22 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_COUNT                             23 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H0                       24 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H1                       25 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H2                       26 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H3                       27 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H4                       28 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H5                       29 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H6                       30 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H7                       31 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H8                       32 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H9                       33 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H10                      34 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H11                      35 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H12                      36 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H13                      37 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H14                      38 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H15                      39 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_H16                      40 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H0                            41 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H1                            42 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H2                            43 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H3                            44 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H4                            45 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H5                            46 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H6                            47 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H7                            48 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H8                            49 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H9                            50 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H10                           51 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H11                           52 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H12                           53 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H13                           54 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H14                           55 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H15                           56 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_PRIM_H16                           57 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H0                       58 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H1                       59 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H2                       60 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H3                       61 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H4                       62 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H5                       63 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H6                       64 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H7                       65 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H8                       66 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H9                       67 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H10                      68 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H11                      69 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H12                      70 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H13                      71 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H14                      72 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H15                      73 /* >= gfx10 */
#define     V_036500_SC_TILE_PER_SUPERTILE_H16                      74 /* >= gfx10 */
#define     V_036500_SC_TILE_PICKED_H1                              75 /* >= gfx10 */
#define     V_036500_SC_TILE_PICKED_H2                              76 /* >= gfx10 */
#define     V_036500_SC_TILE_PICKED_H3                              77 /* >= gfx10 */
#define     V_036500_SC_TILE_PICKED_H4                              78 /* >= gfx10 */
#define     V_036500_SC_QZ0_TILE_COUNT                              79 /* >= gfx10 */
#define     V_036500_SC_QZ1_TILE_COUNT                              80 /* >= gfx10 */
#define     V_036500_SC_QZ2_TILE_COUNT                              81 /* >= gfx10 */
#define     V_036500_SC_QZ3_TILE_COUNT                              82 /* >= gfx10 */
#define     V_036500_SC_QZ0_TILE_COVERED_COUNT                      83 /* >= gfx10 */
#define     V_036500_SC_QZ1_TILE_COVERED_COUNT                      84 /* >= gfx10 */
#define     V_036500_SC_QZ2_TILE_COVERED_COUNT                      85 /* >= gfx10 */
#define     V_036500_SC_QZ3_TILE_COVERED_COUNT                      86 /* >= gfx10 */
#define     V_036500_SC_QZ0_TILE_NOT_COVERED_COUNT                  87 /* >= gfx10 */
#define     V_036500_SC_QZ1_TILE_NOT_COVERED_COUNT                  88 /* >= gfx10 */
#define     V_036500_SC_QZ2_TILE_NOT_COVERED_COUNT                  89 /* >= gfx10 */
#define     V_036500_SC_QZ3_TILE_NOT_COVERED_COUNT                  90 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H0                        91 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H1                        92 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H2                        93 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H3                        94 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H4                        95 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H5                        96 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H6                        97 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H7                        98 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H8                        99 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H9                        100 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H10                       101 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H11                       102 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H12                       103 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H13                       104 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H14                       105 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H15                       106 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_PER_TILE_H16                       107 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H0                        108 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H1                        109 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H2                        110 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H3                        111 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H4                        112 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H5                        113 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H6                        114 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H7                        115 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H8                        116 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H9                        117 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H10                       118 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H11                       119 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H12                       120 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H13                       121 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H14                       122 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H15                       123 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_PER_TILE_H16                       124 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H0                        125 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H1                        126 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H2                        127 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H3                        128 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H4                        129 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H5                        130 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H6                        131 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H7                        132 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H8                        133 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H9                        134 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H10                       135 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H11                       136 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H12                       137 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H13                       138 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H14                       139 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H15                       140 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_PER_TILE_H16                       141 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H0                        142 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H1                        143 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H2                        144 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H3                        145 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H4                        146 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H5                        147 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H6                        148 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H7                        149 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H8                        150 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H9                        151 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H10                       152 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H11                       153 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H12                       154 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H13                       155 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H14                       156 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H15                       157 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_PER_TILE_H16                       158 /* >= gfx10 */
#define     V_036500_SC_QZ0_QUAD_COUNT                              159 /* >= gfx10 */
#define     V_036500_SC_QZ1_QUAD_COUNT                              160 /* >= gfx10 */
#define     V_036500_SC_QZ2_QUAD_COUNT                              161 /* >= gfx10 */
#define     V_036500_SC_QZ3_QUAD_COUNT                              162 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_TILE_COUNT                           163 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_TILE_COUNT                           164 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_TILE_COUNT                           165 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_TILE_COUNT                           166 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H0                     167 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H1                     168 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H2                     169 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H3                     170 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H4                     171 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H5                     172 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H6                     173 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H7                     174 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H8                     175 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H9                     176 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H10                    177 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H11                    178 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H12                    179 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H13                    180 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H14                    181 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H15                    182 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_PER_TILE_H16                    183 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H0                     184 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H1                     185 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H2                     186 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H3                     187 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H4                     188 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H5                     189 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H6                     190 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H7                     191 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H8                     192 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H9                     193 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H10                    194 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H11                    195 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H12                    196 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H13                    197 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H14                    198 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H15                    199 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_PER_TILE_H16                    200 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H0                     201 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H1                     202 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H2                     203 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H3                     204 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H4                     205 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H5                     206 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H6                     207 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H7                     208 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H8                     209 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H9                     210 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H10                    211 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H11                    212 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H12                    213 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H13                    214 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H14                    215 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H15                    216 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_PER_TILE_H16                    217 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H0                     218 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H1                     219 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H2                     220 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H3                     221 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H4                     222 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H5                     223 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H6                     224 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H7                     225 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H8                     226 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H9                     227 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H10                    228 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H11                    229 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H12                    230 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H13                    231 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H14                    232 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H15                    233 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_PER_TILE_H16                    234 /* >= gfx10 */
#define     V_036500_SC_P0_HIZ_QUAD_COUNT                           235 /* >= gfx10 */
#define     V_036500_SC_P1_HIZ_QUAD_COUNT                           236 /* >= gfx10 */
#define     V_036500_SC_P2_HIZ_QUAD_COUNT                           237 /* >= gfx10 */
#define     V_036500_SC_P3_HIZ_QUAD_COUNT                           238 /* >= gfx10 */
#define     V_036500_SC_P0_DETAIL_QUAD_COUNT                        239 /* >= gfx10 */
#define     V_036500_SC_P1_DETAIL_QUAD_COUNT                        240 /* >= gfx10 */
#define     V_036500_SC_P2_DETAIL_QUAD_COUNT                        241 /* >= gfx10 */
#define     V_036500_SC_P3_DETAIL_QUAD_COUNT                        242 /* >= gfx10 */
#define     V_036500_SC_P0_DETAIL_QUAD_WITH_1_PIX                   243 /* >= gfx10 */
#define     V_036500_SC_P0_DETAIL_QUAD_WITH_2_PIX                   244 /* >= gfx10 */
#define     V_036500_SC_P0_DETAIL_QUAD_WITH_3_PIX                   245 /* >= gfx10 */
#define     V_036500_SC_P0_DETAIL_QUAD_WITH_4_PIX                   246 /* >= gfx10 */
#define     V_036500_SC_P1_DETAIL_QUAD_WITH_1_PIX                   247 /* >= gfx10 */
#define     V_036500_SC_P1_DETAIL_QUAD_WITH_2_PIX                   248 /* >= gfx10 */
#define     V_036500_SC_P1_DETAIL_QUAD_WITH_3_PIX                   249 /* >= gfx10 */
#define     V_036500_SC_P1_DETAIL_QUAD_WITH_4_PIX                   250 /* >= gfx10 */
#define     V_036500_SC_P2_DETAIL_QUAD_WITH_1_PIX                   251 /* >= gfx10 */
#define     V_036500_SC_P2_DETAIL_QUAD_WITH_2_PIX                   252 /* >= gfx10 */
#define     V_036500_SC_P2_DETAIL_QUAD_WITH_3_PIX                   253 /* >= gfx10 */
#define     V_036500_SC_P2_DETAIL_QUAD_WITH_4_PIX                   254 /* >= gfx10 */
#define     V_036500_SC_P3_DETAIL_QUAD_WITH_1_PIX                   255 /* >= gfx10 */
#define     V_036500_SC_P3_DETAIL_QUAD_WITH_2_PIX                   256 /* >= gfx10 */
#define     V_036500_SC_P3_DETAIL_QUAD_WITH_3_PIX                   257 /* >= gfx10 */
#define     V_036500_SC_P3_DETAIL_QUAD_WITH_4_PIX                   258 /* >= gfx10 */
#define     V_036500_SC_EARLYZ_QUAD_COUNT                           259 /* >= gfx10 */
#define     V_036500_SC_EARLYZ_QUAD_WITH_1_PIX                      260 /* >= gfx10 */
#define     V_036500_SC_EARLYZ_QUAD_WITH_2_PIX                      261 /* >= gfx10 */
#define     V_036500_SC_EARLYZ_QUAD_WITH_3_PIX                      262 /* >= gfx10 */
#define     V_036500_SC_EARLYZ_QUAD_WITH_4_PIX                      263 /* >= gfx10 */
#define     V_036500_SC_PKR_QUAD_PER_ROW_H1                         264 /* >= gfx10 */
#define     V_036500_SC_PKR_QUAD_PER_ROW_H2                         265 /* >= gfx10 */
#define     V_036500_SC_PKR_4X2_QUAD_SPLIT                          266 /* >= gfx10 */
#define     V_036500_SC_PKR_4X2_FILL_QUAD                           267 /* >= gfx10 */
#define     V_036500_SC_PKR_END_OF_VECTOR                           268 /* >= gfx10 */
#define     V_036500_SC_PKR_CONTROL_XFER                            269 /* >= gfx10 */
#define     V_036500_SC_PKR_DBHANG_FORCE_EOV                        270 /* >= gfx10 */
#define     V_036500_SC_REG_SCLK_BUSY                               271 /* >= gfx10 */
#define     V_036500_SC_GRP0_DYN_SCLK_BUSY                          272 /* >= gfx10 */
#define     V_036500_SC_GRP1_DYN_SCLK_BUSY                          273 /* >= gfx10 */
#define     V_036500_SC_GRP2_DYN_SCLK_BUSY                          274 /* >= gfx10 */
#define     V_036500_SC_GRP3_DYN_SCLK_BUSY                          275 /* >= gfx10 */
#define     V_036500_SC_GRP4_DYN_SCLK_BUSY                          276 /* >= gfx10 */
#define     V_036500_SC_PA0_SC_DATA_FIFO_RD                         277 /* >= gfx10 */
#define     V_036500_SC_PA0_SC_DATA_FIFO_WE                         278 /* >= gfx10 */
#define     V_036500_SC_PA1_SC_DATA_FIFO_RD                         279 /* >= gfx10 */
#define     V_036500_SC_PA1_SC_DATA_FIFO_WE                         280 /* >= gfx10 */
#define     V_036500_SC_PS_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES         281 /* >= gfx10 */
#define     V_036500_SC_PS_ARB_XFC_ONLY_PRIM_CYCLES                 282 /* >= gfx10 */
#define     V_036500_SC_PS_ARB_XFC_ONLY_ONE_INC_PER_PRIM            283 /* >= gfx10 */
#define     V_036500_SC_PS_ARB_STALLED_FROM_BELOW                   284 /* >= gfx10 */
#define     V_036500_SC_PS_ARB_STARVED_FROM_ABOVE                   285 /* >= gfx10 */
#define     V_036500_SC_PS_ARB_SC_BUSY                              286 /* >= gfx10 */
#define     V_036500_SC_PS_ARB_PA_SC_BUSY                           287 /* >= gfx10 */
#define     V_036500_SC_PA2_SC_DATA_FIFO_RD                         288 /* >= gfx10 */
#define     V_036500_SC_PA2_SC_DATA_FIFO_WE                         289 /* >= gfx10 */
#define     V_036500_SC_PA3_SC_DATA_FIFO_RD                         290 /* >= gfx10 */
#define     V_036500_SC_PA3_SC_DATA_FIFO_WE                         291 /* >= gfx10 */
#define     V_036500_SC_PA_SC_DEALLOC_0_0_WE                        292 /* >= gfx10 */
#define     V_036500_SC_PA_SC_DEALLOC_0_1_WE                        293 /* >= gfx10 */
#define     V_036500_SC_PA_SC_DEALLOC_1_0_WE                        294 /* >= gfx10 */
#define     V_036500_SC_PA_SC_DEALLOC_1_1_WE                        295 /* >= gfx10 */
#define     V_036500_SC_PA_SC_DEALLOC_2_0_WE                        296 /* >= gfx10 */
#define     V_036500_SC_PA_SC_DEALLOC_2_1_WE                        297 /* >= gfx10 */
#define     V_036500_SC_PA_SC_DEALLOC_3_0_WE                        298 /* >= gfx10 */
#define     V_036500_SC_PA_SC_DEALLOC_3_1_WE                        299 /* >= gfx10 */
#define     V_036500_SC_PA0_SC_EOP_WE                               300 /* >= gfx10 */
#define     V_036500_SC_PA0_SC_EOPG_WE                              301 /* >= gfx10 */
#define     V_036500_SC_PA0_SC_EVENT_WE                             302 /* >= gfx10 */
#define     V_036500_SC_PA1_SC_EOP_WE                               303 /* >= gfx10 */
#define     V_036500_SC_PA1_SC_EOPG_WE                              304 /* >= gfx10 */
#define     V_036500_SC_PA1_SC_EVENT_WE                             305 /* >= gfx10 */
#define     V_036500_SC_PA2_SC_EOP_WE                               306 /* >= gfx10 */
#define     V_036500_SC_PA2_SC_EOPG_WE                              307 /* >= gfx10 */
#define     V_036500_SC_PA2_SC_EVENT_WE                             308 /* >= gfx10 */
#define     V_036500_SC_PA3_SC_EOP_WE                               309 /* >= gfx10 */
#define     V_036500_SC_PA3_SC_EOPG_WE                              310 /* >= gfx10 */
#define     V_036500_SC_PA3_SC_EVENT_WE                             311 /* >= gfx10 */
#define     V_036500_SC_PS_ARB_OOO_THRESHOLD_SWITCH_TO_DESIRED_FIFO 312 /* >= gfx10 */
#define     V_036500_SC_PS_ARB_OOO_FIFO_EMPTY_SWITCH                313 /* >= gfx10 */
#define     V_036500_SC_PS_ARB_NULL_PRIM_BUBBLE_POP                 314 /* >= gfx10 */
#define     V_036500_SC_PS_ARB_EOP_POP_SYNC_POP                     315 /* >= gfx10 */
#define     V_036500_SC_PS_ARB_EVENT_SYNC_POP                       316 /* >= gfx10 */
#define     V_036500_SC_SC_PS_ENG_MULTICYCLE_BUBBLE                 317 /* >= gfx10 */
#define     V_036500_SC_PA0_SC_FPOV_WE                              318 /* >= gfx10 */
#define     V_036500_SC_PA1_SC_FPOV_WE                              319 /* >= gfx10 */
#define     V_036500_SC_PA2_SC_FPOV_WE                              320 /* >= gfx10 */
#define     V_036500_SC_PA3_SC_FPOV_WE                              321 /* >= gfx10 */
#define     V_036500_SC_PA0_SC_LPOV_WE                              322 /* >= gfx10 */
#define     V_036500_SC_PA1_SC_LPOV_WE                              323 /* >= gfx10 */
#define     V_036500_SC_PA2_SC_LPOV_WE                              324 /* >= gfx10 */
#define     V_036500_SC_PA3_SC_LPOV_WE                              325 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_DEALLOC_0_0                          326 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_DEALLOC_0_1                          327 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_DEALLOC_0_2                          328 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_DEALLOC_1_0                          329 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_DEALLOC_1_1                          330 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_DEALLOC_1_2                          331 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_DEALLOC_2_0                          332 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_DEALLOC_2_1                          333 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_DEALLOC_2_2                          334 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_DEALLOC_3_0                          335 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_DEALLOC_3_1                          336 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_DEALLOC_3_2                          337 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_FPOV_0                               338 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_FPOV_1                               339 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_FPOV_2                               340 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_FPOV_3                               341 /* >= gfx10 */
#define     V_036500_SC_SC_SPI_EVENT                                342 /* >= gfx10 */
#define     V_036500_SC_PS_TS_EVENT_FIFO_PUSH                       343 /* >= gfx10 */
#define     V_036500_SC_PS_TS_EVENT_FIFO_POP                        344 /* >= gfx10 */
#define     V_036500_SC_PS_CTX_DONE_FIFO_PUSH                       345 /* >= gfx10 */
#define     V_036500_SC_PS_CTX_DONE_FIFO_POP                        346 /* >= gfx10 */
#define     V_036500_SC_MULTICYCLE_BUBBLE_FREEZE                    347 /* >= gfx10 */
#define     V_036500_SC_EOP_SYNC_WINDOW                             348 /* >= gfx10 */
#define     V_036500_SC_PA0_SC_NULL_WE                              349 /* >= gfx10 */
#define     V_036500_SC_PA0_SC_NULL_DEALLOC_WE                      350 /* >= gfx10 */
#define     V_036500_SC_PA0_SC_DATA_FIFO_EOPG_RD                    351 /* >= gfx10 */
#define     V_036500_SC_PA0_SC_DATA_FIFO_EOP_RD                     352 /* >= gfx10 */
#define     V_036500_SC_PA0_SC_DEALLOC_0_RD                         353 /* >= gfx10 */
#define     V_036500_SC_PA0_SC_DEALLOC_1_RD                         354 /* >= gfx10 */
#define     V_036500_SC_PA1_SC_DATA_FIFO_EOPG_RD                    355 /* >= gfx10 */
#define     V_036500_SC_PA1_SC_DATA_FIFO_EOP_RD                     356 /* >= gfx10 */
#define     V_036500_SC_PA1_SC_DEALLOC_0_RD                         357 /* >= gfx10 */
#define     V_036500_SC_PA1_SC_DEALLOC_1_RD                         358 /* >= gfx10 */
#define     V_036500_SC_PA1_SC_NULL_WE                              359 /* >= gfx10 */
#define     V_036500_SC_PA1_SC_NULL_DEALLOC_WE                      360 /* >= gfx10 */
#define     V_036500_SC_PA2_SC_DATA_FIFO_EOPG_RD                    361 /* >= gfx10 */
#define     V_036500_SC_PA2_SC_DATA_FIFO_EOP_RD                     362 /* >= gfx10 */
#define     V_036500_SC_PA2_SC_DEALLOC_0_RD                         363 /* >= gfx10 */
#define     V_036500_SC_PA2_SC_DEALLOC_1_RD                         364 /* >= gfx10 */
#define     V_036500_SC_PA2_SC_NULL_WE                              365 /* >= gfx10 */
#define     V_036500_SC_PA2_SC_NULL_DEALLOC_WE                      366 /* >= gfx10 */
#define     V_036500_SC_PA3_SC_DATA_FIFO_EOPG_RD                    367 /* >= gfx10 */
#define     V_036500_SC_PA3_SC_DATA_FIFO_EOP_RD                     368 /* >= gfx10 */
#define     V_036500_SC_PA3_SC_DEALLOC_0_RD                         369 /* >= gfx10 */
#define     V_036500_SC_PA3_SC_DEALLOC_1_RD                         370 /* >= gfx10 */
#define     V_036500_SC_PA3_SC_NULL_WE                              371 /* >= gfx10 */
#define     V_036500_SC_PA3_SC_NULL_DEALLOC_WE                      372 /* >= gfx10 */
#define     V_036500_SC_PS_PA0_SC_FIFO_EMPTY                        373 /* >= gfx10 */
#define     V_036500_SC_PS_PA0_SC_FIFO_FULL                         374 /* >= gfx10 */
#define     V_036500_SC_RESERVED_0                                  375 /* >= gfx10 */
#define     V_036500_SC_PS_PA1_SC_FIFO_EMPTY                        376 /* >= gfx10 */
#define     V_036500_SC_PS_PA1_SC_FIFO_FULL                         377 /* >= gfx10 */
#define     V_036500_SC_RESERVED_1                                  378 /* >= gfx10 */
#define     V_036500_SC_PS_PA2_SC_FIFO_EMPTY                        379 /* >= gfx10 */
#define     V_036500_SC_PS_PA2_SC_FIFO_FULL                         380 /* >= gfx10 */
#define     V_036500_SC_RESERVED_2                                  381 /* >= gfx10 */
#define     V_036500_SC_PS_PA3_SC_FIFO_EMPTY                        382 /* >= gfx10 */
#define     V_036500_SC_PS_PA3_SC_FIFO_FULL                         383 /* >= gfx10 */
#define     V_036500_SC_RESERVED_3                                  384 /* >= gfx10 */
#define     V_036500_SC_BUSY_PROCESSING_MULTICYCLE_PRIM             385 /* >= gfx10 */
#define     V_036500_SC_BUSY_CNT_NOT_ZERO                           386 /* >= gfx10 */
#define     V_036500_SC_BM_BUSY                                     387 /* >= gfx10 */
#define     V_036500_SC_BACKEND_BUSY                                388 /* >= gfx10 */
#define     V_036500_SC_SCF_SCB_INTERFACE_BUSY                      389 /* >= gfx10 */
#define     V_036500_SC_SCB_BUSY                                    390 /* >= gfx10 */
#define     V_036500_SC_STARVED_BY_PA_WITH_UNSELECTED_PA_NOT_EMPTY  391 /* >= gfx10 */
#define     V_036500_SC_STARVED_BY_PA_WITH_UNSELECTED_PA_FULL       392 /* >= gfx10 */
#define     V_036500_SC_PBB_BIN_HIST_NUM_PRIMS                      393 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_HIST_NUM_PRIMS                    394 /* >= gfx10 */
#define     V_036500_SC_PBB_BIN_HIST_NUM_CONTEXTS                   395 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_HIST_NUM_CONTEXTS                 396 /* >= gfx10 */
#define     V_036500_SC_PBB_BIN_HIST_NUM_PERSISTENT_STATES          397 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_HIST_NUM_PERSISTENT_STATES        398 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_HIST_NUM_PS_WAVE_BREAKS           399 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_HIST_NUM_TRIV_REJECTED_PRIMS      400 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_HIST_NUM_ROWS_PER_PRIM            401 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_HIST_NUM_COLUMNS_PER_ROW          402 /* >= gfx10 */
#define     V_036500_SC_PBB_BUSY                                    403 /* >= gfx10 */
#define     V_036500_SC_PBB_BUSY_AND_NO_SENDS                       404 /* >= gfx10 */
#define     V_036500_SC_PBB_STALLS_PA_DUE_TO_NO_TILES               405 /* >= gfx10 */
#define     V_036500_SC_PBB_NUM_BINS                                406 /* >= gfx10 */
#define     V_036500_SC_PBB_END_OF_BIN                              407 /* >= gfx10 */
#define     V_036500_SC_PBB_END_OF_BATCH                            408 /* >= gfx10 */
#define     V_036500_SC_PBB_PRIMBIN_PROCESSED                       409 /* >= gfx10 */
#define     V_036500_SC_PBB_PRIM_ADDED_TO_BATCH                     410 /* >= gfx10 */
#define     V_036500_SC_PBB_NONBINNED_PRIM                          411 /* >= gfx10 */
#define     V_036500_SC_PBB_TOTAL_REAL_PRIMS_OUT_OF_PBB             412 /* >= gfx10 */
#define     V_036500_SC_PBB_TOTAL_NULL_PRIMS_OUT_OF_PBB             413 /* >= gfx10 */
#define     V_036500_SC_PBB_IDLE_CLK_DUE_TO_ROW_TO_COLUMN_TRANSITION 414 /* >= gfx10 */
#define     V_036500_SC_PBB_IDLE_CLK_DUE_TO_FALSE_POSITIVE_ON_ROW   415 /* >= gfx10 */
#define     V_036500_SC_PBB_IDLE_CLK_DUE_TO_FALSE_POSITIVE_ON_COLUMN 416 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_PERSISTENT_STATE     417 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_CONTEXT_STATE        418 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_PRIM                 419 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_PC_STORAGE           420 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_EVENT                421 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_FPOV_LIMIT           422 /* >= gfx10 */
#define     V_036500_SC_POPS_INTRA_WAVE_OVERLAPS                    423 /* >= gfx10 */
#define     V_036500_SC_POPS_FORCE_EOV                              424 /* >= gfx10 */
#define     V_036500_SC_PKR_QUAD_OVLP_NOT_FOUND_IN_WAVE_TABLE_AND_WAVES_SINCE_OVLP_SET_TO_MAX 425 /* >= gfx10 */
#define     V_036500_SC_PKR_QUAD_OVLP_NOT_FOUND_IN_WAVE_TABLE_AND_NO_CHANGE_TO_WAVES_SINCE_OVLP 426 /* >= gfx10 */
#define     V_036500_SC_PKR_QUAD_OVLP_FOUND_IN_WAVE_TABLE           427 /* >= gfx10 */
#define     V_036500_SC_FULL_FULL_QUAD                              428 /* >= gfx10 */
#define     V_036500_SC_FULL_HALF_QUAD                              429 /* >= gfx10 */
#define     V_036500_SC_FULL_QTR_QUAD                               430 /* >= gfx10 */
#define     V_036500_SC_HALF_FULL_QUAD                              431 /* >= gfx10 */
#define     V_036500_SC_HALF_HALF_QUAD                              432 /* >= gfx10 */
#define     V_036500_SC_HALF_QTR_QUAD                               433 /* >= gfx10 */
#define     V_036500_SC_QTR_FULL_QUAD                               434 /* >= gfx10 */
#define     V_036500_SC_QTR_HALF_QUAD                               435 /* >= gfx10 */
#define     V_036500_SC_QTR_QTR_QUAD                                436 /* >= gfx10 */
#define     V_036500_SC_GRP5_DYN_SCLK_BUSY                          437 /* >= gfx10 */
#define     V_036500_SC_GRP6_DYN_SCLK_BUSY                          438 /* >= gfx10 */
#define     V_036500_SC_GRP7_DYN_SCLK_BUSY                          439 /* >= gfx10 */
#define     V_036500_SC_GRP8_DYN_SCLK_BUSY                          440 /* >= gfx10 */
#define     V_036500_SC_GRP9_DYN_SCLK_BUSY                          441 /* >= gfx10 */
#define     V_036500_SC_PS_TO_BE_SCLK_GATE_STALL                    442 /* >= gfx10 */
#define     V_036500_SC_PA_TO_PBB_SCLK_GATE_STALL_STALL             443 /* >= gfx10 */
#define     V_036500_SC_PK_BUSY                                     444 /* >= gfx10 */
#define     V_036500_SC_PK_MAX_DEALLOC_FORCE_EOV                    445 /* >= gfx10 */
#define     V_036500_SC_PK_DEALLOC_WAVE_BREAK                       446 /* >= gfx10 */
#define     V_036500_SC_SPI_SEND                                    447 /* >= gfx10 */
#define     V_036500_SC_SPI_CREDIT_AT_ZERO_WITH_PENDING_SEND        448 /* >= gfx10 */
#define     V_036500_SC_SPI_CREDIT_AT_MAX                           449 /* >= gfx10 */
#define     V_036500_SC_SPI_CREDIT_AT_MAX_NO_PENDING_SEND           450 /* >= gfx10 */
#define     V_036500_SC_BCI_SEND                                    451 /* >= gfx10 */
#define     V_036500_SC_BCI_CREDIT_AT_ZERO_WITH_PENDING_SEND        452 /* >= gfx10 */
#define     V_036500_SC_BCI_CREDIT_AT_MAX                           453 /* >= gfx10 */
#define     V_036500_SC_BCI_CREDIT_AT_MAX_NO_PENDING_SEND           454 /* >= gfx10 */
#define     V_036500_SC_SPIBC_FULL_FREEZE                           455 /* >= gfx10 */
#define     V_036500_SC_PW_BM_PASS_EMPTY_PRIM                       456 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_COUNT_EXCLUDE_PASS_EMPTY_PRIM     457 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H0 458 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H1 459 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H2 460 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H3 461 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H4 462 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H5 463 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H6 464 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H7 465 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H8 466 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H9 467 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H10 468 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H11 469 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H12 470 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H13 471 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H14 472 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H15 473 /* >= gfx10 */
#define     V_036500_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H16 474 /* >= gfx10 */
#define     V_036500_SC_DB0_TILE_INTERFACE_BUSY                     475 /* >= gfx10 */
#define     V_036500_SC_DB0_TILE_INTERFACE_SEND                     476 /* >= gfx10 */
#define     V_036500_SC_DB0_TILE_INTERFACE_SEND_EVENT               477 /* >= gfx10 */
#define     V_036500_SC_DB0_TILE_INTERFACE_SEND_SOP_ONLY_EVENT      478 /* >= gfx10 */
#define     V_036500_SC_DB0_TILE_INTERFACE_SEND_SOP                 479 /* >= gfx10 */
#define     V_036500_SC_DB0_TILE_INTERFACE_CREDIT_AT_ZERO_WITH_PENDING_SEND 480 /* >= gfx10 */
#define     V_036500_SC_DB0_TILE_INTERFACE_CREDIT_AT_MAX            481 /* >= gfx10 */
#define     V_036500_SC_DB0_TILE_INTERFACE_CREDIT_AT_MAX_WITH_NO_PENDING_SEND 482 /* >= gfx10 */
#define     V_036500_SC_DB1_TILE_INTERFACE_BUSY                     483 /* >= gfx10 */
#define     V_036500_SC_DB1_TILE_INTERFACE_SEND                     484 /* >= gfx10 */
#define     V_036500_SC_DB1_TILE_INTERFACE_SEND_EVENT               485 /* >= gfx10 */
#define     V_036500_SC_DB1_TILE_INTERFACE_SEND_SOP_ONLY_EVENT      486 /* >= gfx10 */
#define     V_036500_SC_DB1_TILE_INTERFACE_SEND_SOP                 487 /* >= gfx10 */
#define     V_036500_SC_DB1_TILE_INTERFACE_CREDIT_AT_ZERO_WITH_PENDING_SEND 488 /* >= gfx10 */
#define     V_036500_SC_DB1_TILE_INTERFACE_CREDIT_AT_MAX            489 /* >= gfx10 */
#define     V_036500_SC_DB1_TILE_INTERFACE_CREDIT_AT_MAX_WITH_NO_PENDING_SEND 490 /* >= gfx10 */
#define     V_036500_SC_BACKEND_PRIM_FIFO_FULL                      491 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_TIMEOUT_COUNTER      492 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_NONBINNED_BATCH      493 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_DEBUG_DATA_PER_DRAW_DISPATCH 494 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_OVERRIDE_REGISTER_PERSISTENT 495 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_OVERRIDE_REGISTER_CONTEXT 496 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_OVERRIDE_REGISTER_FPOV 497 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_NEW_SC_MODE          498 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_BINNING_MODE_CHANGE  499 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_PIPELINE_EVENT_COUNT 500 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_PIPE_RESET           501 /* >= gfx10 */
#define     V_036500_SC_PBB_BATCH_BREAK_DUE_TO_GFX_PIPE_CHANGE      502 /* >= gfx10 */
#define     V_036500_SC_STALLED_BY_DB0_TILEFIFO                     503 /* >= gfx10 */
#define     V_036500_SC_DB0_QUAD_INTF_SEND                          504 /* >= gfx10 */
#define     V_036500_SC_DB0_QUAD_INTF_BUSY                          505 /* >= gfx10 */
#define     V_036500_SC_DB0_QUAD_INTF_STALLED_BY_DB                 506 /* >= gfx10 */
#define     V_036500_SC_DB0_QUAD_INTF_CREDIT_AT_MAX                 507 /* >= gfx10 */
#define     V_036500_SC_DB0_QUAD_INTF_IDLE                          508 /* >= gfx10 */
#define     V_036500_SC_DB1_QUAD_INTF_SEND                          509 /* >= gfx10 */
#define     V_036500_SC_STALLED_BY_DB1_TILEFIFO                     510 /* >= gfx10 */
#define     V_036500_SC_DB1_QUAD_INTF_BUSY                          511 /* >= gfx10 */
#define     V_036500_SC_DB1_QUAD_INTF_STALLED_BY_DB                 512 /* >= gfx10 */
#define     V_036500_SC_DB1_QUAD_INTF_CREDIT_AT_MAX                 513 /* >= gfx10 */
#define     V_036500_SC_DB1_QUAD_INTF_IDLE                          514 /* >= gfx10 */
#define     V_036500_SC_PKR_WAVE_BREAK_OUTSIDE_REGION               515 /* >= gfx10 */
#define     V_036500_SC_PKR_WAVE_BREAK_FULL_TILE                    516 /* >= gfx10 */
#define   S_036500_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036500_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036500_PERF_SEL1                                          0xFFF003FF
#define   S_036500_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036500_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036500_CNTR_MODE                                          0xFF0FFFFF
#define   S_036500_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24) /* >= gfx10 */
#define   G_036500_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036500_PERF_MODE1                                         0xF0FFFFFF
#define   S_036500_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28) /* >= gfx10 */
#define   G_036500_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036500_PERF_MODE                                          0x0FFFFFFF
#define R_036504_PA_SC_PERFCOUNTER0_SELECT1                             0x036504
#define   S_036504_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_036504_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036504_PERF_SEL2                                          0xFFFFFC00
#define     V_036504_SC_SRPS_WINDOW_VALID                           0 /* >= gfx10 */
#define     V_036504_SC_PSSW_WINDOW_VALID                           1 /* >= gfx10 */
#define     V_036504_SC_TPQZ_WINDOW_VALID                           2 /* >= gfx10 */
#define     V_036504_SC_QZQP_WINDOW_VALID                           3 /* >= gfx10 */
#define     V_036504_SC_TRPK_WINDOW_VALID                           4 /* >= gfx10 */
#define     V_036504_SC_SRPS_WINDOW_VALID_BUSY                      5 /* >= gfx10 */
#define     V_036504_SC_PSSW_WINDOW_VALID_BUSY                      6 /* >= gfx10 */
#define     V_036504_SC_TPQZ_WINDOW_VALID_BUSY                      7 /* >= gfx10 */
#define     V_036504_SC_QZQP_WINDOW_VALID_BUSY                      8 /* >= gfx10 */
#define     V_036504_SC_TRPK_WINDOW_VALID_BUSY                      9 /* >= gfx10 */
#define     V_036504_SC_STARVED_BY_PA                               10 /* >= gfx10 */
#define     V_036504_SC_STALLED_BY_PRIMFIFO                         11 /* >= gfx10 */
#define     V_036504_SC_STALLED_BY_DB_TILE                          12 /* >= gfx10 */
#define     V_036504_SC_STARVED_BY_DB_TILE                          13 /* >= gfx10 */
#define     V_036504_SC_STALLED_BY_TILEORDERFIFO                    14 /* >= gfx10 */
#define     V_036504_SC_STALLED_BY_TILEFIFO                         15 /* >= gfx10 */
#define     V_036504_SC_STALLED_BY_DB_QUAD                          16 /* >= gfx10 */
#define     V_036504_SC_STARVED_BY_DB_QUAD                          17 /* >= gfx10 */
#define     V_036504_SC_STALLED_BY_QUADFIFO                         18 /* >= gfx10 */
#define     V_036504_SC_STALLED_BY_BCI                              19 /* >= gfx10 */
#define     V_036504_SC_STALLED_BY_SPI                              20 /* >= gfx10 */
#define     V_036504_SC_SCISSOR_DISCARD                             21 /* >= gfx10 */
#define     V_036504_SC_BB_DISCARD                                  22 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_COUNT                             23 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H0                       24 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H1                       25 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H2                       26 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H3                       27 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H4                       28 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H5                       29 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H6                       30 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H7                       31 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H8                       32 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H9                       33 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H10                      34 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H11                      35 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H12                      36 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H13                      37 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H14                      38 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H15                      39 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_H16                      40 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H0                            41 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H1                            42 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H2                            43 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H3                            44 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H4                            45 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H5                            46 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H6                            47 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H7                            48 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H8                            49 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H9                            50 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H10                           51 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H11                           52 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H12                           53 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H13                           54 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H14                           55 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H15                           56 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_PRIM_H16                           57 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H0                       58 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H1                       59 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H2                       60 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H3                       61 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H4                       62 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H5                       63 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H6                       64 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H7                       65 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H8                       66 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H9                       67 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H10                      68 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H11                      69 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H12                      70 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H13                      71 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H14                      72 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H15                      73 /* >= gfx10 */
#define     V_036504_SC_TILE_PER_SUPERTILE_H16                      74 /* >= gfx10 */
#define     V_036504_SC_TILE_PICKED_H1                              75 /* >= gfx10 */
#define     V_036504_SC_TILE_PICKED_H2                              76 /* >= gfx10 */
#define     V_036504_SC_TILE_PICKED_H3                              77 /* >= gfx10 */
#define     V_036504_SC_TILE_PICKED_H4                              78 /* >= gfx10 */
#define     V_036504_SC_QZ0_TILE_COUNT                              79 /* >= gfx10 */
#define     V_036504_SC_QZ1_TILE_COUNT                              80 /* >= gfx10 */
#define     V_036504_SC_QZ2_TILE_COUNT                              81 /* >= gfx10 */
#define     V_036504_SC_QZ3_TILE_COUNT                              82 /* >= gfx10 */
#define     V_036504_SC_QZ0_TILE_COVERED_COUNT                      83 /* >= gfx10 */
#define     V_036504_SC_QZ1_TILE_COVERED_COUNT                      84 /* >= gfx10 */
#define     V_036504_SC_QZ2_TILE_COVERED_COUNT                      85 /* >= gfx10 */
#define     V_036504_SC_QZ3_TILE_COVERED_COUNT                      86 /* >= gfx10 */
#define     V_036504_SC_QZ0_TILE_NOT_COVERED_COUNT                  87 /* >= gfx10 */
#define     V_036504_SC_QZ1_TILE_NOT_COVERED_COUNT                  88 /* >= gfx10 */
#define     V_036504_SC_QZ2_TILE_NOT_COVERED_COUNT                  89 /* >= gfx10 */
#define     V_036504_SC_QZ3_TILE_NOT_COVERED_COUNT                  90 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H0                        91 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H1                        92 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H2                        93 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H3                        94 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H4                        95 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H5                        96 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H6                        97 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H7                        98 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H8                        99 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H9                        100 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H10                       101 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H11                       102 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H12                       103 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H13                       104 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H14                       105 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H15                       106 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_PER_TILE_H16                       107 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H0                        108 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H1                        109 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H2                        110 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H3                        111 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H4                        112 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H5                        113 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H6                        114 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H7                        115 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H8                        116 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H9                        117 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H10                       118 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H11                       119 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H12                       120 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H13                       121 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H14                       122 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H15                       123 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_PER_TILE_H16                       124 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H0                        125 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H1                        126 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H2                        127 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H3                        128 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H4                        129 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H5                        130 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H6                        131 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H7                        132 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H8                        133 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H9                        134 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H10                       135 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H11                       136 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H12                       137 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H13                       138 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H14                       139 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H15                       140 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_PER_TILE_H16                       141 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H0                        142 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H1                        143 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H2                        144 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H3                        145 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H4                        146 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H5                        147 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H6                        148 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H7                        149 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H8                        150 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H9                        151 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H10                       152 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H11                       153 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H12                       154 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H13                       155 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H14                       156 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H15                       157 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_PER_TILE_H16                       158 /* >= gfx10 */
#define     V_036504_SC_QZ0_QUAD_COUNT                              159 /* >= gfx10 */
#define     V_036504_SC_QZ1_QUAD_COUNT                              160 /* >= gfx10 */
#define     V_036504_SC_QZ2_QUAD_COUNT                              161 /* >= gfx10 */
#define     V_036504_SC_QZ3_QUAD_COUNT                              162 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_TILE_COUNT                           163 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_TILE_COUNT                           164 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_TILE_COUNT                           165 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_TILE_COUNT                           166 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H0                     167 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H1                     168 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H2                     169 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H3                     170 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H4                     171 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H5                     172 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H6                     173 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H7                     174 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H8                     175 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H9                     176 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H10                    177 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H11                    178 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H12                    179 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H13                    180 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H14                    181 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H15                    182 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_PER_TILE_H16                    183 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H0                     184 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H1                     185 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H2                     186 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H3                     187 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H4                     188 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H5                     189 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H6                     190 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H7                     191 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H8                     192 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H9                     193 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H10                    194 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H11                    195 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H12                    196 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H13                    197 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H14                    198 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H15                    199 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_PER_TILE_H16                    200 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H0                     201 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H1                     202 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H2                     203 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H3                     204 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H4                     205 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H5                     206 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H6                     207 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H7                     208 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H8                     209 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H9                     210 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H10                    211 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H11                    212 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H12                    213 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H13                    214 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H14                    215 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H15                    216 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_PER_TILE_H16                    217 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H0                     218 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H1                     219 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H2                     220 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H3                     221 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H4                     222 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H5                     223 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H6                     224 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H7                     225 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H8                     226 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H9                     227 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H10                    228 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H11                    229 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H12                    230 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H13                    231 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H14                    232 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H15                    233 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_PER_TILE_H16                    234 /* >= gfx10 */
#define     V_036504_SC_P0_HIZ_QUAD_COUNT                           235 /* >= gfx10 */
#define     V_036504_SC_P1_HIZ_QUAD_COUNT                           236 /* >= gfx10 */
#define     V_036504_SC_P2_HIZ_QUAD_COUNT                           237 /* >= gfx10 */
#define     V_036504_SC_P3_HIZ_QUAD_COUNT                           238 /* >= gfx10 */
#define     V_036504_SC_P0_DETAIL_QUAD_COUNT                        239 /* >= gfx10 */
#define     V_036504_SC_P1_DETAIL_QUAD_COUNT                        240 /* >= gfx10 */
#define     V_036504_SC_P2_DETAIL_QUAD_COUNT                        241 /* >= gfx10 */
#define     V_036504_SC_P3_DETAIL_QUAD_COUNT                        242 /* >= gfx10 */
#define     V_036504_SC_P0_DETAIL_QUAD_WITH_1_PIX                   243 /* >= gfx10 */
#define     V_036504_SC_P0_DETAIL_QUAD_WITH_2_PIX                   244 /* >= gfx10 */
#define     V_036504_SC_P0_DETAIL_QUAD_WITH_3_PIX                   245 /* >= gfx10 */
#define     V_036504_SC_P0_DETAIL_QUAD_WITH_4_PIX                   246 /* >= gfx10 */
#define     V_036504_SC_P1_DETAIL_QUAD_WITH_1_PIX                   247 /* >= gfx10 */
#define     V_036504_SC_P1_DETAIL_QUAD_WITH_2_PIX                   248 /* >= gfx10 */
#define     V_036504_SC_P1_DETAIL_QUAD_WITH_3_PIX                   249 /* >= gfx10 */
#define     V_036504_SC_P1_DETAIL_QUAD_WITH_4_PIX                   250 /* >= gfx10 */
#define     V_036504_SC_P2_DETAIL_QUAD_WITH_1_PIX                   251 /* >= gfx10 */
#define     V_036504_SC_P2_DETAIL_QUAD_WITH_2_PIX                   252 /* >= gfx10 */
#define     V_036504_SC_P2_DETAIL_QUAD_WITH_3_PIX                   253 /* >= gfx10 */
#define     V_036504_SC_P2_DETAIL_QUAD_WITH_4_PIX                   254 /* >= gfx10 */
#define     V_036504_SC_P3_DETAIL_QUAD_WITH_1_PIX                   255 /* >= gfx10 */
#define     V_036504_SC_P3_DETAIL_QUAD_WITH_2_PIX                   256 /* >= gfx10 */
#define     V_036504_SC_P3_DETAIL_QUAD_WITH_3_PIX                   257 /* >= gfx10 */
#define     V_036504_SC_P3_DETAIL_QUAD_WITH_4_PIX                   258 /* >= gfx10 */
#define     V_036504_SC_EARLYZ_QUAD_COUNT                           259 /* >= gfx10 */
#define     V_036504_SC_EARLYZ_QUAD_WITH_1_PIX                      260 /* >= gfx10 */
#define     V_036504_SC_EARLYZ_QUAD_WITH_2_PIX                      261 /* >= gfx10 */
#define     V_036504_SC_EARLYZ_QUAD_WITH_3_PIX                      262 /* >= gfx10 */
#define     V_036504_SC_EARLYZ_QUAD_WITH_4_PIX                      263 /* >= gfx10 */
#define     V_036504_SC_PKR_QUAD_PER_ROW_H1                         264 /* >= gfx10 */
#define     V_036504_SC_PKR_QUAD_PER_ROW_H2                         265 /* >= gfx10 */
#define     V_036504_SC_PKR_4X2_QUAD_SPLIT                          266 /* >= gfx10 */
#define     V_036504_SC_PKR_4X2_FILL_QUAD                           267 /* >= gfx10 */
#define     V_036504_SC_PKR_END_OF_VECTOR                           268 /* >= gfx10 */
#define     V_036504_SC_PKR_CONTROL_XFER                            269 /* >= gfx10 */
#define     V_036504_SC_PKR_DBHANG_FORCE_EOV                        270 /* >= gfx10 */
#define     V_036504_SC_REG_SCLK_BUSY                               271 /* >= gfx10 */
#define     V_036504_SC_GRP0_DYN_SCLK_BUSY                          272 /* >= gfx10 */
#define     V_036504_SC_GRP1_DYN_SCLK_BUSY                          273 /* >= gfx10 */
#define     V_036504_SC_GRP2_DYN_SCLK_BUSY                          274 /* >= gfx10 */
#define     V_036504_SC_GRP3_DYN_SCLK_BUSY                          275 /* >= gfx10 */
#define     V_036504_SC_GRP4_DYN_SCLK_BUSY                          276 /* >= gfx10 */
#define     V_036504_SC_PA0_SC_DATA_FIFO_RD                         277 /* >= gfx10 */
#define     V_036504_SC_PA0_SC_DATA_FIFO_WE                         278 /* >= gfx10 */
#define     V_036504_SC_PA1_SC_DATA_FIFO_RD                         279 /* >= gfx10 */
#define     V_036504_SC_PA1_SC_DATA_FIFO_WE                         280 /* >= gfx10 */
#define     V_036504_SC_PS_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES         281 /* >= gfx10 */
#define     V_036504_SC_PS_ARB_XFC_ONLY_PRIM_CYCLES                 282 /* >= gfx10 */
#define     V_036504_SC_PS_ARB_XFC_ONLY_ONE_INC_PER_PRIM            283 /* >= gfx10 */
#define     V_036504_SC_PS_ARB_STALLED_FROM_BELOW                   284 /* >= gfx10 */
#define     V_036504_SC_PS_ARB_STARVED_FROM_ABOVE                   285 /* >= gfx10 */
#define     V_036504_SC_PS_ARB_SC_BUSY                              286 /* >= gfx10 */
#define     V_036504_SC_PS_ARB_PA_SC_BUSY                           287 /* >= gfx10 */
#define     V_036504_SC_PA2_SC_DATA_FIFO_RD                         288 /* >= gfx10 */
#define     V_036504_SC_PA2_SC_DATA_FIFO_WE                         289 /* >= gfx10 */
#define     V_036504_SC_PA3_SC_DATA_FIFO_RD                         290 /* >= gfx10 */
#define     V_036504_SC_PA3_SC_DATA_FIFO_WE                         291 /* >= gfx10 */
#define     V_036504_SC_PA_SC_DEALLOC_0_0_WE                        292 /* >= gfx10 */
#define     V_036504_SC_PA_SC_DEALLOC_0_1_WE                        293 /* >= gfx10 */
#define     V_036504_SC_PA_SC_DEALLOC_1_0_WE                        294 /* >= gfx10 */
#define     V_036504_SC_PA_SC_DEALLOC_1_1_WE                        295 /* >= gfx10 */
#define     V_036504_SC_PA_SC_DEALLOC_2_0_WE                        296 /* >= gfx10 */
#define     V_036504_SC_PA_SC_DEALLOC_2_1_WE                        297 /* >= gfx10 */
#define     V_036504_SC_PA_SC_DEALLOC_3_0_WE                        298 /* >= gfx10 */
#define     V_036504_SC_PA_SC_DEALLOC_3_1_WE                        299 /* >= gfx10 */
#define     V_036504_SC_PA0_SC_EOP_WE                               300 /* >= gfx10 */
#define     V_036504_SC_PA0_SC_EOPG_WE                              301 /* >= gfx10 */
#define     V_036504_SC_PA0_SC_EVENT_WE                             302 /* >= gfx10 */
#define     V_036504_SC_PA1_SC_EOP_WE                               303 /* >= gfx10 */
#define     V_036504_SC_PA1_SC_EOPG_WE                              304 /* >= gfx10 */
#define     V_036504_SC_PA1_SC_EVENT_WE                             305 /* >= gfx10 */
#define     V_036504_SC_PA2_SC_EOP_WE                               306 /* >= gfx10 */
#define     V_036504_SC_PA2_SC_EOPG_WE                              307 /* >= gfx10 */
#define     V_036504_SC_PA2_SC_EVENT_WE                             308 /* >= gfx10 */
#define     V_036504_SC_PA3_SC_EOP_WE                               309 /* >= gfx10 */
#define     V_036504_SC_PA3_SC_EOPG_WE                              310 /* >= gfx10 */
#define     V_036504_SC_PA3_SC_EVENT_WE                             311 /* >= gfx10 */
#define     V_036504_SC_PS_ARB_OOO_THRESHOLD_SWITCH_TO_DESIRED_FIFO 312 /* >= gfx10 */
#define     V_036504_SC_PS_ARB_OOO_FIFO_EMPTY_SWITCH                313 /* >= gfx10 */
#define     V_036504_SC_PS_ARB_NULL_PRIM_BUBBLE_POP                 314 /* >= gfx10 */
#define     V_036504_SC_PS_ARB_EOP_POP_SYNC_POP                     315 /* >= gfx10 */
#define     V_036504_SC_PS_ARB_EVENT_SYNC_POP                       316 /* >= gfx10 */
#define     V_036504_SC_SC_PS_ENG_MULTICYCLE_BUBBLE                 317 /* >= gfx10 */
#define     V_036504_SC_PA0_SC_FPOV_WE                              318 /* >= gfx10 */
#define     V_036504_SC_PA1_SC_FPOV_WE                              319 /* >= gfx10 */
#define     V_036504_SC_PA2_SC_FPOV_WE                              320 /* >= gfx10 */
#define     V_036504_SC_PA3_SC_FPOV_WE                              321 /* >= gfx10 */
#define     V_036504_SC_PA0_SC_LPOV_WE                              322 /* >= gfx10 */
#define     V_036504_SC_PA1_SC_LPOV_WE                              323 /* >= gfx10 */
#define     V_036504_SC_PA2_SC_LPOV_WE                              324 /* >= gfx10 */
#define     V_036504_SC_PA3_SC_LPOV_WE                              325 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_DEALLOC_0_0                          326 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_DEALLOC_0_1                          327 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_DEALLOC_0_2                          328 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_DEALLOC_1_0                          329 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_DEALLOC_1_1                          330 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_DEALLOC_1_2                          331 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_DEALLOC_2_0                          332 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_DEALLOC_2_1                          333 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_DEALLOC_2_2                          334 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_DEALLOC_3_0                          335 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_DEALLOC_3_1                          336 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_DEALLOC_3_2                          337 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_FPOV_0                               338 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_FPOV_1                               339 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_FPOV_2                               340 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_FPOV_3                               341 /* >= gfx10 */
#define     V_036504_SC_SC_SPI_EVENT                                342 /* >= gfx10 */
#define     V_036504_SC_PS_TS_EVENT_FIFO_PUSH                       343 /* >= gfx10 */
#define     V_036504_SC_PS_TS_EVENT_FIFO_POP                        344 /* >= gfx10 */
#define     V_036504_SC_PS_CTX_DONE_FIFO_PUSH                       345 /* >= gfx10 */
#define     V_036504_SC_PS_CTX_DONE_FIFO_POP                        346 /* >= gfx10 */
#define     V_036504_SC_MULTICYCLE_BUBBLE_FREEZE                    347 /* >= gfx10 */
#define     V_036504_SC_EOP_SYNC_WINDOW                             348 /* >= gfx10 */
#define     V_036504_SC_PA0_SC_NULL_WE                              349 /* >= gfx10 */
#define     V_036504_SC_PA0_SC_NULL_DEALLOC_WE                      350 /* >= gfx10 */
#define     V_036504_SC_PA0_SC_DATA_FIFO_EOPG_RD                    351 /* >= gfx10 */
#define     V_036504_SC_PA0_SC_DATA_FIFO_EOP_RD                     352 /* >= gfx10 */
#define     V_036504_SC_PA0_SC_DEALLOC_0_RD                         353 /* >= gfx10 */
#define     V_036504_SC_PA0_SC_DEALLOC_1_RD                         354 /* >= gfx10 */
#define     V_036504_SC_PA1_SC_DATA_FIFO_EOPG_RD                    355 /* >= gfx10 */
#define     V_036504_SC_PA1_SC_DATA_FIFO_EOP_RD                     356 /* >= gfx10 */
#define     V_036504_SC_PA1_SC_DEALLOC_0_RD                         357 /* >= gfx10 */
#define     V_036504_SC_PA1_SC_DEALLOC_1_RD                         358 /* >= gfx10 */
#define     V_036504_SC_PA1_SC_NULL_WE                              359 /* >= gfx10 */
#define     V_036504_SC_PA1_SC_NULL_DEALLOC_WE                      360 /* >= gfx10 */
#define     V_036504_SC_PA2_SC_DATA_FIFO_EOPG_RD                    361 /* >= gfx10 */
#define     V_036504_SC_PA2_SC_DATA_FIFO_EOP_RD                     362 /* >= gfx10 */
#define     V_036504_SC_PA2_SC_DEALLOC_0_RD                         363 /* >= gfx10 */
#define     V_036504_SC_PA2_SC_DEALLOC_1_RD                         364 /* >= gfx10 */
#define     V_036504_SC_PA2_SC_NULL_WE                              365 /* >= gfx10 */
#define     V_036504_SC_PA2_SC_NULL_DEALLOC_WE                      366 /* >= gfx10 */
#define     V_036504_SC_PA3_SC_DATA_FIFO_EOPG_RD                    367 /* >= gfx10 */
#define     V_036504_SC_PA3_SC_DATA_FIFO_EOP_RD                     368 /* >= gfx10 */
#define     V_036504_SC_PA3_SC_DEALLOC_0_RD                         369 /* >= gfx10 */
#define     V_036504_SC_PA3_SC_DEALLOC_1_RD                         370 /* >= gfx10 */
#define     V_036504_SC_PA3_SC_NULL_WE                              371 /* >= gfx10 */
#define     V_036504_SC_PA3_SC_NULL_DEALLOC_WE                      372 /* >= gfx10 */
#define     V_036504_SC_PS_PA0_SC_FIFO_EMPTY                        373 /* >= gfx10 */
#define     V_036504_SC_PS_PA0_SC_FIFO_FULL                         374 /* >= gfx10 */
#define     V_036504_SC_RESERVED_0                                  375 /* >= gfx10 */
#define     V_036504_SC_PS_PA1_SC_FIFO_EMPTY                        376 /* >= gfx10 */
#define     V_036504_SC_PS_PA1_SC_FIFO_FULL                         377 /* >= gfx10 */
#define     V_036504_SC_RESERVED_1                                  378 /* >= gfx10 */
#define     V_036504_SC_PS_PA2_SC_FIFO_EMPTY                        379 /* >= gfx10 */
#define     V_036504_SC_PS_PA2_SC_FIFO_FULL                         380 /* >= gfx10 */
#define     V_036504_SC_RESERVED_2                                  381 /* >= gfx10 */
#define     V_036504_SC_PS_PA3_SC_FIFO_EMPTY                        382 /* >= gfx10 */
#define     V_036504_SC_PS_PA3_SC_FIFO_FULL                         383 /* >= gfx10 */
#define     V_036504_SC_RESERVED_3                                  384 /* >= gfx10 */
#define     V_036504_SC_BUSY_PROCESSING_MULTICYCLE_PRIM             385 /* >= gfx10 */
#define     V_036504_SC_BUSY_CNT_NOT_ZERO                           386 /* >= gfx10 */
#define     V_036504_SC_BM_BUSY                                     387 /* >= gfx10 */
#define     V_036504_SC_BACKEND_BUSY                                388 /* >= gfx10 */
#define     V_036504_SC_SCF_SCB_INTERFACE_BUSY                      389 /* >= gfx10 */
#define     V_036504_SC_SCB_BUSY                                    390 /* >= gfx10 */
#define     V_036504_SC_STARVED_BY_PA_WITH_UNSELECTED_PA_NOT_EMPTY  391 /* >= gfx10 */
#define     V_036504_SC_STARVED_BY_PA_WITH_UNSELECTED_PA_FULL       392 /* >= gfx10 */
#define     V_036504_SC_PBB_BIN_HIST_NUM_PRIMS                      393 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_HIST_NUM_PRIMS                    394 /* >= gfx10 */
#define     V_036504_SC_PBB_BIN_HIST_NUM_CONTEXTS                   395 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_HIST_NUM_CONTEXTS                 396 /* >= gfx10 */
#define     V_036504_SC_PBB_BIN_HIST_NUM_PERSISTENT_STATES          397 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_HIST_NUM_PERSISTENT_STATES        398 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_HIST_NUM_PS_WAVE_BREAKS           399 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_HIST_NUM_TRIV_REJECTED_PRIMS      400 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_HIST_NUM_ROWS_PER_PRIM            401 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_HIST_NUM_COLUMNS_PER_ROW          402 /* >= gfx10 */
#define     V_036504_SC_PBB_BUSY                                    403 /* >= gfx10 */
#define     V_036504_SC_PBB_BUSY_AND_NO_SENDS                       404 /* >= gfx10 */
#define     V_036504_SC_PBB_STALLS_PA_DUE_TO_NO_TILES               405 /* >= gfx10 */
#define     V_036504_SC_PBB_NUM_BINS                                406 /* >= gfx10 */
#define     V_036504_SC_PBB_END_OF_BIN                              407 /* >= gfx10 */
#define     V_036504_SC_PBB_END_OF_BATCH                            408 /* >= gfx10 */
#define     V_036504_SC_PBB_PRIMBIN_PROCESSED                       409 /* >= gfx10 */
#define     V_036504_SC_PBB_PRIM_ADDED_TO_BATCH                     410 /* >= gfx10 */
#define     V_036504_SC_PBB_NONBINNED_PRIM                          411 /* >= gfx10 */
#define     V_036504_SC_PBB_TOTAL_REAL_PRIMS_OUT_OF_PBB             412 /* >= gfx10 */
#define     V_036504_SC_PBB_TOTAL_NULL_PRIMS_OUT_OF_PBB             413 /* >= gfx10 */
#define     V_036504_SC_PBB_IDLE_CLK_DUE_TO_ROW_TO_COLUMN_TRANSITION 414 /* >= gfx10 */
#define     V_036504_SC_PBB_IDLE_CLK_DUE_TO_FALSE_POSITIVE_ON_ROW   415 /* >= gfx10 */
#define     V_036504_SC_PBB_IDLE_CLK_DUE_TO_FALSE_POSITIVE_ON_COLUMN 416 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_PERSISTENT_STATE     417 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_CONTEXT_STATE        418 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_PRIM                 419 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_PC_STORAGE           420 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_EVENT                421 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_FPOV_LIMIT           422 /* >= gfx10 */
#define     V_036504_SC_POPS_INTRA_WAVE_OVERLAPS                    423 /* >= gfx10 */
#define     V_036504_SC_POPS_FORCE_EOV                              424 /* >= gfx10 */
#define     V_036504_SC_PKR_QUAD_OVLP_NOT_FOUND_IN_WAVE_TABLE_AND_WAVES_SINCE_OVLP_SET_TO_MAX 425 /* >= gfx10 */
#define     V_036504_SC_PKR_QUAD_OVLP_NOT_FOUND_IN_WAVE_TABLE_AND_NO_CHANGE_TO_WAVES_SINCE_OVLP 426 /* >= gfx10 */
#define     V_036504_SC_PKR_QUAD_OVLP_FOUND_IN_WAVE_TABLE           427 /* >= gfx10 */
#define     V_036504_SC_FULL_FULL_QUAD                              428 /* >= gfx10 */
#define     V_036504_SC_FULL_HALF_QUAD                              429 /* >= gfx10 */
#define     V_036504_SC_FULL_QTR_QUAD                               430 /* >= gfx10 */
#define     V_036504_SC_HALF_FULL_QUAD                              431 /* >= gfx10 */
#define     V_036504_SC_HALF_HALF_QUAD                              432 /* >= gfx10 */
#define     V_036504_SC_HALF_QTR_QUAD                               433 /* >= gfx10 */
#define     V_036504_SC_QTR_FULL_QUAD                               434 /* >= gfx10 */
#define     V_036504_SC_QTR_HALF_QUAD                               435 /* >= gfx10 */
#define     V_036504_SC_QTR_QTR_QUAD                                436 /* >= gfx10 */
#define     V_036504_SC_GRP5_DYN_SCLK_BUSY                          437 /* >= gfx10 */
#define     V_036504_SC_GRP6_DYN_SCLK_BUSY                          438 /* >= gfx10 */
#define     V_036504_SC_GRP7_DYN_SCLK_BUSY                          439 /* >= gfx10 */
#define     V_036504_SC_GRP8_DYN_SCLK_BUSY                          440 /* >= gfx10 */
#define     V_036504_SC_GRP9_DYN_SCLK_BUSY                          441 /* >= gfx10 */
#define     V_036504_SC_PS_TO_BE_SCLK_GATE_STALL                    442 /* >= gfx10 */
#define     V_036504_SC_PA_TO_PBB_SCLK_GATE_STALL_STALL             443 /* >= gfx10 */
#define     V_036504_SC_PK_BUSY                                     444 /* >= gfx10 */
#define     V_036504_SC_PK_MAX_DEALLOC_FORCE_EOV                    445 /* >= gfx10 */
#define     V_036504_SC_PK_DEALLOC_WAVE_BREAK                       446 /* >= gfx10 */
#define     V_036504_SC_SPI_SEND                                    447 /* >= gfx10 */
#define     V_036504_SC_SPI_CREDIT_AT_ZERO_WITH_PENDING_SEND        448 /* >= gfx10 */
#define     V_036504_SC_SPI_CREDIT_AT_MAX                           449 /* >= gfx10 */
#define     V_036504_SC_SPI_CREDIT_AT_MAX_NO_PENDING_SEND           450 /* >= gfx10 */
#define     V_036504_SC_BCI_SEND                                    451 /* >= gfx10 */
#define     V_036504_SC_BCI_CREDIT_AT_ZERO_WITH_PENDING_SEND        452 /* >= gfx10 */
#define     V_036504_SC_BCI_CREDIT_AT_MAX                           453 /* >= gfx10 */
#define     V_036504_SC_BCI_CREDIT_AT_MAX_NO_PENDING_SEND           454 /* >= gfx10 */
#define     V_036504_SC_SPIBC_FULL_FREEZE                           455 /* >= gfx10 */
#define     V_036504_SC_PW_BM_PASS_EMPTY_PRIM                       456 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_COUNT_EXCLUDE_PASS_EMPTY_PRIM     457 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H0 458 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H1 459 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H2 460 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H3 461 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H4 462 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H5 463 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H6 464 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H7 465 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H8 466 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H9 467 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H10 468 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H11 469 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H12 470 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H13 471 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H14 472 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H15 473 /* >= gfx10 */
#define     V_036504_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H16 474 /* >= gfx10 */
#define     V_036504_SC_DB0_TILE_INTERFACE_BUSY                     475 /* >= gfx10 */
#define     V_036504_SC_DB0_TILE_INTERFACE_SEND                     476 /* >= gfx10 */
#define     V_036504_SC_DB0_TILE_INTERFACE_SEND_EVENT               477 /* >= gfx10 */
#define     V_036504_SC_DB0_TILE_INTERFACE_SEND_SOP_ONLY_EVENT      478 /* >= gfx10 */
#define     V_036504_SC_DB0_TILE_INTERFACE_SEND_SOP                 479 /* >= gfx10 */
#define     V_036504_SC_DB0_TILE_INTERFACE_CREDIT_AT_ZERO_WITH_PENDING_SEND 480 /* >= gfx10 */
#define     V_036504_SC_DB0_TILE_INTERFACE_CREDIT_AT_MAX            481 /* >= gfx10 */
#define     V_036504_SC_DB0_TILE_INTERFACE_CREDIT_AT_MAX_WITH_NO_PENDING_SEND 482 /* >= gfx10 */
#define     V_036504_SC_DB1_TILE_INTERFACE_BUSY                     483 /* >= gfx10 */
#define     V_036504_SC_DB1_TILE_INTERFACE_SEND                     484 /* >= gfx10 */
#define     V_036504_SC_DB1_TILE_INTERFACE_SEND_EVENT               485 /* >= gfx10 */
#define     V_036504_SC_DB1_TILE_INTERFACE_SEND_SOP_ONLY_EVENT      486 /* >= gfx10 */
#define     V_036504_SC_DB1_TILE_INTERFACE_SEND_SOP                 487 /* >= gfx10 */
#define     V_036504_SC_DB1_TILE_INTERFACE_CREDIT_AT_ZERO_WITH_PENDING_SEND 488 /* >= gfx10 */
#define     V_036504_SC_DB1_TILE_INTERFACE_CREDIT_AT_MAX            489 /* >= gfx10 */
#define     V_036504_SC_DB1_TILE_INTERFACE_CREDIT_AT_MAX_WITH_NO_PENDING_SEND 490 /* >= gfx10 */
#define     V_036504_SC_BACKEND_PRIM_FIFO_FULL                      491 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_TIMEOUT_COUNTER      492 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_NONBINNED_BATCH      493 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_DEBUG_DATA_PER_DRAW_DISPATCH 494 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_OVERRIDE_REGISTER_PERSISTENT 495 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_OVERRIDE_REGISTER_CONTEXT 496 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_OVERRIDE_REGISTER_FPOV 497 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_NEW_SC_MODE          498 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_BINNING_MODE_CHANGE  499 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_PIPELINE_EVENT_COUNT 500 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_PIPE_RESET           501 /* >= gfx10 */
#define     V_036504_SC_PBB_BATCH_BREAK_DUE_TO_GFX_PIPE_CHANGE      502 /* >= gfx10 */
#define     V_036504_SC_STALLED_BY_DB0_TILEFIFO                     503 /* >= gfx10 */
#define     V_036504_SC_DB0_QUAD_INTF_SEND                          504 /* >= gfx10 */
#define     V_036504_SC_DB0_QUAD_INTF_BUSY                          505 /* >= gfx10 */
#define     V_036504_SC_DB0_QUAD_INTF_STALLED_BY_DB                 506 /* >= gfx10 */
#define     V_036504_SC_DB0_QUAD_INTF_CREDIT_AT_MAX                 507 /* >= gfx10 */
#define     V_036504_SC_DB0_QUAD_INTF_IDLE                          508 /* >= gfx10 */
#define     V_036504_SC_DB1_QUAD_INTF_SEND                          509 /* >= gfx10 */
#define     V_036504_SC_STALLED_BY_DB1_TILEFIFO                     510 /* >= gfx10 */
#define     V_036504_SC_DB1_QUAD_INTF_BUSY                          511 /* >= gfx10 */
#define     V_036504_SC_DB1_QUAD_INTF_STALLED_BY_DB                 512 /* >= gfx10 */
#define     V_036504_SC_DB1_QUAD_INTF_CREDIT_AT_MAX                 513 /* >= gfx10 */
#define     V_036504_SC_DB1_QUAD_INTF_IDLE                          514 /* >= gfx10 */
#define     V_036504_SC_PKR_WAVE_BREAK_OUTSIDE_REGION               515 /* >= gfx10 */
#define     V_036504_SC_PKR_WAVE_BREAK_FULL_TILE                    516 /* >= gfx10 */
#define   S_036504_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036504_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036504_PERF_SEL3                                          0xFFF003FF
#define   S_036504_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24) /* >= gfx10 */
#define   G_036504_PERF_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_036504_PERF_MODE3                                         0xF0FFFFFF
#define   S_036504_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28) /* >= gfx10 */
#define   G_036504_PERF_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_036504_PERF_MODE2                                         0x0FFFFFFF
#define R_036508_PA_SC_PERFCOUNTER1_SELECT                              0x036508
#define   S_036508_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0) /* >= gfx10 */
#define   G_036508_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036508_PERF_SEL                                           0xFFFFFC00
#define     V_036508_SC_SRPS_WINDOW_VALID                           0
#define     V_036508_SC_PSSW_WINDOW_VALID                           1
#define     V_036508_SC_TPQZ_WINDOW_VALID                           2
#define     V_036508_SC_QZQP_WINDOW_VALID                           3
#define     V_036508_SC_TRPK_WINDOW_VALID                           4
#define     V_036508_SC_SRPS_WINDOW_VALID_BUSY                      5
#define     V_036508_SC_PSSW_WINDOW_VALID_BUSY                      6
#define     V_036508_SC_TPQZ_WINDOW_VALID_BUSY                      7
#define     V_036508_SC_QZQP_WINDOW_VALID_BUSY                      8
#define     V_036508_SC_TRPK_WINDOW_VALID_BUSY                      9
#define     V_036508_SC_STARVED_BY_PA                               10
#define     V_036508_SC_STALLED_BY_PRIMFIFO                         11
#define     V_036508_SC_STALLED_BY_DB_TILE                          12
#define     V_036508_SC_STARVED_BY_DB_TILE                          13
#define     V_036508_SC_STALLED_BY_TILEORDERFIFO                    14
#define     V_036508_SC_STALLED_BY_TILEFIFO                         15
#define     V_036508_SC_STALLED_BY_DB_QUAD                          16
#define     V_036508_SC_STARVED_BY_DB_QUAD                          17
#define     V_036508_SC_STALLED_BY_QUADFIFO                         18
#define     V_036508_SC_STALLED_BY_BCI                              19
#define     V_036508_SC_STALLED_BY_SPI                              20
#define     V_036508_SC_SCISSOR_DISCARD                             21
#define     V_036508_SC_BB_DISCARD                                  22
#define     V_036508_SC_SUPERTILE_COUNT                             23
#define     V_036508_SC_SUPERTILE_PER_PRIM_H0                       24
#define     V_036508_SC_SUPERTILE_PER_PRIM_H1                       25
#define     V_036508_SC_SUPERTILE_PER_PRIM_H2                       26
#define     V_036508_SC_SUPERTILE_PER_PRIM_H3                       27
#define     V_036508_SC_SUPERTILE_PER_PRIM_H4                       28
#define     V_036508_SC_SUPERTILE_PER_PRIM_H5                       29
#define     V_036508_SC_SUPERTILE_PER_PRIM_H6                       30
#define     V_036508_SC_SUPERTILE_PER_PRIM_H7                       31
#define     V_036508_SC_SUPERTILE_PER_PRIM_H8                       32
#define     V_036508_SC_SUPERTILE_PER_PRIM_H9                       33
#define     V_036508_SC_SUPERTILE_PER_PRIM_H10                      34
#define     V_036508_SC_SUPERTILE_PER_PRIM_H11                      35
#define     V_036508_SC_SUPERTILE_PER_PRIM_H12                      36
#define     V_036508_SC_SUPERTILE_PER_PRIM_H13                      37
#define     V_036508_SC_SUPERTILE_PER_PRIM_H14                      38
#define     V_036508_SC_SUPERTILE_PER_PRIM_H15                      39
#define     V_036508_SC_SUPERTILE_PER_PRIM_H16                      40
#define     V_036508_SC_TILE_PER_PRIM_H0                            41
#define     V_036508_SC_TILE_PER_PRIM_H1                            42
#define     V_036508_SC_TILE_PER_PRIM_H2                            43
#define     V_036508_SC_TILE_PER_PRIM_H3                            44
#define     V_036508_SC_TILE_PER_PRIM_H4                            45
#define     V_036508_SC_TILE_PER_PRIM_H5                            46
#define     V_036508_SC_TILE_PER_PRIM_H6                            47
#define     V_036508_SC_TILE_PER_PRIM_H7                            48
#define     V_036508_SC_TILE_PER_PRIM_H8                            49
#define     V_036508_SC_TILE_PER_PRIM_H9                            50
#define     V_036508_SC_TILE_PER_PRIM_H10                           51
#define     V_036508_SC_TILE_PER_PRIM_H11                           52
#define     V_036508_SC_TILE_PER_PRIM_H12                           53
#define     V_036508_SC_TILE_PER_PRIM_H13                           54
#define     V_036508_SC_TILE_PER_PRIM_H14                           55
#define     V_036508_SC_TILE_PER_PRIM_H15                           56
#define     V_036508_SC_TILE_PER_PRIM_H16                           57
#define     V_036508_SC_TILE_PER_SUPERTILE_H0                       58
#define     V_036508_SC_TILE_PER_SUPERTILE_H1                       59
#define     V_036508_SC_TILE_PER_SUPERTILE_H2                       60
#define     V_036508_SC_TILE_PER_SUPERTILE_H3                       61
#define     V_036508_SC_TILE_PER_SUPERTILE_H4                       62
#define     V_036508_SC_TILE_PER_SUPERTILE_H5                       63
#define     V_036508_SC_TILE_PER_SUPERTILE_H6                       64
#define     V_036508_SC_TILE_PER_SUPERTILE_H7                       65
#define     V_036508_SC_TILE_PER_SUPERTILE_H8                       66
#define     V_036508_SC_TILE_PER_SUPERTILE_H9                       67
#define     V_036508_SC_TILE_PER_SUPERTILE_H10                      68
#define     V_036508_SC_TILE_PER_SUPERTILE_H11                      69
#define     V_036508_SC_TILE_PER_SUPERTILE_H12                      70
#define     V_036508_SC_TILE_PER_SUPERTILE_H13                      71
#define     V_036508_SC_TILE_PER_SUPERTILE_H14                      72
#define     V_036508_SC_TILE_PER_SUPERTILE_H15                      73
#define     V_036508_SC_TILE_PER_SUPERTILE_H16                      74
#define     V_036508_SC_TILE_PICKED_H1                              75
#define     V_036508_SC_TILE_PICKED_H2                              76
#define     V_036508_SC_TILE_PICKED_H3                              77
#define     V_036508_SC_TILE_PICKED_H4                              78
#define     V_036508_SC_QZ0_TILE_COUNT                              79
#define     V_036508_SC_QZ1_TILE_COUNT                              80
#define     V_036508_SC_QZ2_TILE_COUNT                              81
#define     V_036508_SC_QZ3_TILE_COUNT                              82
#define     V_036508_SC_QZ0_TILE_COVERED_COUNT                      83
#define     V_036508_SC_QZ1_TILE_COVERED_COUNT                      84
#define     V_036508_SC_QZ2_TILE_COVERED_COUNT                      85
#define     V_036508_SC_QZ3_TILE_COVERED_COUNT                      86
#define     V_036508_SC_QZ0_TILE_NOT_COVERED_COUNT                  87
#define     V_036508_SC_QZ1_TILE_NOT_COVERED_COUNT                  88
#define     V_036508_SC_QZ2_TILE_NOT_COVERED_COUNT                  89
#define     V_036508_SC_QZ3_TILE_NOT_COVERED_COUNT                  90
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H0                        91
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H1                        92
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H2                        93
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H3                        94
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H4                        95
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H5                        96
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H6                        97
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H7                        98
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H8                        99
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H9                        100
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H10                       101
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H11                       102
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H12                       103
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H13                       104
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H14                       105
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H15                       106
#define     V_036508_SC_QZ0_QUAD_PER_TILE_H16                       107
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H0                        108
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H1                        109
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H2                        110
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H3                        111
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H4                        112
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H5                        113
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H6                        114
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H7                        115
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H8                        116
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H9                        117
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H10                       118
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H11                       119
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H12                       120
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H13                       121
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H14                       122
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H15                       123
#define     V_036508_SC_QZ1_QUAD_PER_TILE_H16                       124
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H0                        125
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H1                        126
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H2                        127
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H3                        128
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H4                        129
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H5                        130
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H6                        131
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H7                        132
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H8                        133
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H9                        134
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H10                       135
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H11                       136
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H12                       137
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H13                       138
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H14                       139
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H15                       140
#define     V_036508_SC_QZ2_QUAD_PER_TILE_H16                       141
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H0                        142
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H1                        143
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H2                        144
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H3                        145
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H4                        146
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H5                        147
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H6                        148
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H7                        149
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H8                        150
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H9                        151
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H10                       152
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H11                       153
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H12                       154
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H13                       155
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H14                       156
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H15                       157
#define     V_036508_SC_QZ3_QUAD_PER_TILE_H16                       158
#define     V_036508_SC_QZ0_QUAD_COUNT                              159
#define     V_036508_SC_QZ1_QUAD_COUNT                              160
#define     V_036508_SC_QZ2_QUAD_COUNT                              161
#define     V_036508_SC_QZ3_QUAD_COUNT                              162
#define     V_036508_SC_P0_HIZ_TILE_COUNT                           163
#define     V_036508_SC_P1_HIZ_TILE_COUNT                           164
#define     V_036508_SC_P2_HIZ_TILE_COUNT                           165
#define     V_036508_SC_P3_HIZ_TILE_COUNT                           166
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H0                     167
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H1                     168
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H2                     169
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H3                     170
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H4                     171
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H5                     172
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H6                     173
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H7                     174
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H8                     175
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H9                     176
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H10                    177
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H11                    178
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H12                    179
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H13                    180
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H14                    181
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H15                    182
#define     V_036508_SC_P0_HIZ_QUAD_PER_TILE_H16                    183
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H0                     184
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H1                     185
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H2                     186
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H3                     187
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H4                     188
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H5                     189
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H6                     190
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H7                     191
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H8                     192
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H9                     193
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H10                    194
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H11                    195
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H12                    196
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H13                    197
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H14                    198
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H15                    199
#define     V_036508_SC_P1_HIZ_QUAD_PER_TILE_H16                    200
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H0                     201
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H1                     202
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H2                     203
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H3                     204
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H4                     205
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H5                     206
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H6                     207
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H7                     208
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H8                     209
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H9                     210
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H10                    211
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H11                    212
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H12                    213
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H13                    214
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H14                    215
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H15                    216
#define     V_036508_SC_P2_HIZ_QUAD_PER_TILE_H16                    217
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H0                     218
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H1                     219
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H2                     220
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H3                     221
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H4                     222
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H5                     223
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H6                     224
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H7                     225
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H8                     226
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H9                     227
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H10                    228
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H11                    229
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H12                    230
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H13                    231
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H14                    232
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H15                    233
#define     V_036508_SC_P3_HIZ_QUAD_PER_TILE_H16                    234
#define     V_036508_SC_P0_HIZ_QUAD_COUNT                           235
#define     V_036508_SC_P1_HIZ_QUAD_COUNT                           236
#define     V_036508_SC_P2_HIZ_QUAD_COUNT                           237
#define     V_036508_SC_P3_HIZ_QUAD_COUNT                           238
#define     V_036508_SC_P0_DETAIL_QUAD_COUNT                        239
#define     V_036508_SC_P1_DETAIL_QUAD_COUNT                        240
#define     V_036508_SC_P2_DETAIL_QUAD_COUNT                        241
#define     V_036508_SC_P3_DETAIL_QUAD_COUNT                        242
#define     V_036508_SC_P0_DETAIL_QUAD_WITH_1_PIX                   243
#define     V_036508_SC_P0_DETAIL_QUAD_WITH_2_PIX                   244
#define     V_036508_SC_P0_DETAIL_QUAD_WITH_3_PIX                   245
#define     V_036508_SC_P0_DETAIL_QUAD_WITH_4_PIX                   246
#define     V_036508_SC_P1_DETAIL_QUAD_WITH_1_PIX                   247
#define     V_036508_SC_P1_DETAIL_QUAD_WITH_2_PIX                   248
#define     V_036508_SC_P1_DETAIL_QUAD_WITH_3_PIX                   249
#define     V_036508_SC_P1_DETAIL_QUAD_WITH_4_PIX                   250
#define     V_036508_SC_P2_DETAIL_QUAD_WITH_1_PIX                   251
#define     V_036508_SC_P2_DETAIL_QUAD_WITH_2_PIX                   252
#define     V_036508_SC_P2_DETAIL_QUAD_WITH_3_PIX                   253
#define     V_036508_SC_P2_DETAIL_QUAD_WITH_4_PIX                   254
#define     V_036508_SC_P3_DETAIL_QUAD_WITH_1_PIX                   255
#define     V_036508_SC_P3_DETAIL_QUAD_WITH_2_PIX                   256
#define     V_036508_SC_P3_DETAIL_QUAD_WITH_3_PIX                   257
#define     V_036508_SC_P3_DETAIL_QUAD_WITH_4_PIX                   258
#define     V_036508_SC_EARLYZ_QUAD_COUNT                           259
#define     V_036508_SC_EARLYZ_QUAD_WITH_1_PIX                      260
#define     V_036508_SC_EARLYZ_QUAD_WITH_2_PIX                      261
#define     V_036508_SC_EARLYZ_QUAD_WITH_3_PIX                      262
#define     V_036508_SC_EARLYZ_QUAD_WITH_4_PIX                      263
#define     V_036508_SC_PKR_QUAD_PER_ROW_H1                         264
#define     V_036508_SC_PKR_QUAD_PER_ROW_H2                         265
#define     V_036508_SC_PKR_4X2_QUAD_SPLIT                          266
#define     V_036508_SC_PKR_4X2_FILL_QUAD                           267
#define     V_036508_SC_PKR_END_OF_VECTOR                           268
#define     V_036508_SC_PKR_CONTROL_XFER                            269
#define     V_036508_SC_PKR_DBHANG_FORCE_EOV                        270
#define     V_036508_SC_REG_SCLK_BUSY                               271
#define     V_036508_SC_GRP0_DYN_SCLK_BUSY                          272
#define     V_036508_SC_GRP1_DYN_SCLK_BUSY                          273
#define     V_036508_SC_GRP2_DYN_SCLK_BUSY                          274
#define     V_036508_SC_GRP3_DYN_SCLK_BUSY                          275
#define     V_036508_SC_GRP4_DYN_SCLK_BUSY                          276
#define     V_036508_SC_PA0_SC_DATA_FIFO_RD                         277
#define     V_036508_SC_PA0_SC_DATA_FIFO_WE                         278
#define     V_036508_SC_PA1_SC_DATA_FIFO_RD                         279
#define     V_036508_SC_PA1_SC_DATA_FIFO_WE                         280
#define     V_036508_SC_PS_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES         281
#define     V_036508_SC_PS_ARB_XFC_ONLY_PRIM_CYCLES                 282
#define     V_036508_SC_PS_ARB_XFC_ONLY_ONE_INC_PER_PRIM            283
#define     V_036508_SC_PS_ARB_STALLED_FROM_BELOW                   284
#define     V_036508_SC_PS_ARB_STARVED_FROM_ABOVE                   285
#define     V_036508_SC_PS_ARB_SC_BUSY                              286
#define     V_036508_SC_PS_ARB_PA_SC_BUSY                           287
#define     V_036508_SC_PA2_SC_DATA_FIFO_RD                         288
#define     V_036508_SC_PA2_SC_DATA_FIFO_WE                         289
#define     V_036508_SC_PA3_SC_DATA_FIFO_RD                         290
#define     V_036508_SC_PA3_SC_DATA_FIFO_WE                         291
#define     V_036508_SC_PA_SC_DEALLOC_0_0_WE                        292
#define     V_036508_SC_PA_SC_DEALLOC_0_1_WE                        293
#define     V_036508_SC_PA_SC_DEALLOC_1_0_WE                        294
#define     V_036508_SC_PA_SC_DEALLOC_1_1_WE                        295
#define     V_036508_SC_PA_SC_DEALLOC_2_0_WE                        296
#define     V_036508_SC_PA_SC_DEALLOC_2_1_WE                        297
#define     V_036508_SC_PA_SC_DEALLOC_3_0_WE                        298
#define     V_036508_SC_PA_SC_DEALLOC_3_1_WE                        299
#define     V_036508_SC_PA0_SC_EOP_WE                               300
#define     V_036508_SC_PA0_SC_EOPG_WE                              301
#define     V_036508_SC_PA0_SC_EVENT_WE                             302
#define     V_036508_SC_PA1_SC_EOP_WE                               303
#define     V_036508_SC_PA1_SC_EOPG_WE                              304
#define     V_036508_SC_PA1_SC_EVENT_WE                             305
#define     V_036508_SC_PA2_SC_EOP_WE                               306
#define     V_036508_SC_PA2_SC_EOPG_WE                              307
#define     V_036508_SC_PA2_SC_EVENT_WE                             308
#define     V_036508_SC_PA3_SC_EOP_WE                               309
#define     V_036508_SC_PA3_SC_EOPG_WE                              310
#define     V_036508_SC_PA3_SC_EVENT_WE                             311
#define     V_036508_SC_PS_ARB_OOO_THRESHOLD_SWITCH_TO_DESIRED_FIFO 312
#define     V_036508_SC_PS_ARB_OOO_FIFO_EMPTY_SWITCH                313
#define     V_036508_SC_PS_ARB_NULL_PRIM_BUBBLE_POP                 314
#define     V_036508_SC_PS_ARB_EOP_POP_SYNC_POP                     315
#define     V_036508_SC_PS_ARB_EVENT_SYNC_POP                       316
#define     V_036508_SC_SC_PS_ENG_MULTICYCLE_BUBBLE                 317
#define     V_036508_SC_PA0_SC_FPOV_WE                              318
#define     V_036508_SC_PA1_SC_FPOV_WE                              319
#define     V_036508_SC_PA2_SC_FPOV_WE                              320
#define     V_036508_SC_PA3_SC_FPOV_WE                              321
#define     V_036508_SC_PA0_SC_LPOV_WE                              322
#define     V_036508_SC_PA1_SC_LPOV_WE                              323
#define     V_036508_SC_PA2_SC_LPOV_WE                              324
#define     V_036508_SC_PA3_SC_LPOV_WE                              325
#define     V_036508_SC_SC_SPI_DEALLOC_0_0                          326
#define     V_036508_SC_SC_SPI_DEALLOC_0_1                          327
#define     V_036508_SC_SC_SPI_DEALLOC_0_2                          328
#define     V_036508_SC_SC_SPI_DEALLOC_1_0                          329
#define     V_036508_SC_SC_SPI_DEALLOC_1_1                          330
#define     V_036508_SC_SC_SPI_DEALLOC_1_2                          331
#define     V_036508_SC_SC_SPI_DEALLOC_2_0                          332
#define     V_036508_SC_SC_SPI_DEALLOC_2_1                          333
#define     V_036508_SC_SC_SPI_DEALLOC_2_2                          334
#define     V_036508_SC_SC_SPI_DEALLOC_3_0                          335
#define     V_036508_SC_SC_SPI_DEALLOC_3_1                          336
#define     V_036508_SC_SC_SPI_DEALLOC_3_2                          337
#define     V_036508_SC_SC_SPI_FPOV_0                               338
#define     V_036508_SC_SC_SPI_FPOV_1                               339
#define     V_036508_SC_SC_SPI_FPOV_2                               340
#define     V_036508_SC_SC_SPI_FPOV_3                               341
#define     V_036508_SC_SC_SPI_EVENT                                342
#define     V_036508_SC_PS_TS_EVENT_FIFO_PUSH                       343
#define     V_036508_SC_PS_TS_EVENT_FIFO_POP                        344
#define     V_036508_SC_PS_CTX_DONE_FIFO_PUSH                       345
#define     V_036508_SC_PS_CTX_DONE_FIFO_POP                        346
#define     V_036508_SC_MULTICYCLE_BUBBLE_FREEZE                    347
#define     V_036508_SC_EOP_SYNC_WINDOW                             348
#define     V_036508_SC_PA0_SC_NULL_WE                              349
#define     V_036508_SC_PA0_SC_NULL_DEALLOC_WE                      350
#define     V_036508_SC_PA0_SC_DATA_FIFO_EOPG_RD                    351
#define     V_036508_SC_PA0_SC_DATA_FIFO_EOP_RD                     352
#define     V_036508_SC_PA0_SC_DEALLOC_0_RD                         353
#define     V_036508_SC_PA0_SC_DEALLOC_1_RD                         354
#define     V_036508_SC_PA1_SC_DATA_FIFO_EOPG_RD                    355
#define     V_036508_SC_PA1_SC_DATA_FIFO_EOP_RD                     356
#define     V_036508_SC_PA1_SC_DEALLOC_0_RD                         357
#define     V_036508_SC_PA1_SC_DEALLOC_1_RD                         358
#define     V_036508_SC_PA1_SC_NULL_WE                              359
#define     V_036508_SC_PA1_SC_NULL_DEALLOC_WE                      360
#define     V_036508_SC_PA2_SC_DATA_FIFO_EOPG_RD                    361
#define     V_036508_SC_PA2_SC_DATA_FIFO_EOP_RD                     362
#define     V_036508_SC_PA2_SC_DEALLOC_0_RD                         363
#define     V_036508_SC_PA2_SC_DEALLOC_1_RD                         364
#define     V_036508_SC_PA2_SC_NULL_WE                              365
#define     V_036508_SC_PA2_SC_NULL_DEALLOC_WE                      366
#define     V_036508_SC_PA3_SC_DATA_FIFO_EOPG_RD                    367
#define     V_036508_SC_PA3_SC_DATA_FIFO_EOP_RD                     368
#define     V_036508_SC_PA3_SC_DEALLOC_0_RD                         369
#define     V_036508_SC_PA3_SC_DEALLOC_1_RD                         370
#define     V_036508_SC_PA3_SC_NULL_WE                              371
#define     V_036508_SC_PA3_SC_NULL_DEALLOC_WE                      372
#define     V_036508_SC_PS_PA0_SC_FIFO_EMPTY                        373
#define     V_036508_SC_PS_PA0_SC_FIFO_FULL                         374
#define     V_036508_SC_RESERVED_0                                  375
#define     V_036508_SC_PS_PA1_SC_FIFO_EMPTY                        376
#define     V_036508_SC_PS_PA1_SC_FIFO_FULL                         377
#define     V_036508_SC_RESERVED_1                                  378
#define     V_036508_SC_PS_PA2_SC_FIFO_EMPTY                        379
#define     V_036508_SC_PS_PA2_SC_FIFO_FULL                         380
#define     V_036508_SC_RESERVED_2                                  381
#define     V_036508_SC_PS_PA3_SC_FIFO_EMPTY                        382
#define     V_036508_SC_PS_PA3_SC_FIFO_FULL                         383
#define     V_036508_SC_RESERVED_3                                  384
#define     V_036508_SC_BUSY_PROCESSING_MULTICYCLE_PRIM             385
#define     V_036508_SC_BUSY_CNT_NOT_ZERO                           386
#define     V_036508_SC_BM_BUSY                                     387
#define     V_036508_SC_BACKEND_BUSY                                388
#define     V_036508_SC_SCF_SCB_INTERFACE_BUSY                      389
#define     V_036508_SC_SCB_BUSY                                    390
#define     V_036508_SC_STARVED_BY_PA_WITH_UNSELECTED_PA_NOT_EMPTY  391
#define     V_036508_SC_STARVED_BY_PA_WITH_UNSELECTED_PA_FULL       392
#define     V_036508_SC_PBB_BIN_HIST_NUM_PRIMS                      393
#define     V_036508_SC_PBB_BATCH_HIST_NUM_PRIMS                    394
#define     V_036508_SC_PBB_BIN_HIST_NUM_CONTEXTS                   395
#define     V_036508_SC_PBB_BATCH_HIST_NUM_CONTEXTS                 396
#define     V_036508_SC_PBB_BIN_HIST_NUM_PERSISTENT_STATES          397
#define     V_036508_SC_PBB_BATCH_HIST_NUM_PERSISTENT_STATES        398
#define     V_036508_SC_PBB_BATCH_HIST_NUM_PS_WAVE_BREAKS           399
#define     V_036508_SC_PBB_BATCH_HIST_NUM_TRIV_REJECTED_PRIMS      400
#define     V_036508_SC_PBB_BATCH_HIST_NUM_ROWS_PER_PRIM            401
#define     V_036508_SC_PBB_BATCH_HIST_NUM_COLUMNS_PER_ROW          402
#define     V_036508_SC_PBB_BUSY                                    403
#define     V_036508_SC_PBB_BUSY_AND_NO_SENDS                       404
#define     V_036508_SC_PBB_STALLS_PA_DUE_TO_NO_TILES               405
#define     V_036508_SC_PBB_NUM_BINS                                406
#define     V_036508_SC_PBB_END_OF_BIN                              407
#define     V_036508_SC_PBB_END_OF_BATCH                            408
#define     V_036508_SC_PBB_PRIMBIN_PROCESSED                       409
#define     V_036508_SC_PBB_PRIM_ADDED_TO_BATCH                     410
#define     V_036508_SC_PBB_NONBINNED_PRIM                          411
#define     V_036508_SC_PBB_TOTAL_REAL_PRIMS_OUT_OF_PBB             412
#define     V_036508_SC_PBB_TOTAL_NULL_PRIMS_OUT_OF_PBB             413
#define     V_036508_SC_PBB_IDLE_CLK_DUE_TO_ROW_TO_COLUMN_TRANSITION 414
#define     V_036508_SC_PBB_IDLE_CLK_DUE_TO_FALSE_POSITIVE_ON_ROW   415
#define     V_036508_SC_PBB_IDLE_CLK_DUE_TO_FALSE_POSITIVE_ON_COLUMN 416
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_PERSISTENT_STATE     417
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_CONTEXT_STATE        418
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_PRIM                 419
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_PC_STORAGE           420
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_EVENT                421
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_FPOV_LIMIT           422
#define     V_036508_SC_POPS_INTRA_WAVE_OVERLAPS                    423
#define     V_036508_SC_POPS_FORCE_EOV                              424
#define     V_036508_SC_PKR_QUAD_OVLP_NOT_FOUND_IN_WAVE_TABLE_AND_WAVES_SINCE_OVLP_SET_TO_MAX 425
#define     V_036508_SC_PKR_QUAD_OVLP_NOT_FOUND_IN_WAVE_TABLE_AND_NO_CHANGE_TO_WAVES_SINCE_OVLP 426
#define     V_036508_SC_PKR_QUAD_OVLP_FOUND_IN_WAVE_TABLE           427
#define     V_036508_SC_FULL_FULL_QUAD                              428
#define     V_036508_SC_FULL_HALF_QUAD                              429
#define     V_036508_SC_FULL_QTR_QUAD                               430
#define     V_036508_SC_HALF_FULL_QUAD                              431
#define     V_036508_SC_HALF_HALF_QUAD                              432
#define     V_036508_SC_HALF_QTR_QUAD                               433
#define     V_036508_SC_QTR_FULL_QUAD                               434
#define     V_036508_SC_QTR_HALF_QUAD                               435
#define     V_036508_SC_QTR_QTR_QUAD                                436
#define     V_036508_SC_GRP5_DYN_SCLK_BUSY                          437
#define     V_036508_SC_GRP6_DYN_SCLK_BUSY                          438
#define     V_036508_SC_GRP7_DYN_SCLK_BUSY                          439
#define     V_036508_SC_GRP8_DYN_SCLK_BUSY                          440
#define     V_036508_SC_GRP9_DYN_SCLK_BUSY                          441
#define     V_036508_SC_PS_TO_BE_SCLK_GATE_STALL                    442
#define     V_036508_SC_PA_TO_PBB_SCLK_GATE_STALL_STALL             443
#define     V_036508_SC_PK_BUSY                                     444
#define     V_036508_SC_PK_MAX_DEALLOC_FORCE_EOV                    445
#define     V_036508_SC_PK_DEALLOC_WAVE_BREAK                       446
#define     V_036508_SC_SPI_SEND                                    447
#define     V_036508_SC_SPI_CREDIT_AT_ZERO_WITH_PENDING_SEND        448
#define     V_036508_SC_SPI_CREDIT_AT_MAX                           449
#define     V_036508_SC_SPI_CREDIT_AT_MAX_NO_PENDING_SEND           450
#define     V_036508_SC_BCI_SEND                                    451
#define     V_036508_SC_BCI_CREDIT_AT_ZERO_WITH_PENDING_SEND        452
#define     V_036508_SC_BCI_CREDIT_AT_MAX                           453
#define     V_036508_SC_BCI_CREDIT_AT_MAX_NO_PENDING_SEND           454
#define     V_036508_SC_SPIBC_FULL_FREEZE                           455
#define     V_036508_SC_PW_BM_PASS_EMPTY_PRIM                       456
#define     V_036508_SC_SUPERTILE_COUNT_EXCLUDE_PASS_EMPTY_PRIM     457
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H0 458
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H1 459
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H2 460
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H3 461
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H4 462
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H5 463
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H6 464
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H7 465
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H8 466
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H9 467
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H10 468
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H11 469
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H12 470
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H13 471
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H14 472
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H15 473
#define     V_036508_SC_SUPERTILE_PER_PRIM_EXCLUDE_PASS_EMPTY_PRIM_H16 474
#define     V_036508_SC_DB0_TILE_INTERFACE_BUSY                     475
#define     V_036508_SC_DB0_TILE_INTERFACE_SEND                     476
#define     V_036508_SC_DB0_TILE_INTERFACE_SEND_EVENT               477
#define     V_036508_SC_DB0_TILE_INTERFACE_SEND_SOP_ONLY_EVENT      478
#define     V_036508_SC_DB0_TILE_INTERFACE_SEND_SOP                 479
#define     V_036508_SC_DB0_TILE_INTERFACE_CREDIT_AT_ZERO_WITH_PENDING_SEND 480
#define     V_036508_SC_DB0_TILE_INTERFACE_CREDIT_AT_MAX            481
#define     V_036508_SC_DB0_TILE_INTERFACE_CREDIT_AT_MAX_WITH_NO_PENDING_SEND 482
#define     V_036508_SC_DB1_TILE_INTERFACE_BUSY                     483
#define     V_036508_SC_DB1_TILE_INTERFACE_SEND                     484
#define     V_036508_SC_DB1_TILE_INTERFACE_SEND_EVENT               485
#define     V_036508_SC_DB1_TILE_INTERFACE_SEND_SOP_ONLY_EVENT      486
#define     V_036508_SC_DB1_TILE_INTERFACE_SEND_SOP                 487
#define     V_036508_SC_DB1_TILE_INTERFACE_CREDIT_AT_ZERO_WITH_PENDING_SEND 488
#define     V_036508_SC_DB1_TILE_INTERFACE_CREDIT_AT_MAX            489
#define     V_036508_SC_DB1_TILE_INTERFACE_CREDIT_AT_MAX_WITH_NO_PENDING_SEND 490
#define     V_036508_SC_BACKEND_PRIM_FIFO_FULL                      491
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_TIMEOUT_COUNTER      492
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_NONBINNED_BATCH      493
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_DEBUG_DATA_PER_DRAW_DISPATCH 494
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_OVERRIDE_REGISTER_PERSISTENT 495
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_OVERRIDE_REGISTER_CONTEXT 496
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_OVERRIDE_REGISTER_FPOV 497
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_NEW_SC_MODE          498
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_BINNING_MODE_CHANGE  499
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_PIPELINE_EVENT_COUNT 500
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_PIPE_RESET           501
#define     V_036508_SC_PBB_BATCH_BREAK_DUE_TO_GFX_PIPE_CHANGE      502
#define     V_036508_SC_STALLED_BY_DB0_TILEFIFO                     503
#define     V_036508_SC_DB0_QUAD_INTF_SEND                          504
#define     V_036508_SC_DB0_QUAD_INTF_BUSY                          505
#define     V_036508_SC_DB0_QUAD_INTF_STALLED_BY_DB                 506
#define     V_036508_SC_DB0_QUAD_INTF_CREDIT_AT_MAX                 507
#define     V_036508_SC_DB0_QUAD_INTF_IDLE                          508
#define     V_036508_SC_DB1_QUAD_INTF_SEND                          509
#define     V_036508_SC_STALLED_BY_DB1_TILEFIFO                     510
#define     V_036508_SC_DB1_QUAD_INTF_BUSY                          511
#define     V_036508_SC_DB1_QUAD_INTF_STALLED_BY_DB                 512
#define     V_036508_SC_DB1_QUAD_INTF_CREDIT_AT_MAX                 513
#define     V_036508_SC_DB1_QUAD_INTF_IDLE                          514
#define     V_036508_SC_PKR_WAVE_BREAK_OUTSIDE_REGION               515
#define     V_036508_SC_PKR_WAVE_BREAK_FULL_TILE                    516
#define R_03650C_PA_SC_PERFCOUNTER2_SELECT                              0x03650C
#define R_036510_PA_SC_PERFCOUNTER3_SELECT                              0x036510
#define R_036514_PA_SC_PERFCOUNTER4_SELECT                              0x036514
#define R_036518_PA_SC_PERFCOUNTER5_SELECT                              0x036518
#define R_03651C_PA_SC_PERFCOUNTER6_SELECT                              0x03651C
#define R_036520_PA_SC_PERFCOUNTER7_SELECT                              0x036520
#define R_036600_SPI_PERFCOUNTER0_SELECT                                0x036600
#define   S_036600_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036600_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036600_PERF_SEL                                           0xFFFFFC00
#define     V_036600_CHA_PERF_SEL_BUSY                              0 /* gfx9 */
#define     V_036600_SPI_PERF_VS_WINDOW_VALID                       0 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_STALL_CHC0                        1 /* gfx9 */
#define     V_036600_SPI_PERF_VS_BUSY                               1 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_STALL_CHC1                        2 /* gfx9 */
#define     V_036600_SPI_PERF_VS_FIRST_WAVE                         2 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_STALL_CHC2                        3 /* gfx9 */
#define     V_036600_SPI_PERF_VS_LAST_WAVE                          3 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_STALL_CHC3                        4 /* gfx9 */
#define     V_036600_SPI_PERF_VS_LSHS_DEALLOC                       4 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_STALL_CHC4                        5 /* gfx9 */
#define     V_036600_SPI_PERF_VS_POS0_STALL                         5 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_STALL_CHC5                        6 /* gfx9 */
#define     V_036600_SPI_PERF_VS_POS1_STALL                         6 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_REQUEST_CHC0                      7 /* gfx9 */
#define     V_036600_SPI_PERF_VS_CRAWLER_STALL                      7 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_REQUEST_CHC1                      8 /* gfx9 */
#define     V_036600_SPI_PERF_VS_EVENT_WAVE                         8 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_REQUEST_CHC2                      9 /* gfx9 */
#define     V_036600_SPI_PERF_VS_WAVE                               9 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_REQUEST_CHC3                      10 /* gfx9 */
#define     V_036600_SPI_PERF_VS_PERS_UPD_FULL0                     10 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_REQUEST_CHC4                      11 /* gfx9 */
#define     V_036600_SPI_PERF_VS_PERS_UPD_FULL1                     11 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_MEM_32B_WDS_CHC0                  12 /* gfx9 */
#define     V_036600_SPI_PERF_VS_LATE_ALLOC_FULL                    12 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_MEM_32B_WDS_CHC1                  13 /* gfx9 */
#define     V_036600_SPI_PERF_VS_FIRST_SUBGRP                       13 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_MEM_32B_WDS_CHC2                  14 /* gfx9 */
#define     V_036600_SPI_PERF_VS_LAST_SUBGRP                        14 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_MEM_32B_WDS_CHC3                  15 /* gfx9 */
#define     V_036600_SPI_PERF_VS_ALLOC_CNT                          15 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_MEM_32B_WDS_CHC4                  16 /* gfx9 */
#define     V_036600_SPI_PERF_VS_LATE_ALLOC_ACCUM                   16 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_IO_32B_WDS_CHC0                   17 /* gfx9 */
#define     V_036600_SPI_PERF_GS_WINDOW_VALID                       17 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_IO_32B_WDS_CHC1                   18 /* gfx9 */
#define     V_036600_SPI_PERF_GS_BUSY                               18 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_IO_32B_WDS_CHC2                   19 /* gfx9 */
#define     V_036600_SPI_PERF_GS_CRAWLER_STALL                      19 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_IO_32B_WDS_CHC3                   20 /* gfx9 */
#define     V_036600_SPI_PERF_GS_EVENT_WAVE                         20 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_IO_32B_WDS_CHC4                   21 /* gfx9 */
#define     V_036600_SPI_PERF_GS_WAVE                               21 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_MEM_BURST_COUNT_CHC0              22 /* gfx9 */
#define     V_036600_SPI_PERF_GS_PERS_UPD_FULL0                     22 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_MEM_BURST_COUNT_CHC1              23 /* gfx9 */
#define     V_036600_SPI_PERF_GS_PERS_UPD_FULL1                     23 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_MEM_BURST_COUNT_CHC2              24 /* gfx9 */
#define     V_036600_SPI_PERF_GS_FIRST_SUBGRP                       24 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_MEM_BURST_COUNT_CHC3              25 /* gfx9 */
#define     V_036600_SPI_PERF_GS_LAST_SUBGRP                        25 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_MEM_BURST_COUNT_CHC4              26 /* gfx9 */
#define     V_036600_SPI_PERF_GS_HS_DEALLOC                         26 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_IO_BURST_COUNT_CHC0               27 /* gfx9 */
#define     V_036600_SPI_PERF_GS_NGG_SE_LATE_ALLOC_LIMIT            27 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_IO_BURST_COUNT_CHC1               28 /* gfx9 */
#define     V_036600_SPI_PERF_GS_GRP_FIFO_FULL                      28 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_IO_BURST_COUNT_CHC2               29 /* gfx9 */
#define     V_036600_SPI_PERF_GS_POS0_STALL                         29 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_IO_BURST_COUNT_CHC3               30 /* gfx9 */
#define     V_036600_SPI_PERF_GS_POS1_STALL                         30 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_IO_BURST_COUNT_CHC4               31 /* gfx9 */
#define     V_036600_SPI_PERF_GS_INDX0_STALL                        31 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_ARB_REQUESTS                      32 /* gfx9 */
#define     V_036600_SPI_PERF_GS_INDX1_STALL                        32 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC0                33 /* gfx9 */
#define     V_036600_SPI_PERF_HS_WINDOW_VALID                       33 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC1                34 /* gfx9 */
#define     V_036600_SPI_PERF_HS_BUSY                               34 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC2                35 /* gfx9 */
#define     V_036600_SPI_PERF_HS_CRAWLER_STALL                      35 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC3                36 /* gfx9 */
#define     V_036600_SPI_PERF_HS_FIRST_WAVE                         36 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC4                37 /* gfx9 */
#define     V_036600_SPI_PERF_HS_LAST_WAVE                          37 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_REQ_INFLIGHT_LEVEL                38 /* gfx9 */
#define     V_036600_SPI_PERF_HS_LSHS_DEALLOC                       38 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC0           39 /* gfx9 */
#define     V_036600_SPI_PERF_HS_OFFCHIP_LDS_STALL                  39 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC1           40 /* gfx9 */
#define     V_036600_SPI_PERF_HS_EVENT_WAVE                         40 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC2           41 /* gfx9 */
#define     V_036600_SPI_PERF_HS_WAVE                               41 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC3           42 /* gfx9 */
#define     V_036600_SPI_PERF_HS_PERS_UPD_FULL0                     42 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC4           43 /* gfx9 */
#define     V_036600_SPI_PERF_HS_PERS_UPD_FULL1                     43 /* >= gfx10 */
#define     V_036600_CHA_PERF_SEL_CYCLE                             44 /* gfx9 */
#define     V_036600_SPI_PERF_CSG_WINDOW_VALID                      44 /* >= gfx10 */
#define     V_036600_SPI_PERF_CSG_BUSY                              45 /* >= gfx10 */
#define     V_036600_SPI_PERF_CSG_NUM_THREADGROUPS                  46 /* >= gfx10 */
#define     V_036600_SPI_PERF_CSG_CRAWLER_STALL                     47 /* >= gfx10 */
#define     V_036600_SPI_PERF_CSG_EVENT_WAVE                        48 /* >= gfx10 */
#define     V_036600_SPI_PERF_CSG_WAVE                              49 /* >= gfx10 */
#define     V_036600_SPI_PERF_CSN_WINDOW_VALID                      50 /* >= gfx10 */
#define     V_036600_SPI_PERF_CSN_BUSY                              51 /* >= gfx10 */
#define     V_036600_SPI_PERF_CSN_NUM_THREADGROUPS                  52 /* >= gfx10 */
#define     V_036600_SPI_PERF_CSN_CRAWLER_STALL                     53 /* >= gfx10 */
#define     V_036600_SPI_PERF_CSN_EVENT_WAVE                        54 /* >= gfx10 */
#define     V_036600_SPI_PERF_CSN_WAVE                              55 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_WINDOW_VALID                      56 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_WINDOW_VALID                      57 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_WINDOW_VALID                      58 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_WINDOW_VALID                      59 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_BUSY                              60 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_BUSY                              61 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_BUSY                              62 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_BUSY                              63 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_ACTIVE                            64 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_ACTIVE                            65 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_ACTIVE                            66 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_ACTIVE                            67 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_DEALLOC                           68 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_DEALLOC                           69 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_DEALLOC                           70 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_DEALLOC                           71 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_FPOS_STALL                        72 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_FPOS_STALL                        73 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_FPOS_STALL                        74 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_FPOS_STALL                        75 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_EVENT_WAVE                        76 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_EVENT_WAVE                        77 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_EVENT_WAVE                        78 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_EVENT_WAVE                        79 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_WAVE                              80 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_WAVE                              81 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_WAVE                              82 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_WAVE                              83 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_OPT_WAVE                          84 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_OPT_WAVE                          85 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_OPT_WAVE                          86 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_OPT_WAVE                          87 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_PASS_BIN0                         88 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_PASS_BIN0                         89 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_PASS_BIN0                         90 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_PASS_BIN0                         91 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_PASS_BIN1                         92 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_PASS_BIN1                         93 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_PASS_BIN1                         94 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_PASS_BIN1                         95 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_FPOS                              96 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_FPOS                              97 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_FPOS                              98 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_FPOS                              99 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_PRIM_BIN0                         100 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_PRIM_BIN0                         101 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_PRIM_BIN0                         102 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_PRIM_BIN0                         103 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_PRIM_BIN1                         104 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_PRIM_BIN1                         105 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_PRIM_BIN1                         106 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_PRIM_BIN1                         107 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_CNF_BIN2                          108 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_CNF_BIN2                          109 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_CNF_BIN2                          110 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_CNF_BIN2                          111 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_CNF_BIN3                          112 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_CNF_BIN3                          113 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_CNF_BIN3                          114 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_CNF_BIN3                          115 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_CRAWLER_STALL                     116 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_CRAWLER_STALL                     117 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_CRAWLER_STALL                     118 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_CRAWLER_STALL                     119 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_LDS_RES_FULL                      120 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_LDS_RES_FULL                      121 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_LDS_RES_FULL                      122 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_LDS_RES_FULL                      123 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_POPS_WAVE_SENT                    124 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_POPS_WAVE_SENT                    125 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_POPS_WAVE_SENT                    126 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_POPS_WAVE_SENT                    127 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS0_POPS_WAVE_EXIT                    128 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS1_POPS_WAVE_EXIT                    129 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS2_POPS_WAVE_EXIT                    130 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS3_POPS_WAVE_EXIT                    131 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS_PERS_UPD_FULL0                     132 /* >= gfx10 */
#define     V_036600_SPI_PERF_PS_PERS_UPD_FULL1                     133 /* >= gfx10 */
#define     V_036600_SPI_PERF_LDS0_PC_VALID                         134 /* >= gfx10 */
#define     V_036600_SPI_PERF_LDS1_PC_VALID                         135 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_PIPE_REQ_BIN2                      136 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_TASK_REQ_BIN3                      137 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WR_CTL_FULL                        138 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_REQ_NO_ALLOC                       139 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_REQ_NO_ALLOC_PS                    140 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_REQ_NO_ALLOC_VS                    141 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_REQ_NO_ALLOC_ES                    142 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_REQ_NO_ALLOC_GS                    143 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_REQ_NO_ALLOC_LS                    144 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_REQ_NO_ALLOC_HS                    145 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_REQ_NO_ALLOC_CSG                   146 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_REQ_NO_ALLOC_CSN                   147 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_RES_STALL_PS                       148 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_RES_STALL_VS                       149 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_RES_STALL_ES                       150 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_RES_STALL_GS                       151 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_RES_STALL_LS                       152 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_RES_STALL_HS                       153 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_RES_STALL_CSG                      154 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_RES_STALL_CSN                      155 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_TMP_STALL_PS                       156 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_TMP_STALL_VS                       157 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_TMP_STALL_ES                       158 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_TMP_STALL_GS                       159 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_TMP_STALL_LS                       160 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_TMP_STALL_HS                       161 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_TMP_STALL_CSG                      162 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_TMP_STALL_CSN                      163 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WAVE_SIMD_FULL_PS                  164 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WAVE_SIMD_FULL_VS                  165 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WAVE_SIMD_FULL_ES                  166 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WAVE_SIMD_FULL_GS                  167 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WAVE_SIMD_FULL_LS                  168 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WAVE_SIMD_FULL_HS                  169 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WAVE_SIMD_FULL_CSG                 170 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WAVE_SIMD_FULL_CSN                 171 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_VGPR_SIMD_FULL_PS                  172 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_VGPR_SIMD_FULL_VS                  173 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_VGPR_SIMD_FULL_ES                  174 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_VGPR_SIMD_FULL_GS                  175 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_VGPR_SIMD_FULL_HS                  176 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_VGPR_SIMD_FULL_LS                  177 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_VGPR_SIMD_FULL_CSG                 178 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_VGPR_SIMD_FULL_CSN                 179 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_SGPR_SIMD_FULL_PS                  180 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_SGPR_SIMD_FULL_VS                  181 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_SGPR_SIMD_FULL_ES                  182 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_SGPR_SIMD_FULL_GS                  183 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_SGPR_SIMD_FULL_LS                  184 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_SGPR_SIMD_FULL_HS                  185 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_SGPR_SIMD_FULL_CSG                 186 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_SGPR_SIMD_FULL_CSN                 187 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_LDS_CU_FULL_PS                     188 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_LDS_CU_FULL_LS                     189 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_LDS_CU_FULL_HS                     190 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_LDS_CU_FULL_ES                     191 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_LDS_CU_FULL_GS                     192 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_LDS_CU_FULL_CSG                    193 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_LDS_CU_FULL_CSN                    194 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_BAR_CU_FULL_HS                     195 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_BAR_CU_FULL_CSG                    196 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_BAR_CU_FULL_CSN                    197 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_BULKY_CU_FULL_CSG                  198 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_BULKY_CU_FULL_CSN                  199 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_TGLIM_CU_FULL_CSG                  200 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_TGLIM_CU_FULL_CSN                  201 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WVLIM_STALL_PS                     202 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WVLIM_STALL_VS                     203 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WVLIM_STALL_ES                     204 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WVLIM_STALL_GS                     205 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WVLIM_STALL_LS                     206 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WVLIM_STALL_HS                     207 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WVLIM_STALL_CSG                    208 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WVLIM_STALL_CSN                    209 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_VS_LOCK                            210 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_PS_LOCK                            211 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_ES_LOCK                            212 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_GS_LOCK                            213 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_LS_LOCK                            214 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_HS_LOCK                            215 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_CSG_LOCK                           216 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_CSN_LOCK                           217 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_RSV_UPD                            218 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_PRE_ALLOC_STALL                    219 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_GFX_UNDER_TUNNEL                   220 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_CSC_UNDER_TUNNEL                   221 /* >= gfx10 */
#define     V_036600_SPI_PERF_RA_WVALLOC_STALL                      222 /* >= gfx10 */
#define     V_036600_SPI_PERF_EXP_ARB_COL_CNT                       223 /* >= gfx10 */
#define     V_036600_SPI_PERF_EXP_ARB_PAR_CNT                       224 /* >= gfx10 */
#define     V_036600_SPI_PERF_EXP_ARB_POS_CNT                       225 /* >= gfx10 */
#define     V_036600_SPI_PERF_EXP_ARB_GDS_CNT                       226 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_PS_COL_SA0SQ0_EXPORTS             227 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_PS_COL_SA0SQ1_EXPORTS             228 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_PS_COL_SA1SQ0_EXPORTS             229 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_PS_COL_SA1SQ1_EXPORTS             230 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_VS_POS_SA0SQ0_EXPORTS             231 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_VS_POS_SA0SQ1_EXPORTS             232 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_VS_POS_SA1SQ0_EXPORTS             233 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_VS_POS_SA1SQ1_EXPORTS             234 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_VS_PARAM_SA0SQ0_EXPORTS           235 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_VS_PARAM_SA0SQ1_EXPORTS           236 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_VS_PARAM_SA1SQ0_EXPORTS           237 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_VS_PARAM_SA1SQ1_EXPORTS           238 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_VS_GDS_SA0SQ0_EXPORTS             239 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_VS_GDS_SA0SQ1_EXPORTS             240 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_VS_GDS_SA1SQ0_EXPORTS             241 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_VS_GDS_SA1SQ1_EXPORTS             242 /* >= gfx10 */
#define     V_036600_SPI_PERF_NUM_EXPGRANT_EXPORTS                  243 /* >= gfx10 */
#define     V_036600_SPI_PERF_CLKGATE_BUSY_STALL                    244 /* >= gfx10 */
#define     V_036600_SPI_PERF_CLKGATE_ACTIVE_STALL                  245 /* >= gfx10 */
#define     V_036600_SPI_PERF_CLKGATE_ALL_CLOCKS_ON                 246 /* >= gfx10 */
#define     V_036600_SPI_PERF_CLKGATE_CGTT_DYN_ON                   247 /* >= gfx10 */
#define     V_036600_SPI_PERF_CLKGATE_CGTT_REG_ON                   248 /* >= gfx10 */
#define     V_036600_SPI_PERF_PIX_ALLOC_PEND_CNT                    249 /* >= gfx10 */
#define     V_036600_SPI_PERF_PIX_ALLOC_SCB0_STALL                  250 /* >= gfx10 */
#define     V_036600_SPI_PERF_PIX_ALLOC_SCB1_STALL                  251 /* >= gfx10 */
#define     V_036600_SPI_PERF_PIX_ALLOC_SCB2_STALL                  252 /* >= gfx10 */
#define     V_036600_SPI_PERF_PIX_ALLOC_SCB3_STALL                  253 /* >= gfx10 */
#define     V_036600_SPI_PERF_PIX_ALLOC_DB0_STALL                   254 /* >= gfx10 */
#define     V_036600_SPI_PERF_PIX_ALLOC_DB1_STALL                   255 /* >= gfx10 */
#define     V_036600_SPI_PERF_PIX_ALLOC_DB2_STALL                   256 /* >= gfx10 */
#define     V_036600_SPI_PERF_PIX_ALLOC_DB3_STALL                   257 /* >= gfx10 */
#define     V_036600_SPI_PERF_PIX_ALLOC_DB4_STALL                   258 /* >= gfx10 */
#define     V_036600_SPI_PERF_PIX_ALLOC_DB5_STALL                   259 /* >= gfx10 */
#define     V_036600_SPI_PERF_PIX_ALLOC_DB6_STALL                   260 /* >= gfx10 */
#define     V_036600_SPI_PERF_PIX_ALLOC_DB7_STALL                   261 /* >= gfx10 */
#define     V_036600_SPI_PERF_GS_NGG_SE_SEND_GS_ALLOC               262 /* >= gfx10 */
#define     V_036600_SPI_PERF_SWC_PS_WR                             263 /* >= gfx10 */
#define     V_036600_SPI_PERF_SWC_VS_WR                             264 /* >= gfx10 */
#define     V_036600_SPI_PERF_SWC_ES_WR                             265 /* >= gfx10 */
#define     V_036600_SPI_PERF_SWC_GS_WR                             266 /* >= gfx10 */
#define     V_036600_SPI_PERF_SWC_LS_WR                             267 /* >= gfx10 */
#define     V_036600_SPI_PERF_SWC_HS_WR                             268 /* >= gfx10 */
#define     V_036600_SPI_PERF_SWC_CSG_WR                            269 /* >= gfx10 */
#define     V_036600_SPI_PERF_SWC_CSN_WR                            270 /* >= gfx10 */
#define     V_036600_SPI_PERF_VWC_PS_WR                             271 /* >= gfx10 */
#define     V_036600_SPI_PERF_VWC_VS_WR                             272 /* >= gfx10 */
#define     V_036600_SPI_PERF_VWC_ES_WR                             273 /* >= gfx10 */
#define     V_036600_SPI_PERF_VWC_GS_WR                             274 /* >= gfx10 */
#define     V_036600_SPI_PERF_VWC_LS_WR                             275 /* >= gfx10 */
#define     V_036600_SPI_PERF_VWC_HS_WR                             276 /* >= gfx10 */
#define     V_036600_SPI_PERF_VWC_CSG_WR                            277 /* >= gfx10 */
#define     V_036600_SPI_PERF_VWC_CSN_WR                            278 /* >= gfx10 */
#define     V_036600_SPI_PERF_ES_WINDOW_VALID                       279 /* >= gfx10 */
#define     V_036600_SPI_PERF_ES_BUSY                               280 /* >= gfx10 */
#define     V_036600_SPI_PERF_ES_CRAWLER_STALL                      281 /* >= gfx10 */
#define     V_036600_SPI_PERF_ES_FIRST_WAVE                         282 /* >= gfx10 */
#define     V_036600_SPI_PERF_ES_LAST_WAVE                          283 /* >= gfx10 */
#define     V_036600_SPI_PERF_ES_LSHS_DEALLOC                       284 /* >= gfx10 */
#define     V_036600_SPI_PERF_ES_EVENT_WAVE                         285 /* >= gfx10 */
#define     V_036600_SPI_PERF_ES_WAVE                               286 /* >= gfx10 */
#define     V_036600_SPI_PERF_ES_PERS_UPD_FULL0                     287 /* >= gfx10 */
#define     V_036600_SPI_PERF_ES_PERS_UPD_FULL1                     288 /* >= gfx10 */
#define     V_036600_SPI_PERF_ES_FIRST_SUBGRP                       289 /* >= gfx10 */
#define     V_036600_SPI_PERF_ES_LAST_SUBGRP                        290 /* >= gfx10 */
#define     V_036600_SPI_PERF_LS_WINDOW_VALID                       291 /* >= gfx10 */
#define     V_036600_SPI_PERF_LS_BUSY                               292 /* >= gfx10 */
#define     V_036600_SPI_PERF_LS_CRAWLER_STALL                      293 /* >= gfx10 */
#define     V_036600_SPI_PERF_LS_FIRST_WAVE                         294 /* >= gfx10 */
#define     V_036600_SPI_PERF_LS_LAST_WAVE                          295 /* >= gfx10 */
#define     V_036600_SPI_PERF_LS_OFFCHIP_LDS_STALL                  296 /* >= gfx10 */
#define     V_036600_SPI_PERF_LS_EVENT_WAVE                         297 /* >= gfx10 */
#define     V_036600_SPI_PERF_LS_WAVE                               298 /* >= gfx10 */
#define     V_036600_SPI_PERF_LS_PERS_UPD_FULL0                     299 /* >= gfx10 */
#define     V_036600_SPI_PERF_LS_PERS_UPD_FULL1                     300 /* >= gfx10 */
#define   S_036600_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036600_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036600_PERF_SEL1                                          0xFFF003FF
#define   S_036600_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036600_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036600_CNTR_MODE                                          0xFF0FFFFF
#define   S_036600_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24) /* >= gfx9 */
#define   G_036600_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036600_PERF_MODE1                                         0xF0FFFFFF
#define   S_036600_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28) /* >= gfx9 */
#define   G_036600_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036600_PERF_MODE                                          0x0FFFFFFF
#define R_036604_SPI_PERFCOUNTER1_SELECT                                0x036604
#define R_036608_SPI_PERFCOUNTER2_SELECT                                0x036608
#define R_03660C_SPI_PERFCOUNTER3_SELECT                                0x03660C
#define R_036610_SPI_PERFCOUNTER0_SELECT1                               0x036610
#define   S_036610_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_036610_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036610_PERF_SEL2                                          0xFFFFFC00
#define     V_036610_DB_PERF_SEL_SC_DB_tile_sends                   0 /* gfx9 */
#define     V_036610_SPI_PERF_VS_WINDOW_VALID                       0 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SC_DB_tile_busy                    1 /* gfx9 */
#define     V_036610_SPI_PERF_VS_BUSY                               1 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SC_DB_tile_stalls                  2 /* gfx9 */
#define     V_036610_SPI_PERF_VS_FIRST_WAVE                         2 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SC_DB_tile_events                  3 /* gfx9 */
#define     V_036610_SPI_PERF_VS_LAST_WAVE                          3 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SC_DB_tile_tiles                   4 /* gfx9 */
#define     V_036610_SPI_PERF_VS_LSHS_DEALLOC                       4 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SC_DB_tile_covered                 5 /* gfx9 */
#define     V_036610_SPI_PERF_VS_POS0_STALL                         5 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_hiz_tc_read_starved                6 /* gfx9 */
#define     V_036610_SPI_PERF_VS_POS1_STALL                         6 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_hiz_tc_write_stall                 7 /* gfx9 */
#define     V_036610_SPI_PERF_VS_CRAWLER_STALL                      7 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_hiz_tile_culled                    8 /* gfx9 */
#define     V_036610_SPI_PERF_VS_EVENT_WAVE                         8 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_his_tile_culled                    9 /* gfx9 */
#define     V_036610_SPI_PERF_VS_WAVE                               9 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_tile_sends                   10 /* gfx9 */
#define     V_036610_SPI_PERF_VS_PERS_UPD_FULL0                     10 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_tile_busy                    11 /* gfx9 */
#define     V_036610_SPI_PERF_VS_PERS_UPD_FULL1                     11 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_tile_stalls                  12 /* gfx9 */
#define     V_036610_SPI_PERF_VS_LATE_ALLOC_FULL                    12 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_tile_df_stalls               13 /* gfx9 */
#define     V_036610_SPI_PERF_VS_FIRST_SUBGRP                       13 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_tile_tiles                   14 /* gfx9 */
#define     V_036610_SPI_PERF_VS_LAST_SUBGRP                        14 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_tile_culled                  15 /* gfx9 */
#define     V_036610_SPI_PERF_VS_ALLOC_CNT                          15 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_tile_hier_kill               16 /* gfx9 */
#define     V_036610_SPI_PERF_VS_LATE_ALLOC_ACCUM                   16 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_tile_fast_ops                17 /* gfx9 */
#define     V_036610_SPI_PERF_GS_WINDOW_VALID                       17 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_tile_no_ops                  18 /* gfx9 */
#define     V_036610_SPI_PERF_GS_BUSY                               18 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_tile_tile_rate               19 /* gfx9 */
#define     V_036610_SPI_PERF_GS_CRAWLER_STALL                      19 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_tile_ssaa_kill               20 /* gfx9 */
#define     V_036610_SPI_PERF_GS_EVENT_WAVE                         20 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_tile_fast_z_ops              21 /* gfx9 */
#define     V_036610_SPI_PERF_GS_WAVE                               21 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_tile_fast_stencil_ops        22 /* gfx9 */
#define     V_036610_SPI_PERF_GS_PERS_UPD_FULL0                     22 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SC_DB_quad_sends                   23 /* gfx9 */
#define     V_036610_SPI_PERF_GS_PERS_UPD_FULL1                     23 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SC_DB_quad_busy                    24 /* gfx9 */
#define     V_036610_SPI_PERF_GS_FIRST_SUBGRP                       24 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SC_DB_quad_squads                  25 /* gfx9 */
#define     V_036610_SPI_PERF_GS_LAST_SUBGRP                        25 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SC_DB_quad_tiles                   26 /* gfx9 */
#define     V_036610_SPI_PERF_GS_HS_DEALLOC                         26 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SC_DB_quad_pixels                  27 /* gfx9 */
#define     V_036610_SPI_PERF_GS_NGG_SE_LATE_ALLOC_LIMIT            27 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SC_DB_quad_killed_tiles            28 /* gfx9 */
#define     V_036610_SPI_PERF_GS_GRP_FIFO_FULL                      28 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_quad_sends                   29 /* gfx9 */
#define     V_036610_SPI_PERF_GS_POS0_STALL                         29 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_quad_busy                    30 /* gfx9 */
#define     V_036610_SPI_PERF_GS_POS1_STALL                         30 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_quad_stalls                  31 /* gfx9 */
#define     V_036610_SPI_PERF_GS_INDX0_STALL                        31 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_quad_tiles                   32 /* gfx9 */
#define     V_036610_SPI_PERF_GS_INDX1_STALL                        32 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_quad_lit_quad                33 /* gfx9 */
#define     V_036610_SPI_PERF_HS_WINDOW_VALID                       33 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_CB_tile_sends                   34 /* gfx9 */
#define     V_036610_SPI_PERF_HS_BUSY                               34 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_CB_tile_busy                    35 /* gfx9 */
#define     V_036610_SPI_PERF_HS_CRAWLER_STALL                      35 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_CB_tile_stalls                  36 /* gfx9 */
#define     V_036610_SPI_PERF_HS_FIRST_WAVE                         36 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SX_DB_quad_sends                   37 /* gfx9 */
#define     V_036610_SPI_PERF_HS_LAST_WAVE                          37 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SX_DB_quad_busy                    38 /* gfx9 */
#define     V_036610_SPI_PERF_HS_LSHS_DEALLOC                       38 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SX_DB_quad_stalls                  39 /* gfx9 */
#define     V_036610_SPI_PERF_HS_OFFCHIP_LDS_STALL                  39 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SX_DB_quad_quads                   40 /* gfx9 */
#define     V_036610_SPI_PERF_HS_EVENT_WAVE                         40 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SX_DB_quad_pixels                  41 /* gfx9 */
#define     V_036610_SPI_PERF_HS_WAVE                               41 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SX_DB_quad_exports                 42 /* gfx9 */
#define     V_036610_SPI_PERF_HS_PERS_UPD_FULL0                     42 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_SH_quads_outstanding_sum           43 /* gfx9 */
#define     V_036610_SPI_PERF_HS_PERS_UPD_FULL1                     43 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_CB_lquad_sends                  44 /* gfx9 */
#define     V_036610_SPI_PERF_CSG_WINDOW_VALID                      44 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_CB_lquad_busy                   45 /* gfx9 */
#define     V_036610_SPI_PERF_CSG_BUSY                              45 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_CB_lquad_stalls                 46 /* gfx9 */
#define     V_036610_SPI_PERF_CSG_NUM_THREADGROUPS                  46 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_CB_lquad_quads                  47 /* gfx9 */
#define     V_036610_SPI_PERF_CSG_CRAWLER_STALL                     47 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tile_rd_sends                      48 /* gfx9 */
#define     V_036610_SPI_PERF_CSG_EVENT_WAVE                        48 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_mi_tile_rd_outstanding_sum         49 /* gfx9 */
#define     V_036610_SPI_PERF_CSG_WAVE                              49 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_quad_rd_sends                      50 /* gfx9 */
#define     V_036610_SPI_PERF_CSN_WINDOW_VALID                      50 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_quad_rd_busy                       51 /* gfx9 */
#define     V_036610_SPI_PERF_CSN_BUSY                              51 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_quad_rd_mi_stall                   52 /* gfx9 */
#define     V_036610_SPI_PERF_CSN_NUM_THREADGROUPS                  52 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_quad_rd_rw_collision               53 /* gfx9 */
#define     V_036610_SPI_PERF_CSN_CRAWLER_STALL                     53 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_quad_rd_tag_stall                  54 /* gfx9 */
#define     V_036610_SPI_PERF_CSN_EVENT_WAVE                        54 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_quad_rd_32byte_reqs                55 /* gfx9 */
#define     V_036610_SPI_PERF_CSN_WAVE                              55 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_quad_rd_panic                      56 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_WINDOW_VALID                      56 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_mi_quad_rd_outstanding_sum         57 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_WINDOW_VALID                      57 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_quad_rdret_sends                   58 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_WINDOW_VALID                      58 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_quad_rdret_busy                    59 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_WINDOW_VALID                      59 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tile_wr_sends                      60 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_BUSY                              60 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tile_wr_acks                       61 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_BUSY                              61 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_mi_tile_wr_outstanding_sum         62 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_BUSY                              62 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_quad_wr_sends                      63 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_BUSY                              63 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_quad_wr_busy                       64 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_ACTIVE                            64 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_quad_wr_mi_stall                   65 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_ACTIVE                            65 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_quad_wr_coherency_stall            66 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_ACTIVE                            66 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_quad_wr_acks                       67 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_ACTIVE                            67 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_mi_quad_wr_outstanding_sum         68 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_DEALLOC                           68 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Tile_Cache_misses                  69 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_DEALLOC                           69 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Tile_Cache_hits                    70 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_DEALLOC                           70 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Tile_Cache_flushes                 71 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_DEALLOC                           71 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Tile_Cache_surface_stall           72 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_FPOS_STALL                        72 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Tile_Cache_starves                 73 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_FPOS_STALL                        73 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Tile_Cache_mem_return_starve       74 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_FPOS_STALL                        74 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tcp_dispatcher_reads               75 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_FPOS_STALL                        75 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tcp_prefetcher_reads               76 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_EVENT_WAVE                        76 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tcp_preloader_reads                77 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_EVENT_WAVE                        77 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tcp_dispatcher_flushes             78 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_EVENT_WAVE                        78 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tcp_prefetcher_flushes             79 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_EVENT_WAVE                        79 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tcp_preloader_flushes              80 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_WAVE                              80 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Depth_Tile_Cache_sends             81 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_WAVE                              81 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Depth_Tile_Cache_busy              82 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_WAVE                              82 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Depth_Tile_Cache_starves           83 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_WAVE                              83 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Depth_Tile_Cache_dtile_locked      84 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_OPT_WAVE                          84 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Depth_Tile_Cache_alloc_stall       85 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_OPT_WAVE                          85 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Depth_Tile_Cache_misses            86 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_OPT_WAVE                          86 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Depth_Tile_Cache_hits              87 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_OPT_WAVE                          87 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Depth_Tile_Cache_flushes           88 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_PASS_BIN0                         88 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Depth_Tile_Cache_noop_tile         89 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_PASS_BIN0                         89 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Depth_Tile_Cache_detailed_noop     90 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_PASS_BIN0                         90 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Depth_Tile_Cache_event             91 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_PASS_BIN0                         91 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Depth_Tile_Cache_tile_frees        92 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_PASS_BIN1                         92 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Depth_Tile_Cache_data_frees        93 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_PASS_BIN1                         93 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Depth_Tile_Cache_mem_return_starve 94 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_PASS_BIN1                         94 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Stencil_Cache_misses               95 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_PASS_BIN1                         95 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Stencil_Cache_hits                 96 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_FPOS                              96 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Stencil_Cache_flushes              97 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_FPOS                              97 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Stencil_Cache_starves              98 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_FPOS                              98 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Stencil_Cache_frees                99 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_FPOS                              99 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Z_Cache_separate_Z_misses          100 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_PRIM_BIN0                         100 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Z_Cache_separate_Z_hits            101 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_PRIM_BIN0                         101 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Z_Cache_separate_Z_flushes         102 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_PRIM_BIN0                         102 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Z_Cache_separate_Z_starves         103 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_PRIM_BIN0                         103 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Z_Cache_pmask_misses               104 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_PRIM_BIN1                         104 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Z_Cache_pmask_hits                 105 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_PRIM_BIN1                         105 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Z_Cache_pmask_flushes              106 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_PRIM_BIN1                         106 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Z_Cache_pmask_starves              107 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_PRIM_BIN1                         107 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Z_Cache_frees                      108 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_CNF_BIN2                          108 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Plane_Cache_misses                 109 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_CNF_BIN2                          109 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Plane_Cache_hits                   110 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_CNF_BIN2                          110 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Plane_Cache_flushes                111 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_CNF_BIN2                          111 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Plane_Cache_starves                112 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_CNF_BIN3                          112 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Plane_Cache_frees                  113 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_CNF_BIN3                          113 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_expanded_stencil             114 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_CNF_BIN3                          114 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_compressed_stencil           115 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_CNF_BIN3                          115 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_single_stencil               116 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_CRAWLER_STALL                     116 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_planes_flushed                     117 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_CRAWLER_STALL                     117 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_1plane                       118 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_CRAWLER_STALL                     118 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_2plane                       119 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_CRAWLER_STALL                     119 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_3plane                       120 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_LDS_RES_FULL                      120 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_4plane                       121 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_LDS_RES_FULL                      121 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_5plane                       122 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_LDS_RES_FULL                      122 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_6plane                       123 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_LDS_RES_FULL                      123 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_7plane                       124 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_POPS_WAVE_SENT                    124 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_8plane                       125 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_POPS_WAVE_SENT                    125 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_9plane                       126 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_POPS_WAVE_SENT                    126 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_10plane                      127 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_POPS_WAVE_SENT                    127 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_11plane                      128 /* gfx9 */
#define     V_036610_SPI_PERF_PS0_POPS_WAVE_EXIT                    128 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_12plane                      129 /* gfx9 */
#define     V_036610_SPI_PERF_PS1_POPS_WAVE_EXIT                    129 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_13plane                      130 /* gfx9 */
#define     V_036610_SPI_PERF_PS2_POPS_WAVE_EXIT                    130 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_14plane                      131 /* gfx9 */
#define     V_036610_SPI_PERF_PS3_POPS_WAVE_EXIT                    131 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_15plane                      132 /* gfx9 */
#define     V_036610_SPI_PERF_PS_PERS_UPD_FULL0                     132 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_16plane                      133 /* gfx9 */
#define     V_036610_SPI_PERF_PS_PERS_UPD_FULL1                     133 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_expanded_z                   134 /* gfx9 */
#define     V_036610_SPI_PERF_LDS0_PC_VALID                         134 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_earlyZ_waiting_for_postZ_done      135 /* gfx9 */
#define     V_036610_SPI_PERF_LDS1_PC_VALID                         135 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_reZ_waiting_for_postZ_done         136 /* gfx9 */
#define     V_036610_SPI_PERF_RA_PIPE_REQ_BIN2                      136 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_dk_tile_sends                      137 /* gfx9 */
#define     V_036610_SPI_PERF_RA_TASK_REQ_BIN3                      137 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_dk_tile_busy                       138 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WR_CTL_FULL                        138 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_dk_tile_quad_starves               139 /* gfx9 */
#define     V_036610_SPI_PERF_RA_REQ_NO_ALLOC                       139 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_dk_tile_stalls                     140 /* gfx9 */
#define     V_036610_SPI_PERF_RA_REQ_NO_ALLOC_PS                    140 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_dk_squad_sends                     141 /* gfx9 */
#define     V_036610_SPI_PERF_RA_REQ_NO_ALLOC_VS                    141 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_dk_squad_busy                      142 /* gfx9 */
#define     V_036610_SPI_PERF_RA_REQ_NO_ALLOC_ES                    142 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_dk_squad_stalls                    143 /* gfx9 */
#define     V_036610_SPI_PERF_RA_REQ_NO_ALLOC_GS                    143 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Op_Pipe_Busy                       144 /* gfx9 */
#define     V_036610_SPI_PERF_RA_REQ_NO_ALLOC_LS                    144 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Op_Pipe_MC_Read_stall              145 /* gfx9 */
#define     V_036610_SPI_PERF_RA_REQ_NO_ALLOC_HS                    145 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_qc_busy                            146 /* gfx9 */
#define     V_036610_SPI_PERF_RA_REQ_NO_ALLOC_CSG                   146 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_qc_xfc                             147 /* gfx9 */
#define     V_036610_SPI_PERF_RA_REQ_NO_ALLOC_CSN                   147 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_qc_conflicts                       148 /* gfx9 */
#define     V_036610_SPI_PERF_RA_RES_STALL_PS                       148 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_qc_full_stall                      149 /* gfx9 */
#define     V_036610_SPI_PERF_RA_RES_STALL_VS                       149 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_qc_in_preZ_tile_stalls_postZ       150 /* gfx9 */
#define     V_036610_SPI_PERF_RA_RES_STALL_ES                       150 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_qc_in_postZ_tile_stalls_preZ       151 /* gfx9 */
#define     V_036610_SPI_PERF_RA_RES_STALL_GS                       151 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tsc_insert_summarize_stall         152 /* gfx9 */
#define     V_036610_SPI_PERF_RA_RES_STALL_LS                       152 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_busy                            153 /* gfx9 */
#define     V_036610_SPI_PERF_RA_RES_STALL_HS                       153 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_dtc_read_starved                154 /* gfx9 */
#define     V_036610_SPI_PERF_RA_RES_STALL_CSG                      154 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_z_fetch_stall                   155 /* gfx9 */
#define     V_036610_SPI_PERF_RA_RES_STALL_CSN                      155 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_stencil_stall                   156 /* gfx9 */
#define     V_036610_SPI_PERF_RA_TMP_STALL_PS                       156 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_z_decompress_stall              157 /* gfx9 */
#define     V_036610_SPI_PERF_RA_TMP_STALL_VS                       157 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_stencil_locked_stall            158 /* gfx9 */
#define     V_036610_SPI_PERF_RA_TMP_STALL_ES                       158 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_events                          159 /* gfx9 */
#define     V_036610_SPI_PERF_RA_TMP_STALL_GS                       159 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_summarize_squads                160 /* gfx9 */
#define     V_036610_SPI_PERF_RA_TMP_STALL_LS                       160 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_flush_expand_squads             161 /* gfx9 */
#define     V_036610_SPI_PERF_RA_TMP_STALL_HS                       161 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_expand_squads                   162 /* gfx9 */
#define     V_036610_SPI_PERF_RA_TMP_STALL_CSG                      162 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_preZ_squads                     163 /* gfx9 */
#define     V_036610_SPI_PERF_RA_TMP_STALL_CSN                      163 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_postZ_squads                    164 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WAVE_SIMD_FULL_PS                  164 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_preZ_noop_squads                165 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WAVE_SIMD_FULL_VS                  165 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_postZ_noop_squads               166 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WAVE_SIMD_FULL_ES                  166 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_tile_ops                        167 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WAVE_SIMD_FULL_GS                  167 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_in_xfc                          168 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WAVE_SIMD_FULL_LS                  168 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_in_single_stencil_expand_stall  169 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WAVE_SIMD_FULL_HS                  169 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_in_fast_z_stall                 170 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WAVE_SIMD_FULL_CSG                 170 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_out_xfc                         171 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WAVE_SIMD_FULL_CSN                 171 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tl_out_squads                      172 /* gfx9 */
#define     V_036610_SPI_PERF_RA_VGPR_SIMD_FULL_PS                  172 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_zf_plane_multicycle                173 /* gfx9 */
#define     V_036610_SPI_PERF_RA_VGPR_SIMD_FULL_VS                  173 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_PostZ_Samples_passing_Z            174 /* gfx9 */
#define     V_036610_SPI_PERF_RA_VGPR_SIMD_FULL_ES                  174 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_PostZ_Samples_failing_Z            175 /* gfx9 */
#define     V_036610_SPI_PERF_RA_VGPR_SIMD_FULL_GS                  175 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_PostZ_Samples_failing_S            176 /* gfx9 */
#define     V_036610_SPI_PERF_RA_VGPR_SIMD_FULL_HS                  176 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_PreZ_Samples_passing_Z             177 /* gfx9 */
#define     V_036610_SPI_PERF_RA_VGPR_SIMD_FULL_LS                  177 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_PreZ_Samples_failing_Z             178 /* gfx9 */
#define     V_036610_SPI_PERF_RA_VGPR_SIMD_FULL_CSG                 178 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_PreZ_Samples_failing_S             179 /* gfx9 */
#define     V_036610_SPI_PERF_RA_VGPR_SIMD_FULL_CSN                 179 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_ts_tc_update_stall                 180 /* gfx9 */
#define     V_036610_SPI_PERF_RA_SGPR_SIMD_FULL_PS                  180 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_sc_kick_start                      181 /* gfx9 */
#define     V_036610_SPI_PERF_RA_SGPR_SIMD_FULL_VS                  181 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_sc_kick_end                        182 /* gfx9 */
#define     V_036610_SPI_PERF_RA_SGPR_SIMD_FULL_ES                  182 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_clock_reg_active                   183 /* gfx9 */
#define     V_036610_SPI_PERF_RA_SGPR_SIMD_FULL_GS                  183 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_clock_main_active                  184 /* gfx9 */
#define     V_036610_SPI_PERF_RA_SGPR_SIMD_FULL_LS                  184 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_clock_mem_export_active            185 /* gfx9 */
#define     V_036610_SPI_PERF_RA_SGPR_SIMD_FULL_HS                  185 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_ps_out_busy                    186 /* gfx9 */
#define     V_036610_SPI_PERF_RA_SGPR_SIMD_FULL_CSG                 186 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_ps_lqf_busy                    187 /* gfx9 */
#define     V_036610_SPI_PERF_RA_SGPR_SIMD_FULL_CSN                 187 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_ps_lqf_stall                   188 /* gfx9 */
#define     V_036610_SPI_PERF_RA_LDS_CU_FULL_PS                     188 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_etr_out_send                       189 /* gfx9 */
#define     V_036610_SPI_PERF_RA_LDS_CU_FULL_LS                     189 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_etr_out_busy                       190 /* gfx9 */
#define     V_036610_SPI_PERF_RA_LDS_CU_FULL_HS                     190 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_etr_out_ltile_probe_fifo_full_stall 191 /* gfx9 */
#define     V_036610_SPI_PERF_RA_LDS_CU_FULL_ES                     191 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_etr_out_cb_tile_stall              192 /* gfx9 */
#define     V_036610_SPI_PERF_RA_LDS_CU_FULL_GS                     192 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_etr_out_esr_stall                  193 /* gfx9 */
#define     V_036610_SPI_PERF_RA_LDS_CU_FULL_CSG                    193 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_ps_sqq_busy                    194 /* gfx9 */
#define     V_036610_SPI_PERF_RA_LDS_CU_FULL_CSN                    194 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_ps_sqq_stall                   195 /* gfx9 */
#define     V_036610_SPI_PERF_RA_BAR_CU_FULL_HS                     195 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_eot_fwd_busy                   196 /* gfx9 */
#define     V_036610_SPI_PERF_RA_BAR_CU_FULL_CSG                    196 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_eot_fwd_holding_squad          197 /* gfx9 */
#define     V_036610_SPI_PERF_RA_BAR_CU_FULL_CSN                    197 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_eot_fwd_forward                198 /* gfx9 */
#define     V_036610_SPI_PERF_RA_BULKY_CU_FULL_CSG                  198 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_sqq_zi_busy                    199 /* gfx9 */
#define     V_036610_SPI_PERF_RA_BULKY_CU_FULL_CSN                  199 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_sqq_zi_stall                   200 /* gfx9 */
#define     V_036610_SPI_PERF_RA_TGLIM_CU_FULL_CSG                  200 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_sq_pt_busy                  201 /* gfx9 */
#define     V_036610_SPI_PERF_RA_TGLIM_CU_FULL_CSN                  201 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_sq_pt_stall                 202 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WVLIM_STALL_PS                     202 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_se_busy                     203 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WVLIM_STALL_VS                     203 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_se_stall                    204 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WVLIM_STALL_ES                     204 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_partial_launch              205 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WVLIM_STALL_GS                     205 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_full_launch                 206 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WVLIM_STALL_LS                     206 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_partial_waiting             207 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WVLIM_STALL_HS                     207 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_tile_mem_stall              208 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WVLIM_STALL_CSG                    208 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_tile_init_stall             209 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WVLIM_STALL_CSN                    209 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_prezl_tile_mem_stall               210 /* gfx9 */
#define     V_036610_SPI_PERF_RA_VS_LOCK                            210 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_prezl_tile_init_stall              211 /* gfx9 */
#define     V_036610_SPI_PERF_RA_PS_LOCK                            211 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_dtt_sm_clash_stall                 212 /* gfx9 */
#define     V_036610_SPI_PERF_RA_ES_LOCK                            212 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_dtt_sm_slot_stall                  213 /* gfx9 */
#define     V_036610_SPI_PERF_RA_GS_LOCK                            213 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_dtt_sm_miss_stall                  214 /* gfx9 */
#define     V_036610_SPI_PERF_RA_LS_LOCK                            214 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_mi_rdreq_busy                      215 /* gfx9 */
#define     V_036610_SPI_PERF_RA_HS_LOCK                            215 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_mi_rdreq_stall                     216 /* gfx9 */
#define     V_036610_SPI_PERF_RA_CSG_LOCK                           216 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_mi_wrreq_busy                      217 /* gfx9 */
#define     V_036610_SPI_PERF_RA_CSN_LOCK                           217 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_mi_wrreq_stall                     218 /* gfx9 */
#define     V_036610_SPI_PERF_RA_RSV_UPD                            218 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_recomp_tile_to_1zplane_no_fastop   219 /* gfx9 */
#define     V_036610_SPI_PERF_RA_PRE_ALLOC_STALL                    219 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_dkg_tile_rate_tile                 220 /* gfx9 */
#define     V_036610_SPI_PERF_RA_GFX_UNDER_TUNNEL                   220 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_prezl_src_in_sends                 221 /* gfx9 */
#define     V_036610_SPI_PERF_RA_CSC_UNDER_TUNNEL                   221 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_prezl_src_in_stall                 222 /* gfx9 */
#define     V_036610_SPI_PERF_RA_WVALLOC_STALL                      222 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_prezl_src_in_squads                223 /* gfx9 */
#define     V_036610_SPI_PERF_EXP_ARB_COL_CNT                       223 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_prezl_src_in_squads_unrolled       224 /* gfx9 */
#define     V_036610_SPI_PERF_EXP_ARB_PAR_CNT                       224 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_prezl_src_in_tile_rate             225 /* gfx9 */
#define     V_036610_SPI_PERF_EXP_ARB_POS_CNT                       225 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_prezl_src_in_tile_rate_unrolled    226 /* gfx9 */
#define     V_036610_SPI_PERF_EXP_ARB_GDS_CNT                       226 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_prezl_src_out_stall                227 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_PS_COL_SA0SQ0_EXPORTS             227 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_src_in_sends                228 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_PS_COL_SA0SQ1_EXPORTS             228 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_src_in_stall                229 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_PS_COL_SA1SQ0_EXPORTS             229 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_src_in_squads               230 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_PS_COL_SA1SQ1_EXPORTS             230 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_src_in_squads_unrolled      231 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_VS_POS_SA0SQ0_EXPORTS             231 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_src_in_tile_rate            232 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_VS_POS_SA0SQ1_EXPORTS             232 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_src_in_tile_rate_unrolled   233 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_VS_POS_SA1SQ0_EXPORTS             233 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_postzl_src_out_stall               234 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_VS_POS_SA1SQ1_EXPORTS             234 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_ps_src_in_sends                235 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_VS_PARAM_SA0SQ0_EXPORTS           235 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_ps_src_in_stall                236 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_VS_PARAM_SA0SQ1_EXPORTS           236 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_ps_src_in_squads               237 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_VS_PARAM_SA1SQ0_EXPORTS           237 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_ps_src_in_squads_unrolled      238 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_VS_PARAM_SA1SQ1_EXPORTS           238 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_ps_src_in_tile_rate            239 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_VS_GDS_SA0SQ0_EXPORTS             239 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled   240 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_VS_GDS_SA0SQ1_EXPORTS             240 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled_to_pixel_rate 241 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_VS_GDS_SA1SQ0_EXPORTS             241 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_esr_ps_src_out_stall               242 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_VS_GDS_SA1SQ1_EXPORTS             242 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_depth_bounds_tile_culled           243 /* gfx9 */
#define     V_036610_SPI_PERF_NUM_EXPGRANT_EXPORTS                  243 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_PreZ_Samples_failing_DB            244 /* gfx9 */
#define     V_036610_SPI_PERF_CLKGATE_BUSY_STALL                    244 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_PostZ_Samples_failing_DB           245 /* gfx9 */
#define     V_036610_SPI_PERF_CLKGATE_ACTIVE_STALL                  245 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_compressed                   246 /* gfx9 */
#define     V_036610_SPI_PERF_CLKGATE_ALL_CLOCKS_ON                 246 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_flush_plane_le4                    247 /* gfx9 */
#define     V_036610_SPI_PERF_CLKGATE_CGTT_DYN_ON                   247 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tiles_z_fully_summarized           248 /* gfx9 */
#define     V_036610_SPI_PERF_CLKGATE_CGTT_REG_ON                   248 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tiles_stencil_fully_summarized     249 /* gfx9 */
#define     V_036610_SPI_PERF_PIX_ALLOC_PEND_CNT                    249 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tiles_z_clear_on_expclear          250 /* gfx9 */
#define     V_036610_SPI_PERF_PIX_ALLOC_SCB0_STALL                  250 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tiles_s_clear_on_expclear          251 /* gfx9 */
#define     V_036610_SPI_PERF_PIX_ALLOC_SCB1_STALL                  251 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tiles_decomp_on_expclear           252 /* gfx9 */
#define     V_036610_SPI_PERF_PIX_ALLOC_SCB2_STALL                  252 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_tiles_compressed_to_decompressed   253 /* gfx9 */
#define     V_036610_SPI_PERF_PIX_ALLOC_SCB3_STALL                  253 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Op_Pipe_Prez_Busy                  254 /* gfx9 */
#define     V_036610_SPI_PERF_PIX_ALLOC_DB0_STALL                   254 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_Op_Pipe_Postz_Busy                 255 /* gfx9 */
#define     V_036610_SPI_PERF_PIX_ALLOC_DB1_STALL                   255 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_di_dt_stall                        256 /* gfx9 */
#define     V_036610_SPI_PERF_PIX_ALLOC_DB2_STALL                   256 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_quad_lit_quad_pre_invoke     257 /* gfx9 */
#define     V_036610_SPI_PERF_PIX_ALLOC_DB3_STALL                   257 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_s_tile_rate                  258 /* gfx9 */
#define     V_036610_SPI_PERF_PIX_ALLOC_DB4_STALL                   258 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_c_tile_rate                  259 /* gfx9 */
#define     V_036610_SPI_PERF_PIX_ALLOC_DB5_STALL                   259 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_SC_z_tile_rate                  260 /* gfx9 */
#define     V_036610_SPI_PERF_PIX_ALLOC_DB6_STALL                   260 /* >= gfx10 */
#define     V_036610_SPI_PERF_PIX_ALLOC_DB7_STALL                   261 /* >= gfx10 */
#define     V_036610_Spare_261                                      261 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_CB_lquad_export_quads           262 /* gfx9 */
#define     V_036610_SPI_PERF_GS_NGG_SE_SEND_GS_ALLOC               262 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_CB_lquad_double_format          263 /* gfx9 */
#define     V_036610_SPI_PERF_SWC_PS_WR                             263 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_CB_lquad_fast_format            264 /* gfx9 */
#define     V_036610_SPI_PERF_SWC_VS_WR                             264 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_CB_lquad_slow_format            265 /* gfx9 */
#define     V_036610_SPI_PERF_SWC_ES_WR                             265 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_CB_DB_rdreq_sends                  266 /* gfx9 */
#define     V_036610_SPI_PERF_SWC_GS_WR                             266 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_CB_DB_rdreq_prt_sends              267 /* gfx9 */
#define     V_036610_SPI_PERF_SWC_LS_WR                             267 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_CB_DB_wrreq_sends                  268 /* gfx9 */
#define     V_036610_SPI_PERF_SWC_HS_WR                             268 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_CB_DB_wrreq_prt_sends              269 /* gfx9 */
#define     V_036610_SPI_PERF_SWC_CSG_WR                            269 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_CB_rdret_ack                    270 /* gfx9 */
#define     V_036610_SPI_PERF_SWC_CSN_WR                            270 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_CB_rdret_nack                   271 /* gfx9 */
#define     V_036610_SPI_PERF_VWC_PS_WR                             271 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_CB_wrret_ack                    272 /* gfx9 */
#define     V_036610_SPI_PERF_VWC_VS_WR                             272 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DB_CB_wrret_nack                   273 /* gfx9 */
#define     V_036610_SPI_PERF_VWC_ES_WR                             273 /* >= gfx10 */
#define     V_036610_SPI_PERF_VWC_GS_WR                             274 /* >= gfx10 */
#define     V_036610_Spare_274                                      274 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_Stall_opmode_change           275 /* gfx9 */
#define     V_036610_SPI_PERF_VWC_LS_WR                             275 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_Stall_cam_fifo                276 /* gfx9 */
#define     V_036610_SPI_PERF_VWC_HS_WR                             276 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_Stall_bypass_fifo             277 /* gfx9 */
#define     V_036610_SPI_PERF_VWC_CSG_WR                            277 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_Stall_retained_tile_fifo      278 /* gfx9 */
#define     V_036610_SPI_PERF_VWC_CSN_WR                            278 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_Stall_control_fifo            279 /* gfx9 */
#define     V_036610_SPI_PERF_ES_WINDOW_VALID                       279 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_Stall_overflow_counter        280 /* gfx9 */
#define     V_036610_SPI_PERF_ES_BUSY                               280 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_Stall_pops_stall_overflow     281 /* gfx9 */
#define     V_036610_SPI_PERF_ES_CRAWLER_STALL                      281 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_Stall_pops_stall_self_flush   282 /* gfx9 */
#define     V_036610_SPI_PERF_ES_FIRST_WAVE                         282 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_Stall_middle_output           283 /* gfx9 */
#define     V_036610_SPI_PERF_ES_LAST_WAVE                          283 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_Stall_stalling_general        284 /* gfx9 */
#define     V_036610_SPI_PERF_ES_LSHS_DEALLOC                       284 /* >= gfx10 */
#define     V_036610_SPI_PERF_ES_EVENT_WAVE                         285 /* >= gfx10 */
#define     V_036610_Spare_285                                      285 /* gfx9 */
#define     V_036610_SPI_PERF_ES_WAVE                               286 /* >= gfx10 */
#define     V_036610_Spare_286                                      286 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_prez_killed_squad             287 /* gfx9 */
#define     V_036610_SPI_PERF_ES_PERS_UPD_FULL0                     287 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_squads_in                     288 /* gfx9 */
#define     V_036610_SPI_PERF_ES_PERS_UPD_FULL1                     288 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_full_cleared_squads_out       289 /* gfx9 */
#define     V_036610_SPI_PERF_ES_FIRST_SUBGRP                       289 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_quads_in                      290 /* gfx9 */
#define     V_036610_SPI_PERF_ES_LAST_SUBGRP                        290 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_fully_cleared_quads_out       291 /* gfx9 */
#define     V_036610_SPI_PERF_LS_WINDOW_VALID                       291 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_lit_pixels_in                 292 /* gfx9 */
#define     V_036610_SPI_PERF_LS_BUSY                               292 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_fully_cleared_pixels_out      293 /* gfx9 */
#define     V_036610_SPI_PERF_LS_CRAWLER_STALL                      293 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_lit_samples_in                294 /* gfx9 */
#define     V_036610_SPI_PERF_LS_FIRST_WAVE                         294 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_lit_samples_out               295 /* gfx9 */
#define     V_036610_SPI_PERF_LS_LAST_WAVE                          295 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_evicted_tiles_above_watermark 296 /* gfx9 */
#define     V_036610_SPI_PERF_LS_OFFCHIP_LDS_STALL                  296 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_cant_accept_squads_but_not_stalled_by_downstream 297 /* gfx9 */
#define     V_036610_SPI_PERF_LS_EVENT_WAVE                         297 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_stalled_by_downstream         298 /* gfx9 */
#define     V_036610_SPI_PERF_LS_WAVE                               298 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_evicted_squads_above_watermark 299 /* gfx9 */
#define     V_036610_SPI_PERF_LS_PERS_UPD_FULL0                     299 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_collisions_due_to_POPS_overflow 300 /* gfx9 */
#define     V_036610_SPI_PERF_LS_PERS_UPD_FULL1                     300 /* >= gfx10 */
#define     V_036610_DB_PERF_SEL_DFSM_collisions_detected_within_POPS_FIFO 301 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_evicted_squads_due_to_prim_watermark 302 /* gfx9 */
#define     V_036610_DB_PERF_SEL_MI_tile_req_wrack_counter_stall    303 /* gfx9 */
#define     V_036610_DB_PERF_SEL_MI_quad_req_wrack_counter_stall    304 /* gfx9 */
#define     V_036610_DB_PERF_SEL_MI_zpc_req_wrack_counter_stall     305 /* gfx9 */
#define     V_036610_DB_PERF_SEL_MI_psd_req_wrack_counter_stall     306 /* gfx9 */
#define     V_036610_DB_PERF_SEL_unmapped_z_tile_culled             307 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_DB_DATA_TS 308 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_CB_PIXEL_DATA 309 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_CB_tile_is_event_BOTTOM_OF_PIPE_TS 310 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_CB_tile_waiting_for_perfcounter_stop_event 311 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_CB_lquad_fmt_32bpp_8pix         312 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_unsigned_8pix 313 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_signed_8pix  314 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_float_8pix   315 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_CB_lquad_num_pixels_need_blending 316 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_CB_context_dones                317 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_CB_eop_dones                    318 /* gfx9 */
#define     V_036610_DB_PERF_SEL_SX_DB_quad_all_pixels_killed       319 /* gfx9 */
#define     V_036610_DB_PERF_SEL_SX_DB_quad_all_pixels_enabled      320 /* gfx9 */
#define     V_036610_DB_PERF_SEL_SX_DB_quad_need_blending_and_dst_read 321 /* gfx9 */
#define     V_036610_DB_PERF_SEL_SC_DB_tile_backface                322 /* gfx9 */
#define     V_036610_DB_PERF_SEL_SC_DB_quad_quads                   323 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_SC_quad_quads_with_1_pixel      324 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_SC_quad_quads_with_2_pixels     325 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_SC_quad_quads_with_3_pixels     326 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_SC_quad_quads_with_4_pixels     327 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_Flush_flushabit               328 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_Flush_flushabit_camcoord_fifo 329 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_Flush_flushabit_passthrough   330 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_Flush_flushabit_forceflush    331 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_Flush_flushabit_nearlyfull    332 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_Flush_flushabit_primitivesinflightwatermark 333 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_Flush_flushabit_punch_stalling 334 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_Flush_flushabit_retainedtilefifo_watermark 335 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_Flush_flushabit_tilesinflightwatermark 336 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_Flush_flushall                337 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_Flush_flushall_dfsmflush      338 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_Flush_flushall_opmodechange   339 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_Flush_flushall_sampleratechange 340 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_Flush_flushall_watchdog       341 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DB_SC_quad_double_quad             342 /* gfx9 */
#define     V_036610_DB_PERF_SEL_SX_DB_quad_export_quads            343 /* gfx9 */
#define     V_036610_DB_PERF_SEL_SX_DB_quad_double_format           344 /* gfx9 */
#define     V_036610_DB_PERF_SEL_SX_DB_quad_fast_format             345 /* gfx9 */
#define     V_036610_DB_PERF_SEL_SX_DB_quad_slow_format             346 /* gfx9 */
#define     V_036610_DB_PERF_SEL_quad_rd_sends_unc                  347 /* gfx9 */
#define     V_036610_DB_PERF_SEL_quad_rd_mi_stall_unc               348 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_OutputPunch                   349 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_OutputPops                    350 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_OutputFifo                    351 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_StallOpmodeChange             352 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_StallCAMFifoFull              353 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_StallBypassFifoFull           354 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_StallRetainedTileFifoFull     355 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_StallControlFifoFull          356 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_StallControlCountFull         357 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_StallOverflowMaximum          358 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_StallPopsStallOverflow        359 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_StallPopsStallSelfStall       360 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_StallCamSlotFlush             361 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_StallOutput                   362 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_WatchdogTrigger               363 /* gfx9 */
#define     V_036610_DB_PERF_SEL_DFSM_StallOnPOPSStall              364 /* gfx9 */
#define     V_036610_DB_PERF_SEL_SC_DB_tile_tiles_pipe0             365 /* gfx9 */
#define     V_036610_DB_PERF_SEL_SC_DB_tile_tiles_pipe1             366 /* gfx9 */
#define     V_036610_DB_PERF_SEL_SC_DB_quad_quads_pipe0             367 /* gfx9 */
#define     V_036610_DB_PERF_SEL_SC_DB_quad_quads_pipe1             368 /* gfx9 */
#define   S_036610_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036610_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036610_PERF_SEL3                                          0xFFF003FF
#define   S_036610_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24) /* >= gfx9 */
#define   G_036610_PERF_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_036610_PERF_MODE3                                         0xF0FFFFFF
#define   S_036610_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28) /* >= gfx9 */
#define   G_036610_PERF_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_036610_PERF_MODE2                                         0x0FFFFFFF
#define R_036614_SPI_PERFCOUNTER1_SELECT1                               0x036614
#define R_036618_SPI_PERFCOUNTER2_SELECT1                               0x036618
#define R_03661C_SPI_PERFCOUNTER3_SELECT1                               0x03661C
#define R_036620_SPI_PERFCOUNTER4_SELECT                                0x036620
#define   S_036620_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0) /* >= gfx10 */
#define   G_036620_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036620_PERF_SEL                                           0xFFFFFC00
#define     V_036620_SPI_PERF_VS_WINDOW_VALID                       0
#define     V_036620_SPI_PERF_VS_BUSY                               1
#define     V_036620_SPI_PERF_VS_FIRST_WAVE                         2
#define     V_036620_SPI_PERF_VS_LAST_WAVE                          3
#define     V_036620_SPI_PERF_VS_LSHS_DEALLOC                       4
#define     V_036620_SPI_PERF_VS_POS0_STALL                         5
#define     V_036620_SPI_PERF_VS_POS1_STALL                         6
#define     V_036620_SPI_PERF_VS_CRAWLER_STALL                      7
#define     V_036620_SPI_PERF_VS_EVENT_WAVE                         8
#define     V_036620_SPI_PERF_VS_WAVE                               9
#define     V_036620_SPI_PERF_VS_PERS_UPD_FULL0                     10
#define     V_036620_SPI_PERF_VS_PERS_UPD_FULL1                     11
#define     V_036620_SPI_PERF_VS_LATE_ALLOC_FULL                    12
#define     V_036620_SPI_PERF_VS_FIRST_SUBGRP                       13
#define     V_036620_SPI_PERF_VS_LAST_SUBGRP                        14
#define     V_036620_SPI_PERF_VS_ALLOC_CNT                          15
#define     V_036620_SPI_PERF_VS_LATE_ALLOC_ACCUM                   16
#define     V_036620_SPI_PERF_GS_WINDOW_VALID                       17
#define     V_036620_SPI_PERF_GS_BUSY                               18
#define     V_036620_SPI_PERF_GS_CRAWLER_STALL                      19
#define     V_036620_SPI_PERF_GS_EVENT_WAVE                         20
#define     V_036620_SPI_PERF_GS_WAVE                               21
#define     V_036620_SPI_PERF_GS_PERS_UPD_FULL0                     22
#define     V_036620_SPI_PERF_GS_PERS_UPD_FULL1                     23
#define     V_036620_SPI_PERF_GS_FIRST_SUBGRP                       24
#define     V_036620_SPI_PERF_GS_LAST_SUBGRP                        25
#define     V_036620_SPI_PERF_GS_HS_DEALLOC                         26
#define     V_036620_SPI_PERF_GS_NGG_SE_LATE_ALLOC_LIMIT            27
#define     V_036620_SPI_PERF_GS_GRP_FIFO_FULL                      28
#define     V_036620_SPI_PERF_GS_POS0_STALL                         29
#define     V_036620_SPI_PERF_GS_POS1_STALL                         30
#define     V_036620_SPI_PERF_GS_INDX0_STALL                        31
#define     V_036620_SPI_PERF_GS_INDX1_STALL                        32
#define     V_036620_SPI_PERF_HS_WINDOW_VALID                       33
#define     V_036620_SPI_PERF_HS_BUSY                               34
#define     V_036620_SPI_PERF_HS_CRAWLER_STALL                      35
#define     V_036620_SPI_PERF_HS_FIRST_WAVE                         36
#define     V_036620_SPI_PERF_HS_LAST_WAVE                          37
#define     V_036620_SPI_PERF_HS_LSHS_DEALLOC                       38
#define     V_036620_SPI_PERF_HS_OFFCHIP_LDS_STALL                  39
#define     V_036620_SPI_PERF_HS_EVENT_WAVE                         40
#define     V_036620_SPI_PERF_HS_WAVE                               41
#define     V_036620_SPI_PERF_HS_PERS_UPD_FULL0                     42
#define     V_036620_SPI_PERF_HS_PERS_UPD_FULL1                     43
#define     V_036620_SPI_PERF_CSG_WINDOW_VALID                      44
#define     V_036620_SPI_PERF_CSG_BUSY                              45
#define     V_036620_SPI_PERF_CSG_NUM_THREADGROUPS                  46
#define     V_036620_SPI_PERF_CSG_CRAWLER_STALL                     47
#define     V_036620_SPI_PERF_CSG_EVENT_WAVE                        48
#define     V_036620_SPI_PERF_CSG_WAVE                              49
#define     V_036620_SPI_PERF_CSN_WINDOW_VALID                      50
#define     V_036620_SPI_PERF_CSN_BUSY                              51
#define     V_036620_SPI_PERF_CSN_NUM_THREADGROUPS                  52
#define     V_036620_SPI_PERF_CSN_CRAWLER_STALL                     53
#define     V_036620_SPI_PERF_CSN_EVENT_WAVE                        54
#define     V_036620_SPI_PERF_CSN_WAVE                              55
#define     V_036620_SPI_PERF_PS0_WINDOW_VALID                      56
#define     V_036620_SPI_PERF_PS1_WINDOW_VALID                      57
#define     V_036620_SPI_PERF_PS2_WINDOW_VALID                      58
#define     V_036620_SPI_PERF_PS3_WINDOW_VALID                      59
#define     V_036620_SPI_PERF_PS0_BUSY                              60
#define     V_036620_SPI_PERF_PS1_BUSY                              61
#define     V_036620_SPI_PERF_PS2_BUSY                              62
#define     V_036620_SPI_PERF_PS3_BUSY                              63
#define     V_036620_SPI_PERF_PS0_ACTIVE                            64
#define     V_036620_SPI_PERF_PS1_ACTIVE                            65
#define     V_036620_SPI_PERF_PS2_ACTIVE                            66
#define     V_036620_SPI_PERF_PS3_ACTIVE                            67
#define     V_036620_SPI_PERF_PS0_DEALLOC                           68
#define     V_036620_SPI_PERF_PS1_DEALLOC                           69
#define     V_036620_SPI_PERF_PS2_DEALLOC                           70
#define     V_036620_SPI_PERF_PS3_DEALLOC                           71
#define     V_036620_SPI_PERF_PS0_FPOS_STALL                        72
#define     V_036620_SPI_PERF_PS1_FPOS_STALL                        73
#define     V_036620_SPI_PERF_PS2_FPOS_STALL                        74
#define     V_036620_SPI_PERF_PS3_FPOS_STALL                        75
#define     V_036620_SPI_PERF_PS0_EVENT_WAVE                        76
#define     V_036620_SPI_PERF_PS1_EVENT_WAVE                        77
#define     V_036620_SPI_PERF_PS2_EVENT_WAVE                        78
#define     V_036620_SPI_PERF_PS3_EVENT_WAVE                        79
#define     V_036620_SPI_PERF_PS0_WAVE                              80
#define     V_036620_SPI_PERF_PS1_WAVE                              81
#define     V_036620_SPI_PERF_PS2_WAVE                              82
#define     V_036620_SPI_PERF_PS3_WAVE                              83
#define     V_036620_SPI_PERF_PS0_OPT_WAVE                          84
#define     V_036620_SPI_PERF_PS1_OPT_WAVE                          85
#define     V_036620_SPI_PERF_PS2_OPT_WAVE                          86
#define     V_036620_SPI_PERF_PS3_OPT_WAVE                          87
#define     V_036620_SPI_PERF_PS0_PASS_BIN0                         88
#define     V_036620_SPI_PERF_PS1_PASS_BIN0                         89
#define     V_036620_SPI_PERF_PS2_PASS_BIN0                         90
#define     V_036620_SPI_PERF_PS3_PASS_BIN0                         91
#define     V_036620_SPI_PERF_PS0_PASS_BIN1                         92
#define     V_036620_SPI_PERF_PS1_PASS_BIN1                         93
#define     V_036620_SPI_PERF_PS2_PASS_BIN1                         94
#define     V_036620_SPI_PERF_PS3_PASS_BIN1                         95
#define     V_036620_SPI_PERF_PS0_FPOS                              96
#define     V_036620_SPI_PERF_PS1_FPOS                              97
#define     V_036620_SPI_PERF_PS2_FPOS                              98
#define     V_036620_SPI_PERF_PS3_FPOS                              99
#define     V_036620_SPI_PERF_PS0_PRIM_BIN0                         100
#define     V_036620_SPI_PERF_PS1_PRIM_BIN0                         101
#define     V_036620_SPI_PERF_PS2_PRIM_BIN0                         102
#define     V_036620_SPI_PERF_PS3_PRIM_BIN0                         103
#define     V_036620_SPI_PERF_PS0_PRIM_BIN1                         104
#define     V_036620_SPI_PERF_PS1_PRIM_BIN1                         105
#define     V_036620_SPI_PERF_PS2_PRIM_BIN1                         106
#define     V_036620_SPI_PERF_PS3_PRIM_BIN1                         107
#define     V_036620_SPI_PERF_PS0_CNF_BIN2                          108
#define     V_036620_SPI_PERF_PS1_CNF_BIN2                          109
#define     V_036620_SPI_PERF_PS2_CNF_BIN2                          110
#define     V_036620_SPI_PERF_PS3_CNF_BIN2                          111
#define     V_036620_SPI_PERF_PS0_CNF_BIN3                          112
#define     V_036620_SPI_PERF_PS1_CNF_BIN3                          113
#define     V_036620_SPI_PERF_PS2_CNF_BIN3                          114
#define     V_036620_SPI_PERF_PS3_CNF_BIN3                          115
#define     V_036620_SPI_PERF_PS0_CRAWLER_STALL                     116
#define     V_036620_SPI_PERF_PS1_CRAWLER_STALL                     117
#define     V_036620_SPI_PERF_PS2_CRAWLER_STALL                     118
#define     V_036620_SPI_PERF_PS3_CRAWLER_STALL                     119
#define     V_036620_SPI_PERF_PS0_LDS_RES_FULL                      120
#define     V_036620_SPI_PERF_PS1_LDS_RES_FULL                      121
#define     V_036620_SPI_PERF_PS2_LDS_RES_FULL                      122
#define     V_036620_SPI_PERF_PS3_LDS_RES_FULL                      123
#define     V_036620_SPI_PERF_PS0_POPS_WAVE_SENT                    124
#define     V_036620_SPI_PERF_PS1_POPS_WAVE_SENT                    125
#define     V_036620_SPI_PERF_PS2_POPS_WAVE_SENT                    126
#define     V_036620_SPI_PERF_PS3_POPS_WAVE_SENT                    127
#define     V_036620_SPI_PERF_PS0_POPS_WAVE_EXIT                    128
#define     V_036620_SPI_PERF_PS1_POPS_WAVE_EXIT                    129
#define     V_036620_SPI_PERF_PS2_POPS_WAVE_EXIT                    130
#define     V_036620_SPI_PERF_PS3_POPS_WAVE_EXIT                    131
#define     V_036620_SPI_PERF_PS_PERS_UPD_FULL0                     132
#define     V_036620_SPI_PERF_PS_PERS_UPD_FULL1                     133
#define     V_036620_SPI_PERF_LDS0_PC_VALID                         134
#define     V_036620_SPI_PERF_LDS1_PC_VALID                         135
#define     V_036620_SPI_PERF_RA_PIPE_REQ_BIN2                      136
#define     V_036620_SPI_PERF_RA_TASK_REQ_BIN3                      137
#define     V_036620_SPI_PERF_RA_WR_CTL_FULL                        138
#define     V_036620_SPI_PERF_RA_REQ_NO_ALLOC                       139
#define     V_036620_SPI_PERF_RA_REQ_NO_ALLOC_PS                    140
#define     V_036620_SPI_PERF_RA_REQ_NO_ALLOC_VS                    141
#define     V_036620_SPI_PERF_RA_REQ_NO_ALLOC_ES                    142
#define     V_036620_SPI_PERF_RA_REQ_NO_ALLOC_GS                    143
#define     V_036620_SPI_PERF_RA_REQ_NO_ALLOC_LS                    144
#define     V_036620_SPI_PERF_RA_REQ_NO_ALLOC_HS                    145
#define     V_036620_SPI_PERF_RA_REQ_NO_ALLOC_CSG                   146
#define     V_036620_SPI_PERF_RA_REQ_NO_ALLOC_CSN                   147
#define     V_036620_SPI_PERF_RA_RES_STALL_PS                       148
#define     V_036620_SPI_PERF_RA_RES_STALL_VS                       149
#define     V_036620_SPI_PERF_RA_RES_STALL_ES                       150
#define     V_036620_SPI_PERF_RA_RES_STALL_GS                       151
#define     V_036620_SPI_PERF_RA_RES_STALL_LS                       152
#define     V_036620_SPI_PERF_RA_RES_STALL_HS                       153
#define     V_036620_SPI_PERF_RA_RES_STALL_CSG                      154
#define     V_036620_SPI_PERF_RA_RES_STALL_CSN                      155
#define     V_036620_SPI_PERF_RA_TMP_STALL_PS                       156
#define     V_036620_SPI_PERF_RA_TMP_STALL_VS                       157
#define     V_036620_SPI_PERF_RA_TMP_STALL_ES                       158
#define     V_036620_SPI_PERF_RA_TMP_STALL_GS                       159
#define     V_036620_SPI_PERF_RA_TMP_STALL_LS                       160
#define     V_036620_SPI_PERF_RA_TMP_STALL_HS                       161
#define     V_036620_SPI_PERF_RA_TMP_STALL_CSG                      162
#define     V_036620_SPI_PERF_RA_TMP_STALL_CSN                      163
#define     V_036620_SPI_PERF_RA_WAVE_SIMD_FULL_PS                  164
#define     V_036620_SPI_PERF_RA_WAVE_SIMD_FULL_VS                  165
#define     V_036620_SPI_PERF_RA_WAVE_SIMD_FULL_ES                  166
#define     V_036620_SPI_PERF_RA_WAVE_SIMD_FULL_GS                  167
#define     V_036620_SPI_PERF_RA_WAVE_SIMD_FULL_LS                  168
#define     V_036620_SPI_PERF_RA_WAVE_SIMD_FULL_HS                  169
#define     V_036620_SPI_PERF_RA_WAVE_SIMD_FULL_CSG                 170
#define     V_036620_SPI_PERF_RA_WAVE_SIMD_FULL_CSN                 171
#define     V_036620_SPI_PERF_RA_VGPR_SIMD_FULL_PS                  172
#define     V_036620_SPI_PERF_RA_VGPR_SIMD_FULL_VS                  173
#define     V_036620_SPI_PERF_RA_VGPR_SIMD_FULL_ES                  174
#define     V_036620_SPI_PERF_RA_VGPR_SIMD_FULL_GS                  175
#define     V_036620_SPI_PERF_RA_VGPR_SIMD_FULL_HS                  176
#define     V_036620_SPI_PERF_RA_VGPR_SIMD_FULL_LS                  177
#define     V_036620_SPI_PERF_RA_VGPR_SIMD_FULL_CSG                 178
#define     V_036620_SPI_PERF_RA_VGPR_SIMD_FULL_CSN                 179
#define     V_036620_SPI_PERF_RA_SGPR_SIMD_FULL_PS                  180
#define     V_036620_SPI_PERF_RA_SGPR_SIMD_FULL_VS                  181
#define     V_036620_SPI_PERF_RA_SGPR_SIMD_FULL_ES                  182
#define     V_036620_SPI_PERF_RA_SGPR_SIMD_FULL_GS                  183
#define     V_036620_SPI_PERF_RA_SGPR_SIMD_FULL_LS                  184
#define     V_036620_SPI_PERF_RA_SGPR_SIMD_FULL_HS                  185
#define     V_036620_SPI_PERF_RA_SGPR_SIMD_FULL_CSG                 186
#define     V_036620_SPI_PERF_RA_SGPR_SIMD_FULL_CSN                 187
#define     V_036620_SPI_PERF_RA_LDS_CU_FULL_PS                     188
#define     V_036620_SPI_PERF_RA_LDS_CU_FULL_LS                     189
#define     V_036620_SPI_PERF_RA_LDS_CU_FULL_HS                     190
#define     V_036620_SPI_PERF_RA_LDS_CU_FULL_ES                     191
#define     V_036620_SPI_PERF_RA_LDS_CU_FULL_GS                     192
#define     V_036620_SPI_PERF_RA_LDS_CU_FULL_CSG                    193
#define     V_036620_SPI_PERF_RA_LDS_CU_FULL_CSN                    194
#define     V_036620_SPI_PERF_RA_BAR_CU_FULL_HS                     195
#define     V_036620_SPI_PERF_RA_BAR_CU_FULL_CSG                    196
#define     V_036620_SPI_PERF_RA_BAR_CU_FULL_CSN                    197
#define     V_036620_SPI_PERF_RA_BULKY_CU_FULL_CSG                  198
#define     V_036620_SPI_PERF_RA_BULKY_CU_FULL_CSN                  199
#define     V_036620_SPI_PERF_RA_TGLIM_CU_FULL_CSG                  200
#define     V_036620_SPI_PERF_RA_TGLIM_CU_FULL_CSN                  201
#define     V_036620_SPI_PERF_RA_WVLIM_STALL_PS                     202
#define     V_036620_SPI_PERF_RA_WVLIM_STALL_VS                     203
#define     V_036620_SPI_PERF_RA_WVLIM_STALL_ES                     204
#define     V_036620_SPI_PERF_RA_WVLIM_STALL_GS                     205
#define     V_036620_SPI_PERF_RA_WVLIM_STALL_LS                     206
#define     V_036620_SPI_PERF_RA_WVLIM_STALL_HS                     207
#define     V_036620_SPI_PERF_RA_WVLIM_STALL_CSG                    208
#define     V_036620_SPI_PERF_RA_WVLIM_STALL_CSN                    209
#define     V_036620_SPI_PERF_RA_VS_LOCK                            210
#define     V_036620_SPI_PERF_RA_PS_LOCK                            211
#define     V_036620_SPI_PERF_RA_ES_LOCK                            212
#define     V_036620_SPI_PERF_RA_GS_LOCK                            213
#define     V_036620_SPI_PERF_RA_LS_LOCK                            214
#define     V_036620_SPI_PERF_RA_HS_LOCK                            215
#define     V_036620_SPI_PERF_RA_CSG_LOCK                           216
#define     V_036620_SPI_PERF_RA_CSN_LOCK                           217
#define     V_036620_SPI_PERF_RA_RSV_UPD                            218
#define     V_036620_SPI_PERF_RA_PRE_ALLOC_STALL                    219
#define     V_036620_SPI_PERF_RA_GFX_UNDER_TUNNEL                   220
#define     V_036620_SPI_PERF_RA_CSC_UNDER_TUNNEL                   221
#define     V_036620_SPI_PERF_RA_WVALLOC_STALL                      222
#define     V_036620_SPI_PERF_EXP_ARB_COL_CNT                       223
#define     V_036620_SPI_PERF_EXP_ARB_PAR_CNT                       224
#define     V_036620_SPI_PERF_EXP_ARB_POS_CNT                       225
#define     V_036620_SPI_PERF_EXP_ARB_GDS_CNT                       226
#define     V_036620_SPI_PERF_NUM_PS_COL_SA0SQ0_EXPORTS             227
#define     V_036620_SPI_PERF_NUM_PS_COL_SA0SQ1_EXPORTS             228
#define     V_036620_SPI_PERF_NUM_PS_COL_SA1SQ0_EXPORTS             229
#define     V_036620_SPI_PERF_NUM_PS_COL_SA1SQ1_EXPORTS             230
#define     V_036620_SPI_PERF_NUM_VS_POS_SA0SQ0_EXPORTS             231
#define     V_036620_SPI_PERF_NUM_VS_POS_SA0SQ1_EXPORTS             232
#define     V_036620_SPI_PERF_NUM_VS_POS_SA1SQ0_EXPORTS             233
#define     V_036620_SPI_PERF_NUM_VS_POS_SA1SQ1_EXPORTS             234
#define     V_036620_SPI_PERF_NUM_VS_PARAM_SA0SQ0_EXPORTS           235
#define     V_036620_SPI_PERF_NUM_VS_PARAM_SA0SQ1_EXPORTS           236
#define     V_036620_SPI_PERF_NUM_VS_PARAM_SA1SQ0_EXPORTS           237
#define     V_036620_SPI_PERF_NUM_VS_PARAM_SA1SQ1_EXPORTS           238
#define     V_036620_SPI_PERF_NUM_VS_GDS_SA0SQ0_EXPORTS             239
#define     V_036620_SPI_PERF_NUM_VS_GDS_SA0SQ1_EXPORTS             240
#define     V_036620_SPI_PERF_NUM_VS_GDS_SA1SQ0_EXPORTS             241
#define     V_036620_SPI_PERF_NUM_VS_GDS_SA1SQ1_EXPORTS             242
#define     V_036620_SPI_PERF_NUM_EXPGRANT_EXPORTS                  243
#define     V_036620_SPI_PERF_CLKGATE_BUSY_STALL                    244
#define     V_036620_SPI_PERF_CLKGATE_ACTIVE_STALL                  245
#define     V_036620_SPI_PERF_CLKGATE_ALL_CLOCKS_ON                 246
#define     V_036620_SPI_PERF_CLKGATE_CGTT_DYN_ON                   247
#define     V_036620_SPI_PERF_CLKGATE_CGTT_REG_ON                   248
#define     V_036620_SPI_PERF_PIX_ALLOC_PEND_CNT                    249
#define     V_036620_SPI_PERF_PIX_ALLOC_SCB0_STALL                  250
#define     V_036620_SPI_PERF_PIX_ALLOC_SCB1_STALL                  251
#define     V_036620_SPI_PERF_PIX_ALLOC_SCB2_STALL                  252
#define     V_036620_SPI_PERF_PIX_ALLOC_SCB3_STALL                  253
#define     V_036620_SPI_PERF_PIX_ALLOC_DB0_STALL                   254
#define     V_036620_SPI_PERF_PIX_ALLOC_DB1_STALL                   255
#define     V_036620_SPI_PERF_PIX_ALLOC_DB2_STALL                   256
#define     V_036620_SPI_PERF_PIX_ALLOC_DB3_STALL                   257
#define     V_036620_SPI_PERF_PIX_ALLOC_DB4_STALL                   258
#define     V_036620_SPI_PERF_PIX_ALLOC_DB5_STALL                   259
#define     V_036620_SPI_PERF_PIX_ALLOC_DB6_STALL                   260
#define     V_036620_SPI_PERF_PIX_ALLOC_DB7_STALL                   261
#define     V_036620_SPI_PERF_GS_NGG_SE_SEND_GS_ALLOC               262
#define     V_036620_SPI_PERF_SWC_PS_WR                             263
#define     V_036620_SPI_PERF_SWC_VS_WR                             264
#define     V_036620_SPI_PERF_SWC_ES_WR                             265
#define     V_036620_SPI_PERF_SWC_GS_WR                             266
#define     V_036620_SPI_PERF_SWC_LS_WR                             267
#define     V_036620_SPI_PERF_SWC_HS_WR                             268
#define     V_036620_SPI_PERF_SWC_CSG_WR                            269
#define     V_036620_SPI_PERF_SWC_CSN_WR                            270
#define     V_036620_SPI_PERF_VWC_PS_WR                             271
#define     V_036620_SPI_PERF_VWC_VS_WR                             272
#define     V_036620_SPI_PERF_VWC_ES_WR                             273
#define     V_036620_SPI_PERF_VWC_GS_WR                             274
#define     V_036620_SPI_PERF_VWC_LS_WR                             275
#define     V_036620_SPI_PERF_VWC_HS_WR                             276
#define     V_036620_SPI_PERF_VWC_CSG_WR                            277
#define     V_036620_SPI_PERF_VWC_CSN_WR                            278
#define     V_036620_SPI_PERF_ES_WINDOW_VALID                       279
#define     V_036620_SPI_PERF_ES_BUSY                               280
#define     V_036620_SPI_PERF_ES_CRAWLER_STALL                      281
#define     V_036620_SPI_PERF_ES_FIRST_WAVE                         282
#define     V_036620_SPI_PERF_ES_LAST_WAVE                          283
#define     V_036620_SPI_PERF_ES_LSHS_DEALLOC                       284
#define     V_036620_SPI_PERF_ES_EVENT_WAVE                         285
#define     V_036620_SPI_PERF_ES_WAVE                               286
#define     V_036620_SPI_PERF_ES_PERS_UPD_FULL0                     287
#define     V_036620_SPI_PERF_ES_PERS_UPD_FULL1                     288
#define     V_036620_SPI_PERF_ES_FIRST_SUBGRP                       289
#define     V_036620_SPI_PERF_ES_LAST_SUBGRP                        290
#define     V_036620_SPI_PERF_LS_WINDOW_VALID                       291
#define     V_036620_SPI_PERF_LS_BUSY                               292
#define     V_036620_SPI_PERF_LS_CRAWLER_STALL                      293
#define     V_036620_SPI_PERF_LS_FIRST_WAVE                         294
#define     V_036620_SPI_PERF_LS_LAST_WAVE                          295
#define     V_036620_SPI_PERF_LS_OFFCHIP_LDS_STALL                  296
#define     V_036620_SPI_PERF_LS_EVENT_WAVE                         297
#define     V_036620_SPI_PERF_LS_WAVE                               298
#define     V_036620_SPI_PERF_LS_PERS_UPD_FULL0                     299
#define     V_036620_SPI_PERF_LS_PERS_UPD_FULL1                     300
#define R_036624_SPI_PERFCOUNTER5_SELECT                                0x036624
#define R_036628_SPI_PERFCOUNTER_BINS                                   0x036628
#define   S_036628_BIN0_MIN(x)                                        (((unsigned)(x) & 0xF) << 0)
#define   G_036628_BIN0_MIN(x)                                        (((x) >> 0) & 0xF)
#define   C_036628_BIN0_MIN                                           0xFFFFFFF0
#define   S_036628_BIN0_MAX(x)                                        (((unsigned)(x) & 0xF) << 4)
#define   G_036628_BIN0_MAX(x)                                        (((x) >> 4) & 0xF)
#define   C_036628_BIN0_MAX                                           0xFFFFFF0F
#define   S_036628_BIN1_MIN(x)                                        (((unsigned)(x) & 0xF) << 8)
#define   G_036628_BIN1_MIN(x)                                        (((x) >> 8) & 0xF)
#define   C_036628_BIN1_MIN                                           0xFFFFF0FF
#define   S_036628_BIN1_MAX(x)                                        (((unsigned)(x) & 0xF) << 12)
#define   G_036628_BIN1_MAX(x)                                        (((x) >> 12) & 0xF)
#define   C_036628_BIN1_MAX                                           0xFFFF0FFF
#define   S_036628_BIN2_MIN(x)                                        (((unsigned)(x) & 0xF) << 16)
#define   G_036628_BIN2_MIN(x)                                        (((x) >> 16) & 0xF)
#define   C_036628_BIN2_MIN                                           0xFFF0FFFF
#define   S_036628_BIN2_MAX(x)                                        (((unsigned)(x) & 0xF) << 20)
#define   G_036628_BIN2_MAX(x)                                        (((x) >> 20) & 0xF)
#define   C_036628_BIN2_MAX                                           0xFF0FFFFF
#define   S_036628_BIN3_MIN(x)                                        (((unsigned)(x) & 0xF) << 24)
#define   G_036628_BIN3_MIN(x)                                        (((x) >> 24) & 0xF)
#define   C_036628_BIN3_MIN                                           0xF0FFFFFF
#define   S_036628_BIN3_MAX(x)                                        (((unsigned)(x) & 0xF) << 28)
#define   G_036628_BIN3_MAX(x)                                        (((x) >> 28) & 0xF)
#define   C_036628_BIN3_MAX                                           0x0FFFFFFF
#define R_036700_SQ_PERFCOUNTER0_SELECT                                 0x036700
#define   S_036700_PERF_SEL(x)                                        (((unsigned)(x) & 0x1FF) << 0)
#define   G_036700_PERF_SEL(x)                                        (((x) >> 0) & 0x1FF)
#define   C_036700_PERF_SEL                                           0xFFFFFE00
#define     V_036700_SQ_PERF_SEL_NONE                               0 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_ACCUM_PREV                         1 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_CYCLES                             2 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_BUSY_CYCLES                        3 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVES                              4 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVES_32                           5 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVES_64                           6 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_LEVEL_WAVES                        7 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_ITEMS                              8 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVE32_ITEMS                       9 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVE64_ITEMS                       10 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_QUADS                              11 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_EVENTS                             12 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVES_EQ_64                        13 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVES_LT_64                        14 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVES_LT_48                        15 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVES_LT_32                        16 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVES_LT_16                        17 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVES_RESTORED                     18 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVES_SAVED                        19 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_MSG                                20 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_MSG_GSCNT                          21 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_MSG_INTERRUPT                      22 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_1                         23 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_2                         24 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_3                         25 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVE_CYCLES                        26 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVE_READY                         27 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_INST_ANY                      28 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_INST_VALU                     29 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_INST_SCA                      30 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_INST_LDS                      31 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_INST_TEX                      32 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_INST_FLAT                     33 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_INST_VMEM                     34 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_INST_EXP_GDS                  35 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_INST_BR_MSG                   36 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_ANY                           37 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_CNT_ANY                       38 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_CNT_VMVS                      39 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_CNT_LGKM                      40 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_CNT_EXP                       41 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_TTRACE                        42 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_IFETCH                        43 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_BARRIER                       44 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_EXP_ALLOC                     45 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_SLEEP                         46 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_SLEEP_XNACK                   47 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAIT_OTHER                         48 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_ALL                          49 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_BRANCH                       50 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_CBRANCH_NOT_TAKEN            51 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_CBRANCH_TAKEN                52 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_CBRANCH_TAKEN_HIT_IS         53 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_EXP_GDS                      54 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_GDS                          55 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_EXP                          56 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_FLAT                         57 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_4                         58 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_LDS                          59 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_SALU                         60 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_SMEM                         61 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_SMEM_NORM                    62 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_SENDMSG                      63 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_VALU                         64 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_17                        65 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_VALU_TRANS32                 66 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_VALU_NO_COEXEC               67 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_TEX                          68 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_TEX_LOAD                     69 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_TEX_STORE                    70 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_WAVE32                       71 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_WAVE32_FLAT                  72 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_5                         73 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_WAVE32_LDS                   74 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_WAVE32_VALU                  75 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_WAVE32_EXP_GDS               76 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_WAVE32_VALU_TRANS32          77 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_WAVE32_VALU_NO_COEXEC        78 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_WAVE32_TEX                   79 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_WAVE32_TEX_LOAD              80 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_WAVE32_TEX_STORE             81 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_ITEM_CYCLES_VALU                   82 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VALU_READWRITELANE_CYCLES          83 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVE32_INSTS                       84 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVE64_INSTS                       85 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_18                        86 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_VALU_EXEC_SKIPPED            87 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_WAVE64_HALF_SKIP                   88 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_TEX_REPLAY                   89 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_SMEM_REPLAY                  90 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_20                        91 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_FLAT_REPLAY                  92 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_TA_XNACK_ALL                       93 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_TA_XNACK_FIRST                     94 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_VALU_LDS_DIRECT_RD           95 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INSTS_VALU_VINTRP_OP               96 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_LEVEL_EXP                     97 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_LEVEL_GDS                     98 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_LEVEL_LDS                     99 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_LEVEL_SMEM                    100 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_LEVEL_TEX_LOAD                101 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_LEVEL_TEX_STORE               102 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_IFETCH_REQS                        103 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_IFETCH_LEVEL                       104 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_IFETCH_XNACK                       105 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_6                         106 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_7                         107 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_LDS_DIRECT_CMD_FIFO_FULL_STALL     108 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VALU_SGATHER_STALL                 109 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VALU_FWD_BUFFER_FULL_STALL         110 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VALU_SGPR_RD_FIFO_FULL_STALL       111 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VALU_SGATHER_FULL_STALL            112 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_SALU_SGATHER_STALL                 113 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_SALU_SGPR_RD_FIFO_FULL_STALL       114 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_SALU_GATHER_FULL_STALL             115 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_SMEM_DCACHE_FIFO_FULL_STALL        116 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_CYCLES_VALU                   117 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_CYCLES_VALU_TRANS32           118 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_CYCLES_VALU_NO_COEXEC         119 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_CYCLES_VMEM                   120 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_CYCLES_VMEM_LOAD              121 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_CYCLES_VMEM_STORE             122 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_CYCLES_LDS                    123 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_CYCLES_TEX                    124 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_CYCLES_FLAT                   125 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_CYCLES_EXP_GDS                126 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_CYCLES_EXP                    127 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_CYCLES_GDS                    128 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VALU_STARVE                        129 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VMEM_ARB_FIFO_FULL                 130 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_MSG_FIFO_FULL_STALL                131 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_EXP_REQ_FIFO_FULL                  132 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_11                        133 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_12                        134 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_13                        135 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_14                        136 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VMEM_BUS_ACTIVE                    137 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VMEM_BUS_STALL                     138 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VMEM_BUS_STALL_TA_ADDR_FIFO_FULL   139 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VMEM_BUS_STALL_TA_CMD_FIFO_FULL    140 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VMEM_BUS_STALL_LDS_ADDR_FIFO_FULL  141 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VMEM_BUS_STALL_LDS_CMD_FIFO_FULL   142 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VMEM_STARVE_TA_ADDR_EMPTY          143 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VMEM_STARVE_LDS_ADDR_EMPTY         144 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_15                        145 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_SALU_PIPE_STALL                    146 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_SMEM_DCACHE_RETURN_CYCLES          147 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_21                        148 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_MSG_BUS_BUSY                       149 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_EXP_REQ_BUS_STALL                  150 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_EXP_REQ0_BUS_BUSY                  151 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_EXP_REQ1_BUS_BUSY                  152 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_EXP_BUS0_BUSY                      153 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_EXP_BUS1_BUSY                      154 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_Reserved_19                        155 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_INST_CACHE_REQ_STALL               156 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_MIXED_SUBSEQUENT_ISSUES_VALU       157 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_MIXED_SUBSEQUENT_ISSUES_SALU       158 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_MIXED_SUBSEQUENT_ISSUES_VMEM       159 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER0                              160 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER1                              161 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER2                              162 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER3                              163 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER4                              164 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER5                              165 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER6                              166 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER7                              167 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER8                              168 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER9                              169 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER10                             170 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER11                             171 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER12                             172 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER13                             173 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER14                             174 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER15                             175 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL0                        176 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL1                        177 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL2                        178 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL3                        179 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL4                        180 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL5                        181 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL6                        182 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL7                        183 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL8                        184 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL9                        185 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL10                       186 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL11                       187 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL12                       188 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL13                       189 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL14                       190 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_USER_LEVEL15                       191 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VALU_RETURN_SDST                   192 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VMEM_SECOND_TRY_USED               193 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_VMEM_SECOND_TRY_STALL              194 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_DUMMY_END                          195 /* >= gfx10 */
#define     V_036700_SQ_PERF_SEL_DUMMY_LAST                         196 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_UTCL0_TRANSLATION_MISS            197 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_UTCL0_PERMISSION_MISS             198 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_UTCL0_TRANSLATION_HIT             199 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_UTCL0_REQUEST                     200 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_UTCL0_STALL_MISSFIFO_FULL         201 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_UTCL0_STALL_INFLIGHT_MAX          202 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_UTCL0_STALL_LRU_INFLIGHT          203 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_UTCL0_LFIFO_FULL                  204 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_UTCL0_STALL_LFIFO_NOT_RES         205 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_UTCL0_STALL_UTCL1_REQ_OUT_OF_CREDITS 206 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_UTCL0_HIT_FIFO_FULL               207 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_UTCL0_UTCL1_REQ                   208 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_TLB_SHOOTDOWN                     209 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_TLB_SHOOTDOWN_CYCLES              210 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_TTRACE_REQS                       211 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_TTRACE_INFLIGHT_REQS              212 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_TTRACE_STALL                      213 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_TTRACE_LOST_PACKETS               214 /* >= gfx10 */
#define     V_036700_SQG_PERF_SEL_DUMMY_LAST                        215 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_POWER_VALU                        216 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_POWER_VALU0                       217 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_POWER_VALU1                       218 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_POWER_VALU2                       219 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_POWER_GPR_RD                      220 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_POWER_GPR_WR                      221 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_POWER_LDS_BUSY                    222 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_POWER_ALU_BUSY                    223 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_POWER_TEX_BUSY                    224 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_PT_POWER_STALL                    225 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_LDS_BANK_CONFLICT                 226 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_LDS_ADDR_CONFLICT                 227 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_LDS_UNALIGNED_STALL               228 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_LDS_MEM_VIOLATIONS                229 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_LDS_ATOMIC_RETURN                 230 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_LDS_IDX_ACTIVE                    231 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_LDS_ADDR_STALL                    232 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_LDS_ADDR_ACTIVE                   233 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_LDS_DIRECT_FIFO_FULL_STALL        234 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_LDS_PC_LDS_WRITE_STALL_TD         235 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_LDS_SPI_VGPR_WRITE_STALL_TD       236 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_LDS_LDS_VGPR_WRITE_STALL          237 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_LDS_FP_ADD_CYCLES                 238 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_BUSY_CYCLES                239 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_REQ                        240 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_HITS                       241 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_MISSES                     242 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_MISSES_DUPLICATE           243 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_INVAL_INST                 244 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_INVAL_ASYNC                245 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_INFLIGHT_LEVEL             246 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_INFLIGHT_LEVEL             247 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_TC_INFLIGHT_LEVEL                 248 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_TC_INFLIGHT_LEVEL          249 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_TC_INFLIGHT_LEVEL          250 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_INPUT_VALID_READY          251 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_INPUT_VALID_READYB         252 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_INPUT_VALIDB               253 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_INPUT_VALID_READY          254 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_INPUT_VALID_READYB         255 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_INPUT_VALIDB               256 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_TC_REQ                            257 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_TC_INST_REQ                       258 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_TC_DATA_READ_REQ                  259 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_TC_DATA_WRITE_REQ                 260 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_TC_DATA_ATOMIC_REQ                261 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_TC_STALL                          262 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_TC_STARVE                         263 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_INPUT_STALL_ARB_NO_GRANT   264 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_INPUT_STALL_BANK_READYB    265 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_CACHE_STALLED              266 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_CACHE_STALL_INFLIGHT_NONZERO 267 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_CACHE_STALL_INFLIGHT_MAX   268 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_CACHE_STALL_OUTPUT         269 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_CACHE_STALL_OUTPUT_MISS_FIFO 270 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_CACHE_STALL_OUTPUT_HIT_FIFO 271 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_CACHE_STALL_OUTPUT_TC_IF   272 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_STALL_OUTXBAR_ARB_NO_GRANT 273 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_BUSY_CYCLES                274 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_REQ                        275 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_HITS                       276 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_MISSES                     277 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_MISSES_DUPLICATE           278 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_INVAL_INST                 279 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_INVAL_ASYNC                280 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_HIT_LRU_READ               281 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_WC_LRU_WRITE               282 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_WT_EVICT_WRITE             283 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_ATOMIC                     284 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_WB_INST                    285 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_WB_ASYNC                   286 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_INPUT_STALL_ARB_NO_GRANT   287 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_INPUT_STALL_BANK_READYB    288 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_CACHE_STALLED              289 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_CACHE_STALL_INFLIGHT_MAX   290 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_CACHE_STALL_OUTPUT         291 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_CACHE_STALL_EVICT          292 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_CACHE_STALL_UNORDERED      293 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_CACHE_STALL_ALLOC_UNAVAILABLE 294 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_CACHE_STALL_FORCE_EVICT    295 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_CACHE_STALL_MULTI_FLUSH    296 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_CACHE_STALL_FLUSH_DONE     297 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_CACHE_STALL_OUTPUT_MISS_FIFO 298 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_CACHE_STALL_OUTPUT_HIT_FIFO 299 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_CACHE_STALL_OUTPUT_TC_IF   300 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_STALL_OUTXBAR_ARB_NO_GRANT 301 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_REQ_READ_1                 302 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_REQ_READ_2                 303 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_REQ_READ_4                 304 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_REQ_READ_8                 305 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_REQ_READ_16                306 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_REQ_TIME                   307 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_REQ_WRITE_1                308 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_REQ_WRITE_2                309 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_REQ_WRITE_4                310 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_REQ_ATC_PROBE              311 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_SQ_DCACHE_REQS                    312 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_FLAT_REQ                   313 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_NONFLAT_REQ                314 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL0_TRANSLATION_MISS     315 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL0_PERMISSION_MISS      316 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL0_TRANSLATION_HIT      317 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL0_REQUEST              318 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL0_XNACK                319 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL0_STALL_INFLIGHT_MAX   320 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL0_STALL_LRU_INFLIGHT   321 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL0_LFIFO_FULL           322 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL0_STALL_LFIFO_NOT_RES  323 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL0_STALL_UTCL1_REQ_OUT_OF_CREDITS 324 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL0_UTCL1_INFLIGHT       325 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL0_STALL_MISSFIFO_FULL  326 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_TRANSLATION_MISS     327 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_PERMISSION_MISS      328 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_TRANSLATION_HIT      329 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_REQUEST              330 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_XNACK                331 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_STALL_INFLIGHT_MAX   332 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_STALL_LRU_INFLIGHT   333 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_LFIFO_FULL           334 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_STALL_LFIFO_NOT_RES  335 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_STALL_UTCL1_REQ_OUT_OF_CREDITS 336 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_UTCL1_INFLIGHT       337 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_STALL_MISSFIFO_FULL  338 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_STALL_MULTI_MISS     339 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_HIT_FIFO_FULL        340 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL0_INFLIGHT_LEVEL       341 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL0_ALL_REQ              342 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL1_INFLIGHT_LEVEL       343 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL1_ALL_REQ              344 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_UTCL0_UTCL1_PERM_FAULT     345 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_INFLIGHT_LEVEL       346 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_ALL_REQ              347 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL1_INFLIGHT_LEVEL       348 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL1_ALL_REQ              349 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_UTCL0_UTCL1_PERM_FAULT     350 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_GCR                        351 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_GCR_HITS                   352 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_GCR                        353 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_GCR_HITS                   354 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_ICACHE_GCR_INVALIDATE             355 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_GCR_INVALIDATE             356 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_GCR_WRITEBACK              357 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DCACHE_SPI_RETURN_STALL           358 /* >= gfx10 */
#define     V_036700_SQC_PERF_SEL_DUMMY_LAST                        359 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_DCACHE_WB_CNT                      360 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_DCACHE_STALL                       361 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_DCACHE_HIT                         362 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_DCACHE_HIT_DIRTY                   363 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_DCACHE_WB_CONF_W_LDS               364 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_DCACHE_WB_CONF_W_TD                365 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_DCACHE_WB_CONF_W_SPI               366 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_DCACHE_WB_CONF_W_EXP_VMEM          367 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_DCACHE_EVEN_DIRTY_CNT              368 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_DCACHE_ODD_DIRTY_CNT               369 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_DCACHE_INVALIDATE_BY_VEC           370 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_GATHER_SRCA_FWD                    371 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_GATHER_SRCB_FWD                    372 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_GATHER_SRCC_FWD                    373 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_GATHER_SRCA_REDUNDANT              374 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_GATHER_SRCB_REDUNDANT              375 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_GATHER_SRCC_REDUNDANT              376 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_GATHER_SRCA_DIRECT                 377 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_GATHER_SRCB_DIRECT                 378 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_GATHER_SRCC_DIRECT                 379 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VGPR_VALU_BANK0_RD                 380 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VGPR_VALU_BANK1_RD                 381 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VGPR_VALU_BANK2_RD                 382 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VGPR_VALU_BANK3_RD                 383 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VGPR_VMEM_BANK_RD                  384 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VGPR_EXP_BANK_RD                   385 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VGPR_TDDATA_WR                     386 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VGPR_LDSDATA_WR                    387 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PB_STALL                           388 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PB_SEND                            389 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_LDS_DIRECT_FIFO_FULL               390 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_LDS_DIRECT_FIFO_SEND               391 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_SQ_SP_CONST_FIFO_FULL              392 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_SQ_SP_CONST_FIFO_SEND              393 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_SGPR_FULL                          394 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VALU_CONFLICT_WITH_EXP             395 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VALU_CONFLICT_WITH_VMEM_LDS        396 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VALU_CONFLICT_WITH_VMEM_NON_LDS    397 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VALU_STALL_DUE_CONST_NOT_READY     398 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VALU_STALL_DUE_VDST_FWD            399 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VALU_STALL_DUE_SDST_FWD            400 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VALU_STALL_DUE_LDS_DIR_NOT_READY   401 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VALU_STALL_DUE_VGPR_NOT_READY      402 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VALU_STALL_DUE_DST_STALL           403 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VALU_STALL_DUE_DST_CACHE_WRITE_CONF 404 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_VALU_STALL                         405 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PERF_MEM_RD_CNT                    406 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PERF_MEM_WR_CNT                    407 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PERF_THREAD_REDUNDANT              408 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PERF_OP_W_1_PASS                   409 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PERF_OP_W_2_PASS                   410 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PERF_OP_W_4_PASS                   411 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PERF_OP_W_16_PASS                  412 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PERF_COEXEC                        413 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PERF_ACTIVE_THREAD                 414 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PERF_ALL_ACTIVE                    415 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PERF_ZERO_P_ZERO                   416 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PERF_TRANS_OP                      417 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PERF_OP_W_MAD                      418 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PERF_OP_W_MUL                      419 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_PERF_OP_W_ADD                      420 /* >= gfx10 */
#define     V_036700_SP_PERF_SEL_DUMMY_LAST                         421 /* >= gfx10 */
#define   S_036700_SQC_BANK_MASK(x)                                   (((unsigned)(x) & 0xF) << 12)
#define   G_036700_SQC_BANK_MASK(x)                                   (((x) >> 12) & 0xF)
#define   C_036700_SQC_BANK_MASK                                      0xFFFF0FFF
#define   S_036700_SQC_CLIENT_MASK(x)                                 (((unsigned)(x) & 0xF) << 16) /* <= gfx9 */
#define   G_036700_SQC_CLIENT_MASK(x)                                 (((x) >> 16) & 0xF)
#define   C_036700_SQC_CLIENT_MASK                                    0xFFF0FFFF
#define   S_036700_SPM_MODE(x)                                        (((unsigned)(x) & 0xF) << 20)
#define   G_036700_SPM_MODE(x)                                        (((x) >> 20) & 0xF)
#define   C_036700_SPM_MODE                                           0xFF0FFFFF
#define   S_036700_SIMD_MASK(x)                                       (((unsigned)(x) & 0xF) << 24) /* <= gfx9 */
#define   G_036700_SIMD_MASK(x)                                       (((x) >> 24) & 0xF)
#define   C_036700_SIMD_MASK                                          0xF0FFFFFF
#define   S_036700_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036700_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036700_PERF_MODE                                          0x0FFFFFFF
#define R_036704_SQ_PERFCOUNTER1_SELECT                                 0x036704
#define R_036708_SQ_PERFCOUNTER2_SELECT                                 0x036708
#define R_03670C_SQ_PERFCOUNTER3_SELECT                                 0x03670C
#define R_036710_SQ_PERFCOUNTER4_SELECT                                 0x036710
#define R_036714_SQ_PERFCOUNTER5_SELECT                                 0x036714
#define R_036718_SQ_PERFCOUNTER6_SELECT                                 0x036718
#define R_03671C_SQ_PERFCOUNTER7_SELECT                                 0x03671C
#define R_036720_SQ_PERFCOUNTER8_SELECT                                 0x036720
#define R_036724_SQ_PERFCOUNTER9_SELECT                                 0x036724
#define R_036728_SQ_PERFCOUNTER10_SELECT                                0x036728
#define R_03672C_SQ_PERFCOUNTER11_SELECT                                0x03672C
#define R_036730_SQ_PERFCOUNTER12_SELECT                                0x036730
#define R_036734_SQ_PERFCOUNTER13_SELECT                                0x036734
#define R_036738_SQ_PERFCOUNTER14_SELECT                                0x036738
#define R_03673C_SQ_PERFCOUNTER15_SELECT                                0x03673C
#define R_036780_SQ_PERFCOUNTER_CTRL                                    0x036780
#define   S_036780_PS_EN(x)                                           (((unsigned)(x) & 0x1) << 0)
#define   G_036780_PS_EN(x)                                           (((x) >> 0) & 0x1)
#define   C_036780_PS_EN                                              0xFFFFFFFE
#define   S_036780_VS_EN(x)                                           (((unsigned)(x) & 0x1) << 1)
#define   G_036780_VS_EN(x)                                           (((x) >> 1) & 0x1)
#define   C_036780_VS_EN                                              0xFFFFFFFD
#define   S_036780_GS_EN(x)                                           (((unsigned)(x) & 0x1) << 2)
#define   G_036780_GS_EN(x)                                           (((x) >> 2) & 0x1)
#define   C_036780_GS_EN                                              0xFFFFFFFB
#define   S_036780_ES_EN(x)                                           (((unsigned)(x) & 0x1) << 3)
#define   G_036780_ES_EN(x)                                           (((x) >> 3) & 0x1)
#define   C_036780_ES_EN                                              0xFFFFFFF7
#define   S_036780_HS_EN(x)                                           (((unsigned)(x) & 0x1) << 4)
#define   G_036780_HS_EN(x)                                           (((x) >> 4) & 0x1)
#define   C_036780_HS_EN                                              0xFFFFFFEF
#define   S_036780_LS_EN(x)                                           (((unsigned)(x) & 0x1) << 5)
#define   G_036780_LS_EN(x)                                           (((x) >> 5) & 0x1)
#define   C_036780_LS_EN                                              0xFFFFFFDF
#define   S_036780_CS_EN(x)                                           (((unsigned)(x) & 0x1) << 6)
#define   G_036780_CS_EN(x)                                           (((x) >> 6) & 0x1)
#define   C_036780_CS_EN                                              0xFFFFFFBF
#define   S_036780_CNTR_RATE(x)                                       (((unsigned)(x) & 0x1F) << 8)
#define   G_036780_CNTR_RATE(x)                                       (((x) >> 8) & 0x1F)
#define   C_036780_CNTR_RATE                                          0xFFFFE0FF
#define   S_036780_DISABLE_FLUSH(x)                                   (((unsigned)(x) & 0x1) << 13)
#define   G_036780_DISABLE_FLUSH(x)                                   (((x) >> 13) & 0x1)
#define   C_036780_DISABLE_FLUSH                                      0xFFFFDFFF
#define R_036784_SQ_PERFCOUNTER_MASK                                    0x036784 /* <= gfx9 */
#define   S_036784_SH0_MASK(x)                                        (((unsigned)(x) & 0xFFFF) << 0)
#define   G_036784_SH0_MASK(x)                                        (((x) >> 0) & 0xFFFF)
#define   C_036784_SH0_MASK                                           0xFFFF0000
#define   S_036784_SH1_MASK(x)                                        (((unsigned)(x) & 0xFFFF) << 16)
#define   G_036784_SH1_MASK(x)                                        (((x) >> 16) & 0xFFFF)
#define   C_036784_SH1_MASK                                           0x0000FFFF
#define R_036788_SQ_PERFCOUNTER_CTRL2                                   0x036788
#define   S_036788_FORCE_EN(x)                                        (((unsigned)(x) & 0x1) << 0)
#define   G_036788_FORCE_EN(x)                                        (((x) >> 0) & 0x1)
#define   C_036788_FORCE_EN                                           0xFFFFFFFE
#define R_036900_SX_PERFCOUNTER0_SELECT                                 0x036900
#define   S_036900_PERFCOUNTER_SELECT(x)                              (((unsigned)(x) & 0x3FF) << 0)
#define   G_036900_PERFCOUNTER_SELECT(x)                              (((x) >> 0) & 0x3FF)
#define   C_036900_PERFCOUNTER_SELECT                                 0xFFFFFC00
#define     V_036900_SX_PERF_SEL_PA_IDLE_CYCLES                     0
#define     V_036900_SX_PERF_SEL_PA_REQ                             1
#define     V_036900_SX_PERF_SEL_PA_POS                             2
#define     V_036900_SX_PERF_SEL_CLOCK                              3
#define     V_036900_SX_PERF_SEL_GATE_EN1                           4
#define     V_036900_SX_PERF_SEL_GATE_EN2                           5
#define     V_036900_SX_PERF_SEL_GATE_EN3                           6
#define     V_036900_SX_PERF_SEL_GATE_EN4                           7
#define     V_036900_SX_PERF_SEL_SH_POS_STARVE                      8
#define     V_036900_SX_PERF_SEL_SH_COLOR_STARVE                    9
#define     V_036900_SX_PERF_SEL_SH_POS_STALL                       10
#define     V_036900_SX_PERF_SEL_SH_COLOR_STALL                     11
#define     V_036900_SX_PERF_SEL_DB0_PIXELS                         12
#define     V_036900_SX_PERF_SEL_DB0_HALF_QUADS                     13
#define     V_036900_SX_PERF_SEL_DB0_PIXEL_STALL                    14
#define     V_036900_SX_PERF_SEL_DB0_PIXEL_IDLE                     15
#define     V_036900_SX_PERF_SEL_DB0_PRED_PIXELS                    16
#define     V_036900_SX_PERF_SEL_DB1_PIXELS                         17
#define     V_036900_SX_PERF_SEL_DB1_HALF_QUADS                     18
#define     V_036900_SX_PERF_SEL_DB1_PIXEL_STALL                    19
#define     V_036900_SX_PERF_SEL_DB1_PIXEL_IDLE                     20
#define     V_036900_SX_PERF_SEL_DB1_PRED_PIXELS                    21
#define     V_036900_SX_PERF_SEL_DB2_PIXELS                         22
#define     V_036900_SX_PERF_SEL_DB2_HALF_QUADS                     23
#define     V_036900_SX_PERF_SEL_DB2_PIXEL_STALL                    24
#define     V_036900_SX_PERF_SEL_DB2_PIXEL_IDLE                     25
#define     V_036900_SX_PERF_SEL_DB2_PRED_PIXELS                    26
#define     V_036900_SX_PERF_SEL_DB3_PIXELS                         27
#define     V_036900_SX_PERF_SEL_DB3_HALF_QUADS                     28
#define     V_036900_SX_PERF_SEL_DB3_PIXEL_STALL                    29
#define     V_036900_SX_PERF_SEL_DB3_PIXEL_IDLE                     30
#define     V_036900_SX_PERF_SEL_DB3_PRED_PIXELS                    31
#define     V_036900_SX_PERF_SEL_COL_BUSY                           32
#define     V_036900_SX_PERF_SEL_POS_BUSY                           33
#define     V_036900_SX_PERF_SEL_DB0_A2M_DISCARD_QUADS              34
#define     V_036900_SX_PERF_SEL_DB0_MRT0_BLEND_BYPASS              35
#define     V_036900_SX_PERF_SEL_DB0_MRT0_DONT_RD_DEST              36
#define     V_036900_SX_PERF_SEL_DB0_MRT0_DISCARD_SRC               37
#define     V_036900_SX_PERF_SEL_DB0_MRT0_SINGLE_QUADS              38
#define     V_036900_SX_PERF_SEL_DB0_MRT0_DOUBLE_QUADS              39
#define     V_036900_SX_PERF_SEL_DB0_MRT1_BLEND_BYPASS              40
#define     V_036900_SX_PERF_SEL_DB0_MRT1_DONT_RD_DEST              41
#define     V_036900_SX_PERF_SEL_DB0_MRT1_DISCARD_SRC               42
#define     V_036900_SX_PERF_SEL_DB0_MRT1_SINGLE_QUADS              43
#define     V_036900_SX_PERF_SEL_DB0_MRT1_DOUBLE_QUADS              44
#define     V_036900_SX_PERF_SEL_DB0_MRT2_BLEND_BYPASS              45
#define     V_036900_SX_PERF_SEL_DB0_MRT2_DONT_RD_DEST              46
#define     V_036900_SX_PERF_SEL_DB0_MRT2_DISCARD_SRC               47
#define     V_036900_SX_PERF_SEL_DB0_MRT2_SINGLE_QUADS              48
#define     V_036900_SX_PERF_SEL_DB0_MRT2_DOUBLE_QUADS              49
#define     V_036900_SX_PERF_SEL_DB0_MRT3_BLEND_BYPASS              50
#define     V_036900_SX_PERF_SEL_DB0_MRT3_DONT_RD_DEST              51
#define     V_036900_SX_PERF_SEL_DB0_MRT3_DISCARD_SRC               52
#define     V_036900_SX_PERF_SEL_DB0_MRT3_SINGLE_QUADS              53
#define     V_036900_SX_PERF_SEL_DB0_MRT3_DOUBLE_QUADS              54
#define     V_036900_SX_PERF_SEL_DB0_MRT4_BLEND_BYPASS              55
#define     V_036900_SX_PERF_SEL_DB0_MRT4_DONT_RD_DEST              56
#define     V_036900_SX_PERF_SEL_DB0_MRT4_DISCARD_SRC               57
#define     V_036900_SX_PERF_SEL_DB0_MRT4_SINGLE_QUADS              58
#define     V_036900_SX_PERF_SEL_DB0_MRT4_DOUBLE_QUADS              59
#define     V_036900_SX_PERF_SEL_DB0_MRT5_BLEND_BYPASS              60
#define     V_036900_SX_PERF_SEL_DB0_MRT5_DONT_RD_DEST              61
#define     V_036900_SX_PERF_SEL_DB0_MRT5_DISCARD_SRC               62
#define     V_036900_SX_PERF_SEL_DB0_MRT5_SINGLE_QUADS              63
#define     V_036900_SX_PERF_SEL_DB0_MRT5_DOUBLE_QUADS              64
#define     V_036900_SX_PERF_SEL_DB0_MRT6_BLEND_BYPASS              65
#define     V_036900_SX_PERF_SEL_DB0_MRT6_DONT_RD_DEST              66
#define     V_036900_SX_PERF_SEL_DB0_MRT6_DISCARD_SRC               67
#define     V_036900_SX_PERF_SEL_DB0_MRT6_SINGLE_QUADS              68
#define     V_036900_SX_PERF_SEL_DB0_MRT6_DOUBLE_QUADS              69
#define     V_036900_SX_PERF_SEL_DB0_MRT7_BLEND_BYPASS              70
#define     V_036900_SX_PERF_SEL_DB0_MRT7_DONT_RD_DEST              71
#define     V_036900_SX_PERF_SEL_DB0_MRT7_DISCARD_SRC               72
#define     V_036900_SX_PERF_SEL_DB0_MRT7_SINGLE_QUADS              73
#define     V_036900_SX_PERF_SEL_DB0_MRT7_DOUBLE_QUADS              74
#define     V_036900_SX_PERF_SEL_DB1_A2M_DISCARD_QUADS              75
#define     V_036900_SX_PERF_SEL_DB1_MRT0_BLEND_BYPASS              76
#define     V_036900_SX_PERF_SEL_DB1_MRT0_DONT_RD_DEST              77
#define     V_036900_SX_PERF_SEL_DB1_MRT0_DISCARD_SRC               78
#define     V_036900_SX_PERF_SEL_DB1_MRT0_SINGLE_QUADS              79
#define     V_036900_SX_PERF_SEL_DB1_MRT0_DOUBLE_QUADS              80
#define     V_036900_SX_PERF_SEL_DB1_MRT1_BLEND_BYPASS              81
#define     V_036900_SX_PERF_SEL_DB1_MRT1_DONT_RD_DEST              82
#define     V_036900_SX_PERF_SEL_DB1_MRT1_DISCARD_SRC               83
#define     V_036900_SX_PERF_SEL_DB1_MRT1_SINGLE_QUADS              84
#define     V_036900_SX_PERF_SEL_DB1_MRT1_DOUBLE_QUADS              85
#define     V_036900_SX_PERF_SEL_DB1_MRT2_BLEND_BYPASS              86
#define     V_036900_SX_PERF_SEL_DB1_MRT2_DONT_RD_DEST              87
#define     V_036900_SX_PERF_SEL_DB1_MRT2_DISCARD_SRC               88
#define     V_036900_SX_PERF_SEL_DB1_MRT2_SINGLE_QUADS              89
#define     V_036900_SX_PERF_SEL_DB1_MRT2_DOUBLE_QUADS              90
#define     V_036900_SX_PERF_SEL_DB1_MRT3_BLEND_BYPASS              91
#define     V_036900_SX_PERF_SEL_DB1_MRT3_DONT_RD_DEST              92
#define     V_036900_SX_PERF_SEL_DB1_MRT3_DISCARD_SRC               93
#define     V_036900_SX_PERF_SEL_DB1_MRT3_SINGLE_QUADS              94
#define     V_036900_SX_PERF_SEL_DB1_MRT3_DOUBLE_QUADS              95
#define     V_036900_SX_PERF_SEL_DB1_MRT4_BLEND_BYPASS              96
#define     V_036900_SX_PERF_SEL_DB1_MRT4_DONT_RD_DEST              97
#define     V_036900_SX_PERF_SEL_DB1_MRT4_DISCARD_SRC               98
#define     V_036900_SX_PERF_SEL_DB1_MRT4_SINGLE_QUADS              99
#define     V_036900_SX_PERF_SEL_DB1_MRT4_DOUBLE_QUADS              100
#define     V_036900_SX_PERF_SEL_DB1_MRT5_BLEND_BYPASS              101
#define     V_036900_SX_PERF_SEL_DB1_MRT5_DONT_RD_DEST              102
#define     V_036900_SX_PERF_SEL_DB1_MRT5_DISCARD_SRC               103
#define     V_036900_SX_PERF_SEL_DB1_MRT5_SINGLE_QUADS              104
#define     V_036900_SX_PERF_SEL_DB1_MRT5_DOUBLE_QUADS              105
#define     V_036900_SX_PERF_SEL_DB1_MRT6_BLEND_BYPASS              106
#define     V_036900_SX_PERF_SEL_DB1_MRT6_DONT_RD_DEST              107
#define     V_036900_SX_PERF_SEL_DB1_MRT6_DISCARD_SRC               108
#define     V_036900_SX_PERF_SEL_DB1_MRT6_SINGLE_QUADS              109
#define     V_036900_SX_PERF_SEL_DB1_MRT6_DOUBLE_QUADS              110
#define     V_036900_SX_PERF_SEL_DB1_MRT7_BLEND_BYPASS              111
#define     V_036900_SX_PERF_SEL_DB1_MRT7_DONT_RD_DEST              112
#define     V_036900_SX_PERF_SEL_DB1_MRT7_DISCARD_SRC               113
#define     V_036900_SX_PERF_SEL_DB1_MRT7_SINGLE_QUADS              114
#define     V_036900_SX_PERF_SEL_DB1_MRT7_DOUBLE_QUADS              115
#define     V_036900_SX_PERF_SEL_DB2_A2M_DISCARD_QUADS              116
#define     V_036900_SX_PERF_SEL_DB2_MRT0_BLEND_BYPASS              117
#define     V_036900_SX_PERF_SEL_DB2_MRT0_DONT_RD_DEST              118
#define     V_036900_SX_PERF_SEL_DB2_MRT0_DISCARD_SRC               119
#define     V_036900_SX_PERF_SEL_DB2_MRT0_SINGLE_QUADS              120
#define     V_036900_SX_PERF_SEL_DB2_MRT0_DOUBLE_QUADS              121
#define     V_036900_SX_PERF_SEL_DB2_MRT1_BLEND_BYPASS              122
#define     V_036900_SX_PERF_SEL_DB2_MRT1_DONT_RD_DEST              123
#define     V_036900_SX_PERF_SEL_DB2_MRT1_DISCARD_SRC               124
#define     V_036900_SX_PERF_SEL_DB2_MRT1_SINGLE_QUADS              125
#define     V_036900_SX_PERF_SEL_DB2_MRT1_DOUBLE_QUADS              126
#define     V_036900_SX_PERF_SEL_DB2_MRT2_BLEND_BYPASS              127
#define     V_036900_SX_PERF_SEL_DB2_MRT2_DONT_RD_DEST              128
#define     V_036900_SX_PERF_SEL_DB2_MRT2_DISCARD_SRC               129
#define     V_036900_SX_PERF_SEL_DB2_MRT2_SINGLE_QUADS              130
#define     V_036900_SX_PERF_SEL_DB2_MRT2_DOUBLE_QUADS              131
#define     V_036900_SX_PERF_SEL_DB2_MRT3_BLEND_BYPASS              132
#define     V_036900_SX_PERF_SEL_DB2_MRT3_DONT_RD_DEST              133
#define     V_036900_SX_PERF_SEL_DB2_MRT3_DISCARD_SRC               134
#define     V_036900_SX_PERF_SEL_DB2_MRT3_SINGLE_QUADS              135
#define     V_036900_SX_PERF_SEL_DB2_MRT3_DOUBLE_QUADS              136
#define     V_036900_SX_PERF_SEL_DB2_MRT4_BLEND_BYPASS              137
#define     V_036900_SX_PERF_SEL_DB2_MRT4_DONT_RD_DEST              138
#define     V_036900_SX_PERF_SEL_DB2_MRT4_DISCARD_SRC               139
#define     V_036900_SX_PERF_SEL_DB2_MRT4_SINGLE_QUADS              140
#define     V_036900_SX_PERF_SEL_DB2_MRT4_DOUBLE_QUADS              141
#define     V_036900_SX_PERF_SEL_DB2_MRT5_BLEND_BYPASS              142
#define     V_036900_SX_PERF_SEL_DB2_MRT5_DONT_RD_DEST              143
#define     V_036900_SX_PERF_SEL_DB2_MRT5_DISCARD_SRC               144
#define     V_036900_SX_PERF_SEL_DB2_MRT5_SINGLE_QUADS              145
#define     V_036900_SX_PERF_SEL_DB2_MRT5_DOUBLE_QUADS              146
#define     V_036900_SX_PERF_SEL_DB2_MRT6_BLEND_BYPASS              147
#define     V_036900_SX_PERF_SEL_DB2_MRT6_DONT_RD_DEST              148
#define     V_036900_SX_PERF_SEL_DB2_MRT6_DISCARD_SRC               149
#define     V_036900_SX_PERF_SEL_DB2_MRT6_SINGLE_QUADS              150
#define     V_036900_SX_PERF_SEL_DB2_MRT6_DOUBLE_QUADS              151
#define     V_036900_SX_PERF_SEL_DB2_MRT7_BLEND_BYPASS              152
#define     V_036900_SX_PERF_SEL_DB2_MRT7_DONT_RD_DEST              153
#define     V_036900_SX_PERF_SEL_DB2_MRT7_DISCARD_SRC               154
#define     V_036900_SX_PERF_SEL_DB2_MRT7_SINGLE_QUADS              155
#define     V_036900_SX_PERF_SEL_DB2_MRT7_DOUBLE_QUADS              156
#define     V_036900_SX_PERF_SEL_DB3_A2M_DISCARD_QUADS              157
#define     V_036900_SX_PERF_SEL_DB3_MRT0_BLEND_BYPASS              158
#define     V_036900_SX_PERF_SEL_DB3_MRT0_DONT_RD_DEST              159
#define     V_036900_SX_PERF_SEL_DB3_MRT0_DISCARD_SRC               160
#define     V_036900_SX_PERF_SEL_DB3_MRT0_SINGLE_QUADS              161
#define     V_036900_SX_PERF_SEL_DB3_MRT0_DOUBLE_QUADS              162
#define     V_036900_SX_PERF_SEL_DB3_MRT1_BLEND_BYPASS              163
#define     V_036900_SX_PERF_SEL_DB3_MRT1_DONT_RD_DEST              164
#define     V_036900_SX_PERF_SEL_DB3_MRT1_DISCARD_SRC               165
#define     V_036900_SX_PERF_SEL_DB3_MRT1_SINGLE_QUADS              166
#define     V_036900_SX_PERF_SEL_DB3_MRT1_DOUBLE_QUADS              167
#define     V_036900_SX_PERF_SEL_DB3_MRT2_BLEND_BYPASS              168
#define     V_036900_SX_PERF_SEL_DB3_MRT2_DONT_RD_DEST              169
#define     V_036900_SX_PERF_SEL_DB3_MRT2_DISCARD_SRC               170
#define     V_036900_SX_PERF_SEL_DB3_MRT2_SINGLE_QUADS              171
#define     V_036900_SX_PERF_SEL_DB3_MRT2_DOUBLE_QUADS              172
#define     V_036900_SX_PERF_SEL_DB3_MRT3_BLEND_BYPASS              173
#define     V_036900_SX_PERF_SEL_DB3_MRT3_DONT_RD_DEST              174
#define     V_036900_SX_PERF_SEL_DB3_MRT3_DISCARD_SRC               175
#define     V_036900_SX_PERF_SEL_DB3_MRT3_SINGLE_QUADS              176
#define     V_036900_SX_PERF_SEL_DB3_MRT3_DOUBLE_QUADS              177
#define     V_036900_SX_PERF_SEL_DB3_MRT4_BLEND_BYPASS              178
#define     V_036900_SX_PERF_SEL_DB3_MRT4_DONT_RD_DEST              179
#define     V_036900_SX_PERF_SEL_DB3_MRT4_DISCARD_SRC               180
#define     V_036900_SX_PERF_SEL_DB3_MRT4_SINGLE_QUADS              181
#define     V_036900_SX_PERF_SEL_DB3_MRT4_DOUBLE_QUADS              182
#define     V_036900_SX_PERF_SEL_DB3_MRT5_BLEND_BYPASS              183
#define     V_036900_SX_PERF_SEL_DB3_MRT5_DONT_RD_DEST              184
#define     V_036900_SX_PERF_SEL_DB3_MRT5_DISCARD_SRC               185
#define     V_036900_SX_PERF_SEL_DB3_MRT5_SINGLE_QUADS              186
#define     V_036900_SX_PERF_SEL_DB3_MRT5_DOUBLE_QUADS              187
#define     V_036900_SX_PERF_SEL_DB3_MRT6_BLEND_BYPASS              188
#define     V_036900_SX_PERF_SEL_DB3_MRT6_DONT_RD_DEST              189
#define     V_036900_SX_PERF_SEL_DB3_MRT6_DISCARD_SRC               190
#define     V_036900_SX_PERF_SEL_DB3_MRT6_SINGLE_QUADS              191
#define     V_036900_SX_PERF_SEL_DB3_MRT6_DOUBLE_QUADS              192
#define     V_036900_SX_PERF_SEL_DB3_MRT7_BLEND_BYPASS              193
#define     V_036900_SX_PERF_SEL_DB3_MRT7_DONT_RD_DEST              194
#define     V_036900_SX_PERF_SEL_DB3_MRT7_DISCARD_SRC               195
#define     V_036900_SX_PERF_SEL_DB3_MRT7_SINGLE_QUADS              196
#define     V_036900_SX_PERF_SEL_DB3_MRT7_DOUBLE_QUADS              197
#define     V_036900_SX_PERF_SEL_PA_REQ_LATENCY                     198
#define     V_036900_SX_PERF_SEL_POS_SCBD_STALL                     199
#define     V_036900_SX_PERF_SEL_COL_SCBD_STALL                     200
#define     V_036900_SX_PERF_SEL_CLOCK_DROP_STALL                   201
#define     V_036900_SX_PERF_SEL_GATE_EN5                           202
#define     V_036900_SX_PERF_SEL_GATE_EN6                           203
#define     V_036900_SX_PERF_SEL_DB0_SIZE                           204
#define     V_036900_SX_PERF_SEL_DB1_SIZE                           205
#define     V_036900_SX_PERF_SEL_DB2_SIZE                           206
#define     V_036900_SX_PERF_SEL_DB3_SIZE                           207
#define     V_036900_SX_PERF_SEL_SPLITMODE                          208
#define     V_036900_SX_PERF_SEL_COL_SCBD0_STALL                    209
#define     V_036900_SX_PERF_SEL_COL_SCBD1_STALL                    210
#define     V_036900_SX_PERF_SEL_IDX_STALL_CYCLES                   211
#define     V_036900_SX_PERF_SEL_IDX_IDLE_CYCLES                    212
#define     V_036900_SX_PERF_SEL_IDX_REQ                            213
#define     V_036900_SX_PERF_SEL_IDX_RET                            214
#define     V_036900_SX_PERF_SEL_IDX_REQ_LATENCY                    215
#define     V_036900_SX_PERF_SEL_IDX_SCBD_STALL                     216
#define     V_036900_SX_PERF_SEL_GATE_EN7                           217
#define     V_036900_SX_PERF_SEL_GATE_EN8                           218
#define     V_036900_SX_PERF_SEL_SH_IDX_STARVE                      219
#define     V_036900_SX_PERF_SEL_IDX_BUSY                           220
#define   S_036900_PERFCOUNTER_SELECT1(x)                             (((unsigned)(x) & 0x3FF) << 10)
#define   G_036900_PERFCOUNTER_SELECT1(x)                             (((x) >> 10) & 0x3FF)
#define   C_036900_PERFCOUNTER_SELECT1                                0xFFF003FF
#define   S_036900_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036900_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036900_CNTR_MODE                                          0xFF0FFFFF
#define R_036904_SX_PERFCOUNTER1_SELECT                                 0x036904
#define R_036908_SX_PERFCOUNTER2_SELECT                                 0x036908
#define R_03690C_SX_PERFCOUNTER3_SELECT                                 0x03690C
#define R_036910_SX_PERFCOUNTER0_SELECT1                                0x036910
#define   S_036910_PERFCOUNTER_SELECT2(x)                             (((unsigned)(x) & 0x3FF) << 0)
#define   G_036910_PERFCOUNTER_SELECT2(x)                             (((x) >> 0) & 0x3FF)
#define   C_036910_PERFCOUNTER_SELECT2                                0xFFFFFC00
#define   S_036910_PERFCOUNTER_SELECT3(x)                             (((unsigned)(x) & 0x3FF) << 10)
#define   G_036910_PERFCOUNTER_SELECT3(x)                             (((x) >> 10) & 0x3FF)
#define   C_036910_PERFCOUNTER_SELECT3                                0xFFF003FF
#define R_036914_SX_PERFCOUNTER1_SELECT1                                0x036914
#define R_036A00_GDS_PERFCOUNTER0_SELECT                                0x036A00
#define   S_036A00_PERFCOUNTER_SELECT(x)                              (((unsigned)(x) & 0x3FF) << 0) /* <= gfx9 */
#define   G_036A00_PERFCOUNTER_SELECT(x)                              (((x) >> 0) & 0x3FF)
#define   C_036A00_PERFCOUNTER_SELECT                                 0xFFFFFC00
#define     V_036A00_SX_PERF_SEL_PA_IDLE_CYCLES                     0
#define     V_036A00_SX_PERF_SEL_PA_REQ                             1
#define     V_036A00_SX_PERF_SEL_PA_POS                             2
#define     V_036A00_SX_PERF_SEL_CLOCK                              3
#define     V_036A00_SX_PERF_SEL_GATE_EN1                           4
#define     V_036A00_SX_PERF_SEL_GATE_EN2                           5
#define     V_036A00_SX_PERF_SEL_GATE_EN3                           6
#define     V_036A00_SX_PERF_SEL_GATE_EN4                           7
#define     V_036A00_SX_PERF_SEL_SH_POS_STARVE                      8
#define     V_036A00_SX_PERF_SEL_SH_COLOR_STARVE                    9
#define     V_036A00_SX_PERF_SEL_SH_POS_STALL                       10
#define     V_036A00_SX_PERF_SEL_SH_COLOR_STALL                     11
#define     V_036A00_SX_PERF_SEL_DB0_PIXELS                         12
#define     V_036A00_SX_PERF_SEL_DB0_HALF_QUADS                     13
#define     V_036A00_SX_PERF_SEL_DB0_PIXEL_STALL                    14
#define     V_036A00_SX_PERF_SEL_DB0_PIXEL_IDLE                     15
#define     V_036A00_SX_PERF_SEL_DB0_PRED_PIXELS                    16
#define     V_036A00_SX_PERF_SEL_DB1_PIXELS                         17
#define     V_036A00_SX_PERF_SEL_DB1_HALF_QUADS                     18
#define     V_036A00_SX_PERF_SEL_DB1_PIXEL_STALL                    19
#define     V_036A00_SX_PERF_SEL_DB1_PIXEL_IDLE                     20
#define     V_036A00_SX_PERF_SEL_DB1_PRED_PIXELS                    21
#define     V_036A00_SX_PERF_SEL_DB2_PIXELS                         22
#define     V_036A00_SX_PERF_SEL_DB2_HALF_QUADS                     23
#define     V_036A00_SX_PERF_SEL_DB2_PIXEL_STALL                    24
#define     V_036A00_SX_PERF_SEL_DB2_PIXEL_IDLE                     25
#define     V_036A00_SX_PERF_SEL_DB2_PRED_PIXELS                    26
#define     V_036A00_SX_PERF_SEL_DB3_PIXELS                         27
#define     V_036A00_SX_PERF_SEL_DB3_HALF_QUADS                     28
#define     V_036A00_SX_PERF_SEL_DB3_PIXEL_STALL                    29
#define     V_036A00_SX_PERF_SEL_DB3_PIXEL_IDLE                     30
#define     V_036A00_SX_PERF_SEL_DB3_PRED_PIXELS                    31
#define     V_036A00_SX_PERF_SEL_COL_BUSY                           32
#define     V_036A00_SX_PERF_SEL_POS_BUSY                           33
#define     V_036A00_SX_PERF_SEL_DB0_A2M_DISCARD_QUADS              34
#define     V_036A00_SX_PERF_SEL_DB0_MRT0_BLEND_BYPASS              35
#define     V_036A00_SX_PERF_SEL_DB0_MRT0_DONT_RD_DEST              36
#define     V_036A00_SX_PERF_SEL_DB0_MRT0_DISCARD_SRC               37
#define     V_036A00_SX_PERF_SEL_DB0_MRT0_SINGLE_QUADS              38
#define     V_036A00_SX_PERF_SEL_DB0_MRT0_DOUBLE_QUADS              39
#define     V_036A00_SX_PERF_SEL_DB0_MRT1_BLEND_BYPASS              40
#define     V_036A00_SX_PERF_SEL_DB0_MRT1_DONT_RD_DEST              41
#define     V_036A00_SX_PERF_SEL_DB0_MRT1_DISCARD_SRC               42
#define     V_036A00_SX_PERF_SEL_DB0_MRT1_SINGLE_QUADS              43
#define     V_036A00_SX_PERF_SEL_DB0_MRT1_DOUBLE_QUADS              44
#define     V_036A00_SX_PERF_SEL_DB0_MRT2_BLEND_BYPASS              45
#define     V_036A00_SX_PERF_SEL_DB0_MRT2_DONT_RD_DEST              46
#define     V_036A00_SX_PERF_SEL_DB0_MRT2_DISCARD_SRC               47
#define     V_036A00_SX_PERF_SEL_DB0_MRT2_SINGLE_QUADS              48
#define     V_036A00_SX_PERF_SEL_DB0_MRT2_DOUBLE_QUADS              49
#define     V_036A00_SX_PERF_SEL_DB0_MRT3_BLEND_BYPASS              50
#define     V_036A00_SX_PERF_SEL_DB0_MRT3_DONT_RD_DEST              51
#define     V_036A00_SX_PERF_SEL_DB0_MRT3_DISCARD_SRC               52
#define     V_036A00_SX_PERF_SEL_DB0_MRT3_SINGLE_QUADS              53
#define     V_036A00_SX_PERF_SEL_DB0_MRT3_DOUBLE_QUADS              54
#define     V_036A00_SX_PERF_SEL_DB0_MRT4_BLEND_BYPASS              55
#define     V_036A00_SX_PERF_SEL_DB0_MRT4_DONT_RD_DEST              56
#define     V_036A00_SX_PERF_SEL_DB0_MRT4_DISCARD_SRC               57
#define     V_036A00_SX_PERF_SEL_DB0_MRT4_SINGLE_QUADS              58
#define     V_036A00_SX_PERF_SEL_DB0_MRT4_DOUBLE_QUADS              59
#define     V_036A00_SX_PERF_SEL_DB0_MRT5_BLEND_BYPASS              60
#define     V_036A00_SX_PERF_SEL_DB0_MRT5_DONT_RD_DEST              61
#define     V_036A00_SX_PERF_SEL_DB0_MRT5_DISCARD_SRC               62
#define     V_036A00_SX_PERF_SEL_DB0_MRT5_SINGLE_QUADS              63
#define     V_036A00_SX_PERF_SEL_DB0_MRT5_DOUBLE_QUADS              64
#define     V_036A00_SX_PERF_SEL_DB0_MRT6_BLEND_BYPASS              65
#define     V_036A00_SX_PERF_SEL_DB0_MRT6_DONT_RD_DEST              66
#define     V_036A00_SX_PERF_SEL_DB0_MRT6_DISCARD_SRC               67
#define     V_036A00_SX_PERF_SEL_DB0_MRT6_SINGLE_QUADS              68
#define     V_036A00_SX_PERF_SEL_DB0_MRT6_DOUBLE_QUADS              69
#define     V_036A00_SX_PERF_SEL_DB0_MRT7_BLEND_BYPASS              70
#define     V_036A00_SX_PERF_SEL_DB0_MRT7_DONT_RD_DEST              71
#define     V_036A00_SX_PERF_SEL_DB0_MRT7_DISCARD_SRC               72
#define     V_036A00_SX_PERF_SEL_DB0_MRT7_SINGLE_QUADS              73
#define     V_036A00_SX_PERF_SEL_DB0_MRT7_DOUBLE_QUADS              74
#define     V_036A00_SX_PERF_SEL_DB1_A2M_DISCARD_QUADS              75
#define     V_036A00_SX_PERF_SEL_DB1_MRT0_BLEND_BYPASS              76
#define     V_036A00_SX_PERF_SEL_DB1_MRT0_DONT_RD_DEST              77
#define     V_036A00_SX_PERF_SEL_DB1_MRT0_DISCARD_SRC               78
#define     V_036A00_SX_PERF_SEL_DB1_MRT0_SINGLE_QUADS              79
#define     V_036A00_SX_PERF_SEL_DB1_MRT0_DOUBLE_QUADS              80
#define     V_036A00_SX_PERF_SEL_DB1_MRT1_BLEND_BYPASS              81
#define     V_036A00_SX_PERF_SEL_DB1_MRT1_DONT_RD_DEST              82
#define     V_036A00_SX_PERF_SEL_DB1_MRT1_DISCARD_SRC               83
#define     V_036A00_SX_PERF_SEL_DB1_MRT1_SINGLE_QUADS              84
#define     V_036A00_SX_PERF_SEL_DB1_MRT1_DOUBLE_QUADS              85
#define     V_036A00_SX_PERF_SEL_DB1_MRT2_BLEND_BYPASS              86
#define     V_036A00_SX_PERF_SEL_DB1_MRT2_DONT_RD_DEST              87
#define     V_036A00_SX_PERF_SEL_DB1_MRT2_DISCARD_SRC               88
#define     V_036A00_SX_PERF_SEL_DB1_MRT2_SINGLE_QUADS              89
#define     V_036A00_SX_PERF_SEL_DB1_MRT2_DOUBLE_QUADS              90
#define     V_036A00_SX_PERF_SEL_DB1_MRT3_BLEND_BYPASS              91
#define     V_036A00_SX_PERF_SEL_DB1_MRT3_DONT_RD_DEST              92
#define     V_036A00_SX_PERF_SEL_DB1_MRT3_DISCARD_SRC               93
#define     V_036A00_SX_PERF_SEL_DB1_MRT3_SINGLE_QUADS              94
#define     V_036A00_SX_PERF_SEL_DB1_MRT3_DOUBLE_QUADS              95
#define     V_036A00_SX_PERF_SEL_DB1_MRT4_BLEND_BYPASS              96
#define     V_036A00_SX_PERF_SEL_DB1_MRT4_DONT_RD_DEST              97
#define     V_036A00_SX_PERF_SEL_DB1_MRT4_DISCARD_SRC               98
#define     V_036A00_SX_PERF_SEL_DB1_MRT4_SINGLE_QUADS              99
#define     V_036A00_SX_PERF_SEL_DB1_MRT4_DOUBLE_QUADS              100
#define     V_036A00_SX_PERF_SEL_DB1_MRT5_BLEND_BYPASS              101
#define     V_036A00_SX_PERF_SEL_DB1_MRT5_DONT_RD_DEST              102
#define     V_036A00_SX_PERF_SEL_DB1_MRT5_DISCARD_SRC               103
#define     V_036A00_SX_PERF_SEL_DB1_MRT5_SINGLE_QUADS              104
#define     V_036A00_SX_PERF_SEL_DB1_MRT5_DOUBLE_QUADS              105
#define     V_036A00_SX_PERF_SEL_DB1_MRT6_BLEND_BYPASS              106
#define     V_036A00_SX_PERF_SEL_DB1_MRT6_DONT_RD_DEST              107
#define     V_036A00_SX_PERF_SEL_DB1_MRT6_DISCARD_SRC               108
#define     V_036A00_SX_PERF_SEL_DB1_MRT6_SINGLE_QUADS              109
#define     V_036A00_SX_PERF_SEL_DB1_MRT6_DOUBLE_QUADS              110
#define     V_036A00_SX_PERF_SEL_DB1_MRT7_BLEND_BYPASS              111
#define     V_036A00_SX_PERF_SEL_DB1_MRT7_DONT_RD_DEST              112
#define     V_036A00_SX_PERF_SEL_DB1_MRT7_DISCARD_SRC               113
#define     V_036A00_SX_PERF_SEL_DB1_MRT7_SINGLE_QUADS              114
#define     V_036A00_SX_PERF_SEL_DB1_MRT7_DOUBLE_QUADS              115
#define     V_036A00_SX_PERF_SEL_DB2_A2M_DISCARD_QUADS              116
#define     V_036A00_SX_PERF_SEL_DB2_MRT0_BLEND_BYPASS              117
#define     V_036A00_SX_PERF_SEL_DB2_MRT0_DONT_RD_DEST              118
#define     V_036A00_SX_PERF_SEL_DB2_MRT0_DISCARD_SRC               119
#define     V_036A00_SX_PERF_SEL_DB2_MRT0_SINGLE_QUADS              120
#define     V_036A00_SX_PERF_SEL_DB2_MRT0_DOUBLE_QUADS              121
#define     V_036A00_SX_PERF_SEL_DB2_MRT1_BLEND_BYPASS              122
#define     V_036A00_SX_PERF_SEL_DB2_MRT1_DONT_RD_DEST              123
#define     V_036A00_SX_PERF_SEL_DB2_MRT1_DISCARD_SRC               124
#define     V_036A00_SX_PERF_SEL_DB2_MRT1_SINGLE_QUADS              125
#define     V_036A00_SX_PERF_SEL_DB2_MRT1_DOUBLE_QUADS              126
#define     V_036A00_SX_PERF_SEL_DB2_MRT2_BLEND_BYPASS              127
#define     V_036A00_SX_PERF_SEL_DB2_MRT2_DONT_RD_DEST              128
#define     V_036A00_SX_PERF_SEL_DB2_MRT2_DISCARD_SRC               129
#define     V_036A00_SX_PERF_SEL_DB2_MRT2_SINGLE_QUADS              130
#define     V_036A00_SX_PERF_SEL_DB2_MRT2_DOUBLE_QUADS              131
#define     V_036A00_SX_PERF_SEL_DB2_MRT3_BLEND_BYPASS              132
#define     V_036A00_SX_PERF_SEL_DB2_MRT3_DONT_RD_DEST              133
#define     V_036A00_SX_PERF_SEL_DB2_MRT3_DISCARD_SRC               134
#define     V_036A00_SX_PERF_SEL_DB2_MRT3_SINGLE_QUADS              135
#define     V_036A00_SX_PERF_SEL_DB2_MRT3_DOUBLE_QUADS              136
#define     V_036A00_SX_PERF_SEL_DB2_MRT4_BLEND_BYPASS              137
#define     V_036A00_SX_PERF_SEL_DB2_MRT4_DONT_RD_DEST              138
#define     V_036A00_SX_PERF_SEL_DB2_MRT4_DISCARD_SRC               139
#define     V_036A00_SX_PERF_SEL_DB2_MRT4_SINGLE_QUADS              140
#define     V_036A00_SX_PERF_SEL_DB2_MRT4_DOUBLE_QUADS              141
#define     V_036A00_SX_PERF_SEL_DB2_MRT5_BLEND_BYPASS              142
#define     V_036A00_SX_PERF_SEL_DB2_MRT5_DONT_RD_DEST              143
#define     V_036A00_SX_PERF_SEL_DB2_MRT5_DISCARD_SRC               144
#define     V_036A00_SX_PERF_SEL_DB2_MRT5_SINGLE_QUADS              145
#define     V_036A00_SX_PERF_SEL_DB2_MRT5_DOUBLE_QUADS              146
#define     V_036A00_SX_PERF_SEL_DB2_MRT6_BLEND_BYPASS              147
#define     V_036A00_SX_PERF_SEL_DB2_MRT6_DONT_RD_DEST              148
#define     V_036A00_SX_PERF_SEL_DB2_MRT6_DISCARD_SRC               149
#define     V_036A00_SX_PERF_SEL_DB2_MRT6_SINGLE_QUADS              150
#define     V_036A00_SX_PERF_SEL_DB2_MRT6_DOUBLE_QUADS              151
#define     V_036A00_SX_PERF_SEL_DB2_MRT7_BLEND_BYPASS              152
#define     V_036A00_SX_PERF_SEL_DB2_MRT7_DONT_RD_DEST              153
#define     V_036A00_SX_PERF_SEL_DB2_MRT7_DISCARD_SRC               154
#define     V_036A00_SX_PERF_SEL_DB2_MRT7_SINGLE_QUADS              155
#define     V_036A00_SX_PERF_SEL_DB2_MRT7_DOUBLE_QUADS              156
#define     V_036A00_SX_PERF_SEL_DB3_A2M_DISCARD_QUADS              157
#define     V_036A00_SX_PERF_SEL_DB3_MRT0_BLEND_BYPASS              158
#define     V_036A00_SX_PERF_SEL_DB3_MRT0_DONT_RD_DEST              159
#define     V_036A00_SX_PERF_SEL_DB3_MRT0_DISCARD_SRC               160
#define     V_036A00_SX_PERF_SEL_DB3_MRT0_SINGLE_QUADS              161
#define     V_036A00_SX_PERF_SEL_DB3_MRT0_DOUBLE_QUADS              162
#define     V_036A00_SX_PERF_SEL_DB3_MRT1_BLEND_BYPASS              163
#define     V_036A00_SX_PERF_SEL_DB3_MRT1_DONT_RD_DEST              164
#define     V_036A00_SX_PERF_SEL_DB3_MRT1_DISCARD_SRC               165
#define     V_036A00_SX_PERF_SEL_DB3_MRT1_SINGLE_QUADS              166
#define     V_036A00_SX_PERF_SEL_DB3_MRT1_DOUBLE_QUADS              167
#define     V_036A00_SX_PERF_SEL_DB3_MRT2_BLEND_BYPASS              168
#define     V_036A00_SX_PERF_SEL_DB3_MRT2_DONT_RD_DEST              169
#define     V_036A00_SX_PERF_SEL_DB3_MRT2_DISCARD_SRC               170
#define     V_036A00_SX_PERF_SEL_DB3_MRT2_SINGLE_QUADS              171
#define     V_036A00_SX_PERF_SEL_DB3_MRT2_DOUBLE_QUADS              172
#define     V_036A00_SX_PERF_SEL_DB3_MRT3_BLEND_BYPASS              173
#define     V_036A00_SX_PERF_SEL_DB3_MRT3_DONT_RD_DEST              174
#define     V_036A00_SX_PERF_SEL_DB3_MRT3_DISCARD_SRC               175
#define     V_036A00_SX_PERF_SEL_DB3_MRT3_SINGLE_QUADS              176
#define     V_036A00_SX_PERF_SEL_DB3_MRT3_DOUBLE_QUADS              177
#define     V_036A00_SX_PERF_SEL_DB3_MRT4_BLEND_BYPASS              178
#define     V_036A00_SX_PERF_SEL_DB3_MRT4_DONT_RD_DEST              179
#define     V_036A00_SX_PERF_SEL_DB3_MRT4_DISCARD_SRC               180
#define     V_036A00_SX_PERF_SEL_DB3_MRT4_SINGLE_QUADS              181
#define     V_036A00_SX_PERF_SEL_DB3_MRT4_DOUBLE_QUADS              182
#define     V_036A00_SX_PERF_SEL_DB3_MRT5_BLEND_BYPASS              183
#define     V_036A00_SX_PERF_SEL_DB3_MRT5_DONT_RD_DEST              184
#define     V_036A00_SX_PERF_SEL_DB3_MRT5_DISCARD_SRC               185
#define     V_036A00_SX_PERF_SEL_DB3_MRT5_SINGLE_QUADS              186
#define     V_036A00_SX_PERF_SEL_DB3_MRT5_DOUBLE_QUADS              187
#define     V_036A00_SX_PERF_SEL_DB3_MRT6_BLEND_BYPASS              188
#define     V_036A00_SX_PERF_SEL_DB3_MRT6_DONT_RD_DEST              189
#define     V_036A00_SX_PERF_SEL_DB3_MRT6_DISCARD_SRC               190
#define     V_036A00_SX_PERF_SEL_DB3_MRT6_SINGLE_QUADS              191
#define     V_036A00_SX_PERF_SEL_DB3_MRT6_DOUBLE_QUADS              192
#define     V_036A00_SX_PERF_SEL_DB3_MRT7_BLEND_BYPASS              193
#define     V_036A00_SX_PERF_SEL_DB3_MRT7_DONT_RD_DEST              194
#define     V_036A00_SX_PERF_SEL_DB3_MRT7_DISCARD_SRC               195
#define     V_036A00_SX_PERF_SEL_DB3_MRT7_SINGLE_QUADS              196
#define     V_036A00_SX_PERF_SEL_DB3_MRT7_DOUBLE_QUADS              197
#define     V_036A00_SX_PERF_SEL_PA_REQ_LATENCY                     198
#define     V_036A00_SX_PERF_SEL_POS_SCBD_STALL                     199
#define     V_036A00_SX_PERF_SEL_COL_SCBD_STALL                     200
#define     V_036A00_SX_PERF_SEL_CLOCK_DROP_STALL                   201
#define     V_036A00_SX_PERF_SEL_GATE_EN5                           202
#define     V_036A00_SX_PERF_SEL_GATE_EN6                           203
#define     V_036A00_SX_PERF_SEL_DB0_SIZE                           204
#define     V_036A00_SX_PERF_SEL_DB1_SIZE                           205
#define     V_036A00_SX_PERF_SEL_DB2_SIZE                           206
#define     V_036A00_SX_PERF_SEL_DB3_SIZE                           207
#define     V_036A00_SX_PERF_SEL_SPLITMODE                          208
#define     V_036A00_SX_PERF_SEL_COL_SCBD0_STALL                    209
#define     V_036A00_SX_PERF_SEL_COL_SCBD1_STALL                    210
#define     V_036A00_SX_PERF_SEL_IDX_STALL_CYCLES                   211
#define     V_036A00_SX_PERF_SEL_IDX_IDLE_CYCLES                    212
#define     V_036A00_SX_PERF_SEL_IDX_REQ                            213
#define     V_036A00_SX_PERF_SEL_IDX_RET                            214
#define     V_036A00_SX_PERF_SEL_IDX_REQ_LATENCY                    215
#define     V_036A00_SX_PERF_SEL_IDX_SCBD_STALL                     216
#define     V_036A00_SX_PERF_SEL_GATE_EN7                           217
#define     V_036A00_SX_PERF_SEL_GATE_EN8                           218
#define     V_036A00_SX_PERF_SEL_SH_IDX_STARVE                      219
#define     V_036A00_SX_PERF_SEL_IDX_BUSY                           220
#define   S_036A00_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0) /* >= gfx10 */
#define   G_036A00_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036A00_PERF_SEL                                           0xFFFFFC00
#define     V_036A00_DB_PERF_SEL_SC_DB_tile_sends                   0
#define     V_036A00_DB_PERF_SEL_SC_DB_tile_busy                    1
#define     V_036A00_DB_PERF_SEL_SC_DB_tile_stalls                  2
#define     V_036A00_DB_PERF_SEL_SC_DB_tile_events                  3
#define     V_036A00_DB_PERF_SEL_SC_DB_tile_tiles                   4
#define     V_036A00_DB_PERF_SEL_SC_DB_tile_covered                 5
#define     V_036A00_DB_PERF_SEL_hiz_tc_read_starved                6
#define     V_036A00_DB_PERF_SEL_hiz_tc_write_stall                 7
#define     V_036A00_DB_PERF_SEL_hiz_tile_culled                    8
#define     V_036A00_DB_PERF_SEL_his_tile_culled                    9
#define     V_036A00_DB_PERF_SEL_DB_SC_tile_sends                   10
#define     V_036A00_DB_PERF_SEL_DB_SC_tile_busy                    11
#define     V_036A00_DB_PERF_SEL_DB_SC_tile_stalls                  12
#define     V_036A00_DB_PERF_SEL_DB_SC_tile_df_stalls               13
#define     V_036A00_DB_PERF_SEL_DB_SC_tile_tiles                   14
#define     V_036A00_DB_PERF_SEL_DB_SC_tile_culled                  15
#define     V_036A00_DB_PERF_SEL_DB_SC_tile_hier_kill               16
#define     V_036A00_DB_PERF_SEL_DB_SC_tile_fast_ops                17
#define     V_036A00_DB_PERF_SEL_DB_SC_tile_no_ops                  18
#define     V_036A00_DB_PERF_SEL_DB_SC_tile_tile_rate               19
#define     V_036A00_DB_PERF_SEL_DB_SC_tile_ssaa_kill               20
#define     V_036A00_DB_PERF_SEL_DB_SC_tile_fast_z_ops              21
#define     V_036A00_DB_PERF_SEL_DB_SC_tile_fast_stencil_ops        22
#define     V_036A00_DB_PERF_SEL_SC_DB_quad_sends                   23
#define     V_036A00_DB_PERF_SEL_SC_DB_quad_busy                    24
#define     V_036A00_DB_PERF_SEL_SC_DB_quad_squads                  25
#define     V_036A00_DB_PERF_SEL_SC_DB_quad_tiles                   26
#define     V_036A00_DB_PERF_SEL_SC_DB_quad_pixels                  27
#define     V_036A00_DB_PERF_SEL_SC_DB_quad_killed_tiles            28
#define     V_036A00_DB_PERF_SEL_DB_SC_quad_sends                   29
#define     V_036A00_DB_PERF_SEL_DB_SC_quad_busy                    30
#define     V_036A00_DB_PERF_SEL_DB_SC_quad_stalls                  31
#define     V_036A00_DB_PERF_SEL_DB_SC_quad_tiles                   32
#define     V_036A00_DB_PERF_SEL_DB_SC_quad_lit_quad                33
#define     V_036A00_DB_PERF_SEL_DB_CB_tile_sends                   34
#define     V_036A00_DB_PERF_SEL_DB_CB_tile_busy                    35
#define     V_036A00_DB_PERF_SEL_DB_CB_tile_stalls                  36
#define     V_036A00_DB_PERF_SEL_SX_DB_quad_sends                   37
#define     V_036A00_DB_PERF_SEL_SX_DB_quad_busy                    38
#define     V_036A00_DB_PERF_SEL_SX_DB_quad_stalls                  39
#define     V_036A00_DB_PERF_SEL_SX_DB_quad_quads                   40
#define     V_036A00_DB_PERF_SEL_SX_DB_quad_pixels                  41
#define     V_036A00_DB_PERF_SEL_SX_DB_quad_exports                 42
#define     V_036A00_DB_PERF_SEL_SH_quads_outstanding_sum           43
#define     V_036A00_DB_PERF_SEL_DB_CB_lquad_sends                  44
#define     V_036A00_DB_PERF_SEL_DB_CB_lquad_busy                   45
#define     V_036A00_DB_PERF_SEL_DB_CB_lquad_stalls                 46
#define     V_036A00_DB_PERF_SEL_DB_CB_lquad_quads                  47
#define     V_036A00_DB_PERF_SEL_tile_rd_sends                      48
#define     V_036A00_DB_PERF_SEL_mi_tile_rd_outstanding_sum         49
#define     V_036A00_DB_PERF_SEL_quad_rd_sends                      50
#define     V_036A00_DB_PERF_SEL_quad_rd_busy                       51
#define     V_036A00_DB_PERF_SEL_quad_rd_mi_stall                   52
#define     V_036A00_DB_PERF_SEL_quad_rd_rw_collision               53
#define     V_036A00_DB_PERF_SEL_quad_rd_tag_stall                  54
#define     V_036A00_DB_PERF_SEL_quad_rd_32byte_reqs                55
#define     V_036A00_DB_PERF_SEL_quad_rd_panic                      56
#define     V_036A00_DB_PERF_SEL_mi_quad_rd_outstanding_sum         57
#define     V_036A00_DB_PERF_SEL_quad_rdret_sends                   58
#define     V_036A00_DB_PERF_SEL_quad_rdret_busy                    59
#define     V_036A00_DB_PERF_SEL_tile_wr_sends                      60
#define     V_036A00_DB_PERF_SEL_tile_wr_acks                       61
#define     V_036A00_DB_PERF_SEL_mi_tile_wr_outstanding_sum         62
#define     V_036A00_DB_PERF_SEL_quad_wr_sends                      63
#define     V_036A00_DB_PERF_SEL_quad_wr_busy                       64
#define     V_036A00_DB_PERF_SEL_quad_wr_mi_stall                   65
#define     V_036A00_DB_PERF_SEL_quad_wr_coherency_stall            66
#define     V_036A00_DB_PERF_SEL_quad_wr_acks                       67
#define     V_036A00_DB_PERF_SEL_mi_quad_wr_outstanding_sum         68
#define     V_036A00_DB_PERF_SEL_Tile_Cache_misses                  69
#define     V_036A00_DB_PERF_SEL_Tile_Cache_hits                    70
#define     V_036A00_DB_PERF_SEL_Tile_Cache_flushes                 71
#define     V_036A00_DB_PERF_SEL_Tile_Cache_surface_stall           72
#define     V_036A00_DB_PERF_SEL_Tile_Cache_starves                 73
#define     V_036A00_DB_PERF_SEL_Tile_Cache_mem_return_starve       74
#define     V_036A00_DB_PERF_SEL_tcp_dispatcher_reads               75
#define     V_036A00_DB_PERF_SEL_tcp_prefetcher_reads               76
#define     V_036A00_DB_PERF_SEL_tcp_preloader_reads                77
#define     V_036A00_DB_PERF_SEL_tcp_dispatcher_flushes             78
#define     V_036A00_DB_PERF_SEL_tcp_prefetcher_flushes             79
#define     V_036A00_DB_PERF_SEL_tcp_preloader_flushes              80
#define     V_036A00_DB_PERF_SEL_Depth_Tile_Cache_sends             81
#define     V_036A00_DB_PERF_SEL_Depth_Tile_Cache_busy              82
#define     V_036A00_DB_PERF_SEL_Depth_Tile_Cache_starves           83
#define     V_036A00_DB_PERF_SEL_Depth_Tile_Cache_dtile_locked      84
#define     V_036A00_DB_PERF_SEL_Depth_Tile_Cache_alloc_stall       85
#define     V_036A00_DB_PERF_SEL_Depth_Tile_Cache_misses            86
#define     V_036A00_DB_PERF_SEL_Depth_Tile_Cache_hits              87
#define     V_036A00_DB_PERF_SEL_Depth_Tile_Cache_flushes           88
#define     V_036A00_DB_PERF_SEL_Depth_Tile_Cache_noop_tile         89
#define     V_036A00_DB_PERF_SEL_Depth_Tile_Cache_detailed_noop     90
#define     V_036A00_DB_PERF_SEL_Depth_Tile_Cache_event             91
#define     V_036A00_DB_PERF_SEL_Depth_Tile_Cache_tile_frees        92
#define     V_036A00_DB_PERF_SEL_Depth_Tile_Cache_data_frees        93
#define     V_036A00_DB_PERF_SEL_Depth_Tile_Cache_mem_return_starve 94
#define     V_036A00_DB_PERF_SEL_Stencil_Cache_misses               95
#define     V_036A00_DB_PERF_SEL_Stencil_Cache_hits                 96
#define     V_036A00_DB_PERF_SEL_Stencil_Cache_flushes              97
#define     V_036A00_DB_PERF_SEL_Stencil_Cache_starves              98
#define     V_036A00_DB_PERF_SEL_Stencil_Cache_frees                99
#define     V_036A00_DB_PERF_SEL_Z_Cache_separate_Z_misses          100
#define     V_036A00_DB_PERF_SEL_Z_Cache_separate_Z_hits            101
#define     V_036A00_DB_PERF_SEL_Z_Cache_separate_Z_flushes         102
#define     V_036A00_DB_PERF_SEL_Z_Cache_separate_Z_starves         103
#define     V_036A00_DB_PERF_SEL_Z_Cache_pmask_misses               104
#define     V_036A00_DB_PERF_SEL_Z_Cache_pmask_hits                 105
#define     V_036A00_DB_PERF_SEL_Z_Cache_pmask_flushes              106
#define     V_036A00_DB_PERF_SEL_Z_Cache_pmask_starves              107
#define     V_036A00_DB_PERF_SEL_Z_Cache_frees                      108
#define     V_036A00_DB_PERF_SEL_Plane_Cache_misses                 109
#define     V_036A00_DB_PERF_SEL_Plane_Cache_hits                   110
#define     V_036A00_DB_PERF_SEL_Plane_Cache_flushes                111
#define     V_036A00_DB_PERF_SEL_Plane_Cache_starves                112
#define     V_036A00_DB_PERF_SEL_Plane_Cache_frees                  113
#define     V_036A00_DB_PERF_SEL_flush_expanded_stencil             114
#define     V_036A00_DB_PERF_SEL_flush_compressed_stencil           115
#define     V_036A00_DB_PERF_SEL_flush_single_stencil               116
#define     V_036A00_DB_PERF_SEL_planes_flushed                     117
#define     V_036A00_DB_PERF_SEL_flush_1plane                       118
#define     V_036A00_DB_PERF_SEL_flush_2plane                       119
#define     V_036A00_DB_PERF_SEL_flush_3plane                       120
#define     V_036A00_DB_PERF_SEL_flush_4plane                       121
#define     V_036A00_DB_PERF_SEL_flush_5plane                       122
#define     V_036A00_DB_PERF_SEL_flush_6plane                       123
#define     V_036A00_DB_PERF_SEL_flush_7plane                       124
#define     V_036A00_DB_PERF_SEL_flush_8plane                       125
#define     V_036A00_DB_PERF_SEL_flush_9plane                       126
#define     V_036A00_DB_PERF_SEL_flush_10plane                      127
#define     V_036A00_DB_PERF_SEL_flush_11plane                      128
#define     V_036A00_DB_PERF_SEL_flush_12plane                      129
#define     V_036A00_DB_PERF_SEL_flush_13plane                      130
#define     V_036A00_DB_PERF_SEL_flush_14plane                      131
#define     V_036A00_DB_PERF_SEL_flush_15plane                      132
#define     V_036A00_DB_PERF_SEL_flush_16plane                      133
#define     V_036A00_DB_PERF_SEL_flush_expanded_z                   134
#define     V_036A00_DB_PERF_SEL_earlyZ_waiting_for_postZ_done      135
#define     V_036A00_DB_PERF_SEL_reZ_waiting_for_postZ_done         136
#define     V_036A00_DB_PERF_SEL_dk_tile_sends                      137
#define     V_036A00_DB_PERF_SEL_dk_tile_busy                       138
#define     V_036A00_DB_PERF_SEL_dk_tile_quad_starves               139
#define     V_036A00_DB_PERF_SEL_dk_tile_stalls                     140
#define     V_036A00_DB_PERF_SEL_dk_squad_sends                     141
#define     V_036A00_DB_PERF_SEL_dk_squad_busy                      142
#define     V_036A00_DB_PERF_SEL_dk_squad_stalls                    143
#define     V_036A00_DB_PERF_SEL_Op_Pipe_Busy                       144
#define     V_036A00_DB_PERF_SEL_Op_Pipe_MC_Read_stall              145
#define     V_036A00_DB_PERF_SEL_qc_busy                            146
#define     V_036A00_DB_PERF_SEL_qc_xfc                             147
#define     V_036A00_DB_PERF_SEL_qc_conflicts                       148
#define     V_036A00_DB_PERF_SEL_qc_full_stall                      149
#define     V_036A00_DB_PERF_SEL_qc_in_preZ_tile_stalls_postZ       150
#define     V_036A00_DB_PERF_SEL_qc_in_postZ_tile_stalls_preZ       151
#define     V_036A00_DB_PERF_SEL_tsc_insert_summarize_stall         152
#define     V_036A00_DB_PERF_SEL_tl_busy                            153
#define     V_036A00_DB_PERF_SEL_tl_dtc_read_starved                154
#define     V_036A00_DB_PERF_SEL_tl_z_fetch_stall                   155
#define     V_036A00_DB_PERF_SEL_tl_stencil_stall                   156
#define     V_036A00_DB_PERF_SEL_tl_z_decompress_stall              157
#define     V_036A00_DB_PERF_SEL_tl_stencil_locked_stall            158
#define     V_036A00_DB_PERF_SEL_tl_events                          159
#define     V_036A00_DB_PERF_SEL_tl_summarize_squads                160
#define     V_036A00_DB_PERF_SEL_tl_flush_expand_squads             161
#define     V_036A00_DB_PERF_SEL_tl_expand_squads                   162
#define     V_036A00_DB_PERF_SEL_tl_preZ_squads                     163
#define     V_036A00_DB_PERF_SEL_tl_postZ_squads                    164
#define     V_036A00_DB_PERF_SEL_tl_preZ_noop_squads                165
#define     V_036A00_DB_PERF_SEL_tl_postZ_noop_squads               166
#define     V_036A00_DB_PERF_SEL_tl_tile_ops                        167
#define     V_036A00_DB_PERF_SEL_tl_in_xfc                          168
#define     V_036A00_DB_PERF_SEL_tl_in_single_stencil_expand_stall  169
#define     V_036A00_DB_PERF_SEL_tl_in_fast_z_stall                 170
#define     V_036A00_DB_PERF_SEL_tl_out_xfc                         171
#define     V_036A00_DB_PERF_SEL_tl_out_squads                      172
#define     V_036A00_DB_PERF_SEL_zf_plane_multicycle                173
#define     V_036A00_DB_PERF_SEL_PostZ_Samples_passing_Z            174
#define     V_036A00_DB_PERF_SEL_PostZ_Samples_failing_Z            175
#define     V_036A00_DB_PERF_SEL_PostZ_Samples_failing_S            176
#define     V_036A00_DB_PERF_SEL_PreZ_Samples_passing_Z             177
#define     V_036A00_DB_PERF_SEL_PreZ_Samples_failing_Z             178
#define     V_036A00_DB_PERF_SEL_PreZ_Samples_failing_S             179
#define     V_036A00_DB_PERF_SEL_ts_tc_update_stall                 180
#define     V_036A00_DB_PERF_SEL_sc_kick_start                      181
#define     V_036A00_DB_PERF_SEL_sc_kick_end                        182
#define     V_036A00_DB_PERF_SEL_clock_reg_active                   183
#define     V_036A00_DB_PERF_SEL_clock_main_active                  184
#define     V_036A00_DB_PERF_SEL_clock_mem_export_active            185
#define     V_036A00_DB_PERF_SEL_esr_ps_out_busy                    186
#define     V_036A00_DB_PERF_SEL_esr_ps_lqf_busy                    187
#define     V_036A00_DB_PERF_SEL_esr_ps_lqf_stall                   188
#define     V_036A00_DB_PERF_SEL_etr_out_send                       189
#define     V_036A00_DB_PERF_SEL_etr_out_busy                       190
#define     V_036A00_DB_PERF_SEL_etr_out_ltile_probe_fifo_full_stall 191
#define     V_036A00_DB_PERF_SEL_etr_out_cb_tile_stall              192
#define     V_036A00_DB_PERF_SEL_etr_out_esr_stall                  193
#define     V_036A00_DB_PERF_SEL_esr_ps_sqq_busy                    194
#define     V_036A00_DB_PERF_SEL_esr_ps_sqq_stall                   195
#define     V_036A00_DB_PERF_SEL_esr_eot_fwd_busy                   196
#define     V_036A00_DB_PERF_SEL_esr_eot_fwd_holding_squad          197
#define     V_036A00_DB_PERF_SEL_esr_eot_fwd_forward                198
#define     V_036A00_DB_PERF_SEL_esr_sqq_zi_busy                    199
#define     V_036A00_DB_PERF_SEL_esr_sqq_zi_stall                   200
#define     V_036A00_DB_PERF_SEL_postzl_sq_pt_busy                  201
#define     V_036A00_DB_PERF_SEL_postzl_sq_pt_stall                 202
#define     V_036A00_DB_PERF_SEL_postzl_se_busy                     203
#define     V_036A00_DB_PERF_SEL_postzl_se_stall                    204
#define     V_036A00_DB_PERF_SEL_postzl_partial_launch              205
#define     V_036A00_DB_PERF_SEL_postzl_full_launch                 206
#define     V_036A00_DB_PERF_SEL_postzl_partial_waiting             207
#define     V_036A00_DB_PERF_SEL_postzl_tile_mem_stall              208
#define     V_036A00_DB_PERF_SEL_postzl_tile_init_stall             209
#define     V_036A00_DB_PERF_SEL_prezl_tile_mem_stall               210
#define     V_036A00_DB_PERF_SEL_prezl_tile_init_stall              211
#define     V_036A00_DB_PERF_SEL_dtt_sm_clash_stall                 212
#define     V_036A00_DB_PERF_SEL_dtt_sm_slot_stall                  213
#define     V_036A00_DB_PERF_SEL_dtt_sm_miss_stall                  214
#define     V_036A00_DB_PERF_SEL_mi_rdreq_busy                      215
#define     V_036A00_DB_PERF_SEL_mi_rdreq_stall                     216
#define     V_036A00_DB_PERF_SEL_mi_wrreq_busy                      217
#define     V_036A00_DB_PERF_SEL_mi_wrreq_stall                     218
#define     V_036A00_DB_PERF_SEL_recomp_tile_to_1zplane_no_fastop   219
#define     V_036A00_DB_PERF_SEL_dkg_tile_rate_tile                 220
#define     V_036A00_DB_PERF_SEL_prezl_src_in_sends                 221
#define     V_036A00_DB_PERF_SEL_prezl_src_in_stall                 222
#define     V_036A00_DB_PERF_SEL_prezl_src_in_squads                223
#define     V_036A00_DB_PERF_SEL_prezl_src_in_squads_unrolled       224
#define     V_036A00_DB_PERF_SEL_prezl_src_in_tile_rate             225
#define     V_036A00_DB_PERF_SEL_prezl_src_in_tile_rate_unrolled    226
#define     V_036A00_DB_PERF_SEL_prezl_src_out_stall                227
#define     V_036A00_DB_PERF_SEL_postzl_src_in_sends                228
#define     V_036A00_DB_PERF_SEL_postzl_src_in_stall                229
#define     V_036A00_DB_PERF_SEL_postzl_src_in_squads               230
#define     V_036A00_DB_PERF_SEL_postzl_src_in_squads_unrolled      231
#define     V_036A00_DB_PERF_SEL_postzl_src_in_tile_rate            232
#define     V_036A00_DB_PERF_SEL_postzl_src_in_tile_rate_unrolled   233
#define     V_036A00_DB_PERF_SEL_postzl_src_out_stall               234
#define     V_036A00_DB_PERF_SEL_esr_ps_src_in_sends                235
#define     V_036A00_DB_PERF_SEL_esr_ps_src_in_stall                236
#define     V_036A00_DB_PERF_SEL_esr_ps_src_in_squads               237
#define     V_036A00_DB_PERF_SEL_esr_ps_src_in_squads_unrolled      238
#define     V_036A00_DB_PERF_SEL_esr_ps_src_in_tile_rate            239
#define     V_036A00_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled   240
#define     V_036A00_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled_to_pixel_rate 241
#define     V_036A00_DB_PERF_SEL_esr_ps_src_out_stall               242
#define     V_036A00_DB_PERF_SEL_depth_bounds_tile_culled           243
#define     V_036A00_DB_PERF_SEL_PreZ_Samples_failing_DB            244
#define     V_036A00_DB_PERF_SEL_PostZ_Samples_failing_DB           245
#define     V_036A00_DB_PERF_SEL_flush_compressed                   246
#define     V_036A00_DB_PERF_SEL_flush_plane_le4                    247
#define     V_036A00_DB_PERF_SEL_tiles_z_fully_summarized           248
#define     V_036A00_DB_PERF_SEL_tiles_stencil_fully_summarized     249
#define     V_036A00_DB_PERF_SEL_tiles_z_clear_on_expclear          250
#define     V_036A00_DB_PERF_SEL_tiles_s_clear_on_expclear          251
#define     V_036A00_DB_PERF_SEL_tiles_decomp_on_expclear           252
#define     V_036A00_DB_PERF_SEL_tiles_compressed_to_decompressed   253
#define     V_036A00_DB_PERF_SEL_Op_Pipe_Prez_Busy                  254
#define     V_036A00_DB_PERF_SEL_Op_Pipe_Postz_Busy                 255
#define     V_036A00_DB_PERF_SEL_di_dt_stall                        256
#define     V_036A00_DB_PERF_SEL_DB_SC_quad_lit_quad_pre_invoke     257
#define     V_036A00_DB_PERF_SEL_DB_SC_s_tile_rate                  258
#define     V_036A00_DB_PERF_SEL_DB_SC_c_tile_rate                  259
#define     V_036A00_DB_PERF_SEL_DB_SC_z_tile_rate                  260
#define     V_036A00_Spare_261                                      261
#define     V_036A00_DB_PERF_SEL_DB_CB_lquad_export_quads           262
#define     V_036A00_DB_PERF_SEL_DB_CB_lquad_double_format          263
#define     V_036A00_DB_PERF_SEL_DB_CB_lquad_fast_format            264
#define     V_036A00_DB_PERF_SEL_DB_CB_lquad_slow_format            265
#define     V_036A00_DB_PERF_SEL_CB_DB_rdreq_sends                  266
#define     V_036A00_DB_PERF_SEL_CB_DB_rdreq_prt_sends              267
#define     V_036A00_DB_PERF_SEL_CB_DB_wrreq_sends                  268
#define     V_036A00_DB_PERF_SEL_CB_DB_wrreq_prt_sends              269
#define     V_036A00_DB_PERF_SEL_DB_CB_rdret_ack                    270
#define     V_036A00_DB_PERF_SEL_DB_CB_rdret_nack                   271
#define     V_036A00_DB_PERF_SEL_DB_CB_wrret_ack                    272
#define     V_036A00_DB_PERF_SEL_DB_CB_wrret_nack                   273
#define     V_036A00_Spare_274                                      274
#define     V_036A00_DB_PERF_SEL_DFSM_Stall_opmode_change           275
#define     V_036A00_DB_PERF_SEL_DFSM_Stall_cam_fifo                276
#define     V_036A00_DB_PERF_SEL_DFSM_Stall_bypass_fifo             277
#define     V_036A00_DB_PERF_SEL_DFSM_Stall_retained_tile_fifo      278
#define     V_036A00_DB_PERF_SEL_DFSM_Stall_control_fifo            279
#define     V_036A00_DB_PERF_SEL_DFSM_Stall_overflow_counter        280
#define     V_036A00_DB_PERF_SEL_DFSM_Stall_pops_stall_overflow     281
#define     V_036A00_DB_PERF_SEL_DFSM_Stall_pops_stall_self_flush   282
#define     V_036A00_DB_PERF_SEL_DFSM_Stall_middle_output           283
#define     V_036A00_DB_PERF_SEL_DFSM_Stall_stalling_general        284
#define     V_036A00_Spare_285                                      285
#define     V_036A00_Spare_286                                      286
#define     V_036A00_DB_PERF_SEL_DFSM_prez_killed_squad             287
#define     V_036A00_DB_PERF_SEL_DFSM_squads_in                     288
#define     V_036A00_DB_PERF_SEL_DFSM_full_cleared_squads_out       289
#define     V_036A00_DB_PERF_SEL_DFSM_quads_in                      290
#define     V_036A00_DB_PERF_SEL_DFSM_fully_cleared_quads_out       291
#define     V_036A00_DB_PERF_SEL_DFSM_lit_pixels_in                 292
#define     V_036A00_DB_PERF_SEL_DFSM_fully_cleared_pixels_out      293
#define     V_036A00_DB_PERF_SEL_DFSM_lit_samples_in                294
#define     V_036A00_DB_PERF_SEL_DFSM_lit_samples_out               295
#define     V_036A00_DB_PERF_SEL_DFSM_evicted_tiles_above_watermark 296
#define     V_036A00_DB_PERF_SEL_DFSM_cant_accept_squads_but_not_stalled_by_downstream 297
#define     V_036A00_DB_PERF_SEL_DFSM_stalled_by_downstream         298
#define     V_036A00_DB_PERF_SEL_DFSM_evicted_squads_above_watermark 299
#define     V_036A00_DB_PERF_SEL_DFSM_collisions_due_to_POPS_overflow 300
#define     V_036A00_DB_PERF_SEL_DFSM_collisions_detected_within_POPS_FIFO 301
#define     V_036A00_DB_PERF_SEL_DFSM_evicted_squads_due_to_prim_watermark 302
#define     V_036A00_DB_PERF_SEL_MI_tile_req_wrack_counter_stall    303
#define     V_036A00_DB_PERF_SEL_MI_quad_req_wrack_counter_stall    304
#define     V_036A00_DB_PERF_SEL_MI_zpc_req_wrack_counter_stall     305
#define     V_036A00_DB_PERF_SEL_MI_psd_req_wrack_counter_stall     306
#define     V_036A00_DB_PERF_SEL_unmapped_z_tile_culled             307
#define     V_036A00_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_DB_DATA_TS 308
#define     V_036A00_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_CB_PIXEL_DATA 309
#define     V_036A00_DB_PERF_SEL_DB_CB_tile_is_event_BOTTOM_OF_PIPE_TS 310
#define     V_036A00_DB_PERF_SEL_DB_CB_tile_waiting_for_perfcounter_stop_event 311
#define     V_036A00_DB_PERF_SEL_DB_CB_lquad_fmt_32bpp_8pix         312
#define     V_036A00_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_unsigned_8pix 313
#define     V_036A00_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_signed_8pix  314
#define     V_036A00_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_float_8pix   315
#define     V_036A00_DB_PERF_SEL_DB_CB_lquad_num_pixels_need_blending 316
#define     V_036A00_DB_PERF_SEL_DB_CB_context_dones                317
#define     V_036A00_DB_PERF_SEL_DB_CB_eop_dones                    318
#define     V_036A00_DB_PERF_SEL_SX_DB_quad_all_pixels_killed       319
#define     V_036A00_DB_PERF_SEL_SX_DB_quad_all_pixels_enabled      320
#define     V_036A00_DB_PERF_SEL_SX_DB_quad_need_blending_and_dst_read 321
#define     V_036A00_DB_PERF_SEL_SC_DB_tile_backface                322
#define     V_036A00_DB_PERF_SEL_SC_DB_quad_quads                   323
#define     V_036A00_DB_PERF_SEL_DB_SC_quad_quads_with_1_pixel      324
#define     V_036A00_DB_PERF_SEL_DB_SC_quad_quads_with_2_pixels     325
#define     V_036A00_DB_PERF_SEL_DB_SC_quad_quads_with_3_pixels     326
#define     V_036A00_DB_PERF_SEL_DB_SC_quad_quads_with_4_pixels     327
#define     V_036A00_DB_PERF_SEL_DFSM_Flush_flushabit               328
#define     V_036A00_DB_PERF_SEL_DFSM_Flush_flushabit_camcoord_fifo 329
#define     V_036A00_DB_PERF_SEL_DFSM_Flush_flushabit_passthrough   330
#define     V_036A00_DB_PERF_SEL_DFSM_Flush_flushabit_forceflush    331
#define     V_036A00_DB_PERF_SEL_DFSM_Flush_flushabit_nearlyfull    332
#define     V_036A00_DB_PERF_SEL_DFSM_Flush_flushabit_primitivesinflightwatermark 333
#define     V_036A00_DB_PERF_SEL_DFSM_Flush_flushabit_punch_stalling 334
#define     V_036A00_DB_PERF_SEL_DFSM_Flush_flushabit_retainedtilefifo_watermark 335
#define     V_036A00_DB_PERF_SEL_DFSM_Flush_flushabit_tilesinflightwatermark 336
#define     V_036A00_DB_PERF_SEL_DFSM_Flush_flushall                337
#define     V_036A00_DB_PERF_SEL_DFSM_Flush_flushall_dfsmflush      338
#define     V_036A00_DB_PERF_SEL_DFSM_Flush_flushall_opmodechange   339
#define     V_036A00_DB_PERF_SEL_DFSM_Flush_flushall_sampleratechange 340
#define     V_036A00_DB_PERF_SEL_DFSM_Flush_flushall_watchdog       341
#define     V_036A00_DB_PERF_SEL_DB_SC_quad_double_quad             342
#define     V_036A00_DB_PERF_SEL_SX_DB_quad_export_quads            343
#define     V_036A00_DB_PERF_SEL_SX_DB_quad_double_format           344
#define     V_036A00_DB_PERF_SEL_SX_DB_quad_fast_format             345
#define     V_036A00_DB_PERF_SEL_SX_DB_quad_slow_format             346
#define     V_036A00_DB_PERF_SEL_quad_rd_sends_unc                  347
#define     V_036A00_DB_PERF_SEL_quad_rd_mi_stall_unc               348
#define     V_036A00_DB_PERF_SEL_DFSM_OutputPunch                   349
#define     V_036A00_DB_PERF_SEL_DFSM_OutputPops                    350
#define     V_036A00_DB_PERF_SEL_DFSM_OutputFifo                    351
#define     V_036A00_DB_PERF_SEL_DFSM_StallOpmodeChange             352
#define     V_036A00_DB_PERF_SEL_DFSM_StallCAMFifoFull              353
#define     V_036A00_DB_PERF_SEL_DFSM_StallBypassFifoFull           354
#define     V_036A00_DB_PERF_SEL_DFSM_StallRetainedTileFifoFull     355
#define     V_036A00_DB_PERF_SEL_DFSM_StallControlFifoFull          356
#define     V_036A00_DB_PERF_SEL_DFSM_StallControlCountFull         357
#define     V_036A00_DB_PERF_SEL_DFSM_StallOverflowMaximum          358
#define     V_036A00_DB_PERF_SEL_DFSM_StallPopsStallOverflow        359
#define     V_036A00_DB_PERF_SEL_DFSM_StallPopsStallSelfStall       360
#define     V_036A00_DB_PERF_SEL_DFSM_StallCamSlotFlush             361
#define     V_036A00_DB_PERF_SEL_DFSM_StallOutput                   362
#define     V_036A00_DB_PERF_SEL_DFSM_WatchdogTrigger               363
#define     V_036A00_DB_PERF_SEL_DFSM_StallOnPOPSStall              364
#define     V_036A00_DB_PERF_SEL_SC_DB_tile_tiles_pipe0             365
#define     V_036A00_DB_PERF_SEL_SC_DB_tile_tiles_pipe1             366
#define     V_036A00_DB_PERF_SEL_SC_DB_quad_quads_pipe0             367
#define     V_036A00_DB_PERF_SEL_SC_DB_quad_quads_pipe1             368
#define   S_036A00_PERFCOUNTER_SELECT1(x)                             (((unsigned)(x) & 0x3FF) << 10) /* <= gfx9 */
#define   G_036A00_PERFCOUNTER_SELECT1(x)                             (((x) >> 10) & 0x3FF)
#define   C_036A00_PERFCOUNTER_SELECT1                                0xFFF003FF
#define   S_036A00_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10) /* >= gfx10 */
#define   G_036A00_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036A00_PERF_SEL1                                          0xFFF003FF
#define   S_036A00_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036A00_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036A00_CNTR_MODE                                          0xFF0FFFFF
#define   S_036A00_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24) /* >= gfx10 */
#define   G_036A00_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036A00_PERF_MODE1                                         0xF0FFFFFF
#define   S_036A00_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28) /* >= gfx10 */
#define   G_036A00_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036A00_PERF_MODE                                          0x0FFFFFFF
#define R_036A04_GDS_PERFCOUNTER1_SELECT                                0x036A04
#define R_036A08_GDS_PERFCOUNTER2_SELECT                                0x036A08
#define R_036A0C_GDS_PERFCOUNTER3_SELECT                                0x036A0C
#define R_036A10_GDS_PERFCOUNTER0_SELECT1                               0x036A10
#define   S_036A10_PERFCOUNTER_SELECT2(x)                             (((unsigned)(x) & 0x3FF) << 0) /* <= gfx9 */
#define   G_036A10_PERFCOUNTER_SELECT2(x)                             (((x) >> 0) & 0x3FF)
#define   C_036A10_PERFCOUNTER_SELECT2                                0xFFFFFC00
#define   S_036A10_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0) /* >= gfx10 */
#define   G_036A10_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036A10_PERF_SEL2                                          0xFFFFFC00
#define     V_036A10_DB_PERF_SEL_SC_DB_tile_sends                   0
#define     V_036A10_DB_PERF_SEL_SC_DB_tile_busy                    1
#define     V_036A10_DB_PERF_SEL_SC_DB_tile_stalls                  2
#define     V_036A10_DB_PERF_SEL_SC_DB_tile_events                  3
#define     V_036A10_DB_PERF_SEL_SC_DB_tile_tiles                   4
#define     V_036A10_DB_PERF_SEL_SC_DB_tile_covered                 5
#define     V_036A10_DB_PERF_SEL_hiz_tc_read_starved                6
#define     V_036A10_DB_PERF_SEL_hiz_tc_write_stall                 7
#define     V_036A10_DB_PERF_SEL_hiz_tile_culled                    8
#define     V_036A10_DB_PERF_SEL_his_tile_culled                    9
#define     V_036A10_DB_PERF_SEL_DB_SC_tile_sends                   10
#define     V_036A10_DB_PERF_SEL_DB_SC_tile_busy                    11
#define     V_036A10_DB_PERF_SEL_DB_SC_tile_stalls                  12
#define     V_036A10_DB_PERF_SEL_DB_SC_tile_df_stalls               13
#define     V_036A10_DB_PERF_SEL_DB_SC_tile_tiles                   14
#define     V_036A10_DB_PERF_SEL_DB_SC_tile_culled                  15
#define     V_036A10_DB_PERF_SEL_DB_SC_tile_hier_kill               16
#define     V_036A10_DB_PERF_SEL_DB_SC_tile_fast_ops                17
#define     V_036A10_DB_PERF_SEL_DB_SC_tile_no_ops                  18
#define     V_036A10_DB_PERF_SEL_DB_SC_tile_tile_rate               19
#define     V_036A10_DB_PERF_SEL_DB_SC_tile_ssaa_kill               20
#define     V_036A10_DB_PERF_SEL_DB_SC_tile_fast_z_ops              21
#define     V_036A10_DB_PERF_SEL_DB_SC_tile_fast_stencil_ops        22
#define     V_036A10_DB_PERF_SEL_SC_DB_quad_sends                   23
#define     V_036A10_DB_PERF_SEL_SC_DB_quad_busy                    24
#define     V_036A10_DB_PERF_SEL_SC_DB_quad_squads                  25
#define     V_036A10_DB_PERF_SEL_SC_DB_quad_tiles                   26
#define     V_036A10_DB_PERF_SEL_SC_DB_quad_pixels                  27
#define     V_036A10_DB_PERF_SEL_SC_DB_quad_killed_tiles            28
#define     V_036A10_DB_PERF_SEL_DB_SC_quad_sends                   29
#define     V_036A10_DB_PERF_SEL_DB_SC_quad_busy                    30
#define     V_036A10_DB_PERF_SEL_DB_SC_quad_stalls                  31
#define     V_036A10_DB_PERF_SEL_DB_SC_quad_tiles                   32
#define     V_036A10_DB_PERF_SEL_DB_SC_quad_lit_quad                33
#define     V_036A10_DB_PERF_SEL_DB_CB_tile_sends                   34
#define     V_036A10_DB_PERF_SEL_DB_CB_tile_busy                    35
#define     V_036A10_DB_PERF_SEL_DB_CB_tile_stalls                  36
#define     V_036A10_DB_PERF_SEL_SX_DB_quad_sends                   37
#define     V_036A10_DB_PERF_SEL_SX_DB_quad_busy                    38
#define     V_036A10_DB_PERF_SEL_SX_DB_quad_stalls                  39
#define     V_036A10_DB_PERF_SEL_SX_DB_quad_quads                   40
#define     V_036A10_DB_PERF_SEL_SX_DB_quad_pixels                  41
#define     V_036A10_DB_PERF_SEL_SX_DB_quad_exports                 42
#define     V_036A10_DB_PERF_SEL_SH_quads_outstanding_sum           43
#define     V_036A10_DB_PERF_SEL_DB_CB_lquad_sends                  44
#define     V_036A10_DB_PERF_SEL_DB_CB_lquad_busy                   45
#define     V_036A10_DB_PERF_SEL_DB_CB_lquad_stalls                 46
#define     V_036A10_DB_PERF_SEL_DB_CB_lquad_quads                  47
#define     V_036A10_DB_PERF_SEL_tile_rd_sends                      48
#define     V_036A10_DB_PERF_SEL_mi_tile_rd_outstanding_sum         49
#define     V_036A10_DB_PERF_SEL_quad_rd_sends                      50
#define     V_036A10_DB_PERF_SEL_quad_rd_busy                       51
#define     V_036A10_DB_PERF_SEL_quad_rd_mi_stall                   52
#define     V_036A10_DB_PERF_SEL_quad_rd_rw_collision               53
#define     V_036A10_DB_PERF_SEL_quad_rd_tag_stall                  54
#define     V_036A10_DB_PERF_SEL_quad_rd_32byte_reqs                55
#define     V_036A10_DB_PERF_SEL_quad_rd_panic                      56
#define     V_036A10_DB_PERF_SEL_mi_quad_rd_outstanding_sum         57
#define     V_036A10_DB_PERF_SEL_quad_rdret_sends                   58
#define     V_036A10_DB_PERF_SEL_quad_rdret_busy                    59
#define     V_036A10_DB_PERF_SEL_tile_wr_sends                      60
#define     V_036A10_DB_PERF_SEL_tile_wr_acks                       61
#define     V_036A10_DB_PERF_SEL_mi_tile_wr_outstanding_sum         62
#define     V_036A10_DB_PERF_SEL_quad_wr_sends                      63
#define     V_036A10_DB_PERF_SEL_quad_wr_busy                       64
#define     V_036A10_DB_PERF_SEL_quad_wr_mi_stall                   65
#define     V_036A10_DB_PERF_SEL_quad_wr_coherency_stall            66
#define     V_036A10_DB_PERF_SEL_quad_wr_acks                       67
#define     V_036A10_DB_PERF_SEL_mi_quad_wr_outstanding_sum         68
#define     V_036A10_DB_PERF_SEL_Tile_Cache_misses                  69
#define     V_036A10_DB_PERF_SEL_Tile_Cache_hits                    70
#define     V_036A10_DB_PERF_SEL_Tile_Cache_flushes                 71
#define     V_036A10_DB_PERF_SEL_Tile_Cache_surface_stall           72
#define     V_036A10_DB_PERF_SEL_Tile_Cache_starves                 73
#define     V_036A10_DB_PERF_SEL_Tile_Cache_mem_return_starve       74
#define     V_036A10_DB_PERF_SEL_tcp_dispatcher_reads               75
#define     V_036A10_DB_PERF_SEL_tcp_prefetcher_reads               76
#define     V_036A10_DB_PERF_SEL_tcp_preloader_reads                77
#define     V_036A10_DB_PERF_SEL_tcp_dispatcher_flushes             78
#define     V_036A10_DB_PERF_SEL_tcp_prefetcher_flushes             79
#define     V_036A10_DB_PERF_SEL_tcp_preloader_flushes              80
#define     V_036A10_DB_PERF_SEL_Depth_Tile_Cache_sends             81
#define     V_036A10_DB_PERF_SEL_Depth_Tile_Cache_busy              82
#define     V_036A10_DB_PERF_SEL_Depth_Tile_Cache_starves           83
#define     V_036A10_DB_PERF_SEL_Depth_Tile_Cache_dtile_locked      84
#define     V_036A10_DB_PERF_SEL_Depth_Tile_Cache_alloc_stall       85
#define     V_036A10_DB_PERF_SEL_Depth_Tile_Cache_misses            86
#define     V_036A10_DB_PERF_SEL_Depth_Tile_Cache_hits              87
#define     V_036A10_DB_PERF_SEL_Depth_Tile_Cache_flushes           88
#define     V_036A10_DB_PERF_SEL_Depth_Tile_Cache_noop_tile         89
#define     V_036A10_DB_PERF_SEL_Depth_Tile_Cache_detailed_noop     90
#define     V_036A10_DB_PERF_SEL_Depth_Tile_Cache_event             91
#define     V_036A10_DB_PERF_SEL_Depth_Tile_Cache_tile_frees        92
#define     V_036A10_DB_PERF_SEL_Depth_Tile_Cache_data_frees        93
#define     V_036A10_DB_PERF_SEL_Depth_Tile_Cache_mem_return_starve 94
#define     V_036A10_DB_PERF_SEL_Stencil_Cache_misses               95
#define     V_036A10_DB_PERF_SEL_Stencil_Cache_hits                 96
#define     V_036A10_DB_PERF_SEL_Stencil_Cache_flushes              97
#define     V_036A10_DB_PERF_SEL_Stencil_Cache_starves              98
#define     V_036A10_DB_PERF_SEL_Stencil_Cache_frees                99
#define     V_036A10_DB_PERF_SEL_Z_Cache_separate_Z_misses          100
#define     V_036A10_DB_PERF_SEL_Z_Cache_separate_Z_hits            101
#define     V_036A10_DB_PERF_SEL_Z_Cache_separate_Z_flushes         102
#define     V_036A10_DB_PERF_SEL_Z_Cache_separate_Z_starves         103
#define     V_036A10_DB_PERF_SEL_Z_Cache_pmask_misses               104
#define     V_036A10_DB_PERF_SEL_Z_Cache_pmask_hits                 105
#define     V_036A10_DB_PERF_SEL_Z_Cache_pmask_flushes              106
#define     V_036A10_DB_PERF_SEL_Z_Cache_pmask_starves              107
#define     V_036A10_DB_PERF_SEL_Z_Cache_frees                      108
#define     V_036A10_DB_PERF_SEL_Plane_Cache_misses                 109
#define     V_036A10_DB_PERF_SEL_Plane_Cache_hits                   110
#define     V_036A10_DB_PERF_SEL_Plane_Cache_flushes                111
#define     V_036A10_DB_PERF_SEL_Plane_Cache_starves                112
#define     V_036A10_DB_PERF_SEL_Plane_Cache_frees                  113
#define     V_036A10_DB_PERF_SEL_flush_expanded_stencil             114
#define     V_036A10_DB_PERF_SEL_flush_compressed_stencil           115
#define     V_036A10_DB_PERF_SEL_flush_single_stencil               116
#define     V_036A10_DB_PERF_SEL_planes_flushed                     117
#define     V_036A10_DB_PERF_SEL_flush_1plane                       118
#define     V_036A10_DB_PERF_SEL_flush_2plane                       119
#define     V_036A10_DB_PERF_SEL_flush_3plane                       120
#define     V_036A10_DB_PERF_SEL_flush_4plane                       121
#define     V_036A10_DB_PERF_SEL_flush_5plane                       122
#define     V_036A10_DB_PERF_SEL_flush_6plane                       123
#define     V_036A10_DB_PERF_SEL_flush_7plane                       124
#define     V_036A10_DB_PERF_SEL_flush_8plane                       125
#define     V_036A10_DB_PERF_SEL_flush_9plane                       126
#define     V_036A10_DB_PERF_SEL_flush_10plane                      127
#define     V_036A10_DB_PERF_SEL_flush_11plane                      128
#define     V_036A10_DB_PERF_SEL_flush_12plane                      129
#define     V_036A10_DB_PERF_SEL_flush_13plane                      130
#define     V_036A10_DB_PERF_SEL_flush_14plane                      131
#define     V_036A10_DB_PERF_SEL_flush_15plane                      132
#define     V_036A10_DB_PERF_SEL_flush_16plane                      133
#define     V_036A10_DB_PERF_SEL_flush_expanded_z                   134
#define     V_036A10_DB_PERF_SEL_earlyZ_waiting_for_postZ_done      135
#define     V_036A10_DB_PERF_SEL_reZ_waiting_for_postZ_done         136
#define     V_036A10_DB_PERF_SEL_dk_tile_sends                      137
#define     V_036A10_DB_PERF_SEL_dk_tile_busy                       138
#define     V_036A10_DB_PERF_SEL_dk_tile_quad_starves               139
#define     V_036A10_DB_PERF_SEL_dk_tile_stalls                     140
#define     V_036A10_DB_PERF_SEL_dk_squad_sends                     141
#define     V_036A10_DB_PERF_SEL_dk_squad_busy                      142
#define     V_036A10_DB_PERF_SEL_dk_squad_stalls                    143
#define     V_036A10_DB_PERF_SEL_Op_Pipe_Busy                       144
#define     V_036A10_DB_PERF_SEL_Op_Pipe_MC_Read_stall              145
#define     V_036A10_DB_PERF_SEL_qc_busy                            146
#define     V_036A10_DB_PERF_SEL_qc_xfc                             147
#define     V_036A10_DB_PERF_SEL_qc_conflicts                       148
#define     V_036A10_DB_PERF_SEL_qc_full_stall                      149
#define     V_036A10_DB_PERF_SEL_qc_in_preZ_tile_stalls_postZ       150
#define     V_036A10_DB_PERF_SEL_qc_in_postZ_tile_stalls_preZ       151
#define     V_036A10_DB_PERF_SEL_tsc_insert_summarize_stall         152
#define     V_036A10_DB_PERF_SEL_tl_busy                            153
#define     V_036A10_DB_PERF_SEL_tl_dtc_read_starved                154
#define     V_036A10_DB_PERF_SEL_tl_z_fetch_stall                   155
#define     V_036A10_DB_PERF_SEL_tl_stencil_stall                   156
#define     V_036A10_DB_PERF_SEL_tl_z_decompress_stall              157
#define     V_036A10_DB_PERF_SEL_tl_stencil_locked_stall            158
#define     V_036A10_DB_PERF_SEL_tl_events                          159
#define     V_036A10_DB_PERF_SEL_tl_summarize_squads                160
#define     V_036A10_DB_PERF_SEL_tl_flush_expand_squads             161
#define     V_036A10_DB_PERF_SEL_tl_expand_squads                   162
#define     V_036A10_DB_PERF_SEL_tl_preZ_squads                     163
#define     V_036A10_DB_PERF_SEL_tl_postZ_squads                    164
#define     V_036A10_DB_PERF_SEL_tl_preZ_noop_squads                165
#define     V_036A10_DB_PERF_SEL_tl_postZ_noop_squads               166
#define     V_036A10_DB_PERF_SEL_tl_tile_ops                        167
#define     V_036A10_DB_PERF_SEL_tl_in_xfc                          168
#define     V_036A10_DB_PERF_SEL_tl_in_single_stencil_expand_stall  169
#define     V_036A10_DB_PERF_SEL_tl_in_fast_z_stall                 170
#define     V_036A10_DB_PERF_SEL_tl_out_xfc                         171
#define     V_036A10_DB_PERF_SEL_tl_out_squads                      172
#define     V_036A10_DB_PERF_SEL_zf_plane_multicycle                173
#define     V_036A10_DB_PERF_SEL_PostZ_Samples_passing_Z            174
#define     V_036A10_DB_PERF_SEL_PostZ_Samples_failing_Z            175
#define     V_036A10_DB_PERF_SEL_PostZ_Samples_failing_S            176
#define     V_036A10_DB_PERF_SEL_PreZ_Samples_passing_Z             177
#define     V_036A10_DB_PERF_SEL_PreZ_Samples_failing_Z             178
#define     V_036A10_DB_PERF_SEL_PreZ_Samples_failing_S             179
#define     V_036A10_DB_PERF_SEL_ts_tc_update_stall                 180
#define     V_036A10_DB_PERF_SEL_sc_kick_start                      181
#define     V_036A10_DB_PERF_SEL_sc_kick_end                        182
#define     V_036A10_DB_PERF_SEL_clock_reg_active                   183
#define     V_036A10_DB_PERF_SEL_clock_main_active                  184
#define     V_036A10_DB_PERF_SEL_clock_mem_export_active            185
#define     V_036A10_DB_PERF_SEL_esr_ps_out_busy                    186
#define     V_036A10_DB_PERF_SEL_esr_ps_lqf_busy                    187
#define     V_036A10_DB_PERF_SEL_esr_ps_lqf_stall                   188
#define     V_036A10_DB_PERF_SEL_etr_out_send                       189
#define     V_036A10_DB_PERF_SEL_etr_out_busy                       190
#define     V_036A10_DB_PERF_SEL_etr_out_ltile_probe_fifo_full_stall 191
#define     V_036A10_DB_PERF_SEL_etr_out_cb_tile_stall              192
#define     V_036A10_DB_PERF_SEL_etr_out_esr_stall                  193
#define     V_036A10_DB_PERF_SEL_esr_ps_sqq_busy                    194
#define     V_036A10_DB_PERF_SEL_esr_ps_sqq_stall                   195
#define     V_036A10_DB_PERF_SEL_esr_eot_fwd_busy                   196
#define     V_036A10_DB_PERF_SEL_esr_eot_fwd_holding_squad          197
#define     V_036A10_DB_PERF_SEL_esr_eot_fwd_forward                198
#define     V_036A10_DB_PERF_SEL_esr_sqq_zi_busy                    199
#define     V_036A10_DB_PERF_SEL_esr_sqq_zi_stall                   200
#define     V_036A10_DB_PERF_SEL_postzl_sq_pt_busy                  201
#define     V_036A10_DB_PERF_SEL_postzl_sq_pt_stall                 202
#define     V_036A10_DB_PERF_SEL_postzl_se_busy                     203
#define     V_036A10_DB_PERF_SEL_postzl_se_stall                    204
#define     V_036A10_DB_PERF_SEL_postzl_partial_launch              205
#define     V_036A10_DB_PERF_SEL_postzl_full_launch                 206
#define     V_036A10_DB_PERF_SEL_postzl_partial_waiting             207
#define     V_036A10_DB_PERF_SEL_postzl_tile_mem_stall              208
#define     V_036A10_DB_PERF_SEL_postzl_tile_init_stall             209
#define     V_036A10_DB_PERF_SEL_prezl_tile_mem_stall               210
#define     V_036A10_DB_PERF_SEL_prezl_tile_init_stall              211
#define     V_036A10_DB_PERF_SEL_dtt_sm_clash_stall                 212
#define     V_036A10_DB_PERF_SEL_dtt_sm_slot_stall                  213
#define     V_036A10_DB_PERF_SEL_dtt_sm_miss_stall                  214
#define     V_036A10_DB_PERF_SEL_mi_rdreq_busy                      215
#define     V_036A10_DB_PERF_SEL_mi_rdreq_stall                     216
#define     V_036A10_DB_PERF_SEL_mi_wrreq_busy                      217
#define     V_036A10_DB_PERF_SEL_mi_wrreq_stall                     218
#define     V_036A10_DB_PERF_SEL_recomp_tile_to_1zplane_no_fastop   219
#define     V_036A10_DB_PERF_SEL_dkg_tile_rate_tile                 220
#define     V_036A10_DB_PERF_SEL_prezl_src_in_sends                 221
#define     V_036A10_DB_PERF_SEL_prezl_src_in_stall                 222
#define     V_036A10_DB_PERF_SEL_prezl_src_in_squads                223
#define     V_036A10_DB_PERF_SEL_prezl_src_in_squads_unrolled       224
#define     V_036A10_DB_PERF_SEL_prezl_src_in_tile_rate             225
#define     V_036A10_DB_PERF_SEL_prezl_src_in_tile_rate_unrolled    226
#define     V_036A10_DB_PERF_SEL_prezl_src_out_stall                227
#define     V_036A10_DB_PERF_SEL_postzl_src_in_sends                228
#define     V_036A10_DB_PERF_SEL_postzl_src_in_stall                229
#define     V_036A10_DB_PERF_SEL_postzl_src_in_squads               230
#define     V_036A10_DB_PERF_SEL_postzl_src_in_squads_unrolled      231
#define     V_036A10_DB_PERF_SEL_postzl_src_in_tile_rate            232
#define     V_036A10_DB_PERF_SEL_postzl_src_in_tile_rate_unrolled   233
#define     V_036A10_DB_PERF_SEL_postzl_src_out_stall               234
#define     V_036A10_DB_PERF_SEL_esr_ps_src_in_sends                235
#define     V_036A10_DB_PERF_SEL_esr_ps_src_in_stall                236
#define     V_036A10_DB_PERF_SEL_esr_ps_src_in_squads               237
#define     V_036A10_DB_PERF_SEL_esr_ps_src_in_squads_unrolled      238
#define     V_036A10_DB_PERF_SEL_esr_ps_src_in_tile_rate            239
#define     V_036A10_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled   240
#define     V_036A10_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled_to_pixel_rate 241
#define     V_036A10_DB_PERF_SEL_esr_ps_src_out_stall               242
#define     V_036A10_DB_PERF_SEL_depth_bounds_tile_culled           243
#define     V_036A10_DB_PERF_SEL_PreZ_Samples_failing_DB            244
#define     V_036A10_DB_PERF_SEL_PostZ_Samples_failing_DB           245
#define     V_036A10_DB_PERF_SEL_flush_compressed                   246
#define     V_036A10_DB_PERF_SEL_flush_plane_le4                    247
#define     V_036A10_DB_PERF_SEL_tiles_z_fully_summarized           248
#define     V_036A10_DB_PERF_SEL_tiles_stencil_fully_summarized     249
#define     V_036A10_DB_PERF_SEL_tiles_z_clear_on_expclear          250
#define     V_036A10_DB_PERF_SEL_tiles_s_clear_on_expclear          251
#define     V_036A10_DB_PERF_SEL_tiles_decomp_on_expclear           252
#define     V_036A10_DB_PERF_SEL_tiles_compressed_to_decompressed   253
#define     V_036A10_DB_PERF_SEL_Op_Pipe_Prez_Busy                  254
#define     V_036A10_DB_PERF_SEL_Op_Pipe_Postz_Busy                 255
#define     V_036A10_DB_PERF_SEL_di_dt_stall                        256
#define     V_036A10_DB_PERF_SEL_DB_SC_quad_lit_quad_pre_invoke     257
#define     V_036A10_DB_PERF_SEL_DB_SC_s_tile_rate                  258
#define     V_036A10_DB_PERF_SEL_DB_SC_c_tile_rate                  259
#define     V_036A10_DB_PERF_SEL_DB_SC_z_tile_rate                  260
#define     V_036A10_Spare_261                                      261
#define     V_036A10_DB_PERF_SEL_DB_CB_lquad_export_quads           262
#define     V_036A10_DB_PERF_SEL_DB_CB_lquad_double_format          263
#define     V_036A10_DB_PERF_SEL_DB_CB_lquad_fast_format            264
#define     V_036A10_DB_PERF_SEL_DB_CB_lquad_slow_format            265
#define     V_036A10_DB_PERF_SEL_CB_DB_rdreq_sends                  266
#define     V_036A10_DB_PERF_SEL_CB_DB_rdreq_prt_sends              267
#define     V_036A10_DB_PERF_SEL_CB_DB_wrreq_sends                  268
#define     V_036A10_DB_PERF_SEL_CB_DB_wrreq_prt_sends              269
#define     V_036A10_DB_PERF_SEL_DB_CB_rdret_ack                    270
#define     V_036A10_DB_PERF_SEL_DB_CB_rdret_nack                   271
#define     V_036A10_DB_PERF_SEL_DB_CB_wrret_ack                    272
#define     V_036A10_DB_PERF_SEL_DB_CB_wrret_nack                   273
#define     V_036A10_Spare_274                                      274
#define     V_036A10_DB_PERF_SEL_DFSM_Stall_opmode_change           275
#define     V_036A10_DB_PERF_SEL_DFSM_Stall_cam_fifo                276
#define     V_036A10_DB_PERF_SEL_DFSM_Stall_bypass_fifo             277
#define     V_036A10_DB_PERF_SEL_DFSM_Stall_retained_tile_fifo      278
#define     V_036A10_DB_PERF_SEL_DFSM_Stall_control_fifo            279
#define     V_036A10_DB_PERF_SEL_DFSM_Stall_overflow_counter        280
#define     V_036A10_DB_PERF_SEL_DFSM_Stall_pops_stall_overflow     281
#define     V_036A10_DB_PERF_SEL_DFSM_Stall_pops_stall_self_flush   282
#define     V_036A10_DB_PERF_SEL_DFSM_Stall_middle_output           283
#define     V_036A10_DB_PERF_SEL_DFSM_Stall_stalling_general        284
#define     V_036A10_Spare_285                                      285
#define     V_036A10_Spare_286                                      286
#define     V_036A10_DB_PERF_SEL_DFSM_prez_killed_squad             287
#define     V_036A10_DB_PERF_SEL_DFSM_squads_in                     288
#define     V_036A10_DB_PERF_SEL_DFSM_full_cleared_squads_out       289
#define     V_036A10_DB_PERF_SEL_DFSM_quads_in                      290
#define     V_036A10_DB_PERF_SEL_DFSM_fully_cleared_quads_out       291
#define     V_036A10_DB_PERF_SEL_DFSM_lit_pixels_in                 292
#define     V_036A10_DB_PERF_SEL_DFSM_fully_cleared_pixels_out      293
#define     V_036A10_DB_PERF_SEL_DFSM_lit_samples_in                294
#define     V_036A10_DB_PERF_SEL_DFSM_lit_samples_out               295
#define     V_036A10_DB_PERF_SEL_DFSM_evicted_tiles_above_watermark 296
#define     V_036A10_DB_PERF_SEL_DFSM_cant_accept_squads_but_not_stalled_by_downstream 297
#define     V_036A10_DB_PERF_SEL_DFSM_stalled_by_downstream         298
#define     V_036A10_DB_PERF_SEL_DFSM_evicted_squads_above_watermark 299
#define     V_036A10_DB_PERF_SEL_DFSM_collisions_due_to_POPS_overflow 300
#define     V_036A10_DB_PERF_SEL_DFSM_collisions_detected_within_POPS_FIFO 301
#define     V_036A10_DB_PERF_SEL_DFSM_evicted_squads_due_to_prim_watermark 302
#define     V_036A10_DB_PERF_SEL_MI_tile_req_wrack_counter_stall    303
#define     V_036A10_DB_PERF_SEL_MI_quad_req_wrack_counter_stall    304
#define     V_036A10_DB_PERF_SEL_MI_zpc_req_wrack_counter_stall     305
#define     V_036A10_DB_PERF_SEL_MI_psd_req_wrack_counter_stall     306
#define     V_036A10_DB_PERF_SEL_unmapped_z_tile_culled             307
#define     V_036A10_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_DB_DATA_TS 308
#define     V_036A10_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_CB_PIXEL_DATA 309
#define     V_036A10_DB_PERF_SEL_DB_CB_tile_is_event_BOTTOM_OF_PIPE_TS 310
#define     V_036A10_DB_PERF_SEL_DB_CB_tile_waiting_for_perfcounter_stop_event 311
#define     V_036A10_DB_PERF_SEL_DB_CB_lquad_fmt_32bpp_8pix         312
#define     V_036A10_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_unsigned_8pix 313
#define     V_036A10_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_signed_8pix  314
#define     V_036A10_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_float_8pix   315
#define     V_036A10_DB_PERF_SEL_DB_CB_lquad_num_pixels_need_blending 316
#define     V_036A10_DB_PERF_SEL_DB_CB_context_dones                317
#define     V_036A10_DB_PERF_SEL_DB_CB_eop_dones                    318
#define     V_036A10_DB_PERF_SEL_SX_DB_quad_all_pixels_killed       319
#define     V_036A10_DB_PERF_SEL_SX_DB_quad_all_pixels_enabled      320
#define     V_036A10_DB_PERF_SEL_SX_DB_quad_need_blending_and_dst_read 321
#define     V_036A10_DB_PERF_SEL_SC_DB_tile_backface                322
#define     V_036A10_DB_PERF_SEL_SC_DB_quad_quads                   323
#define     V_036A10_DB_PERF_SEL_DB_SC_quad_quads_with_1_pixel      324
#define     V_036A10_DB_PERF_SEL_DB_SC_quad_quads_with_2_pixels     325
#define     V_036A10_DB_PERF_SEL_DB_SC_quad_quads_with_3_pixels     326
#define     V_036A10_DB_PERF_SEL_DB_SC_quad_quads_with_4_pixels     327
#define     V_036A10_DB_PERF_SEL_DFSM_Flush_flushabit               328
#define     V_036A10_DB_PERF_SEL_DFSM_Flush_flushabit_camcoord_fifo 329
#define     V_036A10_DB_PERF_SEL_DFSM_Flush_flushabit_passthrough   330
#define     V_036A10_DB_PERF_SEL_DFSM_Flush_flushabit_forceflush    331
#define     V_036A10_DB_PERF_SEL_DFSM_Flush_flushabit_nearlyfull    332
#define     V_036A10_DB_PERF_SEL_DFSM_Flush_flushabit_primitivesinflightwatermark 333
#define     V_036A10_DB_PERF_SEL_DFSM_Flush_flushabit_punch_stalling 334
#define     V_036A10_DB_PERF_SEL_DFSM_Flush_flushabit_retainedtilefifo_watermark 335
#define     V_036A10_DB_PERF_SEL_DFSM_Flush_flushabit_tilesinflightwatermark 336
#define     V_036A10_DB_PERF_SEL_DFSM_Flush_flushall                337
#define     V_036A10_DB_PERF_SEL_DFSM_Flush_flushall_dfsmflush      338
#define     V_036A10_DB_PERF_SEL_DFSM_Flush_flushall_opmodechange   339
#define     V_036A10_DB_PERF_SEL_DFSM_Flush_flushall_sampleratechange 340
#define     V_036A10_DB_PERF_SEL_DFSM_Flush_flushall_watchdog       341
#define     V_036A10_DB_PERF_SEL_DB_SC_quad_double_quad             342
#define     V_036A10_DB_PERF_SEL_SX_DB_quad_export_quads            343
#define     V_036A10_DB_PERF_SEL_SX_DB_quad_double_format           344
#define     V_036A10_DB_PERF_SEL_SX_DB_quad_fast_format             345
#define     V_036A10_DB_PERF_SEL_SX_DB_quad_slow_format             346
#define     V_036A10_DB_PERF_SEL_quad_rd_sends_unc                  347
#define     V_036A10_DB_PERF_SEL_quad_rd_mi_stall_unc               348
#define     V_036A10_DB_PERF_SEL_DFSM_OutputPunch                   349
#define     V_036A10_DB_PERF_SEL_DFSM_OutputPops                    350
#define     V_036A10_DB_PERF_SEL_DFSM_OutputFifo                    351
#define     V_036A10_DB_PERF_SEL_DFSM_StallOpmodeChange             352
#define     V_036A10_DB_PERF_SEL_DFSM_StallCAMFifoFull              353
#define     V_036A10_DB_PERF_SEL_DFSM_StallBypassFifoFull           354
#define     V_036A10_DB_PERF_SEL_DFSM_StallRetainedTileFifoFull     355
#define     V_036A10_DB_PERF_SEL_DFSM_StallControlFifoFull          356
#define     V_036A10_DB_PERF_SEL_DFSM_StallControlCountFull         357
#define     V_036A10_DB_PERF_SEL_DFSM_StallOverflowMaximum          358
#define     V_036A10_DB_PERF_SEL_DFSM_StallPopsStallOverflow        359
#define     V_036A10_DB_PERF_SEL_DFSM_StallPopsStallSelfStall       360
#define     V_036A10_DB_PERF_SEL_DFSM_StallCamSlotFlush             361
#define     V_036A10_DB_PERF_SEL_DFSM_StallOutput                   362
#define     V_036A10_DB_PERF_SEL_DFSM_WatchdogTrigger               363
#define     V_036A10_DB_PERF_SEL_DFSM_StallOnPOPSStall              364
#define     V_036A10_DB_PERF_SEL_SC_DB_tile_tiles_pipe0             365
#define     V_036A10_DB_PERF_SEL_SC_DB_tile_tiles_pipe1             366
#define     V_036A10_DB_PERF_SEL_SC_DB_quad_quads_pipe0             367
#define     V_036A10_DB_PERF_SEL_SC_DB_quad_quads_pipe1             368
#define   S_036A10_PERFCOUNTER_SELECT3(x)                             (((unsigned)(x) & 0x3FF) << 10) /* <= gfx9 */
#define   G_036A10_PERFCOUNTER_SELECT3(x)                             (((x) >> 10) & 0x3FF)
#define   C_036A10_PERFCOUNTER_SELECT3                                0xFFF003FF
#define   S_036A10_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10) /* >= gfx10 */
#define   G_036A10_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036A10_PERF_SEL3                                          0xFFF003FF
#define   S_036A10_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24) /* >= gfx10 */
#define   G_036A10_PERF_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_036A10_PERF_MODE3                                         0xF0FFFFFF
#define   S_036A10_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28) /* >= gfx10 */
#define   G_036A10_PERF_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_036A10_PERF_MODE2                                         0x0FFFFFFF
#define R_036B00_TA_PERFCOUNTER0_SELECT                                 0x036B00
#define   S_036B00_PERF_SEL(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_036B00_PERF_SEL(x)                                        (((x) >> 0) & 0xFF)
#define   C_036B00_PERF_SEL                                           0xFFFFFF00
#define     V_036B00_TA_PERF_SEL_NULL                               0
#define     V_036B00_TA_PERF_SEL_RESERVED_1                         1
#define     V_036B00_TA_PERF_SEL_RESERVED_2                         2
#define     V_036B00_TA_PERF_SEL_RESERVED_3                         3
#define     V_036B00_TA_PERF_SEL_RESERVED_4                         4
#define     V_036B00_TA_PERF_SEL_RESERVED_5                         5
#define     V_036B00_TA_PERF_SEL_RESERVED_6                         6
#define     V_036B00_TA_PERF_SEL_gradient_busy                      7
#define     V_036B00_TA_PERF_SEL_gradient_fifo_busy                 8
#define     V_036B00_TA_PERF_SEL_lod_busy                           9
#define     V_036B00_TA_PERF_SEL_lod_fifo_busy                      10
#define     V_036B00_TA_PERF_SEL_addresser_busy                     11
#define     V_036B00_TA_PERF_SEL_addresser_fifo_busy                12
#define     V_036B00_TA_PERF_SEL_aligner_busy                       13
#define     V_036B00_TA_PERF_SEL_write_path_busy                    14
#define     V_036B00_TA_PERF_SEL_ta_busy                            15
#define     V_036B00_TA_PERF_SEL_RESERVED_16                        16
#define     V_036B00_TA_PERF_SEL_RESERVED_17                        17
#define     V_036B00_TA_PERF_SEL_RESERVED_18                        18
#define     V_036B00_TA_PERF_SEL_RESERVED_19                        19
#define     V_036B00_TA_PERF_SEL_RESERVED_20                        20
#define     V_036B00_TA_PERF_SEL_RESERVED_21                        21
#define     V_036B00_TA_PERF_SEL_RESERVED_22                        22
#define     V_036B00_TA_PERF_SEL_RESERVED_23                        23
#define     V_036B00_TA_PERF_SEL_RESERVED_24                        24
#define     V_036B00_TA_PERF_SEL_RESERVED_25                        25
#define     V_036B00_TA_PERF_SEL_RESERVED_26                        26
#define     V_036B00_TA_PERF_SEL_RESERVED_27                        27
#define     V_036B00_TA_PERF_SEL_RESERVED_28                        28
#define     V_036B00_TA_PERF_SEL_RESERVED_29                        29
#define     V_036B00_TA_PERF_SEL_RESERVED_30                        30
#define     V_036B00_TA_PERF_SEL_RESERVED_31                        31
#define     V_036B00_TA_PERF_SEL_total_wavefronts                   32
#define     V_036B00_TA_PERF_SEL_gradient_cycles                    33
#define     V_036B00_TA_PERF_SEL_walker_cycles                      34
#define     V_036B00_TA_PERF_SEL_aligner_cycles                     35
#define     V_036B00_TA_PERF_SEL_image_wavefronts                   36
#define     V_036B00_TA_PERF_SEL_image_read_wavefronts              37
#define     V_036B00_TA_PERF_SEL_image_write_wavefronts             38
#define     V_036B00_TA_PERF_SEL_image_atomic_wavefronts            39
#define     V_036B00_TA_PERF_SEL_image_sampler_total_cycles         40
#define     V_036B00_TA_PERF_SEL_image_nosampler_total_cycles       41
#define     V_036B00_TA_PERF_SEL_flat_total_cycles                  42
#define     V_036B00_TA_PERF_SEL_RESERVED_43                        43
#define     V_036B00_TA_PERF_SEL_buffer_wavefronts                  44
#define     V_036B00_TA_PERF_SEL_buffer_read_wavefronts             45
#define     V_036B00_TA_PERF_SEL_buffer_write_wavefronts            46
#define     V_036B00_TA_PERF_SEL_buffer_atomic_wavefronts           47
#define     V_036B00_TA_PERF_SEL_RESERVED_48                        48
#define     V_036B00_TA_PERF_SEL_buffer_total_cycles                49
#define     V_036B00_TA_PERF_SEL_RESERVED_50                        50
#define     V_036B00_TA_PERF_SEL_RESERVED_51                        51
#define     V_036B00_TA_PERF_SEL_RESERVED_52                        52
#define     V_036B00_TA_PERF_SEL_RESERVED_53                        53
#define     V_036B00_TA_PERF_SEL_addr_stalled_by_tc_cycles          54
#define     V_036B00_TA_PERF_SEL_addr_stalled_by_td_cycles          55
#define     V_036B00_TA_PERF_SEL_RESERVED_56                        56
#define     V_036B00_TA_PERF_SEL_addresser_stalled_by_aligner_only_cycles 57
#define     V_036B00_TA_PERF_SEL_addresser_stalled_cycles           58
#define     V_036B00_TA_PERF_SEL_aniso_stalled_by_addresser_only_cycles 59
#define     V_036B00_TA_PERF_SEL_aniso_stalled_cycles               60
#define     V_036B00_TA_PERF_SEL_deriv_stalled_by_aniso_only_cycles 61
#define     V_036B00_TA_PERF_SEL_deriv_stalled_cycles               62
#define     V_036B00_TA_PERF_SEL_aniso_gt1_cycle_quads              63
#define     V_036B00_TA_PERF_SEL_color_1_cycle_pixels               64
#define     V_036B00_TA_PERF_SEL_color_2_cycle_pixels               65
#define     V_036B00_TA_PERF_SEL_color_3_cycle_pixels               66
#define     V_036B00_TA_PERF_SEL_RESERVED_67                        67
#define     V_036B00_TA_PERF_SEL_mip_1_cycle_pixels                 68
#define     V_036B00_TA_PERF_SEL_mip_2_cycle_pixels                 69
#define     V_036B00_TA_PERF_SEL_vol_1_cycle_pixels                 70
#define     V_036B00_TA_PERF_SEL_vol_2_cycle_pixels                 71
#define     V_036B00_TA_PERF_SEL_bilin_point_1_cycle_pixels         72
#define     V_036B00_TA_PERF_SEL_mipmap_lod_0_samples               73
#define     V_036B00_TA_PERF_SEL_mipmap_lod_1_samples               74
#define     V_036B00_TA_PERF_SEL_mipmap_lod_2_samples               75
#define     V_036B00_TA_PERF_SEL_mipmap_lod_3_samples               76
#define     V_036B00_TA_PERF_SEL_mipmap_lod_4_samples               77
#define     V_036B00_TA_PERF_SEL_mipmap_lod_5_samples               78
#define     V_036B00_TA_PERF_SEL_mipmap_lod_6_samples               79
#define     V_036B00_TA_PERF_SEL_mipmap_lod_7_samples               80
#define     V_036B00_TA_PERF_SEL_mipmap_lod_8_samples               81
#define     V_036B00_TA_PERF_SEL_mipmap_lod_9_samples               82
#define     V_036B00_TA_PERF_SEL_mipmap_lod_10_samples              83
#define     V_036B00_TA_PERF_SEL_mipmap_lod_11_samples              84
#define     V_036B00_TA_PERF_SEL_mipmap_lod_12_samples              85
#define     V_036B00_TA_PERF_SEL_mipmap_lod_13_samples              86
#define     V_036B00_TA_PERF_SEL_mipmap_lod_14_samples              87
#define     V_036B00_TA_PERF_SEL_mipmap_invalid_samples             88
#define     V_036B00_TA_PERF_SEL_aniso_1_cycle_quads                89
#define     V_036B00_TA_PERF_SEL_aniso_2_cycle_quads                90
#define     V_036B00_TA_PERF_SEL_aniso_4_cycle_quads                91
#define     V_036B00_TA_PERF_SEL_aniso_6_cycle_quads                92
#define     V_036B00_TA_PERF_SEL_aniso_8_cycle_quads                93
#define     V_036B00_TA_PERF_SEL_aniso_10_cycle_quads               94
#define     V_036B00_TA_PERF_SEL_aniso_12_cycle_quads               95
#define     V_036B00_TA_PERF_SEL_aniso_14_cycle_quads               96
#define     V_036B00_TA_PERF_SEL_aniso_16_cycle_quads               97
#define     V_036B00_TA_PERF_SEL_write_path_input_cycles            98
#define     V_036B00_TA_PERF_SEL_write_path_output_cycles           99
#define     V_036B00_TA_PERF_SEL_flat_wavefronts                    100
#define     V_036B00_TA_PERF_SEL_flat_read_wavefronts               101
#define     V_036B00_TA_PERF_SEL_flat_write_wavefronts              102
#define     V_036B00_TA_PERF_SEL_flat_atomic_wavefronts             103
#define     V_036B00_TA_PERF_SEL_RESERVED_104                       104
#define     V_036B00_TA_PERF_SEL_reg_sclk_vld                       105
#define     V_036B00_TA_PERF_SEL_local_cg_dyn_sclk_grp0_en          106
#define     V_036B00_TA_PERF_SEL_local_cg_dyn_sclk_grp1_en          107
#define     V_036B00_TA_PERF_SEL_local_cg_dyn_sclk_grp1_mems_en     108
#define     V_036B00_TA_PERF_SEL_local_cg_dyn_sclk_grp4_en          109
#define     V_036B00_TA_PERF_SEL_local_cg_dyn_sclk_grp5_en          110
#define     V_036B00_TA_PERF_SEL_xnack                              111
#define     V_036B00_TA_PERF_SEL_RESERVED_112                       112
#define     V_036B00_TA_PERF_SEL_RESERVED_113                       113
#define     V_036B00_TA_PERF_SEL_RESERVED_114                       114
#define     V_036B00_TA_PERF_SEL_first_xnack                        115
#define     V_036B00_TA_PERF_SEL_RESERVED_116                       116
#define     V_036B00_TA_PERF_SEL_RESERVED_117                       117
#define     V_036B00_TA_PERF_SEL_RESERVED_118                       118
#define     V_036B00_TA_PERF_SEL_RESERVED_119                       119
#define     V_036B00_TA_PERF_SEL_RESERVED_120                       120
#define     V_036B00_TA_PERF_SEL_RESERVED_121                       121
#define     V_036B00_TA_PERF_SEL_RESERVED_122                       122
#define     V_036B00_TA_PERF_SEL_RESERVED_123                       123
#define     V_036B00_TA_PERF_SEL_RESERVED_124                       124
#define     V_036B00_TA_PERF_SEL_RESERVED_125                       125
#define     V_036B00_TA_PERF_SEL_RESERVED_126                       126
#define     V_036B00_TA_PERF_SEL_RESERVED_127                       127
#define     V_036B00_TA_PERF_SEL_in_busy                            128
#define     V_036B00_TA_PERF_SEL_in_fifos_busy                      129
#define     V_036B00_TA_PERF_SEL_in_cfifo_busy                      130
#define     V_036B00_TA_PERF_SEL_in_qfifo_busy                      131
#define     V_036B00_TA_PERF_SEL_in_wfifo_busy                      132
#define     V_036B00_TA_PERF_SEL_in_rfifo_busy                      133
#define     V_036B00_TA_PERF_SEL_bf_busy                            134
#define     V_036B00_TA_PERF_SEL_ns_busy                            135
#define     V_036B00_TA_PERF_SEL_smp_busy_ns_idle                   136
#define     V_036B00_TA_PERF_SEL_smp_idle_ns_busy                   137
#define     V_036B00_TA_PERF_SEL_RESERVED_138                       138
#define     V_036B00_TA_PERF_SEL_RESERVED_139                       139
#define     V_036B00_TA_PERF_SEL_RESERVED_140                       140
#define     V_036B00_TA_PERF_SEL_RESERVED_141                       141
#define     V_036B00_TA_PERF_SEL_RESERVED_142                       142
#define     V_036B00_TA_PERF_SEL_RESERVED_143                       143
#define     V_036B00_TA_PERF_SEL_vmemcmd_cycles                     144
#define     V_036B00_TA_PERF_SEL_vmemreq_cycles                     145
#define     V_036B00_TA_PERF_SEL_in_waiting_on_req_cycles           146
#define     V_036B00_TA_PERF_SEL_in_waiting_on_cmd_cycles           147
#define     V_036B00_TA_PERF_SEL_in_waiting_on_any_cycles           148
#define     V_036B00_TA_PERF_SEL_RESERVED_149                       149
#define     V_036B00_TA_PERF_SEL_in_addr_cycles                     150
#define     V_036B00_TA_PERF_SEL_in_data_cycles                     151
#define     V_036B00_TA_PERF_SEL_addr_stalled_by_xnack_cycles       152
#define     V_036B00_TA_PERF_SEL_RESERVED_153                       153
#define     V_036B00_TA_PERF_SEL_RESERVED_154                       154
#define     V_036B00_TA_PERF_SEL_RESERVED_155                       155
#define     V_036B00_TA_PERF_SEL_RESERVED_156                       156
#define     V_036B00_TA_PERF_SEL_RESERVED_157                       157
#define     V_036B00_TA_PERF_SEL_RESERVED_158                       158
#define     V_036B00_TA_PERF_SEL_RESERVED_159                       159
#define     V_036B00_TA_PERF_SEL_point_sampled_quads                160
#define     V_036B00_TA_PERF_SEL_RESERVED_161                       161
#define     V_036B00_TA_PERF_SEL_RESERVED_162                       162
#define     V_036B00_TA_PERF_SEL_RESERVED_163                       163
#define     V_036B00_TA_PERF_SEL_RESERVED_164                       164
#define     V_036B00_TA_PERF_SEL_RESERVED_165                       165
#define     V_036B00_TA_PERF_SEL_RESERVED_166                       166
#define     V_036B00_TA_PERF_SEL_RESERVED_167                       167
#define     V_036B00_TA_PERF_SEL_RESERVED_168                       168
#define     V_036B00_TA_PERF_SEL_RESERVED_169                       169
#define     V_036B00_TA_PERF_SEL_RESERVED_170                       170
#define     V_036B00_TA_PERF_SEL_RESERVED_171                       171
#define     V_036B00_TA_PERF_SEL_RESERVED_172                       172
#define     V_036B00_TA_PERF_SEL_RESERVED_173                       173
#define     V_036B00_TA_PERF_SEL_RESERVED_174                       174
#define     V_036B00_TA_PERF_SEL_RESERVED_175                       175
#define     V_036B00_TA_PERF_SEL_RESERVED_176                       176
#define     V_036B00_TA_PERF_SEL_RESERVED_177                       177
#define     V_036B00_TA_PERF_SEL_RESERVED_178                       178
#define     V_036B00_TA_PERF_SEL_RESERVED_179                       179
#define     V_036B00_TA_PERF_SEL_RESERVED_180                       180
#define     V_036B00_TA_PERF_SEL_RESERVED_181                       181
#define     V_036B00_TA_PERF_SEL_RESERVED_182                       182
#define     V_036B00_TA_PERF_SEL_RESERVED_183                       183
#define     V_036B00_TA_PERF_SEL_RESERVED_184                       184
#define     V_036B00_TA_PERF_SEL_RESERVED_185                       185
#define     V_036B00_TA_PERF_SEL_RESERVED_186                       186
#define     V_036B00_TA_PERF_SEL_RESERVED_187                       187
#define     V_036B00_TA_PERF_SEL_RESERVED_188                       188
#define     V_036B00_TA_PERF_SEL_RESERVED_189                       189
#define     V_036B00_TA_PERF_SEL_RESERVED_190                       190
#define     V_036B00_TA_PERF_SEL_RESERVED_191                       191
#define     V_036B00_TA_PERF_SEL_RESERVED_192                       192
#define     V_036B00_TA_PERF_SEL_RESERVED_193                       193
#define     V_036B00_TA_PERF_SEL_RESERVED_194                       194
#define     V_036B00_TA_PERF_SEL_RESERVED_195                       195
#define     V_036B00_TA_PERF_SEL_RESERVED_196                       196
#define     V_036B00_TA_PERF_SEL_RESERVED_197                       197
#define     V_036B00_TA_PERF_SEL_RESERVED_198                       198
#define     V_036B00_TA_PERF_SEL_RESERVED_199                       199
#define     V_036B00_TA_PERF_SEL_RESERVED_200                       200
#define     V_036B00_TA_PERF_SEL_RESERVED_201                       201
#define     V_036B00_TA_PERF_SEL_RESERVED_202                       202
#define     V_036B00_TA_PERF_SEL_RESERVED_203                       203
#define     V_036B00_TA_PERF_SEL_RESERVED_204                       204
#define     V_036B00_TA_PERF_SEL_RESERVED_205                       205
#define     V_036B00_TA_PERF_SEL_RESERVED_206                       206
#define     V_036B00_TA_PERF_SEL_RESERVED_207                       207
#define     V_036B00_TA_PERF_SEL_RESERVED_208                       208
#define     V_036B00_TA_PERF_SEL_RESERVED_209                       209
#define     V_036B00_TA_PERF_SEL_RESERVED_210                       210
#define     V_036B00_TA_PERF_SEL_RESERVED_211                       211
#define     V_036B00_TA_PERF_SEL_RESERVED_212                       212
#define     V_036B00_TA_PERF_SEL_RESERVED_213                       213
#define     V_036B00_TA_PERF_SEL_RESERVED_214                       214
#define     V_036B00_TA_PERF_SEL_RESERVED_215                       215
#define     V_036B00_TA_PERF_SEL_RESERVED_216                       216
#define     V_036B00_TA_PERF_SEL_RESERVED_217                       217
#define     V_036B00_TA_PERF_SEL_RESERVED_218                       218
#define     V_036B00_TA_PERF_SEL_RESERVED_219                       219
#define     V_036B00_TA_PERF_SEL_RESERVED_220                       220
#define     V_036B00_TA_PERF_SEL_RESERVED_221                       221
#define     V_036B00_TA_PERF_SEL_RESERVED_222                       222
#define     V_036B00_TA_PERF_SEL_RESERVED_223                       223
#define     V_036B00_TA_PERF_SEL_sample_path_cycles                 224
#define     V_036B00_TA_PERF_SEL_nosample_path_cycles               225
#define   S_036B00_PERF_SEL1(x)                                       (((unsigned)(x) & 0xFF) << 10)
#define   G_036B00_PERF_SEL1(x)                                       (((x) >> 10) & 0xFF)
#define   C_036B00_PERF_SEL1                                          0xFFFC03FF
#define   S_036B00_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036B00_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036B00_CNTR_MODE                                          0xFF0FFFFF
#define   S_036B00_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036B00_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036B00_PERF_MODE1                                         0xF0FFFFFF
#define   S_036B00_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036B00_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036B00_PERF_MODE                                          0x0FFFFFFF
#define R_036B04_TA_PERFCOUNTER0_SELECT1                                0x036B04
#define   S_036B04_PERF_SEL2(x)                                       (((unsigned)(x) & 0xFF) << 0)
#define   G_036B04_PERF_SEL2(x)                                       (((x) >> 0) & 0xFF)
#define   C_036B04_PERF_SEL2                                          0xFFFFFF00
#define     V_036B04_TA_PERF_SEL_NULL                               0
#define     V_036B04_TA_PERF_SEL_RESERVED_1                         1
#define     V_036B04_TA_PERF_SEL_RESERVED_2                         2
#define     V_036B04_TA_PERF_SEL_RESERVED_3                         3
#define     V_036B04_TA_PERF_SEL_RESERVED_4                         4
#define     V_036B04_TA_PERF_SEL_RESERVED_5                         5
#define     V_036B04_TA_PERF_SEL_RESERVED_6                         6
#define     V_036B04_TA_PERF_SEL_gradient_busy                      7
#define     V_036B04_TA_PERF_SEL_gradient_fifo_busy                 8
#define     V_036B04_TA_PERF_SEL_lod_busy                           9
#define     V_036B04_TA_PERF_SEL_lod_fifo_busy                      10
#define     V_036B04_TA_PERF_SEL_addresser_busy                     11
#define     V_036B04_TA_PERF_SEL_addresser_fifo_busy                12
#define     V_036B04_TA_PERF_SEL_aligner_busy                       13
#define     V_036B04_TA_PERF_SEL_write_path_busy                    14
#define     V_036B04_TA_PERF_SEL_ta_busy                            15
#define     V_036B04_TA_PERF_SEL_RESERVED_16                        16
#define     V_036B04_TA_PERF_SEL_RESERVED_17                        17
#define     V_036B04_TA_PERF_SEL_RESERVED_18                        18
#define     V_036B04_TA_PERF_SEL_RESERVED_19                        19
#define     V_036B04_TA_PERF_SEL_RESERVED_20                        20
#define     V_036B04_TA_PERF_SEL_RESERVED_21                        21
#define     V_036B04_TA_PERF_SEL_RESERVED_22                        22
#define     V_036B04_TA_PERF_SEL_RESERVED_23                        23
#define     V_036B04_TA_PERF_SEL_RESERVED_24                        24
#define     V_036B04_TA_PERF_SEL_RESERVED_25                        25
#define     V_036B04_TA_PERF_SEL_RESERVED_26                        26
#define     V_036B04_TA_PERF_SEL_RESERVED_27                        27
#define     V_036B04_TA_PERF_SEL_RESERVED_28                        28
#define     V_036B04_TA_PERF_SEL_RESERVED_29                        29
#define     V_036B04_TA_PERF_SEL_RESERVED_30                        30
#define     V_036B04_TA_PERF_SEL_RESERVED_31                        31
#define     V_036B04_TA_PERF_SEL_total_wavefronts                   32
#define     V_036B04_TA_PERF_SEL_gradient_cycles                    33
#define     V_036B04_TA_PERF_SEL_walker_cycles                      34
#define     V_036B04_TA_PERF_SEL_aligner_cycles                     35
#define     V_036B04_TA_PERF_SEL_image_wavefronts                   36
#define     V_036B04_TA_PERF_SEL_image_read_wavefronts              37
#define     V_036B04_TA_PERF_SEL_image_write_wavefronts             38
#define     V_036B04_TA_PERF_SEL_image_atomic_wavefronts            39
#define     V_036B04_TA_PERF_SEL_image_sampler_total_cycles         40
#define     V_036B04_TA_PERF_SEL_image_nosampler_total_cycles       41
#define     V_036B04_TA_PERF_SEL_flat_total_cycles                  42
#define     V_036B04_TA_PERF_SEL_RESERVED_43                        43
#define     V_036B04_TA_PERF_SEL_buffer_wavefronts                  44
#define     V_036B04_TA_PERF_SEL_buffer_read_wavefronts             45
#define     V_036B04_TA_PERF_SEL_buffer_write_wavefronts            46
#define     V_036B04_TA_PERF_SEL_buffer_atomic_wavefronts           47
#define     V_036B04_TA_PERF_SEL_RESERVED_48                        48
#define     V_036B04_TA_PERF_SEL_buffer_total_cycles                49
#define     V_036B04_TA_PERF_SEL_RESERVED_50                        50
#define     V_036B04_TA_PERF_SEL_RESERVED_51                        51
#define     V_036B04_TA_PERF_SEL_RESERVED_52                        52
#define     V_036B04_TA_PERF_SEL_RESERVED_53                        53
#define     V_036B04_TA_PERF_SEL_addr_stalled_by_tc_cycles          54
#define     V_036B04_TA_PERF_SEL_addr_stalled_by_td_cycles          55
#define     V_036B04_TA_PERF_SEL_RESERVED_56                        56
#define     V_036B04_TA_PERF_SEL_addresser_stalled_by_aligner_only_cycles 57
#define     V_036B04_TA_PERF_SEL_addresser_stalled_cycles           58
#define     V_036B04_TA_PERF_SEL_aniso_stalled_by_addresser_only_cycles 59
#define     V_036B04_TA_PERF_SEL_aniso_stalled_cycles               60
#define     V_036B04_TA_PERF_SEL_deriv_stalled_by_aniso_only_cycles 61
#define     V_036B04_TA_PERF_SEL_deriv_stalled_cycles               62
#define     V_036B04_TA_PERF_SEL_aniso_gt1_cycle_quads              63
#define     V_036B04_TA_PERF_SEL_color_1_cycle_pixels               64
#define     V_036B04_TA_PERF_SEL_color_2_cycle_pixels               65
#define     V_036B04_TA_PERF_SEL_color_3_cycle_pixels               66
#define     V_036B04_TA_PERF_SEL_RESERVED_67                        67
#define     V_036B04_TA_PERF_SEL_mip_1_cycle_pixels                 68
#define     V_036B04_TA_PERF_SEL_mip_2_cycle_pixels                 69
#define     V_036B04_TA_PERF_SEL_vol_1_cycle_pixels                 70
#define     V_036B04_TA_PERF_SEL_vol_2_cycle_pixels                 71
#define     V_036B04_TA_PERF_SEL_bilin_point_1_cycle_pixels         72
#define     V_036B04_TA_PERF_SEL_mipmap_lod_0_samples               73
#define     V_036B04_TA_PERF_SEL_mipmap_lod_1_samples               74
#define     V_036B04_TA_PERF_SEL_mipmap_lod_2_samples               75
#define     V_036B04_TA_PERF_SEL_mipmap_lod_3_samples               76
#define     V_036B04_TA_PERF_SEL_mipmap_lod_4_samples               77
#define     V_036B04_TA_PERF_SEL_mipmap_lod_5_samples               78
#define     V_036B04_TA_PERF_SEL_mipmap_lod_6_samples               79
#define     V_036B04_TA_PERF_SEL_mipmap_lod_7_samples               80
#define     V_036B04_TA_PERF_SEL_mipmap_lod_8_samples               81
#define     V_036B04_TA_PERF_SEL_mipmap_lod_9_samples               82
#define     V_036B04_TA_PERF_SEL_mipmap_lod_10_samples              83
#define     V_036B04_TA_PERF_SEL_mipmap_lod_11_samples              84
#define     V_036B04_TA_PERF_SEL_mipmap_lod_12_samples              85
#define     V_036B04_TA_PERF_SEL_mipmap_lod_13_samples              86
#define     V_036B04_TA_PERF_SEL_mipmap_lod_14_samples              87
#define     V_036B04_TA_PERF_SEL_mipmap_invalid_samples             88
#define     V_036B04_TA_PERF_SEL_aniso_1_cycle_quads                89
#define     V_036B04_TA_PERF_SEL_aniso_2_cycle_quads                90
#define     V_036B04_TA_PERF_SEL_aniso_4_cycle_quads                91
#define     V_036B04_TA_PERF_SEL_aniso_6_cycle_quads                92
#define     V_036B04_TA_PERF_SEL_aniso_8_cycle_quads                93
#define     V_036B04_TA_PERF_SEL_aniso_10_cycle_quads               94
#define     V_036B04_TA_PERF_SEL_aniso_12_cycle_quads               95
#define     V_036B04_TA_PERF_SEL_aniso_14_cycle_quads               96
#define     V_036B04_TA_PERF_SEL_aniso_16_cycle_quads               97
#define     V_036B04_TA_PERF_SEL_write_path_input_cycles            98
#define     V_036B04_TA_PERF_SEL_write_path_output_cycles           99
#define     V_036B04_TA_PERF_SEL_flat_wavefronts                    100
#define     V_036B04_TA_PERF_SEL_flat_read_wavefronts               101
#define     V_036B04_TA_PERF_SEL_flat_write_wavefronts              102
#define     V_036B04_TA_PERF_SEL_flat_atomic_wavefronts             103
#define     V_036B04_TA_PERF_SEL_RESERVED_104                       104
#define     V_036B04_TA_PERF_SEL_reg_sclk_vld                       105
#define     V_036B04_TA_PERF_SEL_local_cg_dyn_sclk_grp0_en          106
#define     V_036B04_TA_PERF_SEL_local_cg_dyn_sclk_grp1_en          107
#define     V_036B04_TA_PERF_SEL_local_cg_dyn_sclk_grp1_mems_en     108
#define     V_036B04_TA_PERF_SEL_local_cg_dyn_sclk_grp4_en          109
#define     V_036B04_TA_PERF_SEL_local_cg_dyn_sclk_grp5_en          110
#define     V_036B04_TA_PERF_SEL_xnack                              111
#define     V_036B04_TA_PERF_SEL_RESERVED_112                       112
#define     V_036B04_TA_PERF_SEL_RESERVED_113                       113
#define     V_036B04_TA_PERF_SEL_RESERVED_114                       114
#define     V_036B04_TA_PERF_SEL_first_xnack                        115
#define     V_036B04_TA_PERF_SEL_RESERVED_116                       116
#define     V_036B04_TA_PERF_SEL_RESERVED_117                       117
#define     V_036B04_TA_PERF_SEL_RESERVED_118                       118
#define     V_036B04_TA_PERF_SEL_RESERVED_119                       119
#define     V_036B04_TA_PERF_SEL_RESERVED_120                       120
#define     V_036B04_TA_PERF_SEL_RESERVED_121                       121
#define     V_036B04_TA_PERF_SEL_RESERVED_122                       122
#define     V_036B04_TA_PERF_SEL_RESERVED_123                       123
#define     V_036B04_TA_PERF_SEL_RESERVED_124                       124
#define     V_036B04_TA_PERF_SEL_RESERVED_125                       125
#define     V_036B04_TA_PERF_SEL_RESERVED_126                       126
#define     V_036B04_TA_PERF_SEL_RESERVED_127                       127
#define     V_036B04_TA_PERF_SEL_in_busy                            128
#define     V_036B04_TA_PERF_SEL_in_fifos_busy                      129
#define     V_036B04_TA_PERF_SEL_in_cfifo_busy                      130
#define     V_036B04_TA_PERF_SEL_in_qfifo_busy                      131
#define     V_036B04_TA_PERF_SEL_in_wfifo_busy                      132
#define     V_036B04_TA_PERF_SEL_in_rfifo_busy                      133
#define     V_036B04_TA_PERF_SEL_bf_busy                            134
#define     V_036B04_TA_PERF_SEL_ns_busy                            135
#define     V_036B04_TA_PERF_SEL_smp_busy_ns_idle                   136
#define     V_036B04_TA_PERF_SEL_smp_idle_ns_busy                   137
#define     V_036B04_TA_PERF_SEL_RESERVED_138                       138
#define     V_036B04_TA_PERF_SEL_RESERVED_139                       139
#define     V_036B04_TA_PERF_SEL_RESERVED_140                       140
#define     V_036B04_TA_PERF_SEL_RESERVED_141                       141
#define     V_036B04_TA_PERF_SEL_RESERVED_142                       142
#define     V_036B04_TA_PERF_SEL_RESERVED_143                       143
#define     V_036B04_TA_PERF_SEL_vmemcmd_cycles                     144
#define     V_036B04_TA_PERF_SEL_vmemreq_cycles                     145
#define     V_036B04_TA_PERF_SEL_in_waiting_on_req_cycles           146
#define     V_036B04_TA_PERF_SEL_in_waiting_on_cmd_cycles           147
#define     V_036B04_TA_PERF_SEL_in_waiting_on_any_cycles           148
#define     V_036B04_TA_PERF_SEL_RESERVED_149                       149
#define     V_036B04_TA_PERF_SEL_in_addr_cycles                     150
#define     V_036B04_TA_PERF_SEL_in_data_cycles                     151
#define     V_036B04_TA_PERF_SEL_addr_stalled_by_xnack_cycles       152
#define     V_036B04_TA_PERF_SEL_RESERVED_153                       153
#define     V_036B04_TA_PERF_SEL_RESERVED_154                       154
#define     V_036B04_TA_PERF_SEL_RESERVED_155                       155
#define     V_036B04_TA_PERF_SEL_RESERVED_156                       156
#define     V_036B04_TA_PERF_SEL_RESERVED_157                       157
#define     V_036B04_TA_PERF_SEL_RESERVED_158                       158
#define     V_036B04_TA_PERF_SEL_RESERVED_159                       159
#define     V_036B04_TA_PERF_SEL_point_sampled_quads                160
#define     V_036B04_TA_PERF_SEL_RESERVED_161                       161
#define     V_036B04_TA_PERF_SEL_RESERVED_162                       162
#define     V_036B04_TA_PERF_SEL_RESERVED_163                       163
#define     V_036B04_TA_PERF_SEL_RESERVED_164                       164
#define     V_036B04_TA_PERF_SEL_RESERVED_165                       165
#define     V_036B04_TA_PERF_SEL_RESERVED_166                       166
#define     V_036B04_TA_PERF_SEL_RESERVED_167                       167
#define     V_036B04_TA_PERF_SEL_RESERVED_168                       168
#define     V_036B04_TA_PERF_SEL_RESERVED_169                       169
#define     V_036B04_TA_PERF_SEL_RESERVED_170                       170
#define     V_036B04_TA_PERF_SEL_RESERVED_171                       171
#define     V_036B04_TA_PERF_SEL_RESERVED_172                       172
#define     V_036B04_TA_PERF_SEL_RESERVED_173                       173
#define     V_036B04_TA_PERF_SEL_RESERVED_174                       174
#define     V_036B04_TA_PERF_SEL_RESERVED_175                       175
#define     V_036B04_TA_PERF_SEL_RESERVED_176                       176
#define     V_036B04_TA_PERF_SEL_RESERVED_177                       177
#define     V_036B04_TA_PERF_SEL_RESERVED_178                       178
#define     V_036B04_TA_PERF_SEL_RESERVED_179                       179
#define     V_036B04_TA_PERF_SEL_RESERVED_180                       180
#define     V_036B04_TA_PERF_SEL_RESERVED_181                       181
#define     V_036B04_TA_PERF_SEL_RESERVED_182                       182
#define     V_036B04_TA_PERF_SEL_RESERVED_183                       183
#define     V_036B04_TA_PERF_SEL_RESERVED_184                       184
#define     V_036B04_TA_PERF_SEL_RESERVED_185                       185
#define     V_036B04_TA_PERF_SEL_RESERVED_186                       186
#define     V_036B04_TA_PERF_SEL_RESERVED_187                       187
#define     V_036B04_TA_PERF_SEL_RESERVED_188                       188
#define     V_036B04_TA_PERF_SEL_RESERVED_189                       189
#define     V_036B04_TA_PERF_SEL_RESERVED_190                       190
#define     V_036B04_TA_PERF_SEL_RESERVED_191                       191
#define     V_036B04_TA_PERF_SEL_RESERVED_192                       192
#define     V_036B04_TA_PERF_SEL_RESERVED_193                       193
#define     V_036B04_TA_PERF_SEL_RESERVED_194                       194
#define     V_036B04_TA_PERF_SEL_RESERVED_195                       195
#define     V_036B04_TA_PERF_SEL_RESERVED_196                       196
#define     V_036B04_TA_PERF_SEL_RESERVED_197                       197
#define     V_036B04_TA_PERF_SEL_RESERVED_198                       198
#define     V_036B04_TA_PERF_SEL_RESERVED_199                       199
#define     V_036B04_TA_PERF_SEL_RESERVED_200                       200
#define     V_036B04_TA_PERF_SEL_RESERVED_201                       201
#define     V_036B04_TA_PERF_SEL_RESERVED_202                       202
#define     V_036B04_TA_PERF_SEL_RESERVED_203                       203
#define     V_036B04_TA_PERF_SEL_RESERVED_204                       204
#define     V_036B04_TA_PERF_SEL_RESERVED_205                       205
#define     V_036B04_TA_PERF_SEL_RESERVED_206                       206
#define     V_036B04_TA_PERF_SEL_RESERVED_207                       207
#define     V_036B04_TA_PERF_SEL_RESERVED_208                       208
#define     V_036B04_TA_PERF_SEL_RESERVED_209                       209
#define     V_036B04_TA_PERF_SEL_RESERVED_210                       210
#define     V_036B04_TA_PERF_SEL_RESERVED_211                       211
#define     V_036B04_TA_PERF_SEL_RESERVED_212                       212
#define     V_036B04_TA_PERF_SEL_RESERVED_213                       213
#define     V_036B04_TA_PERF_SEL_RESERVED_214                       214
#define     V_036B04_TA_PERF_SEL_RESERVED_215                       215
#define     V_036B04_TA_PERF_SEL_RESERVED_216                       216
#define     V_036B04_TA_PERF_SEL_RESERVED_217                       217
#define     V_036B04_TA_PERF_SEL_RESERVED_218                       218
#define     V_036B04_TA_PERF_SEL_RESERVED_219                       219
#define     V_036B04_TA_PERF_SEL_RESERVED_220                       220
#define     V_036B04_TA_PERF_SEL_RESERVED_221                       221
#define     V_036B04_TA_PERF_SEL_RESERVED_222                       222
#define     V_036B04_TA_PERF_SEL_RESERVED_223                       223
#define     V_036B04_TA_PERF_SEL_sample_path_cycles                 224
#define     V_036B04_TA_PERF_SEL_nosample_path_cycles               225
#define   S_036B04_PERF_SEL3(x)                                       (((unsigned)(x) & 0xFF) << 10)
#define   G_036B04_PERF_SEL3(x)                                       (((x) >> 10) & 0xFF)
#define   C_036B04_PERF_SEL3                                          0xFFFC03FF
#define   S_036B04_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036B04_PERF_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_036B04_PERF_MODE3                                         0xF0FFFFFF
#define   S_036B04_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_036B04_PERF_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_036B04_PERF_MODE2                                         0x0FFFFFFF
#define R_036B08_TA_PERFCOUNTER1_SELECT                                 0x036B08
#define   S_036B08_PERF_SEL(x)                                        (((unsigned)(x) & 0xFF) << 0) /* >= gfx10 */
#define   G_036B08_PERF_SEL(x)                                        (((x) >> 0) & 0xFF)
#define   C_036B08_PERF_SEL                                           0xFFFFFF00
#define     V_036B08_TA_PERF_SEL_NULL                               0
#define     V_036B08_TA_PERF_SEL_RESERVED_1                         1
#define     V_036B08_TA_PERF_SEL_RESERVED_2                         2
#define     V_036B08_TA_PERF_SEL_RESERVED_3                         3
#define     V_036B08_TA_PERF_SEL_RESERVED_4                         4
#define     V_036B08_TA_PERF_SEL_RESERVED_5                         5
#define     V_036B08_TA_PERF_SEL_RESERVED_6                         6
#define     V_036B08_TA_PERF_SEL_gradient_busy                      7
#define     V_036B08_TA_PERF_SEL_gradient_fifo_busy                 8
#define     V_036B08_TA_PERF_SEL_lod_busy                           9
#define     V_036B08_TA_PERF_SEL_lod_fifo_busy                      10
#define     V_036B08_TA_PERF_SEL_addresser_busy                     11
#define     V_036B08_TA_PERF_SEL_addresser_fifo_busy                12
#define     V_036B08_TA_PERF_SEL_aligner_busy                       13
#define     V_036B08_TA_PERF_SEL_write_path_busy                    14
#define     V_036B08_TA_PERF_SEL_ta_busy                            15
#define     V_036B08_TA_PERF_SEL_RESERVED_16                        16
#define     V_036B08_TA_PERF_SEL_RESERVED_17                        17
#define     V_036B08_TA_PERF_SEL_RESERVED_18                        18
#define     V_036B08_TA_PERF_SEL_RESERVED_19                        19
#define     V_036B08_TA_PERF_SEL_RESERVED_20                        20
#define     V_036B08_TA_PERF_SEL_RESERVED_21                        21
#define     V_036B08_TA_PERF_SEL_RESERVED_22                        22
#define     V_036B08_TA_PERF_SEL_RESERVED_23                        23
#define     V_036B08_TA_PERF_SEL_RESERVED_24                        24
#define     V_036B08_TA_PERF_SEL_RESERVED_25                        25
#define     V_036B08_TA_PERF_SEL_RESERVED_26                        26
#define     V_036B08_TA_PERF_SEL_RESERVED_27                        27
#define     V_036B08_TA_PERF_SEL_RESERVED_28                        28
#define     V_036B08_TA_PERF_SEL_RESERVED_29                        29
#define     V_036B08_TA_PERF_SEL_RESERVED_30                        30
#define     V_036B08_TA_PERF_SEL_RESERVED_31                        31
#define     V_036B08_TA_PERF_SEL_total_wavefronts                   32
#define     V_036B08_TA_PERF_SEL_gradient_cycles                    33
#define     V_036B08_TA_PERF_SEL_walker_cycles                      34
#define     V_036B08_TA_PERF_SEL_aligner_cycles                     35
#define     V_036B08_TA_PERF_SEL_image_wavefronts                   36
#define     V_036B08_TA_PERF_SEL_image_read_wavefronts              37
#define     V_036B08_TA_PERF_SEL_image_write_wavefronts             38
#define     V_036B08_TA_PERF_SEL_image_atomic_wavefronts            39
#define     V_036B08_TA_PERF_SEL_image_sampler_total_cycles         40
#define     V_036B08_TA_PERF_SEL_image_nosampler_total_cycles       41
#define     V_036B08_TA_PERF_SEL_flat_total_cycles                  42
#define     V_036B08_TA_PERF_SEL_RESERVED_43                        43
#define     V_036B08_TA_PERF_SEL_buffer_wavefronts                  44
#define     V_036B08_TA_PERF_SEL_buffer_read_wavefronts             45
#define     V_036B08_TA_PERF_SEL_buffer_write_wavefronts            46
#define     V_036B08_TA_PERF_SEL_buffer_atomic_wavefronts           47
#define     V_036B08_TA_PERF_SEL_RESERVED_48                        48
#define     V_036B08_TA_PERF_SEL_buffer_total_cycles                49
#define     V_036B08_TA_PERF_SEL_RESERVED_50                        50
#define     V_036B08_TA_PERF_SEL_RESERVED_51                        51
#define     V_036B08_TA_PERF_SEL_RESERVED_52                        52
#define     V_036B08_TA_PERF_SEL_RESERVED_53                        53
#define     V_036B08_TA_PERF_SEL_addr_stalled_by_tc_cycles          54
#define     V_036B08_TA_PERF_SEL_addr_stalled_by_td_cycles          55
#define     V_036B08_TA_PERF_SEL_RESERVED_56                        56
#define     V_036B08_TA_PERF_SEL_addresser_stalled_by_aligner_only_cycles 57
#define     V_036B08_TA_PERF_SEL_addresser_stalled_cycles           58
#define     V_036B08_TA_PERF_SEL_aniso_stalled_by_addresser_only_cycles 59
#define     V_036B08_TA_PERF_SEL_aniso_stalled_cycles               60
#define     V_036B08_TA_PERF_SEL_deriv_stalled_by_aniso_only_cycles 61
#define     V_036B08_TA_PERF_SEL_deriv_stalled_cycles               62
#define     V_036B08_TA_PERF_SEL_aniso_gt1_cycle_quads              63
#define     V_036B08_TA_PERF_SEL_color_1_cycle_pixels               64
#define     V_036B08_TA_PERF_SEL_color_2_cycle_pixels               65
#define     V_036B08_TA_PERF_SEL_color_3_cycle_pixels               66
#define     V_036B08_TA_PERF_SEL_RESERVED_67                        67
#define     V_036B08_TA_PERF_SEL_mip_1_cycle_pixels                 68
#define     V_036B08_TA_PERF_SEL_mip_2_cycle_pixels                 69
#define     V_036B08_TA_PERF_SEL_vol_1_cycle_pixels                 70
#define     V_036B08_TA_PERF_SEL_vol_2_cycle_pixels                 71
#define     V_036B08_TA_PERF_SEL_bilin_point_1_cycle_pixels         72
#define     V_036B08_TA_PERF_SEL_mipmap_lod_0_samples               73
#define     V_036B08_TA_PERF_SEL_mipmap_lod_1_samples               74
#define     V_036B08_TA_PERF_SEL_mipmap_lod_2_samples               75
#define     V_036B08_TA_PERF_SEL_mipmap_lod_3_samples               76
#define     V_036B08_TA_PERF_SEL_mipmap_lod_4_samples               77
#define     V_036B08_TA_PERF_SEL_mipmap_lod_5_samples               78
#define     V_036B08_TA_PERF_SEL_mipmap_lod_6_samples               79
#define     V_036B08_TA_PERF_SEL_mipmap_lod_7_samples               80
#define     V_036B08_TA_PERF_SEL_mipmap_lod_8_samples               81
#define     V_036B08_TA_PERF_SEL_mipmap_lod_9_samples               82
#define     V_036B08_TA_PERF_SEL_mipmap_lod_10_samples              83
#define     V_036B08_TA_PERF_SEL_mipmap_lod_11_samples              84
#define     V_036B08_TA_PERF_SEL_mipmap_lod_12_samples              85
#define     V_036B08_TA_PERF_SEL_mipmap_lod_13_samples              86
#define     V_036B08_TA_PERF_SEL_mipmap_lod_14_samples              87
#define     V_036B08_TA_PERF_SEL_mipmap_invalid_samples             88
#define     V_036B08_TA_PERF_SEL_aniso_1_cycle_quads                89
#define     V_036B08_TA_PERF_SEL_aniso_2_cycle_quads                90
#define     V_036B08_TA_PERF_SEL_aniso_4_cycle_quads                91
#define     V_036B08_TA_PERF_SEL_aniso_6_cycle_quads                92
#define     V_036B08_TA_PERF_SEL_aniso_8_cycle_quads                93
#define     V_036B08_TA_PERF_SEL_aniso_10_cycle_quads               94
#define     V_036B08_TA_PERF_SEL_aniso_12_cycle_quads               95
#define     V_036B08_TA_PERF_SEL_aniso_14_cycle_quads               96
#define     V_036B08_TA_PERF_SEL_aniso_16_cycle_quads               97
#define     V_036B08_TA_PERF_SEL_write_path_input_cycles            98
#define     V_036B08_TA_PERF_SEL_write_path_output_cycles           99
#define     V_036B08_TA_PERF_SEL_flat_wavefronts                    100
#define     V_036B08_TA_PERF_SEL_flat_read_wavefronts               101
#define     V_036B08_TA_PERF_SEL_flat_write_wavefronts              102
#define     V_036B08_TA_PERF_SEL_flat_atomic_wavefronts             103
#define     V_036B08_TA_PERF_SEL_RESERVED_104                       104
#define     V_036B08_TA_PERF_SEL_reg_sclk_vld                       105
#define     V_036B08_TA_PERF_SEL_local_cg_dyn_sclk_grp0_en          106
#define     V_036B08_TA_PERF_SEL_local_cg_dyn_sclk_grp1_en          107
#define     V_036B08_TA_PERF_SEL_local_cg_dyn_sclk_grp1_mems_en     108
#define     V_036B08_TA_PERF_SEL_local_cg_dyn_sclk_grp4_en          109
#define     V_036B08_TA_PERF_SEL_local_cg_dyn_sclk_grp5_en          110
#define     V_036B08_TA_PERF_SEL_xnack                              111
#define     V_036B08_TA_PERF_SEL_RESERVED_112                       112
#define     V_036B08_TA_PERF_SEL_RESERVED_113                       113
#define     V_036B08_TA_PERF_SEL_RESERVED_114                       114
#define     V_036B08_TA_PERF_SEL_first_xnack                        115
#define     V_036B08_TA_PERF_SEL_RESERVED_116                       116
#define     V_036B08_TA_PERF_SEL_RESERVED_117                       117
#define     V_036B08_TA_PERF_SEL_RESERVED_118                       118
#define     V_036B08_TA_PERF_SEL_RESERVED_119                       119
#define     V_036B08_TA_PERF_SEL_RESERVED_120                       120
#define     V_036B08_TA_PERF_SEL_RESERVED_121                       121
#define     V_036B08_TA_PERF_SEL_RESERVED_122                       122
#define     V_036B08_TA_PERF_SEL_RESERVED_123                       123
#define     V_036B08_TA_PERF_SEL_RESERVED_124                       124
#define     V_036B08_TA_PERF_SEL_RESERVED_125                       125
#define     V_036B08_TA_PERF_SEL_RESERVED_126                       126
#define     V_036B08_TA_PERF_SEL_RESERVED_127                       127
#define     V_036B08_TA_PERF_SEL_in_busy                            128
#define     V_036B08_TA_PERF_SEL_in_fifos_busy                      129
#define     V_036B08_TA_PERF_SEL_in_cfifo_busy                      130
#define     V_036B08_TA_PERF_SEL_in_qfifo_busy                      131
#define     V_036B08_TA_PERF_SEL_in_wfifo_busy                      132
#define     V_036B08_TA_PERF_SEL_in_rfifo_busy                      133
#define     V_036B08_TA_PERF_SEL_bf_busy                            134
#define     V_036B08_TA_PERF_SEL_ns_busy                            135
#define     V_036B08_TA_PERF_SEL_smp_busy_ns_idle                   136
#define     V_036B08_TA_PERF_SEL_smp_idle_ns_busy                   137
#define     V_036B08_TA_PERF_SEL_RESERVED_138                       138
#define     V_036B08_TA_PERF_SEL_RESERVED_139                       139
#define     V_036B08_TA_PERF_SEL_RESERVED_140                       140
#define     V_036B08_TA_PERF_SEL_RESERVED_141                       141
#define     V_036B08_TA_PERF_SEL_RESERVED_142                       142
#define     V_036B08_TA_PERF_SEL_RESERVED_143                       143
#define     V_036B08_TA_PERF_SEL_vmemcmd_cycles                     144
#define     V_036B08_TA_PERF_SEL_vmemreq_cycles                     145
#define     V_036B08_TA_PERF_SEL_in_waiting_on_req_cycles           146
#define     V_036B08_TA_PERF_SEL_in_waiting_on_cmd_cycles           147
#define     V_036B08_TA_PERF_SEL_in_waiting_on_any_cycles           148
#define     V_036B08_TA_PERF_SEL_RESERVED_149                       149
#define     V_036B08_TA_PERF_SEL_in_addr_cycles                     150
#define     V_036B08_TA_PERF_SEL_in_data_cycles                     151
#define     V_036B08_TA_PERF_SEL_addr_stalled_by_xnack_cycles       152
#define     V_036B08_TA_PERF_SEL_RESERVED_153                       153
#define     V_036B08_TA_PERF_SEL_RESERVED_154                       154
#define     V_036B08_TA_PERF_SEL_RESERVED_155                       155
#define     V_036B08_TA_PERF_SEL_RESERVED_156                       156
#define     V_036B08_TA_PERF_SEL_RESERVED_157                       157
#define     V_036B08_TA_PERF_SEL_RESERVED_158                       158
#define     V_036B08_TA_PERF_SEL_RESERVED_159                       159
#define     V_036B08_TA_PERF_SEL_point_sampled_quads                160
#define     V_036B08_TA_PERF_SEL_RESERVED_161                       161
#define     V_036B08_TA_PERF_SEL_RESERVED_162                       162
#define     V_036B08_TA_PERF_SEL_RESERVED_163                       163
#define     V_036B08_TA_PERF_SEL_RESERVED_164                       164
#define     V_036B08_TA_PERF_SEL_RESERVED_165                       165
#define     V_036B08_TA_PERF_SEL_RESERVED_166                       166
#define     V_036B08_TA_PERF_SEL_RESERVED_167                       167
#define     V_036B08_TA_PERF_SEL_RESERVED_168                       168
#define     V_036B08_TA_PERF_SEL_RESERVED_169                       169
#define     V_036B08_TA_PERF_SEL_RESERVED_170                       170
#define     V_036B08_TA_PERF_SEL_RESERVED_171                       171
#define     V_036B08_TA_PERF_SEL_RESERVED_172                       172
#define     V_036B08_TA_PERF_SEL_RESERVED_173                       173
#define     V_036B08_TA_PERF_SEL_RESERVED_174                       174
#define     V_036B08_TA_PERF_SEL_RESERVED_175                       175
#define     V_036B08_TA_PERF_SEL_RESERVED_176                       176
#define     V_036B08_TA_PERF_SEL_RESERVED_177                       177
#define     V_036B08_TA_PERF_SEL_RESERVED_178                       178
#define     V_036B08_TA_PERF_SEL_RESERVED_179                       179
#define     V_036B08_TA_PERF_SEL_RESERVED_180                       180
#define     V_036B08_TA_PERF_SEL_RESERVED_181                       181
#define     V_036B08_TA_PERF_SEL_RESERVED_182                       182
#define     V_036B08_TA_PERF_SEL_RESERVED_183                       183
#define     V_036B08_TA_PERF_SEL_RESERVED_184                       184
#define     V_036B08_TA_PERF_SEL_RESERVED_185                       185
#define     V_036B08_TA_PERF_SEL_RESERVED_186                       186
#define     V_036B08_TA_PERF_SEL_RESERVED_187                       187
#define     V_036B08_TA_PERF_SEL_RESERVED_188                       188
#define     V_036B08_TA_PERF_SEL_RESERVED_189                       189
#define     V_036B08_TA_PERF_SEL_RESERVED_190                       190
#define     V_036B08_TA_PERF_SEL_RESERVED_191                       191
#define     V_036B08_TA_PERF_SEL_RESERVED_192                       192
#define     V_036B08_TA_PERF_SEL_RESERVED_193                       193
#define     V_036B08_TA_PERF_SEL_RESERVED_194                       194
#define     V_036B08_TA_PERF_SEL_RESERVED_195                       195
#define     V_036B08_TA_PERF_SEL_RESERVED_196                       196
#define     V_036B08_TA_PERF_SEL_RESERVED_197                       197
#define     V_036B08_TA_PERF_SEL_RESERVED_198                       198
#define     V_036B08_TA_PERF_SEL_RESERVED_199                       199
#define     V_036B08_TA_PERF_SEL_RESERVED_200                       200
#define     V_036B08_TA_PERF_SEL_RESERVED_201                       201
#define     V_036B08_TA_PERF_SEL_RESERVED_202                       202
#define     V_036B08_TA_PERF_SEL_RESERVED_203                       203
#define     V_036B08_TA_PERF_SEL_RESERVED_204                       204
#define     V_036B08_TA_PERF_SEL_RESERVED_205                       205
#define     V_036B08_TA_PERF_SEL_RESERVED_206                       206
#define     V_036B08_TA_PERF_SEL_RESERVED_207                       207
#define     V_036B08_TA_PERF_SEL_RESERVED_208                       208
#define     V_036B08_TA_PERF_SEL_RESERVED_209                       209
#define     V_036B08_TA_PERF_SEL_RESERVED_210                       210
#define     V_036B08_TA_PERF_SEL_RESERVED_211                       211
#define     V_036B08_TA_PERF_SEL_RESERVED_212                       212
#define     V_036B08_TA_PERF_SEL_RESERVED_213                       213
#define     V_036B08_TA_PERF_SEL_RESERVED_214                       214
#define     V_036B08_TA_PERF_SEL_RESERVED_215                       215
#define     V_036B08_TA_PERF_SEL_RESERVED_216                       216
#define     V_036B08_TA_PERF_SEL_RESERVED_217                       217
#define     V_036B08_TA_PERF_SEL_RESERVED_218                       218
#define     V_036B08_TA_PERF_SEL_RESERVED_219                       219
#define     V_036B08_TA_PERF_SEL_RESERVED_220                       220
#define     V_036B08_TA_PERF_SEL_RESERVED_221                       221
#define     V_036B08_TA_PERF_SEL_RESERVED_222                       222
#define     V_036B08_TA_PERF_SEL_RESERVED_223                       223
#define     V_036B08_TA_PERF_SEL_sample_path_cycles                 224
#define     V_036B08_TA_PERF_SEL_nosample_path_cycles               225
#define   S_036B08_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20) /* >= gfx10 */
#define   G_036B08_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036B08_CNTR_MODE                                          0xFF0FFFFF
#define   S_036B08_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28) /* >= gfx10 */
#define   G_036B08_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036B08_PERF_MODE                                          0x0FFFFFFF
#define R_036C00_TD_PERFCOUNTER0_SELECT                                 0x036C00
#define   S_036C00_PERF_SEL(x)                                        (((unsigned)(x) & 0xFF) << 0)
#define   G_036C00_PERF_SEL(x)                                        (((x) >> 0) & 0xFF)
#define   C_036C00_PERF_SEL                                           0xFFFFFF00
#define     V_036C00_TA_PERF_SEL_NULL                               0 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_none                               0 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_1                         1 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_td_busy                            1 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_2                         2 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_input_busy                         2 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_3                         3 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_sampler_lerp_busy                  3 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_4                         4 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_sampler_out_busy                   4 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_5                         5 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_nofilter_busy                      5 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_6                         6 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_sampler_sclk_on_nofilter_sclk_off  6 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_gradient_busy                      7 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_nofilter_sclk_on_sampler_sclk_off  7 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_gradient_fifo_busy                 8 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_core_state_ram_max_cnt             8 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_lod_busy                           9 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_core_state_rams_read               9 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_lod_fifo_busy                      10 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_weight_data_rams_read              10 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_addresser_busy                     11 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_reference_data_rams_read           11 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_addresser_fifo_busy                12 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_tc_td_ram_fifo_full                12 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_aligner_busy                       13 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_tc_td_ram_fifo_max_cnt             13 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_write_path_busy                    14 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_tc_td_data_fifo_full               14 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_ta_busy                            15 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_input_state_fifo_full              15 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_16                        16 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_ta_data_stall                      16 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_17                        17 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_tc_data_stall                      17 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_18                        18 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_tc_ram_stall                       18 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_19                        19 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_lds_stall                          19 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_20                        20 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_sampler_pkr_full                   20 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_21                        21 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_nofilter_pkr_full                  21 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_22                        22 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_gather4_wavefront                  22 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_23                        23 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_gather4h_wavefront                 23 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_24                        24 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_gather4h_packed_wavefront          24 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_25                        25 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_gather8h_packed_wavefront          25 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_26                        26 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_sample_c_wavefront                 26 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_27                        27 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_load_wavefront                     27 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_28                        28 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_ldfptr_wavefront                   28 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_29                        29 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_RESERVED_29                        29 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_30                        30 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_write_ack_wavefront                30 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_31                        31 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_d16_en_wavefront                   31 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_total_wavefronts                   32 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_bypassLerp_wavefront               32 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_gradient_cycles                    33 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_min_max_filter_wavefront           33 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_walker_cycles                      34 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_one_comp_wavefront                 34 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_aligner_cycles                     35 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_two_comp_wavefront                 35 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_image_wavefronts                   36 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_three_comp_wavefront               36 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_image_read_wavefronts              37 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_four_comp_wavefront                37 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_image_write_wavefronts             38 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_user_defined_border                38 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_image_atomic_wavefronts            39 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_white_border                       39 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_image_sampler_total_cycles         40 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_opaque_black_border                40 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_image_nosampler_total_cycles       41 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_lod_warn_from_ta                   41 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_flat_total_cycles                  42 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_wavefront_dest_is_lds              42 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_43                        43 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_td_cycling_of_nofilter_instr       43 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_buffer_wavefronts                  44 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_tc_cycling_of_nofilter_instr       44 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_buffer_read_wavefronts             45 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_out_of_order_instr                 45 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_buffer_write_wavefronts            46 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_total_num_instr                    46 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_buffer_atomic_wavefronts           47 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_mixmode_instruction                47 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_48                        48 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_mixmode_resource                   48 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_buffer_total_cycles                49 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_status_packet                      49 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_50                        50 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_address_cmd_poison                 50 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_51                        51 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_data_poison                        51 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_52                        52 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_done_scoreboard_max_stored_cnt     52 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_53                        53 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_done_scoreboard_max_waiting_cnt    53 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_addr_stalled_by_tc_cycles          54 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_done_scoreboard_not_empty          54 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_addr_stalled_by_td_cycles          55 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_done_scoreboard_is_full            55 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_RESERVED_56                        56 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_done_scoreboard_bp_due_to_ooo      56 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_addresser_stalled_by_aligner_only_cycles 57 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_done_scoreboard_bp_due_to_lds      57 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_addresser_stalled_cycles           58 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_nofilter_formatters_turned_on      58 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_aniso_stalled_by_addresser_only_cycles 59 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_nofilter_popcount_dmask_gt_num_comp_of_fmt 59 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_aniso_stalled_cycles               60 /* <= gfx9 */
#define     V_036C00_TD_PERF_SEL_nofilter_popcount_dmask_lt_num_comp_of_fmt 60 /* >= gfx10 */
#define     V_036C00_TA_PERF_SEL_deriv_stalled_by_aniso_only_cycles 61 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_deriv_stalled_cycles               62 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_aniso_gt1_cycle_quads              63 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_color_1_cycle_pixels               64 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_color_2_cycle_pixels               65 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_color_3_cycle_pixels               66 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_67                        67 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mip_1_cycle_pixels                 68 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mip_2_cycle_pixels                 69 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_vol_1_cycle_pixels                 70 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_vol_2_cycle_pixels                 71 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_bilin_point_1_cycle_pixels         72 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_lod_0_samples               73 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_lod_1_samples               74 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_lod_2_samples               75 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_lod_3_samples               76 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_lod_4_samples               77 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_lod_5_samples               78 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_lod_6_samples               79 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_lod_7_samples               80 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_lod_8_samples               81 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_lod_9_samples               82 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_lod_10_samples              83 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_lod_11_samples              84 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_lod_12_samples              85 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_lod_13_samples              86 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_lod_14_samples              87 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_mipmap_invalid_samples             88 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_aniso_1_cycle_quads                89 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_aniso_2_cycle_quads                90 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_aniso_4_cycle_quads                91 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_aniso_6_cycle_quads                92 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_aniso_8_cycle_quads                93 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_aniso_10_cycle_quads               94 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_aniso_12_cycle_quads               95 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_aniso_14_cycle_quads               96 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_aniso_16_cycle_quads               97 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_write_path_input_cycles            98 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_write_path_output_cycles           99 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_flat_wavefronts                    100 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_flat_read_wavefronts               101 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_flat_write_wavefronts              102 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_flat_atomic_wavefronts             103 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_104                       104 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_reg_sclk_vld                       105 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_local_cg_dyn_sclk_grp0_en          106 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_local_cg_dyn_sclk_grp1_en          107 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_local_cg_dyn_sclk_grp1_mems_en     108 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_local_cg_dyn_sclk_grp4_en          109 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_local_cg_dyn_sclk_grp5_en          110 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_xnack                              111 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_112                       112 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_113                       113 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_114                       114 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_first_xnack                        115 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_116                       116 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_117                       117 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_118                       118 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_119                       119 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_120                       120 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_121                       121 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_122                       122 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_123                       123 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_124                       124 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_125                       125 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_126                       126 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_127                       127 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_in_busy                            128 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_in_fifos_busy                      129 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_in_cfifo_busy                      130 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_in_qfifo_busy                      131 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_in_wfifo_busy                      132 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_in_rfifo_busy                      133 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_bf_busy                            134 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_ns_busy                            135 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_smp_busy_ns_idle                   136 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_smp_idle_ns_busy                   137 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_138                       138 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_139                       139 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_140                       140 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_141                       141 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_142                       142 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_143                       143 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_vmemcmd_cycles                     144 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_vmemreq_cycles                     145 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_in_waiting_on_req_cycles           146 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_in_waiting_on_cmd_cycles           147 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_in_waiting_on_any_cycles           148 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_149                       149 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_in_addr_cycles                     150 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_in_data_cycles                     151 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_addr_stalled_by_xnack_cycles       152 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_153                       153 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_154                       154 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_155                       155 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_156                       156 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_157                       157 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_158                       158 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_159                       159 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_point_sampled_quads                160 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_161                       161 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_162                       162 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_163                       163 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_164                       164 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_165                       165 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_166                       166 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_167                       167 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_168                       168 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_169                       169 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_170                       170 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_171                       171 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_172                       172 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_173                       173 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_174                       174 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_175                       175 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_176                       176 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_177                       177 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_178                       178 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_179                       179 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_180                       180 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_181                       181 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_182                       182 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_183                       183 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_184                       184 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_185                       185 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_186                       186 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_187                       187 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_188                       188 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_189                       189 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_190                       190 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_191                       191 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_192                       192 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_193                       193 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_194                       194 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_195                       195 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_196                       196 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_197                       197 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_198                       198 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_199                       199 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_200                       200 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_201                       201 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_202                       202 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_203                       203 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_204                       204 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_205                       205 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_206                       206 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_207                       207 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_208                       208 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_209                       209 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_210                       210 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_211                       211 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_212                       212 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_213                       213 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_214                       214 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_215                       215 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_216                       216 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_217                       217 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_218                       218 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_219                       219 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_220                       220 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_221                       221 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_222                       222 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_RESERVED_223                       223 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_sample_path_cycles                 224 /* <= gfx9 */
#define     V_036C00_TA_PERF_SEL_nosample_path_cycles               225 /* <= gfx9 */
#define   S_036C00_PERF_SEL1(x)                                       (((unsigned)(x) & 0xFF) << 10)
#define   G_036C00_PERF_SEL1(x)                                       (((x) >> 10) & 0xFF)
#define   C_036C00_PERF_SEL1                                          0xFFFC03FF
#define   S_036C00_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036C00_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036C00_CNTR_MODE                                          0xFF0FFFFF
#define   S_036C00_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036C00_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036C00_PERF_MODE1                                         0xF0FFFFFF
#define   S_036C00_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036C00_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036C00_PERF_MODE                                          0x0FFFFFFF
#define R_036C04_TD_PERFCOUNTER0_SELECT1                                0x036C04
#define   S_036C04_PERF_SEL2(x)                                       (((unsigned)(x) & 0xFF) << 0)
#define   G_036C04_PERF_SEL2(x)                                       (((x) >> 0) & 0xFF)
#define   C_036C04_PERF_SEL2                                          0xFFFFFF00
#define     V_036C04_TA_PERF_SEL_NULL                               0 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_none                               0 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_1                         1 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_td_busy                            1 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_2                         2 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_input_busy                         2 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_3                         3 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_sampler_lerp_busy                  3 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_4                         4 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_sampler_out_busy                   4 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_5                         5 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_nofilter_busy                      5 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_6                         6 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_sampler_sclk_on_nofilter_sclk_off  6 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_gradient_busy                      7 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_nofilter_sclk_on_sampler_sclk_off  7 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_gradient_fifo_busy                 8 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_core_state_ram_max_cnt             8 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_lod_busy                           9 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_core_state_rams_read               9 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_lod_fifo_busy                      10 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_weight_data_rams_read              10 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_addresser_busy                     11 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_reference_data_rams_read           11 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_addresser_fifo_busy                12 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_tc_td_ram_fifo_full                12 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_aligner_busy                       13 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_tc_td_ram_fifo_max_cnt             13 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_write_path_busy                    14 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_tc_td_data_fifo_full               14 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_ta_busy                            15 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_input_state_fifo_full              15 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_16                        16 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_ta_data_stall                      16 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_17                        17 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_tc_data_stall                      17 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_18                        18 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_tc_ram_stall                       18 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_19                        19 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_lds_stall                          19 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_20                        20 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_sampler_pkr_full                   20 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_21                        21 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_nofilter_pkr_full                  21 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_22                        22 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_gather4_wavefront                  22 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_23                        23 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_gather4h_wavefront                 23 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_24                        24 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_gather4h_packed_wavefront          24 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_25                        25 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_gather8h_packed_wavefront          25 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_26                        26 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_sample_c_wavefront                 26 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_27                        27 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_load_wavefront                     27 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_28                        28 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_ldfptr_wavefront                   28 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_29                        29 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_RESERVED_29                        29 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_30                        30 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_write_ack_wavefront                30 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_31                        31 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_d16_en_wavefront                   31 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_total_wavefronts                   32 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_bypassLerp_wavefront               32 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_gradient_cycles                    33 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_min_max_filter_wavefront           33 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_walker_cycles                      34 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_one_comp_wavefront                 34 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_aligner_cycles                     35 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_two_comp_wavefront                 35 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_image_wavefronts                   36 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_three_comp_wavefront               36 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_image_read_wavefronts              37 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_four_comp_wavefront                37 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_image_write_wavefronts             38 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_user_defined_border                38 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_image_atomic_wavefronts            39 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_white_border                       39 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_image_sampler_total_cycles         40 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_opaque_black_border                40 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_image_nosampler_total_cycles       41 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_lod_warn_from_ta                   41 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_flat_total_cycles                  42 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_wavefront_dest_is_lds              42 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_43                        43 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_td_cycling_of_nofilter_instr       43 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_buffer_wavefronts                  44 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_tc_cycling_of_nofilter_instr       44 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_buffer_read_wavefronts             45 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_out_of_order_instr                 45 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_buffer_write_wavefronts            46 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_total_num_instr                    46 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_buffer_atomic_wavefronts           47 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_mixmode_instruction                47 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_48                        48 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_mixmode_resource                   48 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_buffer_total_cycles                49 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_status_packet                      49 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_50                        50 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_address_cmd_poison                 50 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_51                        51 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_data_poison                        51 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_52                        52 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_done_scoreboard_max_stored_cnt     52 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_53                        53 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_done_scoreboard_max_waiting_cnt    53 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_addr_stalled_by_tc_cycles          54 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_done_scoreboard_not_empty          54 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_addr_stalled_by_td_cycles          55 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_done_scoreboard_is_full            55 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_RESERVED_56                        56 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_done_scoreboard_bp_due_to_ooo      56 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_addresser_stalled_by_aligner_only_cycles 57 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_done_scoreboard_bp_due_to_lds      57 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_addresser_stalled_cycles           58 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_nofilter_formatters_turned_on      58 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_aniso_stalled_by_addresser_only_cycles 59 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_nofilter_popcount_dmask_gt_num_comp_of_fmt 59 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_aniso_stalled_cycles               60 /* <= gfx9 */
#define     V_036C04_TD_PERF_SEL_nofilter_popcount_dmask_lt_num_comp_of_fmt 60 /* >= gfx10 */
#define     V_036C04_TA_PERF_SEL_deriv_stalled_by_aniso_only_cycles 61 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_deriv_stalled_cycles               62 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_aniso_gt1_cycle_quads              63 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_color_1_cycle_pixels               64 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_color_2_cycle_pixels               65 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_color_3_cycle_pixels               66 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_67                        67 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mip_1_cycle_pixels                 68 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mip_2_cycle_pixels                 69 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_vol_1_cycle_pixels                 70 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_vol_2_cycle_pixels                 71 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_bilin_point_1_cycle_pixels         72 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_lod_0_samples               73 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_lod_1_samples               74 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_lod_2_samples               75 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_lod_3_samples               76 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_lod_4_samples               77 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_lod_5_samples               78 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_lod_6_samples               79 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_lod_7_samples               80 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_lod_8_samples               81 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_lod_9_samples               82 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_lod_10_samples              83 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_lod_11_samples              84 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_lod_12_samples              85 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_lod_13_samples              86 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_lod_14_samples              87 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_mipmap_invalid_samples             88 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_aniso_1_cycle_quads                89 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_aniso_2_cycle_quads                90 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_aniso_4_cycle_quads                91 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_aniso_6_cycle_quads                92 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_aniso_8_cycle_quads                93 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_aniso_10_cycle_quads               94 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_aniso_12_cycle_quads               95 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_aniso_14_cycle_quads               96 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_aniso_16_cycle_quads               97 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_write_path_input_cycles            98 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_write_path_output_cycles           99 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_flat_wavefronts                    100 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_flat_read_wavefronts               101 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_flat_write_wavefronts              102 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_flat_atomic_wavefronts             103 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_104                       104 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_reg_sclk_vld                       105 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_local_cg_dyn_sclk_grp0_en          106 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_local_cg_dyn_sclk_grp1_en          107 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_local_cg_dyn_sclk_grp1_mems_en     108 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_local_cg_dyn_sclk_grp4_en          109 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_local_cg_dyn_sclk_grp5_en          110 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_xnack                              111 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_112                       112 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_113                       113 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_114                       114 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_first_xnack                        115 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_116                       116 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_117                       117 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_118                       118 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_119                       119 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_120                       120 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_121                       121 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_122                       122 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_123                       123 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_124                       124 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_125                       125 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_126                       126 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_127                       127 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_in_busy                            128 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_in_fifos_busy                      129 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_in_cfifo_busy                      130 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_in_qfifo_busy                      131 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_in_wfifo_busy                      132 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_in_rfifo_busy                      133 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_bf_busy                            134 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_ns_busy                            135 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_smp_busy_ns_idle                   136 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_smp_idle_ns_busy                   137 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_138                       138 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_139                       139 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_140                       140 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_141                       141 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_142                       142 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_143                       143 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_vmemcmd_cycles                     144 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_vmemreq_cycles                     145 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_in_waiting_on_req_cycles           146 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_in_waiting_on_cmd_cycles           147 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_in_waiting_on_any_cycles           148 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_149                       149 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_in_addr_cycles                     150 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_in_data_cycles                     151 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_addr_stalled_by_xnack_cycles       152 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_153                       153 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_154                       154 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_155                       155 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_156                       156 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_157                       157 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_158                       158 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_159                       159 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_point_sampled_quads                160 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_161                       161 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_162                       162 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_163                       163 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_164                       164 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_165                       165 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_166                       166 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_167                       167 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_168                       168 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_169                       169 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_170                       170 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_171                       171 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_172                       172 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_173                       173 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_174                       174 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_175                       175 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_176                       176 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_177                       177 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_178                       178 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_179                       179 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_180                       180 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_181                       181 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_182                       182 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_183                       183 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_184                       184 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_185                       185 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_186                       186 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_187                       187 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_188                       188 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_189                       189 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_190                       190 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_191                       191 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_192                       192 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_193                       193 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_194                       194 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_195                       195 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_196                       196 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_197                       197 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_198                       198 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_199                       199 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_200                       200 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_201                       201 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_202                       202 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_203                       203 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_204                       204 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_205                       205 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_206                       206 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_207                       207 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_208                       208 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_209                       209 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_210                       210 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_211                       211 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_212                       212 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_213                       213 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_214                       214 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_215                       215 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_216                       216 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_217                       217 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_218                       218 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_219                       219 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_220                       220 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_221                       221 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_222                       222 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_RESERVED_223                       223 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_sample_path_cycles                 224 /* <= gfx9 */
#define     V_036C04_TA_PERF_SEL_nosample_path_cycles               225 /* <= gfx9 */
#define   S_036C04_PERF_SEL3(x)                                       (((unsigned)(x) & 0xFF) << 10)
#define   G_036C04_PERF_SEL3(x)                                       (((x) >> 10) & 0xFF)
#define   C_036C04_PERF_SEL3                                          0xFFFC03FF
#define   S_036C04_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036C04_PERF_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_036C04_PERF_MODE3                                         0xF0FFFFFF
#define   S_036C04_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_036C04_PERF_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_036C04_PERF_MODE2                                         0x0FFFFFFF
#define R_036C08_TD_PERFCOUNTER1_SELECT                                 0x036C08
#define   S_036C08_PERF_SEL(x)                                        (((unsigned)(x) & 0xFF) << 0) /* >= gfx10 */
#define   G_036C08_PERF_SEL(x)                                        (((x) >> 0) & 0xFF)
#define   C_036C08_PERF_SEL                                           0xFFFFFF00
#define     V_036C08_TD_PERF_SEL_none                               0
#define     V_036C08_TD_PERF_SEL_td_busy                            1
#define     V_036C08_TD_PERF_SEL_input_busy                         2
#define     V_036C08_TD_PERF_SEL_sampler_lerp_busy                  3
#define     V_036C08_TD_PERF_SEL_sampler_out_busy                   4
#define     V_036C08_TD_PERF_SEL_nofilter_busy                      5
#define     V_036C08_TD_PERF_SEL_sampler_sclk_on_nofilter_sclk_off  6
#define     V_036C08_TD_PERF_SEL_nofilter_sclk_on_sampler_sclk_off  7
#define     V_036C08_TD_PERF_SEL_core_state_ram_max_cnt             8
#define     V_036C08_TD_PERF_SEL_core_state_rams_read               9
#define     V_036C08_TD_PERF_SEL_weight_data_rams_read              10
#define     V_036C08_TD_PERF_SEL_reference_data_rams_read           11
#define     V_036C08_TD_PERF_SEL_tc_td_ram_fifo_full                12
#define     V_036C08_TD_PERF_SEL_tc_td_ram_fifo_max_cnt             13
#define     V_036C08_TD_PERF_SEL_tc_td_data_fifo_full               14
#define     V_036C08_TD_PERF_SEL_input_state_fifo_full              15
#define     V_036C08_TD_PERF_SEL_ta_data_stall                      16
#define     V_036C08_TD_PERF_SEL_tc_data_stall                      17
#define     V_036C08_TD_PERF_SEL_tc_ram_stall                       18
#define     V_036C08_TD_PERF_SEL_lds_stall                          19
#define     V_036C08_TD_PERF_SEL_sampler_pkr_full                   20
#define     V_036C08_TD_PERF_SEL_nofilter_pkr_full                  21
#define     V_036C08_TD_PERF_SEL_gather4_wavefront                  22
#define     V_036C08_TD_PERF_SEL_gather4h_wavefront                 23
#define     V_036C08_TD_PERF_SEL_gather4h_packed_wavefront          24
#define     V_036C08_TD_PERF_SEL_gather8h_packed_wavefront          25
#define     V_036C08_TD_PERF_SEL_sample_c_wavefront                 26
#define     V_036C08_TD_PERF_SEL_load_wavefront                     27
#define     V_036C08_TD_PERF_SEL_ldfptr_wavefront                   28
#define     V_036C08_TD_PERF_SEL_RESERVED_29                        29
#define     V_036C08_TD_PERF_SEL_write_ack_wavefront                30
#define     V_036C08_TD_PERF_SEL_d16_en_wavefront                   31
#define     V_036C08_TD_PERF_SEL_bypassLerp_wavefront               32
#define     V_036C08_TD_PERF_SEL_min_max_filter_wavefront           33
#define     V_036C08_TD_PERF_SEL_one_comp_wavefront                 34
#define     V_036C08_TD_PERF_SEL_two_comp_wavefront                 35
#define     V_036C08_TD_PERF_SEL_three_comp_wavefront               36
#define     V_036C08_TD_PERF_SEL_four_comp_wavefront                37
#define     V_036C08_TD_PERF_SEL_user_defined_border                38
#define     V_036C08_TD_PERF_SEL_white_border                       39
#define     V_036C08_TD_PERF_SEL_opaque_black_border                40
#define     V_036C08_TD_PERF_SEL_lod_warn_from_ta                   41
#define     V_036C08_TD_PERF_SEL_wavefront_dest_is_lds              42
#define     V_036C08_TD_PERF_SEL_td_cycling_of_nofilter_instr       43
#define     V_036C08_TD_PERF_SEL_tc_cycling_of_nofilter_instr       44
#define     V_036C08_TD_PERF_SEL_out_of_order_instr                 45
#define     V_036C08_TD_PERF_SEL_total_num_instr                    46
#define     V_036C08_TD_PERF_SEL_mixmode_instruction                47
#define     V_036C08_TD_PERF_SEL_mixmode_resource                   48
#define     V_036C08_TD_PERF_SEL_status_packet                      49
#define     V_036C08_TD_PERF_SEL_address_cmd_poison                 50
#define     V_036C08_TD_PERF_SEL_data_poison                        51
#define     V_036C08_TD_PERF_SEL_done_scoreboard_max_stored_cnt     52
#define     V_036C08_TD_PERF_SEL_done_scoreboard_max_waiting_cnt    53
#define     V_036C08_TD_PERF_SEL_done_scoreboard_not_empty          54
#define     V_036C08_TD_PERF_SEL_done_scoreboard_is_full            55
#define     V_036C08_TD_PERF_SEL_done_scoreboard_bp_due_to_ooo      56
#define     V_036C08_TD_PERF_SEL_done_scoreboard_bp_due_to_lds      57
#define     V_036C08_TD_PERF_SEL_nofilter_formatters_turned_on      58
#define     V_036C08_TD_PERF_SEL_nofilter_popcount_dmask_gt_num_comp_of_fmt 59
#define     V_036C08_TD_PERF_SEL_nofilter_popcount_dmask_lt_num_comp_of_fmt 60
#define   S_036C08_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20) /* >= gfx10 */
#define   G_036C08_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036C08_CNTR_MODE                                          0xFF0FFFFF
#define   S_036C08_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28) /* >= gfx10 */
#define   G_036C08_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036C08_PERF_MODE                                          0x0FFFFFFF
#define R_036D00_TCP_PERFCOUNTER0_SELECT                                0x036D00
#define   S_036D00_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036D00_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036D00_PERF_SEL                                           0xFFFFFC00
#define     V_036D00_CHA_PERF_SEL_BUSY                              0 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_GATE_EN1                          0 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_STALL_CHC0                        1 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_GATE_EN2                          1 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_STALL_CHC1                        2 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_TA_REQ                            2 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_STALL_CHC2                        3 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_TA_REQ_STATE_READ                 3 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_STALL_CHC3                        4 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_TA_REQ_READ                       4 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_STALL_CHC4                        5 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_TA_REQ_WRITE                      5 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_STALL_CHC5                        6 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_TA_REQ_ATOMIC_WITH_RET            6 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_REQUEST_CHC0                      7 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_TA_REQ_ATOMIC_WITHOUT_RET         7 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_REQUEST_CHC1                      8 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_TA_REQ_GL0_INV                    8 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_REQUEST_CHC2                      9 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ                               9 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_REQUEST_CHC3                      10 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_READ                          10 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_REQUEST_CHC4                      11 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_READ_HIT_EVICT                11 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_MEM_32B_WDS_CHC0                  12 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_READ_HIT_LRU                  12 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_MEM_32B_WDS_CHC1                  13 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_READ_MISS_EVICT               13 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_MEM_32B_WDS_CHC2                  14 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_WRITE                         14 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_MEM_32B_WDS_CHC3                  15 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_WRITE_MISS_EVICT              15 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_MEM_32B_WDS_CHC4                  16 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_WRITE_MISS_LRU                16 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_IO_32B_WDS_CHC0                   17 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_NON_READ                      17 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_IO_32B_WDS_CHC1                   18 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_MISS                          18 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_IO_32B_WDS_CHC2                   19 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_TAGBANK0                      19 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_IO_32B_WDS_CHC3                   20 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_TAGBANK1                      20 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_IO_32B_WDS_CHC4                   21 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_TAGBANK2                      21 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_MEM_BURST_COUNT_CHC0              22 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_TAGBANK3                      22 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_MEM_BURST_COUNT_CHC1              23 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_MISS_TAGBANK0                 23 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_MEM_BURST_COUNT_CHC2              24 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_MISS_TAGBANK1                 24 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_MEM_BURST_COUNT_CHC3              25 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_MISS_TAGBANK2                 25 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_MEM_BURST_COUNT_CHC4              26 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_REQ_MISS_TAGBANK3                 26 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_IO_BURST_COUNT_CHC0               27 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_GL1_REQ_READ                      27 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_IO_BURST_COUNT_CHC1               28 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_GL1_REQ_READ_128B                 28 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_IO_BURST_COUNT_CHC2               29 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_GL1_REQ_READ_64B                  29 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_IO_BURST_COUNT_CHC3               30 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_GL1_REQ_WRITE                     30 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_IO_BURST_COUNT_CHC4               31 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_GL1_REQ_ATOMIC_WITH_RET           31 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_ARB_REQUESTS                      32 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_GL1_REQ_ATOMIC_WITHOUT_RET        32 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC0                33 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_GL1_READ_LATENCY                  33 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC1                34 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_GL1_WRITE_LATENCY                 34 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC2                35 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_TCP_LATENCY                       35 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC3                36 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_TCP_TA_REQ_STALL                  36 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC4                37 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_TA_TCP_REQ_STARVE                 37 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_REQ_INFLIGHT_LEVEL                38 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_TA_TCP_XNACK_STALL                38 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC0           39 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_DATA_FIFO_STALL                   39 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC1           40 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_LOD_STALL                         40 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC2           41 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_POWER_STALL                       41 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC3           42 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_ALLOC_STALL                       42 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC4           43 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_UNORDERED_MTYPE_STALL             43 /* >= gfx10 */
#define     V_036D00_CHA_PERF_SEL_CYCLE                             44 /* <= gfx9 */
#define     V_036D00_TCP_PERF_SEL_READ_TAGCONFLICT_STALL            44 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_WRITE_TAGCONFLICT_STALL           45 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_ATOMIC_TAGCONFLICT_STALL          46 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_LFIFO_STALL                       47 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_MEM_REQ_FIFO_STALL                48 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_GL1_TCP_STALL                     49 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_TCP_GL1_STARVE                    50 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_GL1_TCP_RDRET_STALL               51 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_GL1_GRANT_READ_STALL              52 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_GL1_PENDING_STALL                 53 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_OFIFO_INCOMPLETE_STALL            54 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_OFIFO_AGE_ORDER_STALL             55 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_TD_DATA_CYCLE_STALL               56 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_COMP_TEX_LOAD_STALL               57 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_READ_DATACONFLICT_STALL           58 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_WRITE_DATACONFLICT_STALL          59 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_TD_TCP_STALL                      60 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_UTCL0_REQUEST                     61 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_UTCL0_TRANSLATION_MISS            62 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_UTCL0_TRANSLATION_HIT             63 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_UTCL0_PERMISSION_MISS             64 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_UTCL0_SERIALIZATION_STALL         65 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_UTCL0_STALL_INFLIGHT_MAX          66 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_UTCL0_STALL_LRU_INFLIGHT          67 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_UTCL0_STALL_MULTI_MISS            68 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_UTCL0_STALL_LFIFO_FULL            69 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_UTCL0_STALL_MISSFIFO_FULL         70 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_UTCL0_STALL_LFIFO_NOT_RES         71 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_UTCL0_STALL_UTCL1_REQ_OUT_OF_CREDITS 72 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_CLIENT_UTCL0_INFLIGHT             73 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_UTCL0_UTCL1_INFLIGHT              74 /* >= gfx10 */
#define     V_036D00_TCP_PERF_SEL_UTCL0_UTCL1_PERM_FAULT            75 /* >= gfx10 */
#define   S_036D00_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036D00_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036D00_PERF_SEL1                                          0xFFF003FF
#define   S_036D00_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036D00_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036D00_CNTR_MODE                                          0xFF0FFFFF
#define   S_036D00_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036D00_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036D00_PERF_MODE1                                         0xF0FFFFFF
#define   S_036D00_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036D00_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036D00_PERF_MODE                                          0x0FFFFFFF
#define R_036D04_TCP_PERFCOUNTER0_SELECT1                               0x036D04
#define   S_036D04_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_036D04_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036D04_PERF_SEL2                                          0xFFFFFC00
#define     V_036D04_DB_PERF_SEL_SC_DB_tile_sends                   0 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_GATE_EN1                          0 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SC_DB_tile_busy                    1 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_GATE_EN2                          1 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SC_DB_tile_stalls                  2 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_TA_REQ                            2 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SC_DB_tile_events                  3 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_TA_REQ_STATE_READ                 3 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SC_DB_tile_tiles                   4 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_TA_REQ_READ                       4 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SC_DB_tile_covered                 5 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_TA_REQ_WRITE                      5 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_hiz_tc_read_starved                6 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_TA_REQ_ATOMIC_WITH_RET            6 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_hiz_tc_write_stall                 7 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_TA_REQ_ATOMIC_WITHOUT_RET         7 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_hiz_tile_culled                    8 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_TA_REQ_GL0_INV                    8 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_his_tile_culled                    9 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ                               9 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_tile_sends                   10 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_READ                          10 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_tile_busy                    11 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_READ_HIT_EVICT                11 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_tile_stalls                  12 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_READ_HIT_LRU                  12 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_tile_df_stalls               13 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_READ_MISS_EVICT               13 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_tile_tiles                   14 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_WRITE                         14 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_tile_culled                  15 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_WRITE_MISS_EVICT              15 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_tile_hier_kill               16 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_WRITE_MISS_LRU                16 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_tile_fast_ops                17 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_NON_READ                      17 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_tile_no_ops                  18 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_MISS                          18 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_tile_tile_rate               19 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_TAGBANK0                      19 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_tile_ssaa_kill               20 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_TAGBANK1                      20 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_tile_fast_z_ops              21 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_TAGBANK2                      21 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_tile_fast_stencil_ops        22 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_TAGBANK3                      22 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SC_DB_quad_sends                   23 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_MISS_TAGBANK0                 23 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SC_DB_quad_busy                    24 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_MISS_TAGBANK1                 24 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SC_DB_quad_squads                  25 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_MISS_TAGBANK2                 25 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SC_DB_quad_tiles                   26 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_REQ_MISS_TAGBANK3                 26 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SC_DB_quad_pixels                  27 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_GL1_REQ_READ                      27 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SC_DB_quad_killed_tiles            28 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_GL1_REQ_READ_128B                 28 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_quad_sends                   29 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_GL1_REQ_READ_64B                  29 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_quad_busy                    30 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_GL1_REQ_WRITE                     30 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_quad_stalls                  31 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_GL1_REQ_ATOMIC_WITH_RET           31 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_quad_tiles                   32 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_GL1_REQ_ATOMIC_WITHOUT_RET        32 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_SC_quad_lit_quad                33 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_GL1_READ_LATENCY                  33 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_CB_tile_sends                   34 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_GL1_WRITE_LATENCY                 34 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_CB_tile_busy                    35 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_TCP_LATENCY                       35 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_CB_tile_stalls                  36 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_TCP_TA_REQ_STALL                  36 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SX_DB_quad_sends                   37 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_TA_TCP_REQ_STARVE                 37 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SX_DB_quad_busy                    38 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_TA_TCP_XNACK_STALL                38 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SX_DB_quad_stalls                  39 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_DATA_FIFO_STALL                   39 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SX_DB_quad_quads                   40 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_LOD_STALL                         40 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SX_DB_quad_pixels                  41 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_POWER_STALL                       41 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SX_DB_quad_exports                 42 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_ALLOC_STALL                       42 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_SH_quads_outstanding_sum           43 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_UNORDERED_MTYPE_STALL             43 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_CB_lquad_sends                  44 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_READ_TAGCONFLICT_STALL            44 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_CB_lquad_busy                   45 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_WRITE_TAGCONFLICT_STALL           45 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_CB_lquad_stalls                 46 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_ATOMIC_TAGCONFLICT_STALL          46 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_DB_CB_lquad_quads                  47 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_LFIFO_STALL                       47 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_tile_rd_sends                      48 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_MEM_REQ_FIFO_STALL                48 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_mi_tile_rd_outstanding_sum         49 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_GL1_TCP_STALL                     49 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_quad_rd_sends                      50 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_TCP_GL1_STARVE                    50 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_quad_rd_busy                       51 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_GL1_TCP_RDRET_STALL               51 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_quad_rd_mi_stall                   52 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_GL1_GRANT_READ_STALL              52 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_quad_rd_rw_collision               53 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_GL1_PENDING_STALL                 53 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_quad_rd_tag_stall                  54 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_OFIFO_INCOMPLETE_STALL            54 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_quad_rd_32byte_reqs                55 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_OFIFO_AGE_ORDER_STALL             55 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_quad_rd_panic                      56 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_TD_DATA_CYCLE_STALL               56 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_mi_quad_rd_outstanding_sum         57 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_COMP_TEX_LOAD_STALL               57 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_quad_rdret_sends                   58 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_READ_DATACONFLICT_STALL           58 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_quad_rdret_busy                    59 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_WRITE_DATACONFLICT_STALL          59 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_tile_wr_sends                      60 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_TD_TCP_STALL                      60 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_tile_wr_acks                       61 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_UTCL0_REQUEST                     61 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_mi_tile_wr_outstanding_sum         62 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_UTCL0_TRANSLATION_MISS            62 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_quad_wr_sends                      63 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_UTCL0_TRANSLATION_HIT             63 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_quad_wr_busy                       64 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_UTCL0_PERMISSION_MISS             64 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_quad_wr_mi_stall                   65 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_UTCL0_SERIALIZATION_STALL         65 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_quad_wr_coherency_stall            66 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_UTCL0_STALL_INFLIGHT_MAX          66 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_quad_wr_acks                       67 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_UTCL0_STALL_LRU_INFLIGHT          67 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_mi_quad_wr_outstanding_sum         68 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_UTCL0_STALL_MULTI_MISS            68 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_Tile_Cache_misses                  69 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_UTCL0_STALL_LFIFO_FULL            69 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_Tile_Cache_hits                    70 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_UTCL0_STALL_MISSFIFO_FULL         70 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_Tile_Cache_flushes                 71 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_UTCL0_STALL_LFIFO_NOT_RES         71 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_Tile_Cache_surface_stall           72 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_UTCL0_STALL_UTCL1_REQ_OUT_OF_CREDITS 72 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_Tile_Cache_starves                 73 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_CLIENT_UTCL0_INFLIGHT             73 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_Tile_Cache_mem_return_starve       74 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_UTCL0_UTCL1_INFLIGHT              74 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_tcp_dispatcher_reads               75 /* <= gfx9 */
#define     V_036D04_TCP_PERF_SEL_UTCL0_UTCL1_PERM_FAULT            75 /* >= gfx10 */
#define     V_036D04_DB_PERF_SEL_tcp_prefetcher_reads               76 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tcp_preloader_reads                77 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tcp_dispatcher_flushes             78 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tcp_prefetcher_flushes             79 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tcp_preloader_flushes              80 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Depth_Tile_Cache_sends             81 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Depth_Tile_Cache_busy              82 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Depth_Tile_Cache_starves           83 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Depth_Tile_Cache_dtile_locked      84 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Depth_Tile_Cache_alloc_stall       85 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Depth_Tile_Cache_misses            86 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Depth_Tile_Cache_hits              87 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Depth_Tile_Cache_flushes           88 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Depth_Tile_Cache_noop_tile         89 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Depth_Tile_Cache_detailed_noop     90 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Depth_Tile_Cache_event             91 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Depth_Tile_Cache_tile_frees        92 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Depth_Tile_Cache_data_frees        93 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Depth_Tile_Cache_mem_return_starve 94 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Stencil_Cache_misses               95 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Stencil_Cache_hits                 96 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Stencil_Cache_flushes              97 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Stencil_Cache_starves              98 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Stencil_Cache_frees                99 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Z_Cache_separate_Z_misses          100 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Z_Cache_separate_Z_hits            101 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Z_Cache_separate_Z_flushes         102 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Z_Cache_separate_Z_starves         103 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Z_Cache_pmask_misses               104 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Z_Cache_pmask_hits                 105 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Z_Cache_pmask_flushes              106 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Z_Cache_pmask_starves              107 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Z_Cache_frees                      108 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Plane_Cache_misses                 109 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Plane_Cache_hits                   110 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Plane_Cache_flushes                111 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Plane_Cache_starves                112 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Plane_Cache_frees                  113 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_expanded_stencil             114 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_compressed_stencil           115 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_single_stencil               116 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_planes_flushed                     117 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_1plane                       118 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_2plane                       119 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_3plane                       120 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_4plane                       121 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_5plane                       122 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_6plane                       123 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_7plane                       124 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_8plane                       125 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_9plane                       126 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_10plane                      127 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_11plane                      128 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_12plane                      129 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_13plane                      130 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_14plane                      131 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_15plane                      132 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_16plane                      133 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_expanded_z                   134 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_earlyZ_waiting_for_postZ_done      135 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_reZ_waiting_for_postZ_done         136 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_dk_tile_sends                      137 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_dk_tile_busy                       138 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_dk_tile_quad_starves               139 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_dk_tile_stalls                     140 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_dk_squad_sends                     141 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_dk_squad_busy                      142 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_dk_squad_stalls                    143 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Op_Pipe_Busy                       144 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Op_Pipe_MC_Read_stall              145 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_qc_busy                            146 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_qc_xfc                             147 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_qc_conflicts                       148 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_qc_full_stall                      149 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_qc_in_preZ_tile_stalls_postZ       150 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_qc_in_postZ_tile_stalls_preZ       151 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tsc_insert_summarize_stall         152 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_busy                            153 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_dtc_read_starved                154 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_z_fetch_stall                   155 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_stencil_stall                   156 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_z_decompress_stall              157 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_stencil_locked_stall            158 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_events                          159 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_summarize_squads                160 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_flush_expand_squads             161 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_expand_squads                   162 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_preZ_squads                     163 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_postZ_squads                    164 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_preZ_noop_squads                165 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_postZ_noop_squads               166 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_tile_ops                        167 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_in_xfc                          168 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_in_single_stencil_expand_stall  169 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_in_fast_z_stall                 170 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_out_xfc                         171 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tl_out_squads                      172 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_zf_plane_multicycle                173 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_PostZ_Samples_passing_Z            174 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_PostZ_Samples_failing_Z            175 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_PostZ_Samples_failing_S            176 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_PreZ_Samples_passing_Z             177 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_PreZ_Samples_failing_Z             178 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_PreZ_Samples_failing_S             179 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_ts_tc_update_stall                 180 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_sc_kick_start                      181 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_sc_kick_end                        182 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_clock_reg_active                   183 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_clock_main_active                  184 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_clock_mem_export_active            185 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_ps_out_busy                    186 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_ps_lqf_busy                    187 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_ps_lqf_stall                   188 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_etr_out_send                       189 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_etr_out_busy                       190 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_etr_out_ltile_probe_fifo_full_stall 191 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_etr_out_cb_tile_stall              192 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_etr_out_esr_stall                  193 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_ps_sqq_busy                    194 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_ps_sqq_stall                   195 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_eot_fwd_busy                   196 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_eot_fwd_holding_squad          197 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_eot_fwd_forward                198 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_sqq_zi_busy                    199 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_sqq_zi_stall                   200 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_sq_pt_busy                  201 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_sq_pt_stall                 202 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_se_busy                     203 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_se_stall                    204 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_partial_launch              205 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_full_launch                 206 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_partial_waiting             207 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_tile_mem_stall              208 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_tile_init_stall             209 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_prezl_tile_mem_stall               210 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_prezl_tile_init_stall              211 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_dtt_sm_clash_stall                 212 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_dtt_sm_slot_stall                  213 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_dtt_sm_miss_stall                  214 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_mi_rdreq_busy                      215 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_mi_rdreq_stall                     216 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_mi_wrreq_busy                      217 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_mi_wrreq_stall                     218 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_recomp_tile_to_1zplane_no_fastop   219 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_dkg_tile_rate_tile                 220 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_prezl_src_in_sends                 221 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_prezl_src_in_stall                 222 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_prezl_src_in_squads                223 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_prezl_src_in_squads_unrolled       224 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_prezl_src_in_tile_rate             225 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_prezl_src_in_tile_rate_unrolled    226 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_prezl_src_out_stall                227 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_src_in_sends                228 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_src_in_stall                229 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_src_in_squads               230 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_src_in_squads_unrolled      231 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_src_in_tile_rate            232 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_src_in_tile_rate_unrolled   233 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_postzl_src_out_stall               234 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_ps_src_in_sends                235 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_ps_src_in_stall                236 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_ps_src_in_squads               237 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_ps_src_in_squads_unrolled      238 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_ps_src_in_tile_rate            239 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled   240 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled_to_pixel_rate 241 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_esr_ps_src_out_stall               242 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_depth_bounds_tile_culled           243 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_PreZ_Samples_failing_DB            244 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_PostZ_Samples_failing_DB           245 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_compressed                   246 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_flush_plane_le4                    247 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tiles_z_fully_summarized           248 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tiles_stencil_fully_summarized     249 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tiles_z_clear_on_expclear          250 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tiles_s_clear_on_expclear          251 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tiles_decomp_on_expclear           252 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_tiles_compressed_to_decompressed   253 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Op_Pipe_Prez_Busy                  254 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_Op_Pipe_Postz_Busy                 255 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_di_dt_stall                        256 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_SC_quad_lit_quad_pre_invoke     257 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_SC_s_tile_rate                  258 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_SC_c_tile_rate                  259 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_SC_z_tile_rate                  260 /* <= gfx9 */
#define     V_036D04_Spare_261                                      261 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_lquad_export_quads           262 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_lquad_double_format          263 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_lquad_fast_format            264 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_lquad_slow_format            265 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_CB_DB_rdreq_sends                  266 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_CB_DB_rdreq_prt_sends              267 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_CB_DB_wrreq_sends                  268 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_CB_DB_wrreq_prt_sends              269 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_rdret_ack                    270 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_rdret_nack                   271 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_wrret_ack                    272 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_wrret_nack                   273 /* <= gfx9 */
#define     V_036D04_Spare_274                                      274 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Stall_opmode_change           275 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Stall_cam_fifo                276 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Stall_bypass_fifo             277 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Stall_retained_tile_fifo      278 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Stall_control_fifo            279 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Stall_overflow_counter        280 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Stall_pops_stall_overflow     281 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Stall_pops_stall_self_flush   282 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Stall_middle_output           283 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Stall_stalling_general        284 /* <= gfx9 */
#define     V_036D04_Spare_285                                      285 /* <= gfx9 */
#define     V_036D04_Spare_286                                      286 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_prez_killed_squad             287 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_squads_in                     288 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_full_cleared_squads_out       289 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_quads_in                      290 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_fully_cleared_quads_out       291 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_lit_pixels_in                 292 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_fully_cleared_pixels_out      293 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_lit_samples_in                294 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_lit_samples_out               295 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_evicted_tiles_above_watermark 296 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_cant_accept_squads_but_not_stalled_by_downstream 297 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_stalled_by_downstream         298 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_evicted_squads_above_watermark 299 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_collisions_due_to_POPS_overflow 300 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_collisions_detected_within_POPS_FIFO 301 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_evicted_squads_due_to_prim_watermark 302 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_MI_tile_req_wrack_counter_stall    303 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_MI_quad_req_wrack_counter_stall    304 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_MI_zpc_req_wrack_counter_stall     305 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_MI_psd_req_wrack_counter_stall     306 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_unmapped_z_tile_culled             307 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_DB_DATA_TS 308 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_CB_PIXEL_DATA 309 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_tile_is_event_BOTTOM_OF_PIPE_TS 310 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_tile_waiting_for_perfcounter_stop_event 311 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_lquad_fmt_32bpp_8pix         312 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_unsigned_8pix 313 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_signed_8pix  314 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_float_8pix   315 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_lquad_num_pixels_need_blending 316 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_context_dones                317 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_CB_eop_dones                    318 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_SX_DB_quad_all_pixels_killed       319 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_SX_DB_quad_all_pixels_enabled      320 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_SX_DB_quad_need_blending_and_dst_read 321 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_SC_DB_tile_backface                322 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_SC_DB_quad_quads                   323 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_SC_quad_quads_with_1_pixel      324 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_SC_quad_quads_with_2_pixels     325 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_SC_quad_quads_with_3_pixels     326 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_SC_quad_quads_with_4_pixels     327 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Flush_flushabit               328 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Flush_flushabit_camcoord_fifo 329 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Flush_flushabit_passthrough   330 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Flush_flushabit_forceflush    331 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Flush_flushabit_nearlyfull    332 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Flush_flushabit_primitivesinflightwatermark 333 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Flush_flushabit_punch_stalling 334 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Flush_flushabit_retainedtilefifo_watermark 335 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Flush_flushabit_tilesinflightwatermark 336 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Flush_flushall                337 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Flush_flushall_dfsmflush      338 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Flush_flushall_opmodechange   339 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Flush_flushall_sampleratechange 340 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_Flush_flushall_watchdog       341 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DB_SC_quad_double_quad             342 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_SX_DB_quad_export_quads            343 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_SX_DB_quad_double_format           344 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_SX_DB_quad_fast_format             345 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_SX_DB_quad_slow_format             346 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_quad_rd_sends_unc                  347 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_quad_rd_mi_stall_unc               348 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_OutputPunch                   349 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_OutputPops                    350 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_OutputFifo                    351 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_StallOpmodeChange             352 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_StallCAMFifoFull              353 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_StallBypassFifoFull           354 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_StallRetainedTileFifoFull     355 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_StallControlFifoFull          356 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_StallControlCountFull         357 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_StallOverflowMaximum          358 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_StallPopsStallOverflow        359 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_StallPopsStallSelfStall       360 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_StallCamSlotFlush             361 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_StallOutput                   362 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_WatchdogTrigger               363 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_DFSM_StallOnPOPSStall              364 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_SC_DB_tile_tiles_pipe0             365 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_SC_DB_tile_tiles_pipe1             366 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_SC_DB_quad_quads_pipe0             367 /* <= gfx9 */
#define     V_036D04_DB_PERF_SEL_SC_DB_quad_quads_pipe1             368 /* <= gfx9 */
#define   S_036D04_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036D04_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036D04_PERF_SEL3                                          0xFFF003FF
#define   S_036D04_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036D04_PERF_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_036D04_PERF_MODE3                                         0xF0FFFFFF
#define   S_036D04_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_036D04_PERF_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_036D04_PERF_MODE2                                         0x0FFFFFFF
#define R_036D08_TCP_PERFCOUNTER1_SELECT                                0x036D08
#define R_036D0C_TCP_PERFCOUNTER1_SELECT1                               0x036D0C
#define R_036D10_TCP_PERFCOUNTER2_SELECT                                0x036D10
#define   S_036D10_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0) /* >= gfx10 */
#define   G_036D10_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036D10_PERF_SEL                                           0xFFFFFC00
#define     V_036D10_TCP_PERF_SEL_GATE_EN1                          0
#define     V_036D10_TCP_PERF_SEL_GATE_EN2                          1
#define     V_036D10_TCP_PERF_SEL_TA_REQ                            2
#define     V_036D10_TCP_PERF_SEL_TA_REQ_STATE_READ                 3
#define     V_036D10_TCP_PERF_SEL_TA_REQ_READ                       4
#define     V_036D10_TCP_PERF_SEL_TA_REQ_WRITE                      5
#define     V_036D10_TCP_PERF_SEL_TA_REQ_ATOMIC_WITH_RET            6
#define     V_036D10_TCP_PERF_SEL_TA_REQ_ATOMIC_WITHOUT_RET         7
#define     V_036D10_TCP_PERF_SEL_TA_REQ_GL0_INV                    8
#define     V_036D10_TCP_PERF_SEL_REQ                               9
#define     V_036D10_TCP_PERF_SEL_REQ_READ                          10
#define     V_036D10_TCP_PERF_SEL_REQ_READ_HIT_EVICT                11
#define     V_036D10_TCP_PERF_SEL_REQ_READ_HIT_LRU                  12
#define     V_036D10_TCP_PERF_SEL_REQ_READ_MISS_EVICT               13
#define     V_036D10_TCP_PERF_SEL_REQ_WRITE                         14
#define     V_036D10_TCP_PERF_SEL_REQ_WRITE_MISS_EVICT              15
#define     V_036D10_TCP_PERF_SEL_REQ_WRITE_MISS_LRU                16
#define     V_036D10_TCP_PERF_SEL_REQ_NON_READ                      17
#define     V_036D10_TCP_PERF_SEL_REQ_MISS                          18
#define     V_036D10_TCP_PERF_SEL_REQ_TAGBANK0                      19
#define     V_036D10_TCP_PERF_SEL_REQ_TAGBANK1                      20
#define     V_036D10_TCP_PERF_SEL_REQ_TAGBANK2                      21
#define     V_036D10_TCP_PERF_SEL_REQ_TAGBANK3                      22
#define     V_036D10_TCP_PERF_SEL_REQ_MISS_TAGBANK0                 23
#define     V_036D10_TCP_PERF_SEL_REQ_MISS_TAGBANK1                 24
#define     V_036D10_TCP_PERF_SEL_REQ_MISS_TAGBANK2                 25
#define     V_036D10_TCP_PERF_SEL_REQ_MISS_TAGBANK3                 26
#define     V_036D10_TCP_PERF_SEL_GL1_REQ_READ                      27
#define     V_036D10_TCP_PERF_SEL_GL1_REQ_READ_128B                 28
#define     V_036D10_TCP_PERF_SEL_GL1_REQ_READ_64B                  29
#define     V_036D10_TCP_PERF_SEL_GL1_REQ_WRITE                     30
#define     V_036D10_TCP_PERF_SEL_GL1_REQ_ATOMIC_WITH_RET           31
#define     V_036D10_TCP_PERF_SEL_GL1_REQ_ATOMIC_WITHOUT_RET        32
#define     V_036D10_TCP_PERF_SEL_GL1_READ_LATENCY                  33
#define     V_036D10_TCP_PERF_SEL_GL1_WRITE_LATENCY                 34
#define     V_036D10_TCP_PERF_SEL_TCP_LATENCY                       35
#define     V_036D10_TCP_PERF_SEL_TCP_TA_REQ_STALL                  36
#define     V_036D10_TCP_PERF_SEL_TA_TCP_REQ_STARVE                 37
#define     V_036D10_TCP_PERF_SEL_TA_TCP_XNACK_STALL                38
#define     V_036D10_TCP_PERF_SEL_DATA_FIFO_STALL                   39
#define     V_036D10_TCP_PERF_SEL_LOD_STALL                         40
#define     V_036D10_TCP_PERF_SEL_POWER_STALL                       41
#define     V_036D10_TCP_PERF_SEL_ALLOC_STALL                       42
#define     V_036D10_TCP_PERF_SEL_UNORDERED_MTYPE_STALL             43
#define     V_036D10_TCP_PERF_SEL_READ_TAGCONFLICT_STALL            44
#define     V_036D10_TCP_PERF_SEL_WRITE_TAGCONFLICT_STALL           45
#define     V_036D10_TCP_PERF_SEL_ATOMIC_TAGCONFLICT_STALL          46
#define     V_036D10_TCP_PERF_SEL_LFIFO_STALL                       47
#define     V_036D10_TCP_PERF_SEL_MEM_REQ_FIFO_STALL                48
#define     V_036D10_TCP_PERF_SEL_GL1_TCP_STALL                     49
#define     V_036D10_TCP_PERF_SEL_TCP_GL1_STARVE                    50
#define     V_036D10_TCP_PERF_SEL_GL1_TCP_RDRET_STALL               51
#define     V_036D10_TCP_PERF_SEL_GL1_GRANT_READ_STALL              52
#define     V_036D10_TCP_PERF_SEL_GL1_PENDING_STALL                 53
#define     V_036D10_TCP_PERF_SEL_OFIFO_INCOMPLETE_STALL            54
#define     V_036D10_TCP_PERF_SEL_OFIFO_AGE_ORDER_STALL             55
#define     V_036D10_TCP_PERF_SEL_TD_DATA_CYCLE_STALL               56
#define     V_036D10_TCP_PERF_SEL_COMP_TEX_LOAD_STALL               57
#define     V_036D10_TCP_PERF_SEL_READ_DATACONFLICT_STALL           58
#define     V_036D10_TCP_PERF_SEL_WRITE_DATACONFLICT_STALL          59
#define     V_036D10_TCP_PERF_SEL_TD_TCP_STALL                      60
#define     V_036D10_TCP_PERF_SEL_UTCL0_REQUEST                     61
#define     V_036D10_TCP_PERF_SEL_UTCL0_TRANSLATION_MISS            62
#define     V_036D10_TCP_PERF_SEL_UTCL0_TRANSLATION_HIT             63
#define     V_036D10_TCP_PERF_SEL_UTCL0_PERMISSION_MISS             64
#define     V_036D10_TCP_PERF_SEL_UTCL0_SERIALIZATION_STALL         65
#define     V_036D10_TCP_PERF_SEL_UTCL0_STALL_INFLIGHT_MAX          66
#define     V_036D10_TCP_PERF_SEL_UTCL0_STALL_LRU_INFLIGHT          67
#define     V_036D10_TCP_PERF_SEL_UTCL0_STALL_MULTI_MISS            68
#define     V_036D10_TCP_PERF_SEL_UTCL0_STALL_LFIFO_FULL            69
#define     V_036D10_TCP_PERF_SEL_UTCL0_STALL_MISSFIFO_FULL         70
#define     V_036D10_TCP_PERF_SEL_UTCL0_STALL_LFIFO_NOT_RES         71
#define     V_036D10_TCP_PERF_SEL_UTCL0_STALL_UTCL1_REQ_OUT_OF_CREDITS 72
#define     V_036D10_TCP_PERF_SEL_CLIENT_UTCL0_INFLIGHT             73
#define     V_036D10_TCP_PERF_SEL_UTCL0_UTCL1_INFLIGHT              74
#define     V_036D10_TCP_PERF_SEL_UTCL0_UTCL1_PERM_FAULT            75
#define   S_036D10_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20) /* >= gfx10 */
#define   G_036D10_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036D10_CNTR_MODE                                          0xFF0FFFFF
#define   S_036D10_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28) /* >= gfx10 */
#define   G_036D10_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036D10_PERF_MODE                                          0x0FFFFFFF
#define R_036D14_TCP_PERFCOUNTER3_SELECT                                0x036D14
#define R_036E00_GL2C_PERFCOUNTER0_SELECT                               0x036E00 /* >= gfx10 */
#define   S_036E00_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036E00_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036E00_PERF_SEL                                           0xFFFFFC00
#define     V_036E00_CHA_PERF_SEL_BUSY                              0 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_NONE                             0 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_STALL_CHC0                        1 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_CYCLE                            1 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_STALL_CHC1                        2 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_BUSY                             2 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_STALL_CHC2                        3 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_REQ                              3 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_STALL_CHC3                        4 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_VOL_REQ                          4 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_STALL_CHC4                        5 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_HIGH_PRIORITY_REQ                5 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_STALL_CHC5                        6 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_READ                             6 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_REQUEST_CHC0                      7 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_WRITE                            7 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_REQUEST_CHC1                      8 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_ATOMIC                           8 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_REQUEST_CHC2                      9 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_NOP_ACK                          9 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_REQUEST_CHC3                      10 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_NOP_RTN0                         10 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_REQUEST_CHC4                      11 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_PROBE                            11 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_MEM_32B_WDS_CHC0                  12 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_PROBE_ALL                        12 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_MEM_32B_WDS_CHC1                  13 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_INTERNAL_PROBE                   13 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_MEM_32B_WDS_CHC2                  14 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_COMPRESSED_READ_REQ              14 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_MEM_32B_WDS_CHC3                  15 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_METADATA_READ_REQ                15 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_MEM_32B_WDS_CHC4                  16 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_CLIENT0_REQ                      16 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_IO_32B_WDS_CHC0                   17 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_CLIENT1_REQ                      17 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_IO_32B_WDS_CHC1                   18 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_CLIENT2_REQ                      18 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_IO_32B_WDS_CHC2                   19 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_CLIENT3_REQ                      19 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_IO_32B_WDS_CHC3                   20 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_CLIENT4_REQ                      20 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_IO_32B_WDS_CHC4                   21 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_CLIENT5_REQ                      21 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_MEM_BURST_COUNT_CHC0              22 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_CLIENT6_REQ                      22 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_MEM_BURST_COUNT_CHC1              23 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_CLIENT7_REQ                      23 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_MEM_BURST_COUNT_CHC2              24 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_C_RW_S_REQ                       24 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_MEM_BURST_COUNT_CHC3              25 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_C_RW_US_REQ                      25 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_MEM_BURST_COUNT_CHC4              26 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_C_RO_S_REQ                       26 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_IO_BURST_COUNT_CHC0               27 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_C_RO_US_REQ                      27 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_IO_BURST_COUNT_CHC1               28 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_UC_REQ                           28 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_IO_BURST_COUNT_CHC2               29 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_LRU_REQ                          29 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_IO_BURST_COUNT_CHC3               30 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_STREAM_REQ                       30 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_IO_BURST_COUNT_CHC4               31 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_BYPASS_REQ                       31 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_ARB_REQUESTS                      32 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_NOA_REQ                          32 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC0                33 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_SHARED_REQ                       33 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC1                34 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_HIT                              34 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC2                35 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_MISS                             35 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC3                36 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_FULL_HIT                         36 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC4                37 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_PARTIAL_32B_HIT                  37 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_REQ_INFLIGHT_LEVEL                38 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_PARTIAL_64B_HIT                  38 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC0           39 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_PARTIAL_96B_HIT                  39 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC1           40 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_DEWRITE_ALLOCATE_HIT             40 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC2           41 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_FULLY_WRITTEN_HIT                41 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC3           42 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_UNCACHED_WRITE                   42 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC4           43 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_WRITEBACK                        43 /* >= gfx10 */
#define     V_036E00_CHA_PERF_SEL_CYCLE                             44 /* <= gfx9 */
#define     V_036E00_GL2C_PERF_SEL_NORMAL_WRITEBACK                 44 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EVICT                            45 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_NORMAL_EVICT                     46 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_PROBE_EVICT                      47 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_REQ_TO_MISS_QUEUE                48 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_HIT_PASS_MISS_IN_HI_PRIO         49 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_HIT_PASS_MISS_IN_COMP            50 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT0         51 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT1         52 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT2         53 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT3         54 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT4         55 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT5         56 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT6         57 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT7         58 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_READ_32_REQ                      59 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_READ_64_REQ                      60 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_READ_128_REQ                     61 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_WRITE_32_REQ                     62 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_WRITE_64_REQ                     63 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_COMPRESSED_READ_0_REQ            64 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_COMPRESSED_READ_32_REQ           65 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_COMPRESSED_READ_64_REQ           66 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_COMPRESSED_READ_96_REQ           67 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_COMPRESSED_READ_128_REQ          68 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_MC_WRREQ                         69 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_WRREQ_64B                     70 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_WRREQ_PROBE_COMMAND           71 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_WR_UNCACHED_32B               72 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_MC_WRREQ_STALL                   73 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_WRREQ_IO_CREDIT_STALL         74 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_WRREQ_GMI_CREDIT_STALL        75 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_WRREQ_DRAM_CREDIT_STALL       76 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_TOO_MANY_EA_WRREQS_STALL         77 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_MC_WRREQ_LEVEL                   78 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_ATOMIC                        79 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_ATOMIC_LEVEL                  80 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_MC_RDREQ                         81 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_RDREQ_SPLIT                   82 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_RDREQ_32B                     83 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_RDREQ_64B                     84 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_RDREQ_96B                     85 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_RDREQ_128B                    86 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_RD_UNCACHED_32B               87 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_RD_MDC_32B                    88 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_RD_COMPRESSED_32B             89 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_RDREQ_IO_CREDIT_STALL         90 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_RDREQ_GMI_CREDIT_STALL        91 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_RDREQ_DRAM_CREDIT_STALL       92 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_MC_RDREQ_LEVEL                   93 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_RDREQ_DRAM                    94 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_WRREQ_DRAM                    95 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_RDREQ_DRAM_32B                96 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_WRREQ_DRAM_32B                97 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_ONION_READ                       98 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_ONION_WRITE                      99 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_IO_READ                          100 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_IO_WRITE                         101 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GARLIC_READ                      102 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GARLIC_WRITE                     103 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_LATENCY_FIFO_FULL                104 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_SRC_FIFO_FULL                    105 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_TAG_STALL                        106 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_TAG_WRITEBACK_FIFO_FULL_STALL    107 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_TAG_MISS_NOTHING_REPLACEABLE_STALL 108 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_TAG_UNCACHED_WRITE_ATOMIC_FIFO_FULL_STALL 109 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_TAG_NO_UNCACHED_WRITE_ATOMIC_ENTRIES_STALL 110 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_TAG_PROBE_STALL                  111 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_TAG_PROBE_FILTER_STALL           112 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_TAG_PROBE_FIFO_FULL_STALL        113 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_TAG_READ_DST_STALL               114 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_READ_RETURN_TIMEOUT              115 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_WRITEBACK_READ_TIMEOUT           116 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_READ_RETURN_FULL_BUBBLE          117 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_BUBBLE                           118 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_IB_REQ                           119 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_IB_STALL                         120 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_IB_TAG_STALL                     121 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_IB_CM_STALL                      122 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_RETURN_ACK                       123 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_RETURN_DATA                      124 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_RDRET_NACK                    125 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_EA_WRRET_NACK                    126 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GL2A_LEVEL                       127 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_PROBE_FILTER_DISABLE_TRANSITION  128 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_PROBE_FILTER_DISABLED            129 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_ALL_TC_OP_WB_OR_INV_START        130 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_ALL_TC_OP_WB_OR_INV_VOL_START    131 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_INV                          132 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_WB                           133 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_DISCARD                      134 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_RANGE                        135 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_ALL                          136 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_VOL                          137 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_UNSHARED                     138 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_MDC_INV                      139 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_GL2_INV_ALL                  140 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_GL2_WB_ALL                   141 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_MDC_INV_ALL                  142 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_GL2_INV_RANGE                143 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_GL2_WB_RANGE                 144 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_GL2_WB_INV_RANGE             145 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_MDC_INV_RANGE                146 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_ALL_GCR_INV_EVICT                147 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_ALL_GCR_INV_VOL_EVICT            148 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_ALL_GCR_WB_OR_INV_CYCLE          149 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_ALL_GCR_WB_OR_INV_VOL_CYCLE      150 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_ALL_GCR_WB_WRITEBACK             151 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_INVL2_VOL_CYCLE              152 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_INVL2_VOL_EVICT              153 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_INVL2_VOL_START              154 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_WBL2_VOL_CYCLE               155 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_WBL2_VOL_EVICT               156 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_WBL2_VOL_START               157 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_WBINVL2_CYCLE                158 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_WBINVL2_EVICT                159 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_GCR_WBINVL2_START                160 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_MDC_INV_METADATA                 161 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_MDC_REQ                          162 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_MDC_LEVEL                        163 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_MDC_TAG_HIT                      164 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_MDC_SECTOR_HIT                   165 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_MDC_SECTOR_MISS                  166 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_MDC_TAG_STALL                    167 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_MDC_TAG_REPLACEMENT_LINE_IN_USE_STALL 168 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_MDC_TAG_DESECTORIZATION_FIFO_FULL_STALL 169 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_MDC_TAG_WAITING_FOR_INVALIDATE_COMPLETION_STALL 170 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL0_REQ                  171 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL1_REQ                  172 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL2_REQ                  173 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL3_REQ                  174 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL4_REQ                  175 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL5_REQ                  176 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL6_REQ                  177 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL7_REQ                  178 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL8_REQ                  179 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL9_REQ                  180 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL10_REQ                 181 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL11_REQ                 182 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL12_REQ                 183 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL13_REQ                 184 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL14_REQ                 185 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL15_REQ                 186 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL16_REQ                 187 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL17_REQ                 188 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL18_REQ                 189 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL19_REQ                 190 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL20_REQ                 191 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL21_REQ                 192 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL22_REQ                 193 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL23_REQ                 194 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL24_REQ                 195 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL25_REQ                 196 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL26_REQ                 197 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL27_REQ                 198 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL28_REQ                 199 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL29_REQ                 200 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL30_REQ                 201 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_CHANNEL31_REQ                 202 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_COMP_ATOMIC_COLOR_REQ         203 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_COMP_ATOMIC_DEPTH16_REQ       204 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_COMP_ATOMIC_DEPTH32_REQ       205 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_COMP_WRITE_COLOR_REQ          206 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_COMP_WRITE_DEPTH16_REQ        207 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_COMP_WRITE_DEPTH32_REQ        208 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_COMP_WRITE_STENCIL_REQ        209 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_COMP_READ_REQ                 210 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_READ_BACK_REQ                 211 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_METADATA_WR_REQ               212 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_WR_ACK_REQ                    213 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_NO_ACK_REQ                    214 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_NOOP_REQ                      215 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_COMP_COLOR_EN_REQ             216 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_COMP_COLOR_DIS_REQ            217 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_COMP_STENCIL_REQ              218 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_COMP_DEPTH16_REQ              219 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_COMP_DEPTH32_REQ              220 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_COLOR_32B_WR_REQ              221 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_COLOR_64B_WR_REQ              222 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_FULL_WRITE_REQ                223 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_RVF_FULL                      224 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_SDR_FULL                      225 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_MERGE_BUF_FULL                226 /* >= gfx10 */
#define     V_036E00_GL2C_PERF_SEL_CM_DCC_STALL                     227 /* >= gfx10 */
#define   S_036E00_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036E00_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036E00_PERF_SEL1                                          0xFFF003FF
#define   S_036E00_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036E00_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036E00_CNTR_MODE                                          0xFF0FFFFF
#define   S_036E00_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036E00_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036E00_PERF_MODE1                                         0xF0FFFFFF
#define   S_036E00_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036E00_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036E00_PERF_MODE                                          0x0FFFFFFF
#define R_036E00_TCC_PERFCOUNTER0_SELECT                                0x036E00 /* <= gfx9 */
#define R_036E04_GL2C_PERFCOUNTER0_SELECT1                              0x036E04 /* >= gfx10 */
#define   S_036E04_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_036E04_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036E04_PERF_SEL2                                          0xFFFFFC00
#define     V_036E04_CHA_PERF_SEL_BUSY                              0 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_NONE                             0 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_STALL_CHC0                        1 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_CYCLE                            1 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_STALL_CHC1                        2 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_BUSY                             2 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_STALL_CHC2                        3 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_REQ                              3 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_STALL_CHC3                        4 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_VOL_REQ                          4 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_STALL_CHC4                        5 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_HIGH_PRIORITY_REQ                5 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_STALL_CHC5                        6 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_READ                             6 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_REQUEST_CHC0                      7 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_WRITE                            7 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_REQUEST_CHC1                      8 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_ATOMIC                           8 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_REQUEST_CHC2                      9 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_NOP_ACK                          9 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_REQUEST_CHC3                      10 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_NOP_RTN0                         10 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_REQUEST_CHC4                      11 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_PROBE                            11 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_MEM_32B_WDS_CHC0                  12 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_PROBE_ALL                        12 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_MEM_32B_WDS_CHC1                  13 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_INTERNAL_PROBE                   13 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_MEM_32B_WDS_CHC2                  14 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_COMPRESSED_READ_REQ              14 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_MEM_32B_WDS_CHC3                  15 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_METADATA_READ_REQ                15 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_MEM_32B_WDS_CHC4                  16 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_CLIENT0_REQ                      16 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_IO_32B_WDS_CHC0                   17 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_CLIENT1_REQ                      17 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_IO_32B_WDS_CHC1                   18 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_CLIENT2_REQ                      18 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_IO_32B_WDS_CHC2                   19 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_CLIENT3_REQ                      19 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_IO_32B_WDS_CHC3                   20 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_CLIENT4_REQ                      20 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_IO_32B_WDS_CHC4                   21 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_CLIENT5_REQ                      21 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_MEM_BURST_COUNT_CHC0              22 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_CLIENT6_REQ                      22 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_MEM_BURST_COUNT_CHC1              23 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_CLIENT7_REQ                      23 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_MEM_BURST_COUNT_CHC2              24 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_C_RW_S_REQ                       24 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_MEM_BURST_COUNT_CHC3              25 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_C_RW_US_REQ                      25 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_MEM_BURST_COUNT_CHC4              26 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_C_RO_S_REQ                       26 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_IO_BURST_COUNT_CHC0               27 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_C_RO_US_REQ                      27 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_IO_BURST_COUNT_CHC1               28 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_UC_REQ                           28 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_IO_BURST_COUNT_CHC2               29 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_LRU_REQ                          29 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_IO_BURST_COUNT_CHC3               30 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_STREAM_REQ                       30 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_IO_BURST_COUNT_CHC4               31 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_BYPASS_REQ                       31 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_ARB_REQUESTS                      32 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_NOA_REQ                          32 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC0                33 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_SHARED_REQ                       33 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC1                34 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_HIT                              34 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC2                35 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_MISS                             35 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC3                36 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_FULL_HIT                         36 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC4                37 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_PARTIAL_32B_HIT                  37 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_REQ_INFLIGHT_LEVEL                38 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_PARTIAL_64B_HIT                  38 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC0           39 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_PARTIAL_96B_HIT                  39 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC1           40 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_DEWRITE_ALLOCATE_HIT             40 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC2           41 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_FULLY_WRITTEN_HIT                41 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC3           42 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_UNCACHED_WRITE                   42 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC4           43 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_WRITEBACK                        43 /* >= gfx10 */
#define     V_036E04_CHA_PERF_SEL_CYCLE                             44 /* <= gfx9 */
#define     V_036E04_GL2C_PERF_SEL_NORMAL_WRITEBACK                 44 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EVICT                            45 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_NORMAL_EVICT                     46 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_PROBE_EVICT                      47 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_REQ_TO_MISS_QUEUE                48 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_HIT_PASS_MISS_IN_HI_PRIO         49 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_HIT_PASS_MISS_IN_COMP            50 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT0         51 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT1         52 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT2         53 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT3         54 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT4         55 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT5         56 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT6         57 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT7         58 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_READ_32_REQ                      59 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_READ_64_REQ                      60 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_READ_128_REQ                     61 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_WRITE_32_REQ                     62 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_WRITE_64_REQ                     63 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_COMPRESSED_READ_0_REQ            64 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_COMPRESSED_READ_32_REQ           65 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_COMPRESSED_READ_64_REQ           66 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_COMPRESSED_READ_96_REQ           67 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_COMPRESSED_READ_128_REQ          68 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_MC_WRREQ                         69 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_WRREQ_64B                     70 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_WRREQ_PROBE_COMMAND           71 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_WR_UNCACHED_32B               72 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_MC_WRREQ_STALL                   73 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_WRREQ_IO_CREDIT_STALL         74 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_WRREQ_GMI_CREDIT_STALL        75 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_WRREQ_DRAM_CREDIT_STALL       76 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_TOO_MANY_EA_WRREQS_STALL         77 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_MC_WRREQ_LEVEL                   78 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_ATOMIC                        79 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_ATOMIC_LEVEL                  80 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_MC_RDREQ                         81 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_RDREQ_SPLIT                   82 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_RDREQ_32B                     83 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_RDREQ_64B                     84 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_RDREQ_96B                     85 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_RDREQ_128B                    86 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_RD_UNCACHED_32B               87 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_RD_MDC_32B                    88 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_RD_COMPRESSED_32B             89 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_RDREQ_IO_CREDIT_STALL         90 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_RDREQ_GMI_CREDIT_STALL        91 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_RDREQ_DRAM_CREDIT_STALL       92 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_MC_RDREQ_LEVEL                   93 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_RDREQ_DRAM                    94 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_WRREQ_DRAM                    95 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_RDREQ_DRAM_32B                96 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_WRREQ_DRAM_32B                97 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_ONION_READ                       98 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_ONION_WRITE                      99 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_IO_READ                          100 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_IO_WRITE                         101 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GARLIC_READ                      102 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GARLIC_WRITE                     103 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_LATENCY_FIFO_FULL                104 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_SRC_FIFO_FULL                    105 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_TAG_STALL                        106 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_TAG_WRITEBACK_FIFO_FULL_STALL    107 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_TAG_MISS_NOTHING_REPLACEABLE_STALL 108 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_TAG_UNCACHED_WRITE_ATOMIC_FIFO_FULL_STALL 109 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_TAG_NO_UNCACHED_WRITE_ATOMIC_ENTRIES_STALL 110 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_TAG_PROBE_STALL                  111 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_TAG_PROBE_FILTER_STALL           112 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_TAG_PROBE_FIFO_FULL_STALL        113 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_TAG_READ_DST_STALL               114 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_READ_RETURN_TIMEOUT              115 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_WRITEBACK_READ_TIMEOUT           116 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_READ_RETURN_FULL_BUBBLE          117 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_BUBBLE                           118 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_IB_REQ                           119 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_IB_STALL                         120 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_IB_TAG_STALL                     121 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_IB_CM_STALL                      122 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_RETURN_ACK                       123 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_RETURN_DATA                      124 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_RDRET_NACK                    125 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_EA_WRRET_NACK                    126 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GL2A_LEVEL                       127 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_PROBE_FILTER_DISABLE_TRANSITION  128 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_PROBE_FILTER_DISABLED            129 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_ALL_TC_OP_WB_OR_INV_START        130 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_ALL_TC_OP_WB_OR_INV_VOL_START    131 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_INV                          132 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_WB                           133 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_DISCARD                      134 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_RANGE                        135 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_ALL                          136 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_VOL                          137 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_UNSHARED                     138 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_MDC_INV                      139 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_GL2_INV_ALL                  140 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_GL2_WB_ALL                   141 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_MDC_INV_ALL                  142 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_GL2_INV_RANGE                143 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_GL2_WB_RANGE                 144 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_GL2_WB_INV_RANGE             145 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_MDC_INV_RANGE                146 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_ALL_GCR_INV_EVICT                147 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_ALL_GCR_INV_VOL_EVICT            148 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_ALL_GCR_WB_OR_INV_CYCLE          149 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_ALL_GCR_WB_OR_INV_VOL_CYCLE      150 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_ALL_GCR_WB_WRITEBACK             151 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_INVL2_VOL_CYCLE              152 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_INVL2_VOL_EVICT              153 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_INVL2_VOL_START              154 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_WBL2_VOL_CYCLE               155 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_WBL2_VOL_EVICT               156 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_WBL2_VOL_START               157 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_WBINVL2_CYCLE                158 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_WBINVL2_EVICT                159 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_GCR_WBINVL2_START                160 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_MDC_INV_METADATA                 161 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_MDC_REQ                          162 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_MDC_LEVEL                        163 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_MDC_TAG_HIT                      164 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_MDC_SECTOR_HIT                   165 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_MDC_SECTOR_MISS                  166 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_MDC_TAG_STALL                    167 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_MDC_TAG_REPLACEMENT_LINE_IN_USE_STALL 168 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_MDC_TAG_DESECTORIZATION_FIFO_FULL_STALL 169 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_MDC_TAG_WAITING_FOR_INVALIDATE_COMPLETION_STALL 170 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL0_REQ                  171 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL1_REQ                  172 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL2_REQ                  173 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL3_REQ                  174 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL4_REQ                  175 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL5_REQ                  176 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL6_REQ                  177 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL7_REQ                  178 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL8_REQ                  179 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL9_REQ                  180 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL10_REQ                 181 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL11_REQ                 182 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL12_REQ                 183 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL13_REQ                 184 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL14_REQ                 185 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL15_REQ                 186 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL16_REQ                 187 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL17_REQ                 188 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL18_REQ                 189 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL19_REQ                 190 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL20_REQ                 191 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL21_REQ                 192 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL22_REQ                 193 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL23_REQ                 194 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL24_REQ                 195 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL25_REQ                 196 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL26_REQ                 197 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL27_REQ                 198 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL28_REQ                 199 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL29_REQ                 200 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL30_REQ                 201 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_CHANNEL31_REQ                 202 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_COMP_ATOMIC_COLOR_REQ         203 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_COMP_ATOMIC_DEPTH16_REQ       204 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_COMP_ATOMIC_DEPTH32_REQ       205 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_COMP_WRITE_COLOR_REQ          206 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_COMP_WRITE_DEPTH16_REQ        207 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_COMP_WRITE_DEPTH32_REQ        208 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_COMP_WRITE_STENCIL_REQ        209 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_COMP_READ_REQ                 210 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_READ_BACK_REQ                 211 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_METADATA_WR_REQ               212 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_WR_ACK_REQ                    213 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_NO_ACK_REQ                    214 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_NOOP_REQ                      215 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_COMP_COLOR_EN_REQ             216 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_COMP_COLOR_DIS_REQ            217 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_COMP_STENCIL_REQ              218 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_COMP_DEPTH16_REQ              219 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_COMP_DEPTH32_REQ              220 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_COLOR_32B_WR_REQ              221 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_COLOR_64B_WR_REQ              222 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_FULL_WRITE_REQ                223 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_RVF_FULL                      224 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_SDR_FULL                      225 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_MERGE_BUF_FULL                226 /* >= gfx10 */
#define     V_036E04_GL2C_PERF_SEL_CM_DCC_STALL                     227 /* >= gfx10 */
#define   S_036E04_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036E04_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036E04_PERF_SEL3                                          0xFFF003FF
#define   S_036E04_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036E04_PERF_MODE2(x)                                      (((x) >> 24) & 0xF)
#define   C_036E04_PERF_MODE2                                         0xF0FFFFFF
#define   S_036E04_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_036E04_PERF_MODE3(x)                                      (((x) >> 28) & 0xF)
#define   C_036E04_PERF_MODE3                                         0x0FFFFFFF
#define R_036E04_TCC_PERFCOUNTER0_SELECT1                               0x036E04 /* <= gfx9 */
#define R_036E08_GL2C_PERFCOUNTER1_SELECT                               0x036E08 /* >= gfx10 */
#define R_036E08_TCC_PERFCOUNTER1_SELECT                                0x036E08 /* <= gfx9 */
#define R_036E0C_GL2C_PERFCOUNTER1_SELECT1                              0x036E0C /* >= gfx10 */
#define R_036E0C_TCC_PERFCOUNTER1_SELECT1                               0x036E0C /* <= gfx9 */
#define R_036E10_GL2C_PERFCOUNTER2_SELECT                               0x036E10 /* >= gfx10 */
#define   S_036E10_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036E10_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036E10_PERF_SEL                                           0xFFFFFC00
#define     V_036E10_GL2C_PERF_SEL_NONE                             0
#define     V_036E10_GL2C_PERF_SEL_CYCLE                            1
#define     V_036E10_GL2C_PERF_SEL_BUSY                             2
#define     V_036E10_GL2C_PERF_SEL_REQ                              3
#define     V_036E10_GL2C_PERF_SEL_VOL_REQ                          4
#define     V_036E10_GL2C_PERF_SEL_HIGH_PRIORITY_REQ                5
#define     V_036E10_GL2C_PERF_SEL_READ                             6
#define     V_036E10_GL2C_PERF_SEL_WRITE                            7
#define     V_036E10_GL2C_PERF_SEL_ATOMIC                           8
#define     V_036E10_GL2C_PERF_SEL_NOP_ACK                          9
#define     V_036E10_GL2C_PERF_SEL_NOP_RTN0                         10
#define     V_036E10_GL2C_PERF_SEL_PROBE                            11
#define     V_036E10_GL2C_PERF_SEL_PROBE_ALL                        12
#define     V_036E10_GL2C_PERF_SEL_INTERNAL_PROBE                   13
#define     V_036E10_GL2C_PERF_SEL_COMPRESSED_READ_REQ              14
#define     V_036E10_GL2C_PERF_SEL_METADATA_READ_REQ                15
#define     V_036E10_GL2C_PERF_SEL_CLIENT0_REQ                      16
#define     V_036E10_GL2C_PERF_SEL_CLIENT1_REQ                      17
#define     V_036E10_GL2C_PERF_SEL_CLIENT2_REQ                      18
#define     V_036E10_GL2C_PERF_SEL_CLIENT3_REQ                      19
#define     V_036E10_GL2C_PERF_SEL_CLIENT4_REQ                      20
#define     V_036E10_GL2C_PERF_SEL_CLIENT5_REQ                      21
#define     V_036E10_GL2C_PERF_SEL_CLIENT6_REQ                      22
#define     V_036E10_GL2C_PERF_SEL_CLIENT7_REQ                      23
#define     V_036E10_GL2C_PERF_SEL_C_RW_S_REQ                       24
#define     V_036E10_GL2C_PERF_SEL_C_RW_US_REQ                      25
#define     V_036E10_GL2C_PERF_SEL_C_RO_S_REQ                       26
#define     V_036E10_GL2C_PERF_SEL_C_RO_US_REQ                      27
#define     V_036E10_GL2C_PERF_SEL_UC_REQ                           28
#define     V_036E10_GL2C_PERF_SEL_LRU_REQ                          29
#define     V_036E10_GL2C_PERF_SEL_STREAM_REQ                       30
#define     V_036E10_GL2C_PERF_SEL_BYPASS_REQ                       31
#define     V_036E10_GL2C_PERF_SEL_NOA_REQ                          32
#define     V_036E10_GL2C_PERF_SEL_SHARED_REQ                       33
#define     V_036E10_GL2C_PERF_SEL_HIT                              34
#define     V_036E10_GL2C_PERF_SEL_MISS                             35
#define     V_036E10_GL2C_PERF_SEL_FULL_HIT                         36
#define     V_036E10_GL2C_PERF_SEL_PARTIAL_32B_HIT                  37
#define     V_036E10_GL2C_PERF_SEL_PARTIAL_64B_HIT                  38
#define     V_036E10_GL2C_PERF_SEL_PARTIAL_96B_HIT                  39
#define     V_036E10_GL2C_PERF_SEL_DEWRITE_ALLOCATE_HIT             40
#define     V_036E10_GL2C_PERF_SEL_FULLY_WRITTEN_HIT                41
#define     V_036E10_GL2C_PERF_SEL_UNCACHED_WRITE                   42
#define     V_036E10_GL2C_PERF_SEL_WRITEBACK                        43
#define     V_036E10_GL2C_PERF_SEL_NORMAL_WRITEBACK                 44
#define     V_036E10_GL2C_PERF_SEL_EVICT                            45
#define     V_036E10_GL2C_PERF_SEL_NORMAL_EVICT                     46
#define     V_036E10_GL2C_PERF_SEL_PROBE_EVICT                      47
#define     V_036E10_GL2C_PERF_SEL_REQ_TO_MISS_QUEUE                48
#define     V_036E10_GL2C_PERF_SEL_HIT_PASS_MISS_IN_HI_PRIO         49
#define     V_036E10_GL2C_PERF_SEL_HIT_PASS_MISS_IN_COMP            50
#define     V_036E10_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT0         51
#define     V_036E10_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT1         52
#define     V_036E10_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT2         53
#define     V_036E10_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT3         54
#define     V_036E10_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT4         55
#define     V_036E10_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT5         56
#define     V_036E10_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT6         57
#define     V_036E10_GL2C_PERF_SEL_HIT_PASS_MISS_IN_CLIENT7         58
#define     V_036E10_GL2C_PERF_SEL_READ_32_REQ                      59
#define     V_036E10_GL2C_PERF_SEL_READ_64_REQ                      60
#define     V_036E10_GL2C_PERF_SEL_READ_128_REQ                     61
#define     V_036E10_GL2C_PERF_SEL_WRITE_32_REQ                     62
#define     V_036E10_GL2C_PERF_SEL_WRITE_64_REQ                     63
#define     V_036E10_GL2C_PERF_SEL_COMPRESSED_READ_0_REQ            64
#define     V_036E10_GL2C_PERF_SEL_COMPRESSED_READ_32_REQ           65
#define     V_036E10_GL2C_PERF_SEL_COMPRESSED_READ_64_REQ           66
#define     V_036E10_GL2C_PERF_SEL_COMPRESSED_READ_96_REQ           67
#define     V_036E10_GL2C_PERF_SEL_COMPRESSED_READ_128_REQ          68
#define     V_036E10_GL2C_PERF_SEL_MC_WRREQ                         69
#define     V_036E10_GL2C_PERF_SEL_EA_WRREQ_64B                     70
#define     V_036E10_GL2C_PERF_SEL_EA_WRREQ_PROBE_COMMAND           71
#define     V_036E10_GL2C_PERF_SEL_EA_WR_UNCACHED_32B               72
#define     V_036E10_GL2C_PERF_SEL_MC_WRREQ_STALL                   73
#define     V_036E10_GL2C_PERF_SEL_EA_WRREQ_IO_CREDIT_STALL         74
#define     V_036E10_GL2C_PERF_SEL_EA_WRREQ_GMI_CREDIT_STALL        75
#define     V_036E10_GL2C_PERF_SEL_EA_WRREQ_DRAM_CREDIT_STALL       76
#define     V_036E10_GL2C_PERF_SEL_TOO_MANY_EA_WRREQS_STALL         77
#define     V_036E10_GL2C_PERF_SEL_MC_WRREQ_LEVEL                   78
#define     V_036E10_GL2C_PERF_SEL_EA_ATOMIC                        79
#define     V_036E10_GL2C_PERF_SEL_EA_ATOMIC_LEVEL                  80
#define     V_036E10_GL2C_PERF_SEL_MC_RDREQ                         81
#define     V_036E10_GL2C_PERF_SEL_EA_RDREQ_SPLIT                   82
#define     V_036E10_GL2C_PERF_SEL_EA_RDREQ_32B                     83
#define     V_036E10_GL2C_PERF_SEL_EA_RDREQ_64B                     84
#define     V_036E10_GL2C_PERF_SEL_EA_RDREQ_96B                     85
#define     V_036E10_GL2C_PERF_SEL_EA_RDREQ_128B                    86
#define     V_036E10_GL2C_PERF_SEL_EA_RD_UNCACHED_32B               87
#define     V_036E10_GL2C_PERF_SEL_EA_RD_MDC_32B                    88
#define     V_036E10_GL2C_PERF_SEL_EA_RD_COMPRESSED_32B             89
#define     V_036E10_GL2C_PERF_SEL_EA_RDREQ_IO_CREDIT_STALL         90
#define     V_036E10_GL2C_PERF_SEL_EA_RDREQ_GMI_CREDIT_STALL        91
#define     V_036E10_GL2C_PERF_SEL_EA_RDREQ_DRAM_CREDIT_STALL       92
#define     V_036E10_GL2C_PERF_SEL_MC_RDREQ_LEVEL                   93
#define     V_036E10_GL2C_PERF_SEL_EA_RDREQ_DRAM                    94
#define     V_036E10_GL2C_PERF_SEL_EA_WRREQ_DRAM                    95
#define     V_036E10_GL2C_PERF_SEL_EA_RDREQ_DRAM_32B                96
#define     V_036E10_GL2C_PERF_SEL_EA_WRREQ_DRAM_32B                97
#define     V_036E10_GL2C_PERF_SEL_ONION_READ                       98
#define     V_036E10_GL2C_PERF_SEL_ONION_WRITE                      99
#define     V_036E10_GL2C_PERF_SEL_IO_READ                          100
#define     V_036E10_GL2C_PERF_SEL_IO_WRITE                         101
#define     V_036E10_GL2C_PERF_SEL_GARLIC_READ                      102
#define     V_036E10_GL2C_PERF_SEL_GARLIC_WRITE                     103
#define     V_036E10_GL2C_PERF_SEL_LATENCY_FIFO_FULL                104
#define     V_036E10_GL2C_PERF_SEL_SRC_FIFO_FULL                    105
#define     V_036E10_GL2C_PERF_SEL_TAG_STALL                        106
#define     V_036E10_GL2C_PERF_SEL_TAG_WRITEBACK_FIFO_FULL_STALL    107
#define     V_036E10_GL2C_PERF_SEL_TAG_MISS_NOTHING_REPLACEABLE_STALL 108
#define     V_036E10_GL2C_PERF_SEL_TAG_UNCACHED_WRITE_ATOMIC_FIFO_FULL_STALL 109
#define     V_036E10_GL2C_PERF_SEL_TAG_NO_UNCACHED_WRITE_ATOMIC_ENTRIES_STALL 110
#define     V_036E10_GL2C_PERF_SEL_TAG_PROBE_STALL                  111
#define     V_036E10_GL2C_PERF_SEL_TAG_PROBE_FILTER_STALL           112
#define     V_036E10_GL2C_PERF_SEL_TAG_PROBE_FIFO_FULL_STALL        113
#define     V_036E10_GL2C_PERF_SEL_TAG_READ_DST_STALL               114
#define     V_036E10_GL2C_PERF_SEL_READ_RETURN_TIMEOUT              115
#define     V_036E10_GL2C_PERF_SEL_WRITEBACK_READ_TIMEOUT           116
#define     V_036E10_GL2C_PERF_SEL_READ_RETURN_FULL_BUBBLE          117
#define     V_036E10_GL2C_PERF_SEL_BUBBLE                           118
#define     V_036E10_GL2C_PERF_SEL_IB_REQ                           119
#define     V_036E10_GL2C_PERF_SEL_IB_STALL                         120
#define     V_036E10_GL2C_PERF_SEL_IB_TAG_STALL                     121
#define     V_036E10_GL2C_PERF_SEL_IB_CM_STALL                      122
#define     V_036E10_GL2C_PERF_SEL_RETURN_ACK                       123
#define     V_036E10_GL2C_PERF_SEL_RETURN_DATA                      124
#define     V_036E10_GL2C_PERF_SEL_EA_RDRET_NACK                    125
#define     V_036E10_GL2C_PERF_SEL_EA_WRRET_NACK                    126
#define     V_036E10_GL2C_PERF_SEL_GL2A_LEVEL                       127
#define     V_036E10_GL2C_PERF_SEL_PROBE_FILTER_DISABLE_TRANSITION  128
#define     V_036E10_GL2C_PERF_SEL_PROBE_FILTER_DISABLED            129
#define     V_036E10_GL2C_PERF_SEL_ALL_TC_OP_WB_OR_INV_START        130
#define     V_036E10_GL2C_PERF_SEL_ALL_TC_OP_WB_OR_INV_VOL_START    131
#define     V_036E10_GL2C_PERF_SEL_GCR_INV                          132
#define     V_036E10_GL2C_PERF_SEL_GCR_WB                           133
#define     V_036E10_GL2C_PERF_SEL_GCR_DISCARD                      134
#define     V_036E10_GL2C_PERF_SEL_GCR_RANGE                        135
#define     V_036E10_GL2C_PERF_SEL_GCR_ALL                          136
#define     V_036E10_GL2C_PERF_SEL_GCR_VOL                          137
#define     V_036E10_GL2C_PERF_SEL_GCR_UNSHARED                     138
#define     V_036E10_GL2C_PERF_SEL_GCR_MDC_INV                      139
#define     V_036E10_GL2C_PERF_SEL_GCR_GL2_INV_ALL                  140
#define     V_036E10_GL2C_PERF_SEL_GCR_GL2_WB_ALL                   141
#define     V_036E10_GL2C_PERF_SEL_GCR_MDC_INV_ALL                  142
#define     V_036E10_GL2C_PERF_SEL_GCR_GL2_INV_RANGE                143
#define     V_036E10_GL2C_PERF_SEL_GCR_GL2_WB_RANGE                 144
#define     V_036E10_GL2C_PERF_SEL_GCR_GL2_WB_INV_RANGE             145
#define     V_036E10_GL2C_PERF_SEL_GCR_MDC_INV_RANGE                146
#define     V_036E10_GL2C_PERF_SEL_ALL_GCR_INV_EVICT                147
#define     V_036E10_GL2C_PERF_SEL_ALL_GCR_INV_VOL_EVICT            148
#define     V_036E10_GL2C_PERF_SEL_ALL_GCR_WB_OR_INV_CYCLE          149
#define     V_036E10_GL2C_PERF_SEL_ALL_GCR_WB_OR_INV_VOL_CYCLE      150
#define     V_036E10_GL2C_PERF_SEL_ALL_GCR_WB_WRITEBACK             151
#define     V_036E10_GL2C_PERF_SEL_GCR_INVL2_VOL_CYCLE              152
#define     V_036E10_GL2C_PERF_SEL_GCR_INVL2_VOL_EVICT              153
#define     V_036E10_GL2C_PERF_SEL_GCR_INVL2_VOL_START              154
#define     V_036E10_GL2C_PERF_SEL_GCR_WBL2_VOL_CYCLE               155
#define     V_036E10_GL2C_PERF_SEL_GCR_WBL2_VOL_EVICT               156
#define     V_036E10_GL2C_PERF_SEL_GCR_WBL2_VOL_START               157
#define     V_036E10_GL2C_PERF_SEL_GCR_WBINVL2_CYCLE                158
#define     V_036E10_GL2C_PERF_SEL_GCR_WBINVL2_EVICT                159
#define     V_036E10_GL2C_PERF_SEL_GCR_WBINVL2_START                160
#define     V_036E10_GL2C_PERF_SEL_MDC_INV_METADATA                 161
#define     V_036E10_GL2C_PERF_SEL_MDC_REQ                          162
#define     V_036E10_GL2C_PERF_SEL_MDC_LEVEL                        163
#define     V_036E10_GL2C_PERF_SEL_MDC_TAG_HIT                      164
#define     V_036E10_GL2C_PERF_SEL_MDC_SECTOR_HIT                   165
#define     V_036E10_GL2C_PERF_SEL_MDC_SECTOR_MISS                  166
#define     V_036E10_GL2C_PERF_SEL_MDC_TAG_STALL                    167
#define     V_036E10_GL2C_PERF_SEL_MDC_TAG_REPLACEMENT_LINE_IN_USE_STALL 168
#define     V_036E10_GL2C_PERF_SEL_MDC_TAG_DESECTORIZATION_FIFO_FULL_STALL 169
#define     V_036E10_GL2C_PERF_SEL_MDC_TAG_WAITING_FOR_INVALIDATE_COMPLETION_STALL 170
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL0_REQ                  171
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL1_REQ                  172
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL2_REQ                  173
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL3_REQ                  174
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL4_REQ                  175
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL5_REQ                  176
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL6_REQ                  177
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL7_REQ                  178
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL8_REQ                  179
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL9_REQ                  180
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL10_REQ                 181
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL11_REQ                 182
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL12_REQ                 183
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL13_REQ                 184
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL14_REQ                 185
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL15_REQ                 186
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL16_REQ                 187
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL17_REQ                 188
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL18_REQ                 189
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL19_REQ                 190
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL20_REQ                 191
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL21_REQ                 192
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL22_REQ                 193
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL23_REQ                 194
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL24_REQ                 195
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL25_REQ                 196
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL26_REQ                 197
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL27_REQ                 198
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL28_REQ                 199
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL29_REQ                 200
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL30_REQ                 201
#define     V_036E10_GL2C_PERF_SEL_CM_CHANNEL31_REQ                 202
#define     V_036E10_GL2C_PERF_SEL_CM_COMP_ATOMIC_COLOR_REQ         203
#define     V_036E10_GL2C_PERF_SEL_CM_COMP_ATOMIC_DEPTH16_REQ       204
#define     V_036E10_GL2C_PERF_SEL_CM_COMP_ATOMIC_DEPTH32_REQ       205
#define     V_036E10_GL2C_PERF_SEL_CM_COMP_WRITE_COLOR_REQ          206
#define     V_036E10_GL2C_PERF_SEL_CM_COMP_WRITE_DEPTH16_REQ        207
#define     V_036E10_GL2C_PERF_SEL_CM_COMP_WRITE_DEPTH32_REQ        208
#define     V_036E10_GL2C_PERF_SEL_CM_COMP_WRITE_STENCIL_REQ        209
#define     V_036E10_GL2C_PERF_SEL_CM_COMP_READ_REQ                 210
#define     V_036E10_GL2C_PERF_SEL_CM_READ_BACK_REQ                 211
#define     V_036E10_GL2C_PERF_SEL_CM_METADATA_WR_REQ               212
#define     V_036E10_GL2C_PERF_SEL_CM_WR_ACK_REQ                    213
#define     V_036E10_GL2C_PERF_SEL_CM_NO_ACK_REQ                    214
#define     V_036E10_GL2C_PERF_SEL_CM_NOOP_REQ                      215
#define     V_036E10_GL2C_PERF_SEL_CM_COMP_COLOR_EN_REQ             216
#define     V_036E10_GL2C_PERF_SEL_CM_COMP_COLOR_DIS_REQ            217
#define     V_036E10_GL2C_PERF_SEL_CM_COMP_STENCIL_REQ              218
#define     V_036E10_GL2C_PERF_SEL_CM_COMP_DEPTH16_REQ              219
#define     V_036E10_GL2C_PERF_SEL_CM_COMP_DEPTH32_REQ              220
#define     V_036E10_GL2C_PERF_SEL_CM_COLOR_32B_WR_REQ              221
#define     V_036E10_GL2C_PERF_SEL_CM_COLOR_64B_WR_REQ              222
#define     V_036E10_GL2C_PERF_SEL_CM_FULL_WRITE_REQ                223
#define     V_036E10_GL2C_PERF_SEL_CM_RVF_FULL                      224
#define     V_036E10_GL2C_PERF_SEL_CM_SDR_FULL                      225
#define     V_036E10_GL2C_PERF_SEL_CM_MERGE_BUF_FULL                226
#define     V_036E10_GL2C_PERF_SEL_CM_DCC_STALL                     227
#define   S_036E10_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036E10_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036E10_CNTR_MODE                                          0xFF0FFFFF
#define   S_036E10_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036E10_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036E10_PERF_MODE                                          0x0FFFFFFF
#define R_036E10_TCC_PERFCOUNTER2_SELECT                                0x036E10 /* <= gfx9 */
#define R_036E14_GL2C_PERFCOUNTER3_SELECT                               0x036E14 /* >= gfx10 */
#define R_036E14_TCC_PERFCOUNTER3_SELECT                                0x036E14 /* <= gfx9 */
#define R_036E40_GL2A_PERFCOUNTER0_SELECT                               0x036E40 /* >= gfx10 */
#define   S_036E40_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036E40_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036E40_PERF_SEL                                           0xFFFFFC00
#define     V_036E40_CHA_PERF_SEL_BUSY                              0 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_NONE                             0 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_STALL_CHC0                        1 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_CYCLE                            1 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_STALL_CHC1                        2 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_BUSY                             2 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_STALL_CHC2                        3 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_GL2C0                        3 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_STALL_CHC3                        4 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_GL2C1                        4 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_STALL_CHC4                        5 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_GL2C2                        5 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_STALL_CHC5                        6 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_GL2C3                        6 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_REQUEST_CHC0                      7 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_GL2C4                        7 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_REQUEST_CHC1                      8 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_GL2C5                        8 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_REQUEST_CHC2                      9 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_GL2C6                        9 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_REQUEST_CHC3                      10 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_GL2C7                        10 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_REQUEST_CHC4                      11 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C0                11 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_MEM_32B_WDS_CHC0                  12 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C1                12 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_MEM_32B_WDS_CHC1                  13 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C2                13 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_MEM_32B_WDS_CHC2                  14 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C3                14 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_MEM_32B_WDS_CHC3                  15 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C4                15 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_MEM_32B_WDS_CHC4                  16 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C5                16 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_IO_32B_WDS_CHC0                   17 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C6                17 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_IO_32B_WDS_CHC1                   18 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C7                18 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_IO_32B_WDS_CHC2                   19 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_BURST_GL2C0                  19 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_IO_32B_WDS_CHC3                   20 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_BURST_GL2C1                  20 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_IO_32B_WDS_CHC4                   21 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_BURST_GL2C2                  21 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_MEM_BURST_COUNT_CHC0              22 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_BURST_GL2C3                  22 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_MEM_BURST_COUNT_CHC1              23 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_BURST_GL2C4                  23 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_MEM_BURST_COUNT_CHC2              24 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_BURST_GL2C5                  24 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_MEM_BURST_COUNT_CHC3              25 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_BURST_GL2C6                  25 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_MEM_BURST_COUNT_CHC4              26 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_BURST_GL2C7                  26 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_IO_BURST_COUNT_CHC0               27 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_STALL_GL2C0                  27 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_IO_BURST_COUNT_CHC1               28 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_STALL_GL2C1                  28 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_IO_BURST_COUNT_CHC2               29 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_STALL_GL2C2                  29 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_IO_BURST_COUNT_CHC3               30 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_STALL_GL2C3                  30 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_IO_BURST_COUNT_CHC4               31 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_STALL_GL2C4                  31 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_ARB_REQUESTS                      32 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_STALL_GL2C5                  32 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC0                33 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_STALL_GL2C6                  33 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC1                34 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_REQ_STALL_GL2C7                  34 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC2                35 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_RTN_STALL_GL2C0                  35 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC3                36 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_RTN_STALL_GL2C1                  36 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC4                37 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_RTN_STALL_GL2C2                  37 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_REQ_INFLIGHT_LEVEL                38 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_RTN_STALL_GL2C3                  38 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC0           39 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_RTN_STALL_GL2C4                  39 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC1           40 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_RTN_STALL_GL2C5                  40 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC2           41 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_RTN_STALL_GL2C6                  41 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC3           42 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_RTN_STALL_GL2C7                  42 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC4           43 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT0                      43 /* >= gfx10 */
#define     V_036E40_CHA_PERF_SEL_CYCLE                             44 /* <= gfx9 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT1                      44 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT2                      45 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT3                      46 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT4                      47 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT5                      48 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT6                      49 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT7                      50 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT8                      51 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT9                      52 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT10                     53 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT11                     54 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT12                     55 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT13                     56 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT14                     57 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_CLIENT15                     58 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT0        59 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT1        60 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT2        61 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT3        62 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT4        63 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT5        64 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT6        65 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT7        66 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT8        67 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT9        68 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT10       69 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT11       70 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT12       71 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT13       72 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT14       73 /* >= gfx10 */
#define     V_036E40_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT15       74 /* >= gfx10 */
#define   S_036E40_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036E40_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036E40_PERF_SEL1                                          0xFFF003FF
#define   S_036E40_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036E40_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036E40_CNTR_MODE                                          0xFF0FFFFF
#define   S_036E40_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036E40_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036E40_PERF_MODE1                                         0xF0FFFFFF
#define   S_036E40_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036E40_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036E40_PERF_MODE                                          0x0FFFFFFF
#define R_036E40_TCA_PERFCOUNTER0_SELECT                                0x036E40 /* <= gfx9 */
#define R_036E44_GL2A_PERFCOUNTER0_SELECT1                              0x036E44 /* >= gfx10 */
#define   S_036E44_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_036E44_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036E44_PERF_SEL2                                          0xFFFFFC00
#define     V_036E44_CHA_PERF_SEL_BUSY                              0 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_NONE                             0 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_STALL_CHC0                        1 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_CYCLE                            1 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_STALL_CHC1                        2 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_BUSY                             2 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_STALL_CHC2                        3 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_GL2C0                        3 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_STALL_CHC3                        4 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_GL2C1                        4 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_STALL_CHC4                        5 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_GL2C2                        5 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_STALL_CHC5                        6 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_GL2C3                        6 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_REQUEST_CHC0                      7 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_GL2C4                        7 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_REQUEST_CHC1                      8 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_GL2C5                        8 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_REQUEST_CHC2                      9 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_GL2C6                        9 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_REQUEST_CHC3                      10 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_GL2C7                        10 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_REQUEST_CHC4                      11 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C0                11 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_MEM_32B_WDS_CHC0                  12 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C1                12 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_MEM_32B_WDS_CHC1                  13 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C2                13 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_MEM_32B_WDS_CHC2                  14 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C3                14 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_MEM_32B_WDS_CHC3                  15 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C4                15 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_MEM_32B_WDS_CHC4                  16 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C5                16 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_IO_32B_WDS_CHC0                   17 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C6                17 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_IO_32B_WDS_CHC1                   18 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C7                18 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_IO_32B_WDS_CHC2                   19 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_BURST_GL2C0                  19 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_IO_32B_WDS_CHC3                   20 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_BURST_GL2C1                  20 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_IO_32B_WDS_CHC4                   21 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_BURST_GL2C2                  21 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_MEM_BURST_COUNT_CHC0              22 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_BURST_GL2C3                  22 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_MEM_BURST_COUNT_CHC1              23 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_BURST_GL2C4                  23 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_MEM_BURST_COUNT_CHC2              24 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_BURST_GL2C5                  24 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_MEM_BURST_COUNT_CHC3              25 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_BURST_GL2C6                  25 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_MEM_BURST_COUNT_CHC4              26 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_BURST_GL2C7                  26 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_IO_BURST_COUNT_CHC0               27 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_STALL_GL2C0                  27 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_IO_BURST_COUNT_CHC1               28 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_STALL_GL2C1                  28 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_IO_BURST_COUNT_CHC2               29 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_STALL_GL2C2                  29 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_IO_BURST_COUNT_CHC3               30 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_STALL_GL2C3                  30 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_IO_BURST_COUNT_CHC4               31 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_STALL_GL2C4                  31 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_ARB_REQUESTS                      32 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_STALL_GL2C5                  32 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC0                33 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_STALL_GL2C6                  33 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC1                34 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_REQ_STALL_GL2C7                  34 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC2                35 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_RTN_STALL_GL2C0                  35 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC3                36 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_RTN_STALL_GL2C1                  36 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC4                37 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_RTN_STALL_GL2C2                  37 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_REQ_INFLIGHT_LEVEL                38 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_RTN_STALL_GL2C3                  38 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC0           39 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_RTN_STALL_GL2C4                  39 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC1           40 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_RTN_STALL_GL2C5                  40 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC2           41 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_RTN_STALL_GL2C6                  41 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC3           42 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_RTN_STALL_GL2C7                  42 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC4           43 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT0                      43 /* >= gfx10 */
#define     V_036E44_CHA_PERF_SEL_CYCLE                             44 /* <= gfx9 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT1                      44 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT2                      45 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT3                      46 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT4                      47 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT5                      48 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT6                      49 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT7                      50 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT8                      51 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT9                      52 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT10                     53 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT11                     54 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT12                     55 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT13                     56 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT14                     57 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_CLIENT15                     58 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT0        59 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT1        60 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT2        61 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT3        62 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT4        63 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT5        64 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT6        65 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT7        66 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT8        67 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT9        68 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT10       69 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT11       70 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT12       71 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT13       72 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT14       73 /* >= gfx10 */
#define     V_036E44_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT15       74 /* >= gfx10 */
#define   S_036E44_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036E44_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036E44_PERF_SEL3                                          0xFFF003FF
#define   S_036E44_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036E44_PERF_MODE2(x)                                      (((x) >> 24) & 0xF)
#define   C_036E44_PERF_MODE2                                         0xF0FFFFFF
#define   S_036E44_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_036E44_PERF_MODE3(x)                                      (((x) >> 28) & 0xF)
#define   C_036E44_PERF_MODE3                                         0x0FFFFFFF
#define R_036E44_TCA_PERFCOUNTER0_SELECT1                               0x036E44 /* <= gfx9 */
#define R_036E48_GL2A_PERFCOUNTER1_SELECT                               0x036E48 /* >= gfx10 */
#define R_036E48_TCA_PERFCOUNTER1_SELECT                                0x036E48 /* <= gfx9 */
#define R_036E4C_GL2A_PERFCOUNTER1_SELECT1                              0x036E4C /* >= gfx10 */
#define R_036E4C_TCA_PERFCOUNTER1_SELECT1                               0x036E4C /* <= gfx9 */
#define R_036E50_GL2A_PERFCOUNTER2_SELECT                               0x036E50 /* >= gfx10 */
#define   S_036E50_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036E50_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036E50_PERF_SEL                                           0xFFFFFC00
#define     V_036E50_GL2A_PERF_SEL_NONE                             0
#define     V_036E50_GL2A_PERF_SEL_CYCLE                            1
#define     V_036E50_GL2A_PERF_SEL_BUSY                             2
#define     V_036E50_GL2A_PERF_SEL_REQ_GL2C0                        3
#define     V_036E50_GL2A_PERF_SEL_REQ_GL2C1                        4
#define     V_036E50_GL2A_PERF_SEL_REQ_GL2C2                        5
#define     V_036E50_GL2A_PERF_SEL_REQ_GL2C3                        6
#define     V_036E50_GL2A_PERF_SEL_REQ_GL2C4                        7
#define     V_036E50_GL2A_PERF_SEL_REQ_GL2C5                        8
#define     V_036E50_GL2A_PERF_SEL_REQ_GL2C6                        9
#define     V_036E50_GL2A_PERF_SEL_REQ_GL2C7                        10
#define     V_036E50_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C0                11
#define     V_036E50_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C1                12
#define     V_036E50_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C2                13
#define     V_036E50_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C3                14
#define     V_036E50_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C4                15
#define     V_036E50_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C5                16
#define     V_036E50_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C6                17
#define     V_036E50_GL2A_PERF_SEL_REQ_HI_PRIO_GL2C7                18
#define     V_036E50_GL2A_PERF_SEL_REQ_BURST_GL2C0                  19
#define     V_036E50_GL2A_PERF_SEL_REQ_BURST_GL2C1                  20
#define     V_036E50_GL2A_PERF_SEL_REQ_BURST_GL2C2                  21
#define     V_036E50_GL2A_PERF_SEL_REQ_BURST_GL2C3                  22
#define     V_036E50_GL2A_PERF_SEL_REQ_BURST_GL2C4                  23
#define     V_036E50_GL2A_PERF_SEL_REQ_BURST_GL2C5                  24
#define     V_036E50_GL2A_PERF_SEL_REQ_BURST_GL2C6                  25
#define     V_036E50_GL2A_PERF_SEL_REQ_BURST_GL2C7                  26
#define     V_036E50_GL2A_PERF_SEL_REQ_STALL_GL2C0                  27
#define     V_036E50_GL2A_PERF_SEL_REQ_STALL_GL2C1                  28
#define     V_036E50_GL2A_PERF_SEL_REQ_STALL_GL2C2                  29
#define     V_036E50_GL2A_PERF_SEL_REQ_STALL_GL2C3                  30
#define     V_036E50_GL2A_PERF_SEL_REQ_STALL_GL2C4                  31
#define     V_036E50_GL2A_PERF_SEL_REQ_STALL_GL2C5                  32
#define     V_036E50_GL2A_PERF_SEL_REQ_STALL_GL2C6                  33
#define     V_036E50_GL2A_PERF_SEL_REQ_STALL_GL2C7                  34
#define     V_036E50_GL2A_PERF_SEL_RTN_STALL_GL2C0                  35
#define     V_036E50_GL2A_PERF_SEL_RTN_STALL_GL2C1                  36
#define     V_036E50_GL2A_PERF_SEL_RTN_STALL_GL2C2                  37
#define     V_036E50_GL2A_PERF_SEL_RTN_STALL_GL2C3                  38
#define     V_036E50_GL2A_PERF_SEL_RTN_STALL_GL2C4                  39
#define     V_036E50_GL2A_PERF_SEL_RTN_STALL_GL2C5                  40
#define     V_036E50_GL2A_PERF_SEL_RTN_STALL_GL2C6                  41
#define     V_036E50_GL2A_PERF_SEL_RTN_STALL_GL2C7                  42
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT0                      43
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT1                      44
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT2                      45
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT3                      46
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT4                      47
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT5                      48
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT6                      49
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT7                      50
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT8                      51
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT9                      52
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT10                     53
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT11                     54
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT12                     55
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT13                     56
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT14                     57
#define     V_036E50_GL2A_PERF_SEL_RTN_CLIENT15                     58
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT0        59
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT1        60
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT2        61
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT3        62
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT4        63
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT5        64
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT6        65
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT7        66
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT8        67
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT9        68
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT10       69
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT11       70
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT12       71
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT13       72
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT14       73
#define     V_036E50_GL2A_PERF_SEL_RTN_ARB_COLLISION_CLIENT15       74
#define   S_036E50_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036E50_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036E50_CNTR_MODE                                          0xFF0FFFFF
#define   S_036E50_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036E50_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036E50_PERF_MODE                                          0x0FFFFFFF
#define R_036E50_TCA_PERFCOUNTER2_SELECT                                0x036E50 /* <= gfx9 */
#define R_036E54_GL2A_PERFCOUNTER3_SELECT                               0x036E54 /* >= gfx10 */
#define R_036E54_TCA_PERFCOUNTER3_SELECT                                0x036E54 /* <= gfx9 */
#define R_036E80_GL1C_PERFCOUNTER0_SELECT                               0x036E80 /* >= gfx10 */
#define   S_036E80_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036E80_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036E80_PERF_SEL                                           0xFFFFFC00
#define     V_036E80_GL1C_PERF_SEL_CYCLE                            0
#define     V_036E80_GL1C_PERF_SEL_BUSY                             1
#define     V_036E80_GL1C_PERF_SEL_ARB_RET_LEVEL                    2
#define     V_036E80_GL1C_PERF_SEL_GL2_REQ_READ                     3
#define     V_036E80_GL1C_PERF_SEL_GL2_REQ_READ_128B                4
#define     V_036E80_GL1C_PERF_SEL_GL2_REQ_READ_32B                 5
#define     V_036E80_GL1C_PERF_SEL_GL2_REQ_READ_64B                 6
#define     V_036E80_GL1C_PERF_SEL_GL2_REQ_READ_LATENCY             7
#define     V_036E80_GL1C_PERF_SEL_GL2_REQ_WRITE                    8
#define     V_036E80_GL1C_PERF_SEL_GL2_REQ_WRITE_32B                9
#define     V_036E80_GL1C_PERF_SEL_GL2_REQ_WRITE_64B                10
#define     V_036E80_GL1C_PERF_SEL_GL2_REQ_WRITE_LATENCY            11
#define     V_036E80_GL1C_PERF_SEL_GL2_REQ_PREFETCH                 12
#define     V_036E80_GL1C_PERF_SEL_REQ                              13
#define     V_036E80_GL1C_PERF_SEL_REQ_ATOMIC_WITH_RET              14
#define     V_036E80_GL1C_PERF_SEL_REQ_ATOMIC_WITHOUT_RET           15
#define     V_036E80_GL1C_PERF_SEL_REQ_SHADER_INV                   16
#define     V_036E80_GL1C_PERF_SEL_REQ_MISS                         17
#define     V_036E80_GL1C_PERF_SEL_REQ_NOP_ACK                      18
#define     V_036E80_GL1C_PERF_SEL_REQ_NOP_RTN0                     19
#define     V_036E80_GL1C_PERF_SEL_REQ_READ                         20
#define     V_036E80_GL1C_PERF_SEL_REQ_READ_128B                    21
#define     V_036E80_GL1C_PERF_SEL_REQ_READ_32B                     22
#define     V_036E80_GL1C_PERF_SEL_REQ_READ_64B                     23
#define     V_036E80_GL1C_PERF_SEL_REQ_READ_POLICY_HIT_EVICT        24
#define     V_036E80_GL1C_PERF_SEL_REQ_READ_POLICY_HIT_LRU          25
#define     V_036E80_GL1C_PERF_SEL_REQ_READ_POLICY_MISS_EVICT       26
#define     V_036E80_GL1C_PERF_SEL_REQ_WRITE                        27
#define     V_036E80_GL1C_PERF_SEL_REQ_WRITE_32B                    28
#define     V_036E80_GL1C_PERF_SEL_REQ_WRITE_64B                    29
#define     V_036E80_GL1C_PERF_SEL_STALL_GL2_GL1                    30
#define     V_036E80_GL1C_PERF_SEL_STALL_LFIFO_FULL                 31
#define     V_036E80_GL1C_PERF_SEL_STALL_NO_AVAILABLE_ACK_ALLOC     32
#define     V_036E80_GL1C_PERF_SEL_STALL_NOTHING_REPLACEABLE        33
#define     V_036E80_GL1C_PERF_SEL_STALL_GCR_INV                    34
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT0                      35
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT1                      36
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT2                      37
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT3                      38
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT4                      39
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT5                      40
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT6                      41
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT7                      42
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT8                      43
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT9                      44
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT10                     45
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT11                     46
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT12                     47
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT13                     48
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT14                     49
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT15                     50
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT16                     51
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT17                     52
#define     V_036E80_GL1C_PERF_SEL_REQ_CLIENT18                     53
#define   S_036E80_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036E80_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036E80_PERF_SEL1                                          0xFFF003FF
#define   S_036E80_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036E80_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036E80_CNTR_MODE                                          0xFF0FFFFF
#define   S_036E80_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036E80_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036E80_PERF_MODE1                                         0xF0FFFFFF
#define   S_036E80_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036E80_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036E80_PERF_MODE                                          0x0FFFFFFF
#define R_036E84_GL1C_PERFCOUNTER0_SELECT1                              0x036E84 /* >= gfx10 */
#define   S_036E84_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_036E84_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036E84_PERF_SEL2                                          0xFFFFFC00
#define     V_036E84_GL1C_PERF_SEL_CYCLE                            0
#define     V_036E84_GL1C_PERF_SEL_BUSY                             1
#define     V_036E84_GL1C_PERF_SEL_ARB_RET_LEVEL                    2
#define     V_036E84_GL1C_PERF_SEL_GL2_REQ_READ                     3
#define     V_036E84_GL1C_PERF_SEL_GL2_REQ_READ_128B                4
#define     V_036E84_GL1C_PERF_SEL_GL2_REQ_READ_32B                 5
#define     V_036E84_GL1C_PERF_SEL_GL2_REQ_READ_64B                 6
#define     V_036E84_GL1C_PERF_SEL_GL2_REQ_READ_LATENCY             7
#define     V_036E84_GL1C_PERF_SEL_GL2_REQ_WRITE                    8
#define     V_036E84_GL1C_PERF_SEL_GL2_REQ_WRITE_32B                9
#define     V_036E84_GL1C_PERF_SEL_GL2_REQ_WRITE_64B                10
#define     V_036E84_GL1C_PERF_SEL_GL2_REQ_WRITE_LATENCY            11
#define     V_036E84_GL1C_PERF_SEL_GL2_REQ_PREFETCH                 12
#define     V_036E84_GL1C_PERF_SEL_REQ                              13
#define     V_036E84_GL1C_PERF_SEL_REQ_ATOMIC_WITH_RET              14
#define     V_036E84_GL1C_PERF_SEL_REQ_ATOMIC_WITHOUT_RET           15
#define     V_036E84_GL1C_PERF_SEL_REQ_SHADER_INV                   16
#define     V_036E84_GL1C_PERF_SEL_REQ_MISS                         17
#define     V_036E84_GL1C_PERF_SEL_REQ_NOP_ACK                      18
#define     V_036E84_GL1C_PERF_SEL_REQ_NOP_RTN0                     19
#define     V_036E84_GL1C_PERF_SEL_REQ_READ                         20
#define     V_036E84_GL1C_PERF_SEL_REQ_READ_128B                    21
#define     V_036E84_GL1C_PERF_SEL_REQ_READ_32B                     22
#define     V_036E84_GL1C_PERF_SEL_REQ_READ_64B                     23
#define     V_036E84_GL1C_PERF_SEL_REQ_READ_POLICY_HIT_EVICT        24
#define     V_036E84_GL1C_PERF_SEL_REQ_READ_POLICY_HIT_LRU          25
#define     V_036E84_GL1C_PERF_SEL_REQ_READ_POLICY_MISS_EVICT       26
#define     V_036E84_GL1C_PERF_SEL_REQ_WRITE                        27
#define     V_036E84_GL1C_PERF_SEL_REQ_WRITE_32B                    28
#define     V_036E84_GL1C_PERF_SEL_REQ_WRITE_64B                    29
#define     V_036E84_GL1C_PERF_SEL_STALL_GL2_GL1                    30
#define     V_036E84_GL1C_PERF_SEL_STALL_LFIFO_FULL                 31
#define     V_036E84_GL1C_PERF_SEL_STALL_NO_AVAILABLE_ACK_ALLOC     32
#define     V_036E84_GL1C_PERF_SEL_STALL_NOTHING_REPLACEABLE        33
#define     V_036E84_GL1C_PERF_SEL_STALL_GCR_INV                    34
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT0                      35
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT1                      36
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT2                      37
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT3                      38
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT4                      39
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT5                      40
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT6                      41
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT7                      42
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT8                      43
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT9                      44
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT10                     45
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT11                     46
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT12                     47
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT13                     48
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT14                     49
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT15                     50
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT16                     51
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT17                     52
#define     V_036E84_GL1C_PERF_SEL_REQ_CLIENT18                     53
#define   S_036E84_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036E84_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036E84_PERF_SEL3                                          0xFFF003FF
#define   S_036E84_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036E84_PERF_MODE2(x)                                      (((x) >> 24) & 0xF)
#define   C_036E84_PERF_MODE2                                         0xF0FFFFFF
#define   S_036E84_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_036E84_PERF_MODE3(x)                                      (((x) >> 28) & 0xF)
#define   C_036E84_PERF_MODE3                                         0x0FFFFFFF
#define R_036E88_GL1C_PERFCOUNTER1_SELECT                               0x036E88 /* >= gfx10 */
#define   S_036E88_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036E88_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036E88_PERF_SEL                                           0xFFFFFC00
#define     V_036E88_GL1C_PERF_SEL_CYCLE                            0
#define     V_036E88_GL1C_PERF_SEL_BUSY                             1
#define     V_036E88_GL1C_PERF_SEL_ARB_RET_LEVEL                    2
#define     V_036E88_GL1C_PERF_SEL_GL2_REQ_READ                     3
#define     V_036E88_GL1C_PERF_SEL_GL2_REQ_READ_128B                4
#define     V_036E88_GL1C_PERF_SEL_GL2_REQ_READ_32B                 5
#define     V_036E88_GL1C_PERF_SEL_GL2_REQ_READ_64B                 6
#define     V_036E88_GL1C_PERF_SEL_GL2_REQ_READ_LATENCY             7
#define     V_036E88_GL1C_PERF_SEL_GL2_REQ_WRITE                    8
#define     V_036E88_GL1C_PERF_SEL_GL2_REQ_WRITE_32B                9
#define     V_036E88_GL1C_PERF_SEL_GL2_REQ_WRITE_64B                10
#define     V_036E88_GL1C_PERF_SEL_GL2_REQ_WRITE_LATENCY            11
#define     V_036E88_GL1C_PERF_SEL_GL2_REQ_PREFETCH                 12
#define     V_036E88_GL1C_PERF_SEL_REQ                              13
#define     V_036E88_GL1C_PERF_SEL_REQ_ATOMIC_WITH_RET              14
#define     V_036E88_GL1C_PERF_SEL_REQ_ATOMIC_WITHOUT_RET           15
#define     V_036E88_GL1C_PERF_SEL_REQ_SHADER_INV                   16
#define     V_036E88_GL1C_PERF_SEL_REQ_MISS                         17
#define     V_036E88_GL1C_PERF_SEL_REQ_NOP_ACK                      18
#define     V_036E88_GL1C_PERF_SEL_REQ_NOP_RTN0                     19
#define     V_036E88_GL1C_PERF_SEL_REQ_READ                         20
#define     V_036E88_GL1C_PERF_SEL_REQ_READ_128B                    21
#define     V_036E88_GL1C_PERF_SEL_REQ_READ_32B                     22
#define     V_036E88_GL1C_PERF_SEL_REQ_READ_64B                     23
#define     V_036E88_GL1C_PERF_SEL_REQ_READ_POLICY_HIT_EVICT        24
#define     V_036E88_GL1C_PERF_SEL_REQ_READ_POLICY_HIT_LRU          25
#define     V_036E88_GL1C_PERF_SEL_REQ_READ_POLICY_MISS_EVICT       26
#define     V_036E88_GL1C_PERF_SEL_REQ_WRITE                        27
#define     V_036E88_GL1C_PERF_SEL_REQ_WRITE_32B                    28
#define     V_036E88_GL1C_PERF_SEL_REQ_WRITE_64B                    29
#define     V_036E88_GL1C_PERF_SEL_STALL_GL2_GL1                    30
#define     V_036E88_GL1C_PERF_SEL_STALL_LFIFO_FULL                 31
#define     V_036E88_GL1C_PERF_SEL_STALL_NO_AVAILABLE_ACK_ALLOC     32
#define     V_036E88_GL1C_PERF_SEL_STALL_NOTHING_REPLACEABLE        33
#define     V_036E88_GL1C_PERF_SEL_STALL_GCR_INV                    34
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT0                      35
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT1                      36
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT2                      37
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT3                      38
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT4                      39
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT5                      40
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT6                      41
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT7                      42
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT8                      43
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT9                      44
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT10                     45
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT11                     46
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT12                     47
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT13                     48
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT14                     49
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT15                     50
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT16                     51
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT17                     52
#define     V_036E88_GL1C_PERF_SEL_REQ_CLIENT18                     53
#define   S_036E88_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036E88_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036E88_CNTR_MODE                                          0xFF0FFFFF
#define   S_036E88_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036E88_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036E88_PERF_MODE                                          0x0FFFFFFF
#define R_036E8C_GL1C_PERFCOUNTER2_SELECT                               0x036E8C /* >= gfx10 */
#define R_036E90_GL1C_PERFCOUNTER3_SELECT                               0x036E90 /* >= gfx10 */
#define R_036E98_GL1CG_PERFCOUNTER0_SELECT                              0x036E98 /* >= gfx10 */
#define   S_036E98_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036E98_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036E98_PERF_SEL                                           0xFFFFFC00
#define     V_036E98_GL1CG_PERF_SEL_CYCLE                           0
#define     V_036E98_GL1CG_PERF_SEL_BUSY                            1
#define     V_036E98_GL1CG_PERF_SEL_ARB_RET_LEVEL                   2
#define     V_036E98_GL1CG_PERF_SEL_GL2_REQ_READ_LATENCY            3
#define     V_036E98_GL1CG_PERF_SEL_GL2_REQ_WRITE_LATENCY           4
#define     V_036E98_GL1CG_PERF_SEL_REQ                             5
#define     V_036E98_GL1CG_PERF_SEL_REQ_ATOMIC_WITH_RET             6
#define     V_036E98_GL1CG_PERF_SEL_REQ_ATOMIC_WITHOUT_RET          7
#define     V_036E98_GL1CG_PERF_SEL_REQ_NOP_ACK                     8
#define     V_036E98_GL1CG_PERF_SEL_REQ_NOP_RTN0                    9
#define     V_036E98_GL1CG_PERF_SEL_REQ_READ                        10
#define     V_036E98_GL1CG_PERF_SEL_REQ_READ_128B                   11
#define     V_036E98_GL1CG_PERF_SEL_REQ_READ_32B                    12
#define     V_036E98_GL1CG_PERF_SEL_REQ_READ_64B                    13
#define     V_036E98_GL1CG_PERF_SEL_REQ_WRITE                       14
#define     V_036E98_GL1CG_PERF_SEL_REQ_WRITE_32B                   15
#define     V_036E98_GL1CG_PERF_SEL_REQ_WRITE_64B                   16
#define     V_036E98_GL1CG_PERF_SEL_STALL_GUS_GL1                   17
#define     V_036E98_GL1CG_PERF_SEL_STALL_BUFFER_FULL               18
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT0                     19
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT1                     20
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT2                     21
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT3                     22
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT4                     23
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT5                     24
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT6                     25
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT7                     26
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT8                     27
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT9                     28
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT10                    29
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT11                    30
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT12                    31
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT13                    32
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT14                    33
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT15                    34
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT16                    35
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT17                    36
#define     V_036E98_GL1CG_PERF_SEL_REQ_CLIENT18                    37
#define   S_036E98_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036E98_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036E98_PERF_SEL1                                          0xFFF003FF
#define   S_036E98_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036E98_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036E98_CNTR_MODE                                          0xFF0FFFFF
#define   S_036E98_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036E98_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036E98_PERF_MODE1                                         0xF0FFFFFF
#define   S_036E98_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036E98_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036E98_PERF_MODE                                          0x0FFFFFFF
#define R_036E9C_GL1CG_PERFCOUNTER0_SELECT1                             0x036E9C /* >= gfx10 */
#define   S_036E9C_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_036E9C_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036E9C_PERF_SEL2                                          0xFFFFFC00
#define     V_036E9C_GL1CG_PERF_SEL_CYCLE                           0
#define     V_036E9C_GL1CG_PERF_SEL_BUSY                            1
#define     V_036E9C_GL1CG_PERF_SEL_ARB_RET_LEVEL                   2
#define     V_036E9C_GL1CG_PERF_SEL_GL2_REQ_READ_LATENCY            3
#define     V_036E9C_GL1CG_PERF_SEL_GL2_REQ_WRITE_LATENCY           4
#define     V_036E9C_GL1CG_PERF_SEL_REQ                             5
#define     V_036E9C_GL1CG_PERF_SEL_REQ_ATOMIC_WITH_RET             6
#define     V_036E9C_GL1CG_PERF_SEL_REQ_ATOMIC_WITHOUT_RET          7
#define     V_036E9C_GL1CG_PERF_SEL_REQ_NOP_ACK                     8
#define     V_036E9C_GL1CG_PERF_SEL_REQ_NOP_RTN0                    9
#define     V_036E9C_GL1CG_PERF_SEL_REQ_READ                        10
#define     V_036E9C_GL1CG_PERF_SEL_REQ_READ_128B                   11
#define     V_036E9C_GL1CG_PERF_SEL_REQ_READ_32B                    12
#define     V_036E9C_GL1CG_PERF_SEL_REQ_READ_64B                    13
#define     V_036E9C_GL1CG_PERF_SEL_REQ_WRITE                       14
#define     V_036E9C_GL1CG_PERF_SEL_REQ_WRITE_32B                   15
#define     V_036E9C_GL1CG_PERF_SEL_REQ_WRITE_64B                   16
#define     V_036E9C_GL1CG_PERF_SEL_STALL_GUS_GL1                   17
#define     V_036E9C_GL1CG_PERF_SEL_STALL_BUFFER_FULL               18
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT0                     19
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT1                     20
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT2                     21
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT3                     22
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT4                     23
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT5                     24
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT6                     25
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT7                     26
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT8                     27
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT9                     28
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT10                    29
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT11                    30
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT12                    31
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT13                    32
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT14                    33
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT15                    34
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT16                    35
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT17                    36
#define     V_036E9C_GL1CG_PERF_SEL_REQ_CLIENT18                    37
#define   S_036E9C_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036E9C_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036E9C_PERF_SEL3                                          0xFFF003FF
#define   S_036E9C_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036E9C_PERF_MODE2(x)                                      (((x) >> 24) & 0xF)
#define   C_036E9C_PERF_MODE2                                         0xF0FFFFFF
#define   S_036E9C_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_036E9C_PERF_MODE3(x)                                      (((x) >> 28) & 0xF)
#define   C_036E9C_PERF_MODE3                                         0x0FFFFFFF
#define R_036EA0_GL1CG_PERFCOUNTER1_SELECT                              0x036EA0 /* >= gfx10 */
#define   S_036EA0_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036EA0_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036EA0_PERF_SEL                                           0xFFFFFC00
#define     V_036EA0_GL1CG_PERF_SEL_CYCLE                           0
#define     V_036EA0_GL1CG_PERF_SEL_BUSY                            1
#define     V_036EA0_GL1CG_PERF_SEL_ARB_RET_LEVEL                   2
#define     V_036EA0_GL1CG_PERF_SEL_GL2_REQ_READ_LATENCY            3
#define     V_036EA0_GL1CG_PERF_SEL_GL2_REQ_WRITE_LATENCY           4
#define     V_036EA0_GL1CG_PERF_SEL_REQ                             5
#define     V_036EA0_GL1CG_PERF_SEL_REQ_ATOMIC_WITH_RET             6
#define     V_036EA0_GL1CG_PERF_SEL_REQ_ATOMIC_WITHOUT_RET          7
#define     V_036EA0_GL1CG_PERF_SEL_REQ_NOP_ACK                     8
#define     V_036EA0_GL1CG_PERF_SEL_REQ_NOP_RTN0                    9
#define     V_036EA0_GL1CG_PERF_SEL_REQ_READ                        10
#define     V_036EA0_GL1CG_PERF_SEL_REQ_READ_128B                   11
#define     V_036EA0_GL1CG_PERF_SEL_REQ_READ_32B                    12
#define     V_036EA0_GL1CG_PERF_SEL_REQ_READ_64B                    13
#define     V_036EA0_GL1CG_PERF_SEL_REQ_WRITE                       14
#define     V_036EA0_GL1CG_PERF_SEL_REQ_WRITE_32B                   15
#define     V_036EA0_GL1CG_PERF_SEL_REQ_WRITE_64B                   16
#define     V_036EA0_GL1CG_PERF_SEL_STALL_GUS_GL1                   17
#define     V_036EA0_GL1CG_PERF_SEL_STALL_BUFFER_FULL               18
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT0                     19
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT1                     20
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT2                     21
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT3                     22
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT4                     23
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT5                     24
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT6                     25
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT7                     26
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT8                     27
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT9                     28
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT10                    29
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT11                    30
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT12                    31
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT13                    32
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT14                    33
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT15                    34
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT16                    35
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT17                    36
#define     V_036EA0_GL1CG_PERF_SEL_REQ_CLIENT18                    37
#define   S_036EA0_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036EA0_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036EA0_CNTR_MODE                                          0xFF0FFFFF
#define   S_036EA0_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036EA0_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036EA0_PERF_MODE                                          0x0FFFFFFF
#define R_036EA4_GL1CG_PERFCOUNTER2_SELECT                              0x036EA4 /* >= gfx10 */
#define R_036EA8_GL1CG_PERFCOUNTER3_SELECT                              0x036EA8 /* >= gfx10 */
#define R_036F00_CHC_PERFCOUNTER0_SELECT                                0x036F00 /* >= gfx10 */
#define   S_036F00_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036F00_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036F00_PERF_SEL                                           0xFFFFFC00
#define     V_036F00_CHC_PERF_SEL_CYCLE                             0
#define     V_036F00_CHC_PERF_SEL_BUSY                              1
#define     V_036F00_CHC_PERF_SEL_ARB_RET_LEVEL                     2
#define     V_036F00_CHC_PERF_SEL_GL2_REQ_READ_LATENCY              3
#define     V_036F00_CHC_PERF_SEL_GL2_REQ_WRITE_LATENCY             4
#define     V_036F00_CHC_PERF_SEL_REQ                               5
#define     V_036F00_CHC_PERF_SEL_REQ_ATOMIC_WITH_RET               6
#define     V_036F00_CHC_PERF_SEL_REQ_ATOMIC_WITHOUT_RET            7
#define     V_036F00_CHC_PERF_SEL_REQ_NOP_ACK                       8
#define     V_036F00_CHC_PERF_SEL_REQ_NOP_RTN0                      9
#define     V_036F00_CHC_PERF_SEL_REQ_READ                          10
#define     V_036F00_CHC_PERF_SEL_REQ_READ_128B                     11
#define     V_036F00_CHC_PERF_SEL_REQ_READ_32B                      12
#define     V_036F00_CHC_PERF_SEL_REQ_READ_64B                      13
#define     V_036F00_CHC_PERF_SEL_REQ_WRITE                         14
#define     V_036F00_CHC_PERF_SEL_REQ_WRITE_32B                     15
#define     V_036F00_CHC_PERF_SEL_REQ_WRITE_64B                     16
#define     V_036F00_CHC_PERF_SEL_STALL_GL2_GL1                     17
#define     V_036F00_CHC_PERF_SEL_STALL_BUFFER_FULL                 18
#define     V_036F00_CHC_PERF_SEL_REQ_CLIENT0                       19
#define     V_036F00_CHC_PERF_SEL_REQ_CLIENT1                       20
#define     V_036F00_CHC_PERF_SEL_REQ_CLIENT2                       21
#define     V_036F00_CHC_PERF_SEL_REQ_CLIENT3                       22
#define     V_036F00_CHC_PERF_SEL_REQ_CLIENT4                       23
#define     V_036F00_CHC_PERF_SEL_REQ_CLIENT5                       24
#define     V_036F00_CHC_PERF_SEL_REQ_CLIENT6                       25
#define     V_036F00_CHC_PERF_SEL_REQ_CLIENT7                       26
#define     V_036F00_CHC_PERF_SEL_REQ_CLIENT8                       27
#define     V_036F00_CHC_PERF_SEL_REQ_CLIENT9                       28
#define     V_036F00_CHC_PERF_SEL_REQ_CLIENT10                      29
#define     V_036F00_CHC_PERF_SEL_REQ_CLIENT11                      30
#define     V_036F00_CHC_PERF_SEL_REQ_CLIENT12                      31
#define     V_036F00_CHC_PERF_SEL_REQ_CLIENT13                      32
#define     V_036F00_CHC_PERF_SEL_REQ_CLIENT14                      33
#define   S_036F00_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036F00_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036F00_PERF_SEL1                                          0xFFF003FF
#define   S_036F00_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036F00_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036F00_CNTR_MODE                                          0xFF0FFFFF
#define   S_036F00_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036F00_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036F00_PERF_MODE1                                         0xF0FFFFFF
#define   S_036F00_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036F00_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036F00_PERF_MODE                                          0x0FFFFFFF
#define R_036F04_CHC_PERFCOUNTER0_SELECT1                               0x036F04 /* >= gfx10 */
#define   S_036F04_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_036F04_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036F04_PERF_SEL2                                          0xFFFFFC00
#define     V_036F04_CHC_PERF_SEL_CYCLE                             0
#define     V_036F04_CHC_PERF_SEL_BUSY                              1
#define     V_036F04_CHC_PERF_SEL_ARB_RET_LEVEL                     2
#define     V_036F04_CHC_PERF_SEL_GL2_REQ_READ_LATENCY              3
#define     V_036F04_CHC_PERF_SEL_GL2_REQ_WRITE_LATENCY             4
#define     V_036F04_CHC_PERF_SEL_REQ                               5
#define     V_036F04_CHC_PERF_SEL_REQ_ATOMIC_WITH_RET               6
#define     V_036F04_CHC_PERF_SEL_REQ_ATOMIC_WITHOUT_RET            7
#define     V_036F04_CHC_PERF_SEL_REQ_NOP_ACK                       8
#define     V_036F04_CHC_PERF_SEL_REQ_NOP_RTN0                      9
#define     V_036F04_CHC_PERF_SEL_REQ_READ                          10
#define     V_036F04_CHC_PERF_SEL_REQ_READ_128B                     11
#define     V_036F04_CHC_PERF_SEL_REQ_READ_32B                      12
#define     V_036F04_CHC_PERF_SEL_REQ_READ_64B                      13
#define     V_036F04_CHC_PERF_SEL_REQ_WRITE                         14
#define     V_036F04_CHC_PERF_SEL_REQ_WRITE_32B                     15
#define     V_036F04_CHC_PERF_SEL_REQ_WRITE_64B                     16
#define     V_036F04_CHC_PERF_SEL_STALL_GL2_GL1                     17
#define     V_036F04_CHC_PERF_SEL_STALL_BUFFER_FULL                 18
#define     V_036F04_CHC_PERF_SEL_REQ_CLIENT0                       19
#define     V_036F04_CHC_PERF_SEL_REQ_CLIENT1                       20
#define     V_036F04_CHC_PERF_SEL_REQ_CLIENT2                       21
#define     V_036F04_CHC_PERF_SEL_REQ_CLIENT3                       22
#define     V_036F04_CHC_PERF_SEL_REQ_CLIENT4                       23
#define     V_036F04_CHC_PERF_SEL_REQ_CLIENT5                       24
#define     V_036F04_CHC_PERF_SEL_REQ_CLIENT6                       25
#define     V_036F04_CHC_PERF_SEL_REQ_CLIENT7                       26
#define     V_036F04_CHC_PERF_SEL_REQ_CLIENT8                       27
#define     V_036F04_CHC_PERF_SEL_REQ_CLIENT9                       28
#define     V_036F04_CHC_PERF_SEL_REQ_CLIENT10                      29
#define     V_036F04_CHC_PERF_SEL_REQ_CLIENT11                      30
#define     V_036F04_CHC_PERF_SEL_REQ_CLIENT12                      31
#define     V_036F04_CHC_PERF_SEL_REQ_CLIENT13                      32
#define     V_036F04_CHC_PERF_SEL_REQ_CLIENT14                      33
#define   S_036F04_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036F04_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036F04_PERF_SEL3                                          0xFFF003FF
#define   S_036F04_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036F04_PERF_MODE2(x)                                      (((x) >> 24) & 0xF)
#define   C_036F04_PERF_MODE2                                         0xF0FFFFFF
#define   S_036F04_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_036F04_PERF_MODE3(x)                                      (((x) >> 28) & 0xF)
#define   C_036F04_PERF_MODE3                                         0x0FFFFFFF
#define R_036F08_CHC_PERFCOUNTER1_SELECT                                0x036F08 /* >= gfx10 */
#define   S_036F08_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036F08_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036F08_PERF_SEL                                           0xFFFFFC00
#define     V_036F08_CHC_PERF_SEL_CYCLE                             0
#define     V_036F08_CHC_PERF_SEL_BUSY                              1
#define     V_036F08_CHC_PERF_SEL_ARB_RET_LEVEL                     2
#define     V_036F08_CHC_PERF_SEL_GL2_REQ_READ_LATENCY              3
#define     V_036F08_CHC_PERF_SEL_GL2_REQ_WRITE_LATENCY             4
#define     V_036F08_CHC_PERF_SEL_REQ                               5
#define     V_036F08_CHC_PERF_SEL_REQ_ATOMIC_WITH_RET               6
#define     V_036F08_CHC_PERF_SEL_REQ_ATOMIC_WITHOUT_RET            7
#define     V_036F08_CHC_PERF_SEL_REQ_NOP_ACK                       8
#define     V_036F08_CHC_PERF_SEL_REQ_NOP_RTN0                      9
#define     V_036F08_CHC_PERF_SEL_REQ_READ                          10
#define     V_036F08_CHC_PERF_SEL_REQ_READ_128B                     11
#define     V_036F08_CHC_PERF_SEL_REQ_READ_32B                      12
#define     V_036F08_CHC_PERF_SEL_REQ_READ_64B                      13
#define     V_036F08_CHC_PERF_SEL_REQ_WRITE                         14
#define     V_036F08_CHC_PERF_SEL_REQ_WRITE_32B                     15
#define     V_036F08_CHC_PERF_SEL_REQ_WRITE_64B                     16
#define     V_036F08_CHC_PERF_SEL_STALL_GL2_GL1                     17
#define     V_036F08_CHC_PERF_SEL_STALL_BUFFER_FULL                 18
#define     V_036F08_CHC_PERF_SEL_REQ_CLIENT0                       19
#define     V_036F08_CHC_PERF_SEL_REQ_CLIENT1                       20
#define     V_036F08_CHC_PERF_SEL_REQ_CLIENT2                       21
#define     V_036F08_CHC_PERF_SEL_REQ_CLIENT3                       22
#define     V_036F08_CHC_PERF_SEL_REQ_CLIENT4                       23
#define     V_036F08_CHC_PERF_SEL_REQ_CLIENT5                       24
#define     V_036F08_CHC_PERF_SEL_REQ_CLIENT6                       25
#define     V_036F08_CHC_PERF_SEL_REQ_CLIENT7                       26
#define     V_036F08_CHC_PERF_SEL_REQ_CLIENT8                       27
#define     V_036F08_CHC_PERF_SEL_REQ_CLIENT9                       28
#define     V_036F08_CHC_PERF_SEL_REQ_CLIENT10                      29
#define     V_036F08_CHC_PERF_SEL_REQ_CLIENT11                      30
#define     V_036F08_CHC_PERF_SEL_REQ_CLIENT12                      31
#define     V_036F08_CHC_PERF_SEL_REQ_CLIENT13                      32
#define     V_036F08_CHC_PERF_SEL_REQ_CLIENT14                      33
#define   S_036F08_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036F08_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036F08_CNTR_MODE                                          0xFF0FFFFF
#define   S_036F08_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036F08_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036F08_PERF_MODE                                          0x0FFFFFFF
#define R_036F0C_CHC_PERFCOUNTER2_SELECT                                0x036F0C /* >= gfx10 */
#define R_036F10_CHC_PERFCOUNTER3_SELECT                                0x036F10 /* >= gfx10 */
#define R_036F18_CHCG_PERFCOUNTER0_SELECT                               0x036F18 /* >= gfx10 */
#define   S_036F18_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036F18_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036F18_PERF_SEL                                           0xFFFFFC00
#define     V_036F18_CHCG_PERF_SEL_CYCLE                            0
#define     V_036F18_CHCG_PERF_SEL_BUSY                             1
#define     V_036F18_CHCG_PERF_SEL_ARB_RET_LEVEL                    2
#define     V_036F18_CHCG_PERF_SEL_GL2_REQ_READ_LATENCY             3
#define     V_036F18_CHCG_PERF_SEL_GL2_REQ_WRITE_LATENCY            4
#define     V_036F18_CHCG_PERF_SEL_REQ                              5
#define     V_036F18_CHCG_PERF_SEL_REQ_ATOMIC_WITH_RET              6
#define     V_036F18_CHCG_PERF_SEL_REQ_ATOMIC_WITHOUT_RET           7
#define     V_036F18_CHCG_PERF_SEL_REQ_NOP_ACK                      8
#define     V_036F18_CHCG_PERF_SEL_REQ_NOP_RTN0                     9
#define     V_036F18_CHCG_PERF_SEL_REQ_READ                         10
#define     V_036F18_CHCG_PERF_SEL_REQ_READ_128B                    11
#define     V_036F18_CHCG_PERF_SEL_REQ_READ_32B                     12
#define     V_036F18_CHCG_PERF_SEL_REQ_READ_64B                     13
#define     V_036F18_CHCG_PERF_SEL_REQ_WRITE                        14
#define     V_036F18_CHCG_PERF_SEL_REQ_WRITE_32B                    15
#define     V_036F18_CHCG_PERF_SEL_REQ_WRITE_64B                    16
#define     V_036F18_CHCG_PERF_SEL_STALL_GUS_GL1                    17
#define     V_036F18_CHCG_PERF_SEL_STALL_BUFFER_FULL                18
#define     V_036F18_CHCG_PERF_SEL_REQ_CLIENT0                      19
#define     V_036F18_CHCG_PERF_SEL_REQ_CLIENT1                      20
#define     V_036F18_CHCG_PERF_SEL_REQ_CLIENT2                      21
#define     V_036F18_CHCG_PERF_SEL_REQ_CLIENT3                      22
#define     V_036F18_CHCG_PERF_SEL_REQ_CLIENT4                      23
#define     V_036F18_CHCG_PERF_SEL_REQ_CLIENT5                      24
#define     V_036F18_CHCG_PERF_SEL_REQ_CLIENT6                      25
#define     V_036F18_CHCG_PERF_SEL_REQ_CLIENT7                      26
#define     V_036F18_CHCG_PERF_SEL_REQ_CLIENT8                      27
#define     V_036F18_CHCG_PERF_SEL_REQ_CLIENT9                      28
#define     V_036F18_CHCG_PERF_SEL_REQ_CLIENT10                     29
#define     V_036F18_CHCG_PERF_SEL_REQ_CLIENT11                     30
#define     V_036F18_CHCG_PERF_SEL_REQ_CLIENT12                     31
#define     V_036F18_CHCG_PERF_SEL_REQ_CLIENT13                     32
#define     V_036F18_CHCG_PERF_SEL_REQ_CLIENT14                     33
#define   S_036F18_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036F18_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036F18_PERF_SEL1                                          0xFFF003FF
#define   S_036F18_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036F18_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036F18_CNTR_MODE                                          0xFF0FFFFF
#define   S_036F18_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036F18_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_036F18_PERF_MODE1                                         0xF0FFFFFF
#define   S_036F18_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036F18_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036F18_PERF_MODE                                          0x0FFFFFFF
#define R_036F1C_CHCG_PERFCOUNTER0_SELECT1                              0x036F1C /* >= gfx10 */
#define   S_036F1C_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_036F1C_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_036F1C_PERF_SEL2                                          0xFFFFFC00
#define     V_036F1C_CHCG_PERF_SEL_CYCLE                            0
#define     V_036F1C_CHCG_PERF_SEL_BUSY                             1
#define     V_036F1C_CHCG_PERF_SEL_ARB_RET_LEVEL                    2
#define     V_036F1C_CHCG_PERF_SEL_GL2_REQ_READ_LATENCY             3
#define     V_036F1C_CHCG_PERF_SEL_GL2_REQ_WRITE_LATENCY            4
#define     V_036F1C_CHCG_PERF_SEL_REQ                              5
#define     V_036F1C_CHCG_PERF_SEL_REQ_ATOMIC_WITH_RET              6
#define     V_036F1C_CHCG_PERF_SEL_REQ_ATOMIC_WITHOUT_RET           7
#define     V_036F1C_CHCG_PERF_SEL_REQ_NOP_ACK                      8
#define     V_036F1C_CHCG_PERF_SEL_REQ_NOP_RTN0                     9
#define     V_036F1C_CHCG_PERF_SEL_REQ_READ                         10
#define     V_036F1C_CHCG_PERF_SEL_REQ_READ_128B                    11
#define     V_036F1C_CHCG_PERF_SEL_REQ_READ_32B                     12
#define     V_036F1C_CHCG_PERF_SEL_REQ_READ_64B                     13
#define     V_036F1C_CHCG_PERF_SEL_REQ_WRITE                        14
#define     V_036F1C_CHCG_PERF_SEL_REQ_WRITE_32B                    15
#define     V_036F1C_CHCG_PERF_SEL_REQ_WRITE_64B                    16
#define     V_036F1C_CHCG_PERF_SEL_STALL_GUS_GL1                    17
#define     V_036F1C_CHCG_PERF_SEL_STALL_BUFFER_FULL                18
#define     V_036F1C_CHCG_PERF_SEL_REQ_CLIENT0                      19
#define     V_036F1C_CHCG_PERF_SEL_REQ_CLIENT1                      20
#define     V_036F1C_CHCG_PERF_SEL_REQ_CLIENT2                      21
#define     V_036F1C_CHCG_PERF_SEL_REQ_CLIENT3                      22
#define     V_036F1C_CHCG_PERF_SEL_REQ_CLIENT4                      23
#define     V_036F1C_CHCG_PERF_SEL_REQ_CLIENT5                      24
#define     V_036F1C_CHCG_PERF_SEL_REQ_CLIENT6                      25
#define     V_036F1C_CHCG_PERF_SEL_REQ_CLIENT7                      26
#define     V_036F1C_CHCG_PERF_SEL_REQ_CLIENT8                      27
#define     V_036F1C_CHCG_PERF_SEL_REQ_CLIENT9                      28
#define     V_036F1C_CHCG_PERF_SEL_REQ_CLIENT10                     29
#define     V_036F1C_CHCG_PERF_SEL_REQ_CLIENT11                     30
#define     V_036F1C_CHCG_PERF_SEL_REQ_CLIENT12                     31
#define     V_036F1C_CHCG_PERF_SEL_REQ_CLIENT13                     32
#define     V_036F1C_CHCG_PERF_SEL_REQ_CLIENT14                     33
#define   S_036F1C_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_036F1C_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_036F1C_PERF_SEL3                                          0xFFF003FF
#define   S_036F1C_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_036F1C_PERF_MODE2(x)                                      (((x) >> 24) & 0xF)
#define   C_036F1C_PERF_MODE2                                         0xF0FFFFFF
#define   S_036F1C_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_036F1C_PERF_MODE3(x)                                      (((x) >> 28) & 0xF)
#define   C_036F1C_PERF_MODE3                                         0x0FFFFFFF
#define R_036F20_CHCG_PERFCOUNTER1_SELECT                               0x036F20 /* >= gfx10 */
#define   S_036F20_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_036F20_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_036F20_PERF_SEL                                           0xFFFFFC00
#define     V_036F20_CHCG_PERF_SEL_CYCLE                            0
#define     V_036F20_CHCG_PERF_SEL_BUSY                             1
#define     V_036F20_CHCG_PERF_SEL_ARB_RET_LEVEL                    2
#define     V_036F20_CHCG_PERF_SEL_GL2_REQ_READ_LATENCY             3
#define     V_036F20_CHCG_PERF_SEL_GL2_REQ_WRITE_LATENCY            4
#define     V_036F20_CHCG_PERF_SEL_REQ                              5
#define     V_036F20_CHCG_PERF_SEL_REQ_ATOMIC_WITH_RET              6
#define     V_036F20_CHCG_PERF_SEL_REQ_ATOMIC_WITHOUT_RET           7
#define     V_036F20_CHCG_PERF_SEL_REQ_NOP_ACK                      8
#define     V_036F20_CHCG_PERF_SEL_REQ_NOP_RTN0                     9
#define     V_036F20_CHCG_PERF_SEL_REQ_READ                         10
#define     V_036F20_CHCG_PERF_SEL_REQ_READ_128B                    11
#define     V_036F20_CHCG_PERF_SEL_REQ_READ_32B                     12
#define     V_036F20_CHCG_PERF_SEL_REQ_READ_64B                     13
#define     V_036F20_CHCG_PERF_SEL_REQ_WRITE                        14
#define     V_036F20_CHCG_PERF_SEL_REQ_WRITE_32B                    15
#define     V_036F20_CHCG_PERF_SEL_REQ_WRITE_64B                    16
#define     V_036F20_CHCG_PERF_SEL_STALL_GUS_GL1                    17
#define     V_036F20_CHCG_PERF_SEL_STALL_BUFFER_FULL                18
#define     V_036F20_CHCG_PERF_SEL_REQ_CLIENT0                      19
#define     V_036F20_CHCG_PERF_SEL_REQ_CLIENT1                      20
#define     V_036F20_CHCG_PERF_SEL_REQ_CLIENT2                      21
#define     V_036F20_CHCG_PERF_SEL_REQ_CLIENT3                      22
#define     V_036F20_CHCG_PERF_SEL_REQ_CLIENT4                      23
#define     V_036F20_CHCG_PERF_SEL_REQ_CLIENT5                      24
#define     V_036F20_CHCG_PERF_SEL_REQ_CLIENT6                      25
#define     V_036F20_CHCG_PERF_SEL_REQ_CLIENT7                      26
#define     V_036F20_CHCG_PERF_SEL_REQ_CLIENT8                      27
#define     V_036F20_CHCG_PERF_SEL_REQ_CLIENT9                      28
#define     V_036F20_CHCG_PERF_SEL_REQ_CLIENT10                     29
#define     V_036F20_CHCG_PERF_SEL_REQ_CLIENT11                     30
#define     V_036F20_CHCG_PERF_SEL_REQ_CLIENT12                     31
#define     V_036F20_CHCG_PERF_SEL_REQ_CLIENT13                     32
#define     V_036F20_CHCG_PERF_SEL_REQ_CLIENT14                     33
#define   S_036F20_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_036F20_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_036F20_CNTR_MODE                                          0xFF0FFFFF
#define   S_036F20_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_036F20_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_036F20_PERF_MODE                                          0x0FFFFFFF
#define R_036F24_CHCG_PERFCOUNTER2_SELECT                               0x036F24 /* >= gfx10 */
#define R_036F28_CHCG_PERFCOUNTER3_SELECT                               0x036F28 /* >= gfx10 */
#define R_037000_CB_PERFCOUNTER_FILTER                                  0x037000
#define   S_037000_OP_FILTER_ENABLE(x)                                (((unsigned)(x) & 0x1) << 0)
#define   G_037000_OP_FILTER_ENABLE(x)                                (((x) >> 0) & 0x1)
#define   C_037000_OP_FILTER_ENABLE                                   0xFFFFFFFE
#define   S_037000_OP_FILTER_SEL(x)                                   (((unsigned)(x) & 0x7) << 1)
#define   G_037000_OP_FILTER_SEL(x)                                   (((x) >> 1) & 0x7)
#define   C_037000_OP_FILTER_SEL                                      0xFFFFFFF1
#define     V_037000_CB_PERF_OP_FILTER_SEL_WRITE_ONLY               0
#define     V_037000_CB_PERF_OP_FILTER_SEL_NEEDS_DESTINATION        1
#define     V_037000_CB_PERF_OP_FILTER_SEL_RESOLVE                  2
#define     V_037000_CB_PERF_OP_FILTER_SEL_DECOMPRESS               3
#define     V_037000_CB_PERF_OP_FILTER_SEL_FMASK_DECOMPRESS         4
#define     V_037000_CB_PERF_OP_FILTER_SEL_ELIMINATE_FAST_CLEAR     5
#define   S_037000_FORMAT_FILTER_ENABLE(x)                            (((unsigned)(x) & 0x1) << 4)
#define   G_037000_FORMAT_FILTER_ENABLE(x)                            (((x) >> 4) & 0x1)
#define   C_037000_FORMAT_FILTER_ENABLE                               0xFFFFFFEF
#define   S_037000_FORMAT_FILTER_SEL(x)                               (((unsigned)(x) & 0x1F) << 5)
#define   G_037000_FORMAT_FILTER_SEL(x)                               (((x) >> 5) & 0x1F)
#define   C_037000_FORMAT_FILTER_SEL                                  0xFFFFFC1F
#define   S_037000_CLEAR_FILTER_ENABLE(x)                             (((unsigned)(x) & 0x1) << 10)
#define   G_037000_CLEAR_FILTER_ENABLE(x)                             (((x) >> 10) & 0x1)
#define   C_037000_CLEAR_FILTER_ENABLE                                0xFFFFFBFF
#define   S_037000_CLEAR_FILTER_SEL(x)                                (((unsigned)(x) & 0x1) << 11)
#define   G_037000_CLEAR_FILTER_SEL(x)                                (((x) >> 11) & 0x1)
#define   C_037000_CLEAR_FILTER_SEL                                   0xFFFFF7FF
#define     V_037000_CB_PERF_CLEAR_FILTER_SEL_NONCLEAR              0
#define     V_037000_CB_PERF_CLEAR_FILTER_SEL_CLEAR                 1
#define   S_037000_MRT_FILTER_ENABLE(x)                               (((unsigned)(x) & 0x1) << 12)
#define   G_037000_MRT_FILTER_ENABLE(x)                               (((x) >> 12) & 0x1)
#define   C_037000_MRT_FILTER_ENABLE                                  0xFFFFEFFF
#define   S_037000_MRT_FILTER_SEL(x)                                  (((unsigned)(x) & 0x7) << 13)
#define   G_037000_MRT_FILTER_SEL(x)                                  (((x) >> 13) & 0x7)
#define   C_037000_MRT_FILTER_SEL                                     0xFFFF1FFF
#define   S_037000_NUM_SAMPLES_FILTER_ENABLE(x)                       (((unsigned)(x) & 0x1) << 17)
#define   G_037000_NUM_SAMPLES_FILTER_ENABLE(x)                       (((x) >> 17) & 0x1)
#define   C_037000_NUM_SAMPLES_FILTER_ENABLE                          0xFFFDFFFF
#define   S_037000_NUM_SAMPLES_FILTER_SEL(x)                          (((unsigned)(x) & 0x7) << 18)
#define   G_037000_NUM_SAMPLES_FILTER_SEL(x)                          (((x) >> 18) & 0x7)
#define   C_037000_NUM_SAMPLES_FILTER_SEL                             0xFFE3FFFF
#define   S_037000_NUM_FRAGMENTS_FILTER_ENABLE(x)                     (((unsigned)(x) & 0x1) << 21)
#define   G_037000_NUM_FRAGMENTS_FILTER_ENABLE(x)                     (((x) >> 21) & 0x1)
#define   C_037000_NUM_FRAGMENTS_FILTER_ENABLE                        0xFFDFFFFF
#define   S_037000_NUM_FRAGMENTS_FILTER_SEL(x)                        (((unsigned)(x) & 0x3) << 22)
#define   G_037000_NUM_FRAGMENTS_FILTER_SEL(x)                        (((x) >> 22) & 0x3)
#define   C_037000_NUM_FRAGMENTS_FILTER_SEL                           0xFF3FFFFF
#define R_037004_CB_PERFCOUNTER0_SELECT                                 0x037004
#define   S_037004_PERF_SEL(x)                                        (((unsigned)(x) & 0x1FF) << 0)
#define   G_037004_PERF_SEL(x)                                        (((x) >> 0) & 0x1FF)
#define   C_037004_PERF_SEL                                           0xFFFFFE00
#define     V_037004_CB_PERF_SEL_NONE                               0
#define     V_037004_CB_PERF_SEL_BUSY                               1
#define     V_037004_CB_PERF_SEL_CORE_SCLK_VLD                      2
#define     V_037004_CB_PERF_SEL_REG_SCLK0_VLD                      3
#define     V_037004_CB_PERF_SEL_REG_SCLK1_VLD                      4
#define     V_037004_CB_PERF_SEL_DRAWN_QUAD                         5
#define     V_037004_CB_PERF_SEL_DRAWN_PIXEL                        6
#define     V_037004_CB_PERF_SEL_DRAWN_QUAD_FRAGMENT                7
#define     V_037004_CB_PERF_SEL_DRAWN_TILE                         8
#define     V_037004_CB_PERF_SEL_DB_CB_TILE_VALID_READY             9
#define     V_037004_CB_PERF_SEL_DB_CB_TILE_VALID_READYB            10
#define     V_037004_CB_PERF_SEL_DB_CB_TILE_VALIDB_READY            11
#define     V_037004_CB_PERF_SEL_DB_CB_TILE_VALIDB_READYB           12
#define     V_037004_CB_PERF_SEL_CM_FC_TILE_VALID_READY             13
#define     V_037004_CB_PERF_SEL_CM_FC_TILE_VALID_READYB            14
#define     V_037004_CB_PERF_SEL_CM_FC_TILE_VALIDB_READY            15
#define     V_037004_CB_PERF_SEL_CM_FC_TILE_VALIDB_READYB           16
#define     V_037004_CB_PERF_SEL_MERGE_TILE_ONLY_VALID_READY        17
#define     V_037004_CB_PERF_SEL_MERGE_TILE_ONLY_VALID_READYB       18
#define     V_037004_CB_PERF_SEL_DB_CB_LQUAD_VALID_READY            19
#define     V_037004_CB_PERF_SEL_DB_CB_LQUAD_VALID_READYB           20
#define     V_037004_CB_PERF_SEL_DB_CB_LQUAD_VALIDB_READY           21
#define     V_037004_CB_PERF_SEL_DB_CB_LQUAD_VALIDB_READYB          22
#define     V_037004_CB_PERF_SEL_LQUAD_NO_TILE                      23
#define     V_037004_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_32_R        24
#define     V_037004_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_32_AR       25
#define     V_037004_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_32_GR       26
#define     V_037004_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_32_ABGR     27
#define     V_037004_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_FP16_ABGR   28
#define     V_037004_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_SIGNED16_ABGR 29
#define     V_037004_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_UNSIGNED16_ABGR 30
#define     V_037004_CB_PERF_SEL_QUAD_KILLED_BY_EXTRA_PIXEL_EXPORT  31
#define     V_037004_CB_PERF_SEL_QUAD_KILLED_BY_COLOR_INVALID       32
#define     V_037004_CB_PERF_SEL_QUAD_KILLED_BY_NULL_TARGET_SHADER_MASK 33
#define     V_037004_CB_PERF_SEL_QUAD_KILLED_BY_NULL_SAMPLE_MASK    34
#define     V_037004_CB_PERF_SEL_QUAD_KILLED_BY_DISCARD_PIXEL       35
#define     V_037004_CB_PERF_SEL_FC_CLEAR_QUAD_VALID_READY          36
#define     V_037004_CB_PERF_SEL_FC_CLEAR_QUAD_VALID_READYB         37
#define     V_037004_CB_PERF_SEL_FC_CLEAR_QUAD_VALIDB_READY         38
#define     V_037004_CB_PERF_SEL_FC_CLEAR_QUAD_VALIDB_READYB        39
#define     V_037004_CB_PERF_SEL_FOP_IN_VALID_READY                 40
#define     V_037004_CB_PERF_SEL_FOP_IN_VALID_READYB                41
#define     V_037004_CB_PERF_SEL_FOP_IN_VALIDB_READY                42
#define     V_037004_CB_PERF_SEL_FOP_IN_VALIDB_READYB               43
#define     V_037004_CB_PERF_SEL_FC_CC_QUADFRAG_VALID_READY         44
#define     V_037004_CB_PERF_SEL_FC_CC_QUADFRAG_VALID_READYB        45
#define     V_037004_CB_PERF_SEL_FC_CC_QUADFRAG_VALIDB_READY        46
#define     V_037004_CB_PERF_SEL_FC_CC_QUADFRAG_VALIDB_READYB       47
#define     V_037004_CB_PERF_SEL_CC_IB_SR_FRAG_VALID_READY          48
#define     V_037004_CB_PERF_SEL_CC_IB_SR_FRAG_VALID_READYB         49
#define     V_037004_CB_PERF_SEL_CC_IB_SR_FRAG_VALIDB_READY         50
#define     V_037004_CB_PERF_SEL_CC_IB_SR_FRAG_VALIDB_READYB        51
#define     V_037004_CB_PERF_SEL_CC_IB_TB_FRAG_VALID_READY          52
#define     V_037004_CB_PERF_SEL_CC_IB_TB_FRAG_VALID_READYB         53
#define     V_037004_CB_PERF_SEL_CC_IB_TB_FRAG_VALIDB_READY         54
#define     V_037004_CB_PERF_SEL_CC_IB_TB_FRAG_VALIDB_READYB        55
#define     V_037004_CB_PERF_SEL_CC_RB_BC_EVENFRAG_VALID_READY      56
#define     V_037004_CB_PERF_SEL_CC_RB_BC_EVENFRAG_VALID_READYB     57
#define     V_037004_CB_PERF_SEL_CC_RB_BC_EVENFRAG_VALIDB_READY     58
#define     V_037004_CB_PERF_SEL_CC_RB_BC_EVENFRAG_VALIDB_READYB    59
#define     V_037004_CB_PERF_SEL_CC_RB_BC_ODDFRAG_VALID_READY       60
#define     V_037004_CB_PERF_SEL_CC_RB_BC_ODDFRAG_VALID_READYB      61
#define     V_037004_CB_PERF_SEL_CC_RB_BC_ODDFRAG_VALIDB_READY      62
#define     V_037004_CB_PERF_SEL_CC_RB_BC_ODDFRAG_VALIDB_READYB     63
#define     V_037004_CB_PERF_SEL_CC_BC_CS_FRAG_VALID                64
#define     V_037004_CB_PERF_SEL_CM_CACHE_HIT                       65
#define     V_037004_CB_PERF_SEL_CM_CACHE_TAG_MISS                  66
#define     V_037004_CB_PERF_SEL_CM_CACHE_SECTOR_MISS               67
#define     V_037004_CB_PERF_SEL_CM_CACHE_REEVICTION_STALL          68
#define     V_037004_CB_PERF_SEL_CM_CACHE_EVICT_NONZERO_INFLIGHT_STALL 69
#define     V_037004_CB_PERF_SEL_CM_CACHE_REPLACE_PENDING_EVICT_STALL 70
#define     V_037004_CB_PERF_SEL_CM_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL 71
#define     V_037004_CB_PERF_SEL_CM_CACHE_READ_OUTPUT_STALL         72
#define     V_037004_CB_PERF_SEL_CM_CACHE_WRITE_OUTPUT_STALL        73
#define     V_037004_CB_PERF_SEL_CM_CACHE_ACK_OUTPUT_STALL          74
#define     V_037004_CB_PERF_SEL_CM_CACHE_STALL                     75
#define     V_037004_CB_PERF_SEL_CM_CACHE_FLUSH                     76
#define     V_037004_CB_PERF_SEL_CM_CACHE_TAGS_FLUSHED              77
#define     V_037004_CB_PERF_SEL_CM_CACHE_SECTORS_FLUSHED           78
#define     V_037004_CB_PERF_SEL_CM_CACHE_DIRTY_SECTORS_FLUSHED     79
#define     V_037004_CB_PERF_SEL_FC_CACHE_HIT                       80
#define     V_037004_CB_PERF_SEL_FC_CACHE_TAG_MISS                  81
#define     V_037004_CB_PERF_SEL_FC_CACHE_SECTOR_MISS               82
#define     V_037004_CB_PERF_SEL_FC_CACHE_REEVICTION_STALL          83
#define     V_037004_CB_PERF_SEL_FC_CACHE_EVICT_NONZERO_INFLIGHT_STALL 84
#define     V_037004_CB_PERF_SEL_FC_CACHE_REPLACE_PENDING_EVICT_STALL 85
#define     V_037004_CB_PERF_SEL_FC_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL 86
#define     V_037004_CB_PERF_SEL_FC_CACHE_READ_OUTPUT_STALL         87
#define     V_037004_CB_PERF_SEL_FC_CACHE_WRITE_OUTPUT_STALL        88
#define     V_037004_CB_PERF_SEL_FC_CACHE_ACK_OUTPUT_STALL          89
#define     V_037004_CB_PERF_SEL_FC_CACHE_STALL                     90
#define     V_037004_CB_PERF_SEL_FC_CACHE_FLUSH                     91
#define     V_037004_CB_PERF_SEL_FC_CACHE_TAGS_FLUSHED              92
#define     V_037004_CB_PERF_SEL_FC_CACHE_SECTORS_FLUSHED           93
#define     V_037004_CB_PERF_SEL_FC_CACHE_DIRTY_SECTORS_FLUSHED     94
#define     V_037004_CB_PERF_SEL_CC_CACHE_HIT                       95
#define     V_037004_CB_PERF_SEL_CC_CACHE_TAG_MISS                  96
#define     V_037004_CB_PERF_SEL_CC_CACHE_SECTOR_MISS               97
#define     V_037004_CB_PERF_SEL_CC_CACHE_REEVICTION_STALL          98
#define     V_037004_CB_PERF_SEL_CC_CACHE_EVICT_NONZERO_INFLIGHT_STALL 99
#define     V_037004_CB_PERF_SEL_CC_CACHE_REPLACE_PENDING_EVICT_STALL 100
#define     V_037004_CB_PERF_SEL_CC_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL 101
#define     V_037004_CB_PERF_SEL_CC_CACHE_READ_OUTPUT_STALL         102
#define     V_037004_CB_PERF_SEL_CC_CACHE_WRITE_OUTPUT_STALL        103
#define     V_037004_CB_PERF_SEL_CC_CACHE_ACK_OUTPUT_STALL          104
#define     V_037004_CB_PERF_SEL_CC_CACHE_STALL                     105
#define     V_037004_CB_PERF_SEL_CC_CACHE_FLUSH                     106
#define     V_037004_CB_PERF_SEL_CC_CACHE_TAGS_FLUSHED              107
#define     V_037004_CB_PERF_SEL_CC_CACHE_SECTORS_FLUSHED           108
#define     V_037004_CB_PERF_SEL_CC_CACHE_DIRTY_SECTORS_FLUSHED     109
#define     V_037004_CB_PERF_SEL_CC_CACHE_WA_TO_RMW_CONVERSION      110
#define     V_037004_CB_PERF_SEL_CB_TAP_WRREQ_VALID_READY           111
#define     V_037004_CB_PERF_SEL_CB_TAP_WRREQ_VALID_READYB          112
#define     V_037004_CB_PERF_SEL_CB_TAP_WRREQ_VALIDB_READY          113
#define     V_037004_CB_PERF_SEL_CB_TAP_WRREQ_VALIDB_READYB         114
#define     V_037004_CB_PERF_SEL_CM_MC_WRITE_REQUEST                115
#define     V_037004_CB_PERF_SEL_FC_MC_WRITE_REQUEST                116
#define     V_037004_CB_PERF_SEL_CC_MC_WRITE_REQUEST                117
#define     V_037004_CB_PERF_SEL_CM_MC_WRITE_REQUESTS_IN_FLIGHT     118
#define     V_037004_CB_PERF_SEL_FC_MC_WRITE_REQUESTS_IN_FLIGHT     119
#define     V_037004_CB_PERF_SEL_CC_MC_WRITE_REQUESTS_IN_FLIGHT     120
#define     V_037004_CB_PERF_SEL_CB_TAP_RDREQ_VALID_READY           121
#define     V_037004_CB_PERF_SEL_CB_TAP_RDREQ_VALID_READYB          122
#define     V_037004_CB_PERF_SEL_CB_TAP_RDREQ_VALIDB_READY          123
#define     V_037004_CB_PERF_SEL_CB_TAP_RDREQ_VALIDB_READYB         124
#define     V_037004_CB_PERF_SEL_CM_MC_READ_REQUEST                 125
#define     V_037004_CB_PERF_SEL_FC_MC_READ_REQUEST                 126
#define     V_037004_CB_PERF_SEL_CC_MC_READ_REQUEST                 127
#define     V_037004_CB_PERF_SEL_CM_MC_READ_REQUESTS_IN_FLIGHT      128
#define     V_037004_CB_PERF_SEL_FC_MC_READ_REQUESTS_IN_FLIGHT      129
#define     V_037004_CB_PERF_SEL_CC_MC_READ_REQUESTS_IN_FLIGHT      130
#define     V_037004_CB_PERF_SEL_CM_TQ_FULL                         131
#define     V_037004_CB_PERF_SEL_CM_TQ_FIFO_TILE_RESIDENCY_STALL    132
#define     V_037004_CB_PERF_SEL_CM_TQ_FIFO_STUTTER_STALL           133
#define     V_037004_CB_PERF_SEL_FC_QUAD_RDLAT_FIFO_FULL            134
#define     V_037004_CB_PERF_SEL_FC_TILE_RDLAT_FIFO_FULL            135
#define     V_037004_CB_PERF_SEL_FC_RDLAT_FIFO_QUAD_RESIDENCY_STALL 136
#define     V_037004_CB_PERF_SEL_FC_TILE_STUTTER_STALL              137
#define     V_037004_CB_PERF_SEL_FC_QUAD_STUTTER_STALL              138
#define     V_037004_CB_PERF_SEL_FC_KEYID_STUTTER_STALL             139
#define     V_037004_CB_PERF_SEL_FOP_FMASK_RAW_STALL                140
#define     V_037004_CB_PERF_SEL_FOP_FMASK_BYPASS_STALL             141
#define     V_037004_CB_PERF_SEL_CC_SF_FULL                         142
#define     V_037004_CB_PERF_SEL_CC_RB_FULL                         143
#define     V_037004_CB_PERF_SEL_CC_EVENFIFO_QUAD_RESIDENCY_STALL   144
#define     V_037004_CB_PERF_SEL_CC_ODDFIFO_QUAD_RESIDENCY_STALL    145
#define     V_037004_CB_PERF_SEL_CC_EVENFIFO_STUTTER_STALL          146
#define     V_037004_CB_PERF_SEL_CC_ODDFIFO_STUTTER_STALL           147
#define     V_037004_CB_PERF_SEL_BLENDER_RAW_HAZARD_STALL           148
#define     V_037004_CB_PERF_SEL_EVENT                              149
#define     V_037004_CB_PERF_SEL_EVENT_CACHE_FLUSH_TS               150
#define     V_037004_CB_PERF_SEL_EVENT_CONTEXT_DONE                 151
#define     V_037004_CB_PERF_SEL_EVENT_CACHE_FLUSH                  152
#define     V_037004_CB_PERF_SEL_EVENT_CACHE_FLUSH_AND_INV_TS_EVENT 153
#define     V_037004_CB_PERF_SEL_EVENT_CACHE_FLUSH_AND_INV_EVENT    154
#define     V_037004_CB_PERF_SEL_EVENT_FLUSH_AND_INV_CB_DATA_TS     155
#define     V_037004_CB_PERF_SEL_EVENT_FLUSH_AND_INV_CB_META        156
#define     V_037004_CB_PERF_SEL_CC_SURFACE_SYNC                    157
#define     V_037004_CB_PERF_SEL_CMASK_READ_DATA_0xC                158
#define     V_037004_CB_PERF_SEL_CMASK_READ_DATA_0xD                159
#define     V_037004_CB_PERF_SEL_CMASK_READ_DATA_0xE                160
#define     V_037004_CB_PERF_SEL_CMASK_READ_DATA_0xF                161
#define     V_037004_CB_PERF_SEL_CMASK_WRITE_DATA_0xC               162
#define     V_037004_CB_PERF_SEL_CMASK_WRITE_DATA_0xD               163
#define     V_037004_CB_PERF_SEL_CMASK_WRITE_DATA_0xE               164
#define     V_037004_CB_PERF_SEL_CMASK_WRITE_DATA_0xF               165
#define     V_037004_CB_PERF_SEL_TWO_PROBE_QUAD_FRAGMENT            166
#define     V_037004_CB_PERF_SEL_EXPORT_32_ABGR_QUAD_FRAGMENT       167
#define     V_037004_CB_PERF_SEL_DUAL_SOURCE_COLOR_QUAD_FRAGMENT    168
#define     V_037004_CB_PERF_SEL_QUAD_HAS_1_FRAGMENT_BEFORE_UPDATE  169
#define     V_037004_CB_PERF_SEL_QUAD_HAS_2_FRAGMENTS_BEFORE_UPDATE 170
#define     V_037004_CB_PERF_SEL_QUAD_HAS_3_FRAGMENTS_BEFORE_UPDATE 171
#define     V_037004_CB_PERF_SEL_QUAD_HAS_4_FRAGMENTS_BEFORE_UPDATE 172
#define     V_037004_CB_PERF_SEL_QUAD_HAS_5_FRAGMENTS_BEFORE_UPDATE 173
#define     V_037004_CB_PERF_SEL_QUAD_HAS_6_FRAGMENTS_BEFORE_UPDATE 174
#define     V_037004_CB_PERF_SEL_QUAD_HAS_7_FRAGMENTS_BEFORE_UPDATE 175
#define     V_037004_CB_PERF_SEL_QUAD_HAS_8_FRAGMENTS_BEFORE_UPDATE 176
#define     V_037004_CB_PERF_SEL_QUAD_HAS_1_FRAGMENT_AFTER_UPDATE   177
#define     V_037004_CB_PERF_SEL_QUAD_HAS_2_FRAGMENTS_AFTER_UPDATE  178
#define     V_037004_CB_PERF_SEL_QUAD_HAS_3_FRAGMENTS_AFTER_UPDATE  179
#define     V_037004_CB_PERF_SEL_QUAD_HAS_4_FRAGMENTS_AFTER_UPDATE  180
#define     V_037004_CB_PERF_SEL_QUAD_HAS_5_FRAGMENTS_AFTER_UPDATE  181
#define     V_037004_CB_PERF_SEL_QUAD_HAS_6_FRAGMENTS_AFTER_UPDATE  182
#define     V_037004_CB_PERF_SEL_QUAD_HAS_7_FRAGMENTS_AFTER_UPDATE  183
#define     V_037004_CB_PERF_SEL_QUAD_HAS_8_FRAGMENTS_AFTER_UPDATE  184
#define     V_037004_CB_PERF_SEL_QUAD_ADDED_1_FRAGMENT              185
#define     V_037004_CB_PERF_SEL_QUAD_ADDED_2_FRAGMENTS             186
#define     V_037004_CB_PERF_SEL_QUAD_ADDED_3_FRAGMENTS             187
#define     V_037004_CB_PERF_SEL_QUAD_ADDED_4_FRAGMENTS             188
#define     V_037004_CB_PERF_SEL_QUAD_ADDED_5_FRAGMENTS             189
#define     V_037004_CB_PERF_SEL_QUAD_ADDED_6_FRAGMENTS             190
#define     V_037004_CB_PERF_SEL_QUAD_ADDED_7_FRAGMENTS             191
#define     V_037004_CB_PERF_SEL_QUAD_REMOVED_1_FRAGMENT            192
#define     V_037004_CB_PERF_SEL_QUAD_REMOVED_2_FRAGMENTS           193
#define     V_037004_CB_PERF_SEL_QUAD_REMOVED_3_FRAGMENTS           194
#define     V_037004_CB_PERF_SEL_QUAD_REMOVED_4_FRAGMENTS           195
#define     V_037004_CB_PERF_SEL_QUAD_REMOVED_5_FRAGMENTS           196
#define     V_037004_CB_PERF_SEL_QUAD_REMOVED_6_FRAGMENTS           197
#define     V_037004_CB_PERF_SEL_QUAD_REMOVED_7_FRAGMENTS           198
#define     V_037004_CB_PERF_SEL_QUAD_READS_FRAGMENT_0              199
#define     V_037004_CB_PERF_SEL_QUAD_READS_FRAGMENT_1              200
#define     V_037004_CB_PERF_SEL_QUAD_READS_FRAGMENT_2              201
#define     V_037004_CB_PERF_SEL_QUAD_READS_FRAGMENT_3              202
#define     V_037004_CB_PERF_SEL_QUAD_READS_FRAGMENT_4              203
#define     V_037004_CB_PERF_SEL_QUAD_READS_FRAGMENT_5              204
#define     V_037004_CB_PERF_SEL_QUAD_READS_FRAGMENT_6              205
#define     V_037004_CB_PERF_SEL_QUAD_READS_FRAGMENT_7              206
#define     V_037004_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_0             207
#define     V_037004_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_1             208
#define     V_037004_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_2             209
#define     V_037004_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_3             210
#define     V_037004_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_4             211
#define     V_037004_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_5             212
#define     V_037004_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_6             213
#define     V_037004_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_7             214
#define     V_037004_CB_PERF_SEL_QUAD_BLEND_OPT_DONT_READ_DST       215
#define     V_037004_CB_PERF_SEL_QUAD_BLEND_OPT_BLEND_BYPASS        216
#define     V_037004_CB_PERF_SEL_QUAD_BLEND_OPT_DISCARD_PIXELS      217
#define     V_037004_CB_PERF_SEL_QUAD_DST_READ_COULD_HAVE_BEEN_OPTIMIZED 218
#define     V_037004_CB_PERF_SEL_QUAD_BLENDING_COULD_HAVE_BEEN_BYPASSED 219
#define     V_037004_CB_PERF_SEL_QUAD_COULD_HAVE_BEEN_DISCARDED     220
#define     V_037004_CB_PERF_SEL_BLEND_OPT_PIXELS_RESULT_EQ_DEST    221
#define     V_037004_CB_PERF_SEL_DRAWN_BUSY                         222
#define     V_037004_CB_PERF_SEL_TILE_TO_CMR_REGION_BUSY            223
#define     V_037004_CB_PERF_SEL_CMR_TO_FCR_REGION_BUSY             224
#define     V_037004_CB_PERF_SEL_FCR_TO_CCR_REGION_BUSY             225
#define     V_037004_CB_PERF_SEL_CCR_TO_CCW_REGION_BUSY             226
#define     V_037004_CB_PERF_SEL_FC_PF_SLOW_MODE_QUAD_EMPTY_HALF_DROPPED 227
#define     V_037004_CB_PERF_SEL_FC_SEQUENCER_CLEAR                 228
#define     V_037004_CB_PERF_SEL_FC_SEQUENCER_ELIMINATE_FAST_CLEAR  229
#define     V_037004_CB_PERF_SEL_FC_SEQUENCER_FMASK_DECOMPRESS      230
#define     V_037004_CB_PERF_SEL_FC_SEQUENCER_FMASK_COMPRESSION_DISABLE 231
#define     V_037004_CB_PERF_SEL_CC_CACHE_READS_SAVED_DUE_TO_DCC    232
#define     V_037004_CB_PERF_SEL_FC_KEYID_RDLAT_FIFO_FULL           233
#define     V_037004_CB_PERF_SEL_FC_DOC_IS_STALLED                  234
#define     V_037004_CB_PERF_SEL_FC_DOC_MRTS_NOT_COMBINED           235
#define     V_037004_CB_PERF_SEL_FC_DOC_MRTS_COMBINED               236
#define     V_037004_CB_PERF_SEL_FC_DOC_QTILE_CAM_MISS              237
#define     V_037004_CB_PERF_SEL_FC_DOC_QTILE_CAM_HIT               238
#define     V_037004_CB_PERF_SEL_FC_DOC_CLINE_CAM_MISS              239
#define     V_037004_CB_PERF_SEL_FC_DOC_CLINE_CAM_HIT               240
#define     V_037004_CB_PERF_SEL_FC_DOC_QUAD_PTR_FIFO_IS_FULL       241
#define     V_037004_CB_PERF_SEL_FC_DOC_OVERWROTE_1_SECTOR          242
#define     V_037004_CB_PERF_SEL_FC_DOC_OVERWROTE_2_SECTORS         243
#define     V_037004_CB_PERF_SEL_FC_DOC_OVERWROTE_3_SECTORS         244
#define     V_037004_CB_PERF_SEL_FC_DOC_OVERWROTE_4_SECTORS         245
#define     V_037004_CB_PERF_SEL_FC_DOC_TOTAL_OVERWRITTEN_SECTORS   246
#define     V_037004_CB_PERF_SEL_FC_DCC_CACHE_HIT                   247
#define     V_037004_CB_PERF_SEL_FC_DCC_CACHE_TAG_MISS              248
#define     V_037004_CB_PERF_SEL_FC_DCC_CACHE_SECTOR_MISS           249
#define     V_037004_CB_PERF_SEL_FC_DCC_CACHE_REEVICTION_STALL      250
#define     V_037004_CB_PERF_SEL_FC_DCC_CACHE_EVICT_NONZERO_INFLIGHT_STALL 251
#define     V_037004_CB_PERF_SEL_FC_DCC_CACHE_REPLACE_PENDING_EVICT_STALL 252
#define     V_037004_CB_PERF_SEL_FC_DCC_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL 253
#define     V_037004_CB_PERF_SEL_FC_DCC_CACHE_READ_OUTPUT_STALL     254
#define     V_037004_CB_PERF_SEL_FC_DCC_CACHE_WRITE_OUTPUT_STALL    255
#define     V_037004_CB_PERF_SEL_FC_DCC_CACHE_ACK_OUTPUT_STALL      256
#define     V_037004_CB_PERF_SEL_FC_DCC_CACHE_STALL                 257
#define     V_037004_CB_PERF_SEL_FC_DCC_CACHE_FLUSH                 258
#define     V_037004_CB_PERF_SEL_FC_DCC_CACHE_TAGS_FLUSHED          259
#define     V_037004_CB_PERF_SEL_FC_DCC_CACHE_SECTORS_FLUSHED       260
#define     V_037004_CB_PERF_SEL_FC_DCC_CACHE_DIRTY_SECTORS_FLUSHED 261
#define     V_037004_CB_PERF_SEL_CC_DCC_BEYOND_TILE_SPLIT           262
#define     V_037004_CB_PERF_SEL_FC_MC_DCC_WRITE_REQUEST            263
#define     V_037004_CB_PERF_SEL_FC_MC_DCC_WRITE_REQUESTS_IN_FLIGHT 264
#define     V_037004_CB_PERF_SEL_FC_MC_DCC_READ_REQUEST             265
#define     V_037004_CB_PERF_SEL_FC_MC_DCC_READ_REQUESTS_IN_FLIGHT  266
#define     V_037004_CB_PERF_SEL_CC_DCC_RDREQ_STALL                 267
#define     V_037004_CB_PERF_SEL_CC_DCC_DECOMPRESS_TIDS_IN          268
#define     V_037004_CB_PERF_SEL_CC_DCC_DECOMPRESS_TIDS_OUT         269
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_TIDS_IN            270
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_TIDS_OUT           271
#define     V_037004_CB_PERF_SEL_FC_DCC_KEY_VALUE__CLEAR            272
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__4_BLOCKS__2TO1   273
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__3BLOCKS_2TO1__1BLOCK_2TO2 274
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__1BLOCK_2TO2__1BLOCK_2TO1 275
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__2BLOCKS_2TO1 276
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__3BLOCKS_2TO1 277
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__2BLOCKS_2TO2 278
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__2BLOCKS_2TO2__1BLOCK_2TO1 279
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_2TO2 280
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_2TO1 281
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO2__2BLOCKS_2TO1 282
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__2BLOCKS_2TO1__1BLOCK_2TO2 283
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__3BLOCKS_2TO2 284
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__2BLOCKS_2TO2 285
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO2__1BLOCK_2TO1__1BLOCK_2TO2 286
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__3BLOCKS_2TO2__1BLOCK_2TO1 287
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_4TO1     288
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__1BLOCK_4TO2 289
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__1BLOCK_4TO3 290
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__1BLOCK_4TO4 291
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__1BLOCK_4TO1 292
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_4TO2     293
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__1BLOCK_4TO3 294
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__1BLOCK_4TO4 295
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__1BLOCK_4TO1 296
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__1BLOCK_4TO2 297
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_4TO3     298
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__1BLOCK_4TO4 299
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__1BLOCK_4TO1 300
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__1BLOCK_4TO2 301
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__1BLOCK_4TO3 302
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__1BLOCK_4TO1 303
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__1BLOCK_4TO2 304
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__1BLOCK_4TO3 305
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__1BLOCK_4TO4 306
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_4TO1 307
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_4TO2 308
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_4TO3 309
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_4TO4 310
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_4TO1 311
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_4TO2 312
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_4TO3 313
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_4TO4 314
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO2__1BLOCK_4TO1 315
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO2__1BLOCK_4TO2 316
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO2__1BLOCK_4TO3 317
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO1__1BLOCK_2TO1 318
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO2__1BLOCK_2TO1 319
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO3__1BLOCK_2TO1 320
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO4__1BLOCK_2TO1 321
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO1__1BLOCK_2TO1 322
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO2__1BLOCK_2TO1 323
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO3__1BLOCK_2TO1 324
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO4__1BLOCK_2TO1 325
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO1__1BLOCK_2TO2 326
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO2__1BLOCK_2TO2 327
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO3__1BLOCK_2TO2 328
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO4__1BLOCK_2TO2 329
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO1__1BLOCK_2TO2 330
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO2__1BLOCK_2TO2 331
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO3__1BLOCK_2TO2 332
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__2BLOCKS_2TO1 333
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__2BLOCKS_2TO1 334
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__2BLOCKS_2TO1 335
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__2BLOCKS_2TO1 336
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__2BLOCKS_2TO2 337
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__2BLOCKS_2TO2 338
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__2BLOCKS_2TO2 339
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__1BLOCK_2TO1__1BLOCK_2TO2 340
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__1BLOCK_2TO1__1BLOCK_2TO2 341
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__1BLOCK_2TO1__1BLOCK_2TO2 342
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__1BLOCK_2TO1__1BLOCK_2TO2 343
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__1BLOCK_2TO2__1BLOCK_2TO1 344
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__1BLOCK_2TO2__1BLOCK_2TO1 345
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__1BLOCK_2TO2__1BLOCK_2TO1 346
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__1BLOCK_2TO2__1BLOCK_2TO1 347
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO1 348
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO2 349
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO3 350
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO4 351
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO5 352
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO6 353
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__INV0 354
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__INV1 355
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_6TO1 356
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_6TO2 357
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_6TO3 358
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_6TO4 359
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_6TO5 360
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__INV0 361
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__INV1 362
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO1__1BLOCK_2TO1 363
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO2__1BLOCK_2TO1 364
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO3__1BLOCK_2TO1 365
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO4__1BLOCK_2TO1 366
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO5__1BLOCK_2TO1 367
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO6__1BLOCK_2TO1 368
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__INV0__1BLOCK_2TO1 369
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__INV1__1BLOCK_2TO1 370
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO1__1BLOCK_2TO2 371
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO2__1BLOCK_2TO2 372
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO3__1BLOCK_2TO2 373
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO4__1BLOCK_2TO2 374
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO5__1BLOCK_2TO2 375
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__INV0__1BLOCK_2TO2 376
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__INV1__1BLOCK_2TO2 377
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO1      378
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO2      379
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO3      380
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO4      381
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO5      382
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO6      383
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO7      384
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__UNCOMPRESSED     385
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_2TO1         386
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_4TO1         387
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_4TO2         388
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_4TO3         389
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_6TO1         390
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_6TO2         391
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_6TO3         392
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_6TO4         393
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_6TO5         394
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO1         395
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO2         396
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO3         397
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO4         398
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO5         399
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO6         400
#define     V_037004_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO7         401
#define     V_037004_CB_PERF_SEL_RBP_EXPORT_8PIX_LIT_BOTH           402
#define     V_037004_CB_PERF_SEL_RBP_EXPORT_8PIX_LIT_LEFT           403
#define     V_037004_CB_PERF_SEL_RBP_EXPORT_8PIX_LIT_RIGHT          404
#define     V_037004_CB_PERF_SEL_RBP_SPLIT_MICROTILE                405
#define     V_037004_CB_PERF_SEL_RBP_SPLIT_AA_SAMPLE_MASK           406
#define     V_037004_CB_PERF_SEL_RBP_SPLIT_PARTIAL_TARGET_MASK      407
#define     V_037004_CB_PERF_SEL_RBP_SPLIT_LINEAR_ADDRESSING        408
#define     V_037004_CB_PERF_SEL_RBP_SPLIT_AA_NO_FMASK_COMPRESS     409
#define     V_037004_CB_PERF_SEL_RBP_INSERT_MISSING_LAST_QUAD       410
#define     V_037004_CB_PERF_SEL_NACK_CM_READ                       411
#define     V_037004_CB_PERF_SEL_NACK_CM_WRITE                      412
#define     V_037004_CB_PERF_SEL_NACK_FC_READ                       413
#define     V_037004_CB_PERF_SEL_NACK_FC_WRITE                      414
#define     V_037004_CB_PERF_SEL_NACK_DC_READ                       415
#define     V_037004_CB_PERF_SEL_NACK_DC_WRITE                      416
#define     V_037004_CB_PERF_SEL_NACK_CC_READ                       417
#define     V_037004_CB_PERF_SEL_NACK_CC_WRITE                      418
#define     V_037004_CB_PERF_SEL_CM_MC_EARLY_WRITE_RETURN           419
#define     V_037004_CB_PERF_SEL_FC_MC_EARLY_WRITE_RETURN           420
#define     V_037004_CB_PERF_SEL_DC_MC_EARLY_WRITE_RETURN           421
#define     V_037004_CB_PERF_SEL_CC_MC_EARLY_WRITE_RETURN           422
#define     V_037004_CB_PERF_SEL_CM_MC_EARLY_WRITE_REQUESTS_IN_FLIGHT 423
#define     V_037004_CB_PERF_SEL_FC_MC_EARLY_WRITE_REQUESTS_IN_FLIGHT 424
#define     V_037004_CB_PERF_SEL_DC_MC_EARLY_WRITE_REQUESTS_IN_FLIGHT 425
#define     V_037004_CB_PERF_SEL_CC_MC_EARLY_WRITE_REQUESTS_IN_FLIGHT 426
#define     V_037004_CB_PERF_SEL_CM_MC_WRITE_ACK64B                 427
#define     V_037004_CB_PERF_SEL_FC_MC_WRITE_ACK64B                 428
#define     V_037004_CB_PERF_SEL_DC_MC_WRITE_ACK64B                 429
#define     V_037004_CB_PERF_SEL_CC_MC_WRITE_ACK64B                 430
#define     V_037004_CB_PERF_SEL_EVENT_BOTTOM_OF_PIPE_TS            431
#define     V_037004_CB_PERF_SEL_EVENT_FLUSH_AND_INV_DB_DATA_TS     432
#define     V_037004_CB_PERF_SEL_EVENT_FLUSH_AND_INV_CB_PIXEL_DATA  433
#define     V_037004_CB_PERF_SEL_DB_CB_TILE_TILENOTEVENT            434
#define     V_037004_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_32BPP_8PIX  435
#define     V_037004_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_16_16_UNSIGNED_8PIX 436
#define     V_037004_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_16_16_SIGNED_8PIX 437
#define     V_037004_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_16_16_FLOAT_8PIX 438
#define     V_037004_CB_PERF_SEL_MERGE_PIXELS_WITH_BLEND_ENABLED    439
#define     V_037004_CB_PERF_SEL_DB_CB_CONTEXT_DONE                 440
#define     V_037004_CB_PERF_SEL_DB_CB_EOP_DONE                     441
#define     V_037004_CB_PERF_SEL_CC_MC_WRITE_REQUEST_PARTIAL        442
#define     V_037004_CB_PERF_SEL_CC_BB_BLEND_PIXEL_VLD              443
#define     V_037004_CB_PERF_SEL_CC_CACHE_256BS_SAVED_DUE_TO_QSB    444
#define     V_037004_CB_PERF_SEL_FC_CACHE_FMASK_NO_FETCH            445
#define     V_037004_CB_PERF_SEL_CC_CACHE_SECTOR_HIT                446
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_REG  447
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_SINGLE 448
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_AC00 449
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_AC01 450
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_AC10 451
#define     V_037004_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_AC11 452
#define     V_037004_CB_PERF_SEL_TQ_STUTTER_STALL                   453
#define   S_037004_PERF_SEL1(x)                                       (((unsigned)(x) & 0x1FF) << 10)
#define   G_037004_PERF_SEL1(x)                                       (((x) >> 10) & 0x1FF)
#define   C_037004_PERF_SEL1                                          0xFFF803FF
#define   S_037004_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_037004_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_037004_CNTR_MODE                                          0xFF0FFFFF
#define   S_037004_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_037004_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_037004_PERF_MODE1                                         0xF0FFFFFF
#define   S_037004_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_037004_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_037004_PERF_MODE                                          0x0FFFFFFF
#define R_037008_CB_PERFCOUNTER0_SELECT1                                0x037008
#define   S_037008_PERF_SEL2(x)                                       (((unsigned)(x) & 0x1FF) << 0)
#define   G_037008_PERF_SEL2(x)                                       (((x) >> 0) & 0x1FF)
#define   C_037008_PERF_SEL2                                          0xFFFFFE00
#define     V_037008_CB_PERF_SEL_NONE                               0
#define     V_037008_CB_PERF_SEL_BUSY                               1
#define     V_037008_CB_PERF_SEL_CORE_SCLK_VLD                      2
#define     V_037008_CB_PERF_SEL_REG_SCLK0_VLD                      3
#define     V_037008_CB_PERF_SEL_REG_SCLK1_VLD                      4
#define     V_037008_CB_PERF_SEL_DRAWN_QUAD                         5
#define     V_037008_CB_PERF_SEL_DRAWN_PIXEL                        6
#define     V_037008_CB_PERF_SEL_DRAWN_QUAD_FRAGMENT                7
#define     V_037008_CB_PERF_SEL_DRAWN_TILE                         8
#define     V_037008_CB_PERF_SEL_DB_CB_TILE_VALID_READY             9
#define     V_037008_CB_PERF_SEL_DB_CB_TILE_VALID_READYB            10
#define     V_037008_CB_PERF_SEL_DB_CB_TILE_VALIDB_READY            11
#define     V_037008_CB_PERF_SEL_DB_CB_TILE_VALIDB_READYB           12
#define     V_037008_CB_PERF_SEL_CM_FC_TILE_VALID_READY             13
#define     V_037008_CB_PERF_SEL_CM_FC_TILE_VALID_READYB            14
#define     V_037008_CB_PERF_SEL_CM_FC_TILE_VALIDB_READY            15
#define     V_037008_CB_PERF_SEL_CM_FC_TILE_VALIDB_READYB           16
#define     V_037008_CB_PERF_SEL_MERGE_TILE_ONLY_VALID_READY        17
#define     V_037008_CB_PERF_SEL_MERGE_TILE_ONLY_VALID_READYB       18
#define     V_037008_CB_PERF_SEL_DB_CB_LQUAD_VALID_READY            19
#define     V_037008_CB_PERF_SEL_DB_CB_LQUAD_VALID_READYB           20
#define     V_037008_CB_PERF_SEL_DB_CB_LQUAD_VALIDB_READY           21
#define     V_037008_CB_PERF_SEL_DB_CB_LQUAD_VALIDB_READYB          22
#define     V_037008_CB_PERF_SEL_LQUAD_NO_TILE                      23
#define     V_037008_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_32_R        24
#define     V_037008_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_32_AR       25
#define     V_037008_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_32_GR       26
#define     V_037008_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_32_ABGR     27
#define     V_037008_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_FP16_ABGR   28
#define     V_037008_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_SIGNED16_ABGR 29
#define     V_037008_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_UNSIGNED16_ABGR 30
#define     V_037008_CB_PERF_SEL_QUAD_KILLED_BY_EXTRA_PIXEL_EXPORT  31
#define     V_037008_CB_PERF_SEL_QUAD_KILLED_BY_COLOR_INVALID       32
#define     V_037008_CB_PERF_SEL_QUAD_KILLED_BY_NULL_TARGET_SHADER_MASK 33
#define     V_037008_CB_PERF_SEL_QUAD_KILLED_BY_NULL_SAMPLE_MASK    34
#define     V_037008_CB_PERF_SEL_QUAD_KILLED_BY_DISCARD_PIXEL       35
#define     V_037008_CB_PERF_SEL_FC_CLEAR_QUAD_VALID_READY          36
#define     V_037008_CB_PERF_SEL_FC_CLEAR_QUAD_VALID_READYB         37
#define     V_037008_CB_PERF_SEL_FC_CLEAR_QUAD_VALIDB_READY         38
#define     V_037008_CB_PERF_SEL_FC_CLEAR_QUAD_VALIDB_READYB        39
#define     V_037008_CB_PERF_SEL_FOP_IN_VALID_READY                 40
#define     V_037008_CB_PERF_SEL_FOP_IN_VALID_READYB                41
#define     V_037008_CB_PERF_SEL_FOP_IN_VALIDB_READY                42
#define     V_037008_CB_PERF_SEL_FOP_IN_VALIDB_READYB               43
#define     V_037008_CB_PERF_SEL_FC_CC_QUADFRAG_VALID_READY         44
#define     V_037008_CB_PERF_SEL_FC_CC_QUADFRAG_VALID_READYB        45
#define     V_037008_CB_PERF_SEL_FC_CC_QUADFRAG_VALIDB_READY        46
#define     V_037008_CB_PERF_SEL_FC_CC_QUADFRAG_VALIDB_READYB       47
#define     V_037008_CB_PERF_SEL_CC_IB_SR_FRAG_VALID_READY          48
#define     V_037008_CB_PERF_SEL_CC_IB_SR_FRAG_VALID_READYB         49
#define     V_037008_CB_PERF_SEL_CC_IB_SR_FRAG_VALIDB_READY         50
#define     V_037008_CB_PERF_SEL_CC_IB_SR_FRAG_VALIDB_READYB        51
#define     V_037008_CB_PERF_SEL_CC_IB_TB_FRAG_VALID_READY          52
#define     V_037008_CB_PERF_SEL_CC_IB_TB_FRAG_VALID_READYB         53
#define     V_037008_CB_PERF_SEL_CC_IB_TB_FRAG_VALIDB_READY         54
#define     V_037008_CB_PERF_SEL_CC_IB_TB_FRAG_VALIDB_READYB        55
#define     V_037008_CB_PERF_SEL_CC_RB_BC_EVENFRAG_VALID_READY      56
#define     V_037008_CB_PERF_SEL_CC_RB_BC_EVENFRAG_VALID_READYB     57
#define     V_037008_CB_PERF_SEL_CC_RB_BC_EVENFRAG_VALIDB_READY     58
#define     V_037008_CB_PERF_SEL_CC_RB_BC_EVENFRAG_VALIDB_READYB    59
#define     V_037008_CB_PERF_SEL_CC_RB_BC_ODDFRAG_VALID_READY       60
#define     V_037008_CB_PERF_SEL_CC_RB_BC_ODDFRAG_VALID_READYB      61
#define     V_037008_CB_PERF_SEL_CC_RB_BC_ODDFRAG_VALIDB_READY      62
#define     V_037008_CB_PERF_SEL_CC_RB_BC_ODDFRAG_VALIDB_READYB     63
#define     V_037008_CB_PERF_SEL_CC_BC_CS_FRAG_VALID                64
#define     V_037008_CB_PERF_SEL_CM_CACHE_HIT                       65
#define     V_037008_CB_PERF_SEL_CM_CACHE_TAG_MISS                  66
#define     V_037008_CB_PERF_SEL_CM_CACHE_SECTOR_MISS               67
#define     V_037008_CB_PERF_SEL_CM_CACHE_REEVICTION_STALL          68
#define     V_037008_CB_PERF_SEL_CM_CACHE_EVICT_NONZERO_INFLIGHT_STALL 69
#define     V_037008_CB_PERF_SEL_CM_CACHE_REPLACE_PENDING_EVICT_STALL 70
#define     V_037008_CB_PERF_SEL_CM_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL 71
#define     V_037008_CB_PERF_SEL_CM_CACHE_READ_OUTPUT_STALL         72
#define     V_037008_CB_PERF_SEL_CM_CACHE_WRITE_OUTPUT_STALL        73
#define     V_037008_CB_PERF_SEL_CM_CACHE_ACK_OUTPUT_STALL          74
#define     V_037008_CB_PERF_SEL_CM_CACHE_STALL                     75
#define     V_037008_CB_PERF_SEL_CM_CACHE_FLUSH                     76
#define     V_037008_CB_PERF_SEL_CM_CACHE_TAGS_FLUSHED              77
#define     V_037008_CB_PERF_SEL_CM_CACHE_SECTORS_FLUSHED           78
#define     V_037008_CB_PERF_SEL_CM_CACHE_DIRTY_SECTORS_FLUSHED     79
#define     V_037008_CB_PERF_SEL_FC_CACHE_HIT                       80
#define     V_037008_CB_PERF_SEL_FC_CACHE_TAG_MISS                  81
#define     V_037008_CB_PERF_SEL_FC_CACHE_SECTOR_MISS               82
#define     V_037008_CB_PERF_SEL_FC_CACHE_REEVICTION_STALL          83
#define     V_037008_CB_PERF_SEL_FC_CACHE_EVICT_NONZERO_INFLIGHT_STALL 84
#define     V_037008_CB_PERF_SEL_FC_CACHE_REPLACE_PENDING_EVICT_STALL 85
#define     V_037008_CB_PERF_SEL_FC_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL 86
#define     V_037008_CB_PERF_SEL_FC_CACHE_READ_OUTPUT_STALL         87
#define     V_037008_CB_PERF_SEL_FC_CACHE_WRITE_OUTPUT_STALL        88
#define     V_037008_CB_PERF_SEL_FC_CACHE_ACK_OUTPUT_STALL          89
#define     V_037008_CB_PERF_SEL_FC_CACHE_STALL                     90
#define     V_037008_CB_PERF_SEL_FC_CACHE_FLUSH                     91
#define     V_037008_CB_PERF_SEL_FC_CACHE_TAGS_FLUSHED              92
#define     V_037008_CB_PERF_SEL_FC_CACHE_SECTORS_FLUSHED           93
#define     V_037008_CB_PERF_SEL_FC_CACHE_DIRTY_SECTORS_FLUSHED     94
#define     V_037008_CB_PERF_SEL_CC_CACHE_HIT                       95
#define     V_037008_CB_PERF_SEL_CC_CACHE_TAG_MISS                  96
#define     V_037008_CB_PERF_SEL_CC_CACHE_SECTOR_MISS               97
#define     V_037008_CB_PERF_SEL_CC_CACHE_REEVICTION_STALL          98
#define     V_037008_CB_PERF_SEL_CC_CACHE_EVICT_NONZERO_INFLIGHT_STALL 99
#define     V_037008_CB_PERF_SEL_CC_CACHE_REPLACE_PENDING_EVICT_STALL 100
#define     V_037008_CB_PERF_SEL_CC_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL 101
#define     V_037008_CB_PERF_SEL_CC_CACHE_READ_OUTPUT_STALL         102
#define     V_037008_CB_PERF_SEL_CC_CACHE_WRITE_OUTPUT_STALL        103
#define     V_037008_CB_PERF_SEL_CC_CACHE_ACK_OUTPUT_STALL          104
#define     V_037008_CB_PERF_SEL_CC_CACHE_STALL                     105
#define     V_037008_CB_PERF_SEL_CC_CACHE_FLUSH                     106
#define     V_037008_CB_PERF_SEL_CC_CACHE_TAGS_FLUSHED              107
#define     V_037008_CB_PERF_SEL_CC_CACHE_SECTORS_FLUSHED           108
#define     V_037008_CB_PERF_SEL_CC_CACHE_DIRTY_SECTORS_FLUSHED     109
#define     V_037008_CB_PERF_SEL_CC_CACHE_WA_TO_RMW_CONVERSION      110
#define     V_037008_CB_PERF_SEL_CB_TAP_WRREQ_VALID_READY           111
#define     V_037008_CB_PERF_SEL_CB_TAP_WRREQ_VALID_READYB          112
#define     V_037008_CB_PERF_SEL_CB_TAP_WRREQ_VALIDB_READY          113
#define     V_037008_CB_PERF_SEL_CB_TAP_WRREQ_VALIDB_READYB         114
#define     V_037008_CB_PERF_SEL_CM_MC_WRITE_REQUEST                115
#define     V_037008_CB_PERF_SEL_FC_MC_WRITE_REQUEST                116
#define     V_037008_CB_PERF_SEL_CC_MC_WRITE_REQUEST                117
#define     V_037008_CB_PERF_SEL_CM_MC_WRITE_REQUESTS_IN_FLIGHT     118
#define     V_037008_CB_PERF_SEL_FC_MC_WRITE_REQUESTS_IN_FLIGHT     119
#define     V_037008_CB_PERF_SEL_CC_MC_WRITE_REQUESTS_IN_FLIGHT     120
#define     V_037008_CB_PERF_SEL_CB_TAP_RDREQ_VALID_READY           121
#define     V_037008_CB_PERF_SEL_CB_TAP_RDREQ_VALID_READYB          122
#define     V_037008_CB_PERF_SEL_CB_TAP_RDREQ_VALIDB_READY          123
#define     V_037008_CB_PERF_SEL_CB_TAP_RDREQ_VALIDB_READYB         124
#define     V_037008_CB_PERF_SEL_CM_MC_READ_REQUEST                 125
#define     V_037008_CB_PERF_SEL_FC_MC_READ_REQUEST                 126
#define     V_037008_CB_PERF_SEL_CC_MC_READ_REQUEST                 127
#define     V_037008_CB_PERF_SEL_CM_MC_READ_REQUESTS_IN_FLIGHT      128
#define     V_037008_CB_PERF_SEL_FC_MC_READ_REQUESTS_IN_FLIGHT      129
#define     V_037008_CB_PERF_SEL_CC_MC_READ_REQUESTS_IN_FLIGHT      130
#define     V_037008_CB_PERF_SEL_CM_TQ_FULL                         131
#define     V_037008_CB_PERF_SEL_CM_TQ_FIFO_TILE_RESIDENCY_STALL    132
#define     V_037008_CB_PERF_SEL_CM_TQ_FIFO_STUTTER_STALL           133
#define     V_037008_CB_PERF_SEL_FC_QUAD_RDLAT_FIFO_FULL            134
#define     V_037008_CB_PERF_SEL_FC_TILE_RDLAT_FIFO_FULL            135
#define     V_037008_CB_PERF_SEL_FC_RDLAT_FIFO_QUAD_RESIDENCY_STALL 136
#define     V_037008_CB_PERF_SEL_FC_TILE_STUTTER_STALL              137
#define     V_037008_CB_PERF_SEL_FC_QUAD_STUTTER_STALL              138
#define     V_037008_CB_PERF_SEL_FC_KEYID_STUTTER_STALL             139
#define     V_037008_CB_PERF_SEL_FOP_FMASK_RAW_STALL                140
#define     V_037008_CB_PERF_SEL_FOP_FMASK_BYPASS_STALL             141
#define     V_037008_CB_PERF_SEL_CC_SF_FULL                         142
#define     V_037008_CB_PERF_SEL_CC_RB_FULL                         143
#define     V_037008_CB_PERF_SEL_CC_EVENFIFO_QUAD_RESIDENCY_STALL   144
#define     V_037008_CB_PERF_SEL_CC_ODDFIFO_QUAD_RESIDENCY_STALL    145
#define     V_037008_CB_PERF_SEL_CC_EVENFIFO_STUTTER_STALL          146
#define     V_037008_CB_PERF_SEL_CC_ODDFIFO_STUTTER_STALL           147
#define     V_037008_CB_PERF_SEL_BLENDER_RAW_HAZARD_STALL           148
#define     V_037008_CB_PERF_SEL_EVENT                              149
#define     V_037008_CB_PERF_SEL_EVENT_CACHE_FLUSH_TS               150
#define     V_037008_CB_PERF_SEL_EVENT_CONTEXT_DONE                 151
#define     V_037008_CB_PERF_SEL_EVENT_CACHE_FLUSH                  152
#define     V_037008_CB_PERF_SEL_EVENT_CACHE_FLUSH_AND_INV_TS_EVENT 153
#define     V_037008_CB_PERF_SEL_EVENT_CACHE_FLUSH_AND_INV_EVENT    154
#define     V_037008_CB_PERF_SEL_EVENT_FLUSH_AND_INV_CB_DATA_TS     155
#define     V_037008_CB_PERF_SEL_EVENT_FLUSH_AND_INV_CB_META        156
#define     V_037008_CB_PERF_SEL_CC_SURFACE_SYNC                    157
#define     V_037008_CB_PERF_SEL_CMASK_READ_DATA_0xC                158
#define     V_037008_CB_PERF_SEL_CMASK_READ_DATA_0xD                159
#define     V_037008_CB_PERF_SEL_CMASK_READ_DATA_0xE                160
#define     V_037008_CB_PERF_SEL_CMASK_READ_DATA_0xF                161
#define     V_037008_CB_PERF_SEL_CMASK_WRITE_DATA_0xC               162
#define     V_037008_CB_PERF_SEL_CMASK_WRITE_DATA_0xD               163
#define     V_037008_CB_PERF_SEL_CMASK_WRITE_DATA_0xE               164
#define     V_037008_CB_PERF_SEL_CMASK_WRITE_DATA_0xF               165
#define     V_037008_CB_PERF_SEL_TWO_PROBE_QUAD_FRAGMENT            166
#define     V_037008_CB_PERF_SEL_EXPORT_32_ABGR_QUAD_FRAGMENT       167
#define     V_037008_CB_PERF_SEL_DUAL_SOURCE_COLOR_QUAD_FRAGMENT    168
#define     V_037008_CB_PERF_SEL_QUAD_HAS_1_FRAGMENT_BEFORE_UPDATE  169
#define     V_037008_CB_PERF_SEL_QUAD_HAS_2_FRAGMENTS_BEFORE_UPDATE 170
#define     V_037008_CB_PERF_SEL_QUAD_HAS_3_FRAGMENTS_BEFORE_UPDATE 171
#define     V_037008_CB_PERF_SEL_QUAD_HAS_4_FRAGMENTS_BEFORE_UPDATE 172
#define     V_037008_CB_PERF_SEL_QUAD_HAS_5_FRAGMENTS_BEFORE_UPDATE 173
#define     V_037008_CB_PERF_SEL_QUAD_HAS_6_FRAGMENTS_BEFORE_UPDATE 174
#define     V_037008_CB_PERF_SEL_QUAD_HAS_7_FRAGMENTS_BEFORE_UPDATE 175
#define     V_037008_CB_PERF_SEL_QUAD_HAS_8_FRAGMENTS_BEFORE_UPDATE 176
#define     V_037008_CB_PERF_SEL_QUAD_HAS_1_FRAGMENT_AFTER_UPDATE   177
#define     V_037008_CB_PERF_SEL_QUAD_HAS_2_FRAGMENTS_AFTER_UPDATE  178
#define     V_037008_CB_PERF_SEL_QUAD_HAS_3_FRAGMENTS_AFTER_UPDATE  179
#define     V_037008_CB_PERF_SEL_QUAD_HAS_4_FRAGMENTS_AFTER_UPDATE  180
#define     V_037008_CB_PERF_SEL_QUAD_HAS_5_FRAGMENTS_AFTER_UPDATE  181
#define     V_037008_CB_PERF_SEL_QUAD_HAS_6_FRAGMENTS_AFTER_UPDATE  182
#define     V_037008_CB_PERF_SEL_QUAD_HAS_7_FRAGMENTS_AFTER_UPDATE  183
#define     V_037008_CB_PERF_SEL_QUAD_HAS_8_FRAGMENTS_AFTER_UPDATE  184
#define     V_037008_CB_PERF_SEL_QUAD_ADDED_1_FRAGMENT              185
#define     V_037008_CB_PERF_SEL_QUAD_ADDED_2_FRAGMENTS             186
#define     V_037008_CB_PERF_SEL_QUAD_ADDED_3_FRAGMENTS             187
#define     V_037008_CB_PERF_SEL_QUAD_ADDED_4_FRAGMENTS             188
#define     V_037008_CB_PERF_SEL_QUAD_ADDED_5_FRAGMENTS             189
#define     V_037008_CB_PERF_SEL_QUAD_ADDED_6_FRAGMENTS             190
#define     V_037008_CB_PERF_SEL_QUAD_ADDED_7_FRAGMENTS             191
#define     V_037008_CB_PERF_SEL_QUAD_REMOVED_1_FRAGMENT            192
#define     V_037008_CB_PERF_SEL_QUAD_REMOVED_2_FRAGMENTS           193
#define     V_037008_CB_PERF_SEL_QUAD_REMOVED_3_FRAGMENTS           194
#define     V_037008_CB_PERF_SEL_QUAD_REMOVED_4_FRAGMENTS           195
#define     V_037008_CB_PERF_SEL_QUAD_REMOVED_5_FRAGMENTS           196
#define     V_037008_CB_PERF_SEL_QUAD_REMOVED_6_FRAGMENTS           197
#define     V_037008_CB_PERF_SEL_QUAD_REMOVED_7_FRAGMENTS           198
#define     V_037008_CB_PERF_SEL_QUAD_READS_FRAGMENT_0              199
#define     V_037008_CB_PERF_SEL_QUAD_READS_FRAGMENT_1              200
#define     V_037008_CB_PERF_SEL_QUAD_READS_FRAGMENT_2              201
#define     V_037008_CB_PERF_SEL_QUAD_READS_FRAGMENT_3              202
#define     V_037008_CB_PERF_SEL_QUAD_READS_FRAGMENT_4              203
#define     V_037008_CB_PERF_SEL_QUAD_READS_FRAGMENT_5              204
#define     V_037008_CB_PERF_SEL_QUAD_READS_FRAGMENT_6              205
#define     V_037008_CB_PERF_SEL_QUAD_READS_FRAGMENT_7              206
#define     V_037008_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_0             207
#define     V_037008_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_1             208
#define     V_037008_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_2             209
#define     V_037008_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_3             210
#define     V_037008_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_4             211
#define     V_037008_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_5             212
#define     V_037008_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_6             213
#define     V_037008_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_7             214
#define     V_037008_CB_PERF_SEL_QUAD_BLEND_OPT_DONT_READ_DST       215
#define     V_037008_CB_PERF_SEL_QUAD_BLEND_OPT_BLEND_BYPASS        216
#define     V_037008_CB_PERF_SEL_QUAD_BLEND_OPT_DISCARD_PIXELS      217
#define     V_037008_CB_PERF_SEL_QUAD_DST_READ_COULD_HAVE_BEEN_OPTIMIZED 218
#define     V_037008_CB_PERF_SEL_QUAD_BLENDING_COULD_HAVE_BEEN_BYPASSED 219
#define     V_037008_CB_PERF_SEL_QUAD_COULD_HAVE_BEEN_DISCARDED     220
#define     V_037008_CB_PERF_SEL_BLEND_OPT_PIXELS_RESULT_EQ_DEST    221
#define     V_037008_CB_PERF_SEL_DRAWN_BUSY                         222
#define     V_037008_CB_PERF_SEL_TILE_TO_CMR_REGION_BUSY            223
#define     V_037008_CB_PERF_SEL_CMR_TO_FCR_REGION_BUSY             224
#define     V_037008_CB_PERF_SEL_FCR_TO_CCR_REGION_BUSY             225
#define     V_037008_CB_PERF_SEL_CCR_TO_CCW_REGION_BUSY             226
#define     V_037008_CB_PERF_SEL_FC_PF_SLOW_MODE_QUAD_EMPTY_HALF_DROPPED 227
#define     V_037008_CB_PERF_SEL_FC_SEQUENCER_CLEAR                 228
#define     V_037008_CB_PERF_SEL_FC_SEQUENCER_ELIMINATE_FAST_CLEAR  229
#define     V_037008_CB_PERF_SEL_FC_SEQUENCER_FMASK_DECOMPRESS      230
#define     V_037008_CB_PERF_SEL_FC_SEQUENCER_FMASK_COMPRESSION_DISABLE 231
#define     V_037008_CB_PERF_SEL_CC_CACHE_READS_SAVED_DUE_TO_DCC    232
#define     V_037008_CB_PERF_SEL_FC_KEYID_RDLAT_FIFO_FULL           233
#define     V_037008_CB_PERF_SEL_FC_DOC_IS_STALLED                  234
#define     V_037008_CB_PERF_SEL_FC_DOC_MRTS_NOT_COMBINED           235
#define     V_037008_CB_PERF_SEL_FC_DOC_MRTS_COMBINED               236
#define     V_037008_CB_PERF_SEL_FC_DOC_QTILE_CAM_MISS              237
#define     V_037008_CB_PERF_SEL_FC_DOC_QTILE_CAM_HIT               238
#define     V_037008_CB_PERF_SEL_FC_DOC_CLINE_CAM_MISS              239
#define     V_037008_CB_PERF_SEL_FC_DOC_CLINE_CAM_HIT               240
#define     V_037008_CB_PERF_SEL_FC_DOC_QUAD_PTR_FIFO_IS_FULL       241
#define     V_037008_CB_PERF_SEL_FC_DOC_OVERWROTE_1_SECTOR          242
#define     V_037008_CB_PERF_SEL_FC_DOC_OVERWROTE_2_SECTORS         243
#define     V_037008_CB_PERF_SEL_FC_DOC_OVERWROTE_3_SECTORS         244
#define     V_037008_CB_PERF_SEL_FC_DOC_OVERWROTE_4_SECTORS         245
#define     V_037008_CB_PERF_SEL_FC_DOC_TOTAL_OVERWRITTEN_SECTORS   246
#define     V_037008_CB_PERF_SEL_FC_DCC_CACHE_HIT                   247
#define     V_037008_CB_PERF_SEL_FC_DCC_CACHE_TAG_MISS              248
#define     V_037008_CB_PERF_SEL_FC_DCC_CACHE_SECTOR_MISS           249
#define     V_037008_CB_PERF_SEL_FC_DCC_CACHE_REEVICTION_STALL      250
#define     V_037008_CB_PERF_SEL_FC_DCC_CACHE_EVICT_NONZERO_INFLIGHT_STALL 251
#define     V_037008_CB_PERF_SEL_FC_DCC_CACHE_REPLACE_PENDING_EVICT_STALL 252
#define     V_037008_CB_PERF_SEL_FC_DCC_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL 253
#define     V_037008_CB_PERF_SEL_FC_DCC_CACHE_READ_OUTPUT_STALL     254
#define     V_037008_CB_PERF_SEL_FC_DCC_CACHE_WRITE_OUTPUT_STALL    255
#define     V_037008_CB_PERF_SEL_FC_DCC_CACHE_ACK_OUTPUT_STALL      256
#define     V_037008_CB_PERF_SEL_FC_DCC_CACHE_STALL                 257
#define     V_037008_CB_PERF_SEL_FC_DCC_CACHE_FLUSH                 258
#define     V_037008_CB_PERF_SEL_FC_DCC_CACHE_TAGS_FLUSHED          259
#define     V_037008_CB_PERF_SEL_FC_DCC_CACHE_SECTORS_FLUSHED       260
#define     V_037008_CB_PERF_SEL_FC_DCC_CACHE_DIRTY_SECTORS_FLUSHED 261
#define     V_037008_CB_PERF_SEL_CC_DCC_BEYOND_TILE_SPLIT           262
#define     V_037008_CB_PERF_SEL_FC_MC_DCC_WRITE_REQUEST            263
#define     V_037008_CB_PERF_SEL_FC_MC_DCC_WRITE_REQUESTS_IN_FLIGHT 264
#define     V_037008_CB_PERF_SEL_FC_MC_DCC_READ_REQUEST             265
#define     V_037008_CB_PERF_SEL_FC_MC_DCC_READ_REQUESTS_IN_FLIGHT  266
#define     V_037008_CB_PERF_SEL_CC_DCC_RDREQ_STALL                 267
#define     V_037008_CB_PERF_SEL_CC_DCC_DECOMPRESS_TIDS_IN          268
#define     V_037008_CB_PERF_SEL_CC_DCC_DECOMPRESS_TIDS_OUT         269
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_TIDS_IN            270
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_TIDS_OUT           271
#define     V_037008_CB_PERF_SEL_FC_DCC_KEY_VALUE__CLEAR            272
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__4_BLOCKS__2TO1   273
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__3BLOCKS_2TO1__1BLOCK_2TO2 274
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__1BLOCK_2TO2__1BLOCK_2TO1 275
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__2BLOCKS_2TO1 276
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__3BLOCKS_2TO1 277
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__2BLOCKS_2TO2 278
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__2BLOCKS_2TO2__1BLOCK_2TO1 279
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_2TO2 280
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_2TO1 281
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO2__2BLOCKS_2TO1 282
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__2BLOCKS_2TO1__1BLOCK_2TO2 283
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__3BLOCKS_2TO2 284
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__2BLOCKS_2TO2 285
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO2__1BLOCK_2TO1__1BLOCK_2TO2 286
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__3BLOCKS_2TO2__1BLOCK_2TO1 287
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_4TO1     288
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__1BLOCK_4TO2 289
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__1BLOCK_4TO3 290
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__1BLOCK_4TO4 291
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__1BLOCK_4TO1 292
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_4TO2     293
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__1BLOCK_4TO3 294
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__1BLOCK_4TO4 295
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__1BLOCK_4TO1 296
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__1BLOCK_4TO2 297
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_4TO3     298
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__1BLOCK_4TO4 299
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__1BLOCK_4TO1 300
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__1BLOCK_4TO2 301
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__1BLOCK_4TO3 302
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__1BLOCK_4TO1 303
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__1BLOCK_4TO2 304
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__1BLOCK_4TO3 305
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__1BLOCK_4TO4 306
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_4TO1 307
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_4TO2 308
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_4TO3 309
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_4TO4 310
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_4TO1 311
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_4TO2 312
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_4TO3 313
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_4TO4 314
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO2__1BLOCK_4TO1 315
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO2__1BLOCK_4TO2 316
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO2__1BLOCK_4TO3 317
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO1__1BLOCK_2TO1 318
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO2__1BLOCK_2TO1 319
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO3__1BLOCK_2TO1 320
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO4__1BLOCK_2TO1 321
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO1__1BLOCK_2TO1 322
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO2__1BLOCK_2TO1 323
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO3__1BLOCK_2TO1 324
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO4__1BLOCK_2TO1 325
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO1__1BLOCK_2TO2 326
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO2__1BLOCK_2TO2 327
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO3__1BLOCK_2TO2 328
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO4__1BLOCK_2TO2 329
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO1__1BLOCK_2TO2 330
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO2__1BLOCK_2TO2 331
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO3__1BLOCK_2TO2 332
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__2BLOCKS_2TO1 333
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__2BLOCKS_2TO1 334
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__2BLOCKS_2TO1 335
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__2BLOCKS_2TO1 336
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__2BLOCKS_2TO2 337
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__2BLOCKS_2TO2 338
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__2BLOCKS_2TO2 339
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__1BLOCK_2TO1__1BLOCK_2TO2 340
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__1BLOCK_2TO1__1BLOCK_2TO2 341
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__1BLOCK_2TO1__1BLOCK_2TO2 342
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__1BLOCK_2TO1__1BLOCK_2TO2 343
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__1BLOCK_2TO2__1BLOCK_2TO1 344
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__1BLOCK_2TO2__1BLOCK_2TO1 345
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__1BLOCK_2TO2__1BLOCK_2TO1 346
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__1BLOCK_2TO2__1BLOCK_2TO1 347
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO1 348
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO2 349
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO3 350
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO4 351
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO5 352
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO6 353
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__INV0 354
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__INV1 355
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_6TO1 356
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_6TO2 357
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_6TO3 358
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_6TO4 359
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_6TO5 360
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__INV0 361
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__INV1 362
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO1__1BLOCK_2TO1 363
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO2__1BLOCK_2TO1 364
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO3__1BLOCK_2TO1 365
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO4__1BLOCK_2TO1 366
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO5__1BLOCK_2TO1 367
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO6__1BLOCK_2TO1 368
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__INV0__1BLOCK_2TO1 369
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__INV1__1BLOCK_2TO1 370
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO1__1BLOCK_2TO2 371
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO2__1BLOCK_2TO2 372
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO3__1BLOCK_2TO2 373
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO4__1BLOCK_2TO2 374
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO5__1BLOCK_2TO2 375
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__INV0__1BLOCK_2TO2 376
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__INV1__1BLOCK_2TO2 377
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO1      378
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO2      379
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO3      380
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO4      381
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO5      382
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO6      383
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO7      384
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__UNCOMPRESSED     385
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_2TO1         386
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_4TO1         387
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_4TO2         388
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_4TO3         389
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_6TO1         390
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_6TO2         391
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_6TO3         392
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_6TO4         393
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_6TO5         394
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO1         395
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO2         396
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO3         397
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO4         398
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO5         399
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO6         400
#define     V_037008_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO7         401
#define     V_037008_CB_PERF_SEL_RBP_EXPORT_8PIX_LIT_BOTH           402
#define     V_037008_CB_PERF_SEL_RBP_EXPORT_8PIX_LIT_LEFT           403
#define     V_037008_CB_PERF_SEL_RBP_EXPORT_8PIX_LIT_RIGHT          404
#define     V_037008_CB_PERF_SEL_RBP_SPLIT_MICROTILE                405
#define     V_037008_CB_PERF_SEL_RBP_SPLIT_AA_SAMPLE_MASK           406
#define     V_037008_CB_PERF_SEL_RBP_SPLIT_PARTIAL_TARGET_MASK      407
#define     V_037008_CB_PERF_SEL_RBP_SPLIT_LINEAR_ADDRESSING        408
#define     V_037008_CB_PERF_SEL_RBP_SPLIT_AA_NO_FMASK_COMPRESS     409
#define     V_037008_CB_PERF_SEL_RBP_INSERT_MISSING_LAST_QUAD       410
#define     V_037008_CB_PERF_SEL_NACK_CM_READ                       411
#define     V_037008_CB_PERF_SEL_NACK_CM_WRITE                      412
#define     V_037008_CB_PERF_SEL_NACK_FC_READ                       413
#define     V_037008_CB_PERF_SEL_NACK_FC_WRITE                      414
#define     V_037008_CB_PERF_SEL_NACK_DC_READ                       415
#define     V_037008_CB_PERF_SEL_NACK_DC_WRITE                      416
#define     V_037008_CB_PERF_SEL_NACK_CC_READ                       417
#define     V_037008_CB_PERF_SEL_NACK_CC_WRITE                      418
#define     V_037008_CB_PERF_SEL_CM_MC_EARLY_WRITE_RETURN           419
#define     V_037008_CB_PERF_SEL_FC_MC_EARLY_WRITE_RETURN           420
#define     V_037008_CB_PERF_SEL_DC_MC_EARLY_WRITE_RETURN           421
#define     V_037008_CB_PERF_SEL_CC_MC_EARLY_WRITE_RETURN           422
#define     V_037008_CB_PERF_SEL_CM_MC_EARLY_WRITE_REQUESTS_IN_FLIGHT 423
#define     V_037008_CB_PERF_SEL_FC_MC_EARLY_WRITE_REQUESTS_IN_FLIGHT 424
#define     V_037008_CB_PERF_SEL_DC_MC_EARLY_WRITE_REQUESTS_IN_FLIGHT 425
#define     V_037008_CB_PERF_SEL_CC_MC_EARLY_WRITE_REQUESTS_IN_FLIGHT 426
#define     V_037008_CB_PERF_SEL_CM_MC_WRITE_ACK64B                 427
#define     V_037008_CB_PERF_SEL_FC_MC_WRITE_ACK64B                 428
#define     V_037008_CB_PERF_SEL_DC_MC_WRITE_ACK64B                 429
#define     V_037008_CB_PERF_SEL_CC_MC_WRITE_ACK64B                 430
#define     V_037008_CB_PERF_SEL_EVENT_BOTTOM_OF_PIPE_TS            431
#define     V_037008_CB_PERF_SEL_EVENT_FLUSH_AND_INV_DB_DATA_TS     432
#define     V_037008_CB_PERF_SEL_EVENT_FLUSH_AND_INV_CB_PIXEL_DATA  433
#define     V_037008_CB_PERF_SEL_DB_CB_TILE_TILENOTEVENT            434
#define     V_037008_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_32BPP_8PIX  435
#define     V_037008_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_16_16_UNSIGNED_8PIX 436
#define     V_037008_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_16_16_SIGNED_8PIX 437
#define     V_037008_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_16_16_FLOAT_8PIX 438
#define     V_037008_CB_PERF_SEL_MERGE_PIXELS_WITH_BLEND_ENABLED    439
#define     V_037008_CB_PERF_SEL_DB_CB_CONTEXT_DONE                 440
#define     V_037008_CB_PERF_SEL_DB_CB_EOP_DONE                     441
#define     V_037008_CB_PERF_SEL_CC_MC_WRITE_REQUEST_PARTIAL        442
#define     V_037008_CB_PERF_SEL_CC_BB_BLEND_PIXEL_VLD              443
#define     V_037008_CB_PERF_SEL_CC_CACHE_256BS_SAVED_DUE_TO_QSB    444
#define     V_037008_CB_PERF_SEL_FC_CACHE_FMASK_NO_FETCH            445
#define     V_037008_CB_PERF_SEL_CC_CACHE_SECTOR_HIT                446
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_REG  447
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_SINGLE 448
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_AC00 449
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_AC01 450
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_AC10 451
#define     V_037008_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_AC11 452
#define     V_037008_CB_PERF_SEL_TQ_STUTTER_STALL                   453
#define   S_037008_PERF_SEL3(x)                                       (((unsigned)(x) & 0x1FF) << 10)
#define   G_037008_PERF_SEL3(x)                                       (((x) >> 10) & 0x1FF)
#define   C_037008_PERF_SEL3                                          0xFFF803FF
#define   S_037008_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_037008_PERF_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_037008_PERF_MODE3                                         0xF0FFFFFF
#define   S_037008_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_037008_PERF_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_037008_PERF_MODE2                                         0x0FFFFFFF
#define R_03700C_CB_PERFCOUNTER1_SELECT                                 0x03700C
#define   S_03700C_PERF_SEL(x)                                        (((unsigned)(x) & 0x1FF) << 0) /* >= gfx10 */
#define   G_03700C_PERF_SEL(x)                                        (((x) >> 0) & 0x1FF)
#define   C_03700C_PERF_SEL                                           0xFFFFFE00
#define     V_03700C_CB_PERF_SEL_NONE                               0
#define     V_03700C_CB_PERF_SEL_BUSY                               1
#define     V_03700C_CB_PERF_SEL_CORE_SCLK_VLD                      2
#define     V_03700C_CB_PERF_SEL_REG_SCLK0_VLD                      3
#define     V_03700C_CB_PERF_SEL_REG_SCLK1_VLD                      4
#define     V_03700C_CB_PERF_SEL_DRAWN_QUAD                         5
#define     V_03700C_CB_PERF_SEL_DRAWN_PIXEL                        6
#define     V_03700C_CB_PERF_SEL_DRAWN_QUAD_FRAGMENT                7
#define     V_03700C_CB_PERF_SEL_DRAWN_TILE                         8
#define     V_03700C_CB_PERF_SEL_DB_CB_TILE_VALID_READY             9
#define     V_03700C_CB_PERF_SEL_DB_CB_TILE_VALID_READYB            10
#define     V_03700C_CB_PERF_SEL_DB_CB_TILE_VALIDB_READY            11
#define     V_03700C_CB_PERF_SEL_DB_CB_TILE_VALIDB_READYB           12
#define     V_03700C_CB_PERF_SEL_CM_FC_TILE_VALID_READY             13
#define     V_03700C_CB_PERF_SEL_CM_FC_TILE_VALID_READYB            14
#define     V_03700C_CB_PERF_SEL_CM_FC_TILE_VALIDB_READY            15
#define     V_03700C_CB_PERF_SEL_CM_FC_TILE_VALIDB_READYB           16
#define     V_03700C_CB_PERF_SEL_MERGE_TILE_ONLY_VALID_READY        17
#define     V_03700C_CB_PERF_SEL_MERGE_TILE_ONLY_VALID_READYB       18
#define     V_03700C_CB_PERF_SEL_DB_CB_LQUAD_VALID_READY            19
#define     V_03700C_CB_PERF_SEL_DB_CB_LQUAD_VALID_READYB           20
#define     V_03700C_CB_PERF_SEL_DB_CB_LQUAD_VALIDB_READY           21
#define     V_03700C_CB_PERF_SEL_DB_CB_LQUAD_VALIDB_READYB          22
#define     V_03700C_CB_PERF_SEL_LQUAD_NO_TILE                      23
#define     V_03700C_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_32_R        24
#define     V_03700C_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_32_AR       25
#define     V_03700C_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_32_GR       26
#define     V_03700C_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_32_ABGR     27
#define     V_03700C_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_FP16_ABGR   28
#define     V_03700C_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_SIGNED16_ABGR 29
#define     V_03700C_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_UNSIGNED16_ABGR 30
#define     V_03700C_CB_PERF_SEL_QUAD_KILLED_BY_EXTRA_PIXEL_EXPORT  31
#define     V_03700C_CB_PERF_SEL_QUAD_KILLED_BY_COLOR_INVALID       32
#define     V_03700C_CB_PERF_SEL_QUAD_KILLED_BY_NULL_TARGET_SHADER_MASK 33
#define     V_03700C_CB_PERF_SEL_QUAD_KILLED_BY_NULL_SAMPLE_MASK    34
#define     V_03700C_CB_PERF_SEL_QUAD_KILLED_BY_DISCARD_PIXEL       35
#define     V_03700C_CB_PERF_SEL_FC_CLEAR_QUAD_VALID_READY          36
#define     V_03700C_CB_PERF_SEL_FC_CLEAR_QUAD_VALID_READYB         37
#define     V_03700C_CB_PERF_SEL_FC_CLEAR_QUAD_VALIDB_READY         38
#define     V_03700C_CB_PERF_SEL_FC_CLEAR_QUAD_VALIDB_READYB        39
#define     V_03700C_CB_PERF_SEL_FOP_IN_VALID_READY                 40
#define     V_03700C_CB_PERF_SEL_FOP_IN_VALID_READYB                41
#define     V_03700C_CB_PERF_SEL_FOP_IN_VALIDB_READY                42
#define     V_03700C_CB_PERF_SEL_FOP_IN_VALIDB_READYB               43
#define     V_03700C_CB_PERF_SEL_FC_CC_QUADFRAG_VALID_READY         44
#define     V_03700C_CB_PERF_SEL_FC_CC_QUADFRAG_VALID_READYB        45
#define     V_03700C_CB_PERF_SEL_FC_CC_QUADFRAG_VALIDB_READY        46
#define     V_03700C_CB_PERF_SEL_FC_CC_QUADFRAG_VALIDB_READYB       47
#define     V_03700C_CB_PERF_SEL_CC_IB_SR_FRAG_VALID_READY          48
#define     V_03700C_CB_PERF_SEL_CC_IB_SR_FRAG_VALID_READYB         49
#define     V_03700C_CB_PERF_SEL_CC_IB_SR_FRAG_VALIDB_READY         50
#define     V_03700C_CB_PERF_SEL_CC_IB_SR_FRAG_VALIDB_READYB        51
#define     V_03700C_CB_PERF_SEL_CC_IB_TB_FRAG_VALID_READY          52
#define     V_03700C_CB_PERF_SEL_CC_IB_TB_FRAG_VALID_READYB         53
#define     V_03700C_CB_PERF_SEL_CC_IB_TB_FRAG_VALIDB_READY         54
#define     V_03700C_CB_PERF_SEL_CC_IB_TB_FRAG_VALIDB_READYB        55
#define     V_03700C_CB_PERF_SEL_CC_RB_BC_EVENFRAG_VALID_READY      56
#define     V_03700C_CB_PERF_SEL_CC_RB_BC_EVENFRAG_VALID_READYB     57
#define     V_03700C_CB_PERF_SEL_CC_RB_BC_EVENFRAG_VALIDB_READY     58
#define     V_03700C_CB_PERF_SEL_CC_RB_BC_EVENFRAG_VALIDB_READYB    59
#define     V_03700C_CB_PERF_SEL_CC_RB_BC_ODDFRAG_VALID_READY       60
#define     V_03700C_CB_PERF_SEL_CC_RB_BC_ODDFRAG_VALID_READYB      61
#define     V_03700C_CB_PERF_SEL_CC_RB_BC_ODDFRAG_VALIDB_READY      62
#define     V_03700C_CB_PERF_SEL_CC_RB_BC_ODDFRAG_VALIDB_READYB     63
#define     V_03700C_CB_PERF_SEL_CC_BC_CS_FRAG_VALID                64
#define     V_03700C_CB_PERF_SEL_CM_CACHE_HIT                       65
#define     V_03700C_CB_PERF_SEL_CM_CACHE_TAG_MISS                  66
#define     V_03700C_CB_PERF_SEL_CM_CACHE_SECTOR_MISS               67
#define     V_03700C_CB_PERF_SEL_CM_CACHE_REEVICTION_STALL          68
#define     V_03700C_CB_PERF_SEL_CM_CACHE_EVICT_NONZERO_INFLIGHT_STALL 69
#define     V_03700C_CB_PERF_SEL_CM_CACHE_REPLACE_PENDING_EVICT_STALL 70
#define     V_03700C_CB_PERF_SEL_CM_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL 71
#define     V_03700C_CB_PERF_SEL_CM_CACHE_READ_OUTPUT_STALL         72
#define     V_03700C_CB_PERF_SEL_CM_CACHE_WRITE_OUTPUT_STALL        73
#define     V_03700C_CB_PERF_SEL_CM_CACHE_ACK_OUTPUT_STALL          74
#define     V_03700C_CB_PERF_SEL_CM_CACHE_STALL                     75
#define     V_03700C_CB_PERF_SEL_CM_CACHE_FLUSH                     76
#define     V_03700C_CB_PERF_SEL_CM_CACHE_TAGS_FLUSHED              77
#define     V_03700C_CB_PERF_SEL_CM_CACHE_SECTORS_FLUSHED           78
#define     V_03700C_CB_PERF_SEL_CM_CACHE_DIRTY_SECTORS_FLUSHED     79
#define     V_03700C_CB_PERF_SEL_FC_CACHE_HIT                       80
#define     V_03700C_CB_PERF_SEL_FC_CACHE_TAG_MISS                  81
#define     V_03700C_CB_PERF_SEL_FC_CACHE_SECTOR_MISS               82
#define     V_03700C_CB_PERF_SEL_FC_CACHE_REEVICTION_STALL          83
#define     V_03700C_CB_PERF_SEL_FC_CACHE_EVICT_NONZERO_INFLIGHT_STALL 84
#define     V_03700C_CB_PERF_SEL_FC_CACHE_REPLACE_PENDING_EVICT_STALL 85
#define     V_03700C_CB_PERF_SEL_FC_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL 86
#define     V_03700C_CB_PERF_SEL_FC_CACHE_READ_OUTPUT_STALL         87
#define     V_03700C_CB_PERF_SEL_FC_CACHE_WRITE_OUTPUT_STALL        88
#define     V_03700C_CB_PERF_SEL_FC_CACHE_ACK_OUTPUT_STALL          89
#define     V_03700C_CB_PERF_SEL_FC_CACHE_STALL                     90
#define     V_03700C_CB_PERF_SEL_FC_CACHE_FLUSH                     91
#define     V_03700C_CB_PERF_SEL_FC_CACHE_TAGS_FLUSHED              92
#define     V_03700C_CB_PERF_SEL_FC_CACHE_SECTORS_FLUSHED           93
#define     V_03700C_CB_PERF_SEL_FC_CACHE_DIRTY_SECTORS_FLUSHED     94
#define     V_03700C_CB_PERF_SEL_CC_CACHE_HIT                       95
#define     V_03700C_CB_PERF_SEL_CC_CACHE_TAG_MISS                  96
#define     V_03700C_CB_PERF_SEL_CC_CACHE_SECTOR_MISS               97
#define     V_03700C_CB_PERF_SEL_CC_CACHE_REEVICTION_STALL          98
#define     V_03700C_CB_PERF_SEL_CC_CACHE_EVICT_NONZERO_INFLIGHT_STALL 99
#define     V_03700C_CB_PERF_SEL_CC_CACHE_REPLACE_PENDING_EVICT_STALL 100
#define     V_03700C_CB_PERF_SEL_CC_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL 101
#define     V_03700C_CB_PERF_SEL_CC_CACHE_READ_OUTPUT_STALL         102
#define     V_03700C_CB_PERF_SEL_CC_CACHE_WRITE_OUTPUT_STALL        103
#define     V_03700C_CB_PERF_SEL_CC_CACHE_ACK_OUTPUT_STALL          104
#define     V_03700C_CB_PERF_SEL_CC_CACHE_STALL                     105
#define     V_03700C_CB_PERF_SEL_CC_CACHE_FLUSH                     106
#define     V_03700C_CB_PERF_SEL_CC_CACHE_TAGS_FLUSHED              107
#define     V_03700C_CB_PERF_SEL_CC_CACHE_SECTORS_FLUSHED           108
#define     V_03700C_CB_PERF_SEL_CC_CACHE_DIRTY_SECTORS_FLUSHED     109
#define     V_03700C_CB_PERF_SEL_CC_CACHE_WA_TO_RMW_CONVERSION      110
#define     V_03700C_CB_PERF_SEL_CB_TAP_WRREQ_VALID_READY           111
#define     V_03700C_CB_PERF_SEL_CB_TAP_WRREQ_VALID_READYB          112
#define     V_03700C_CB_PERF_SEL_CB_TAP_WRREQ_VALIDB_READY          113
#define     V_03700C_CB_PERF_SEL_CB_TAP_WRREQ_VALIDB_READYB         114
#define     V_03700C_CB_PERF_SEL_CM_MC_WRITE_REQUEST                115
#define     V_03700C_CB_PERF_SEL_FC_MC_WRITE_REQUEST                116
#define     V_03700C_CB_PERF_SEL_CC_MC_WRITE_REQUEST                117
#define     V_03700C_CB_PERF_SEL_CM_MC_WRITE_REQUESTS_IN_FLIGHT     118
#define     V_03700C_CB_PERF_SEL_FC_MC_WRITE_REQUESTS_IN_FLIGHT     119
#define     V_03700C_CB_PERF_SEL_CC_MC_WRITE_REQUESTS_IN_FLIGHT     120
#define     V_03700C_CB_PERF_SEL_CB_TAP_RDREQ_VALID_READY           121
#define     V_03700C_CB_PERF_SEL_CB_TAP_RDREQ_VALID_READYB          122
#define     V_03700C_CB_PERF_SEL_CB_TAP_RDREQ_VALIDB_READY          123
#define     V_03700C_CB_PERF_SEL_CB_TAP_RDREQ_VALIDB_READYB         124
#define     V_03700C_CB_PERF_SEL_CM_MC_READ_REQUEST                 125
#define     V_03700C_CB_PERF_SEL_FC_MC_READ_REQUEST                 126
#define     V_03700C_CB_PERF_SEL_CC_MC_READ_REQUEST                 127
#define     V_03700C_CB_PERF_SEL_CM_MC_READ_REQUESTS_IN_FLIGHT      128
#define     V_03700C_CB_PERF_SEL_FC_MC_READ_REQUESTS_IN_FLIGHT      129
#define     V_03700C_CB_PERF_SEL_CC_MC_READ_REQUESTS_IN_FLIGHT      130
#define     V_03700C_CB_PERF_SEL_CM_TQ_FULL                         131
#define     V_03700C_CB_PERF_SEL_CM_TQ_FIFO_TILE_RESIDENCY_STALL    132
#define     V_03700C_CB_PERF_SEL_CM_TQ_FIFO_STUTTER_STALL           133
#define     V_03700C_CB_PERF_SEL_FC_QUAD_RDLAT_FIFO_FULL            134
#define     V_03700C_CB_PERF_SEL_FC_TILE_RDLAT_FIFO_FULL            135
#define     V_03700C_CB_PERF_SEL_FC_RDLAT_FIFO_QUAD_RESIDENCY_STALL 136
#define     V_03700C_CB_PERF_SEL_FC_TILE_STUTTER_STALL              137
#define     V_03700C_CB_PERF_SEL_FC_QUAD_STUTTER_STALL              138
#define     V_03700C_CB_PERF_SEL_FC_KEYID_STUTTER_STALL             139
#define     V_03700C_CB_PERF_SEL_FOP_FMASK_RAW_STALL                140
#define     V_03700C_CB_PERF_SEL_FOP_FMASK_BYPASS_STALL             141
#define     V_03700C_CB_PERF_SEL_CC_SF_FULL                         142
#define     V_03700C_CB_PERF_SEL_CC_RB_FULL                         143
#define     V_03700C_CB_PERF_SEL_CC_EVENFIFO_QUAD_RESIDENCY_STALL   144
#define     V_03700C_CB_PERF_SEL_CC_ODDFIFO_QUAD_RESIDENCY_STALL    145
#define     V_03700C_CB_PERF_SEL_CC_EVENFIFO_STUTTER_STALL          146
#define     V_03700C_CB_PERF_SEL_CC_ODDFIFO_STUTTER_STALL           147
#define     V_03700C_CB_PERF_SEL_BLENDER_RAW_HAZARD_STALL           148
#define     V_03700C_CB_PERF_SEL_EVENT                              149
#define     V_03700C_CB_PERF_SEL_EVENT_CACHE_FLUSH_TS               150
#define     V_03700C_CB_PERF_SEL_EVENT_CONTEXT_DONE                 151
#define     V_03700C_CB_PERF_SEL_EVENT_CACHE_FLUSH                  152
#define     V_03700C_CB_PERF_SEL_EVENT_CACHE_FLUSH_AND_INV_TS_EVENT 153
#define     V_03700C_CB_PERF_SEL_EVENT_CACHE_FLUSH_AND_INV_EVENT    154
#define     V_03700C_CB_PERF_SEL_EVENT_FLUSH_AND_INV_CB_DATA_TS     155
#define     V_03700C_CB_PERF_SEL_EVENT_FLUSH_AND_INV_CB_META        156
#define     V_03700C_CB_PERF_SEL_CC_SURFACE_SYNC                    157
#define     V_03700C_CB_PERF_SEL_CMASK_READ_DATA_0xC                158
#define     V_03700C_CB_PERF_SEL_CMASK_READ_DATA_0xD                159
#define     V_03700C_CB_PERF_SEL_CMASK_READ_DATA_0xE                160
#define     V_03700C_CB_PERF_SEL_CMASK_READ_DATA_0xF                161
#define     V_03700C_CB_PERF_SEL_CMASK_WRITE_DATA_0xC               162
#define     V_03700C_CB_PERF_SEL_CMASK_WRITE_DATA_0xD               163
#define     V_03700C_CB_PERF_SEL_CMASK_WRITE_DATA_0xE               164
#define     V_03700C_CB_PERF_SEL_CMASK_WRITE_DATA_0xF               165
#define     V_03700C_CB_PERF_SEL_TWO_PROBE_QUAD_FRAGMENT            166
#define     V_03700C_CB_PERF_SEL_EXPORT_32_ABGR_QUAD_FRAGMENT       167
#define     V_03700C_CB_PERF_SEL_DUAL_SOURCE_COLOR_QUAD_FRAGMENT    168
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_1_FRAGMENT_BEFORE_UPDATE  169
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_2_FRAGMENTS_BEFORE_UPDATE 170
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_3_FRAGMENTS_BEFORE_UPDATE 171
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_4_FRAGMENTS_BEFORE_UPDATE 172
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_5_FRAGMENTS_BEFORE_UPDATE 173
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_6_FRAGMENTS_BEFORE_UPDATE 174
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_7_FRAGMENTS_BEFORE_UPDATE 175
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_8_FRAGMENTS_BEFORE_UPDATE 176
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_1_FRAGMENT_AFTER_UPDATE   177
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_2_FRAGMENTS_AFTER_UPDATE  178
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_3_FRAGMENTS_AFTER_UPDATE  179
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_4_FRAGMENTS_AFTER_UPDATE  180
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_5_FRAGMENTS_AFTER_UPDATE  181
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_6_FRAGMENTS_AFTER_UPDATE  182
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_7_FRAGMENTS_AFTER_UPDATE  183
#define     V_03700C_CB_PERF_SEL_QUAD_HAS_8_FRAGMENTS_AFTER_UPDATE  184
#define     V_03700C_CB_PERF_SEL_QUAD_ADDED_1_FRAGMENT              185
#define     V_03700C_CB_PERF_SEL_QUAD_ADDED_2_FRAGMENTS             186
#define     V_03700C_CB_PERF_SEL_QUAD_ADDED_3_FRAGMENTS             187
#define     V_03700C_CB_PERF_SEL_QUAD_ADDED_4_FRAGMENTS             188
#define     V_03700C_CB_PERF_SEL_QUAD_ADDED_5_FRAGMENTS             189
#define     V_03700C_CB_PERF_SEL_QUAD_ADDED_6_FRAGMENTS             190
#define     V_03700C_CB_PERF_SEL_QUAD_ADDED_7_FRAGMENTS             191
#define     V_03700C_CB_PERF_SEL_QUAD_REMOVED_1_FRAGMENT            192
#define     V_03700C_CB_PERF_SEL_QUAD_REMOVED_2_FRAGMENTS           193
#define     V_03700C_CB_PERF_SEL_QUAD_REMOVED_3_FRAGMENTS           194
#define     V_03700C_CB_PERF_SEL_QUAD_REMOVED_4_FRAGMENTS           195
#define     V_03700C_CB_PERF_SEL_QUAD_REMOVED_5_FRAGMENTS           196
#define     V_03700C_CB_PERF_SEL_QUAD_REMOVED_6_FRAGMENTS           197
#define     V_03700C_CB_PERF_SEL_QUAD_REMOVED_7_FRAGMENTS           198
#define     V_03700C_CB_PERF_SEL_QUAD_READS_FRAGMENT_0              199
#define     V_03700C_CB_PERF_SEL_QUAD_READS_FRAGMENT_1              200
#define     V_03700C_CB_PERF_SEL_QUAD_READS_FRAGMENT_2              201
#define     V_03700C_CB_PERF_SEL_QUAD_READS_FRAGMENT_3              202
#define     V_03700C_CB_PERF_SEL_QUAD_READS_FRAGMENT_4              203
#define     V_03700C_CB_PERF_SEL_QUAD_READS_FRAGMENT_5              204
#define     V_03700C_CB_PERF_SEL_QUAD_READS_FRAGMENT_6              205
#define     V_03700C_CB_PERF_SEL_QUAD_READS_FRAGMENT_7              206
#define     V_03700C_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_0             207
#define     V_03700C_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_1             208
#define     V_03700C_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_2             209
#define     V_03700C_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_3             210
#define     V_03700C_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_4             211
#define     V_03700C_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_5             212
#define     V_03700C_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_6             213
#define     V_03700C_CB_PERF_SEL_QUAD_WRITES_FRAGMENT_7             214
#define     V_03700C_CB_PERF_SEL_QUAD_BLEND_OPT_DONT_READ_DST       215
#define     V_03700C_CB_PERF_SEL_QUAD_BLEND_OPT_BLEND_BYPASS        216
#define     V_03700C_CB_PERF_SEL_QUAD_BLEND_OPT_DISCARD_PIXELS      217
#define     V_03700C_CB_PERF_SEL_QUAD_DST_READ_COULD_HAVE_BEEN_OPTIMIZED 218
#define     V_03700C_CB_PERF_SEL_QUAD_BLENDING_COULD_HAVE_BEEN_BYPASSED 219
#define     V_03700C_CB_PERF_SEL_QUAD_COULD_HAVE_BEEN_DISCARDED     220
#define     V_03700C_CB_PERF_SEL_BLEND_OPT_PIXELS_RESULT_EQ_DEST    221
#define     V_03700C_CB_PERF_SEL_DRAWN_BUSY                         222
#define     V_03700C_CB_PERF_SEL_TILE_TO_CMR_REGION_BUSY            223
#define     V_03700C_CB_PERF_SEL_CMR_TO_FCR_REGION_BUSY             224
#define     V_03700C_CB_PERF_SEL_FCR_TO_CCR_REGION_BUSY             225
#define     V_03700C_CB_PERF_SEL_CCR_TO_CCW_REGION_BUSY             226
#define     V_03700C_CB_PERF_SEL_FC_PF_SLOW_MODE_QUAD_EMPTY_HALF_DROPPED 227
#define     V_03700C_CB_PERF_SEL_FC_SEQUENCER_CLEAR                 228
#define     V_03700C_CB_PERF_SEL_FC_SEQUENCER_ELIMINATE_FAST_CLEAR  229
#define     V_03700C_CB_PERF_SEL_FC_SEQUENCER_FMASK_DECOMPRESS      230
#define     V_03700C_CB_PERF_SEL_FC_SEQUENCER_FMASK_COMPRESSION_DISABLE 231
#define     V_03700C_CB_PERF_SEL_CC_CACHE_READS_SAVED_DUE_TO_DCC    232
#define     V_03700C_CB_PERF_SEL_FC_KEYID_RDLAT_FIFO_FULL           233
#define     V_03700C_CB_PERF_SEL_FC_DOC_IS_STALLED                  234
#define     V_03700C_CB_PERF_SEL_FC_DOC_MRTS_NOT_COMBINED           235
#define     V_03700C_CB_PERF_SEL_FC_DOC_MRTS_COMBINED               236
#define     V_03700C_CB_PERF_SEL_FC_DOC_QTILE_CAM_MISS              237
#define     V_03700C_CB_PERF_SEL_FC_DOC_QTILE_CAM_HIT               238
#define     V_03700C_CB_PERF_SEL_FC_DOC_CLINE_CAM_MISS              239
#define     V_03700C_CB_PERF_SEL_FC_DOC_CLINE_CAM_HIT               240
#define     V_03700C_CB_PERF_SEL_FC_DOC_QUAD_PTR_FIFO_IS_FULL       241
#define     V_03700C_CB_PERF_SEL_FC_DOC_OVERWROTE_1_SECTOR          242
#define     V_03700C_CB_PERF_SEL_FC_DOC_OVERWROTE_2_SECTORS         243
#define     V_03700C_CB_PERF_SEL_FC_DOC_OVERWROTE_3_SECTORS         244
#define     V_03700C_CB_PERF_SEL_FC_DOC_OVERWROTE_4_SECTORS         245
#define     V_03700C_CB_PERF_SEL_FC_DOC_TOTAL_OVERWRITTEN_SECTORS   246
#define     V_03700C_CB_PERF_SEL_FC_DCC_CACHE_HIT                   247
#define     V_03700C_CB_PERF_SEL_FC_DCC_CACHE_TAG_MISS              248
#define     V_03700C_CB_PERF_SEL_FC_DCC_CACHE_SECTOR_MISS           249
#define     V_03700C_CB_PERF_SEL_FC_DCC_CACHE_REEVICTION_STALL      250
#define     V_03700C_CB_PERF_SEL_FC_DCC_CACHE_EVICT_NONZERO_INFLIGHT_STALL 251
#define     V_03700C_CB_PERF_SEL_FC_DCC_CACHE_REPLACE_PENDING_EVICT_STALL 252
#define     V_03700C_CB_PERF_SEL_FC_DCC_CACHE_INFLIGHT_COUNTER_MAXIMUM_STALL 253
#define     V_03700C_CB_PERF_SEL_FC_DCC_CACHE_READ_OUTPUT_STALL     254
#define     V_03700C_CB_PERF_SEL_FC_DCC_CACHE_WRITE_OUTPUT_STALL    255
#define     V_03700C_CB_PERF_SEL_FC_DCC_CACHE_ACK_OUTPUT_STALL      256
#define     V_03700C_CB_PERF_SEL_FC_DCC_CACHE_STALL                 257
#define     V_03700C_CB_PERF_SEL_FC_DCC_CACHE_FLUSH                 258
#define     V_03700C_CB_PERF_SEL_FC_DCC_CACHE_TAGS_FLUSHED          259
#define     V_03700C_CB_PERF_SEL_FC_DCC_CACHE_SECTORS_FLUSHED       260
#define     V_03700C_CB_PERF_SEL_FC_DCC_CACHE_DIRTY_SECTORS_FLUSHED 261
#define     V_03700C_CB_PERF_SEL_CC_DCC_BEYOND_TILE_SPLIT           262
#define     V_03700C_CB_PERF_SEL_FC_MC_DCC_WRITE_REQUEST            263
#define     V_03700C_CB_PERF_SEL_FC_MC_DCC_WRITE_REQUESTS_IN_FLIGHT 264
#define     V_03700C_CB_PERF_SEL_FC_MC_DCC_READ_REQUEST             265
#define     V_03700C_CB_PERF_SEL_FC_MC_DCC_READ_REQUESTS_IN_FLIGHT  266
#define     V_03700C_CB_PERF_SEL_CC_DCC_RDREQ_STALL                 267
#define     V_03700C_CB_PERF_SEL_CC_DCC_DECOMPRESS_TIDS_IN          268
#define     V_03700C_CB_PERF_SEL_CC_DCC_DECOMPRESS_TIDS_OUT         269
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_TIDS_IN            270
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_TIDS_OUT           271
#define     V_03700C_CB_PERF_SEL_FC_DCC_KEY_VALUE__CLEAR            272
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__4_BLOCKS__2TO1   273
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__3BLOCKS_2TO1__1BLOCK_2TO2 274
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__1BLOCK_2TO2__1BLOCK_2TO1 275
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__2BLOCKS_2TO1 276
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__3BLOCKS_2TO1 277
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__2BLOCKS_2TO2 278
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__2BLOCKS_2TO2__1BLOCK_2TO1 279
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_2TO2 280
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_2TO1 281
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO2__2BLOCKS_2TO1 282
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__2BLOCKS_2TO1__1BLOCK_2TO2 283
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__3BLOCKS_2TO2 284
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__2BLOCKS_2TO2 285
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO2__1BLOCK_2TO1__1BLOCK_2TO2 286
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__3BLOCKS_2TO2__1BLOCK_2TO1 287
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_4TO1     288
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__1BLOCK_4TO2 289
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__1BLOCK_4TO3 290
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__1BLOCK_4TO4 291
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__1BLOCK_4TO1 292
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_4TO2     293
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__1BLOCK_4TO3 294
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__1BLOCK_4TO4 295
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__1BLOCK_4TO1 296
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__1BLOCK_4TO2 297
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_4TO3     298
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__1BLOCK_4TO4 299
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__1BLOCK_4TO1 300
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__1BLOCK_4TO2 301
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__1BLOCK_4TO3 302
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__1BLOCK_4TO1 303
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__1BLOCK_4TO2 304
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__1BLOCK_4TO3 305
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO1__1BLOCK_4TO4 306
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_4TO1 307
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_4TO2 308
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_4TO3 309
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_2TO2__1BLOCK_4TO4 310
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_4TO1 311
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_4TO2 312
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_4TO3 313
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_2TO1__1BLOCK_4TO4 314
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO2__1BLOCK_4TO1 315
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO2__1BLOCK_4TO2 316
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__2BLOCKS_2TO2__1BLOCK_4TO3 317
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO1__1BLOCK_2TO1 318
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO2__1BLOCK_2TO1 319
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO3__1BLOCK_2TO1 320
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO4__1BLOCK_2TO1 321
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO1__1BLOCK_2TO1 322
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO2__1BLOCK_2TO1 323
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO3__1BLOCK_2TO1 324
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO4__1BLOCK_2TO1 325
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO1__1BLOCK_2TO2 326
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO2__1BLOCK_2TO2 327
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO3__1BLOCK_2TO2 328
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_4TO4__1BLOCK_2TO2 329
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO1__1BLOCK_2TO2 330
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO2__1BLOCK_2TO2 331
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_4TO3__1BLOCK_2TO2 332
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__2BLOCKS_2TO1 333
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__2BLOCKS_2TO1 334
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__2BLOCKS_2TO1 335
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__2BLOCKS_2TO1 336
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__2BLOCKS_2TO2 337
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__2BLOCKS_2TO2 338
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__2BLOCKS_2TO2 339
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__1BLOCK_2TO1__1BLOCK_2TO2 340
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__1BLOCK_2TO1__1BLOCK_2TO2 341
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__1BLOCK_2TO1__1BLOCK_2TO2 342
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__1BLOCK_2TO1__1BLOCK_2TO2 343
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO1__1BLOCK_2TO2__1BLOCK_2TO1 344
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO2__1BLOCK_2TO2__1BLOCK_2TO1 345
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO3__1BLOCK_2TO2__1BLOCK_2TO1 346
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_4TO4__1BLOCK_2TO2__1BLOCK_2TO1 347
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO1 348
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO2 349
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO3 350
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO4 351
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO5 352
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__1BLOCK_6TO6 353
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__INV0 354
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO1__INV1 355
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_6TO1 356
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_6TO2 357
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_6TO3 358
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_6TO4 359
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__1BLOCK_6TO5 360
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__INV0 361
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_2TO2__INV1 362
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO1__1BLOCK_2TO1 363
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO2__1BLOCK_2TO1 364
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO3__1BLOCK_2TO1 365
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO4__1BLOCK_2TO1 366
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO5__1BLOCK_2TO1 367
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO6__1BLOCK_2TO1 368
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__INV0__1BLOCK_2TO1 369
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__INV1__1BLOCK_2TO1 370
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO1__1BLOCK_2TO2 371
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO2__1BLOCK_2TO2 372
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO3__1BLOCK_2TO2 373
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO4__1BLOCK_2TO2 374
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_6TO5__1BLOCK_2TO2 375
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__INV0__1BLOCK_2TO2 376
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__INV1__1BLOCK_2TO2 377
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO1      378
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO2      379
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO3      380
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO4      381
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO5      382
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO6      383
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__1BLOCK_8TO7      384
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__UNCOMPRESSED     385
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_2TO1         386
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_4TO1         387
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_4TO2         388
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_4TO3         389
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_6TO1         390
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_6TO2         391
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_6TO3         392
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_6TO4         393
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_6TO5         394
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO1         395
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO2         396
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO3         397
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO4         398
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO5         399
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO6         400
#define     V_03700C_CB_PERF_SEL_CC_DCC_COMPRESS_RATIO_8TO7         401
#define     V_03700C_CB_PERF_SEL_RBP_EXPORT_8PIX_LIT_BOTH           402
#define     V_03700C_CB_PERF_SEL_RBP_EXPORT_8PIX_LIT_LEFT           403
#define     V_03700C_CB_PERF_SEL_RBP_EXPORT_8PIX_LIT_RIGHT          404
#define     V_03700C_CB_PERF_SEL_RBP_SPLIT_MICROTILE                405
#define     V_03700C_CB_PERF_SEL_RBP_SPLIT_AA_SAMPLE_MASK           406
#define     V_03700C_CB_PERF_SEL_RBP_SPLIT_PARTIAL_TARGET_MASK      407
#define     V_03700C_CB_PERF_SEL_RBP_SPLIT_LINEAR_ADDRESSING        408
#define     V_03700C_CB_PERF_SEL_RBP_SPLIT_AA_NO_FMASK_COMPRESS     409
#define     V_03700C_CB_PERF_SEL_RBP_INSERT_MISSING_LAST_QUAD       410
#define     V_03700C_CB_PERF_SEL_NACK_CM_READ                       411
#define     V_03700C_CB_PERF_SEL_NACK_CM_WRITE                      412
#define     V_03700C_CB_PERF_SEL_NACK_FC_READ                       413
#define     V_03700C_CB_PERF_SEL_NACK_FC_WRITE                      414
#define     V_03700C_CB_PERF_SEL_NACK_DC_READ                       415
#define     V_03700C_CB_PERF_SEL_NACK_DC_WRITE                      416
#define     V_03700C_CB_PERF_SEL_NACK_CC_READ                       417
#define     V_03700C_CB_PERF_SEL_NACK_CC_WRITE                      418
#define     V_03700C_CB_PERF_SEL_CM_MC_EARLY_WRITE_RETURN           419
#define     V_03700C_CB_PERF_SEL_FC_MC_EARLY_WRITE_RETURN           420
#define     V_03700C_CB_PERF_SEL_DC_MC_EARLY_WRITE_RETURN           421
#define     V_03700C_CB_PERF_SEL_CC_MC_EARLY_WRITE_RETURN           422
#define     V_03700C_CB_PERF_SEL_CM_MC_EARLY_WRITE_REQUESTS_IN_FLIGHT 423
#define     V_03700C_CB_PERF_SEL_FC_MC_EARLY_WRITE_REQUESTS_IN_FLIGHT 424
#define     V_03700C_CB_PERF_SEL_DC_MC_EARLY_WRITE_REQUESTS_IN_FLIGHT 425
#define     V_03700C_CB_PERF_SEL_CC_MC_EARLY_WRITE_REQUESTS_IN_FLIGHT 426
#define     V_03700C_CB_PERF_SEL_CM_MC_WRITE_ACK64B                 427
#define     V_03700C_CB_PERF_SEL_FC_MC_WRITE_ACK64B                 428
#define     V_03700C_CB_PERF_SEL_DC_MC_WRITE_ACK64B                 429
#define     V_03700C_CB_PERF_SEL_CC_MC_WRITE_ACK64B                 430
#define     V_03700C_CB_PERF_SEL_EVENT_BOTTOM_OF_PIPE_TS            431
#define     V_03700C_CB_PERF_SEL_EVENT_FLUSH_AND_INV_DB_DATA_TS     432
#define     V_03700C_CB_PERF_SEL_EVENT_FLUSH_AND_INV_CB_PIXEL_DATA  433
#define     V_03700C_CB_PERF_SEL_DB_CB_TILE_TILENOTEVENT            434
#define     V_03700C_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_32BPP_8PIX  435
#define     V_03700C_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_16_16_UNSIGNED_8PIX 436
#define     V_03700C_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_16_16_SIGNED_8PIX 437
#define     V_03700C_CB_PERF_SEL_LQUAD_FORMAT_IS_EXPORT_16_16_FLOAT_8PIX 438
#define     V_03700C_CB_PERF_SEL_MERGE_PIXELS_WITH_BLEND_ENABLED    439
#define     V_03700C_CB_PERF_SEL_DB_CB_CONTEXT_DONE                 440
#define     V_03700C_CB_PERF_SEL_DB_CB_EOP_DONE                     441
#define     V_03700C_CB_PERF_SEL_CC_MC_WRITE_REQUEST_PARTIAL        442
#define     V_03700C_CB_PERF_SEL_CC_BB_BLEND_PIXEL_VLD              443
#define     V_03700C_CB_PERF_SEL_CC_CACHE_256BS_SAVED_DUE_TO_QSB    444
#define     V_03700C_CB_PERF_SEL_FC_CACHE_FMASK_NO_FETCH            445
#define     V_03700C_CB_PERF_SEL_CC_CACHE_SECTOR_HIT                446
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_REG  447
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_SINGLE 448
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_AC00 449
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_AC01 450
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_AC10 451
#define     V_03700C_CB_PERF_SEL_CC_DCC_KEY_VALUE__CONST_CLEAR_AC11 452
#define     V_03700C_CB_PERF_SEL_TQ_STUTTER_STALL                   453
#define   S_03700C_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28) /* >= gfx10 */
#define   G_03700C_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_03700C_PERF_MODE                                          0x0FFFFFFF
#define R_037010_CB_PERFCOUNTER2_SELECT                                 0x037010
#define R_037014_CB_PERFCOUNTER3_SELECT                                 0x037014
#define R_037100_DB_PERFCOUNTER0_SELECT                                 0x037100
#define   S_037100_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_037100_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_037100_PERF_SEL                                           0xFFFFFC00
#define     V_037100_CHA_PERF_SEL_BUSY                              0 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SC_DB_tile_sends                   0 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_STALL_CHC0                        1 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SC_DB_tile_busy                    1 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_STALL_CHC1                        2 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SC_DB_tile_stalls                  2 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_STALL_CHC2                        3 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SC_DB_tile_events                  3 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_STALL_CHC3                        4 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SC_DB_tile_tiles                   4 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_STALL_CHC4                        5 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SC_DB_tile_covered                 5 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_STALL_CHC5                        6 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_hiz_tc_read_starved                6 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_REQUEST_CHC0                      7 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_hiz_tc_write_stall                 7 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_REQUEST_CHC1                      8 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_hiz_tile_culled                    8 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_REQUEST_CHC2                      9 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_his_tile_culled                    9 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_REQUEST_CHC3                      10 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_tile_sends                   10 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_REQUEST_CHC4                      11 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_tile_busy                    11 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_MEM_32B_WDS_CHC0                  12 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_tile_stalls                  12 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_MEM_32B_WDS_CHC1                  13 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_tile_df_stalls               13 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_MEM_32B_WDS_CHC2                  14 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_tile_tiles                   14 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_MEM_32B_WDS_CHC3                  15 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_tile_culled                  15 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_MEM_32B_WDS_CHC4                  16 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_tile_hier_kill               16 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_IO_32B_WDS_CHC0                   17 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_tile_fast_ops                17 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_IO_32B_WDS_CHC1                   18 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_tile_no_ops                  18 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_IO_32B_WDS_CHC2                   19 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_tile_tile_rate               19 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_IO_32B_WDS_CHC3                   20 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_tile_ssaa_kill               20 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_IO_32B_WDS_CHC4                   21 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_tile_fast_z_ops              21 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_MEM_BURST_COUNT_CHC0              22 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_tile_fast_stencil_ops        22 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_MEM_BURST_COUNT_CHC1              23 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SC_DB_quad_sends                   23 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_MEM_BURST_COUNT_CHC2              24 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SC_DB_quad_busy                    24 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_MEM_BURST_COUNT_CHC3              25 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SC_DB_quad_squads                  25 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_MEM_BURST_COUNT_CHC4              26 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SC_DB_quad_tiles                   26 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_IO_BURST_COUNT_CHC0               27 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SC_DB_quad_pixels                  27 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_IO_BURST_COUNT_CHC1               28 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SC_DB_quad_killed_tiles            28 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_IO_BURST_COUNT_CHC2               29 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_quad_sends                   29 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_IO_BURST_COUNT_CHC3               30 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_quad_busy                    30 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_IO_BURST_COUNT_CHC4               31 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_quad_stalls                  31 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_ARB_REQUESTS                      32 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_quad_tiles                   32 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC0                33 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_SC_quad_lit_quad                33 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC1                34 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_CB_tile_sends                   34 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC2                35 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_CB_tile_busy                    35 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC3                36 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_CB_tile_stalls                  36 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC4                37 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SX_DB_quad_sends                   37 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_REQ_INFLIGHT_LEVEL                38 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SX_DB_quad_busy                    38 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC0           39 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SX_DB_quad_stalls                  39 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC1           40 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SX_DB_quad_quads                   40 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC2           41 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SX_DB_quad_pixels                  41 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC3           42 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SX_DB_quad_exports                 42 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC4           43 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_SH_quads_outstanding_sum           43 /* >= gfx10 */
#define     V_037100_CHA_PERF_SEL_CYCLE                             44 /* <= gfx9 */
#define     V_037100_DB_PERF_SEL_DB_CB_lquad_sends                  44 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_lquad_busy                   45 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_lquad_stalls                 46 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_lquad_quads                  47 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tile_rd_sends                      48 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_mi_tile_rd_outstanding_sum         49 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_rd_sends                      50 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_rd_busy                       51 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_rd_mi_stall                   52 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_rd_rw_collision               53 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_rd_tag_stall                  54 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_rd_32byte_reqs                55 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_rd_panic                      56 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_mi_quad_rd_outstanding_sum         57 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_rdret_sends                   58 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_rdret_busy                    59 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tile_wr_sends                      60 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tile_wr_acks                       61 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_mi_tile_wr_outstanding_sum         62 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_wr_sends                      63 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_wr_busy                       64 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_wr_mi_stall                   65 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_wr_coherency_stall            66 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_wr_acks                       67 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_mi_quad_wr_outstanding_sum         68 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Tile_Cache_misses                  69 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Tile_Cache_hits                    70 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Tile_Cache_flushes                 71 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Tile_Cache_surface_stall           72 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Tile_Cache_starves                 73 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Tile_Cache_mem_return_starve       74 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tcp_dispatcher_reads               75 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tcp_prefetcher_reads               76 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tcp_preloader_reads                77 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tcp_dispatcher_flushes             78 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tcp_prefetcher_flushes             79 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tcp_preloader_flushes              80 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Depth_Tile_Cache_sends             81 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Depth_Tile_Cache_busy              82 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Depth_Tile_Cache_starves           83 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Depth_Tile_Cache_dtile_locked      84 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Depth_Tile_Cache_alloc_stall       85 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Depth_Tile_Cache_misses            86 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Depth_Tile_Cache_hits              87 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Depth_Tile_Cache_flushes           88 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Depth_Tile_Cache_noop_tile         89 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Depth_Tile_Cache_detailed_noop     90 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Depth_Tile_Cache_event             91 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Depth_Tile_Cache_tile_frees        92 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Depth_Tile_Cache_data_frees        93 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Depth_Tile_Cache_mem_return_starve 94 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Stencil_Cache_misses               95 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Stencil_Cache_hits                 96 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Stencil_Cache_flushes              97 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Stencil_Cache_starves              98 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Stencil_Cache_frees                99 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Z_Cache_separate_Z_misses          100 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Z_Cache_separate_Z_hits            101 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Z_Cache_separate_Z_flushes         102 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Z_Cache_separate_Z_starves         103 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Z_Cache_pmask_misses               104 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Z_Cache_pmask_hits                 105 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Z_Cache_pmask_flushes              106 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Z_Cache_pmask_starves              107 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Z_Cache_frees                      108 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Plane_Cache_misses                 109 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Plane_Cache_hits                   110 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Plane_Cache_flushes                111 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Plane_Cache_starves                112 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Plane_Cache_frees                  113 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_expanded_stencil             114 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_compressed_stencil           115 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_single_stencil               116 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_planes_flushed                     117 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_1plane                       118 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_2plane                       119 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_3plane                       120 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_4plane                       121 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_5plane                       122 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_6plane                       123 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_7plane                       124 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_8plane                       125 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_9plane                       126 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_10plane                      127 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_11plane                      128 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_12plane                      129 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_13plane                      130 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_14plane                      131 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_15plane                      132 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_16plane                      133 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_expanded_z                   134 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_earlyZ_waiting_for_postZ_done      135 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_reZ_waiting_for_postZ_done         136 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_dk_tile_sends                      137 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_dk_tile_busy                       138 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_dk_tile_quad_starves               139 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_dk_tile_stalls                     140 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_dk_squad_sends                     141 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_dk_squad_busy                      142 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_dk_squad_stalls                    143 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Op_Pipe_Busy                       144 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Op_Pipe_MC_Read_stall              145 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_qc_busy                            146 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_qc_xfc                             147 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_qc_conflicts                       148 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_qc_full_stall                      149 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_qc_in_preZ_tile_stalls_postZ       150 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_qc_in_postZ_tile_stalls_preZ       151 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tsc_insert_summarize_stall         152 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_busy                            153 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_dtc_read_starved                154 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_z_fetch_stall                   155 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_stencil_stall                   156 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_z_decompress_stall              157 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_stencil_locked_stall            158 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_events                          159 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_summarize_squads                160 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_flush_expand_squads             161 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_expand_squads                   162 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_preZ_squads                     163 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_postZ_squads                    164 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_preZ_noop_squads                165 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_postZ_noop_squads               166 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_tile_ops                        167 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_in_xfc                          168 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_in_single_stencil_expand_stall  169 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_in_fast_z_stall                 170 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_out_xfc                         171 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tl_out_squads                      172 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_zf_plane_multicycle                173 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_PostZ_Samples_passing_Z            174 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_PostZ_Samples_failing_Z            175 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_PostZ_Samples_failing_S            176 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_PreZ_Samples_passing_Z             177 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_PreZ_Samples_failing_Z             178 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_PreZ_Samples_failing_S             179 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_ts_tc_update_stall                 180 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_sc_kick_start                      181 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_sc_kick_end                        182 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_clock_reg_active                   183 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_clock_main_active                  184 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_clock_mem_export_active            185 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_ps_out_busy                    186 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_ps_lqf_busy                    187 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_ps_lqf_stall                   188 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_etr_out_send                       189 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_etr_out_busy                       190 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_etr_out_ltile_probe_fifo_full_stall 191 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_etr_out_cb_tile_stall              192 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_etr_out_esr_stall                  193 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_ps_sqq_busy                    194 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_ps_sqq_stall                   195 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_eot_fwd_busy                   196 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_eot_fwd_holding_squad          197 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_eot_fwd_forward                198 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_sqq_zi_busy                    199 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_sqq_zi_stall                   200 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_sq_pt_busy                  201 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_sq_pt_stall                 202 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_se_busy                     203 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_se_stall                    204 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_partial_launch              205 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_full_launch                 206 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_partial_waiting             207 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_tile_mem_stall              208 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_tile_init_stall             209 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_prezl_tile_mem_stall               210 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_prezl_tile_init_stall              211 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_dtt_sm_clash_stall                 212 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_dtt_sm_slot_stall                  213 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_dtt_sm_miss_stall                  214 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_mi_rdreq_busy                      215 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_mi_rdreq_stall                     216 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_mi_wrreq_busy                      217 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_mi_wrreq_stall                     218 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_recomp_tile_to_1zplane_no_fastop   219 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_dkg_tile_rate_tile                 220 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_prezl_src_in_sends                 221 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_prezl_src_in_stall                 222 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_prezl_src_in_squads                223 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_prezl_src_in_squads_unrolled       224 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_prezl_src_in_tile_rate             225 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_prezl_src_in_tile_rate_unrolled    226 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_prezl_src_out_stall                227 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_src_in_sends                228 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_src_in_stall                229 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_src_in_squads               230 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_src_in_squads_unrolled      231 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_src_in_tile_rate            232 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_src_in_tile_rate_unrolled   233 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_postzl_src_out_stall               234 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_ps_src_in_sends                235 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_ps_src_in_stall                236 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_ps_src_in_squads               237 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_ps_src_in_squads_unrolled      238 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_ps_src_in_tile_rate            239 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled   240 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled_to_pixel_rate 241 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_esr_ps_src_out_stall               242 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_depth_bounds_tile_culled           243 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_PreZ_Samples_failing_DB            244 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_PostZ_Samples_failing_DB           245 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_compressed                   246 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_flush_plane_le4                    247 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tiles_z_fully_summarized           248 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tiles_stencil_fully_summarized     249 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tiles_z_clear_on_expclear          250 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tiles_s_clear_on_expclear          251 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tiles_decomp_on_expclear           252 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_tiles_compressed_to_decompressed   253 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Op_Pipe_Prez_Busy                  254 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_Op_Pipe_Postz_Busy                 255 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_di_dt_stall                        256 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_SC_quad_lit_quad_pre_invoke     257 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_SC_s_tile_rate                  258 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_SC_c_tile_rate                  259 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_SC_z_tile_rate                  260 /* >= gfx10 */
#define     V_037100_Spare_261                                      261 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_lquad_export_quads           262 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_lquad_double_format          263 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_lquad_fast_format            264 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_lquad_slow_format            265 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_CB_DB_rdreq_sends                  266 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_CB_DB_rdreq_prt_sends              267 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_CB_DB_wrreq_sends                  268 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_CB_DB_wrreq_prt_sends              269 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_rdret_ack                    270 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_rdret_nack                   271 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_wrret_ack                    272 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_wrret_nack                   273 /* >= gfx10 */
#define     V_037100_Spare_274                                      274 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Stall_opmode_change           275 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Stall_cam_fifo                276 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Stall_bypass_fifo             277 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Stall_retained_tile_fifo      278 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Stall_control_fifo            279 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Stall_overflow_counter        280 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Stall_pops_stall_overflow     281 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Stall_pops_stall_self_flush   282 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Stall_middle_output           283 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Stall_stalling_general        284 /* >= gfx10 */
#define     V_037100_Spare_285                                      285 /* >= gfx10 */
#define     V_037100_Spare_286                                      286 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_prez_killed_squad             287 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_squads_in                     288 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_full_cleared_squads_out       289 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_quads_in                      290 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_fully_cleared_quads_out       291 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_lit_pixels_in                 292 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_fully_cleared_pixels_out      293 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_lit_samples_in                294 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_lit_samples_out               295 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_evicted_tiles_above_watermark 296 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_cant_accept_squads_but_not_stalled_by_downstream 297 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_stalled_by_downstream         298 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_evicted_squads_above_watermark 299 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_collisions_due_to_POPS_overflow 300 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_collisions_detected_within_POPS_FIFO 301 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_evicted_squads_due_to_prim_watermark 302 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_MI_tile_req_wrack_counter_stall    303 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_MI_quad_req_wrack_counter_stall    304 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_MI_zpc_req_wrack_counter_stall     305 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_MI_psd_req_wrack_counter_stall     306 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_unmapped_z_tile_culled             307 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_DB_DATA_TS 308 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_CB_PIXEL_DATA 309 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_tile_is_event_BOTTOM_OF_PIPE_TS 310 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_tile_waiting_for_perfcounter_stop_event 311 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_lquad_fmt_32bpp_8pix         312 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_unsigned_8pix 313 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_signed_8pix  314 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_float_8pix   315 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_lquad_num_pixels_need_blending 316 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_context_dones                317 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_CB_eop_dones                    318 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_SX_DB_quad_all_pixels_killed       319 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_SX_DB_quad_all_pixels_enabled      320 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_SX_DB_quad_need_blending_and_dst_read 321 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_SC_DB_tile_backface                322 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_SC_DB_quad_quads                   323 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_SC_quad_quads_with_1_pixel      324 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_SC_quad_quads_with_2_pixels     325 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_SC_quad_quads_with_3_pixels     326 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_SC_quad_quads_with_4_pixels     327 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Flush_flushabit               328 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Flush_flushabit_camcoord_fifo 329 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Flush_flushabit_passthrough   330 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Flush_flushabit_forceflush    331 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Flush_flushabit_nearlyfull    332 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Flush_flushabit_primitivesinflightwatermark 333 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Flush_flushabit_punch_stalling 334 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Flush_flushabit_retainedtilefifo_watermark 335 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Flush_flushabit_tilesinflightwatermark 336 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Flush_flushall                337 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Flush_flushall_dfsmflush      338 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Flush_flushall_opmodechange   339 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Flush_flushall_sampleratechange 340 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_Flush_flushall_watchdog       341 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DB_SC_quad_double_quad             342 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_SX_DB_quad_export_quads            343 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_SX_DB_quad_double_format           344 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_SX_DB_quad_fast_format             345 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_SX_DB_quad_slow_format             346 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_rd_sends_unc                  347 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_quad_rd_mi_stall_unc               348 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_OutputPunch                   349 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_OutputPops                    350 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_OutputFifo                    351 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_StallOpmodeChange             352 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_StallCAMFifoFull              353 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_StallBypassFifoFull           354 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_StallRetainedTileFifoFull     355 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_StallControlFifoFull          356 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_StallControlCountFull         357 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_StallOverflowMaximum          358 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_StallPopsStallOverflow        359 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_StallPopsStallSelfStall       360 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_StallCamSlotFlush             361 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_StallOutput                   362 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_WatchdogTrigger               363 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_DFSM_StallOnPOPSStall              364 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_SC_DB_tile_tiles_pipe0             365 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_SC_DB_tile_tiles_pipe1             366 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_SC_DB_quad_quads_pipe0             367 /* >= gfx10 */
#define     V_037100_DB_PERF_SEL_SC_DB_quad_quads_pipe1             368 /* >= gfx10 */
#define   S_037100_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_037100_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_037100_PERF_SEL1                                          0xFFF003FF
#define   S_037100_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_037100_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_037100_CNTR_MODE                                          0xFF0FFFFF
#define   S_037100_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_037100_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_037100_PERF_MODE1                                         0xF0FFFFFF
#define   S_037100_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_037100_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_037100_PERF_MODE                                          0x0FFFFFFF
#define R_037104_DB_PERFCOUNTER0_SELECT1                                0x037104
#define   S_037104_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_037104_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_037104_PERF_SEL2                                          0xFFFFFC00
#define     V_037104_DB_PERF_SEL_SC_DB_tile_sends                   0
#define     V_037104_DB_PERF_SEL_SC_DB_tile_busy                    1
#define     V_037104_DB_PERF_SEL_SC_DB_tile_stalls                  2
#define     V_037104_DB_PERF_SEL_SC_DB_tile_events                  3
#define     V_037104_DB_PERF_SEL_SC_DB_tile_tiles                   4
#define     V_037104_DB_PERF_SEL_SC_DB_tile_covered                 5
#define     V_037104_DB_PERF_SEL_hiz_tc_read_starved                6
#define     V_037104_DB_PERF_SEL_hiz_tc_write_stall                 7
#define     V_037104_DB_PERF_SEL_hiz_tile_culled                    8
#define     V_037104_DB_PERF_SEL_his_tile_culled                    9
#define     V_037104_DB_PERF_SEL_DB_SC_tile_sends                   10
#define     V_037104_DB_PERF_SEL_DB_SC_tile_busy                    11
#define     V_037104_DB_PERF_SEL_DB_SC_tile_stalls                  12
#define     V_037104_DB_PERF_SEL_DB_SC_tile_df_stalls               13
#define     V_037104_DB_PERF_SEL_DB_SC_tile_tiles                   14
#define     V_037104_DB_PERF_SEL_DB_SC_tile_culled                  15
#define     V_037104_DB_PERF_SEL_DB_SC_tile_hier_kill               16
#define     V_037104_DB_PERF_SEL_DB_SC_tile_fast_ops                17
#define     V_037104_DB_PERF_SEL_DB_SC_tile_no_ops                  18
#define     V_037104_DB_PERF_SEL_DB_SC_tile_tile_rate               19
#define     V_037104_DB_PERF_SEL_DB_SC_tile_ssaa_kill               20
#define     V_037104_DB_PERF_SEL_DB_SC_tile_fast_z_ops              21
#define     V_037104_DB_PERF_SEL_DB_SC_tile_fast_stencil_ops        22
#define     V_037104_DB_PERF_SEL_SC_DB_quad_sends                   23
#define     V_037104_DB_PERF_SEL_SC_DB_quad_busy                    24
#define     V_037104_DB_PERF_SEL_SC_DB_quad_squads                  25
#define     V_037104_DB_PERF_SEL_SC_DB_quad_tiles                   26
#define     V_037104_DB_PERF_SEL_SC_DB_quad_pixels                  27
#define     V_037104_DB_PERF_SEL_SC_DB_quad_killed_tiles            28
#define     V_037104_DB_PERF_SEL_DB_SC_quad_sends                   29
#define     V_037104_DB_PERF_SEL_DB_SC_quad_busy                    30
#define     V_037104_DB_PERF_SEL_DB_SC_quad_stalls                  31
#define     V_037104_DB_PERF_SEL_DB_SC_quad_tiles                   32
#define     V_037104_DB_PERF_SEL_DB_SC_quad_lit_quad                33
#define     V_037104_DB_PERF_SEL_DB_CB_tile_sends                   34
#define     V_037104_DB_PERF_SEL_DB_CB_tile_busy                    35
#define     V_037104_DB_PERF_SEL_DB_CB_tile_stalls                  36
#define     V_037104_DB_PERF_SEL_SX_DB_quad_sends                   37
#define     V_037104_DB_PERF_SEL_SX_DB_quad_busy                    38
#define     V_037104_DB_PERF_SEL_SX_DB_quad_stalls                  39
#define     V_037104_DB_PERF_SEL_SX_DB_quad_quads                   40
#define     V_037104_DB_PERF_SEL_SX_DB_quad_pixels                  41
#define     V_037104_DB_PERF_SEL_SX_DB_quad_exports                 42
#define     V_037104_DB_PERF_SEL_SH_quads_outstanding_sum           43
#define     V_037104_DB_PERF_SEL_DB_CB_lquad_sends                  44
#define     V_037104_DB_PERF_SEL_DB_CB_lquad_busy                   45
#define     V_037104_DB_PERF_SEL_DB_CB_lquad_stalls                 46
#define     V_037104_DB_PERF_SEL_DB_CB_lquad_quads                  47
#define     V_037104_DB_PERF_SEL_tile_rd_sends                      48
#define     V_037104_DB_PERF_SEL_mi_tile_rd_outstanding_sum         49
#define     V_037104_DB_PERF_SEL_quad_rd_sends                      50
#define     V_037104_DB_PERF_SEL_quad_rd_busy                       51
#define     V_037104_DB_PERF_SEL_quad_rd_mi_stall                   52
#define     V_037104_DB_PERF_SEL_quad_rd_rw_collision               53
#define     V_037104_DB_PERF_SEL_quad_rd_tag_stall                  54
#define     V_037104_DB_PERF_SEL_quad_rd_32byte_reqs                55
#define     V_037104_DB_PERF_SEL_quad_rd_panic                      56
#define     V_037104_DB_PERF_SEL_mi_quad_rd_outstanding_sum         57
#define     V_037104_DB_PERF_SEL_quad_rdret_sends                   58
#define     V_037104_DB_PERF_SEL_quad_rdret_busy                    59
#define     V_037104_DB_PERF_SEL_tile_wr_sends                      60
#define     V_037104_DB_PERF_SEL_tile_wr_acks                       61
#define     V_037104_DB_PERF_SEL_mi_tile_wr_outstanding_sum         62
#define     V_037104_DB_PERF_SEL_quad_wr_sends                      63
#define     V_037104_DB_PERF_SEL_quad_wr_busy                       64
#define     V_037104_DB_PERF_SEL_quad_wr_mi_stall                   65
#define     V_037104_DB_PERF_SEL_quad_wr_coherency_stall            66
#define     V_037104_DB_PERF_SEL_quad_wr_acks                       67
#define     V_037104_DB_PERF_SEL_mi_quad_wr_outstanding_sum         68
#define     V_037104_DB_PERF_SEL_Tile_Cache_misses                  69
#define     V_037104_DB_PERF_SEL_Tile_Cache_hits                    70
#define     V_037104_DB_PERF_SEL_Tile_Cache_flushes                 71
#define     V_037104_DB_PERF_SEL_Tile_Cache_surface_stall           72
#define     V_037104_DB_PERF_SEL_Tile_Cache_starves                 73
#define     V_037104_DB_PERF_SEL_Tile_Cache_mem_return_starve       74
#define     V_037104_DB_PERF_SEL_tcp_dispatcher_reads               75
#define     V_037104_DB_PERF_SEL_tcp_prefetcher_reads               76
#define     V_037104_DB_PERF_SEL_tcp_preloader_reads                77
#define     V_037104_DB_PERF_SEL_tcp_dispatcher_flushes             78
#define     V_037104_DB_PERF_SEL_tcp_prefetcher_flushes             79
#define     V_037104_DB_PERF_SEL_tcp_preloader_flushes              80
#define     V_037104_DB_PERF_SEL_Depth_Tile_Cache_sends             81
#define     V_037104_DB_PERF_SEL_Depth_Tile_Cache_busy              82
#define     V_037104_DB_PERF_SEL_Depth_Tile_Cache_starves           83
#define     V_037104_DB_PERF_SEL_Depth_Tile_Cache_dtile_locked      84
#define     V_037104_DB_PERF_SEL_Depth_Tile_Cache_alloc_stall       85
#define     V_037104_DB_PERF_SEL_Depth_Tile_Cache_misses            86
#define     V_037104_DB_PERF_SEL_Depth_Tile_Cache_hits              87
#define     V_037104_DB_PERF_SEL_Depth_Tile_Cache_flushes           88
#define     V_037104_DB_PERF_SEL_Depth_Tile_Cache_noop_tile         89
#define     V_037104_DB_PERF_SEL_Depth_Tile_Cache_detailed_noop     90
#define     V_037104_DB_PERF_SEL_Depth_Tile_Cache_event             91
#define     V_037104_DB_PERF_SEL_Depth_Tile_Cache_tile_frees        92
#define     V_037104_DB_PERF_SEL_Depth_Tile_Cache_data_frees        93
#define     V_037104_DB_PERF_SEL_Depth_Tile_Cache_mem_return_starve 94
#define     V_037104_DB_PERF_SEL_Stencil_Cache_misses               95
#define     V_037104_DB_PERF_SEL_Stencil_Cache_hits                 96
#define     V_037104_DB_PERF_SEL_Stencil_Cache_flushes              97
#define     V_037104_DB_PERF_SEL_Stencil_Cache_starves              98
#define     V_037104_DB_PERF_SEL_Stencil_Cache_frees                99
#define     V_037104_DB_PERF_SEL_Z_Cache_separate_Z_misses          100
#define     V_037104_DB_PERF_SEL_Z_Cache_separate_Z_hits            101
#define     V_037104_DB_PERF_SEL_Z_Cache_separate_Z_flushes         102
#define     V_037104_DB_PERF_SEL_Z_Cache_separate_Z_starves         103
#define     V_037104_DB_PERF_SEL_Z_Cache_pmask_misses               104
#define     V_037104_DB_PERF_SEL_Z_Cache_pmask_hits                 105
#define     V_037104_DB_PERF_SEL_Z_Cache_pmask_flushes              106
#define     V_037104_DB_PERF_SEL_Z_Cache_pmask_starves              107
#define     V_037104_DB_PERF_SEL_Z_Cache_frees                      108
#define     V_037104_DB_PERF_SEL_Plane_Cache_misses                 109
#define     V_037104_DB_PERF_SEL_Plane_Cache_hits                   110
#define     V_037104_DB_PERF_SEL_Plane_Cache_flushes                111
#define     V_037104_DB_PERF_SEL_Plane_Cache_starves                112
#define     V_037104_DB_PERF_SEL_Plane_Cache_frees                  113
#define     V_037104_DB_PERF_SEL_flush_expanded_stencil             114
#define     V_037104_DB_PERF_SEL_flush_compressed_stencil           115
#define     V_037104_DB_PERF_SEL_flush_single_stencil               116
#define     V_037104_DB_PERF_SEL_planes_flushed                     117
#define     V_037104_DB_PERF_SEL_flush_1plane                       118
#define     V_037104_DB_PERF_SEL_flush_2plane                       119
#define     V_037104_DB_PERF_SEL_flush_3plane                       120
#define     V_037104_DB_PERF_SEL_flush_4plane                       121
#define     V_037104_DB_PERF_SEL_flush_5plane                       122
#define     V_037104_DB_PERF_SEL_flush_6plane                       123
#define     V_037104_DB_PERF_SEL_flush_7plane                       124
#define     V_037104_DB_PERF_SEL_flush_8plane                       125
#define     V_037104_DB_PERF_SEL_flush_9plane                       126
#define     V_037104_DB_PERF_SEL_flush_10plane                      127
#define     V_037104_DB_PERF_SEL_flush_11plane                      128
#define     V_037104_DB_PERF_SEL_flush_12plane                      129
#define     V_037104_DB_PERF_SEL_flush_13plane                      130
#define     V_037104_DB_PERF_SEL_flush_14plane                      131
#define     V_037104_DB_PERF_SEL_flush_15plane                      132
#define     V_037104_DB_PERF_SEL_flush_16plane                      133
#define     V_037104_DB_PERF_SEL_flush_expanded_z                   134
#define     V_037104_DB_PERF_SEL_earlyZ_waiting_for_postZ_done      135
#define     V_037104_DB_PERF_SEL_reZ_waiting_for_postZ_done         136
#define     V_037104_DB_PERF_SEL_dk_tile_sends                      137
#define     V_037104_DB_PERF_SEL_dk_tile_busy                       138
#define     V_037104_DB_PERF_SEL_dk_tile_quad_starves               139
#define     V_037104_DB_PERF_SEL_dk_tile_stalls                     140
#define     V_037104_DB_PERF_SEL_dk_squad_sends                     141
#define     V_037104_DB_PERF_SEL_dk_squad_busy                      142
#define     V_037104_DB_PERF_SEL_dk_squad_stalls                    143
#define     V_037104_DB_PERF_SEL_Op_Pipe_Busy                       144
#define     V_037104_DB_PERF_SEL_Op_Pipe_MC_Read_stall              145
#define     V_037104_DB_PERF_SEL_qc_busy                            146
#define     V_037104_DB_PERF_SEL_qc_xfc                             147
#define     V_037104_DB_PERF_SEL_qc_conflicts                       148
#define     V_037104_DB_PERF_SEL_qc_full_stall                      149
#define     V_037104_DB_PERF_SEL_qc_in_preZ_tile_stalls_postZ       150
#define     V_037104_DB_PERF_SEL_qc_in_postZ_tile_stalls_preZ       151
#define     V_037104_DB_PERF_SEL_tsc_insert_summarize_stall         152
#define     V_037104_DB_PERF_SEL_tl_busy                            153
#define     V_037104_DB_PERF_SEL_tl_dtc_read_starved                154
#define     V_037104_DB_PERF_SEL_tl_z_fetch_stall                   155
#define     V_037104_DB_PERF_SEL_tl_stencil_stall                   156
#define     V_037104_DB_PERF_SEL_tl_z_decompress_stall              157
#define     V_037104_DB_PERF_SEL_tl_stencil_locked_stall            158
#define     V_037104_DB_PERF_SEL_tl_events                          159
#define     V_037104_DB_PERF_SEL_tl_summarize_squads                160
#define     V_037104_DB_PERF_SEL_tl_flush_expand_squads             161
#define     V_037104_DB_PERF_SEL_tl_expand_squads                   162
#define     V_037104_DB_PERF_SEL_tl_preZ_squads                     163
#define     V_037104_DB_PERF_SEL_tl_postZ_squads                    164
#define     V_037104_DB_PERF_SEL_tl_preZ_noop_squads                165
#define     V_037104_DB_PERF_SEL_tl_postZ_noop_squads               166
#define     V_037104_DB_PERF_SEL_tl_tile_ops                        167
#define     V_037104_DB_PERF_SEL_tl_in_xfc                          168
#define     V_037104_DB_PERF_SEL_tl_in_single_stencil_expand_stall  169
#define     V_037104_DB_PERF_SEL_tl_in_fast_z_stall                 170
#define     V_037104_DB_PERF_SEL_tl_out_xfc                         171
#define     V_037104_DB_PERF_SEL_tl_out_squads                      172
#define     V_037104_DB_PERF_SEL_zf_plane_multicycle                173
#define     V_037104_DB_PERF_SEL_PostZ_Samples_passing_Z            174
#define     V_037104_DB_PERF_SEL_PostZ_Samples_failing_Z            175
#define     V_037104_DB_PERF_SEL_PostZ_Samples_failing_S            176
#define     V_037104_DB_PERF_SEL_PreZ_Samples_passing_Z             177
#define     V_037104_DB_PERF_SEL_PreZ_Samples_failing_Z             178
#define     V_037104_DB_PERF_SEL_PreZ_Samples_failing_S             179
#define     V_037104_DB_PERF_SEL_ts_tc_update_stall                 180
#define     V_037104_DB_PERF_SEL_sc_kick_start                      181
#define     V_037104_DB_PERF_SEL_sc_kick_end                        182
#define     V_037104_DB_PERF_SEL_clock_reg_active                   183
#define     V_037104_DB_PERF_SEL_clock_main_active                  184
#define     V_037104_DB_PERF_SEL_clock_mem_export_active            185
#define     V_037104_DB_PERF_SEL_esr_ps_out_busy                    186
#define     V_037104_DB_PERF_SEL_esr_ps_lqf_busy                    187
#define     V_037104_DB_PERF_SEL_esr_ps_lqf_stall                   188
#define     V_037104_DB_PERF_SEL_etr_out_send                       189
#define     V_037104_DB_PERF_SEL_etr_out_busy                       190
#define     V_037104_DB_PERF_SEL_etr_out_ltile_probe_fifo_full_stall 191
#define     V_037104_DB_PERF_SEL_etr_out_cb_tile_stall              192
#define     V_037104_DB_PERF_SEL_etr_out_esr_stall                  193
#define     V_037104_DB_PERF_SEL_esr_ps_sqq_busy                    194
#define     V_037104_DB_PERF_SEL_esr_ps_sqq_stall                   195
#define     V_037104_DB_PERF_SEL_esr_eot_fwd_busy                   196
#define     V_037104_DB_PERF_SEL_esr_eot_fwd_holding_squad          197
#define     V_037104_DB_PERF_SEL_esr_eot_fwd_forward                198
#define     V_037104_DB_PERF_SEL_esr_sqq_zi_busy                    199
#define     V_037104_DB_PERF_SEL_esr_sqq_zi_stall                   200
#define     V_037104_DB_PERF_SEL_postzl_sq_pt_busy                  201
#define     V_037104_DB_PERF_SEL_postzl_sq_pt_stall                 202
#define     V_037104_DB_PERF_SEL_postzl_se_busy                     203
#define     V_037104_DB_PERF_SEL_postzl_se_stall                    204
#define     V_037104_DB_PERF_SEL_postzl_partial_launch              205
#define     V_037104_DB_PERF_SEL_postzl_full_launch                 206
#define     V_037104_DB_PERF_SEL_postzl_partial_waiting             207
#define     V_037104_DB_PERF_SEL_postzl_tile_mem_stall              208
#define     V_037104_DB_PERF_SEL_postzl_tile_init_stall             209
#define     V_037104_DB_PERF_SEL_prezl_tile_mem_stall               210
#define     V_037104_DB_PERF_SEL_prezl_tile_init_stall              211
#define     V_037104_DB_PERF_SEL_dtt_sm_clash_stall                 212
#define     V_037104_DB_PERF_SEL_dtt_sm_slot_stall                  213
#define     V_037104_DB_PERF_SEL_dtt_sm_miss_stall                  214
#define     V_037104_DB_PERF_SEL_mi_rdreq_busy                      215
#define     V_037104_DB_PERF_SEL_mi_rdreq_stall                     216
#define     V_037104_DB_PERF_SEL_mi_wrreq_busy                      217
#define     V_037104_DB_PERF_SEL_mi_wrreq_stall                     218
#define     V_037104_DB_PERF_SEL_recomp_tile_to_1zplane_no_fastop   219
#define     V_037104_DB_PERF_SEL_dkg_tile_rate_tile                 220
#define     V_037104_DB_PERF_SEL_prezl_src_in_sends                 221
#define     V_037104_DB_PERF_SEL_prezl_src_in_stall                 222
#define     V_037104_DB_PERF_SEL_prezl_src_in_squads                223
#define     V_037104_DB_PERF_SEL_prezl_src_in_squads_unrolled       224
#define     V_037104_DB_PERF_SEL_prezl_src_in_tile_rate             225
#define     V_037104_DB_PERF_SEL_prezl_src_in_tile_rate_unrolled    226
#define     V_037104_DB_PERF_SEL_prezl_src_out_stall                227
#define     V_037104_DB_PERF_SEL_postzl_src_in_sends                228
#define     V_037104_DB_PERF_SEL_postzl_src_in_stall                229
#define     V_037104_DB_PERF_SEL_postzl_src_in_squads               230
#define     V_037104_DB_PERF_SEL_postzl_src_in_squads_unrolled      231
#define     V_037104_DB_PERF_SEL_postzl_src_in_tile_rate            232
#define     V_037104_DB_PERF_SEL_postzl_src_in_tile_rate_unrolled   233
#define     V_037104_DB_PERF_SEL_postzl_src_out_stall               234
#define     V_037104_DB_PERF_SEL_esr_ps_src_in_sends                235
#define     V_037104_DB_PERF_SEL_esr_ps_src_in_stall                236
#define     V_037104_DB_PERF_SEL_esr_ps_src_in_squads               237
#define     V_037104_DB_PERF_SEL_esr_ps_src_in_squads_unrolled      238
#define     V_037104_DB_PERF_SEL_esr_ps_src_in_tile_rate            239
#define     V_037104_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled   240
#define     V_037104_DB_PERF_SEL_esr_ps_src_in_tile_rate_unrolled_to_pixel_rate 241
#define     V_037104_DB_PERF_SEL_esr_ps_src_out_stall               242
#define     V_037104_DB_PERF_SEL_depth_bounds_tile_culled           243
#define     V_037104_DB_PERF_SEL_PreZ_Samples_failing_DB            244
#define     V_037104_DB_PERF_SEL_PostZ_Samples_failing_DB           245
#define     V_037104_DB_PERF_SEL_flush_compressed                   246
#define     V_037104_DB_PERF_SEL_flush_plane_le4                    247
#define     V_037104_DB_PERF_SEL_tiles_z_fully_summarized           248
#define     V_037104_DB_PERF_SEL_tiles_stencil_fully_summarized     249
#define     V_037104_DB_PERF_SEL_tiles_z_clear_on_expclear          250
#define     V_037104_DB_PERF_SEL_tiles_s_clear_on_expclear          251
#define     V_037104_DB_PERF_SEL_tiles_decomp_on_expclear           252
#define     V_037104_DB_PERF_SEL_tiles_compressed_to_decompressed   253
#define     V_037104_DB_PERF_SEL_Op_Pipe_Prez_Busy                  254
#define     V_037104_DB_PERF_SEL_Op_Pipe_Postz_Busy                 255
#define     V_037104_DB_PERF_SEL_di_dt_stall                        256
#define     V_037104_DB_PERF_SEL_DB_SC_quad_lit_quad_pre_invoke     257
#define     V_037104_DB_PERF_SEL_DB_SC_s_tile_rate                  258
#define     V_037104_DB_PERF_SEL_DB_SC_c_tile_rate                  259
#define     V_037104_DB_PERF_SEL_DB_SC_z_tile_rate                  260
#define     V_037104_Spare_261                                      261
#define     V_037104_DB_PERF_SEL_DB_CB_lquad_export_quads           262
#define     V_037104_DB_PERF_SEL_DB_CB_lquad_double_format          263
#define     V_037104_DB_PERF_SEL_DB_CB_lquad_fast_format            264
#define     V_037104_DB_PERF_SEL_DB_CB_lquad_slow_format            265
#define     V_037104_DB_PERF_SEL_CB_DB_rdreq_sends                  266
#define     V_037104_DB_PERF_SEL_CB_DB_rdreq_prt_sends              267
#define     V_037104_DB_PERF_SEL_CB_DB_wrreq_sends                  268
#define     V_037104_DB_PERF_SEL_CB_DB_wrreq_prt_sends              269
#define     V_037104_DB_PERF_SEL_DB_CB_rdret_ack                    270
#define     V_037104_DB_PERF_SEL_DB_CB_rdret_nack                   271
#define     V_037104_DB_PERF_SEL_DB_CB_wrret_ack                    272
#define     V_037104_DB_PERF_SEL_DB_CB_wrret_nack                   273
#define     V_037104_Spare_274                                      274
#define     V_037104_DB_PERF_SEL_DFSM_Stall_opmode_change           275
#define     V_037104_DB_PERF_SEL_DFSM_Stall_cam_fifo                276
#define     V_037104_DB_PERF_SEL_DFSM_Stall_bypass_fifo             277
#define     V_037104_DB_PERF_SEL_DFSM_Stall_retained_tile_fifo      278
#define     V_037104_DB_PERF_SEL_DFSM_Stall_control_fifo            279
#define     V_037104_DB_PERF_SEL_DFSM_Stall_overflow_counter        280
#define     V_037104_DB_PERF_SEL_DFSM_Stall_pops_stall_overflow     281
#define     V_037104_DB_PERF_SEL_DFSM_Stall_pops_stall_self_flush   282
#define     V_037104_DB_PERF_SEL_DFSM_Stall_middle_output           283
#define     V_037104_DB_PERF_SEL_DFSM_Stall_stalling_general        284
#define     V_037104_Spare_285                                      285
#define     V_037104_Spare_286                                      286
#define     V_037104_DB_PERF_SEL_DFSM_prez_killed_squad             287
#define     V_037104_DB_PERF_SEL_DFSM_squads_in                     288
#define     V_037104_DB_PERF_SEL_DFSM_full_cleared_squads_out       289
#define     V_037104_DB_PERF_SEL_DFSM_quads_in                      290
#define     V_037104_DB_PERF_SEL_DFSM_fully_cleared_quads_out       291
#define     V_037104_DB_PERF_SEL_DFSM_lit_pixels_in                 292
#define     V_037104_DB_PERF_SEL_DFSM_fully_cleared_pixels_out      293
#define     V_037104_DB_PERF_SEL_DFSM_lit_samples_in                294
#define     V_037104_DB_PERF_SEL_DFSM_lit_samples_out               295
#define     V_037104_DB_PERF_SEL_DFSM_evicted_tiles_above_watermark 296
#define     V_037104_DB_PERF_SEL_DFSM_cant_accept_squads_but_not_stalled_by_downstream 297
#define     V_037104_DB_PERF_SEL_DFSM_stalled_by_downstream         298
#define     V_037104_DB_PERF_SEL_DFSM_evicted_squads_above_watermark 299
#define     V_037104_DB_PERF_SEL_DFSM_collisions_due_to_POPS_overflow 300
#define     V_037104_DB_PERF_SEL_DFSM_collisions_detected_within_POPS_FIFO 301
#define     V_037104_DB_PERF_SEL_DFSM_evicted_squads_due_to_prim_watermark 302
#define     V_037104_DB_PERF_SEL_MI_tile_req_wrack_counter_stall    303
#define     V_037104_DB_PERF_SEL_MI_quad_req_wrack_counter_stall    304
#define     V_037104_DB_PERF_SEL_MI_zpc_req_wrack_counter_stall     305
#define     V_037104_DB_PERF_SEL_MI_psd_req_wrack_counter_stall     306
#define     V_037104_DB_PERF_SEL_unmapped_z_tile_culled             307
#define     V_037104_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_DB_DATA_TS 308
#define     V_037104_DB_PERF_SEL_DB_CB_tile_is_event_FLUSH_AND_INV_CB_PIXEL_DATA 309
#define     V_037104_DB_PERF_SEL_DB_CB_tile_is_event_BOTTOM_OF_PIPE_TS 310
#define     V_037104_DB_PERF_SEL_DB_CB_tile_waiting_for_perfcounter_stop_event 311
#define     V_037104_DB_PERF_SEL_DB_CB_lquad_fmt_32bpp_8pix         312
#define     V_037104_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_unsigned_8pix 313
#define     V_037104_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_signed_8pix  314
#define     V_037104_DB_PERF_SEL_DB_CB_lquad_fmt_16_16_float_8pix   315
#define     V_037104_DB_PERF_SEL_DB_CB_lquad_num_pixels_need_blending 316
#define     V_037104_DB_PERF_SEL_DB_CB_context_dones                317
#define     V_037104_DB_PERF_SEL_DB_CB_eop_dones                    318
#define     V_037104_DB_PERF_SEL_SX_DB_quad_all_pixels_killed       319
#define     V_037104_DB_PERF_SEL_SX_DB_quad_all_pixels_enabled      320
#define     V_037104_DB_PERF_SEL_SX_DB_quad_need_blending_and_dst_read 321
#define     V_037104_DB_PERF_SEL_SC_DB_tile_backface                322
#define     V_037104_DB_PERF_SEL_SC_DB_quad_quads                   323
#define     V_037104_DB_PERF_SEL_DB_SC_quad_quads_with_1_pixel      324
#define     V_037104_DB_PERF_SEL_DB_SC_quad_quads_with_2_pixels     325
#define     V_037104_DB_PERF_SEL_DB_SC_quad_quads_with_3_pixels     326
#define     V_037104_DB_PERF_SEL_DB_SC_quad_quads_with_4_pixels     327
#define     V_037104_DB_PERF_SEL_DFSM_Flush_flushabit               328
#define     V_037104_DB_PERF_SEL_DFSM_Flush_flushabit_camcoord_fifo 329
#define     V_037104_DB_PERF_SEL_DFSM_Flush_flushabit_passthrough   330
#define     V_037104_DB_PERF_SEL_DFSM_Flush_flushabit_forceflush    331
#define     V_037104_DB_PERF_SEL_DFSM_Flush_flushabit_nearlyfull    332
#define     V_037104_DB_PERF_SEL_DFSM_Flush_flushabit_primitivesinflightwatermark 333
#define     V_037104_DB_PERF_SEL_DFSM_Flush_flushabit_punch_stalling 334
#define     V_037104_DB_PERF_SEL_DFSM_Flush_flushabit_retainedtilefifo_watermark 335
#define     V_037104_DB_PERF_SEL_DFSM_Flush_flushabit_tilesinflightwatermark 336
#define     V_037104_DB_PERF_SEL_DFSM_Flush_flushall                337
#define     V_037104_DB_PERF_SEL_DFSM_Flush_flushall_dfsmflush      338
#define     V_037104_DB_PERF_SEL_DFSM_Flush_flushall_opmodechange   339
#define     V_037104_DB_PERF_SEL_DFSM_Flush_flushall_sampleratechange 340
#define     V_037104_DB_PERF_SEL_DFSM_Flush_flushall_watchdog       341
#define     V_037104_DB_PERF_SEL_DB_SC_quad_double_quad             342
#define     V_037104_DB_PERF_SEL_SX_DB_quad_export_quads            343
#define     V_037104_DB_PERF_SEL_SX_DB_quad_double_format           344
#define     V_037104_DB_PERF_SEL_SX_DB_quad_fast_format             345
#define     V_037104_DB_PERF_SEL_SX_DB_quad_slow_format             346
#define     V_037104_DB_PERF_SEL_quad_rd_sends_unc                  347
#define     V_037104_DB_PERF_SEL_quad_rd_mi_stall_unc               348
#define     V_037104_DB_PERF_SEL_DFSM_OutputPunch                   349
#define     V_037104_DB_PERF_SEL_DFSM_OutputPops                    350
#define     V_037104_DB_PERF_SEL_DFSM_OutputFifo                    351
#define     V_037104_DB_PERF_SEL_DFSM_StallOpmodeChange             352
#define     V_037104_DB_PERF_SEL_DFSM_StallCAMFifoFull              353
#define     V_037104_DB_PERF_SEL_DFSM_StallBypassFifoFull           354
#define     V_037104_DB_PERF_SEL_DFSM_StallRetainedTileFifoFull     355
#define     V_037104_DB_PERF_SEL_DFSM_StallControlFifoFull          356
#define     V_037104_DB_PERF_SEL_DFSM_StallControlCountFull         357
#define     V_037104_DB_PERF_SEL_DFSM_StallOverflowMaximum          358
#define     V_037104_DB_PERF_SEL_DFSM_StallPopsStallOverflow        359
#define     V_037104_DB_PERF_SEL_DFSM_StallPopsStallSelfStall       360
#define     V_037104_DB_PERF_SEL_DFSM_StallCamSlotFlush             361
#define     V_037104_DB_PERF_SEL_DFSM_StallOutput                   362
#define     V_037104_DB_PERF_SEL_DFSM_WatchdogTrigger               363
#define     V_037104_DB_PERF_SEL_DFSM_StallOnPOPSStall              364
#define     V_037104_DB_PERF_SEL_SC_DB_tile_tiles_pipe0             365
#define     V_037104_DB_PERF_SEL_SC_DB_tile_tiles_pipe1             366
#define     V_037104_DB_PERF_SEL_SC_DB_quad_quads_pipe0             367
#define     V_037104_DB_PERF_SEL_SC_DB_quad_quads_pipe1             368
#define   S_037104_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_037104_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_037104_PERF_SEL3                                          0xFFF003FF
#define   S_037104_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_037104_PERF_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_037104_PERF_MODE3                                         0xF0FFFFFF
#define   S_037104_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_037104_PERF_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_037104_PERF_MODE2                                         0x0FFFFFFF
#define R_037108_DB_PERFCOUNTER1_SELECT                                 0x037108
#define R_03710C_DB_PERFCOUNTER1_SELECT1                                0x03710C
#define R_037110_DB_PERFCOUNTER2_SELECT                                 0x037110
#define R_037118_DB_PERFCOUNTER3_SELECT                                 0x037118
#define R_037200_RLC_SPM_PERFMON_CNTL                                   0x037200 /* >= gfx10 */
#define   S_037200_RESERVED1(x)                                       (((unsigned)(x) & 0xFFF) << 0)
#define   G_037200_RESERVED1(x)                                       (((x) >> 0) & 0xFFF)
#define   C_037200_RESERVED1                                          0xFFFFF000
#define   S_037200_PERFMON_RING_MODE(x)                               (((unsigned)(x) & 0x3) << 12)
#define   G_037200_PERFMON_RING_MODE(x)                               (((x) >> 12) & 0x3)
#define   C_037200_PERFMON_RING_MODE                                  0xFFFFCFFF
#define   S_037200_PERFMON_SAMPLE_INTERVAL(x)                         (((unsigned)(x) & 0xFFFF) << 16)
#define   G_037200_PERFMON_SAMPLE_INTERVAL(x)                         (((x) >> 16) & 0xFFFF)
#define   C_037200_PERFMON_SAMPLE_INTERVAL                            0x0000FFFF
#define R_037204_RLC_SPM_PERFMON_RING_BASE_LO                           0x037204 /* >= gfx10 */
#define   S_037204_RING_BASE_LO(x)                                    (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_037204_RING_BASE_LO(x)                                    (((x) >> 0) & 0xFFFFFFFF)
#define   C_037204_RING_BASE_LO                                       0x00000000
#define R_037208_RLC_SPM_PERFMON_RING_BASE_HI                           0x037208 /* >= gfx10 */
#define   S_037208_RING_BASE_HI(x)                                    (((unsigned)(x) & 0xFFFF) << 0)
#define   G_037208_RING_BASE_HI(x)                                    (((x) >> 0) & 0xFFFF)
#define   C_037208_RING_BASE_HI                                       0xFFFF0000
#define R_03720C_RLC_SPM_PERFMON_RING_SIZE                              0x03720C /* >= gfx10 */
#define   S_03720C_RING_BASE_SIZE(x)                                  (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03720C_RING_BASE_SIZE(x)                                  (((x) >> 0) & 0xFFFFFFFF)
#define   C_03720C_RING_BASE_SIZE                                     0x00000000
#define R_037210_RLC_SPM_PERFMON_SEGMENT_SIZE                           0x037210 /* >= gfx10 */
#define   S_037210_PERFMON_SEGMENT_SIZE(x)                            (((unsigned)(x) & 0xFF) << 0)
#define   G_037210_PERFMON_SEGMENT_SIZE(x)                            (((x) >> 0) & 0xFF)
#define   C_037210_PERFMON_SEGMENT_SIZE                               0xFFFFFF00
#define   S_037210_RESERVED1(x)                                       (((unsigned)(x) & 0x7) << 8)
#define   G_037210_RESERVED1(x)                                       (((x) >> 8) & 0x7)
#define   C_037210_RESERVED1                                          0xFFFFF8FF
#define   S_037210_GLOBAL_NUM_LINE(x)                                 (((unsigned)(x) & 0x1F) << 11)
#define   G_037210_GLOBAL_NUM_LINE(x)                                 (((x) >> 11) & 0x1F)
#define   C_037210_GLOBAL_NUM_LINE                                    0xFFFF07FF
#define   S_037210_SE0_NUM_LINE(x)                                    (((unsigned)(x) & 0x1F) << 16)
#define   G_037210_SE0_NUM_LINE(x)                                    (((x) >> 16) & 0x1F)
#define   C_037210_SE0_NUM_LINE                                       0xFFE0FFFF
#define   S_037210_SE1_NUM_LINE(x)                                    (((unsigned)(x) & 0x1F) << 21)
#define   G_037210_SE1_NUM_LINE(x)                                    (((x) >> 21) & 0x1F)
#define   C_037210_SE1_NUM_LINE                                       0xFC1FFFFF
#define   S_037210_SE2_NUM_LINE(x)                                    (((unsigned)(x) & 0x1F) << 26)
#define   G_037210_SE2_NUM_LINE(x)                                    (((x) >> 26) & 0x1F)
#define   C_037210_SE2_NUM_LINE                                       0x83FFFFFF
#define R_037214_RLC_SPM_RING_RDPTR                                     0x037214 /* >= gfx10 */
#define   S_037214_PERFMON_RING_RDPTR(x)                              (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_037214_PERFMON_RING_RDPTR(x)                              (((x) >> 0) & 0xFFFFFFFF)
#define   C_037214_PERFMON_RING_RDPTR                                 0x00000000
#define R_037218_RLC_SPM_SEGMENT_THRESHOLD                              0x037218 /* >= gfx10 */
#define   S_037218_NUM_SEGMENT_THRESHOLD(x)                           (((unsigned)(x) & 0xFF) << 0)
#define   G_037218_NUM_SEGMENT_THRESHOLD(x)                           (((x) >> 0) & 0xFF)
#define   C_037218_NUM_SEGMENT_THRESHOLD                              0xFFFFFF00
#define R_03721C_RLC_SPM_SE_MUXSEL_ADDR                                 0x03721C /* >= gfx10 */
#define   S_03721C_PERFMON_SEL_ADDR(x)                                (((unsigned)(x) & 0x1FF) << 0)
#define   G_03721C_PERFMON_SEL_ADDR(x)                                (((x) >> 0) & 0x1FF)
#define   C_03721C_PERFMON_SEL_ADDR                                   0xFFFFFE00
#define R_037220_RLC_SPM_SE_MUXSEL_DATA                                 0x037220 /* >= gfx10 */
#define   S_037220_PERFMON_SEL_DATA(x)                                (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_037220_PERFMON_SEL_DATA(x)                                (((x) >> 0) & 0xFFFFFFFF)
#define   C_037220_PERFMON_SEL_DATA                                   0x00000000
#define R_037224_RLC_SPM_GLOBAL_MUXSEL_ADDR                             0x037224 /* >= gfx10 */
#define   S_037224_PERFMON_SEL_ADDR(x)                                (((unsigned)(x) & 0xFF) << 0)
#define   G_037224_PERFMON_SEL_ADDR(x)                                (((x) >> 0) & 0xFF)
#define   C_037224_PERFMON_SEL_ADDR                                   0xFFFFFF00
#define R_037228_RLC_SPM_GLOBAL_MUXSEL_DATA                             0x037228 /* >= gfx10 */
#define   S_037228_PERFMON_SEL_DATA(x)                                (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_037228_PERFMON_SEL_DATA(x)                                (((x) >> 0) & 0xFFFFFFFF)
#define   C_037228_PERFMON_SEL_DATA                                   0x00000000
#define R_03722C_RLC_SPM_DESER_START_SKEW                               0x03722C /* >= gfx10 */
#define   S_03722C_DESER_START_SKEW(x)                                (((unsigned)(x) & 0x7F) << 0)
#define   G_03722C_DESER_START_SKEW(x)                                (((x) >> 0) & 0x7F)
#define   C_03722C_DESER_START_SKEW                                   0xFFFFFF80
#define R_037230_RLC_SPM_GLOBALS_SAMPLE_SKEW                            0x037230 /* >= gfx10 */
#define   S_037230_GLOBALS_SAMPLE_SKEW(x)                             (((unsigned)(x) & 0x7F) << 0)
#define   G_037230_GLOBALS_SAMPLE_SKEW(x)                             (((x) >> 0) & 0x7F)
#define   C_037230_GLOBALS_SAMPLE_SKEW                                0xFFFFFF80
#define R_037234_RLC_SPM_GLOBALS_MUXSEL_SKEW                            0x037234 /* >= gfx10 */
#define   S_037234_GLOBALS_MUXSEL_SKEW(x)                             (((unsigned)(x) & 0x7F) << 0)
#define   G_037234_GLOBALS_MUXSEL_SKEW(x)                             (((x) >> 0) & 0x7F)
#define   C_037234_GLOBALS_MUXSEL_SKEW                                0xFFFFFF80
#define R_037238_RLC_SPM_SE_SAMPLE_SKEW                                 0x037238 /* >= gfx10 */
#define   S_037238_SE_SAMPLE_SKEW(x)                                  (((unsigned)(x) & 0x7F) << 0)
#define   G_037238_SE_SAMPLE_SKEW(x)                                  (((x) >> 0) & 0x7F)
#define   C_037238_SE_SAMPLE_SKEW                                     0xFFFFFF80
#define R_03723C_RLC_SPM_SE_MUXSEL_SKEW                                 0x03723C /* >= gfx10 */
#define   S_03723C_SE_MUXSEL_SKEW(x)                                  (((unsigned)(x) & 0x7F) << 0)
#define   G_03723C_SE_MUXSEL_SKEW(x)                                  (((x) >> 0) & 0x7F)
#define   C_03723C_SE_MUXSEL_SKEW                                     0xFFFFFF80
#define R_037240_RLC_SPM_GLB_SAMPLEDELAY_IND_ADDR                       0x037240 /* >= gfx10 */
#define   S_037240_GLB_SAMPLEDELAY_INDEX(x)                           (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_037240_GLB_SAMPLEDELAY_INDEX(x)                           (((x) >> 0) & 0xFFFFFFFF)
#define   C_037240_GLB_SAMPLEDELAY_INDEX                              0x00000000
#define R_037244_RLC_SPM_GLB_SAMPLEDELAY_IND_DATA                       0x037244 /* >= gfx10 */
#define   S_037244_data(x)                                            (((unsigned)(x) & 0x7F) << 0)
#define   G_037244_data(x)                                            (((x) >> 0) & 0x7F)
#define   C_037244_data                                               0xFFFFFF80
#define R_037248_RLC_SPM_SE_SAMPLEDELAY_IND_ADDR                        0x037248 /* >= gfx10 */
#define   S_037248_SE_SAMPLEDELAY_INDEX(x)                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_037248_SE_SAMPLEDELAY_INDEX(x)                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_037248_SE_SAMPLEDELAY_INDEX                               0x00000000
#define R_03724C_RLC_SPM_SE_SAMPLEDELAY_IND_DATA                        0x03724C /* >= gfx10 */
#define   S_03724C_data(x)                                            (((unsigned)(x) & 0x7F) << 0)
#define   G_03724C_data(x)                                            (((x) >> 0) & 0x7F)
#define   C_03724C_data                                               0xFFFFFF80
#define R_037250_RLC_SPM_ACCUM_DATARAM_ADDR                             0x037250 /* >= gfx10 */
#define   S_037250_addr(x)                                            (((unsigned)(x) & 0x7F) << 0)
#define   G_037250_addr(x)                                            (((x) >> 0) & 0x7F)
#define   C_037250_addr                                               0xFFFFFF80
#define R_037254_RLC_SPM_ACCUM_DATARAM_DATA                             0x037254 /* >= gfx10 */
#define   S_037254_data(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_037254_data(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_037254_data                                               0x00000000
#define R_037258_RLC_SPM_ACCUM_CTRLRAM_ADDR                             0x037258 /* >= gfx10 */
#define   S_037258_addr(x)                                            (((unsigned)(x) & 0x1FF) << 0)
#define   G_037258_addr(x)                                            (((x) >> 0) & 0x1FF)
#define   C_037258_addr                                               0xFFFFFE00
#define R_03725C_RLC_SPM_ACCUM_CTRLRAM_DATA                             0x03725C /* >= gfx10 */
#define   S_03725C_data(x)                                            (((unsigned)(x) & 0xFF) << 0)
#define   G_03725C_data(x)                                            (((x) >> 0) & 0xFF)
#define   C_03725C_data                                               0xFFFFFF00
#define R_037260_RLC_SPM_ACCUM_STATUS                                   0x037260 /* >= gfx10 */
#define   S_037260_NumbSamplesCompleted(x)                            (((unsigned)(x) & 0xFF) << 0)
#define   G_037260_NumbSamplesCompleted(x)                            (((x) >> 0) & 0xFF)
#define   C_037260_NumbSamplesCompleted                               0xFFFFFF00
#define   S_037260_AccumDone(x)                                       (((unsigned)(x) & 0x1) << 8)
#define   G_037260_AccumDone(x)                                       (((x) >> 8) & 0x1)
#define   C_037260_AccumDone                                          0xFFFFFEFF
#define   S_037260_SpmDone(x)                                         (((unsigned)(x) & 0x1) << 9)
#define   G_037260_SpmDone(x)                                         (((x) >> 9) & 0x1)
#define   C_037260_SpmDone                                            0xFFFFFDFF
#define   S_037260_AccumOverflow(x)                                   (((unsigned)(x) & 0x1) << 10)
#define   G_037260_AccumOverflow(x)                                   (((x) >> 10) & 0x1)
#define   C_037260_AccumOverflow                                      0xFFFFFBFF
#define   S_037260_AccumArmed(x)                                      (((unsigned)(x) & 0x1) << 11)
#define   G_037260_AccumArmed(x)                                      (((x) >> 11) & 0x1)
#define   C_037260_AccumArmed                                         0xFFFFF7FF
#define   S_037260_SequenceInProgress(x)                              (((unsigned)(x) & 0x1) << 12)
#define   G_037260_SequenceInProgress(x)                              (((x) >> 12) & 0x1)
#define   C_037260_SequenceInProgress                                 0xFFFFEFFF
#define   S_037260_FinalSequenceInProgress(x)                         (((unsigned)(x) & 0x1) << 13)
#define   G_037260_FinalSequenceInProgress(x)                         (((x) >> 13) & 0x1)
#define   C_037260_FinalSequenceInProgress                            0xFFFFDFFF
#define   S_037260_AllFifosEmpty(x)                                   (((unsigned)(x) & 0x1) << 14)
#define   G_037260_AllFifosEmpty(x)                                   (((x) >> 14) & 0x1)
#define   C_037260_AllFifosEmpty                                      0xFFFFBFFF
#define   S_037260_FSMIsIdle(x)                                       (((unsigned)(x) & 0x1) << 15)
#define   G_037260_FSMIsIdle(x)                                       (((x) >> 15) & 0x1)
#define   C_037260_FSMIsIdle                                          0xFFFF7FFF
#define R_037264_RLC_SPM_ACCUM_CTRL                                     0x037264 /* >= gfx10 */
#define   S_037264_StrobeResetPerfMonitors(x)                         (((unsigned)(x) & 0x1) << 0)
#define   G_037264_StrobeResetPerfMonitors(x)                         (((x) >> 0) & 0x1)
#define   C_037264_StrobeResetPerfMonitors                            0xFFFFFFFE
#define   S_037264_StrobeStartAccumulation(x)                         (((unsigned)(x) & 0x1) << 1)
#define   G_037264_StrobeStartAccumulation(x)                         (((x) >> 1) & 0x1)
#define   C_037264_StrobeStartAccumulation                            0xFFFFFFFD
#define   S_037264_StrobeRearmAccum(x)                                (((unsigned)(x) & 0x1) << 2)
#define   G_037264_StrobeRearmAccum(x)                                (((x) >> 2) & 0x1)
#define   C_037264_StrobeRearmAccum                                   0xFFFFFFFB
#define   S_037264_StrobeSpmDoneInt(x)                                (((unsigned)(x) & 0x1) << 3)
#define   G_037264_StrobeSpmDoneInt(x)                                (((x) >> 3) & 0x1)
#define   C_037264_StrobeSpmDoneInt                                   0xFFFFFFF7
#define   S_037264_StrobeAccumDoneInt(x)                              (((unsigned)(x) & 0x1) << 4)
#define   G_037264_StrobeAccumDoneInt(x)                              (((x) >> 4) & 0x1)
#define   C_037264_StrobeAccumDoneInt                                 0xFFFFFFEF
#define   S_037264_StrobeResetAccum(x)                                (((unsigned)(x) & 0x1) << 5)
#define   G_037264_StrobeResetAccum(x)                                (((x) >> 5) & 0x1)
#define   C_037264_StrobeResetAccum                                   0xFFFFFFDF
#define   S_037264_StrobeStartSpm(x)                                  (((unsigned)(x) & 0xF) << 6)
#define   G_037264_StrobeStartSpm(x)                                  (((x) >> 6) & 0xF)
#define   C_037264_StrobeStartSpm                                     0xFFFFFC3F
#define R_037268_RLC_SPM_ACCUM_MODE                                     0x037268 /* >= gfx10 */
#define   S_037268_EnableAccum(x)                                     (((unsigned)(x) & 0x1) << 0)
#define   G_037268_EnableAccum(x)                                     (((x) >> 0) & 0x1)
#define   C_037268_EnableAccum                                        0xFFFFFFFE
#define   S_037268_AutoAccumEn(x)                                     (((unsigned)(x) & 0x1) << 1)
#define   G_037268_AutoAccumEn(x)                                     (((x) >> 1) & 0x1)
#define   C_037268_AutoAccumEn                                        0xFFFFFFFD
#define   S_037268_AutoSpmEn(x)                                       (((unsigned)(x) & 0x1) << 2)
#define   G_037268_AutoSpmEn(x)                                       (((x) >> 2) & 0x1)
#define   C_037268_AutoSpmEn                                          0xFFFFFFFB
#define   S_037268_Globals_LoadOverride(x)                            (((unsigned)(x) & 0x1) << 3)
#define   G_037268_Globals_LoadOverride(x)                            (((x) >> 3) & 0x1)
#define   C_037268_Globals_LoadOverride                               0xFFFFFFF7
#define   S_037268_SE0_LoadOverride(x)                                (((unsigned)(x) & 0x1) << 4)
#define   G_037268_SE0_LoadOverride(x)                                (((x) >> 4) & 0x1)
#define   C_037268_SE0_LoadOverride                                   0xFFFFFFEF
#define   S_037268_SE1_LoadOverride(x)                                (((unsigned)(x) & 0x1) << 5)
#define   G_037268_SE1_LoadOverride(x)                                (((x) >> 5) & 0x1)
#define   C_037268_SE1_LoadOverride                                   0xFFFFFFDF
#define   S_037268_AutoResetPerfmonDisable(x)                         (((unsigned)(x) & 0x1) << 6)
#define   G_037268_AutoResetPerfmonDisable(x)                         (((x) >> 6) & 0x1)
#define   C_037268_AutoResetPerfmonDisable                            0xFFFFFFBF
#define R_03726C_RLC_SPM_ACCUM_THRESHOLD                                0x03726C /* >= gfx10 */
#define   S_03726C_Threshold(x)                                       (((unsigned)(x) & 0xFFFF) << 0)
#define   G_03726C_Threshold(x)                                       (((x) >> 0) & 0xFFFF)
#define   C_03726C_Threshold                                          0xFFFF0000
#define R_037270_RLC_SPM_ACCUM_SAMPLES_REQUESTED                        0x037270 /* >= gfx10 */
#define   S_037270_SamplesRequested(x)                                (((unsigned)(x) & 0xFF) << 0)
#define   G_037270_SamplesRequested(x)                                (((x) >> 0) & 0xFF)
#define   C_037270_SamplesRequested                                   0xFFFFFF00
#define R_037274_RLC_SPM_ACCUM_DATARAM_WRCOUNT                          0x037274 /* >= gfx10 */
#define   S_037274_DataRamWrCount(x)                                  (((unsigned)(x) & 0x7FFFF) << 0)
#define   G_037274_DataRamWrCount(x)                                  (((x) >> 0) & 0x7FFFF)
#define   C_037274_DataRamWrCount                                     0xFFF80000
#define R_037278_RLC_SPM_PERFMON_SE3TO0_SEGMENT_SIZE                    0x037278 /* >= gfx10 */
#define   S_037278_SE0_NUM_LINE(x)                                    (((unsigned)(x) & 0xFF) << 0)
#define   G_037278_SE0_NUM_LINE(x)                                    (((x) >> 0) & 0xFF)
#define   C_037278_SE0_NUM_LINE                                       0xFFFFFF00
#define   S_037278_SE1_NUM_LINE(x)                                    (((unsigned)(x) & 0xFF) << 8)
#define   G_037278_SE1_NUM_LINE(x)                                    (((x) >> 8) & 0xFF)
#define   C_037278_SE1_NUM_LINE                                       0xFFFF00FF
#define   S_037278_SE2_NUM_LINE(x)                                    (((unsigned)(x) & 0xFF) << 16)
#define   G_037278_SE2_NUM_LINE(x)                                    (((x) >> 16) & 0xFF)
#define   C_037278_SE2_NUM_LINE                                       0xFF00FFFF
#define   S_037278_SE3_NUM_LINE(x)                                    (((unsigned)(x) & 0xFF) << 24)
#define   G_037278_SE3_NUM_LINE(x)                                    (((x) >> 24) & 0xFF)
#define   C_037278_SE3_NUM_LINE                                       0x00FFFFFF
#define R_03727C_RLC_SPM_PERFMON_GLB_SEGMENT_SIZE                       0x03727C /* >= gfx10 */
#define   S_03727C_PERFMON_SEGMENT_SIZE(x)                            (((unsigned)(x) & 0xFF) << 0)
#define   G_03727C_PERFMON_SEGMENT_SIZE(x)                            (((x) >> 0) & 0xFF)
#define   C_03727C_PERFMON_SEGMENT_SIZE                               0xFFFFFF00
#define   S_03727C_GLOBAL_NUM_LINE(x)                                 (((unsigned)(x) & 0xFF) << 8)
#define   G_03727C_GLOBAL_NUM_LINE(x)                                 (((x) >> 8) & 0xFF)
#define   C_03727C_GLOBAL_NUM_LINE                                    0xFFFF00FF
#define R_037300_RLC_PERFMON_CNTL                                       0x037300 /* >= gfx10 */
#define   S_037300_PERFMON_STATE(x)                                   (((unsigned)(x) & 0x7) << 0)
#define   G_037300_PERFMON_STATE(x)                                   (((x) >> 0) & 0x7)
#define   C_037300_PERFMON_STATE                                      0xFFFFFFF8
#define   S_037300_PERFMON_SAMPLE_ENABLE(x)                           (((unsigned)(x) & 0x1) << 10)
#define   G_037300_PERFMON_SAMPLE_ENABLE(x)                           (((x) >> 10) & 0x1)
#define   C_037300_PERFMON_SAMPLE_ENABLE                              0xFFFFFBFF
#define R_037304_RLC_PERFCOUNTER0_SELECT                                0x037304 /* >= gfx10 */
#define   S_037304_PERFCOUNTER_SELECT(x)                              (((unsigned)(x) & 0xFF) << 0)
#define   G_037304_PERFCOUNTER_SELECT(x)                              (((x) >> 0) & 0xFF)
#define   C_037304_PERFCOUNTER_SELECT                                 0xFFFFFF00
#define R_037308_RLC_PERFCOUNTER1_SELECT                                0x037308 /* >= gfx10 */
#define R_03730C_RLC_GPU_IOV_PERF_CNT_CNTL                              0x03730C /* >= gfx10 */
#define   S_03730C_ENABLE(x)                                          (((unsigned)(x) & 0x1) << 0)
#define   G_03730C_ENABLE(x)                                          (((x) >> 0) & 0x1)
#define   C_03730C_ENABLE                                             0xFFFFFFFE
#define   S_03730C_MODE_SELECT(x)                                     (((unsigned)(x) & 0x1) << 1)
#define   G_03730C_MODE_SELECT(x)                                     (((x) >> 1) & 0x1)
#define   C_03730C_MODE_SELECT                                        0xFFFFFFFD
#define   S_03730C_RESET(x)                                           (((unsigned)(x) & 0x1) << 2)
#define   G_03730C_RESET(x)                                           (((x) >> 2) & 0x1)
#define   C_03730C_RESET                                              0xFFFFFFFB
#define R_037310_RLC_GPU_IOV_PERF_CNT_WR_ADDR                           0x037310 /* >= gfx10 */
#define   S_037310_VFID(x)                                            (((unsigned)(x) & 0xF) << 0)
#define   G_037310_VFID(x)                                            (((x) >> 0) & 0xF)
#define   C_037310_VFID                                               0xFFFFFFF0
#define   S_037310_CNT_ID(x)                                          (((unsigned)(x) & 0x3) << 4)
#define   G_037310_CNT_ID(x)                                          (((x) >> 4) & 0x3)
#define   C_037310_CNT_ID                                             0xFFFFFFCF
#define R_037314_RLC_GPU_IOV_PERF_CNT_WR_DATA                           0x037314 /* >= gfx10 */
#define   S_037314_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_037314_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_037314_DATA                                               0x00000000
#define R_037318_RLC_GPU_IOV_PERF_CNT_RD_ADDR                           0x037318 /* >= gfx10 */
#define   S_037318_VFID(x)                                            (((unsigned)(x) & 0xF) << 0)
#define   G_037318_VFID(x)                                            (((x) >> 0) & 0xF)
#define   C_037318_VFID                                               0xFFFFFFF0
#define   S_037318_CNT_ID(x)                                          (((unsigned)(x) & 0x3) << 4)
#define   G_037318_CNT_ID(x)                                          (((x) >> 4) & 0x3)
#define   C_037318_CNT_ID                                             0xFFFFFFCF
#define R_03731C_RLC_GPU_IOV_PERF_CNT_RD_DATA                           0x03731C /* >= gfx10 */
#define   S_03731C_DATA(x)                                            (((unsigned)(x) & 0xFFFFFFFF) << 0)
#define   G_03731C_DATA(x)                                            (((x) >> 0) & 0xFFFFFFFF)
#define   C_03731C_DATA                                               0x00000000
#define R_037390_RLC_PERFMON_CLK_CNTL                                   0x037390 /* >= gfx10 */
#define   S_037390_PERFMON_CLOCK_STATE(x)                             (((unsigned)(x) & 0x1) << 0)
#define   G_037390_PERFMON_CLOCK_STATE(x)                             (((x) >> 0) & 0x1)
#define   C_037390_PERFMON_CLOCK_STATE                                0xFFFFFFFE
#define R_037394_RLC_PERFMON_CLK_CNTL_UCODE                             0x037394 /* >= gfx10 */
#define   S_037394_PERFMON_CLOCK_STATE(x)                             (((unsigned)(x) & 0x1) << 0)
#define   G_037394_PERFMON_CLOCK_STATE(x)                             (((x) >> 0) & 0x1)
#define   C_037394_PERFMON_CLOCK_STATE                                0xFFFFFFFE
#define R_037400_RMI_PERFCOUNTER0_SELECT                                0x037400 /* >= gfx10 */
#define   S_037400_PERF_SEL(x)                                        (((unsigned)(x) & 0x1FF) << 0)
#define   G_037400_PERF_SEL(x)                                        (((x) >> 0) & 0x1FF)
#define   C_037400_PERF_SEL                                           0xFFFFFE00
#define     V_037400_RMI_PERF_SEL_NONE                              0
#define     V_037400_RMI_PERF_SEL_BUSY                              1
#define     V_037400_RMI_PERF_SEL_REG_CLK_VLD                       2
#define     V_037400_RMI_PERF_SEL_DYN_CLK_CMN_VLD                   3
#define     V_037400_RMI_PERF_SEL_DYN_CLK_RB_VLD                    4
#define     V_037400_RMI_PERF_SEL_DYN_CLK_PERF_VLD                  5
#define     V_037400_RMI_PERF_SEL_PERF_WINDOW                       6
#define     V_037400_RMI_PERF_SEL_EVENT_SEND                        7
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID0    8
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID1    9
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID2    10
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID3    11
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID4    12
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID5    13
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID6    14
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID7    15
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID8    16
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID9    17
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID10   18
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID11   19
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID12   20
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID13   21
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID14   22
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID15   23
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID_ALL 24
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID0 25
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID1 26
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID2 27
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID3 28
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID4 29
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID5 30
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID6 31
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID7 32
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID8 33
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID9 34
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID10 35
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID11 36
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID12 37
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID13 38
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID14 39
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID15 40
#define     V_037400_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID_ALL 41
#define     V_037400_RMI_PERF_SEL_UTCL1_TRANSLATION_MISS            42
#define     V_037400_RMI_PERF_SEL_UTCL1_PERMISSION_MISS             43
#define     V_037400_RMI_PERF_SEL_UTCL1_TRANSLATION_HIT             44
#define     V_037400_RMI_PERF_SEL_UTCL1_REQUEST                     45
#define     V_037400_RMI_PERF_SEL_UTCL1_STALL_INFLIGHT_MAX          46
#define     V_037400_RMI_PERF_SEL_UTCL1_STALL_LRU_INFLIGHT          47
#define     V_037400_RMI_PERF_SEL_UTCL1_LFIFO_FULL                  48
#define     V_037400_RMI_PERF_SEL_UTCL1_STALL_LFIFO_NOT_RES         49
#define     V_037400_RMI_PERF_SEL_UTCL1_STALL_UTCL2_REQ_OUT_OF_CREDITS 50
#define     V_037400_RMI_PERF_SEL_UTCL1_STALL_MISSFIFO_FULL         51
#define     V_037400_RMI_PERF_SEL_UTCL1_HIT_FIFO_FULL               52
#define     V_037400_RMI_PERF_SEL_UTCL1_STALL_MULTI_MISS            53
#define     V_037400_RMI_PERF_SEL_RB_RMI_WRREQ_ALL_CID              54
#define     V_037400_RMI_PERF_SEL_RB_RMI_WRREQ_TO_WRRET_BUSY        55
#define     V_037400_RMI_PERF_SEL_RB_RMI_WRREQ_CID0                 56
#define     V_037400_RMI_PERF_SEL_RB_RMI_WRREQ_CID1                 57
#define     V_037400_RMI_PERF_SEL_RB_RMI_WRREQ_CID2                 58
#define     V_037400_RMI_PERF_SEL_RB_RMI_WRREQ_CID3                 59
#define     V_037400_RMI_PERF_SEL_RB_RMI_WRREQ_CID4                 60
#define     V_037400_RMI_PERF_SEL_RB_RMI_WRREQ_CID5                 61
#define     V_037400_RMI_PERF_SEL_RB_RMI_WRREQ_CID6                 62
#define     V_037400_RMI_PERF_SEL_RB_RMI_WRREQ_CID7                 63
#define     V_037400_RMI_PERF_SEL_RB_RMI_32BWRREQ_INFLIGHT_ALL_ORONE_CID 64
#define     V_037400_RMI_PERF_SEL_RB_RMI_WRREQ_BURST_LENGTH_ALL_ORONE_CID 65
#define     V_037400_RMI_PERF_SEL_RB_RMI_WRREQ_BURST_ALL_ORONE_CID  66
#define     V_037400_RMI_PERF_SEL_RB_RMI_WRREQ_RESIDENCY            67
#define     V_037400_RMI_PERF_SEL_RMI_RB_WRRET_VALID_ALL_CID        68
#define     V_037400_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID0           69
#define     V_037400_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID1           70
#define     V_037400_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID2           71
#define     V_037400_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID3           72
#define     V_037400_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID4           73
#define     V_037400_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID5           74
#define     V_037400_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID6           75
#define     V_037400_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID7           76
#define     V_037400_RMI_PERF_SEL_RMI_RB_WRRET_VALID_NACK0          77
#define     V_037400_RMI_PERF_SEL_RMI_RB_WRRET_VALID_NACK1          78
#define     V_037400_RMI_PERF_SEL_RMI_RB_WRRET_VALID_NACK2          79
#define     V_037400_RMI_PERF_SEL_RMI_RB_WRRET_VALID_NACK3          80
#define     V_037400_RMI_PERF_SEL_RB_RMI_32BRDREQ_ALL_CID           81
#define     V_037400_RMI_PERF_SEL_RB_RMI_RDREQ_ALL_CID              82
#define     V_037400_RMI_PERF_SEL_RB_RMI_RDREQ_TO_RDRET_BUSY        83
#define     V_037400_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID0              84
#define     V_037400_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID1              85
#define     V_037400_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID2              86
#define     V_037400_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID3              87
#define     V_037400_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID4              88
#define     V_037400_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID5              89
#define     V_037400_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID6              90
#define     V_037400_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID7              91
#define     V_037400_RMI_PERF_SEL_RB_RMI_RDREQ_CID0                 92
#define     V_037400_RMI_PERF_SEL_RB_RMI_RDREQ_CID1                 93
#define     V_037400_RMI_PERF_SEL_RB_RMI_RDREQ_CID2                 94
#define     V_037400_RMI_PERF_SEL_RB_RMI_RDREQ_CID3                 95
#define     V_037400_RMI_PERF_SEL_RB_RMI_RDREQ_CID4                 96
#define     V_037400_RMI_PERF_SEL_RB_RMI_RDREQ_CID5                 97
#define     V_037400_RMI_PERF_SEL_RB_RMI_RDREQ_CID6                 98
#define     V_037400_RMI_PERF_SEL_RB_RMI_RDREQ_CID7                 99
#define     V_037400_RMI_PERF_SEL_RB_RMI_32BRDREQ_INFLIGHT_ALL_ORONE_CID 100
#define     V_037400_RMI_PERF_SEL_RB_RMI_RDREQ_BURST_LENGTH_ALL_ORONE_CID 101
#define     V_037400_RMI_PERF_SEL_RB_RMI_RDREQ_BURST_ALL_ORONE_CID  102
#define     V_037400_RMI_PERF_SEL_RB_RMI_RDREQ_RESIDENCY            103
#define     V_037400_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_ALL_CID     104
#define     V_037400_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID0        105
#define     V_037400_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID1        106
#define     V_037400_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID2        107
#define     V_037400_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID3        108
#define     V_037400_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID4        109
#define     V_037400_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID5        110
#define     V_037400_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID6        111
#define     V_037400_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID7        112
#define     V_037400_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_NACK0       113
#define     V_037400_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_NACK1       114
#define     V_037400_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_NACK2       115
#define     V_037400_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_NACK3       116
#define     V_037400_RMI_PERF_SEL_RB_RMI_WR_FIFO_MAX                117
#define     V_037400_RMI_PERF_SEL_RB_RMI_WR_FIFO_EMPTY              118
#define     V_037400_RMI_PERF_SEL_RB_RMI_WR_IDLE                    119
#define     V_037400_RMI_PERF_SEL_RB_RMI_WR_STARVE                  120
#define     V_037400_RMI_PERF_SEL_RB_RMI_WR_STALL                   121
#define     V_037400_RMI_PERF_SEL_RB_RMI_WR_BUSY                    122
#define     V_037400_RMI_PERF_SEL_RB_RMI_WR_INTF_BUSY               123
#define     V_037400_RMI_PERF_SEL_RB_RMI_RD_FIFO_MAX                124
#define     V_037400_RMI_PERF_SEL_RB_RMI_RD_FIFO_EMPTY              125
#define     V_037400_RMI_PERF_SEL_RB_RMI_RD_IDLE                    126
#define     V_037400_RMI_PERF_SEL_RB_RMI_RD_STARVE                  127
#define     V_037400_RMI_PERF_SEL_RB_RMI_RD_STALL                   128
#define     V_037400_RMI_PERF_SEL_RB_RMI_RD_BUSY                    129
#define     V_037400_RMI_PERF_SEL_RB_RMI_RD_INTF_BUSY               130
#define     V_037400_RMI_PERF_SEL_RMI_TC_64BWRREQ_ALL_ORONE_CID     131
#define     V_037400_RMI_PERF_SEL_RMI_TC_64BRDREQ_ALL_ORONE_CID     132
#define     V_037400_RMI_PERF_SEL_RMI_TC_WRREQ_ALL_CID              133
#define     V_037400_RMI_PERF_SEL_RMI_TC_REQ_BUSY                   134
#define     V_037400_RMI_PERF_SEL_RMI_TC_WRREQ_CID0                 135
#define     V_037400_RMI_PERF_SEL_RMI_TC_WRREQ_CID1                 136
#define     V_037400_RMI_PERF_SEL_RMI_TC_WRREQ_CID2                 137
#define     V_037400_RMI_PERF_SEL_RMI_TC_WRREQ_CID3                 138
#define     V_037400_RMI_PERF_SEL_RMI_TC_WRREQ_CID4                 139
#define     V_037400_RMI_PERF_SEL_RMI_TC_WRREQ_CID5                 140
#define     V_037400_RMI_PERF_SEL_RMI_TC_WRREQ_CID6                 141
#define     V_037400_RMI_PERF_SEL_RMI_TC_WRREQ_CID7                 142
#define     V_037400_RMI_PERF_SEL_RMI_TC_WRREQ_INFLIGHT_ALL_CID     143
#define     V_037400_RMI_PERF_SEL_TC_RMI_WRRET_VALID_ALL_CID        144
#define     V_037400_RMI_PERF_SEL_RMI_TC_RDREQ_ALL_CID              145
#define     V_037400_RMI_PERF_SEL_RMI_TC_RDREQ_CID0                 146
#define     V_037400_RMI_PERF_SEL_RMI_TC_RDREQ_CID1                 147
#define     V_037400_RMI_PERF_SEL_RMI_TC_RDREQ_CID2                 148
#define     V_037400_RMI_PERF_SEL_RMI_TC_RDREQ_CID3                 149
#define     V_037400_RMI_PERF_SEL_RMI_TC_RDREQ_CID4                 150
#define     V_037400_RMI_PERF_SEL_RMI_TC_RDREQ_CID5                 151
#define     V_037400_RMI_PERF_SEL_RMI_TC_RDREQ_CID6                 152
#define     V_037400_RMI_PERF_SEL_RMI_TC_RDREQ_CID7                 153
#define     V_037400_RMI_PERF_SEL_RMI_TC_STALL_RDREQ                154
#define     V_037400_RMI_PERF_SEL_RMI_TC_STALL_WRREQ                155
#define     V_037400_RMI_PERF_SEL_RMI_TC_STALL_ALLREQ               156
#define     V_037400_RMI_PERF_SEL_RMI_TC_CREDIT_FULL_NO_PENDING_SEND 157
#define     V_037400_RMI_PERF_SEL_RMI_TC_CREDIT_ZERO_PENDING_SEND   158
#define     V_037400_RMI_PERF_SEL_RMI_TC_RDREQ_INFLIGHT_ALL_CID     159
#define     V_037400_RMI_PERF_SEL_TC_RMI_RDRET_VALID_ALL_CID        160
#define     V_037400_RMI_PERF_SEL_UTCL1_BUSY                        161
#define     V_037400_RMI_PERF_SEL_RMI_UTC_REQ                       162
#define     V_037400_RMI_PERF_SEL_RMI_UTC_BUSY                      163
#define     V_037400_RMI_PERF_SEL_UTCL1_UTCL2_REQ                   164
#define     V_037400_RMI_PERF_SEL_LEVEL_ADD_UTCL1_TO_UTCL2          165
#define     V_037400_RMI_PERF_SEL_PROBE_UTCL1_XNACK_RETRY           166
#define     V_037400_RMI_PERF_SEL_PROBE_UTCL1_ALL_FAULT             167
#define     V_037400_RMI_PERF_SEL_PROBE_UTCL1_PRT_FAULT             168
#define     V_037400_RMI_PERF_SEL_PROBE_UTCL1_VMID_BYPASS           169
#define     V_037400_RMI_PERF_SEL_PROBE_UTCL1_XNACK_NORETRY_FAULT   170
#define     V_037400_RMI_PERF_SEL_XNACK_FIFO_NUM_USED               171
#define     V_037400_RMI_PERF_SEL_LAT_FIFO_NUM_USED                 172
#define     V_037400_RMI_PERF_SEL_LAT_FIFO_BLOCKING_REQ             173
#define     V_037400_RMI_PERF_SEL_LAT_FIFO_NONBLOCKING_REQ          174
#define     V_037400_RMI_PERF_SEL_XNACK_FIFO_FULL                   175
#define     V_037400_RMI_PERF_SEL_XNACK_FIFO_BUSY                   176
#define     V_037400_RMI_PERF_SEL_LAT_FIFO_FULL                     177
#define     V_037400_RMI_PERF_SEL_SKID_FIFO_DEPTH                   178
#define     V_037400_RMI_PERF_SEL_TCIW_INFLIGHT_COUNT               179
#define     V_037400_RMI_PERF_SEL_PRT_FIFO_NUM_USED                 180
#define     V_037400_RMI_PERF_SEL_PRT_FIFO_REQ                      181
#define     V_037400_RMI_PERF_SEL_PRT_FIFO_BUSY                     182
#define     V_037400_RMI_PERF_SEL_TCIW_REQ                          183
#define     V_037400_RMI_PERF_SEL_TCIW_BUSY                         184
#define     V_037400_RMI_PERF_SEL_SKID_FIFO_REQ                     185
#define     V_037400_RMI_PERF_SEL_SKID_FIFO_BUSY                    186
#define     V_037400_RMI_PERF_SEL_DEMUX_TCIW_RESIDENCY_NACK0        187
#define     V_037400_RMI_PERF_SEL_DEMUX_TCIW_RESIDENCY_NACK1        188
#define     V_037400_RMI_PERF_SEL_DEMUX_TCIW_RESIDENCY_NACK2        189
#define     V_037400_RMI_PERF_SEL_DEMUX_TCIW_RESIDENCY_NACK3        190
#define     V_037400_RMI_PERF_SEL_XBAR_PROBEGEN_RTS_RTR             191
#define     V_037400_RMI_PERF_SEL_XBAR_PROBEGEN_RTSB_RTR            192
#define     V_037400_RMI_PERF_SEL_XBAR_PROBEGEN_RTS_RTRB            193
#define     V_037400_RMI_PERF_SEL_XBAR_PROBEGEN_RTSB_RTRB           194
#define     V_037400_RMI_PERF_SEL_DEMUX_TCIW_FORMATTER_RTS_RTR      195
#define     V_037400_RMI_PERF_SEL_DEMUX_TCIW_FORMATTER_RTSB_RTR     196
#define     V_037400_RMI_PERF_SEL_DEMUX_TCIW_FORMATTER_RTS_RTRB     197
#define     V_037400_RMI_PERF_SEL_DEMUX_TCIW_FORMATTER_RTSB_RTRB    198
#define     V_037400_RMI_PERF_SEL_WRREQCONSUMER_XBAR_WRREQ_RTS_RTR  199
#define     V_037400_RMI_PERF_SEL_WRREQCONSUMER_XBAR_WRREQ_RTSB_RTR 200
#define     V_037400_RMI_PERF_SEL_WRREQCONSUMER_XBAR_WRREQ_RTS_RTRB 201
#define     V_037400_RMI_PERF_SEL_WRREQCONSUMER_XBAR_WRREQ_RTSB_RTRB 202
#define     V_037400_RMI_PERF_SEL_RDREQCONSUMER_XBAR_RDREQ_RTS_RTR  203
#define     V_037400_RMI_PERF_SEL_RDREQCONSUMER_XBAR_RDREQ_RTSB_RTR 204
#define     V_037400_RMI_PERF_SEL_RDREQCONSUMER_XBAR_RDREQ_RTS_RTRB 205
#define     V_037400_RMI_PERF_SEL_RDREQCONSUMER_XBAR_RDREQ_RTSB_RTRB 206
#define     V_037400_RMI_PERF_SEL_POP_DEMUX_RTS_RTR                 207
#define     V_037400_RMI_PERF_SEL_POP_DEMUX_RTSB_RTR                208
#define     V_037400_RMI_PERF_SEL_POP_DEMUX_RTS_RTRB                209
#define     V_037400_RMI_PERF_SEL_POP_DEMUX_RTSB_RTRB               210
#define     V_037400_RMI_PERF_SEL_PROBEGEN_UTC_RTS_RTR              211
#define     V_037400_RMI_PERF_SEL_LEVEL_ADD_RMI_TO_UTC              212
#define     V_037400_RMI_PERF_SEL_PROBEGEN_UTC_RTSB_RTR             213
#define     V_037400_RMI_PERF_SEL_PROBEGEN_UTC_RTS_RTRB             214
#define     V_037400_RMI_PERF_SEL_PROBEGEN_UTC_RTSB_RTRB            215
#define     V_037400_RMI_PERF_SEL_UTC_POP_RTS_RTR                   216
#define     V_037400_RMI_PERF_SEL_UTC_POP_RTSB_RTR                  217
#define     V_037400_RMI_PERF_SEL_UTC_POP_RTS_RTRB                  218
#define     V_037400_RMI_PERF_SEL_UTC_POP_RTSB_RTRB                 219
#define     V_037400_RMI_PERF_SEL_POP_XNACK_RTS_RTR                 220
#define     V_037400_RMI_PERF_SEL_POP_XNACK_RTSB_RTR                221
#define     V_037400_RMI_PERF_SEL_POP_XNACK_RTS_RTRB                222
#define     V_037400_RMI_PERF_SEL_POP_XNACK_RTSB_RTRB               223
#define     V_037400_RMI_PERF_SEL_XNACK_PROBEGEN_RTS_RTR            224
#define     V_037400_RMI_PERF_SEL_XNACK_PROBEGEN_RTSB_RTR           225
#define     V_037400_RMI_PERF_SEL_XNACK_PROBEGEN_RTS_RTRB           226
#define     V_037400_RMI_PERF_SEL_XNACK_PROBEGEN_RTSB_RTRB          227
#define     V_037400_RMI_PERF_SEL_PRTFIFO_RTNFORMATTER_RTS_RTR      228
#define     V_037400_RMI_PERF_SEL_PRTFIFO_RTNFORMATTER_RTSB_RTR     229
#define     V_037400_RMI_PERF_SEL_PRTFIFO_RTNFORMATTER_RTS_RTRB     230
#define     V_037400_RMI_PERF_SEL_PRTFIFO_RTNFORMATTER_RTSB_RTRB    231
#define     V_037400_RMI_PERF_SEL_SKID_FIFO_IN_RTS                  232
#define     V_037400_RMI_PERF_SEL_SKID_FIFO_IN_RTSB                 233
#define     V_037400_RMI_PERF_SEL_SKID_FIFO_OUT_RTS                 234
#define     V_037400_RMI_PERF_SEL_SKID_FIFO_OUT_RTSB                235
#define     V_037400_RMI_PERF_SEL_XBAR_PROBEGEN_READ_RTS_RTR        236
#define     V_037400_RMI_PERF_SEL_XBAR_PROBEGEN_WRITE_RTS_RTR       237
#define     V_037400_RMI_PERF_SEL_XBAR_PROBEGEN_IN0_RTS_RTR         238
#define     V_037400_RMI_PERF_SEL_XBAR_PROBEGEN_IN1_RTS_RTR         239
#define     V_037400_RMI_PERF_SEL_XBAR_PROBEGEN_CB_RTS_RTR          240
#define     V_037400_RMI_PERF_SEL_XBAR_PROBEGEN_DB_RTS_RTR          241
#define     V_037400_RMI_PERF_SEL_REORDER_FIFO_REQ                  242
#define     V_037400_RMI_PERF_SEL_REORDER_FIFO_BUSY                 243
#define     V_037400_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_ALL_CID        244
#define     V_037400_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID0           245
#define     V_037400_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID1           246
#define     V_037400_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID2           247
#define     V_037400_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID3           248
#define     V_037400_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID4           249
#define     V_037400_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID5           250
#define     V_037400_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID6           251
#define     V_037400_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID7           252
#define     V_037400_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_NACK0          253
#define     V_037400_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_NACK1          254
#define     V_037400_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_NACK2          255
#define     V_037400_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_NACK3          256
#define     V_037400_RMI_PERF_SEL_UTCL0_UTCL1_PERM_FAULT            257
#define   S_037400_PERF_SEL1(x)                                       (((unsigned)(x) & 0x1FF) << 10)
#define   G_037400_PERF_SEL1(x)                                       (((x) >> 10) & 0x1FF)
#define   C_037400_PERF_SEL1                                          0xFFF803FF
#define   S_037400_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_037400_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_037400_CNTR_MODE                                          0xFF0FFFFF
#define   S_037400_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_037400_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_037400_PERF_MODE1                                         0xF0FFFFFF
#define   S_037400_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_037400_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_037400_PERF_MODE                                          0x0FFFFFFF
#define R_037404_RMI_PERFCOUNTER0_SELECT1                               0x037404 /* >= gfx10 */
#define   S_037404_PERF_SEL2(x)                                       (((unsigned)(x) & 0x1FF) << 0)
#define   G_037404_PERF_SEL2(x)                                       (((x) >> 0) & 0x1FF)
#define   C_037404_PERF_SEL2                                          0xFFFFFE00
#define     V_037404_RMI_PERF_SEL_NONE                              0
#define     V_037404_RMI_PERF_SEL_BUSY                              1
#define     V_037404_RMI_PERF_SEL_REG_CLK_VLD                       2
#define     V_037404_RMI_PERF_SEL_DYN_CLK_CMN_VLD                   3
#define     V_037404_RMI_PERF_SEL_DYN_CLK_RB_VLD                    4
#define     V_037404_RMI_PERF_SEL_DYN_CLK_PERF_VLD                  5
#define     V_037404_RMI_PERF_SEL_PERF_WINDOW                       6
#define     V_037404_RMI_PERF_SEL_EVENT_SEND                        7
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID0    8
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID1    9
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID2    10
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID3    11
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID4    12
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID5    13
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID6    14
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID7    15
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID8    16
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID9    17
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID10   18
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID11   19
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID12   20
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID13   21
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID14   22
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID15   23
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID_ALL 24
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID0 25
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID1 26
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID2 27
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID3 28
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID4 29
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID5 30
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID6 31
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID7 32
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID8 33
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID9 34
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID10 35
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID11 36
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID12 37
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID13 38
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID14 39
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID15 40
#define     V_037404_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID_ALL 41
#define     V_037404_RMI_PERF_SEL_UTCL1_TRANSLATION_MISS            42
#define     V_037404_RMI_PERF_SEL_UTCL1_PERMISSION_MISS             43
#define     V_037404_RMI_PERF_SEL_UTCL1_TRANSLATION_HIT             44
#define     V_037404_RMI_PERF_SEL_UTCL1_REQUEST                     45
#define     V_037404_RMI_PERF_SEL_UTCL1_STALL_INFLIGHT_MAX          46
#define     V_037404_RMI_PERF_SEL_UTCL1_STALL_LRU_INFLIGHT          47
#define     V_037404_RMI_PERF_SEL_UTCL1_LFIFO_FULL                  48
#define     V_037404_RMI_PERF_SEL_UTCL1_STALL_LFIFO_NOT_RES         49
#define     V_037404_RMI_PERF_SEL_UTCL1_STALL_UTCL2_REQ_OUT_OF_CREDITS 50
#define     V_037404_RMI_PERF_SEL_UTCL1_STALL_MISSFIFO_FULL         51
#define     V_037404_RMI_PERF_SEL_UTCL1_HIT_FIFO_FULL               52
#define     V_037404_RMI_PERF_SEL_UTCL1_STALL_MULTI_MISS            53
#define     V_037404_RMI_PERF_SEL_RB_RMI_WRREQ_ALL_CID              54
#define     V_037404_RMI_PERF_SEL_RB_RMI_WRREQ_TO_WRRET_BUSY        55
#define     V_037404_RMI_PERF_SEL_RB_RMI_WRREQ_CID0                 56
#define     V_037404_RMI_PERF_SEL_RB_RMI_WRREQ_CID1                 57
#define     V_037404_RMI_PERF_SEL_RB_RMI_WRREQ_CID2                 58
#define     V_037404_RMI_PERF_SEL_RB_RMI_WRREQ_CID3                 59
#define     V_037404_RMI_PERF_SEL_RB_RMI_WRREQ_CID4                 60
#define     V_037404_RMI_PERF_SEL_RB_RMI_WRREQ_CID5                 61
#define     V_037404_RMI_PERF_SEL_RB_RMI_WRREQ_CID6                 62
#define     V_037404_RMI_PERF_SEL_RB_RMI_WRREQ_CID7                 63
#define     V_037404_RMI_PERF_SEL_RB_RMI_32BWRREQ_INFLIGHT_ALL_ORONE_CID 64
#define     V_037404_RMI_PERF_SEL_RB_RMI_WRREQ_BURST_LENGTH_ALL_ORONE_CID 65
#define     V_037404_RMI_PERF_SEL_RB_RMI_WRREQ_BURST_ALL_ORONE_CID  66
#define     V_037404_RMI_PERF_SEL_RB_RMI_WRREQ_RESIDENCY            67
#define     V_037404_RMI_PERF_SEL_RMI_RB_WRRET_VALID_ALL_CID        68
#define     V_037404_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID0           69
#define     V_037404_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID1           70
#define     V_037404_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID2           71
#define     V_037404_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID3           72
#define     V_037404_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID4           73
#define     V_037404_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID5           74
#define     V_037404_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID6           75
#define     V_037404_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID7           76
#define     V_037404_RMI_PERF_SEL_RMI_RB_WRRET_VALID_NACK0          77
#define     V_037404_RMI_PERF_SEL_RMI_RB_WRRET_VALID_NACK1          78
#define     V_037404_RMI_PERF_SEL_RMI_RB_WRRET_VALID_NACK2          79
#define     V_037404_RMI_PERF_SEL_RMI_RB_WRRET_VALID_NACK3          80
#define     V_037404_RMI_PERF_SEL_RB_RMI_32BRDREQ_ALL_CID           81
#define     V_037404_RMI_PERF_SEL_RB_RMI_RDREQ_ALL_CID              82
#define     V_037404_RMI_PERF_SEL_RB_RMI_RDREQ_TO_RDRET_BUSY        83
#define     V_037404_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID0              84
#define     V_037404_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID1              85
#define     V_037404_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID2              86
#define     V_037404_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID3              87
#define     V_037404_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID4              88
#define     V_037404_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID5              89
#define     V_037404_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID6              90
#define     V_037404_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID7              91
#define     V_037404_RMI_PERF_SEL_RB_RMI_RDREQ_CID0                 92
#define     V_037404_RMI_PERF_SEL_RB_RMI_RDREQ_CID1                 93
#define     V_037404_RMI_PERF_SEL_RB_RMI_RDREQ_CID2                 94
#define     V_037404_RMI_PERF_SEL_RB_RMI_RDREQ_CID3                 95
#define     V_037404_RMI_PERF_SEL_RB_RMI_RDREQ_CID4                 96
#define     V_037404_RMI_PERF_SEL_RB_RMI_RDREQ_CID5                 97
#define     V_037404_RMI_PERF_SEL_RB_RMI_RDREQ_CID6                 98
#define     V_037404_RMI_PERF_SEL_RB_RMI_RDREQ_CID7                 99
#define     V_037404_RMI_PERF_SEL_RB_RMI_32BRDREQ_INFLIGHT_ALL_ORONE_CID 100
#define     V_037404_RMI_PERF_SEL_RB_RMI_RDREQ_BURST_LENGTH_ALL_ORONE_CID 101
#define     V_037404_RMI_PERF_SEL_RB_RMI_RDREQ_BURST_ALL_ORONE_CID  102
#define     V_037404_RMI_PERF_SEL_RB_RMI_RDREQ_RESIDENCY            103
#define     V_037404_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_ALL_CID     104
#define     V_037404_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID0        105
#define     V_037404_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID1        106
#define     V_037404_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID2        107
#define     V_037404_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID3        108
#define     V_037404_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID4        109
#define     V_037404_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID5        110
#define     V_037404_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID6        111
#define     V_037404_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID7        112
#define     V_037404_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_NACK0       113
#define     V_037404_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_NACK1       114
#define     V_037404_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_NACK2       115
#define     V_037404_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_NACK3       116
#define     V_037404_RMI_PERF_SEL_RB_RMI_WR_FIFO_MAX                117
#define     V_037404_RMI_PERF_SEL_RB_RMI_WR_FIFO_EMPTY              118
#define     V_037404_RMI_PERF_SEL_RB_RMI_WR_IDLE                    119
#define     V_037404_RMI_PERF_SEL_RB_RMI_WR_STARVE                  120
#define     V_037404_RMI_PERF_SEL_RB_RMI_WR_STALL                   121
#define     V_037404_RMI_PERF_SEL_RB_RMI_WR_BUSY                    122
#define     V_037404_RMI_PERF_SEL_RB_RMI_WR_INTF_BUSY               123
#define     V_037404_RMI_PERF_SEL_RB_RMI_RD_FIFO_MAX                124
#define     V_037404_RMI_PERF_SEL_RB_RMI_RD_FIFO_EMPTY              125
#define     V_037404_RMI_PERF_SEL_RB_RMI_RD_IDLE                    126
#define     V_037404_RMI_PERF_SEL_RB_RMI_RD_STARVE                  127
#define     V_037404_RMI_PERF_SEL_RB_RMI_RD_STALL                   128
#define     V_037404_RMI_PERF_SEL_RB_RMI_RD_BUSY                    129
#define     V_037404_RMI_PERF_SEL_RB_RMI_RD_INTF_BUSY               130
#define     V_037404_RMI_PERF_SEL_RMI_TC_64BWRREQ_ALL_ORONE_CID     131
#define     V_037404_RMI_PERF_SEL_RMI_TC_64BRDREQ_ALL_ORONE_CID     132
#define     V_037404_RMI_PERF_SEL_RMI_TC_WRREQ_ALL_CID              133
#define     V_037404_RMI_PERF_SEL_RMI_TC_REQ_BUSY                   134
#define     V_037404_RMI_PERF_SEL_RMI_TC_WRREQ_CID0                 135
#define     V_037404_RMI_PERF_SEL_RMI_TC_WRREQ_CID1                 136
#define     V_037404_RMI_PERF_SEL_RMI_TC_WRREQ_CID2                 137
#define     V_037404_RMI_PERF_SEL_RMI_TC_WRREQ_CID3                 138
#define     V_037404_RMI_PERF_SEL_RMI_TC_WRREQ_CID4                 139
#define     V_037404_RMI_PERF_SEL_RMI_TC_WRREQ_CID5                 140
#define     V_037404_RMI_PERF_SEL_RMI_TC_WRREQ_CID6                 141
#define     V_037404_RMI_PERF_SEL_RMI_TC_WRREQ_CID7                 142
#define     V_037404_RMI_PERF_SEL_RMI_TC_WRREQ_INFLIGHT_ALL_CID     143
#define     V_037404_RMI_PERF_SEL_TC_RMI_WRRET_VALID_ALL_CID        144
#define     V_037404_RMI_PERF_SEL_RMI_TC_RDREQ_ALL_CID              145
#define     V_037404_RMI_PERF_SEL_RMI_TC_RDREQ_CID0                 146
#define     V_037404_RMI_PERF_SEL_RMI_TC_RDREQ_CID1                 147
#define     V_037404_RMI_PERF_SEL_RMI_TC_RDREQ_CID2                 148
#define     V_037404_RMI_PERF_SEL_RMI_TC_RDREQ_CID3                 149
#define     V_037404_RMI_PERF_SEL_RMI_TC_RDREQ_CID4                 150
#define     V_037404_RMI_PERF_SEL_RMI_TC_RDREQ_CID5                 151
#define     V_037404_RMI_PERF_SEL_RMI_TC_RDREQ_CID6                 152
#define     V_037404_RMI_PERF_SEL_RMI_TC_RDREQ_CID7                 153
#define     V_037404_RMI_PERF_SEL_RMI_TC_STALL_RDREQ                154
#define     V_037404_RMI_PERF_SEL_RMI_TC_STALL_WRREQ                155
#define     V_037404_RMI_PERF_SEL_RMI_TC_STALL_ALLREQ               156
#define     V_037404_RMI_PERF_SEL_RMI_TC_CREDIT_FULL_NO_PENDING_SEND 157
#define     V_037404_RMI_PERF_SEL_RMI_TC_CREDIT_ZERO_PENDING_SEND   158
#define     V_037404_RMI_PERF_SEL_RMI_TC_RDREQ_INFLIGHT_ALL_CID     159
#define     V_037404_RMI_PERF_SEL_TC_RMI_RDRET_VALID_ALL_CID        160
#define     V_037404_RMI_PERF_SEL_UTCL1_BUSY                        161
#define     V_037404_RMI_PERF_SEL_RMI_UTC_REQ                       162
#define     V_037404_RMI_PERF_SEL_RMI_UTC_BUSY                      163
#define     V_037404_RMI_PERF_SEL_UTCL1_UTCL2_REQ                   164
#define     V_037404_RMI_PERF_SEL_LEVEL_ADD_UTCL1_TO_UTCL2          165
#define     V_037404_RMI_PERF_SEL_PROBE_UTCL1_XNACK_RETRY           166
#define     V_037404_RMI_PERF_SEL_PROBE_UTCL1_ALL_FAULT             167
#define     V_037404_RMI_PERF_SEL_PROBE_UTCL1_PRT_FAULT             168
#define     V_037404_RMI_PERF_SEL_PROBE_UTCL1_VMID_BYPASS           169
#define     V_037404_RMI_PERF_SEL_PROBE_UTCL1_XNACK_NORETRY_FAULT   170
#define     V_037404_RMI_PERF_SEL_XNACK_FIFO_NUM_USED               171
#define     V_037404_RMI_PERF_SEL_LAT_FIFO_NUM_USED                 172
#define     V_037404_RMI_PERF_SEL_LAT_FIFO_BLOCKING_REQ             173
#define     V_037404_RMI_PERF_SEL_LAT_FIFO_NONBLOCKING_REQ          174
#define     V_037404_RMI_PERF_SEL_XNACK_FIFO_FULL                   175
#define     V_037404_RMI_PERF_SEL_XNACK_FIFO_BUSY                   176
#define     V_037404_RMI_PERF_SEL_LAT_FIFO_FULL                     177
#define     V_037404_RMI_PERF_SEL_SKID_FIFO_DEPTH                   178
#define     V_037404_RMI_PERF_SEL_TCIW_INFLIGHT_COUNT               179
#define     V_037404_RMI_PERF_SEL_PRT_FIFO_NUM_USED                 180
#define     V_037404_RMI_PERF_SEL_PRT_FIFO_REQ                      181
#define     V_037404_RMI_PERF_SEL_PRT_FIFO_BUSY                     182
#define     V_037404_RMI_PERF_SEL_TCIW_REQ                          183
#define     V_037404_RMI_PERF_SEL_TCIW_BUSY                         184
#define     V_037404_RMI_PERF_SEL_SKID_FIFO_REQ                     185
#define     V_037404_RMI_PERF_SEL_SKID_FIFO_BUSY                    186
#define     V_037404_RMI_PERF_SEL_DEMUX_TCIW_RESIDENCY_NACK0        187
#define     V_037404_RMI_PERF_SEL_DEMUX_TCIW_RESIDENCY_NACK1        188
#define     V_037404_RMI_PERF_SEL_DEMUX_TCIW_RESIDENCY_NACK2        189
#define     V_037404_RMI_PERF_SEL_DEMUX_TCIW_RESIDENCY_NACK3        190
#define     V_037404_RMI_PERF_SEL_XBAR_PROBEGEN_RTS_RTR             191
#define     V_037404_RMI_PERF_SEL_XBAR_PROBEGEN_RTSB_RTR            192
#define     V_037404_RMI_PERF_SEL_XBAR_PROBEGEN_RTS_RTRB            193
#define     V_037404_RMI_PERF_SEL_XBAR_PROBEGEN_RTSB_RTRB           194
#define     V_037404_RMI_PERF_SEL_DEMUX_TCIW_FORMATTER_RTS_RTR      195
#define     V_037404_RMI_PERF_SEL_DEMUX_TCIW_FORMATTER_RTSB_RTR     196
#define     V_037404_RMI_PERF_SEL_DEMUX_TCIW_FORMATTER_RTS_RTRB     197
#define     V_037404_RMI_PERF_SEL_DEMUX_TCIW_FORMATTER_RTSB_RTRB    198
#define     V_037404_RMI_PERF_SEL_WRREQCONSUMER_XBAR_WRREQ_RTS_RTR  199
#define     V_037404_RMI_PERF_SEL_WRREQCONSUMER_XBAR_WRREQ_RTSB_RTR 200
#define     V_037404_RMI_PERF_SEL_WRREQCONSUMER_XBAR_WRREQ_RTS_RTRB 201
#define     V_037404_RMI_PERF_SEL_WRREQCONSUMER_XBAR_WRREQ_RTSB_RTRB 202
#define     V_037404_RMI_PERF_SEL_RDREQCONSUMER_XBAR_RDREQ_RTS_RTR  203
#define     V_037404_RMI_PERF_SEL_RDREQCONSUMER_XBAR_RDREQ_RTSB_RTR 204
#define     V_037404_RMI_PERF_SEL_RDREQCONSUMER_XBAR_RDREQ_RTS_RTRB 205
#define     V_037404_RMI_PERF_SEL_RDREQCONSUMER_XBAR_RDREQ_RTSB_RTRB 206
#define     V_037404_RMI_PERF_SEL_POP_DEMUX_RTS_RTR                 207
#define     V_037404_RMI_PERF_SEL_POP_DEMUX_RTSB_RTR                208
#define     V_037404_RMI_PERF_SEL_POP_DEMUX_RTS_RTRB                209
#define     V_037404_RMI_PERF_SEL_POP_DEMUX_RTSB_RTRB               210
#define     V_037404_RMI_PERF_SEL_PROBEGEN_UTC_RTS_RTR              211
#define     V_037404_RMI_PERF_SEL_LEVEL_ADD_RMI_TO_UTC              212
#define     V_037404_RMI_PERF_SEL_PROBEGEN_UTC_RTSB_RTR             213
#define     V_037404_RMI_PERF_SEL_PROBEGEN_UTC_RTS_RTRB             214
#define     V_037404_RMI_PERF_SEL_PROBEGEN_UTC_RTSB_RTRB            215
#define     V_037404_RMI_PERF_SEL_UTC_POP_RTS_RTR                   216
#define     V_037404_RMI_PERF_SEL_UTC_POP_RTSB_RTR                  217
#define     V_037404_RMI_PERF_SEL_UTC_POP_RTS_RTRB                  218
#define     V_037404_RMI_PERF_SEL_UTC_POP_RTSB_RTRB                 219
#define     V_037404_RMI_PERF_SEL_POP_XNACK_RTS_RTR                 220
#define     V_037404_RMI_PERF_SEL_POP_XNACK_RTSB_RTR                221
#define     V_037404_RMI_PERF_SEL_POP_XNACK_RTS_RTRB                222
#define     V_037404_RMI_PERF_SEL_POP_XNACK_RTSB_RTRB               223
#define     V_037404_RMI_PERF_SEL_XNACK_PROBEGEN_RTS_RTR            224
#define     V_037404_RMI_PERF_SEL_XNACK_PROBEGEN_RTSB_RTR           225
#define     V_037404_RMI_PERF_SEL_XNACK_PROBEGEN_RTS_RTRB           226
#define     V_037404_RMI_PERF_SEL_XNACK_PROBEGEN_RTSB_RTRB          227
#define     V_037404_RMI_PERF_SEL_PRTFIFO_RTNFORMATTER_RTS_RTR      228
#define     V_037404_RMI_PERF_SEL_PRTFIFO_RTNFORMATTER_RTSB_RTR     229
#define     V_037404_RMI_PERF_SEL_PRTFIFO_RTNFORMATTER_RTS_RTRB     230
#define     V_037404_RMI_PERF_SEL_PRTFIFO_RTNFORMATTER_RTSB_RTRB    231
#define     V_037404_RMI_PERF_SEL_SKID_FIFO_IN_RTS                  232
#define     V_037404_RMI_PERF_SEL_SKID_FIFO_IN_RTSB                 233
#define     V_037404_RMI_PERF_SEL_SKID_FIFO_OUT_RTS                 234
#define     V_037404_RMI_PERF_SEL_SKID_FIFO_OUT_RTSB                235
#define     V_037404_RMI_PERF_SEL_XBAR_PROBEGEN_READ_RTS_RTR        236
#define     V_037404_RMI_PERF_SEL_XBAR_PROBEGEN_WRITE_RTS_RTR       237
#define     V_037404_RMI_PERF_SEL_XBAR_PROBEGEN_IN0_RTS_RTR         238
#define     V_037404_RMI_PERF_SEL_XBAR_PROBEGEN_IN1_RTS_RTR         239
#define     V_037404_RMI_PERF_SEL_XBAR_PROBEGEN_CB_RTS_RTR          240
#define     V_037404_RMI_PERF_SEL_XBAR_PROBEGEN_DB_RTS_RTR          241
#define     V_037404_RMI_PERF_SEL_REORDER_FIFO_REQ                  242
#define     V_037404_RMI_PERF_SEL_REORDER_FIFO_BUSY                 243
#define     V_037404_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_ALL_CID        244
#define     V_037404_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID0           245
#define     V_037404_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID1           246
#define     V_037404_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID2           247
#define     V_037404_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID3           248
#define     V_037404_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID4           249
#define     V_037404_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID5           250
#define     V_037404_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID6           251
#define     V_037404_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID7           252
#define     V_037404_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_NACK0          253
#define     V_037404_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_NACK1          254
#define     V_037404_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_NACK2          255
#define     V_037404_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_NACK3          256
#define     V_037404_RMI_PERF_SEL_UTCL0_UTCL1_PERM_FAULT            257
#define   S_037404_PERF_SEL3(x)                                       (((unsigned)(x) & 0x1FF) << 10)
#define   G_037404_PERF_SEL3(x)                                       (((x) >> 10) & 0x1FF)
#define   C_037404_PERF_SEL3                                          0xFFF803FF
#define   S_037404_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_037404_PERF_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_037404_PERF_MODE3                                         0xF0FFFFFF
#define   S_037404_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_037404_PERF_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_037404_PERF_MODE2                                         0x0FFFFFFF
#define R_037408_RMI_PERFCOUNTER1_SELECT                                0x037408 /* >= gfx10 */
#define   S_037408_PERF_SEL(x)                                        (((unsigned)(x) & 0x1FF) << 0)
#define   G_037408_PERF_SEL(x)                                        (((x) >> 0) & 0x1FF)
#define   C_037408_PERF_SEL                                           0xFFFFFE00
#define     V_037408_RMI_PERF_SEL_NONE                              0
#define     V_037408_RMI_PERF_SEL_BUSY                              1
#define     V_037408_RMI_PERF_SEL_REG_CLK_VLD                       2
#define     V_037408_RMI_PERF_SEL_DYN_CLK_CMN_VLD                   3
#define     V_037408_RMI_PERF_SEL_DYN_CLK_RB_VLD                    4
#define     V_037408_RMI_PERF_SEL_DYN_CLK_PERF_VLD                  5
#define     V_037408_RMI_PERF_SEL_PERF_WINDOW                       6
#define     V_037408_RMI_PERF_SEL_EVENT_SEND                        7
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID0    8
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID1    9
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID2    10
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID3    11
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID4    12
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID5    13
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID6    14
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID7    15
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID8    16
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID9    17
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID10   18
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID11   19
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID12   20
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID13   21
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID14   22
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID15   23
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_ATC_REQ_VMID_ALL 24
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID0 25
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID1 26
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID2 27
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID3 28
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID4 29
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID5 30
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID6 31
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID7 32
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID8 33
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID9 34
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID10 35
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID11 36
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID12 37
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID13 38
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID14 39
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID15 40
#define     V_037408_RMI_PERF_SEL_RMI_INVALIDATION_REQ_START_FINISH_VMID_ALL 41
#define     V_037408_RMI_PERF_SEL_UTCL1_TRANSLATION_MISS            42
#define     V_037408_RMI_PERF_SEL_UTCL1_PERMISSION_MISS             43
#define     V_037408_RMI_PERF_SEL_UTCL1_TRANSLATION_HIT             44
#define     V_037408_RMI_PERF_SEL_UTCL1_REQUEST                     45
#define     V_037408_RMI_PERF_SEL_UTCL1_STALL_INFLIGHT_MAX          46
#define     V_037408_RMI_PERF_SEL_UTCL1_STALL_LRU_INFLIGHT          47
#define     V_037408_RMI_PERF_SEL_UTCL1_LFIFO_FULL                  48
#define     V_037408_RMI_PERF_SEL_UTCL1_STALL_LFIFO_NOT_RES         49
#define     V_037408_RMI_PERF_SEL_UTCL1_STALL_UTCL2_REQ_OUT_OF_CREDITS 50
#define     V_037408_RMI_PERF_SEL_UTCL1_STALL_MISSFIFO_FULL         51
#define     V_037408_RMI_PERF_SEL_UTCL1_HIT_FIFO_FULL               52
#define     V_037408_RMI_PERF_SEL_UTCL1_STALL_MULTI_MISS            53
#define     V_037408_RMI_PERF_SEL_RB_RMI_WRREQ_ALL_CID              54
#define     V_037408_RMI_PERF_SEL_RB_RMI_WRREQ_TO_WRRET_BUSY        55
#define     V_037408_RMI_PERF_SEL_RB_RMI_WRREQ_CID0                 56
#define     V_037408_RMI_PERF_SEL_RB_RMI_WRREQ_CID1                 57
#define     V_037408_RMI_PERF_SEL_RB_RMI_WRREQ_CID2                 58
#define     V_037408_RMI_PERF_SEL_RB_RMI_WRREQ_CID3                 59
#define     V_037408_RMI_PERF_SEL_RB_RMI_WRREQ_CID4                 60
#define     V_037408_RMI_PERF_SEL_RB_RMI_WRREQ_CID5                 61
#define     V_037408_RMI_PERF_SEL_RB_RMI_WRREQ_CID6                 62
#define     V_037408_RMI_PERF_SEL_RB_RMI_WRREQ_CID7                 63
#define     V_037408_RMI_PERF_SEL_RB_RMI_32BWRREQ_INFLIGHT_ALL_ORONE_CID 64
#define     V_037408_RMI_PERF_SEL_RB_RMI_WRREQ_BURST_LENGTH_ALL_ORONE_CID 65
#define     V_037408_RMI_PERF_SEL_RB_RMI_WRREQ_BURST_ALL_ORONE_CID  66
#define     V_037408_RMI_PERF_SEL_RB_RMI_WRREQ_RESIDENCY            67
#define     V_037408_RMI_PERF_SEL_RMI_RB_WRRET_VALID_ALL_CID        68
#define     V_037408_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID0           69
#define     V_037408_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID1           70
#define     V_037408_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID2           71
#define     V_037408_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID3           72
#define     V_037408_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID4           73
#define     V_037408_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID5           74
#define     V_037408_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID6           75
#define     V_037408_RMI_PERF_SEL_RMI_RB_WRRET_VALID_CID7           76
#define     V_037408_RMI_PERF_SEL_RMI_RB_WRRET_VALID_NACK0          77
#define     V_037408_RMI_PERF_SEL_RMI_RB_WRRET_VALID_NACK1          78
#define     V_037408_RMI_PERF_SEL_RMI_RB_WRRET_VALID_NACK2          79
#define     V_037408_RMI_PERF_SEL_RMI_RB_WRRET_VALID_NACK3          80
#define     V_037408_RMI_PERF_SEL_RB_RMI_32BRDREQ_ALL_CID           81
#define     V_037408_RMI_PERF_SEL_RB_RMI_RDREQ_ALL_CID              82
#define     V_037408_RMI_PERF_SEL_RB_RMI_RDREQ_TO_RDRET_BUSY        83
#define     V_037408_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID0              84
#define     V_037408_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID1              85
#define     V_037408_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID2              86
#define     V_037408_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID3              87
#define     V_037408_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID4              88
#define     V_037408_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID5              89
#define     V_037408_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID6              90
#define     V_037408_RMI_PERF_SEL_RB_RMI_32BRDREQ_CID7              91
#define     V_037408_RMI_PERF_SEL_RB_RMI_RDREQ_CID0                 92
#define     V_037408_RMI_PERF_SEL_RB_RMI_RDREQ_CID1                 93
#define     V_037408_RMI_PERF_SEL_RB_RMI_RDREQ_CID2                 94
#define     V_037408_RMI_PERF_SEL_RB_RMI_RDREQ_CID3                 95
#define     V_037408_RMI_PERF_SEL_RB_RMI_RDREQ_CID4                 96
#define     V_037408_RMI_PERF_SEL_RB_RMI_RDREQ_CID5                 97
#define     V_037408_RMI_PERF_SEL_RB_RMI_RDREQ_CID6                 98
#define     V_037408_RMI_PERF_SEL_RB_RMI_RDREQ_CID7                 99
#define     V_037408_RMI_PERF_SEL_RB_RMI_32BRDREQ_INFLIGHT_ALL_ORONE_CID 100
#define     V_037408_RMI_PERF_SEL_RB_RMI_RDREQ_BURST_LENGTH_ALL_ORONE_CID 101
#define     V_037408_RMI_PERF_SEL_RB_RMI_RDREQ_BURST_ALL_ORONE_CID  102
#define     V_037408_RMI_PERF_SEL_RB_RMI_RDREQ_RESIDENCY            103
#define     V_037408_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_ALL_CID     104
#define     V_037408_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID0        105
#define     V_037408_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID1        106
#define     V_037408_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID2        107
#define     V_037408_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID3        108
#define     V_037408_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID4        109
#define     V_037408_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID5        110
#define     V_037408_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID6        111
#define     V_037408_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_CID7        112
#define     V_037408_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_NACK0       113
#define     V_037408_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_NACK1       114
#define     V_037408_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_NACK2       115
#define     V_037408_RMI_PERF_SEL_RMI_RB_32BRDRET_VALID_NACK3       116
#define     V_037408_RMI_PERF_SEL_RB_RMI_WR_FIFO_MAX                117
#define     V_037408_RMI_PERF_SEL_RB_RMI_WR_FIFO_EMPTY              118
#define     V_037408_RMI_PERF_SEL_RB_RMI_WR_IDLE                    119
#define     V_037408_RMI_PERF_SEL_RB_RMI_WR_STARVE                  120
#define     V_037408_RMI_PERF_SEL_RB_RMI_WR_STALL                   121
#define     V_037408_RMI_PERF_SEL_RB_RMI_WR_BUSY                    122
#define     V_037408_RMI_PERF_SEL_RB_RMI_WR_INTF_BUSY               123
#define     V_037408_RMI_PERF_SEL_RB_RMI_RD_FIFO_MAX                124
#define     V_037408_RMI_PERF_SEL_RB_RMI_RD_FIFO_EMPTY              125
#define     V_037408_RMI_PERF_SEL_RB_RMI_RD_IDLE                    126
#define     V_037408_RMI_PERF_SEL_RB_RMI_RD_STARVE                  127
#define     V_037408_RMI_PERF_SEL_RB_RMI_RD_STALL                   128
#define     V_037408_RMI_PERF_SEL_RB_RMI_RD_BUSY                    129
#define     V_037408_RMI_PERF_SEL_RB_RMI_RD_INTF_BUSY               130
#define     V_037408_RMI_PERF_SEL_RMI_TC_64BWRREQ_ALL_ORONE_CID     131
#define     V_037408_RMI_PERF_SEL_RMI_TC_64BRDREQ_ALL_ORONE_CID     132
#define     V_037408_RMI_PERF_SEL_RMI_TC_WRREQ_ALL_CID              133
#define     V_037408_RMI_PERF_SEL_RMI_TC_REQ_BUSY                   134
#define     V_037408_RMI_PERF_SEL_RMI_TC_WRREQ_CID0                 135
#define     V_037408_RMI_PERF_SEL_RMI_TC_WRREQ_CID1                 136
#define     V_037408_RMI_PERF_SEL_RMI_TC_WRREQ_CID2                 137
#define     V_037408_RMI_PERF_SEL_RMI_TC_WRREQ_CID3                 138
#define     V_037408_RMI_PERF_SEL_RMI_TC_WRREQ_CID4                 139
#define     V_037408_RMI_PERF_SEL_RMI_TC_WRREQ_CID5                 140
#define     V_037408_RMI_PERF_SEL_RMI_TC_WRREQ_CID6                 141
#define     V_037408_RMI_PERF_SEL_RMI_TC_WRREQ_CID7                 142
#define     V_037408_RMI_PERF_SEL_RMI_TC_WRREQ_INFLIGHT_ALL_CID     143
#define     V_037408_RMI_PERF_SEL_TC_RMI_WRRET_VALID_ALL_CID        144
#define     V_037408_RMI_PERF_SEL_RMI_TC_RDREQ_ALL_CID              145
#define     V_037408_RMI_PERF_SEL_RMI_TC_RDREQ_CID0                 146
#define     V_037408_RMI_PERF_SEL_RMI_TC_RDREQ_CID1                 147
#define     V_037408_RMI_PERF_SEL_RMI_TC_RDREQ_CID2                 148
#define     V_037408_RMI_PERF_SEL_RMI_TC_RDREQ_CID3                 149
#define     V_037408_RMI_PERF_SEL_RMI_TC_RDREQ_CID4                 150
#define     V_037408_RMI_PERF_SEL_RMI_TC_RDREQ_CID5                 151
#define     V_037408_RMI_PERF_SEL_RMI_TC_RDREQ_CID6                 152
#define     V_037408_RMI_PERF_SEL_RMI_TC_RDREQ_CID7                 153
#define     V_037408_RMI_PERF_SEL_RMI_TC_STALL_RDREQ                154
#define     V_037408_RMI_PERF_SEL_RMI_TC_STALL_WRREQ                155
#define     V_037408_RMI_PERF_SEL_RMI_TC_STALL_ALLREQ               156
#define     V_037408_RMI_PERF_SEL_RMI_TC_CREDIT_FULL_NO_PENDING_SEND 157
#define     V_037408_RMI_PERF_SEL_RMI_TC_CREDIT_ZERO_PENDING_SEND   158
#define     V_037408_RMI_PERF_SEL_RMI_TC_RDREQ_INFLIGHT_ALL_CID     159
#define     V_037408_RMI_PERF_SEL_TC_RMI_RDRET_VALID_ALL_CID        160
#define     V_037408_RMI_PERF_SEL_UTCL1_BUSY                        161
#define     V_037408_RMI_PERF_SEL_RMI_UTC_REQ                       162
#define     V_037408_RMI_PERF_SEL_RMI_UTC_BUSY                      163
#define     V_037408_RMI_PERF_SEL_UTCL1_UTCL2_REQ                   164
#define     V_037408_RMI_PERF_SEL_LEVEL_ADD_UTCL1_TO_UTCL2          165
#define     V_037408_RMI_PERF_SEL_PROBE_UTCL1_XNACK_RETRY           166
#define     V_037408_RMI_PERF_SEL_PROBE_UTCL1_ALL_FAULT             167
#define     V_037408_RMI_PERF_SEL_PROBE_UTCL1_PRT_FAULT             168
#define     V_037408_RMI_PERF_SEL_PROBE_UTCL1_VMID_BYPASS           169
#define     V_037408_RMI_PERF_SEL_PROBE_UTCL1_XNACK_NORETRY_FAULT   170
#define     V_037408_RMI_PERF_SEL_XNACK_FIFO_NUM_USED               171
#define     V_037408_RMI_PERF_SEL_LAT_FIFO_NUM_USED                 172
#define     V_037408_RMI_PERF_SEL_LAT_FIFO_BLOCKING_REQ             173
#define     V_037408_RMI_PERF_SEL_LAT_FIFO_NONBLOCKING_REQ          174
#define     V_037408_RMI_PERF_SEL_XNACK_FIFO_FULL                   175
#define     V_037408_RMI_PERF_SEL_XNACK_FIFO_BUSY                   176
#define     V_037408_RMI_PERF_SEL_LAT_FIFO_FULL                     177
#define     V_037408_RMI_PERF_SEL_SKID_FIFO_DEPTH                   178
#define     V_037408_RMI_PERF_SEL_TCIW_INFLIGHT_COUNT               179
#define     V_037408_RMI_PERF_SEL_PRT_FIFO_NUM_USED                 180
#define     V_037408_RMI_PERF_SEL_PRT_FIFO_REQ                      181
#define     V_037408_RMI_PERF_SEL_PRT_FIFO_BUSY                     182
#define     V_037408_RMI_PERF_SEL_TCIW_REQ                          183
#define     V_037408_RMI_PERF_SEL_TCIW_BUSY                         184
#define     V_037408_RMI_PERF_SEL_SKID_FIFO_REQ                     185
#define     V_037408_RMI_PERF_SEL_SKID_FIFO_BUSY                    186
#define     V_037408_RMI_PERF_SEL_DEMUX_TCIW_RESIDENCY_NACK0        187
#define     V_037408_RMI_PERF_SEL_DEMUX_TCIW_RESIDENCY_NACK1        188
#define     V_037408_RMI_PERF_SEL_DEMUX_TCIW_RESIDENCY_NACK2        189
#define     V_037408_RMI_PERF_SEL_DEMUX_TCIW_RESIDENCY_NACK3        190
#define     V_037408_RMI_PERF_SEL_XBAR_PROBEGEN_RTS_RTR             191
#define     V_037408_RMI_PERF_SEL_XBAR_PROBEGEN_RTSB_RTR            192
#define     V_037408_RMI_PERF_SEL_XBAR_PROBEGEN_RTS_RTRB            193
#define     V_037408_RMI_PERF_SEL_XBAR_PROBEGEN_RTSB_RTRB           194
#define     V_037408_RMI_PERF_SEL_DEMUX_TCIW_FORMATTER_RTS_RTR      195
#define     V_037408_RMI_PERF_SEL_DEMUX_TCIW_FORMATTER_RTSB_RTR     196
#define     V_037408_RMI_PERF_SEL_DEMUX_TCIW_FORMATTER_RTS_RTRB     197
#define     V_037408_RMI_PERF_SEL_DEMUX_TCIW_FORMATTER_RTSB_RTRB    198
#define     V_037408_RMI_PERF_SEL_WRREQCONSUMER_XBAR_WRREQ_RTS_RTR  199
#define     V_037408_RMI_PERF_SEL_WRREQCONSUMER_XBAR_WRREQ_RTSB_RTR 200
#define     V_037408_RMI_PERF_SEL_WRREQCONSUMER_XBAR_WRREQ_RTS_RTRB 201
#define     V_037408_RMI_PERF_SEL_WRREQCONSUMER_XBAR_WRREQ_RTSB_RTRB 202
#define     V_037408_RMI_PERF_SEL_RDREQCONSUMER_XBAR_RDREQ_RTS_RTR  203
#define     V_037408_RMI_PERF_SEL_RDREQCONSUMER_XBAR_RDREQ_RTSB_RTR 204
#define     V_037408_RMI_PERF_SEL_RDREQCONSUMER_XBAR_RDREQ_RTS_RTRB 205
#define     V_037408_RMI_PERF_SEL_RDREQCONSUMER_XBAR_RDREQ_RTSB_RTRB 206
#define     V_037408_RMI_PERF_SEL_POP_DEMUX_RTS_RTR                 207
#define     V_037408_RMI_PERF_SEL_POP_DEMUX_RTSB_RTR                208
#define     V_037408_RMI_PERF_SEL_POP_DEMUX_RTS_RTRB                209
#define     V_037408_RMI_PERF_SEL_POP_DEMUX_RTSB_RTRB               210
#define     V_037408_RMI_PERF_SEL_PROBEGEN_UTC_RTS_RTR              211
#define     V_037408_RMI_PERF_SEL_LEVEL_ADD_RMI_TO_UTC              212
#define     V_037408_RMI_PERF_SEL_PROBEGEN_UTC_RTSB_RTR             213
#define     V_037408_RMI_PERF_SEL_PROBEGEN_UTC_RTS_RTRB             214
#define     V_037408_RMI_PERF_SEL_PROBEGEN_UTC_RTSB_RTRB            215
#define     V_037408_RMI_PERF_SEL_UTC_POP_RTS_RTR                   216
#define     V_037408_RMI_PERF_SEL_UTC_POP_RTSB_RTR                  217
#define     V_037408_RMI_PERF_SEL_UTC_POP_RTS_RTRB                  218
#define     V_037408_RMI_PERF_SEL_UTC_POP_RTSB_RTRB                 219
#define     V_037408_RMI_PERF_SEL_POP_XNACK_RTS_RTR                 220
#define     V_037408_RMI_PERF_SEL_POP_XNACK_RTSB_RTR                221
#define     V_037408_RMI_PERF_SEL_POP_XNACK_RTS_RTRB                222
#define     V_037408_RMI_PERF_SEL_POP_XNACK_RTSB_RTRB               223
#define     V_037408_RMI_PERF_SEL_XNACK_PROBEGEN_RTS_RTR            224
#define     V_037408_RMI_PERF_SEL_XNACK_PROBEGEN_RTSB_RTR           225
#define     V_037408_RMI_PERF_SEL_XNACK_PROBEGEN_RTS_RTRB           226
#define     V_037408_RMI_PERF_SEL_XNACK_PROBEGEN_RTSB_RTRB          227
#define     V_037408_RMI_PERF_SEL_PRTFIFO_RTNFORMATTER_RTS_RTR      228
#define     V_037408_RMI_PERF_SEL_PRTFIFO_RTNFORMATTER_RTSB_RTR     229
#define     V_037408_RMI_PERF_SEL_PRTFIFO_RTNFORMATTER_RTS_RTRB     230
#define     V_037408_RMI_PERF_SEL_PRTFIFO_RTNFORMATTER_RTSB_RTRB    231
#define     V_037408_RMI_PERF_SEL_SKID_FIFO_IN_RTS                  232
#define     V_037408_RMI_PERF_SEL_SKID_FIFO_IN_RTSB                 233
#define     V_037408_RMI_PERF_SEL_SKID_FIFO_OUT_RTS                 234
#define     V_037408_RMI_PERF_SEL_SKID_FIFO_OUT_RTSB                235
#define     V_037408_RMI_PERF_SEL_XBAR_PROBEGEN_READ_RTS_RTR        236
#define     V_037408_RMI_PERF_SEL_XBAR_PROBEGEN_WRITE_RTS_RTR       237
#define     V_037408_RMI_PERF_SEL_XBAR_PROBEGEN_IN0_RTS_RTR         238
#define     V_037408_RMI_PERF_SEL_XBAR_PROBEGEN_IN1_RTS_RTR         239
#define     V_037408_RMI_PERF_SEL_XBAR_PROBEGEN_CB_RTS_RTR          240
#define     V_037408_RMI_PERF_SEL_XBAR_PROBEGEN_DB_RTS_RTR          241
#define     V_037408_RMI_PERF_SEL_REORDER_FIFO_REQ                  242
#define     V_037408_RMI_PERF_SEL_REORDER_FIFO_BUSY                 243
#define     V_037408_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_ALL_CID        244
#define     V_037408_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID0           245
#define     V_037408_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID1           246
#define     V_037408_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID2           247
#define     V_037408_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID3           248
#define     V_037408_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID4           249
#define     V_037408_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID5           250
#define     V_037408_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID6           251
#define     V_037408_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_CID7           252
#define     V_037408_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_NACK0          253
#define     V_037408_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_NACK1          254
#define     V_037408_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_NACK2          255
#define     V_037408_RMI_PERF_SEL_RMI_RB_EARLY_WRACK_NACK3          256
#define     V_037408_RMI_PERF_SEL_UTCL0_UTCL1_PERM_FAULT            257
#define   S_037408_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_037408_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_037408_PERF_MODE                                          0x0FFFFFFF
#define R_03740C_RMI_PERFCOUNTER2_SELECT                                0x03740C /* >= gfx10 */
#define R_037410_RMI_PERFCOUNTER2_SELECT1                               0x037410 /* >= gfx10 */
#define R_037414_RMI_PERFCOUNTER3_SELECT                                0x037414 /* >= gfx10 */
#define R_037418_RMI_PERF_COUNTER_CNTL                                  0x037418 /* >= gfx10 */
#define   S_037418_TRANS_BASED_PERF_EN_SEL(x)                         (((unsigned)(x) & 0x3) << 0)
#define   G_037418_TRANS_BASED_PERF_EN_SEL(x)                         (((x) >> 0) & 0x3)
#define   C_037418_TRANS_BASED_PERF_EN_SEL                            0xFFFFFFFC
#define   S_037418_EVENT_BASED_PERF_EN_SEL(x)                         (((unsigned)(x) & 0x3) << 2)
#define   G_037418_EVENT_BASED_PERF_EN_SEL(x)                         (((x) >> 2) & 0x3)
#define   C_037418_EVENT_BASED_PERF_EN_SEL                            0xFFFFFFF3
#define   S_037418_TC_PERF_EN_SEL(x)                                  (((unsigned)(x) & 0x3) << 4)
#define   G_037418_TC_PERF_EN_SEL(x)                                  (((x) >> 4) & 0x3)
#define   C_037418_TC_PERF_EN_SEL                                     0xFFFFFFCF
#define   S_037418_PERF_EVENT_WINDOW_MASK0(x)                         (((unsigned)(x) & 0x3) << 6)
#define   G_037418_PERF_EVENT_WINDOW_MASK0(x)                         (((x) >> 6) & 0x3)
#define   C_037418_PERF_EVENT_WINDOW_MASK0                            0xFFFFFF3F
#define   S_037418_PERF_EVENT_WINDOW_MASK1(x)                         (((unsigned)(x) & 0x3) << 8)
#define   G_037418_PERF_EVENT_WINDOW_MASK1(x)                         (((x) >> 8) & 0x3)
#define   C_037418_PERF_EVENT_WINDOW_MASK1                            0xFFFFFCFF
#define   S_037418_PERF_COUNTER_CID(x)                                (((unsigned)(x) & 0xF) << 10)
#define   G_037418_PERF_COUNTER_CID(x)                                (((x) >> 10) & 0xF)
#define   C_037418_PERF_COUNTER_CID                                   0xFFFFC3FF
#define   S_037418_PERF_COUNTER_VMID(x)                               (((unsigned)(x) & 0x1F) << 14)
#define   G_037418_PERF_COUNTER_VMID(x)                               (((x) >> 14) & 0x1F)
#define   C_037418_PERF_COUNTER_VMID                                  0xFFF83FFF
#define   S_037418_PERF_COUNTER_BURST_LENGTH_THRESHOLD(x)             (((unsigned)(x) & 0x3F) << 19)
#define   G_037418_PERF_COUNTER_BURST_LENGTH_THRESHOLD(x)             (((x) >> 19) & 0x3F)
#define   C_037418_PERF_COUNTER_BURST_LENGTH_THRESHOLD                0xFE07FFFF
#define   S_037418_PERF_SOFT_RESET(x)                                 (((unsigned)(x) & 0x1) << 25)
#define   G_037418_PERF_SOFT_RESET(x)                                 (((x) >> 25) & 0x1)
#define   C_037418_PERF_SOFT_RESET                                    0xFDFFFFFF
#define   S_037418_PERF_CNTR_SPM_SEL(x)                               (((unsigned)(x) & 0x1) << 26)
#define   G_037418_PERF_CNTR_SPM_SEL(x)                               (((x) >> 26) & 0x1)
#define   C_037418_PERF_CNTR_SPM_SEL                                  0xFBFFFFFF
#define R_037580_GCR_PERFCOUNTER0_SELECT                                0x037580 /* >= gfx10 */
#define   S_037580_PERF_SEL(x)                                        (((unsigned)(x) & 0x1FF) << 0)
#define   G_037580_PERF_SEL(x)                                        (((x) >> 0) & 0x1FF)
#define   C_037580_PERF_SEL                                           0xFFFFFE00
#define     V_037580_GCR_PERF_SEL_NONE                              0
#define     V_037580_GCR_PERF_SEL_SDMA0_ALL_REQ                     1
#define     V_037580_GCR_PERF_SEL_SDMA0_GL2_RANGE_REQ               2
#define     V_037580_GCR_PERF_SEL_SDMA0_GL2_RANGE_LT16K_REQ         3
#define     V_037580_GCR_PERF_SEL_SDMA0_GL2_RANGE_16K_REQ           4
#define     V_037580_GCR_PERF_SEL_SDMA0_GL2_RANGE_GT16K_REQ         5
#define     V_037580_GCR_PERF_SEL_SDMA0_GL2_ALL_REQ                 6
#define     V_037580_GCR_PERF_SEL_SDMA0_GL1_RANGE_REQ               7
#define     V_037580_GCR_PERF_SEL_SDMA0_GL1_RANGE_LT16K_REQ         8
#define     V_037580_GCR_PERF_SEL_SDMA0_GL1_RANGE_16K_REQ           9
#define     V_037580_GCR_PERF_SEL_SDMA0_GL1_RANGE_GT16K_REQ         10
#define     V_037580_GCR_PERF_SEL_SDMA0_GL1_ALL_REQ                 11
#define     V_037580_GCR_PERF_SEL_SDMA0_METADATA_REQ                12
#define     V_037580_GCR_PERF_SEL_SDMA0_SQC_DATA_REQ                13
#define     V_037580_GCR_PERF_SEL_SDMA0_SQC_INST_REQ                14
#define     V_037580_GCR_PERF_SEL_SDMA0_TCP_REQ                     15
#define     V_037580_GCR_PERF_SEL_SDMA0_TCP_TLB_SHOOTDOWN_REQ       16
#define     V_037580_GCR_PERF_SEL_SDMA1_ALL_REQ                     17
#define     V_037580_GCR_PERF_SEL_SDMA1_GL2_RANGE_REQ               18
#define     V_037580_GCR_PERF_SEL_SDMA1_GL2_RANGE_LT16K_REQ         19
#define     V_037580_GCR_PERF_SEL_SDMA1_GL2_RANGE_16K_REQ           20
#define     V_037580_GCR_PERF_SEL_SDMA1_GL2_RANGE_GT16K_REQ         21
#define     V_037580_GCR_PERF_SEL_SDMA1_GL2_ALL_REQ                 22
#define     V_037580_GCR_PERF_SEL_SDMA1_GL1_RANGE_REQ               23
#define     V_037580_GCR_PERF_SEL_SDMA1_GL1_RANGE_LT16K_REQ         24
#define     V_037580_GCR_PERF_SEL_SDMA1_GL1_RANGE_16K_REQ           25
#define     V_037580_GCR_PERF_SEL_SDMA1_GL1_RANGE_GT16K_REQ         26
#define     V_037580_GCR_PERF_SEL_SDMA1_GL1_ALL_REQ                 27
#define     V_037580_GCR_PERF_SEL_SDMA1_METADATA_REQ                28
#define     V_037580_GCR_PERF_SEL_SDMA1_SQC_DATA_REQ                29
#define     V_037580_GCR_PERF_SEL_SDMA1_SQC_INST_REQ                30
#define     V_037580_GCR_PERF_SEL_SDMA1_TCP_REQ                     31
#define     V_037580_GCR_PERF_SEL_SDMA1_TCP_TLB_SHOOTDOWN_REQ       32
#define     V_037580_GCR_PERF_SEL_CPG_ALL_REQ                       33
#define     V_037580_GCR_PERF_SEL_CPG_GL2_RANGE_REQ                 34
#define     V_037580_GCR_PERF_SEL_CPG_GL2_RANGE_LT16K_REQ           35
#define     V_037580_GCR_PERF_SEL_CPG_GL2_RANGE_16K_REQ             36
#define     V_037580_GCR_PERF_SEL_CPG_GL2_RANGE_GT16K_REQ           37
#define     V_037580_GCR_PERF_SEL_CPG_GL2_ALL_REQ                   38
#define     V_037580_GCR_PERF_SEL_CPG_GL1_RANGE_REQ                 39
#define     V_037580_GCR_PERF_SEL_CPG_GL1_RANGE_LT16K_REQ           40
#define     V_037580_GCR_PERF_SEL_CPG_GL1_RANGE_16K_REQ             41
#define     V_037580_GCR_PERF_SEL_CPG_GL1_RANGE_GT16K_REQ           42
#define     V_037580_GCR_PERF_SEL_CPG_GL1_ALL_REQ                   43
#define     V_037580_GCR_PERF_SEL_CPG_METADATA_REQ                  44
#define     V_037580_GCR_PERF_SEL_CPG_SQC_DATA_REQ                  45
#define     V_037580_GCR_PERF_SEL_CPG_SQC_INST_REQ                  46
#define     V_037580_GCR_PERF_SEL_CPG_TCP_REQ                       47
#define     V_037580_GCR_PERF_SEL_CPG_TCP_TLB_SHOOTDOWN_REQ         48
#define     V_037580_GCR_PERF_SEL_CPC_ALL_REQ                       49
#define     V_037580_GCR_PERF_SEL_CPC_GL2_RANGE_REQ                 50
#define     V_037580_GCR_PERF_SEL_CPC_GL2_RANGE_LT16K_REQ           51
#define     V_037580_GCR_PERF_SEL_CPC_GL2_RANGE_16K_REQ             52
#define     V_037580_GCR_PERF_SEL_CPC_GL2_RANGE_GT16K_REQ           53
#define     V_037580_GCR_PERF_SEL_CPC_GL2_ALL_REQ                   54
#define     V_037580_GCR_PERF_SEL_CPC_GL1_RANGE_REQ                 55
#define     V_037580_GCR_PERF_SEL_CPC_GL1_RANGE_LT16K_REQ           56
#define     V_037580_GCR_PERF_SEL_CPC_GL1_RANGE_16K_REQ             57
#define     V_037580_GCR_PERF_SEL_CPC_GL1_RANGE_GT16K_REQ           58
#define     V_037580_GCR_PERF_SEL_CPC_GL1_ALL_REQ                   59
#define     V_037580_GCR_PERF_SEL_CPC_METADATA_REQ                  60
#define     V_037580_GCR_PERF_SEL_CPC_SQC_DATA_REQ                  61
#define     V_037580_GCR_PERF_SEL_CPC_SQC_INST_REQ                  62
#define     V_037580_GCR_PERF_SEL_CPC_TCP_REQ                       63
#define     V_037580_GCR_PERF_SEL_CPC_TCP_TLB_SHOOTDOWN_REQ         64
#define     V_037580_GCR_PERF_SEL_CPF_ALL_REQ                       65
#define     V_037580_GCR_PERF_SEL_CPF_GL2_RANGE_REQ                 66
#define     V_037580_GCR_PERF_SEL_CPF_GL2_RANGE_LT16K_REQ           67
#define     V_037580_GCR_PERF_SEL_CPF_GL2_RANGE_16K_REQ             68
#define     V_037580_GCR_PERF_SEL_CPF_GL2_RANGE_GT16K_REQ           69
#define     V_037580_GCR_PERF_SEL_CPF_GL2_ALL_REQ                   70
#define     V_037580_GCR_PERF_SEL_CPF_GL1_RANGE_REQ                 71
#define     V_037580_GCR_PERF_SEL_CPF_GL1_RANGE_LT16K_REQ           72
#define     V_037580_GCR_PERF_SEL_CPF_GL1_RANGE_16K_REQ             73
#define     V_037580_GCR_PERF_SEL_CPF_GL1_RANGE_GT16K_REQ           74
#define     V_037580_GCR_PERF_SEL_CPF_GL1_ALL_REQ                   75
#define     V_037580_GCR_PERF_SEL_CPF_METADATA_REQ                  76
#define     V_037580_GCR_PERF_SEL_CPF_SQC_DATA_REQ                  77
#define     V_037580_GCR_PERF_SEL_CPF_SQC_INST_REQ                  78
#define     V_037580_GCR_PERF_SEL_CPF_TCP_REQ                       79
#define     V_037580_GCR_PERF_SEL_CPF_TCP_TLB_SHOOTDOWN_REQ         80
#define     V_037580_GCR_PERF_SEL_VIRT_REQ                          81
#define     V_037580_GCR_PERF_SEL_PHY_REQ                           82
#define     V_037580_GCR_PERF_SEL_TLB_SHOOTDOWN_HEAVY_REQ           83
#define     V_037580_GCR_PERF_SEL_TLB_SHOOTDOWN_LIGHT_REQ           84
#define     V_037580_GCR_PERF_SEL_ALL_REQ                           85
#define     V_037580_GCR_PERF_SEL_CLK_FOR_PHY_OUTSTANDING_REQ       86
#define     V_037580_GCR_PERF_SEL_CLK_FOR_VIRT_OUTSTANDING_REQ      87
#define     V_037580_GCR_PERF_SEL_CLK_FOR_ALL_OUTSTANDING_REQ       88
#define     V_037580_GCR_PERF_SEL_UTCL2_REQ                         89
#define     V_037580_GCR_PERF_SEL_UTCL2_RET                         90
#define     V_037580_GCR_PERF_SEL_UTCL2_OUT_OF_CREDIT_EVENT         91
#define     V_037580_GCR_PERF_SEL_UTCL2_INFLIGHT_REQ                92
#define     V_037580_GCR_PERF_SEL_UTCL2_FILTERED_RET                93
#define   S_037580_PERF_SEL1(x)                                       (((unsigned)(x) & 0x1FF) << 10)
#define   G_037580_PERF_SEL1(x)                                       (((x) >> 10) & 0x1FF)
#define   C_037580_PERF_SEL1                                          0xFFF803FF
#define   S_037580_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_037580_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_037580_CNTR_MODE                                          0xFF0FFFFF
#define   S_037580_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_037580_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_037580_PERF_MODE1                                         0xF0FFFFFF
#define   S_037580_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_037580_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_037580_PERF_MODE                                          0x0FFFFFFF
#define R_037584_GCR_PERFCOUNTER0_SELECT1                               0x037584 /* >= gfx10 */
#define   S_037584_PERF_SEL2(x)                                       (((unsigned)(x) & 0x1FF) << 0)
#define   G_037584_PERF_SEL2(x)                                       (((x) >> 0) & 0x1FF)
#define   C_037584_PERF_SEL2                                          0xFFFFFE00
#define     V_037584_GCR_PERF_SEL_NONE                              0
#define     V_037584_GCR_PERF_SEL_SDMA0_ALL_REQ                     1
#define     V_037584_GCR_PERF_SEL_SDMA0_GL2_RANGE_REQ               2
#define     V_037584_GCR_PERF_SEL_SDMA0_GL2_RANGE_LT16K_REQ         3
#define     V_037584_GCR_PERF_SEL_SDMA0_GL2_RANGE_16K_REQ           4
#define     V_037584_GCR_PERF_SEL_SDMA0_GL2_RANGE_GT16K_REQ         5
#define     V_037584_GCR_PERF_SEL_SDMA0_GL2_ALL_REQ                 6
#define     V_037584_GCR_PERF_SEL_SDMA0_GL1_RANGE_REQ               7
#define     V_037584_GCR_PERF_SEL_SDMA0_GL1_RANGE_LT16K_REQ         8
#define     V_037584_GCR_PERF_SEL_SDMA0_GL1_RANGE_16K_REQ           9
#define     V_037584_GCR_PERF_SEL_SDMA0_GL1_RANGE_GT16K_REQ         10
#define     V_037584_GCR_PERF_SEL_SDMA0_GL1_ALL_REQ                 11
#define     V_037584_GCR_PERF_SEL_SDMA0_METADATA_REQ                12
#define     V_037584_GCR_PERF_SEL_SDMA0_SQC_DATA_REQ                13
#define     V_037584_GCR_PERF_SEL_SDMA0_SQC_INST_REQ                14
#define     V_037584_GCR_PERF_SEL_SDMA0_TCP_REQ                     15
#define     V_037584_GCR_PERF_SEL_SDMA0_TCP_TLB_SHOOTDOWN_REQ       16
#define     V_037584_GCR_PERF_SEL_SDMA1_ALL_REQ                     17
#define     V_037584_GCR_PERF_SEL_SDMA1_GL2_RANGE_REQ               18
#define     V_037584_GCR_PERF_SEL_SDMA1_GL2_RANGE_LT16K_REQ         19
#define     V_037584_GCR_PERF_SEL_SDMA1_GL2_RANGE_16K_REQ           20
#define     V_037584_GCR_PERF_SEL_SDMA1_GL2_RANGE_GT16K_REQ         21
#define     V_037584_GCR_PERF_SEL_SDMA1_GL2_ALL_REQ                 22
#define     V_037584_GCR_PERF_SEL_SDMA1_GL1_RANGE_REQ               23
#define     V_037584_GCR_PERF_SEL_SDMA1_GL1_RANGE_LT16K_REQ         24
#define     V_037584_GCR_PERF_SEL_SDMA1_GL1_RANGE_16K_REQ           25
#define     V_037584_GCR_PERF_SEL_SDMA1_GL1_RANGE_GT16K_REQ         26
#define     V_037584_GCR_PERF_SEL_SDMA1_GL1_ALL_REQ                 27
#define     V_037584_GCR_PERF_SEL_SDMA1_METADATA_REQ                28
#define     V_037584_GCR_PERF_SEL_SDMA1_SQC_DATA_REQ                29
#define     V_037584_GCR_PERF_SEL_SDMA1_SQC_INST_REQ                30
#define     V_037584_GCR_PERF_SEL_SDMA1_TCP_REQ                     31
#define     V_037584_GCR_PERF_SEL_SDMA1_TCP_TLB_SHOOTDOWN_REQ       32
#define     V_037584_GCR_PERF_SEL_CPG_ALL_REQ                       33
#define     V_037584_GCR_PERF_SEL_CPG_GL2_RANGE_REQ                 34
#define     V_037584_GCR_PERF_SEL_CPG_GL2_RANGE_LT16K_REQ           35
#define     V_037584_GCR_PERF_SEL_CPG_GL2_RANGE_16K_REQ             36
#define     V_037584_GCR_PERF_SEL_CPG_GL2_RANGE_GT16K_REQ           37
#define     V_037584_GCR_PERF_SEL_CPG_GL2_ALL_REQ                   38
#define     V_037584_GCR_PERF_SEL_CPG_GL1_RANGE_REQ                 39
#define     V_037584_GCR_PERF_SEL_CPG_GL1_RANGE_LT16K_REQ           40
#define     V_037584_GCR_PERF_SEL_CPG_GL1_RANGE_16K_REQ             41
#define     V_037584_GCR_PERF_SEL_CPG_GL1_RANGE_GT16K_REQ           42
#define     V_037584_GCR_PERF_SEL_CPG_GL1_ALL_REQ                   43
#define     V_037584_GCR_PERF_SEL_CPG_METADATA_REQ                  44
#define     V_037584_GCR_PERF_SEL_CPG_SQC_DATA_REQ                  45
#define     V_037584_GCR_PERF_SEL_CPG_SQC_INST_REQ                  46
#define     V_037584_GCR_PERF_SEL_CPG_TCP_REQ                       47
#define     V_037584_GCR_PERF_SEL_CPG_TCP_TLB_SHOOTDOWN_REQ         48
#define     V_037584_GCR_PERF_SEL_CPC_ALL_REQ                       49
#define     V_037584_GCR_PERF_SEL_CPC_GL2_RANGE_REQ                 50
#define     V_037584_GCR_PERF_SEL_CPC_GL2_RANGE_LT16K_REQ           51
#define     V_037584_GCR_PERF_SEL_CPC_GL2_RANGE_16K_REQ             52
#define     V_037584_GCR_PERF_SEL_CPC_GL2_RANGE_GT16K_REQ           53
#define     V_037584_GCR_PERF_SEL_CPC_GL2_ALL_REQ                   54
#define     V_037584_GCR_PERF_SEL_CPC_GL1_RANGE_REQ                 55
#define     V_037584_GCR_PERF_SEL_CPC_GL1_RANGE_LT16K_REQ           56
#define     V_037584_GCR_PERF_SEL_CPC_GL1_RANGE_16K_REQ             57
#define     V_037584_GCR_PERF_SEL_CPC_GL1_RANGE_GT16K_REQ           58
#define     V_037584_GCR_PERF_SEL_CPC_GL1_ALL_REQ                   59
#define     V_037584_GCR_PERF_SEL_CPC_METADATA_REQ                  60
#define     V_037584_GCR_PERF_SEL_CPC_SQC_DATA_REQ                  61
#define     V_037584_GCR_PERF_SEL_CPC_SQC_INST_REQ                  62
#define     V_037584_GCR_PERF_SEL_CPC_TCP_REQ                       63
#define     V_037584_GCR_PERF_SEL_CPC_TCP_TLB_SHOOTDOWN_REQ         64
#define     V_037584_GCR_PERF_SEL_CPF_ALL_REQ                       65
#define     V_037584_GCR_PERF_SEL_CPF_GL2_RANGE_REQ                 66
#define     V_037584_GCR_PERF_SEL_CPF_GL2_RANGE_LT16K_REQ           67
#define     V_037584_GCR_PERF_SEL_CPF_GL2_RANGE_16K_REQ             68
#define     V_037584_GCR_PERF_SEL_CPF_GL2_RANGE_GT16K_REQ           69
#define     V_037584_GCR_PERF_SEL_CPF_GL2_ALL_REQ                   70
#define     V_037584_GCR_PERF_SEL_CPF_GL1_RANGE_REQ                 71
#define     V_037584_GCR_PERF_SEL_CPF_GL1_RANGE_LT16K_REQ           72
#define     V_037584_GCR_PERF_SEL_CPF_GL1_RANGE_16K_REQ             73
#define     V_037584_GCR_PERF_SEL_CPF_GL1_RANGE_GT16K_REQ           74
#define     V_037584_GCR_PERF_SEL_CPF_GL1_ALL_REQ                   75
#define     V_037584_GCR_PERF_SEL_CPF_METADATA_REQ                  76
#define     V_037584_GCR_PERF_SEL_CPF_SQC_DATA_REQ                  77
#define     V_037584_GCR_PERF_SEL_CPF_SQC_INST_REQ                  78
#define     V_037584_GCR_PERF_SEL_CPF_TCP_REQ                       79
#define     V_037584_GCR_PERF_SEL_CPF_TCP_TLB_SHOOTDOWN_REQ         80
#define     V_037584_GCR_PERF_SEL_VIRT_REQ                          81
#define     V_037584_GCR_PERF_SEL_PHY_REQ                           82
#define     V_037584_GCR_PERF_SEL_TLB_SHOOTDOWN_HEAVY_REQ           83
#define     V_037584_GCR_PERF_SEL_TLB_SHOOTDOWN_LIGHT_REQ           84
#define     V_037584_GCR_PERF_SEL_ALL_REQ                           85
#define     V_037584_GCR_PERF_SEL_CLK_FOR_PHY_OUTSTANDING_REQ       86
#define     V_037584_GCR_PERF_SEL_CLK_FOR_VIRT_OUTSTANDING_REQ      87
#define     V_037584_GCR_PERF_SEL_CLK_FOR_ALL_OUTSTANDING_REQ       88
#define     V_037584_GCR_PERF_SEL_UTCL2_REQ                         89
#define     V_037584_GCR_PERF_SEL_UTCL2_RET                         90
#define     V_037584_GCR_PERF_SEL_UTCL2_OUT_OF_CREDIT_EVENT         91
#define     V_037584_GCR_PERF_SEL_UTCL2_INFLIGHT_REQ                92
#define     V_037584_GCR_PERF_SEL_UTCL2_FILTERED_RET                93
#define   S_037584_PERF_SEL3(x)                                       (((unsigned)(x) & 0x1FF) << 10)
#define   G_037584_PERF_SEL3(x)                                       (((x) >> 10) & 0x1FF)
#define   C_037584_PERF_SEL3                                          0xFFF803FF
#define   S_037584_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_037584_PERF_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_037584_PERF_MODE3                                         0xF0FFFFFF
#define   S_037584_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_037584_PERF_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_037584_PERF_MODE2                                         0x0FFFFFFF
#define R_037588_GCR_PERFCOUNTER1_SELECT                                0x037588 /* >= gfx10 */
#define   S_037588_PERF_SEL(x)                                        (((unsigned)(x) & 0x1FF) << 0)
#define   G_037588_PERF_SEL(x)                                        (((x) >> 0) & 0x1FF)
#define   C_037588_PERF_SEL                                           0xFFFFFE00
#define     V_037588_GCR_PERF_SEL_NONE                              0
#define     V_037588_GCR_PERF_SEL_SDMA0_ALL_REQ                     1
#define     V_037588_GCR_PERF_SEL_SDMA0_GL2_RANGE_REQ               2
#define     V_037588_GCR_PERF_SEL_SDMA0_GL2_RANGE_LT16K_REQ         3
#define     V_037588_GCR_PERF_SEL_SDMA0_GL2_RANGE_16K_REQ           4
#define     V_037588_GCR_PERF_SEL_SDMA0_GL2_RANGE_GT16K_REQ         5
#define     V_037588_GCR_PERF_SEL_SDMA0_GL2_ALL_REQ                 6
#define     V_037588_GCR_PERF_SEL_SDMA0_GL1_RANGE_REQ               7
#define     V_037588_GCR_PERF_SEL_SDMA0_GL1_RANGE_LT16K_REQ         8
#define     V_037588_GCR_PERF_SEL_SDMA0_GL1_RANGE_16K_REQ           9
#define     V_037588_GCR_PERF_SEL_SDMA0_GL1_RANGE_GT16K_REQ         10
#define     V_037588_GCR_PERF_SEL_SDMA0_GL1_ALL_REQ                 11
#define     V_037588_GCR_PERF_SEL_SDMA0_METADATA_REQ                12
#define     V_037588_GCR_PERF_SEL_SDMA0_SQC_DATA_REQ                13
#define     V_037588_GCR_PERF_SEL_SDMA0_SQC_INST_REQ                14
#define     V_037588_GCR_PERF_SEL_SDMA0_TCP_REQ                     15
#define     V_037588_GCR_PERF_SEL_SDMA0_TCP_TLB_SHOOTDOWN_REQ       16
#define     V_037588_GCR_PERF_SEL_SDMA1_ALL_REQ                     17
#define     V_037588_GCR_PERF_SEL_SDMA1_GL2_RANGE_REQ               18
#define     V_037588_GCR_PERF_SEL_SDMA1_GL2_RANGE_LT16K_REQ         19
#define     V_037588_GCR_PERF_SEL_SDMA1_GL2_RANGE_16K_REQ           20
#define     V_037588_GCR_PERF_SEL_SDMA1_GL2_RANGE_GT16K_REQ         21
#define     V_037588_GCR_PERF_SEL_SDMA1_GL2_ALL_REQ                 22
#define     V_037588_GCR_PERF_SEL_SDMA1_GL1_RANGE_REQ               23
#define     V_037588_GCR_PERF_SEL_SDMA1_GL1_RANGE_LT16K_REQ         24
#define     V_037588_GCR_PERF_SEL_SDMA1_GL1_RANGE_16K_REQ           25
#define     V_037588_GCR_PERF_SEL_SDMA1_GL1_RANGE_GT16K_REQ         26
#define     V_037588_GCR_PERF_SEL_SDMA1_GL1_ALL_REQ                 27
#define     V_037588_GCR_PERF_SEL_SDMA1_METADATA_REQ                28
#define     V_037588_GCR_PERF_SEL_SDMA1_SQC_DATA_REQ                29
#define     V_037588_GCR_PERF_SEL_SDMA1_SQC_INST_REQ                30
#define     V_037588_GCR_PERF_SEL_SDMA1_TCP_REQ                     31
#define     V_037588_GCR_PERF_SEL_SDMA1_TCP_TLB_SHOOTDOWN_REQ       32
#define     V_037588_GCR_PERF_SEL_CPG_ALL_REQ                       33
#define     V_037588_GCR_PERF_SEL_CPG_GL2_RANGE_REQ                 34
#define     V_037588_GCR_PERF_SEL_CPG_GL2_RANGE_LT16K_REQ           35
#define     V_037588_GCR_PERF_SEL_CPG_GL2_RANGE_16K_REQ             36
#define     V_037588_GCR_PERF_SEL_CPG_GL2_RANGE_GT16K_REQ           37
#define     V_037588_GCR_PERF_SEL_CPG_GL2_ALL_REQ                   38
#define     V_037588_GCR_PERF_SEL_CPG_GL1_RANGE_REQ                 39
#define     V_037588_GCR_PERF_SEL_CPG_GL1_RANGE_LT16K_REQ           40
#define     V_037588_GCR_PERF_SEL_CPG_GL1_RANGE_16K_REQ             41
#define     V_037588_GCR_PERF_SEL_CPG_GL1_RANGE_GT16K_REQ           42
#define     V_037588_GCR_PERF_SEL_CPG_GL1_ALL_REQ                   43
#define     V_037588_GCR_PERF_SEL_CPG_METADATA_REQ                  44
#define     V_037588_GCR_PERF_SEL_CPG_SQC_DATA_REQ                  45
#define     V_037588_GCR_PERF_SEL_CPG_SQC_INST_REQ                  46
#define     V_037588_GCR_PERF_SEL_CPG_TCP_REQ                       47
#define     V_037588_GCR_PERF_SEL_CPG_TCP_TLB_SHOOTDOWN_REQ         48
#define     V_037588_GCR_PERF_SEL_CPC_ALL_REQ                       49
#define     V_037588_GCR_PERF_SEL_CPC_GL2_RANGE_REQ                 50
#define     V_037588_GCR_PERF_SEL_CPC_GL2_RANGE_LT16K_REQ           51
#define     V_037588_GCR_PERF_SEL_CPC_GL2_RANGE_16K_REQ             52
#define     V_037588_GCR_PERF_SEL_CPC_GL2_RANGE_GT16K_REQ           53
#define     V_037588_GCR_PERF_SEL_CPC_GL2_ALL_REQ                   54
#define     V_037588_GCR_PERF_SEL_CPC_GL1_RANGE_REQ                 55
#define     V_037588_GCR_PERF_SEL_CPC_GL1_RANGE_LT16K_REQ           56
#define     V_037588_GCR_PERF_SEL_CPC_GL1_RANGE_16K_REQ             57
#define     V_037588_GCR_PERF_SEL_CPC_GL1_RANGE_GT16K_REQ           58
#define     V_037588_GCR_PERF_SEL_CPC_GL1_ALL_REQ                   59
#define     V_037588_GCR_PERF_SEL_CPC_METADATA_REQ                  60
#define     V_037588_GCR_PERF_SEL_CPC_SQC_DATA_REQ                  61
#define     V_037588_GCR_PERF_SEL_CPC_SQC_INST_REQ                  62
#define     V_037588_GCR_PERF_SEL_CPC_TCP_REQ                       63
#define     V_037588_GCR_PERF_SEL_CPC_TCP_TLB_SHOOTDOWN_REQ         64
#define     V_037588_GCR_PERF_SEL_CPF_ALL_REQ                       65
#define     V_037588_GCR_PERF_SEL_CPF_GL2_RANGE_REQ                 66
#define     V_037588_GCR_PERF_SEL_CPF_GL2_RANGE_LT16K_REQ           67
#define     V_037588_GCR_PERF_SEL_CPF_GL2_RANGE_16K_REQ             68
#define     V_037588_GCR_PERF_SEL_CPF_GL2_RANGE_GT16K_REQ           69
#define     V_037588_GCR_PERF_SEL_CPF_GL2_ALL_REQ                   70
#define     V_037588_GCR_PERF_SEL_CPF_GL1_RANGE_REQ                 71
#define     V_037588_GCR_PERF_SEL_CPF_GL1_RANGE_LT16K_REQ           72
#define     V_037588_GCR_PERF_SEL_CPF_GL1_RANGE_16K_REQ             73
#define     V_037588_GCR_PERF_SEL_CPF_GL1_RANGE_GT16K_REQ           74
#define     V_037588_GCR_PERF_SEL_CPF_GL1_ALL_REQ                   75
#define     V_037588_GCR_PERF_SEL_CPF_METADATA_REQ                  76
#define     V_037588_GCR_PERF_SEL_CPF_SQC_DATA_REQ                  77
#define     V_037588_GCR_PERF_SEL_CPF_SQC_INST_REQ                  78
#define     V_037588_GCR_PERF_SEL_CPF_TCP_REQ                       79
#define     V_037588_GCR_PERF_SEL_CPF_TCP_TLB_SHOOTDOWN_REQ         80
#define     V_037588_GCR_PERF_SEL_VIRT_REQ                          81
#define     V_037588_GCR_PERF_SEL_PHY_REQ                           82
#define     V_037588_GCR_PERF_SEL_TLB_SHOOTDOWN_HEAVY_REQ           83
#define     V_037588_GCR_PERF_SEL_TLB_SHOOTDOWN_LIGHT_REQ           84
#define     V_037588_GCR_PERF_SEL_ALL_REQ                           85
#define     V_037588_GCR_PERF_SEL_CLK_FOR_PHY_OUTSTANDING_REQ       86
#define     V_037588_GCR_PERF_SEL_CLK_FOR_VIRT_OUTSTANDING_REQ      87
#define     V_037588_GCR_PERF_SEL_CLK_FOR_ALL_OUTSTANDING_REQ       88
#define     V_037588_GCR_PERF_SEL_UTCL2_REQ                         89
#define     V_037588_GCR_PERF_SEL_UTCL2_RET                         90
#define     V_037588_GCR_PERF_SEL_UTCL2_OUT_OF_CREDIT_EVENT         91
#define     V_037588_GCR_PERF_SEL_UTCL2_INFLIGHT_REQ                92
#define     V_037588_GCR_PERF_SEL_UTCL2_FILTERED_RET                93
#define   S_037588_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 24)
#define   G_037588_PERF_MODE(x)                                       (((x) >> 24) & 0xF)
#define   C_037588_PERF_MODE                                          0xF0FFFFFF
#define   S_037588_CNTL_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_037588_CNTL_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_037588_CNTL_MODE                                          0x0FFFFFFF
#define R_03758C_UTCL1_PERFCOUNTER0_SELECT                              0x03758C /* >= gfx10 */
#define   S_03758C_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_03758C_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_03758C_PERF_SEL                                           0xFFFFFC00
#define     V_03758C_UTCL1_PERF_SEL_NONE                            0
#define     V_03758C_UTCL1_PERF_SEL_REQS                            1
#define     V_03758C_UTCL1_PERF_SEL_HITS                            2
#define     V_03758C_UTCL1_PERF_SEL_MISSES                          3
#define     V_03758C_UTCL1_PERF_SEL_BYPASS_REQS                     4
#define     V_03758C_UTCL1_PERF_SEL_HIT_INV_FILTER_REQS             5
#define     V_03758C_UTCL1_PERF_SEL_NUM_SMALLK_PAGES                6
#define     V_03758C_UTCL1_PERF_SEL_NUM_BIGK_PAGES                  7
#define     V_03758C_UTCL1_PERF_SEL_TOTAL_UTCL2_REQS                8
#define     V_03758C_UTCL1_PERF_SEL_OUTSTANDING_UTCL2_REQS_ACCUM    9
#define     V_03758C_UTCL1_PERF_SEL_STALL_ON_UTCL2_CREDITS          10
#define     V_03758C_UTCL1_PERF_SEL_STALL_MH_OFIFO_FULL             11
#define     V_03758C_UTCL1_PERF_SEL_STALL_MH_CAM_FULL               12
#define     V_03758C_UTCL1_PERF_SEL_NONRANGE_INV_REQS               13
#define     V_03758C_UTCL1_PERF_SEL_RANGE_INV_REQS                  14
#define   S_03758C_COUNTER_MODE(x)                                    (((unsigned)(x) & 0xF) << 28)
#define   G_03758C_COUNTER_MODE(x)                                    (((x) >> 28) & 0xF)
#define   C_03758C_COUNTER_MODE                                       0x0FFFFFFF
#define R_037590_UTCL1_PERFCOUNTER1_SELECT                              0x037590 /* >= gfx10 */
#define R_037600_PA_PH_PERFCOUNTER0_SELECT                              0x037600 /* >= gfx10 */
#define   S_037600_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_037600_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_037600_PERF_SEL                                           0xFFFFFC00
#define     V_037600_PH_SC0_SRPS_WINDOW_VALID                       0
#define     V_037600_PH_SC0_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        1
#define     V_037600_PH_SC0_ARB_XFC_ONLY_PRIM_CYCLES                2
#define     V_037600_PH_SC0_ARB_XFC_ONLY_ONE_INC_PER_PRIM           3
#define     V_037600_PH_SC0_ARB_STALLED_FROM_BELOW                  4
#define     V_037600_PH_SC0_ARB_STARVED_FROM_ABOVE                  5
#define     V_037600_PH_SC0_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 6
#define     V_037600_PH_SC0_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 7
#define     V_037600_PH_SC0_ARB_BUSY                                8
#define     V_037600_PH_SC0_ARB_PA_BUSY_SOP                         9
#define     V_037600_PH_SC0_ARB_EOP_POP_SYNC_POP                    10
#define     V_037600_PH_SC0_ARB_EVENT_SYNC_POP                      11
#define     V_037600_PH_SC0_PS_ENG_MULTICYCLE_BUBBLE                12
#define     V_037600_PH_SC0_EOP_SYNC_WINDOW                         13
#define     V_037600_PH_SC0_BUSY_PROCESSING_MULTICYCLE_PRIM         14
#define     V_037600_PH_SC0_BUSY_CNT_NOT_ZERO                       15
#define     V_037600_PH_SC0_SEND                                    16
#define     V_037600_PH_SC0_CREDIT_AT_ZERO_WITH_PENDING_SEND        17
#define     V_037600_PH_SC0_CREDIT_AT_MAX                           18
#define     V_037600_PH_SC0_CREDIT_AT_MAX_NO_PENDING_SEND           19
#define     V_037600_PH_SC0_GFX_PIPE_EVENT_PROVOKED_TRANSITION      20
#define     V_037600_PH_SC0_GFX_PIPE_PRIM_PROVOKED_TRANSITION       21
#define     V_037600_PH_SC0_GFX_PIPE0_TO_1_TRANSITION               22
#define     V_037600_PH_SC0_GFX_PIPE1_TO_0_TRANSITION               23
#define     V_037600_PH_SC0_PA0_DATA_FIFO_RD                        24
#define     V_037600_PH_SC0_PA0_DATA_FIFO_WE                        25
#define     V_037600_PH_SC0_PA0_FIFO_EMPTY                          26
#define     V_037600_PH_SC0_PA0_FIFO_FULL                           27
#define     V_037600_PH_SC0_PA0_NULL_WE                             28
#define     V_037600_PH_SC0_PA0_EVENT_WE                            29
#define     V_037600_PH_SC0_PA0_FPOV_WE                             30
#define     V_037600_PH_SC0_PA0_LPOV_WE                             31
#define     V_037600_PH_SC0_PA0_EOP_WE                              32
#define     V_037600_PH_SC0_PA0_DATA_FIFO_EOP_RD                    33
#define     V_037600_PH_SC0_PA0_EOPG_WE                             34
#define     V_037600_PH_SC0_PA0_DEALLOC_4_0_RD                      35
#define     V_037600_PH_SC0_PA1_DATA_FIFO_RD                        36
#define     V_037600_PH_SC0_PA1_DATA_FIFO_WE                        37
#define     V_037600_PH_SC0_PA1_FIFO_EMPTY                          38
#define     V_037600_PH_SC0_PA1_FIFO_FULL                           39
#define     V_037600_PH_SC0_PA1_NULL_WE                             40
#define     V_037600_PH_SC0_PA1_EVENT_WE                            41
#define     V_037600_PH_SC0_PA1_FPOV_WE                             42
#define     V_037600_PH_SC0_PA1_LPOV_WE                             43
#define     V_037600_PH_SC0_PA1_EOP_WE                              44
#define     V_037600_PH_SC0_PA1_DATA_FIFO_EOP_RD                    45
#define     V_037600_PH_SC0_PA1_EOPG_WE                             46
#define     V_037600_PH_SC0_PA1_DEALLOC_4_0_RD                      47
#define     V_037600_PH_SC0_PA2_DATA_FIFO_RD                        48
#define     V_037600_PH_SC0_PA2_DATA_FIFO_WE                        49
#define     V_037600_PH_SC0_PA2_FIFO_EMPTY                          50
#define     V_037600_PH_SC0_PA2_FIFO_FULL                           51
#define     V_037600_PH_SC0_PA2_NULL_WE                             52
#define     V_037600_PH_SC0_PA2_EVENT_WE                            53
#define     V_037600_PH_SC0_PA2_FPOV_WE                             54
#define     V_037600_PH_SC0_PA2_LPOV_WE                             55
#define     V_037600_PH_SC0_PA2_EOP_WE                              56
#define     V_037600_PH_SC0_PA2_DATA_FIFO_EOP_RD                    57
#define     V_037600_PH_SC0_PA2_EOPG_WE                             58
#define     V_037600_PH_SC0_PA2_DEALLOC_4_0_RD                      59
#define     V_037600_PH_SC0_PA3_DATA_FIFO_RD                        60
#define     V_037600_PH_SC0_PA3_DATA_FIFO_WE                        61
#define     V_037600_PH_SC0_PA3_FIFO_EMPTY                          62
#define     V_037600_PH_SC0_PA3_FIFO_FULL                           63
#define     V_037600_PH_SC0_PA3_NULL_WE                             64
#define     V_037600_PH_SC0_PA3_EVENT_WE                            65
#define     V_037600_PH_SC0_PA3_FPOV_WE                             66
#define     V_037600_PH_SC0_PA3_LPOV_WE                             67
#define     V_037600_PH_SC0_PA3_EOP_WE                              68
#define     V_037600_PH_SC0_PA3_DATA_FIFO_EOP_RD                    69
#define     V_037600_PH_SC0_PA3_EOPG_WE                             70
#define     V_037600_PH_SC0_PA3_DEALLOC_4_0_RD                      71
#define     V_037600_PH_SC0_PA4_DATA_FIFO_RD                        72
#define     V_037600_PH_SC0_PA4_DATA_FIFO_WE                        73
#define     V_037600_PH_SC0_PA4_FIFO_EMPTY                          74
#define     V_037600_PH_SC0_PA4_FIFO_FULL                           75
#define     V_037600_PH_SC0_PA4_NULL_WE                             76
#define     V_037600_PH_SC0_PA4_EVENT_WE                            77
#define     V_037600_PH_SC0_PA4_FPOV_WE                             78
#define     V_037600_PH_SC0_PA4_LPOV_WE                             79
#define     V_037600_PH_SC0_PA4_EOP_WE                              80
#define     V_037600_PH_SC0_PA4_DATA_FIFO_EOP_RD                    81
#define     V_037600_PH_SC0_PA4_EOPG_WE                             82
#define     V_037600_PH_SC0_PA4_DEALLOC_4_0_RD                      83
#define     V_037600_PH_SC0_PA5_DATA_FIFO_RD                        84
#define     V_037600_PH_SC0_PA5_DATA_FIFO_WE                        85
#define     V_037600_PH_SC0_PA5_FIFO_EMPTY                          86
#define     V_037600_PH_SC0_PA5_FIFO_FULL                           87
#define     V_037600_PH_SC0_PA5_NULL_WE                             88
#define     V_037600_PH_SC0_PA5_EVENT_WE                            89
#define     V_037600_PH_SC0_PA5_FPOV_WE                             90
#define     V_037600_PH_SC0_PA5_LPOV_WE                             91
#define     V_037600_PH_SC0_PA5_EOP_WE                              92
#define     V_037600_PH_SC0_PA5_DATA_FIFO_EOP_RD                    93
#define     V_037600_PH_SC0_PA5_EOPG_WE                             94
#define     V_037600_PH_SC0_PA5_DEALLOC_4_0_RD                      95
#define     V_037600_PH_SC0_PA6_DATA_FIFO_RD                        96
#define     V_037600_PH_SC0_PA6_DATA_FIFO_WE                        97
#define     V_037600_PH_SC0_PA6_FIFO_EMPTY                          98
#define     V_037600_PH_SC0_PA6_FIFO_FULL                           99
#define     V_037600_PH_SC0_PA6_NULL_WE                             100
#define     V_037600_PH_SC0_PA6_EVENT_WE                            101
#define     V_037600_PH_SC0_PA6_FPOV_WE                             102
#define     V_037600_PH_SC0_PA6_LPOV_WE                             103
#define     V_037600_PH_SC0_PA6_EOP_WE                              104
#define     V_037600_PH_SC0_PA6_DATA_FIFO_EOP_RD                    105
#define     V_037600_PH_SC0_PA6_EOPG_WE                             106
#define     V_037600_PH_SC0_PA6_DEALLOC_4_0_RD                      107
#define     V_037600_PH_SC0_PA7_DATA_FIFO_RD                        108
#define     V_037600_PH_SC0_PA7_DATA_FIFO_WE                        109
#define     V_037600_PH_SC0_PA7_FIFO_EMPTY                          110
#define     V_037600_PH_SC0_PA7_FIFO_FULL                           111
#define     V_037600_PH_SC0_PA7_NULL_WE                             112
#define     V_037600_PH_SC0_PA7_EVENT_WE                            113
#define     V_037600_PH_SC0_PA7_FPOV_WE                             114
#define     V_037600_PH_SC0_PA7_LPOV_WE                             115
#define     V_037600_PH_SC0_PA7_EOP_WE                              116
#define     V_037600_PH_SC0_PA7_DATA_FIFO_EOP_RD                    117
#define     V_037600_PH_SC0_PA7_EOPG_WE                             118
#define     V_037600_PH_SC0_PA7_DEALLOC_4_0_RD                      119
#define     V_037600_PH_SC1_SRPS_WINDOW_VALID                       120
#define     V_037600_PH_SC1_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        121
#define     V_037600_PH_SC1_ARB_XFC_ONLY_PRIM_CYCLES                122
#define     V_037600_PH_SC1_ARB_XFC_ONLY_ONE_INC_PER_PRIM           123
#define     V_037600_PH_SC1_ARB_STALLED_FROM_BELOW                  124
#define     V_037600_PH_SC1_ARB_STARVED_FROM_ABOVE                  125
#define     V_037600_PH_SC1_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 126
#define     V_037600_PH_SC1_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 127
#define     V_037600_PH_SC1_ARB_BUSY                                128
#define     V_037600_PH_SC1_ARB_PA_BUSY_SOP                         129
#define     V_037600_PH_SC1_ARB_EOP_POP_SYNC_POP                    130
#define     V_037600_PH_SC1_ARB_EVENT_SYNC_POP                      131
#define     V_037600_PH_SC1_PS_ENG_MULTICYCLE_BUBBLE                132
#define     V_037600_PH_SC1_EOP_SYNC_WINDOW                         133
#define     V_037600_PH_SC1_BUSY_PROCESSING_MULTICYCLE_PRIM         134
#define     V_037600_PH_SC1_BUSY_CNT_NOT_ZERO                       135
#define     V_037600_PH_SC1_SEND                                    136
#define     V_037600_PH_SC1_CREDIT_AT_ZERO_WITH_PENDING_SEND        137
#define     V_037600_PH_SC1_CREDIT_AT_MAX                           138
#define     V_037600_PH_SC1_CREDIT_AT_MAX_NO_PENDING_SEND           139
#define     V_037600_PH_SC1_GFX_PIPE_EVENT_PROVOKED_TRANSITION      140
#define     V_037600_PH_SC1_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   141
#define     V_037600_PH_SC1_GFX_PIPE0_TO_1_TRANSITION               142
#define     V_037600_PH_SC1_GFX_PIPE1_TO_0_TRANSITION               143
#define     V_037600_PH_SC1_PA0_DATA_FIFO_RD                        144
#define     V_037600_PH_SC1_PA0_DATA_FIFO_WE                        145
#define     V_037600_PH_SC1_PA0_FIFO_EMPTY                          146
#define     V_037600_PH_SC1_PA0_FIFO_FULL                           147
#define     V_037600_PH_SC1_PA0_NULL_WE                             148
#define     V_037600_PH_SC1_PA0_EVENT_WE                            149
#define     V_037600_PH_SC1_PA0_FPOV_WE                             150
#define     V_037600_PH_SC1_PA0_LPOV_WE                             151
#define     V_037600_PH_SC1_PA0_EOP_WE                              152
#define     V_037600_PH_SC1_PA0_DATA_FIFO_EOP_RD                    153
#define     V_037600_PH_SC1_PA0_EOPG_WE                             154
#define     V_037600_PH_SC1_PA0_DEALLOC_4_0_RD                      155
#define     V_037600_PH_SC1_PA1_DATA_FIFO_RD                        156
#define     V_037600_PH_SC1_PA1_DATA_FIFO_WE                        157
#define     V_037600_PH_SC1_PA1_FIFO_EMPTY                          158
#define     V_037600_PH_SC1_PA1_FIFO_FULL                           159
#define     V_037600_PH_SC1_PA1_NULL_WE                             160
#define     V_037600_PH_SC1_PA1_EVENT_WE                            161
#define     V_037600_PH_SC1_PA1_FPOV_WE                             162
#define     V_037600_PH_SC1_PA1_LPOV_WE                             163
#define     V_037600_PH_SC1_PA1_EOP_WE                              164
#define     V_037600_PH_SC1_PA1_DATA_FIFO_EOP_RD                    165
#define     V_037600_PH_SC1_PA1_EOPG_WE                             166
#define     V_037600_PH_SC1_PA1_DEALLOC_4_0_RD                      167
#define     V_037600_PH_SC1_PA2_DATA_FIFO_RD                        168
#define     V_037600_PH_SC1_PA2_DATA_FIFO_WE                        169
#define     V_037600_PH_SC1_PA2_FIFO_EMPTY                          170
#define     V_037600_PH_SC1_PA2_FIFO_FULL                           171
#define     V_037600_PH_SC1_PA2_NULL_WE                             172
#define     V_037600_PH_SC1_PA2_EVENT_WE                            173
#define     V_037600_PH_SC1_PA2_FPOV_WE                             174
#define     V_037600_PH_SC1_PA2_LPOV_WE                             175
#define     V_037600_PH_SC1_PA2_EOP_WE                              176
#define     V_037600_PH_SC1_PA2_DATA_FIFO_EOP_RD                    177
#define     V_037600_PH_SC1_PA2_EOPG_WE                             178
#define     V_037600_PH_SC1_PA2_DEALLOC_4_0_RD                      179
#define     V_037600_PH_SC1_PA3_DATA_FIFO_RD                        180
#define     V_037600_PH_SC1_PA3_DATA_FIFO_WE                        181
#define     V_037600_PH_SC1_PA3_FIFO_EMPTY                          182
#define     V_037600_PH_SC1_PA3_FIFO_FULL                           183
#define     V_037600_PH_SC1_PA3_NULL_WE                             184
#define     V_037600_PH_SC1_PA3_EVENT_WE                            185
#define     V_037600_PH_SC1_PA3_FPOV_WE                             186
#define     V_037600_PH_SC1_PA3_LPOV_WE                             187
#define     V_037600_PH_SC1_PA3_EOP_WE                              188
#define     V_037600_PH_SC1_PA3_DATA_FIFO_EOP_RD                    189
#define     V_037600_PH_SC1_PA3_EOPG_WE                             190
#define     V_037600_PH_SC1_PA3_DEALLOC_4_0_RD                      191
#define     V_037600_PH_SC1_PA4_DATA_FIFO_RD                        192
#define     V_037600_PH_SC1_PA4_DATA_FIFO_WE                        193
#define     V_037600_PH_SC1_PA4_FIFO_EMPTY                          194
#define     V_037600_PH_SC1_PA4_FIFO_FULL                           195
#define     V_037600_PH_SC1_PA4_NULL_WE                             196
#define     V_037600_PH_SC1_PA4_EVENT_WE                            197
#define     V_037600_PH_SC1_PA4_FPOV_WE                             198
#define     V_037600_PH_SC1_PA4_LPOV_WE                             199
#define     V_037600_PH_SC1_PA4_EOP_WE                              200
#define     V_037600_PH_SC1_PA4_DATA_FIFO_EOP_RD                    201
#define     V_037600_PH_SC1_PA4_EOPG_WE                             202
#define     V_037600_PH_SC1_PA4_DEALLOC_4_0_RD                      203
#define     V_037600_PH_SC1_PA5_DATA_FIFO_RD                        204
#define     V_037600_PH_SC1_PA5_DATA_FIFO_WE                        205
#define     V_037600_PH_SC1_PA5_FIFO_EMPTY                          206
#define     V_037600_PH_SC1_PA5_FIFO_FULL                           207
#define     V_037600_PH_SC1_PA5_NULL_WE                             208
#define     V_037600_PH_SC1_PA5_EVENT_WE                            209
#define     V_037600_PH_SC1_PA5_FPOV_WE                             210
#define     V_037600_PH_SC1_PA5_LPOV_WE                             211
#define     V_037600_PH_SC1_PA5_EOP_WE                              212
#define     V_037600_PH_SC1_PA5_DATA_FIFO_EOP_RD                    213
#define     V_037600_PH_SC1_PA5_EOPG_WE                             214
#define     V_037600_PH_SC1_PA5_DEALLOC_4_0_RD                      215
#define     V_037600_PH_SC1_PA6_DATA_FIFO_RD                        216
#define     V_037600_PH_SC1_PA6_DATA_FIFO_WE                        217
#define     V_037600_PH_SC1_PA6_FIFO_EMPTY                          218
#define     V_037600_PH_SC1_PA6_FIFO_FULL                           219
#define     V_037600_PH_SC1_PA6_NULL_WE                             220
#define     V_037600_PH_SC1_PA6_EVENT_WE                            221
#define     V_037600_PH_SC1_PA6_FPOV_WE                             222
#define     V_037600_PH_SC1_PA6_LPOV_WE                             223
#define     V_037600_PH_SC1_PA6_EOP_WE                              224
#define     V_037600_PH_SC1_PA6_DATA_FIFO_EOP_RD                    225
#define     V_037600_PH_SC1_PA6_EOPG_WE                             226
#define     V_037600_PH_SC1_PA6_DEALLOC_4_0_RD                      227
#define     V_037600_PH_SC1_PA7_DATA_FIFO_RD                        228
#define     V_037600_PH_SC1_PA7_DATA_FIFO_WE                        229
#define     V_037600_PH_SC1_PA7_FIFO_EMPTY                          230
#define     V_037600_PH_SC1_PA7_FIFO_FULL                           231
#define     V_037600_PH_SC1_PA7_NULL_WE                             232
#define     V_037600_PH_SC1_PA7_EVENT_WE                            233
#define     V_037600_PH_SC1_PA7_FPOV_WE                             234
#define     V_037600_PH_SC1_PA7_LPOV_WE                             235
#define     V_037600_PH_SC1_PA7_EOP_WE                              236
#define     V_037600_PH_SC1_PA7_DATA_FIFO_EOP_RD                    237
#define     V_037600_PH_SC1_PA7_EOPG_WE                             238
#define     V_037600_PH_SC1_PA7_DEALLOC_4_0_RD                      239
#define     V_037600_PH_SC2_SRPS_WINDOW_VALID                       240
#define     V_037600_PH_SC2_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        241
#define     V_037600_PH_SC2_ARB_XFC_ONLY_PRIM_CYCLES                242
#define     V_037600_PH_SC2_ARB_XFC_ONLY_ONE_INC_PER_PRIM           243
#define     V_037600_PH_SC2_ARB_STALLED_FROM_BELOW                  244
#define     V_037600_PH_SC2_ARB_STARVED_FROM_ABOVE                  245
#define     V_037600_PH_SC2_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 246
#define     V_037600_PH_SC2_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 247
#define     V_037600_PH_SC2_ARB_BUSY                                248
#define     V_037600_PH_SC2_ARB_PA_BUSY_SOP                         249
#define     V_037600_PH_SC2_ARB_EOP_POP_SYNC_POP                    250
#define     V_037600_PH_SC2_ARB_EVENT_SYNC_POP                      251
#define     V_037600_PH_SC2_PS_ENG_MULTICYCLE_BUBBLE                252
#define     V_037600_PH_SC2_EOP_SYNC_WINDOW                         253
#define     V_037600_PH_SC2_BUSY_PROCESSING_MULTICYCLE_PRIM         254
#define     V_037600_PH_SC2_BUSY_CNT_NOT_ZERO                       255
#define     V_037600_PH_SC2_SEND                                    256
#define     V_037600_PH_SC2_CREDIT_AT_ZERO_WITH_PENDING_SEND        257
#define     V_037600_PH_SC2_CREDIT_AT_MAX                           258
#define     V_037600_PH_SC2_CREDIT_AT_MAX_NO_PENDING_SEND           259
#define     V_037600_PH_SC2_GFX_PIPE_EVENT_PROVOKED_TRANSITION      260
#define     V_037600_PH_SC2_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   261
#define     V_037600_PH_SC2_GFX_PIPE0_TO_1_TRANSITION               262
#define     V_037600_PH_SC2_GFX_PIPE1_TO_0_TRANSITION               263
#define     V_037600_PH_SC2_PA0_DATA_FIFO_RD                        264
#define     V_037600_PH_SC2_PA0_DATA_FIFO_WE                        265
#define     V_037600_PH_SC2_PA0_FIFO_EMPTY                          266
#define     V_037600_PH_SC2_PA0_FIFO_FULL                           267
#define     V_037600_PH_SC2_PA0_NULL_WE                             268
#define     V_037600_PH_SC2_PA0_EVENT_WE                            269
#define     V_037600_PH_SC2_PA0_FPOV_WE                             270
#define     V_037600_PH_SC2_PA0_LPOV_WE                             271
#define     V_037600_PH_SC2_PA0_EOP_WE                              272
#define     V_037600_PH_SC2_PA0_DATA_FIFO_EOP_RD                    273
#define     V_037600_PH_SC2_PA0_EOPG_WE                             274
#define     V_037600_PH_SC2_PA0_DEALLOC_4_0_RD                      275
#define     V_037600_PH_SC2_PA1_DATA_FIFO_RD                        276
#define     V_037600_PH_SC2_PA1_DATA_FIFO_WE                        277
#define     V_037600_PH_SC2_PA1_FIFO_EMPTY                          278
#define     V_037600_PH_SC2_PA1_FIFO_FULL                           279
#define     V_037600_PH_SC2_PA1_NULL_WE                             280
#define     V_037600_PH_SC2_PA1_EVENT_WE                            281
#define     V_037600_PH_SC2_PA1_FPOV_WE                             282
#define     V_037600_PH_SC2_PA1_LPOV_WE                             283
#define     V_037600_PH_SC2_PA1_EOP_WE                              284
#define     V_037600_PH_SC2_PA1_DATA_FIFO_EOP_RD                    285
#define     V_037600_PH_SC2_PA1_EOPG_WE                             286
#define     V_037600_PH_SC2_PA1_DEALLOC_4_0_RD                      287
#define     V_037600_PH_SC2_PA2_DATA_FIFO_RD                        288
#define     V_037600_PH_SC2_PA2_DATA_FIFO_WE                        289
#define     V_037600_PH_SC2_PA2_FIFO_EMPTY                          290
#define     V_037600_PH_SC2_PA2_FIFO_FULL                           291
#define     V_037600_PH_SC2_PA2_NULL_WE                             292
#define     V_037600_PH_SC2_PA2_EVENT_WE                            293
#define     V_037600_PH_SC2_PA2_FPOV_WE                             294
#define     V_037600_PH_SC2_PA2_LPOV_WE                             295
#define     V_037600_PH_SC2_PA2_EOP_WE                              296
#define     V_037600_PH_SC2_PA2_DATA_FIFO_EOP_RD                    297
#define     V_037600_PH_SC2_PA2_EOPG_WE                             298
#define     V_037600_PH_SC2_PA2_DEALLOC_4_0_RD                      299
#define     V_037600_PH_SC2_PA3_DATA_FIFO_RD                        300
#define     V_037600_PH_SC2_PA3_DATA_FIFO_WE                        301
#define     V_037600_PH_SC2_PA3_FIFO_EMPTY                          302
#define     V_037600_PH_SC2_PA3_FIFO_FULL                           303
#define     V_037600_PH_SC2_PA3_NULL_WE                             304
#define     V_037600_PH_SC2_PA3_EVENT_WE                            305
#define     V_037600_PH_SC2_PA3_FPOV_WE                             306
#define     V_037600_PH_SC2_PA3_LPOV_WE                             307
#define     V_037600_PH_SC2_PA3_EOP_WE                              308
#define     V_037600_PH_SC2_PA3_DATA_FIFO_EOP_RD                    309
#define     V_037600_PH_SC2_PA3_EOPG_WE                             310
#define     V_037600_PH_SC2_PA3_DEALLOC_4_0_RD                      311
#define     V_037600_PH_SC2_PA4_DATA_FIFO_RD                        312
#define     V_037600_PH_SC2_PA4_DATA_FIFO_WE                        313
#define     V_037600_PH_SC2_PA4_FIFO_EMPTY                          314
#define     V_037600_PH_SC2_PA4_FIFO_FULL                           315
#define     V_037600_PH_SC2_PA4_NULL_WE                             316
#define     V_037600_PH_SC2_PA4_EVENT_WE                            317
#define     V_037600_PH_SC2_PA4_FPOV_WE                             318
#define     V_037600_PH_SC2_PA4_LPOV_WE                             319
#define     V_037600_PH_SC2_PA4_EOP_WE                              320
#define     V_037600_PH_SC2_PA4_DATA_FIFO_EOP_RD                    321
#define     V_037600_PH_SC2_PA4_EOPG_WE                             322
#define     V_037600_PH_SC2_PA4_DEALLOC_4_0_RD                      323
#define     V_037600_PH_SC2_PA5_DATA_FIFO_RD                        324
#define     V_037600_PH_SC2_PA5_DATA_FIFO_WE                        325
#define     V_037600_PH_SC2_PA5_FIFO_EMPTY                          326
#define     V_037600_PH_SC2_PA5_FIFO_FULL                           327
#define     V_037600_PH_SC2_PA5_NULL_WE                             328
#define     V_037600_PH_SC2_PA5_EVENT_WE                            329
#define     V_037600_PH_SC2_PA5_FPOV_WE                             330
#define     V_037600_PH_SC2_PA5_LPOV_WE                             331
#define     V_037600_PH_SC2_PA5_EOP_WE                              332
#define     V_037600_PH_SC2_PA5_DATA_FIFO_EOP_RD                    333
#define     V_037600_PH_SC2_PA5_EOPG_WE                             334
#define     V_037600_PH_SC2_PA5_DEALLOC_4_0_RD                      335
#define     V_037600_PH_SC2_PA6_DATA_FIFO_RD                        336
#define     V_037600_PH_SC2_PA6_DATA_FIFO_WE                        337
#define     V_037600_PH_SC2_PA6_FIFO_EMPTY                          338
#define     V_037600_PH_SC2_PA6_FIFO_FULL                           339
#define     V_037600_PH_SC2_PA6_NULL_WE                             340
#define     V_037600_PH_SC2_PA6_EVENT_WE                            341
#define     V_037600_PH_SC2_PA6_FPOV_WE                             342
#define     V_037600_PH_SC2_PA6_LPOV_WE                             343
#define     V_037600_PH_SC2_PA6_EOP_WE                              344
#define     V_037600_PH_SC2_PA6_DATA_FIFO_EOP_RD                    345
#define     V_037600_PH_SC2_PA6_EOPG_WE                             346
#define     V_037600_PH_SC2_PA6_DEALLOC_4_0_RD                      347
#define     V_037600_PH_SC2_PA7_DATA_FIFO_RD                        348
#define     V_037600_PH_SC2_PA7_DATA_FIFO_WE                        349
#define     V_037600_PH_SC2_PA7_FIFO_EMPTY                          350
#define     V_037600_PH_SC2_PA7_FIFO_FULL                           351
#define     V_037600_PH_SC2_PA7_NULL_WE                             352
#define     V_037600_PH_SC2_PA7_EVENT_WE                            353
#define     V_037600_PH_SC2_PA7_FPOV_WE                             354
#define     V_037600_PH_SC2_PA7_LPOV_WE                             355
#define     V_037600_PH_SC2_PA7_EOP_WE                              356
#define     V_037600_PH_SC2_PA7_DATA_FIFO_EOP_RD                    357
#define     V_037600_PH_SC2_PA7_EOPG_WE                             358
#define     V_037600_PH_SC2_PA7_DEALLOC_4_0_RD                      359
#define     V_037600_PH_SC3_SRPS_WINDOW_VALID                       360
#define     V_037600_PH_SC3_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        361
#define     V_037600_PH_SC3_ARB_XFC_ONLY_PRIM_CYCLES                362
#define     V_037600_PH_SC3_ARB_XFC_ONLY_ONE_INC_PER_PRIM           363
#define     V_037600_PH_SC3_ARB_STALLED_FROM_BELOW                  364
#define     V_037600_PH_SC3_ARB_STARVED_FROM_ABOVE                  365
#define     V_037600_PH_SC3_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 366
#define     V_037600_PH_SC3_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 367
#define     V_037600_PH_SC3_ARB_BUSY                                368
#define     V_037600_PH_SC3_ARB_PA_BUSY_SOP                         369
#define     V_037600_PH_SC3_ARB_EOP_POP_SYNC_POP                    370
#define     V_037600_PH_SC3_ARB_EVENT_SYNC_POP                      371
#define     V_037600_PH_SC3_PS_ENG_MULTICYCLE_BUBBLE                372
#define     V_037600_PH_SC3_EOP_SYNC_WINDOW                         373
#define     V_037600_PH_SC3_BUSY_PROCESSING_MULTICYCLE_PRIM         374
#define     V_037600_PH_SC3_BUSY_CNT_NOT_ZERO                       375
#define     V_037600_PH_SC3_SEND                                    376
#define     V_037600_PH_SC3_CREDIT_AT_ZERO_WITH_PENDING_SEND        377
#define     V_037600_PH_SC3_CREDIT_AT_MAX                           378
#define     V_037600_PH_SC3_CREDIT_AT_MAX_NO_PENDING_SEND           379
#define     V_037600_PH_SC3_GFX_PIPE_EVENT_PROVOKED_TRANSITION      380
#define     V_037600_PH_SC3_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   381
#define     V_037600_PH_SC3_GFX_PIPE0_TO_1_TRANSITION               382
#define     V_037600_PH_SC3_GFX_PIPE1_TO_0_TRANSITION               383
#define     V_037600_PH_SC3_PA0_DATA_FIFO_RD                        384
#define     V_037600_PH_SC3_PA0_DATA_FIFO_WE                        385
#define     V_037600_PH_SC3_PA0_FIFO_EMPTY                          386
#define     V_037600_PH_SC3_PA0_FIFO_FULL                           387
#define     V_037600_PH_SC3_PA0_NULL_WE                             388
#define     V_037600_PH_SC3_PA0_EVENT_WE                            389
#define     V_037600_PH_SC3_PA0_FPOV_WE                             390
#define     V_037600_PH_SC3_PA0_LPOV_WE                             391
#define     V_037600_PH_SC3_PA0_EOP_WE                              392
#define     V_037600_PH_SC3_PA0_DATA_FIFO_EOP_RD                    393
#define     V_037600_PH_SC3_PA0_EOPG_WE                             394
#define     V_037600_PH_SC3_PA0_DEALLOC_4_0_RD                      395
#define     V_037600_PH_SC3_PA1_DATA_FIFO_RD                        396
#define     V_037600_PH_SC3_PA1_DATA_FIFO_WE                        397
#define     V_037600_PH_SC3_PA1_FIFO_EMPTY                          398
#define     V_037600_PH_SC3_PA1_FIFO_FULL                           399
#define     V_037600_PH_SC3_PA1_NULL_WE                             400
#define     V_037600_PH_SC3_PA1_EVENT_WE                            401
#define     V_037600_PH_SC3_PA1_FPOV_WE                             402
#define     V_037600_PH_SC3_PA1_LPOV_WE                             403
#define     V_037600_PH_SC3_PA1_EOP_WE                              404
#define     V_037600_PH_SC3_PA1_DATA_FIFO_EOP_RD                    405
#define     V_037600_PH_SC3_PA1_EOPG_WE                             406
#define     V_037600_PH_SC3_PA1_DEALLOC_4_0_RD                      407
#define     V_037600_PH_SC3_PA2_DATA_FIFO_RD                        408
#define     V_037600_PH_SC3_PA2_DATA_FIFO_WE                        409
#define     V_037600_PH_SC3_PA2_FIFO_EMPTY                          410
#define     V_037600_PH_SC3_PA2_FIFO_FULL                           411
#define     V_037600_PH_SC3_PA2_NULL_WE                             412
#define     V_037600_PH_SC3_PA2_EVENT_WE                            413
#define     V_037600_PH_SC3_PA2_FPOV_WE                             414
#define     V_037600_PH_SC3_PA2_LPOV_WE                             415
#define     V_037600_PH_SC3_PA2_EOP_WE                              416
#define     V_037600_PH_SC3_PA2_DATA_FIFO_EOP_RD                    417
#define     V_037600_PH_SC3_PA2_EOPG_WE                             418
#define     V_037600_PH_SC3_PA2_DEALLOC_4_0_RD                      419
#define     V_037600_PH_SC3_PA3_DATA_FIFO_RD                        420
#define     V_037600_PH_SC3_PA3_DATA_FIFO_WE                        421
#define     V_037600_PH_SC3_PA3_FIFO_EMPTY                          422
#define     V_037600_PH_SC3_PA3_FIFO_FULL                           423
#define     V_037600_PH_SC3_PA3_NULL_WE                             424
#define     V_037600_PH_SC3_PA3_EVENT_WE                            425
#define     V_037600_PH_SC3_PA3_FPOV_WE                             426
#define     V_037600_PH_SC3_PA3_LPOV_WE                             427
#define     V_037600_PH_SC3_PA3_EOP_WE                              428
#define     V_037600_PH_SC3_PA3_DATA_FIFO_EOP_RD                    429
#define     V_037600_PH_SC3_PA3_EOPG_WE                             430
#define     V_037600_PH_SC3_PA3_DEALLOC_4_0_RD                      431
#define     V_037600_PH_SC3_PA4_DATA_FIFO_RD                        432
#define     V_037600_PH_SC3_PA4_DATA_FIFO_WE                        433
#define     V_037600_PH_SC3_PA4_FIFO_EMPTY                          434
#define     V_037600_PH_SC3_PA4_FIFO_FULL                           435
#define     V_037600_PH_SC3_PA4_NULL_WE                             436
#define     V_037600_PH_SC3_PA4_EVENT_WE                            437
#define     V_037600_PH_SC3_PA4_FPOV_WE                             438
#define     V_037600_PH_SC3_PA4_LPOV_WE                             439
#define     V_037600_PH_SC3_PA4_EOP_WE                              440
#define     V_037600_PH_SC3_PA4_DATA_FIFO_EOP_RD                    441
#define     V_037600_PH_SC3_PA4_EOPG_WE                             442
#define     V_037600_PH_SC3_PA4_DEALLOC_4_0_RD                      443
#define     V_037600_PH_SC3_PA5_DATA_FIFO_RD                        444
#define     V_037600_PH_SC3_PA5_DATA_FIFO_WE                        445
#define     V_037600_PH_SC3_PA5_FIFO_EMPTY                          446
#define     V_037600_PH_SC3_PA5_FIFO_FULL                           447
#define     V_037600_PH_SC3_PA5_NULL_WE                             448
#define     V_037600_PH_SC3_PA5_EVENT_WE                            449
#define     V_037600_PH_SC3_PA5_FPOV_WE                             450
#define     V_037600_PH_SC3_PA5_LPOV_WE                             451
#define     V_037600_PH_SC3_PA5_EOP_WE                              452
#define     V_037600_PH_SC3_PA5_DATA_FIFO_EOP_RD                    453
#define     V_037600_PH_SC3_PA5_EOPG_WE                             454
#define     V_037600_PH_SC3_PA5_DEALLOC_4_0_RD                      455
#define     V_037600_PH_SC3_PA6_DATA_FIFO_RD                        456
#define     V_037600_PH_SC3_PA6_DATA_FIFO_WE                        457
#define     V_037600_PH_SC3_PA6_FIFO_EMPTY                          458
#define     V_037600_PH_SC3_PA6_FIFO_FULL                           459
#define     V_037600_PH_SC3_PA6_NULL_WE                             460
#define     V_037600_PH_SC3_PA6_EVENT_WE                            461
#define     V_037600_PH_SC3_PA6_FPOV_WE                             462
#define     V_037600_PH_SC3_PA6_LPOV_WE                             463
#define     V_037600_PH_SC3_PA6_EOP_WE                              464
#define     V_037600_PH_SC3_PA6_DATA_FIFO_EOP_RD                    465
#define     V_037600_PH_SC3_PA6_EOPG_WE                             466
#define     V_037600_PH_SC3_PA6_DEALLOC_4_0_RD                      467
#define     V_037600_PH_SC3_PA7_DATA_FIFO_RD                        468
#define     V_037600_PH_SC3_PA7_DATA_FIFO_WE                        469
#define     V_037600_PH_SC3_PA7_FIFO_EMPTY                          470
#define     V_037600_PH_SC3_PA7_FIFO_FULL                           471
#define     V_037600_PH_SC3_PA7_NULL_WE                             472
#define     V_037600_PH_SC3_PA7_EVENT_WE                            473
#define     V_037600_PH_SC3_PA7_FPOV_WE                             474
#define     V_037600_PH_SC3_PA7_LPOV_WE                             475
#define     V_037600_PH_SC3_PA7_EOP_WE                              476
#define     V_037600_PH_SC3_PA7_DATA_FIFO_EOP_RD                    477
#define     V_037600_PH_SC3_PA7_EOPG_WE                             478
#define     V_037600_PH_SC3_PA7_DEALLOC_4_0_RD                      479
#define     V_037600_PH_SC4_SRPS_WINDOW_VALID                       480
#define     V_037600_PH_SC4_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        481
#define     V_037600_PH_SC4_ARB_XFC_ONLY_PRIM_CYCLES                482
#define     V_037600_PH_SC4_ARB_XFC_ONLY_ONE_INC_PER_PRIM           483
#define     V_037600_PH_SC4_ARB_STALLED_FROM_BELOW                  484
#define     V_037600_PH_SC4_ARB_STARVED_FROM_ABOVE                  485
#define     V_037600_PH_SC4_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 486
#define     V_037600_PH_SC4_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 487
#define     V_037600_PH_SC4_ARB_BUSY                                488
#define     V_037600_PH_SC4_ARB_PA_BUSY_SOP                         489
#define     V_037600_PH_SC4_ARB_EOP_POP_SYNC_POP                    490
#define     V_037600_PH_SC4_ARB_EVENT_SYNC_POP                      491
#define     V_037600_PH_SC4_PS_ENG_MULTICYCLE_BUBBLE                492
#define     V_037600_PH_SC4_EOP_SYNC_WINDOW                         493
#define     V_037600_PH_SC4_BUSY_PROCESSING_MULTICYCLE_PRIM         494
#define     V_037600_PH_SC4_BUSY_CNT_NOT_ZERO                       495
#define     V_037600_PH_SC4_SEND                                    496
#define     V_037600_PH_SC4_CREDIT_AT_ZERO_WITH_PENDING_SEND        497
#define     V_037600_PH_SC4_CREDIT_AT_MAX                           498
#define     V_037600_PH_SC4_CREDIT_AT_MAX_NO_PENDING_SEND           499
#define     V_037600_PH_SC4_GFX_PIPE_EVENT_PROVOKED_TRANSITION      500
#define     V_037600_PH_SC4_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   501
#define     V_037600_PH_SC4_GFX_PIPE0_TO_1_TRANSITION               502
#define     V_037600_PH_SC4_GFX_PIPE1_TO_0_TRANSITION               503
#define     V_037600_PH_SC4_PA0_DATA_FIFO_RD                        504
#define     V_037600_PH_SC4_PA0_DATA_FIFO_WE                        505
#define     V_037600_PH_SC4_PA0_FIFO_EMPTY                          506
#define     V_037600_PH_SC4_PA0_FIFO_FULL                           507
#define     V_037600_PH_SC4_PA0_NULL_WE                             508
#define     V_037600_PH_SC4_PA0_EVENT_WE                            509
#define     V_037600_PH_SC4_PA0_FPOV_WE                             510
#define     V_037600_PH_SC4_PA0_LPOV_WE                             511
#define     V_037600_PH_SC4_PA0_EOP_WE                              512
#define     V_037600_PH_SC4_PA0_DATA_FIFO_EOP_RD                    513
#define     V_037600_PH_SC4_PA0_EOPG_WE                             514
#define     V_037600_PH_SC4_PA0_DEALLOC_4_0_RD                      515
#define     V_037600_PH_SC4_PA1_DATA_FIFO_RD                        516
#define     V_037600_PH_SC4_PA1_DATA_FIFO_WE                        517
#define     V_037600_PH_SC4_PA1_FIFO_EMPTY                          518
#define     V_037600_PH_SC4_PA1_FIFO_FULL                           519
#define     V_037600_PH_SC4_PA1_NULL_WE                             520
#define     V_037600_PH_SC4_PA1_EVENT_WE                            521
#define     V_037600_PH_SC4_PA1_FPOV_WE                             522
#define     V_037600_PH_SC4_PA1_LPOV_WE                             523
#define     V_037600_PH_SC4_PA1_EOP_WE                              524
#define     V_037600_PH_SC4_PA1_DATA_FIFO_EOP_RD                    525
#define     V_037600_PH_SC4_PA1_EOPG_WE                             526
#define     V_037600_PH_SC4_PA1_DEALLOC_4_0_RD                      527
#define     V_037600_PH_SC4_PA2_DATA_FIFO_RD                        528
#define     V_037600_PH_SC4_PA2_DATA_FIFO_WE                        529
#define     V_037600_PH_SC4_PA2_FIFO_EMPTY                          530
#define     V_037600_PH_SC4_PA2_FIFO_FULL                           531
#define     V_037600_PH_SC4_PA2_NULL_WE                             532
#define     V_037600_PH_SC4_PA2_EVENT_WE                            533
#define     V_037600_PH_SC4_PA2_FPOV_WE                             534
#define     V_037600_PH_SC4_PA2_LPOV_WE                             535
#define     V_037600_PH_SC4_PA2_EOP_WE                              536
#define     V_037600_PH_SC4_PA2_DATA_FIFO_EOP_RD                    537
#define     V_037600_PH_SC4_PA2_EOPG_WE                             538
#define     V_037600_PH_SC4_PA2_DEALLOC_4_0_RD                      539
#define     V_037600_PH_SC4_PA3_DATA_FIFO_RD                        540
#define     V_037600_PH_SC4_PA3_DATA_FIFO_WE                        541
#define     V_037600_PH_SC4_PA3_FIFO_EMPTY                          542
#define     V_037600_PH_SC4_PA3_FIFO_FULL                           543
#define     V_037600_PH_SC4_PA3_NULL_WE                             544
#define     V_037600_PH_SC4_PA3_EVENT_WE                            545
#define     V_037600_PH_SC4_PA3_FPOV_WE                             546
#define     V_037600_PH_SC4_PA3_LPOV_WE                             547
#define     V_037600_PH_SC4_PA3_EOP_WE                              548
#define     V_037600_PH_SC4_PA3_DATA_FIFO_EOP_RD                    549
#define     V_037600_PH_SC4_PA3_EOPG_WE                             550
#define     V_037600_PH_SC4_PA3_DEALLOC_4_0_RD                      551
#define     V_037600_PH_SC4_PA4_DATA_FIFO_RD                        552
#define     V_037600_PH_SC4_PA4_DATA_FIFO_WE                        553
#define     V_037600_PH_SC4_PA4_FIFO_EMPTY                          554
#define     V_037600_PH_SC4_PA4_FIFO_FULL                           555
#define     V_037600_PH_SC4_PA4_NULL_WE                             556
#define     V_037600_PH_SC4_PA4_EVENT_WE                            557
#define     V_037600_PH_SC4_PA4_FPOV_WE                             558
#define     V_037600_PH_SC4_PA4_LPOV_WE                             559
#define     V_037600_PH_SC4_PA4_EOP_WE                              560
#define     V_037600_PH_SC4_PA4_DATA_FIFO_EOP_RD                    561
#define     V_037600_PH_SC4_PA4_EOPG_WE                             562
#define     V_037600_PH_SC4_PA4_DEALLOC_4_0_RD                      563
#define     V_037600_PH_SC4_PA5_DATA_FIFO_RD                        564
#define     V_037600_PH_SC4_PA5_DATA_FIFO_WE                        565
#define     V_037600_PH_SC4_PA5_FIFO_EMPTY                          566
#define     V_037600_PH_SC4_PA5_FIFO_FULL                           567
#define     V_037600_PH_SC4_PA5_NULL_WE                             568
#define     V_037600_PH_SC4_PA5_EVENT_WE                            569
#define     V_037600_PH_SC4_PA5_FPOV_WE                             570
#define     V_037600_PH_SC4_PA5_LPOV_WE                             571
#define     V_037600_PH_SC4_PA5_EOP_WE                              572
#define     V_037600_PH_SC4_PA5_DATA_FIFO_EOP_RD                    573
#define     V_037600_PH_SC4_PA5_EOPG_WE                             574
#define     V_037600_PH_SC4_PA5_DEALLOC_4_0_RD                      575
#define     V_037600_PH_SC4_PA6_DATA_FIFO_RD                        576
#define     V_037600_PH_SC4_PA6_DATA_FIFO_WE                        577
#define     V_037600_PH_SC4_PA6_FIFO_EMPTY                          578
#define     V_037600_PH_SC4_PA6_FIFO_FULL                           579
#define     V_037600_PH_SC4_PA6_NULL_WE                             580
#define     V_037600_PH_SC4_PA6_EVENT_WE                            581
#define     V_037600_PH_SC4_PA6_FPOV_WE                             582
#define     V_037600_PH_SC4_PA6_LPOV_WE                             583
#define     V_037600_PH_SC4_PA6_EOP_WE                              584
#define     V_037600_PH_SC4_PA6_DATA_FIFO_EOP_RD                    585
#define     V_037600_PH_SC4_PA6_EOPG_WE                             586
#define     V_037600_PH_SC4_PA6_DEALLOC_4_0_RD                      587
#define     V_037600_PH_SC4_PA7_DATA_FIFO_RD                        588
#define     V_037600_PH_SC4_PA7_DATA_FIFO_WE                        589
#define     V_037600_PH_SC4_PA7_FIFO_EMPTY                          590
#define     V_037600_PH_SC4_PA7_FIFO_FULL                           591
#define     V_037600_PH_SC4_PA7_NULL_WE                             592
#define     V_037600_PH_SC4_PA7_EVENT_WE                            593
#define     V_037600_PH_SC4_PA7_FPOV_WE                             594
#define     V_037600_PH_SC4_PA7_LPOV_WE                             595
#define     V_037600_PH_SC4_PA7_EOP_WE                              596
#define     V_037600_PH_SC4_PA7_DATA_FIFO_EOP_RD                    597
#define     V_037600_PH_SC4_PA7_EOPG_WE                             598
#define     V_037600_PH_SC4_PA7_DEALLOC_4_0_RD                      599
#define     V_037600_PH_SC5_SRPS_WINDOW_VALID                       600
#define     V_037600_PH_SC5_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        601
#define     V_037600_PH_SC5_ARB_XFC_ONLY_PRIM_CYCLES                602
#define     V_037600_PH_SC5_ARB_XFC_ONLY_ONE_INC_PER_PRIM           603
#define     V_037600_PH_SC5_ARB_STALLED_FROM_BELOW                  604
#define     V_037600_PH_SC5_ARB_STARVED_FROM_ABOVE                  605
#define     V_037600_PH_SC5_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 606
#define     V_037600_PH_SC5_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 607
#define     V_037600_PH_SC5_ARB_BUSY                                608
#define     V_037600_PH_SC5_ARB_PA_BUSY_SOP                         609
#define     V_037600_PH_SC5_ARB_EOP_POP_SYNC_POP                    610
#define     V_037600_PH_SC5_ARB_EVENT_SYNC_POP                      611
#define     V_037600_PH_SC5_PS_ENG_MULTICYCLE_BUBBLE                612
#define     V_037600_PH_SC5_EOP_SYNC_WINDOW                         613
#define     V_037600_PH_SC5_BUSY_PROCESSING_MULTICYCLE_PRIM         614
#define     V_037600_PH_SC5_BUSY_CNT_NOT_ZERO                       615
#define     V_037600_PH_SC5_SEND                                    616
#define     V_037600_PH_SC5_CREDIT_AT_ZERO_WITH_PENDING_SEND        617
#define     V_037600_PH_SC5_CREDIT_AT_MAX                           618
#define     V_037600_PH_SC5_CREDIT_AT_MAX_NO_PENDING_SEND           619
#define     V_037600_PH_SC5_GFX_PIPE_EVENT_PROVOKED_TRANSITION      620
#define     V_037600_PH_SC5_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   621
#define     V_037600_PH_SC5_GFX_PIPE0_TO_1_TRANSITION               622
#define     V_037600_PH_SC5_GFX_PIPE1_TO_0_TRANSITION               623
#define     V_037600_PH_SC5_PA0_DATA_FIFO_RD                        624
#define     V_037600_PH_SC5_PA0_DATA_FIFO_WE                        625
#define     V_037600_PH_SC5_PA0_FIFO_EMPTY                          626
#define     V_037600_PH_SC5_PA0_FIFO_FULL                           627
#define     V_037600_PH_SC5_PA0_NULL_WE                             628
#define     V_037600_PH_SC5_PA0_EVENT_WE                            629
#define     V_037600_PH_SC5_PA0_FPOV_WE                             630
#define     V_037600_PH_SC5_PA0_LPOV_WE                             631
#define     V_037600_PH_SC5_PA0_EOP_WE                              632
#define     V_037600_PH_SC5_PA0_DATA_FIFO_EOP_RD                    633
#define     V_037600_PH_SC5_PA0_EOPG_WE                             634
#define     V_037600_PH_SC5_PA0_DEALLOC_4_0_RD                      635
#define     V_037600_PH_SC5_PA1_DATA_FIFO_RD                        636
#define     V_037600_PH_SC5_PA1_DATA_FIFO_WE                        637
#define     V_037600_PH_SC5_PA1_FIFO_EMPTY                          638
#define     V_037600_PH_SC5_PA1_FIFO_FULL                           639
#define     V_037600_PH_SC5_PA1_NULL_WE                             640
#define     V_037600_PH_SC5_PA1_EVENT_WE                            641
#define     V_037600_PH_SC5_PA1_FPOV_WE                             642
#define     V_037600_PH_SC5_PA1_LPOV_WE                             643
#define     V_037600_PH_SC5_PA1_EOP_WE                              644
#define     V_037600_PH_SC5_PA1_DATA_FIFO_EOP_RD                    645
#define     V_037600_PH_SC5_PA1_EOPG_WE                             646
#define     V_037600_PH_SC5_PA1_DEALLOC_4_0_RD                      647
#define     V_037600_PH_SC5_PA2_DATA_FIFO_RD                        648
#define     V_037600_PH_SC5_PA2_DATA_FIFO_WE                        649
#define     V_037600_PH_SC5_PA2_FIFO_EMPTY                          650
#define     V_037600_PH_SC5_PA2_FIFO_FULL                           651
#define     V_037600_PH_SC5_PA2_NULL_WE                             652
#define     V_037600_PH_SC5_PA2_EVENT_WE                            653
#define     V_037600_PH_SC5_PA2_FPOV_WE                             654
#define     V_037600_PH_SC5_PA2_LPOV_WE                             655
#define     V_037600_PH_SC5_PA2_EOP_WE                              656
#define     V_037600_PH_SC5_PA2_DATA_FIFO_EOP_RD                    657
#define     V_037600_PH_SC5_PA2_EOPG_WE                             658
#define     V_037600_PH_SC5_PA2_DEALLOC_4_0_RD                      659
#define     V_037600_PH_SC5_PA3_DATA_FIFO_RD                        660
#define     V_037600_PH_SC5_PA3_DATA_FIFO_WE                        661
#define     V_037600_PH_SC5_PA3_FIFO_EMPTY                          662
#define     V_037600_PH_SC5_PA3_FIFO_FULL                           663
#define     V_037600_PH_SC5_PA3_NULL_WE                             664
#define     V_037600_PH_SC5_PA3_EVENT_WE                            665
#define     V_037600_PH_SC5_PA3_FPOV_WE                             666
#define     V_037600_PH_SC5_PA3_LPOV_WE                             667
#define     V_037600_PH_SC5_PA3_EOP_WE                              668
#define     V_037600_PH_SC5_PA3_DATA_FIFO_EOP_RD                    669
#define     V_037600_PH_SC5_PA3_EOPG_WE                             670
#define     V_037600_PH_SC5_PA3_DEALLOC_4_0_RD                      671
#define     V_037600_PH_SC5_PA4_DATA_FIFO_RD                        672
#define     V_037600_PH_SC5_PA4_DATA_FIFO_WE                        673
#define     V_037600_PH_SC5_PA4_FIFO_EMPTY                          674
#define     V_037600_PH_SC5_PA4_FIFO_FULL                           675
#define     V_037600_PH_SC5_PA4_NULL_WE                             676
#define     V_037600_PH_SC5_PA4_EVENT_WE                            677
#define     V_037600_PH_SC5_PA4_FPOV_WE                             678
#define     V_037600_PH_SC5_PA4_LPOV_WE                             679
#define     V_037600_PH_SC5_PA4_EOP_WE                              680
#define     V_037600_PH_SC5_PA4_DATA_FIFO_EOP_RD                    681
#define     V_037600_PH_SC5_PA4_EOPG_WE                             682
#define     V_037600_PH_SC5_PA4_DEALLOC_4_0_RD                      683
#define     V_037600_PH_SC5_PA5_DATA_FIFO_RD                        684
#define     V_037600_PH_SC5_PA5_DATA_FIFO_WE                        685
#define     V_037600_PH_SC5_PA5_FIFO_EMPTY                          686
#define     V_037600_PH_SC5_PA5_FIFO_FULL                           687
#define     V_037600_PH_SC5_PA5_NULL_WE                             688
#define     V_037600_PH_SC5_PA5_EVENT_WE                            689
#define     V_037600_PH_SC5_PA5_FPOV_WE                             690
#define     V_037600_PH_SC5_PA5_LPOV_WE                             691
#define     V_037600_PH_SC5_PA5_EOP_WE                              692
#define     V_037600_PH_SC5_PA5_DATA_FIFO_EOP_RD                    693
#define     V_037600_PH_SC5_PA5_EOPG_WE                             694
#define     V_037600_PH_SC5_PA5_DEALLOC_4_0_RD                      695
#define     V_037600_PH_SC5_PA6_DATA_FIFO_RD                        696
#define     V_037600_PH_SC5_PA6_DATA_FIFO_WE                        697
#define     V_037600_PH_SC5_PA6_FIFO_EMPTY                          698
#define     V_037600_PH_SC5_PA6_FIFO_FULL                           699
#define     V_037600_PH_SC5_PA6_NULL_WE                             700
#define     V_037600_PH_SC5_PA6_EVENT_WE                            701
#define     V_037600_PH_SC5_PA6_FPOV_WE                             702
#define     V_037600_PH_SC5_PA6_LPOV_WE                             703
#define     V_037600_PH_SC5_PA6_EOP_WE                              704
#define     V_037600_PH_SC5_PA6_DATA_FIFO_EOP_RD                    705
#define     V_037600_PH_SC5_PA6_EOPG_WE                             706
#define     V_037600_PH_SC5_PA6_DEALLOC_4_0_RD                      707
#define     V_037600_PH_SC5_PA7_DATA_FIFO_RD                        708
#define     V_037600_PH_SC5_PA7_DATA_FIFO_WE                        709
#define     V_037600_PH_SC5_PA7_FIFO_EMPTY                          710
#define     V_037600_PH_SC5_PA7_FIFO_FULL                           711
#define     V_037600_PH_SC5_PA7_NULL_WE                             712
#define     V_037600_PH_SC5_PA7_EVENT_WE                            713
#define     V_037600_PH_SC5_PA7_FPOV_WE                             714
#define     V_037600_PH_SC5_PA7_LPOV_WE                             715
#define     V_037600_PH_SC5_PA7_EOP_WE                              716
#define     V_037600_PH_SC5_PA7_DATA_FIFO_EOP_RD                    717
#define     V_037600_PH_SC5_PA7_EOPG_WE                             718
#define     V_037600_PH_SC5_PA7_DEALLOC_4_0_RD                      719
#define     V_037600_PH_SC6_SRPS_WINDOW_VALID                       720
#define     V_037600_PH_SC6_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        721
#define     V_037600_PH_SC6_ARB_XFC_ONLY_PRIM_CYCLES                722
#define     V_037600_PH_SC6_ARB_XFC_ONLY_ONE_INC_PER_PRIM           723
#define     V_037600_PH_SC6_ARB_STALLED_FROM_BELOW                  724
#define     V_037600_PH_SC6_ARB_STARVED_FROM_ABOVE                  725
#define     V_037600_PH_SC6_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 726
#define     V_037600_PH_SC6_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 727
#define     V_037600_PH_SC6_ARB_BUSY                                728
#define     V_037600_PH_SC6_ARB_PA_BUSY_SOP                         729
#define     V_037600_PH_SC6_ARB_EOP_POP_SYNC_POP                    730
#define     V_037600_PH_SC6_ARB_EVENT_SYNC_POP                      731
#define     V_037600_PH_SC6_PS_ENG_MULTICYCLE_BUBBLE                732
#define     V_037600_PH_SC6_EOP_SYNC_WINDOW                         733
#define     V_037600_PH_SC6_BUSY_PROCESSING_MULTICYCLE_PRIM         734
#define     V_037600_PH_SC6_BUSY_CNT_NOT_ZERO                       735
#define     V_037600_PH_SC6_SEND                                    736
#define     V_037600_PH_SC6_CREDIT_AT_ZERO_WITH_PENDING_SEND        737
#define     V_037600_PH_SC6_CREDIT_AT_MAX                           738
#define     V_037600_PH_SC6_CREDIT_AT_MAX_NO_PENDING_SEND           739
#define     V_037600_PH_SC6_GFX_PIPE_EVENT_PROVOKED_TRANSITION      740
#define     V_037600_PH_SC6_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   741
#define     V_037600_PH_SC6_GFX_PIPE0_TO_1_TRANSITION               742
#define     V_037600_PH_SC6_GFX_PIPE1_TO_0_TRANSITION               743
#define     V_037600_PH_SC6_PA0_DATA_FIFO_RD                        744
#define     V_037600_PH_SC6_PA0_DATA_FIFO_WE                        745
#define     V_037600_PH_SC6_PA0_FIFO_EMPTY                          746
#define     V_037600_PH_SC6_PA0_FIFO_FULL                           747
#define     V_037600_PH_SC6_PA0_NULL_WE                             748
#define     V_037600_PH_SC6_PA0_EVENT_WE                            749
#define     V_037600_PH_SC6_PA0_FPOV_WE                             750
#define     V_037600_PH_SC6_PA0_LPOV_WE                             751
#define     V_037600_PH_SC6_PA0_EOP_WE                              752
#define     V_037600_PH_SC6_PA0_DATA_FIFO_EOP_RD                    753
#define     V_037600_PH_SC6_PA0_EOPG_WE                             754
#define     V_037600_PH_SC6_PA0_DEALLOC_4_0_RD                      755
#define     V_037600_PH_SC6_PA1_DATA_FIFO_RD                        756
#define     V_037600_PH_SC6_PA1_DATA_FIFO_WE                        757
#define     V_037600_PH_SC6_PA1_FIFO_EMPTY                          758
#define     V_037600_PH_SC6_PA1_FIFO_FULL                           759
#define     V_037600_PH_SC6_PA1_NULL_WE                             760
#define     V_037600_PH_SC6_PA1_EVENT_WE                            761
#define     V_037600_PH_SC6_PA1_FPOV_WE                             762
#define     V_037600_PH_SC6_PA1_LPOV_WE                             763
#define     V_037600_PH_SC6_PA1_EOP_WE                              764
#define     V_037600_PH_SC6_PA1_DATA_FIFO_EOP_RD                    765
#define     V_037600_PH_SC6_PA1_EOPG_WE                             766
#define     V_037600_PH_SC6_PA1_DEALLOC_4_0_RD                      767
#define     V_037600_PH_SC6_PA2_DATA_FIFO_RD                        768
#define     V_037600_PH_SC6_PA2_DATA_FIFO_WE                        769
#define     V_037600_PH_SC6_PA2_FIFO_EMPTY                          770
#define     V_037600_PH_SC6_PA2_FIFO_FULL                           771
#define     V_037600_PH_SC6_PA2_NULL_WE                             772
#define     V_037600_PH_SC6_PA2_EVENT_WE                            773
#define     V_037600_PH_SC6_PA2_FPOV_WE                             774
#define     V_037600_PH_SC6_PA2_LPOV_WE                             775
#define     V_037600_PH_SC6_PA2_EOP_WE                              776
#define     V_037600_PH_SC6_PA2_DATA_FIFO_EOP_RD                    777
#define     V_037600_PH_SC6_PA2_EOPG_WE                             778
#define     V_037600_PH_SC6_PA2_DEALLOC_4_0_RD                      779
#define     V_037600_PH_SC6_PA3_DATA_FIFO_RD                        780
#define     V_037600_PH_SC6_PA3_DATA_FIFO_WE                        781
#define     V_037600_PH_SC6_PA3_FIFO_EMPTY                          782
#define     V_037600_PH_SC6_PA3_FIFO_FULL                           783
#define     V_037600_PH_SC6_PA3_NULL_WE                             784
#define     V_037600_PH_SC6_PA3_EVENT_WE                            785
#define     V_037600_PH_SC6_PA3_FPOV_WE                             786
#define     V_037600_PH_SC6_PA3_LPOV_WE                             787
#define     V_037600_PH_SC6_PA3_EOP_WE                              788
#define     V_037600_PH_SC6_PA3_DATA_FIFO_EOP_RD                    789
#define     V_037600_PH_SC6_PA3_EOPG_WE                             790
#define     V_037600_PH_SC6_PA3_DEALLOC_4_0_RD                      791
#define     V_037600_PH_SC6_PA4_DATA_FIFO_RD                        792
#define     V_037600_PH_SC6_PA4_DATA_FIFO_WE                        793
#define     V_037600_PH_SC6_PA4_FIFO_EMPTY                          794
#define     V_037600_PH_SC6_PA4_FIFO_FULL                           795
#define     V_037600_PH_SC6_PA4_NULL_WE                             796
#define     V_037600_PH_SC6_PA4_EVENT_WE                            797
#define     V_037600_PH_SC6_PA4_FPOV_WE                             798
#define     V_037600_PH_SC6_PA4_LPOV_WE                             799
#define     V_037600_PH_SC6_PA4_EOP_WE                              800
#define     V_037600_PH_SC6_PA4_DATA_FIFO_EOP_RD                    801
#define     V_037600_PH_SC6_PA4_EOPG_WE                             802
#define     V_037600_PH_SC6_PA4_DEALLOC_4_0_RD                      803
#define     V_037600_PH_SC6_PA5_DATA_FIFO_RD                        804
#define     V_037600_PH_SC6_PA5_DATA_FIFO_WE                        805
#define     V_037600_PH_SC6_PA5_FIFO_EMPTY                          806
#define     V_037600_PH_SC6_PA5_FIFO_FULL                           807
#define     V_037600_PH_SC6_PA5_NULL_WE                             808
#define     V_037600_PH_SC6_PA5_EVENT_WE                            809
#define     V_037600_PH_SC6_PA5_FPOV_WE                             810
#define     V_037600_PH_SC6_PA5_LPOV_WE                             811
#define     V_037600_PH_SC6_PA5_EOP_WE                              812
#define     V_037600_PH_SC6_PA5_DATA_FIFO_EOP_RD                    813
#define     V_037600_PH_SC6_PA5_EOPG_WE                             814
#define     V_037600_PH_SC6_PA5_DEALLOC_4_0_RD                      815
#define     V_037600_PH_SC6_PA6_DATA_FIFO_RD                        816
#define     V_037600_PH_SC6_PA6_DATA_FIFO_WE                        817
#define     V_037600_PH_SC6_PA6_FIFO_EMPTY                          818
#define     V_037600_PH_SC6_PA6_FIFO_FULL                           819
#define     V_037600_PH_SC6_PA6_NULL_WE                             820
#define     V_037600_PH_SC6_PA6_EVENT_WE                            821
#define     V_037600_PH_SC6_PA6_FPOV_WE                             822
#define     V_037600_PH_SC6_PA6_LPOV_WE                             823
#define     V_037600_PH_SC6_PA6_EOP_WE                              824
#define     V_037600_PH_SC6_PA6_DATA_FIFO_EOP_RD                    825
#define     V_037600_PH_SC6_PA6_EOPG_WE                             826
#define     V_037600_PH_SC6_PA6_DEALLOC_4_0_RD                      827
#define     V_037600_PH_SC6_PA7_DATA_FIFO_RD                        828
#define     V_037600_PH_SC6_PA7_DATA_FIFO_WE                        829
#define     V_037600_PH_SC6_PA7_FIFO_EMPTY                          830
#define     V_037600_PH_SC6_PA7_FIFO_FULL                           831
#define     V_037600_PH_SC6_PA7_NULL_WE                             832
#define     V_037600_PH_SC6_PA7_EVENT_WE                            833
#define     V_037600_PH_SC6_PA7_FPOV_WE                             834
#define     V_037600_PH_SC6_PA7_LPOV_WE                             835
#define     V_037600_PH_SC6_PA7_EOP_WE                              836
#define     V_037600_PH_SC6_PA7_DATA_FIFO_EOP_RD                    837
#define     V_037600_PH_SC6_PA7_EOPG_WE                             838
#define     V_037600_PH_SC6_PA7_DEALLOC_4_0_RD                      839
#define     V_037600_PH_SC7_SRPS_WINDOW_VALID                       840
#define     V_037600_PH_SC7_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        841
#define     V_037600_PH_SC7_ARB_XFC_ONLY_PRIM_CYCLES                842
#define     V_037600_PH_SC7_ARB_XFC_ONLY_ONE_INC_PER_PRIM           843
#define     V_037600_PH_SC7_ARB_STALLED_FROM_BELOW                  844
#define     V_037600_PH_SC7_ARB_STARVED_FROM_ABOVE                  845
#define     V_037600_PH_SC7_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 846
#define     V_037600_PH_SC7_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 847
#define     V_037600_PH_SC7_ARB_BUSY                                848
#define     V_037600_PH_SC7_ARB_PA_BUSY_SOP                         849
#define     V_037600_PH_SC7_ARB_EOP_POP_SYNC_POP                    850
#define     V_037600_PH_SC7_ARB_EVENT_SYNC_POP                      851
#define     V_037600_PH_SC7_PS_ENG_MULTICYCLE_BUBBLE                852
#define     V_037600_PH_SC7_EOP_SYNC_WINDOW                         853
#define     V_037600_PH_SC7_BUSY_PROCESSING_MULTICYCLE_PRIM         854
#define     V_037600_PH_SC7_BUSY_CNT_NOT_ZERO                       855
#define     V_037600_PH_SC7_SEND                                    856
#define     V_037600_PH_SC7_CREDIT_AT_ZERO_WITH_PENDING_SEND        857
#define     V_037600_PH_SC7_CREDIT_AT_MAX                           858
#define     V_037600_PH_SC7_CREDIT_AT_MAX_NO_PENDING_SEND           859
#define     V_037600_PH_SC7_GFX_PIPE_EVENT_PROVOKED_TRANSITION      860
#define     V_037600_PH_SC7_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   861
#define     V_037600_PH_SC7_GFX_PIPE0_TO_1_TRANSITION               862
#define     V_037600_PH_SC7_GFX_PIPE1_TO_0_TRANSITION               863
#define     V_037600_PH_SC7_PA0_DATA_FIFO_RD                        864
#define     V_037600_PH_SC7_PA0_DATA_FIFO_WE                        865
#define     V_037600_PH_SC7_PA0_FIFO_EMPTY                          866
#define     V_037600_PH_SC7_PA0_FIFO_FULL                           867
#define     V_037600_PH_SC7_PA0_NULL_WE                             868
#define     V_037600_PH_SC7_PA0_EVENT_WE                            869
#define     V_037600_PH_SC7_PA0_FPOV_WE                             870
#define     V_037600_PH_SC7_PA0_LPOV_WE                             871
#define     V_037600_PH_SC7_PA0_EOP_WE                              872
#define     V_037600_PH_SC7_PA0_DATA_FIFO_EOP_RD                    873
#define     V_037600_PH_SC7_PA0_EOPG_WE                             874
#define     V_037600_PH_SC7_PA0_DEALLOC_4_0_RD                      875
#define     V_037600_PH_SC7_PA1_DATA_FIFO_RD                        876
#define     V_037600_PH_SC7_PA1_DATA_FIFO_WE                        877
#define     V_037600_PH_SC7_PA1_FIFO_EMPTY                          878
#define     V_037600_PH_SC7_PA1_FIFO_FULL                           879
#define     V_037600_PH_SC7_PA1_NULL_WE                             880
#define     V_037600_PH_SC7_PA1_EVENT_WE                            881
#define     V_037600_PH_SC7_PA1_FPOV_WE                             882
#define     V_037600_PH_SC7_PA1_LPOV_WE                             883
#define     V_037600_PH_SC7_PA1_EOP_WE                              884
#define     V_037600_PH_SC7_PA1_DATA_FIFO_EOP_RD                    885
#define     V_037600_PH_SC7_PA1_EOPG_WE                             886
#define     V_037600_PH_SC7_PA1_DEALLOC_4_0_RD                      887
#define     V_037600_PH_SC7_PA2_DATA_FIFO_RD                        888
#define     V_037600_PH_SC7_PA2_DATA_FIFO_WE                        889
#define     V_037600_PH_SC7_PA2_FIFO_EMPTY                          890
#define     V_037600_PH_SC7_PA2_FIFO_FULL                           891
#define     V_037600_PH_SC7_PA2_NULL_WE                             892
#define     V_037600_PH_SC7_PA2_EVENT_WE                            893
#define     V_037600_PH_SC7_PA2_FPOV_WE                             894
#define     V_037600_PH_SC7_PA2_LPOV_WE                             895
#define     V_037600_PH_SC7_PA2_EOP_WE                              896
#define     V_037600_PH_SC7_PA2_DATA_FIFO_EOP_RD                    897
#define     V_037600_PH_SC7_PA2_EOPG_WE                             898
#define     V_037600_PH_SC7_PA2_DEALLOC_4_0_RD                      899
#define     V_037600_PH_SC7_PA3_DATA_FIFO_RD                        900
#define     V_037600_PH_SC7_PA3_DATA_FIFO_WE                        901
#define     V_037600_PH_SC7_PA3_FIFO_EMPTY                          902
#define     V_037600_PH_SC7_PA3_FIFO_FULL                           903
#define     V_037600_PH_SC7_PA3_NULL_WE                             904
#define     V_037600_PH_SC7_PA3_EVENT_WE                            905
#define     V_037600_PH_SC7_PA3_FPOV_WE                             906
#define     V_037600_PH_SC7_PA3_LPOV_WE                             907
#define     V_037600_PH_SC7_PA3_EOP_WE                              908
#define     V_037600_PH_SC7_PA3_DATA_FIFO_EOP_RD                    909
#define     V_037600_PH_SC7_PA3_EOPG_WE                             910
#define     V_037600_PH_SC7_PA3_DEALLOC_4_0_RD                      911
#define     V_037600_PH_SC7_PA4_DATA_FIFO_RD                        912
#define     V_037600_PH_SC7_PA4_DATA_FIFO_WE                        913
#define     V_037600_PH_SC7_PA4_FIFO_EMPTY                          914
#define     V_037600_PH_SC7_PA4_FIFO_FULL                           915
#define     V_037600_PH_SC7_PA4_NULL_WE                             916
#define     V_037600_PH_SC7_PA4_EVENT_WE                            917
#define     V_037600_PH_SC7_PA4_FPOV_WE                             918
#define     V_037600_PH_SC7_PA4_LPOV_WE                             919
#define     V_037600_PH_SC7_PA4_EOP_WE                              920
#define     V_037600_PH_SC7_PA4_DATA_FIFO_EOP_RD                    921
#define     V_037600_PH_SC7_PA4_EOPG_WE                             922
#define     V_037600_PH_SC7_PA4_DEALLOC_4_0_RD                      923
#define     V_037600_PH_SC7_PA5_DATA_FIFO_RD                        924
#define     V_037600_PH_SC7_PA5_DATA_FIFO_WE                        925
#define     V_037600_PH_SC7_PA5_FIFO_EMPTY                          926
#define     V_037600_PH_SC7_PA5_FIFO_FULL                           927
#define     V_037600_PH_SC7_PA5_NULL_WE                             928
#define     V_037600_PH_SC7_PA5_EVENT_WE                            929
#define     V_037600_PH_SC7_PA5_FPOV_WE                             930
#define     V_037600_PH_SC7_PA5_LPOV_WE                             931
#define     V_037600_PH_SC7_PA5_EOP_WE                              932
#define     V_037600_PH_SC7_PA5_DATA_FIFO_EOP_RD                    933
#define     V_037600_PH_SC7_PA5_EOPG_WE                             934
#define     V_037600_PH_SC7_PA5_DEALLOC_4_0_RD                      935
#define     V_037600_PH_SC7_PA6_DATA_FIFO_RD                        936
#define     V_037600_PH_SC7_PA6_DATA_FIFO_WE                        937
#define     V_037600_PH_SC7_PA6_FIFO_EMPTY                          938
#define     V_037600_PH_SC7_PA6_FIFO_FULL                           939
#define     V_037600_PH_SC7_PA6_NULL_WE                             940
#define     V_037600_PH_SC7_PA6_EVENT_WE                            941
#define     V_037600_PH_SC7_PA6_FPOV_WE                             942
#define     V_037600_PH_SC7_PA6_LPOV_WE                             943
#define     V_037600_PH_SC7_PA6_EOP_WE                              944
#define     V_037600_PH_SC7_PA6_DATA_FIFO_EOP_RD                    945
#define     V_037600_PH_SC7_PA6_EOPG_WE                             946
#define     V_037600_PH_SC7_PA6_DEALLOC_4_0_RD                      947
#define     V_037600_PH_SC7_PA7_DATA_FIFO_RD                        948
#define     V_037600_PH_SC7_PA7_DATA_FIFO_WE                        949
#define     V_037600_PH_SC7_PA7_FIFO_EMPTY                          950
#define     V_037600_PH_SC7_PA7_FIFO_FULL                           951
#define     V_037600_PH_SC7_PA7_NULL_WE                             952
#define     V_037600_PH_SC7_PA7_EVENT_WE                            953
#define     V_037600_PH_SC7_PA7_FPOV_WE                             954
#define     V_037600_PH_SC7_PA7_LPOV_WE                             955
#define     V_037600_PH_SC7_PA7_EOP_WE                              956
#define     V_037600_PH_SC7_PA7_DATA_FIFO_EOP_RD                    957
#define     V_037600_PH_SC7_PA7_EOPG_WE                             958
#define     V_037600_PH_SC7_PA7_DEALLOC_4_0_RD                      959
#define   S_037600_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_037600_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_037600_PERF_SEL1                                          0xFFF003FF
#define   S_037600_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_037600_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_037600_CNTR_MODE                                          0xFF0FFFFF
#define   S_037600_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_037600_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_037600_PERF_MODE1                                         0xF0FFFFFF
#define   S_037600_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_037600_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_037600_PERF_MODE                                          0x0FFFFFFF
#define R_037604_PA_PH_PERFCOUNTER0_SELECT1                             0x037604 /* >= gfx10 */
#define   S_037604_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_037604_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_037604_PERF_SEL2                                          0xFFFFFC00
#define     V_037604_PH_SC0_SRPS_WINDOW_VALID                       0
#define     V_037604_PH_SC0_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        1
#define     V_037604_PH_SC0_ARB_XFC_ONLY_PRIM_CYCLES                2
#define     V_037604_PH_SC0_ARB_XFC_ONLY_ONE_INC_PER_PRIM           3
#define     V_037604_PH_SC0_ARB_STALLED_FROM_BELOW                  4
#define     V_037604_PH_SC0_ARB_STARVED_FROM_ABOVE                  5
#define     V_037604_PH_SC0_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 6
#define     V_037604_PH_SC0_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 7
#define     V_037604_PH_SC0_ARB_BUSY                                8
#define     V_037604_PH_SC0_ARB_PA_BUSY_SOP                         9
#define     V_037604_PH_SC0_ARB_EOP_POP_SYNC_POP                    10
#define     V_037604_PH_SC0_ARB_EVENT_SYNC_POP                      11
#define     V_037604_PH_SC0_PS_ENG_MULTICYCLE_BUBBLE                12
#define     V_037604_PH_SC0_EOP_SYNC_WINDOW                         13
#define     V_037604_PH_SC0_BUSY_PROCESSING_MULTICYCLE_PRIM         14
#define     V_037604_PH_SC0_BUSY_CNT_NOT_ZERO                       15
#define     V_037604_PH_SC0_SEND                                    16
#define     V_037604_PH_SC0_CREDIT_AT_ZERO_WITH_PENDING_SEND        17
#define     V_037604_PH_SC0_CREDIT_AT_MAX                           18
#define     V_037604_PH_SC0_CREDIT_AT_MAX_NO_PENDING_SEND           19
#define     V_037604_PH_SC0_GFX_PIPE_EVENT_PROVOKED_TRANSITION      20
#define     V_037604_PH_SC0_GFX_PIPE_PRIM_PROVOKED_TRANSITION       21
#define     V_037604_PH_SC0_GFX_PIPE0_TO_1_TRANSITION               22
#define     V_037604_PH_SC0_GFX_PIPE1_TO_0_TRANSITION               23
#define     V_037604_PH_SC0_PA0_DATA_FIFO_RD                        24
#define     V_037604_PH_SC0_PA0_DATA_FIFO_WE                        25
#define     V_037604_PH_SC0_PA0_FIFO_EMPTY                          26
#define     V_037604_PH_SC0_PA0_FIFO_FULL                           27
#define     V_037604_PH_SC0_PA0_NULL_WE                             28
#define     V_037604_PH_SC0_PA0_EVENT_WE                            29
#define     V_037604_PH_SC0_PA0_FPOV_WE                             30
#define     V_037604_PH_SC0_PA0_LPOV_WE                             31
#define     V_037604_PH_SC0_PA0_EOP_WE                              32
#define     V_037604_PH_SC0_PA0_DATA_FIFO_EOP_RD                    33
#define     V_037604_PH_SC0_PA0_EOPG_WE                             34
#define     V_037604_PH_SC0_PA0_DEALLOC_4_0_RD                      35
#define     V_037604_PH_SC0_PA1_DATA_FIFO_RD                        36
#define     V_037604_PH_SC0_PA1_DATA_FIFO_WE                        37
#define     V_037604_PH_SC0_PA1_FIFO_EMPTY                          38
#define     V_037604_PH_SC0_PA1_FIFO_FULL                           39
#define     V_037604_PH_SC0_PA1_NULL_WE                             40
#define     V_037604_PH_SC0_PA1_EVENT_WE                            41
#define     V_037604_PH_SC0_PA1_FPOV_WE                             42
#define     V_037604_PH_SC0_PA1_LPOV_WE                             43
#define     V_037604_PH_SC0_PA1_EOP_WE                              44
#define     V_037604_PH_SC0_PA1_DATA_FIFO_EOP_RD                    45
#define     V_037604_PH_SC0_PA1_EOPG_WE                             46
#define     V_037604_PH_SC0_PA1_DEALLOC_4_0_RD                      47
#define     V_037604_PH_SC0_PA2_DATA_FIFO_RD                        48
#define     V_037604_PH_SC0_PA2_DATA_FIFO_WE                        49
#define     V_037604_PH_SC0_PA2_FIFO_EMPTY                          50
#define     V_037604_PH_SC0_PA2_FIFO_FULL                           51
#define     V_037604_PH_SC0_PA2_NULL_WE                             52
#define     V_037604_PH_SC0_PA2_EVENT_WE                            53
#define     V_037604_PH_SC0_PA2_FPOV_WE                             54
#define     V_037604_PH_SC0_PA2_LPOV_WE                             55
#define     V_037604_PH_SC0_PA2_EOP_WE                              56
#define     V_037604_PH_SC0_PA2_DATA_FIFO_EOP_RD                    57
#define     V_037604_PH_SC0_PA2_EOPG_WE                             58
#define     V_037604_PH_SC0_PA2_DEALLOC_4_0_RD                      59
#define     V_037604_PH_SC0_PA3_DATA_FIFO_RD                        60
#define     V_037604_PH_SC0_PA3_DATA_FIFO_WE                        61
#define     V_037604_PH_SC0_PA3_FIFO_EMPTY                          62
#define     V_037604_PH_SC0_PA3_FIFO_FULL                           63
#define     V_037604_PH_SC0_PA3_NULL_WE                             64
#define     V_037604_PH_SC0_PA3_EVENT_WE                            65
#define     V_037604_PH_SC0_PA3_FPOV_WE                             66
#define     V_037604_PH_SC0_PA3_LPOV_WE                             67
#define     V_037604_PH_SC0_PA3_EOP_WE                              68
#define     V_037604_PH_SC0_PA3_DATA_FIFO_EOP_RD                    69
#define     V_037604_PH_SC0_PA3_EOPG_WE                             70
#define     V_037604_PH_SC0_PA3_DEALLOC_4_0_RD                      71
#define     V_037604_PH_SC0_PA4_DATA_FIFO_RD                        72
#define     V_037604_PH_SC0_PA4_DATA_FIFO_WE                        73
#define     V_037604_PH_SC0_PA4_FIFO_EMPTY                          74
#define     V_037604_PH_SC0_PA4_FIFO_FULL                           75
#define     V_037604_PH_SC0_PA4_NULL_WE                             76
#define     V_037604_PH_SC0_PA4_EVENT_WE                            77
#define     V_037604_PH_SC0_PA4_FPOV_WE                             78
#define     V_037604_PH_SC0_PA4_LPOV_WE                             79
#define     V_037604_PH_SC0_PA4_EOP_WE                              80
#define     V_037604_PH_SC0_PA4_DATA_FIFO_EOP_RD                    81
#define     V_037604_PH_SC0_PA4_EOPG_WE                             82
#define     V_037604_PH_SC0_PA4_DEALLOC_4_0_RD                      83
#define     V_037604_PH_SC0_PA5_DATA_FIFO_RD                        84
#define     V_037604_PH_SC0_PA5_DATA_FIFO_WE                        85
#define     V_037604_PH_SC0_PA5_FIFO_EMPTY                          86
#define     V_037604_PH_SC0_PA5_FIFO_FULL                           87
#define     V_037604_PH_SC0_PA5_NULL_WE                             88
#define     V_037604_PH_SC0_PA5_EVENT_WE                            89
#define     V_037604_PH_SC0_PA5_FPOV_WE                             90
#define     V_037604_PH_SC0_PA5_LPOV_WE                             91
#define     V_037604_PH_SC0_PA5_EOP_WE                              92
#define     V_037604_PH_SC0_PA5_DATA_FIFO_EOP_RD                    93
#define     V_037604_PH_SC0_PA5_EOPG_WE                             94
#define     V_037604_PH_SC0_PA5_DEALLOC_4_0_RD                      95
#define     V_037604_PH_SC0_PA6_DATA_FIFO_RD                        96
#define     V_037604_PH_SC0_PA6_DATA_FIFO_WE                        97
#define     V_037604_PH_SC0_PA6_FIFO_EMPTY                          98
#define     V_037604_PH_SC0_PA6_FIFO_FULL                           99
#define     V_037604_PH_SC0_PA6_NULL_WE                             100
#define     V_037604_PH_SC0_PA6_EVENT_WE                            101
#define     V_037604_PH_SC0_PA6_FPOV_WE                             102
#define     V_037604_PH_SC0_PA6_LPOV_WE                             103
#define     V_037604_PH_SC0_PA6_EOP_WE                              104
#define     V_037604_PH_SC0_PA6_DATA_FIFO_EOP_RD                    105
#define     V_037604_PH_SC0_PA6_EOPG_WE                             106
#define     V_037604_PH_SC0_PA6_DEALLOC_4_0_RD                      107
#define     V_037604_PH_SC0_PA7_DATA_FIFO_RD                        108
#define     V_037604_PH_SC0_PA7_DATA_FIFO_WE                        109
#define     V_037604_PH_SC0_PA7_FIFO_EMPTY                          110
#define     V_037604_PH_SC0_PA7_FIFO_FULL                           111
#define     V_037604_PH_SC0_PA7_NULL_WE                             112
#define     V_037604_PH_SC0_PA7_EVENT_WE                            113
#define     V_037604_PH_SC0_PA7_FPOV_WE                             114
#define     V_037604_PH_SC0_PA7_LPOV_WE                             115
#define     V_037604_PH_SC0_PA7_EOP_WE                              116
#define     V_037604_PH_SC0_PA7_DATA_FIFO_EOP_RD                    117
#define     V_037604_PH_SC0_PA7_EOPG_WE                             118
#define     V_037604_PH_SC0_PA7_DEALLOC_4_0_RD                      119
#define     V_037604_PH_SC1_SRPS_WINDOW_VALID                       120
#define     V_037604_PH_SC1_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        121
#define     V_037604_PH_SC1_ARB_XFC_ONLY_PRIM_CYCLES                122
#define     V_037604_PH_SC1_ARB_XFC_ONLY_ONE_INC_PER_PRIM           123
#define     V_037604_PH_SC1_ARB_STALLED_FROM_BELOW                  124
#define     V_037604_PH_SC1_ARB_STARVED_FROM_ABOVE                  125
#define     V_037604_PH_SC1_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 126
#define     V_037604_PH_SC1_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 127
#define     V_037604_PH_SC1_ARB_BUSY                                128
#define     V_037604_PH_SC1_ARB_PA_BUSY_SOP                         129
#define     V_037604_PH_SC1_ARB_EOP_POP_SYNC_POP                    130
#define     V_037604_PH_SC1_ARB_EVENT_SYNC_POP                      131
#define     V_037604_PH_SC1_PS_ENG_MULTICYCLE_BUBBLE                132
#define     V_037604_PH_SC1_EOP_SYNC_WINDOW                         133
#define     V_037604_PH_SC1_BUSY_PROCESSING_MULTICYCLE_PRIM         134
#define     V_037604_PH_SC1_BUSY_CNT_NOT_ZERO                       135
#define     V_037604_PH_SC1_SEND                                    136
#define     V_037604_PH_SC1_CREDIT_AT_ZERO_WITH_PENDING_SEND        137
#define     V_037604_PH_SC1_CREDIT_AT_MAX                           138
#define     V_037604_PH_SC1_CREDIT_AT_MAX_NO_PENDING_SEND           139
#define     V_037604_PH_SC1_GFX_PIPE_EVENT_PROVOKED_TRANSITION      140
#define     V_037604_PH_SC1_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   141
#define     V_037604_PH_SC1_GFX_PIPE0_TO_1_TRANSITION               142
#define     V_037604_PH_SC1_GFX_PIPE1_TO_0_TRANSITION               143
#define     V_037604_PH_SC1_PA0_DATA_FIFO_RD                        144
#define     V_037604_PH_SC1_PA0_DATA_FIFO_WE                        145
#define     V_037604_PH_SC1_PA0_FIFO_EMPTY                          146
#define     V_037604_PH_SC1_PA0_FIFO_FULL                           147
#define     V_037604_PH_SC1_PA0_NULL_WE                             148
#define     V_037604_PH_SC1_PA0_EVENT_WE                            149
#define     V_037604_PH_SC1_PA0_FPOV_WE                             150
#define     V_037604_PH_SC1_PA0_LPOV_WE                             151
#define     V_037604_PH_SC1_PA0_EOP_WE                              152
#define     V_037604_PH_SC1_PA0_DATA_FIFO_EOP_RD                    153
#define     V_037604_PH_SC1_PA0_EOPG_WE                             154
#define     V_037604_PH_SC1_PA0_DEALLOC_4_0_RD                      155
#define     V_037604_PH_SC1_PA1_DATA_FIFO_RD                        156
#define     V_037604_PH_SC1_PA1_DATA_FIFO_WE                        157
#define     V_037604_PH_SC1_PA1_FIFO_EMPTY                          158
#define     V_037604_PH_SC1_PA1_FIFO_FULL                           159
#define     V_037604_PH_SC1_PA1_NULL_WE                             160
#define     V_037604_PH_SC1_PA1_EVENT_WE                            161
#define     V_037604_PH_SC1_PA1_FPOV_WE                             162
#define     V_037604_PH_SC1_PA1_LPOV_WE                             163
#define     V_037604_PH_SC1_PA1_EOP_WE                              164
#define     V_037604_PH_SC1_PA1_DATA_FIFO_EOP_RD                    165
#define     V_037604_PH_SC1_PA1_EOPG_WE                             166
#define     V_037604_PH_SC1_PA1_DEALLOC_4_0_RD                      167
#define     V_037604_PH_SC1_PA2_DATA_FIFO_RD                        168
#define     V_037604_PH_SC1_PA2_DATA_FIFO_WE                        169
#define     V_037604_PH_SC1_PA2_FIFO_EMPTY                          170
#define     V_037604_PH_SC1_PA2_FIFO_FULL                           171
#define     V_037604_PH_SC1_PA2_NULL_WE                             172
#define     V_037604_PH_SC1_PA2_EVENT_WE                            173
#define     V_037604_PH_SC1_PA2_FPOV_WE                             174
#define     V_037604_PH_SC1_PA2_LPOV_WE                             175
#define     V_037604_PH_SC1_PA2_EOP_WE                              176
#define     V_037604_PH_SC1_PA2_DATA_FIFO_EOP_RD                    177
#define     V_037604_PH_SC1_PA2_EOPG_WE                             178
#define     V_037604_PH_SC1_PA2_DEALLOC_4_0_RD                      179
#define     V_037604_PH_SC1_PA3_DATA_FIFO_RD                        180
#define     V_037604_PH_SC1_PA3_DATA_FIFO_WE                        181
#define     V_037604_PH_SC1_PA3_FIFO_EMPTY                          182
#define     V_037604_PH_SC1_PA3_FIFO_FULL                           183
#define     V_037604_PH_SC1_PA3_NULL_WE                             184
#define     V_037604_PH_SC1_PA3_EVENT_WE                            185
#define     V_037604_PH_SC1_PA3_FPOV_WE                             186
#define     V_037604_PH_SC1_PA3_LPOV_WE                             187
#define     V_037604_PH_SC1_PA3_EOP_WE                              188
#define     V_037604_PH_SC1_PA3_DATA_FIFO_EOP_RD                    189
#define     V_037604_PH_SC1_PA3_EOPG_WE                             190
#define     V_037604_PH_SC1_PA3_DEALLOC_4_0_RD                      191
#define     V_037604_PH_SC1_PA4_DATA_FIFO_RD                        192
#define     V_037604_PH_SC1_PA4_DATA_FIFO_WE                        193
#define     V_037604_PH_SC1_PA4_FIFO_EMPTY                          194
#define     V_037604_PH_SC1_PA4_FIFO_FULL                           195
#define     V_037604_PH_SC1_PA4_NULL_WE                             196
#define     V_037604_PH_SC1_PA4_EVENT_WE                            197
#define     V_037604_PH_SC1_PA4_FPOV_WE                             198
#define     V_037604_PH_SC1_PA4_LPOV_WE                             199
#define     V_037604_PH_SC1_PA4_EOP_WE                              200
#define     V_037604_PH_SC1_PA4_DATA_FIFO_EOP_RD                    201
#define     V_037604_PH_SC1_PA4_EOPG_WE                             202
#define     V_037604_PH_SC1_PA4_DEALLOC_4_0_RD                      203
#define     V_037604_PH_SC1_PA5_DATA_FIFO_RD                        204
#define     V_037604_PH_SC1_PA5_DATA_FIFO_WE                        205
#define     V_037604_PH_SC1_PA5_FIFO_EMPTY                          206
#define     V_037604_PH_SC1_PA5_FIFO_FULL                           207
#define     V_037604_PH_SC1_PA5_NULL_WE                             208
#define     V_037604_PH_SC1_PA5_EVENT_WE                            209
#define     V_037604_PH_SC1_PA5_FPOV_WE                             210
#define     V_037604_PH_SC1_PA5_LPOV_WE                             211
#define     V_037604_PH_SC1_PA5_EOP_WE                              212
#define     V_037604_PH_SC1_PA5_DATA_FIFO_EOP_RD                    213
#define     V_037604_PH_SC1_PA5_EOPG_WE                             214
#define     V_037604_PH_SC1_PA5_DEALLOC_4_0_RD                      215
#define     V_037604_PH_SC1_PA6_DATA_FIFO_RD                        216
#define     V_037604_PH_SC1_PA6_DATA_FIFO_WE                        217
#define     V_037604_PH_SC1_PA6_FIFO_EMPTY                          218
#define     V_037604_PH_SC1_PA6_FIFO_FULL                           219
#define     V_037604_PH_SC1_PA6_NULL_WE                             220
#define     V_037604_PH_SC1_PA6_EVENT_WE                            221
#define     V_037604_PH_SC1_PA6_FPOV_WE                             222
#define     V_037604_PH_SC1_PA6_LPOV_WE                             223
#define     V_037604_PH_SC1_PA6_EOP_WE                              224
#define     V_037604_PH_SC1_PA6_DATA_FIFO_EOP_RD                    225
#define     V_037604_PH_SC1_PA6_EOPG_WE                             226
#define     V_037604_PH_SC1_PA6_DEALLOC_4_0_RD                      227
#define     V_037604_PH_SC1_PA7_DATA_FIFO_RD                        228
#define     V_037604_PH_SC1_PA7_DATA_FIFO_WE                        229
#define     V_037604_PH_SC1_PA7_FIFO_EMPTY                          230
#define     V_037604_PH_SC1_PA7_FIFO_FULL                           231
#define     V_037604_PH_SC1_PA7_NULL_WE                             232
#define     V_037604_PH_SC1_PA7_EVENT_WE                            233
#define     V_037604_PH_SC1_PA7_FPOV_WE                             234
#define     V_037604_PH_SC1_PA7_LPOV_WE                             235
#define     V_037604_PH_SC1_PA7_EOP_WE                              236
#define     V_037604_PH_SC1_PA7_DATA_FIFO_EOP_RD                    237
#define     V_037604_PH_SC1_PA7_EOPG_WE                             238
#define     V_037604_PH_SC1_PA7_DEALLOC_4_0_RD                      239
#define     V_037604_PH_SC2_SRPS_WINDOW_VALID                       240
#define     V_037604_PH_SC2_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        241
#define     V_037604_PH_SC2_ARB_XFC_ONLY_PRIM_CYCLES                242
#define     V_037604_PH_SC2_ARB_XFC_ONLY_ONE_INC_PER_PRIM           243
#define     V_037604_PH_SC2_ARB_STALLED_FROM_BELOW                  244
#define     V_037604_PH_SC2_ARB_STARVED_FROM_ABOVE                  245
#define     V_037604_PH_SC2_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 246
#define     V_037604_PH_SC2_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 247
#define     V_037604_PH_SC2_ARB_BUSY                                248
#define     V_037604_PH_SC2_ARB_PA_BUSY_SOP                         249
#define     V_037604_PH_SC2_ARB_EOP_POP_SYNC_POP                    250
#define     V_037604_PH_SC2_ARB_EVENT_SYNC_POP                      251
#define     V_037604_PH_SC2_PS_ENG_MULTICYCLE_BUBBLE                252
#define     V_037604_PH_SC2_EOP_SYNC_WINDOW                         253
#define     V_037604_PH_SC2_BUSY_PROCESSING_MULTICYCLE_PRIM         254
#define     V_037604_PH_SC2_BUSY_CNT_NOT_ZERO                       255
#define     V_037604_PH_SC2_SEND                                    256
#define     V_037604_PH_SC2_CREDIT_AT_ZERO_WITH_PENDING_SEND        257
#define     V_037604_PH_SC2_CREDIT_AT_MAX                           258
#define     V_037604_PH_SC2_CREDIT_AT_MAX_NO_PENDING_SEND           259
#define     V_037604_PH_SC2_GFX_PIPE_EVENT_PROVOKED_TRANSITION      260
#define     V_037604_PH_SC2_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   261
#define     V_037604_PH_SC2_GFX_PIPE0_TO_1_TRANSITION               262
#define     V_037604_PH_SC2_GFX_PIPE1_TO_0_TRANSITION               263
#define     V_037604_PH_SC2_PA0_DATA_FIFO_RD                        264
#define     V_037604_PH_SC2_PA0_DATA_FIFO_WE                        265
#define     V_037604_PH_SC2_PA0_FIFO_EMPTY                          266
#define     V_037604_PH_SC2_PA0_FIFO_FULL                           267
#define     V_037604_PH_SC2_PA0_NULL_WE                             268
#define     V_037604_PH_SC2_PA0_EVENT_WE                            269
#define     V_037604_PH_SC2_PA0_FPOV_WE                             270
#define     V_037604_PH_SC2_PA0_LPOV_WE                             271
#define     V_037604_PH_SC2_PA0_EOP_WE                              272
#define     V_037604_PH_SC2_PA0_DATA_FIFO_EOP_RD                    273
#define     V_037604_PH_SC2_PA0_EOPG_WE                             274
#define     V_037604_PH_SC2_PA0_DEALLOC_4_0_RD                      275
#define     V_037604_PH_SC2_PA1_DATA_FIFO_RD                        276
#define     V_037604_PH_SC2_PA1_DATA_FIFO_WE                        277
#define     V_037604_PH_SC2_PA1_FIFO_EMPTY                          278
#define     V_037604_PH_SC2_PA1_FIFO_FULL                           279
#define     V_037604_PH_SC2_PA1_NULL_WE                             280
#define     V_037604_PH_SC2_PA1_EVENT_WE                            281
#define     V_037604_PH_SC2_PA1_FPOV_WE                             282
#define     V_037604_PH_SC2_PA1_LPOV_WE                             283
#define     V_037604_PH_SC2_PA1_EOP_WE                              284
#define     V_037604_PH_SC2_PA1_DATA_FIFO_EOP_RD                    285
#define     V_037604_PH_SC2_PA1_EOPG_WE                             286
#define     V_037604_PH_SC2_PA1_DEALLOC_4_0_RD                      287
#define     V_037604_PH_SC2_PA2_DATA_FIFO_RD                        288
#define     V_037604_PH_SC2_PA2_DATA_FIFO_WE                        289
#define     V_037604_PH_SC2_PA2_FIFO_EMPTY                          290
#define     V_037604_PH_SC2_PA2_FIFO_FULL                           291
#define     V_037604_PH_SC2_PA2_NULL_WE                             292
#define     V_037604_PH_SC2_PA2_EVENT_WE                            293
#define     V_037604_PH_SC2_PA2_FPOV_WE                             294
#define     V_037604_PH_SC2_PA2_LPOV_WE                             295
#define     V_037604_PH_SC2_PA2_EOP_WE                              296
#define     V_037604_PH_SC2_PA2_DATA_FIFO_EOP_RD                    297
#define     V_037604_PH_SC2_PA2_EOPG_WE                             298
#define     V_037604_PH_SC2_PA2_DEALLOC_4_0_RD                      299
#define     V_037604_PH_SC2_PA3_DATA_FIFO_RD                        300
#define     V_037604_PH_SC2_PA3_DATA_FIFO_WE                        301
#define     V_037604_PH_SC2_PA3_FIFO_EMPTY                          302
#define     V_037604_PH_SC2_PA3_FIFO_FULL                           303
#define     V_037604_PH_SC2_PA3_NULL_WE                             304
#define     V_037604_PH_SC2_PA3_EVENT_WE                            305
#define     V_037604_PH_SC2_PA3_FPOV_WE                             306
#define     V_037604_PH_SC2_PA3_LPOV_WE                             307
#define     V_037604_PH_SC2_PA3_EOP_WE                              308
#define     V_037604_PH_SC2_PA3_DATA_FIFO_EOP_RD                    309
#define     V_037604_PH_SC2_PA3_EOPG_WE                             310
#define     V_037604_PH_SC2_PA3_DEALLOC_4_0_RD                      311
#define     V_037604_PH_SC2_PA4_DATA_FIFO_RD                        312
#define     V_037604_PH_SC2_PA4_DATA_FIFO_WE                        313
#define     V_037604_PH_SC2_PA4_FIFO_EMPTY                          314
#define     V_037604_PH_SC2_PA4_FIFO_FULL                           315
#define     V_037604_PH_SC2_PA4_NULL_WE                             316
#define     V_037604_PH_SC2_PA4_EVENT_WE                            317
#define     V_037604_PH_SC2_PA4_FPOV_WE                             318
#define     V_037604_PH_SC2_PA4_LPOV_WE                             319
#define     V_037604_PH_SC2_PA4_EOP_WE                              320
#define     V_037604_PH_SC2_PA4_DATA_FIFO_EOP_RD                    321
#define     V_037604_PH_SC2_PA4_EOPG_WE                             322
#define     V_037604_PH_SC2_PA4_DEALLOC_4_0_RD                      323
#define     V_037604_PH_SC2_PA5_DATA_FIFO_RD                        324
#define     V_037604_PH_SC2_PA5_DATA_FIFO_WE                        325
#define     V_037604_PH_SC2_PA5_FIFO_EMPTY                          326
#define     V_037604_PH_SC2_PA5_FIFO_FULL                           327
#define     V_037604_PH_SC2_PA5_NULL_WE                             328
#define     V_037604_PH_SC2_PA5_EVENT_WE                            329
#define     V_037604_PH_SC2_PA5_FPOV_WE                             330
#define     V_037604_PH_SC2_PA5_LPOV_WE                             331
#define     V_037604_PH_SC2_PA5_EOP_WE                              332
#define     V_037604_PH_SC2_PA5_DATA_FIFO_EOP_RD                    333
#define     V_037604_PH_SC2_PA5_EOPG_WE                             334
#define     V_037604_PH_SC2_PA5_DEALLOC_4_0_RD                      335
#define     V_037604_PH_SC2_PA6_DATA_FIFO_RD                        336
#define     V_037604_PH_SC2_PA6_DATA_FIFO_WE                        337
#define     V_037604_PH_SC2_PA6_FIFO_EMPTY                          338
#define     V_037604_PH_SC2_PA6_FIFO_FULL                           339
#define     V_037604_PH_SC2_PA6_NULL_WE                             340
#define     V_037604_PH_SC2_PA6_EVENT_WE                            341
#define     V_037604_PH_SC2_PA6_FPOV_WE                             342
#define     V_037604_PH_SC2_PA6_LPOV_WE                             343
#define     V_037604_PH_SC2_PA6_EOP_WE                              344
#define     V_037604_PH_SC2_PA6_DATA_FIFO_EOP_RD                    345
#define     V_037604_PH_SC2_PA6_EOPG_WE                             346
#define     V_037604_PH_SC2_PA6_DEALLOC_4_0_RD                      347
#define     V_037604_PH_SC2_PA7_DATA_FIFO_RD                        348
#define     V_037604_PH_SC2_PA7_DATA_FIFO_WE                        349
#define     V_037604_PH_SC2_PA7_FIFO_EMPTY                          350
#define     V_037604_PH_SC2_PA7_FIFO_FULL                           351
#define     V_037604_PH_SC2_PA7_NULL_WE                             352
#define     V_037604_PH_SC2_PA7_EVENT_WE                            353
#define     V_037604_PH_SC2_PA7_FPOV_WE                             354
#define     V_037604_PH_SC2_PA7_LPOV_WE                             355
#define     V_037604_PH_SC2_PA7_EOP_WE                              356
#define     V_037604_PH_SC2_PA7_DATA_FIFO_EOP_RD                    357
#define     V_037604_PH_SC2_PA7_EOPG_WE                             358
#define     V_037604_PH_SC2_PA7_DEALLOC_4_0_RD                      359
#define     V_037604_PH_SC3_SRPS_WINDOW_VALID                       360
#define     V_037604_PH_SC3_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        361
#define     V_037604_PH_SC3_ARB_XFC_ONLY_PRIM_CYCLES                362
#define     V_037604_PH_SC3_ARB_XFC_ONLY_ONE_INC_PER_PRIM           363
#define     V_037604_PH_SC3_ARB_STALLED_FROM_BELOW                  364
#define     V_037604_PH_SC3_ARB_STARVED_FROM_ABOVE                  365
#define     V_037604_PH_SC3_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 366
#define     V_037604_PH_SC3_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 367
#define     V_037604_PH_SC3_ARB_BUSY                                368
#define     V_037604_PH_SC3_ARB_PA_BUSY_SOP                         369
#define     V_037604_PH_SC3_ARB_EOP_POP_SYNC_POP                    370
#define     V_037604_PH_SC3_ARB_EVENT_SYNC_POP                      371
#define     V_037604_PH_SC3_PS_ENG_MULTICYCLE_BUBBLE                372
#define     V_037604_PH_SC3_EOP_SYNC_WINDOW                         373
#define     V_037604_PH_SC3_BUSY_PROCESSING_MULTICYCLE_PRIM         374
#define     V_037604_PH_SC3_BUSY_CNT_NOT_ZERO                       375
#define     V_037604_PH_SC3_SEND                                    376
#define     V_037604_PH_SC3_CREDIT_AT_ZERO_WITH_PENDING_SEND        377
#define     V_037604_PH_SC3_CREDIT_AT_MAX                           378
#define     V_037604_PH_SC3_CREDIT_AT_MAX_NO_PENDING_SEND           379
#define     V_037604_PH_SC3_GFX_PIPE_EVENT_PROVOKED_TRANSITION      380
#define     V_037604_PH_SC3_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   381
#define     V_037604_PH_SC3_GFX_PIPE0_TO_1_TRANSITION               382
#define     V_037604_PH_SC3_GFX_PIPE1_TO_0_TRANSITION               383
#define     V_037604_PH_SC3_PA0_DATA_FIFO_RD                        384
#define     V_037604_PH_SC3_PA0_DATA_FIFO_WE                        385
#define     V_037604_PH_SC3_PA0_FIFO_EMPTY                          386
#define     V_037604_PH_SC3_PA0_FIFO_FULL                           387
#define     V_037604_PH_SC3_PA0_NULL_WE                             388
#define     V_037604_PH_SC3_PA0_EVENT_WE                            389
#define     V_037604_PH_SC3_PA0_FPOV_WE                             390
#define     V_037604_PH_SC3_PA0_LPOV_WE                             391
#define     V_037604_PH_SC3_PA0_EOP_WE                              392
#define     V_037604_PH_SC3_PA0_DATA_FIFO_EOP_RD                    393
#define     V_037604_PH_SC3_PA0_EOPG_WE                             394
#define     V_037604_PH_SC3_PA0_DEALLOC_4_0_RD                      395
#define     V_037604_PH_SC3_PA1_DATA_FIFO_RD                        396
#define     V_037604_PH_SC3_PA1_DATA_FIFO_WE                        397
#define     V_037604_PH_SC3_PA1_FIFO_EMPTY                          398
#define     V_037604_PH_SC3_PA1_FIFO_FULL                           399
#define     V_037604_PH_SC3_PA1_NULL_WE                             400
#define     V_037604_PH_SC3_PA1_EVENT_WE                            401
#define     V_037604_PH_SC3_PA1_FPOV_WE                             402
#define     V_037604_PH_SC3_PA1_LPOV_WE                             403
#define     V_037604_PH_SC3_PA1_EOP_WE                              404
#define     V_037604_PH_SC3_PA1_DATA_FIFO_EOP_RD                    405
#define     V_037604_PH_SC3_PA1_EOPG_WE                             406
#define     V_037604_PH_SC3_PA1_DEALLOC_4_0_RD                      407
#define     V_037604_PH_SC3_PA2_DATA_FIFO_RD                        408
#define     V_037604_PH_SC3_PA2_DATA_FIFO_WE                        409
#define     V_037604_PH_SC3_PA2_FIFO_EMPTY                          410
#define     V_037604_PH_SC3_PA2_FIFO_FULL                           411
#define     V_037604_PH_SC3_PA2_NULL_WE                             412
#define     V_037604_PH_SC3_PA2_EVENT_WE                            413
#define     V_037604_PH_SC3_PA2_FPOV_WE                             414
#define     V_037604_PH_SC3_PA2_LPOV_WE                             415
#define     V_037604_PH_SC3_PA2_EOP_WE                              416
#define     V_037604_PH_SC3_PA2_DATA_FIFO_EOP_RD                    417
#define     V_037604_PH_SC3_PA2_EOPG_WE                             418
#define     V_037604_PH_SC3_PA2_DEALLOC_4_0_RD                      419
#define     V_037604_PH_SC3_PA3_DATA_FIFO_RD                        420
#define     V_037604_PH_SC3_PA3_DATA_FIFO_WE                        421
#define     V_037604_PH_SC3_PA3_FIFO_EMPTY                          422
#define     V_037604_PH_SC3_PA3_FIFO_FULL                           423
#define     V_037604_PH_SC3_PA3_NULL_WE                             424
#define     V_037604_PH_SC3_PA3_EVENT_WE                            425
#define     V_037604_PH_SC3_PA3_FPOV_WE                             426
#define     V_037604_PH_SC3_PA3_LPOV_WE                             427
#define     V_037604_PH_SC3_PA3_EOP_WE                              428
#define     V_037604_PH_SC3_PA3_DATA_FIFO_EOP_RD                    429
#define     V_037604_PH_SC3_PA3_EOPG_WE                             430
#define     V_037604_PH_SC3_PA3_DEALLOC_4_0_RD                      431
#define     V_037604_PH_SC3_PA4_DATA_FIFO_RD                        432
#define     V_037604_PH_SC3_PA4_DATA_FIFO_WE                        433
#define     V_037604_PH_SC3_PA4_FIFO_EMPTY                          434
#define     V_037604_PH_SC3_PA4_FIFO_FULL                           435
#define     V_037604_PH_SC3_PA4_NULL_WE                             436
#define     V_037604_PH_SC3_PA4_EVENT_WE                            437
#define     V_037604_PH_SC3_PA4_FPOV_WE                             438
#define     V_037604_PH_SC3_PA4_LPOV_WE                             439
#define     V_037604_PH_SC3_PA4_EOP_WE                              440
#define     V_037604_PH_SC3_PA4_DATA_FIFO_EOP_RD                    441
#define     V_037604_PH_SC3_PA4_EOPG_WE                             442
#define     V_037604_PH_SC3_PA4_DEALLOC_4_0_RD                      443
#define     V_037604_PH_SC3_PA5_DATA_FIFO_RD                        444
#define     V_037604_PH_SC3_PA5_DATA_FIFO_WE                        445
#define     V_037604_PH_SC3_PA5_FIFO_EMPTY                          446
#define     V_037604_PH_SC3_PA5_FIFO_FULL                           447
#define     V_037604_PH_SC3_PA5_NULL_WE                             448
#define     V_037604_PH_SC3_PA5_EVENT_WE                            449
#define     V_037604_PH_SC3_PA5_FPOV_WE                             450
#define     V_037604_PH_SC3_PA5_LPOV_WE                             451
#define     V_037604_PH_SC3_PA5_EOP_WE                              452
#define     V_037604_PH_SC3_PA5_DATA_FIFO_EOP_RD                    453
#define     V_037604_PH_SC3_PA5_EOPG_WE                             454
#define     V_037604_PH_SC3_PA5_DEALLOC_4_0_RD                      455
#define     V_037604_PH_SC3_PA6_DATA_FIFO_RD                        456
#define     V_037604_PH_SC3_PA6_DATA_FIFO_WE                        457
#define     V_037604_PH_SC3_PA6_FIFO_EMPTY                          458
#define     V_037604_PH_SC3_PA6_FIFO_FULL                           459
#define     V_037604_PH_SC3_PA6_NULL_WE                             460
#define     V_037604_PH_SC3_PA6_EVENT_WE                            461
#define     V_037604_PH_SC3_PA6_FPOV_WE                             462
#define     V_037604_PH_SC3_PA6_LPOV_WE                             463
#define     V_037604_PH_SC3_PA6_EOP_WE                              464
#define     V_037604_PH_SC3_PA6_DATA_FIFO_EOP_RD                    465
#define     V_037604_PH_SC3_PA6_EOPG_WE                             466
#define     V_037604_PH_SC3_PA6_DEALLOC_4_0_RD                      467
#define     V_037604_PH_SC3_PA7_DATA_FIFO_RD                        468
#define     V_037604_PH_SC3_PA7_DATA_FIFO_WE                        469
#define     V_037604_PH_SC3_PA7_FIFO_EMPTY                          470
#define     V_037604_PH_SC3_PA7_FIFO_FULL                           471
#define     V_037604_PH_SC3_PA7_NULL_WE                             472
#define     V_037604_PH_SC3_PA7_EVENT_WE                            473
#define     V_037604_PH_SC3_PA7_FPOV_WE                             474
#define     V_037604_PH_SC3_PA7_LPOV_WE                             475
#define     V_037604_PH_SC3_PA7_EOP_WE                              476
#define     V_037604_PH_SC3_PA7_DATA_FIFO_EOP_RD                    477
#define     V_037604_PH_SC3_PA7_EOPG_WE                             478
#define     V_037604_PH_SC3_PA7_DEALLOC_4_0_RD                      479
#define     V_037604_PH_SC4_SRPS_WINDOW_VALID                       480
#define     V_037604_PH_SC4_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        481
#define     V_037604_PH_SC4_ARB_XFC_ONLY_PRIM_CYCLES                482
#define     V_037604_PH_SC4_ARB_XFC_ONLY_ONE_INC_PER_PRIM           483
#define     V_037604_PH_SC4_ARB_STALLED_FROM_BELOW                  484
#define     V_037604_PH_SC4_ARB_STARVED_FROM_ABOVE                  485
#define     V_037604_PH_SC4_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 486
#define     V_037604_PH_SC4_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 487
#define     V_037604_PH_SC4_ARB_BUSY                                488
#define     V_037604_PH_SC4_ARB_PA_BUSY_SOP                         489
#define     V_037604_PH_SC4_ARB_EOP_POP_SYNC_POP                    490
#define     V_037604_PH_SC4_ARB_EVENT_SYNC_POP                      491
#define     V_037604_PH_SC4_PS_ENG_MULTICYCLE_BUBBLE                492
#define     V_037604_PH_SC4_EOP_SYNC_WINDOW                         493
#define     V_037604_PH_SC4_BUSY_PROCESSING_MULTICYCLE_PRIM         494
#define     V_037604_PH_SC4_BUSY_CNT_NOT_ZERO                       495
#define     V_037604_PH_SC4_SEND                                    496
#define     V_037604_PH_SC4_CREDIT_AT_ZERO_WITH_PENDING_SEND        497
#define     V_037604_PH_SC4_CREDIT_AT_MAX                           498
#define     V_037604_PH_SC4_CREDIT_AT_MAX_NO_PENDING_SEND           499
#define     V_037604_PH_SC4_GFX_PIPE_EVENT_PROVOKED_TRANSITION      500
#define     V_037604_PH_SC4_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   501
#define     V_037604_PH_SC4_GFX_PIPE0_TO_1_TRANSITION               502
#define     V_037604_PH_SC4_GFX_PIPE1_TO_0_TRANSITION               503
#define     V_037604_PH_SC4_PA0_DATA_FIFO_RD                        504
#define     V_037604_PH_SC4_PA0_DATA_FIFO_WE                        505
#define     V_037604_PH_SC4_PA0_FIFO_EMPTY                          506
#define     V_037604_PH_SC4_PA0_FIFO_FULL                           507
#define     V_037604_PH_SC4_PA0_NULL_WE                             508
#define     V_037604_PH_SC4_PA0_EVENT_WE                            509
#define     V_037604_PH_SC4_PA0_FPOV_WE                             510
#define     V_037604_PH_SC4_PA0_LPOV_WE                             511
#define     V_037604_PH_SC4_PA0_EOP_WE                              512
#define     V_037604_PH_SC4_PA0_DATA_FIFO_EOP_RD                    513
#define     V_037604_PH_SC4_PA0_EOPG_WE                             514
#define     V_037604_PH_SC4_PA0_DEALLOC_4_0_RD                      515
#define     V_037604_PH_SC4_PA1_DATA_FIFO_RD                        516
#define     V_037604_PH_SC4_PA1_DATA_FIFO_WE                        517
#define     V_037604_PH_SC4_PA1_FIFO_EMPTY                          518
#define     V_037604_PH_SC4_PA1_FIFO_FULL                           519
#define     V_037604_PH_SC4_PA1_NULL_WE                             520
#define     V_037604_PH_SC4_PA1_EVENT_WE                            521
#define     V_037604_PH_SC4_PA1_FPOV_WE                             522
#define     V_037604_PH_SC4_PA1_LPOV_WE                             523
#define     V_037604_PH_SC4_PA1_EOP_WE                              524
#define     V_037604_PH_SC4_PA1_DATA_FIFO_EOP_RD                    525
#define     V_037604_PH_SC4_PA1_EOPG_WE                             526
#define     V_037604_PH_SC4_PA1_DEALLOC_4_0_RD                      527
#define     V_037604_PH_SC4_PA2_DATA_FIFO_RD                        528
#define     V_037604_PH_SC4_PA2_DATA_FIFO_WE                        529
#define     V_037604_PH_SC4_PA2_FIFO_EMPTY                          530
#define     V_037604_PH_SC4_PA2_FIFO_FULL                           531
#define     V_037604_PH_SC4_PA2_NULL_WE                             532
#define     V_037604_PH_SC4_PA2_EVENT_WE                            533
#define     V_037604_PH_SC4_PA2_FPOV_WE                             534
#define     V_037604_PH_SC4_PA2_LPOV_WE                             535
#define     V_037604_PH_SC4_PA2_EOP_WE                              536
#define     V_037604_PH_SC4_PA2_DATA_FIFO_EOP_RD                    537
#define     V_037604_PH_SC4_PA2_EOPG_WE                             538
#define     V_037604_PH_SC4_PA2_DEALLOC_4_0_RD                      539
#define     V_037604_PH_SC4_PA3_DATA_FIFO_RD                        540
#define     V_037604_PH_SC4_PA3_DATA_FIFO_WE                        541
#define     V_037604_PH_SC4_PA3_FIFO_EMPTY                          542
#define     V_037604_PH_SC4_PA3_FIFO_FULL                           543
#define     V_037604_PH_SC4_PA3_NULL_WE                             544
#define     V_037604_PH_SC4_PA3_EVENT_WE                            545
#define     V_037604_PH_SC4_PA3_FPOV_WE                             546
#define     V_037604_PH_SC4_PA3_LPOV_WE                             547
#define     V_037604_PH_SC4_PA3_EOP_WE                              548
#define     V_037604_PH_SC4_PA3_DATA_FIFO_EOP_RD                    549
#define     V_037604_PH_SC4_PA3_EOPG_WE                             550
#define     V_037604_PH_SC4_PA3_DEALLOC_4_0_RD                      551
#define     V_037604_PH_SC4_PA4_DATA_FIFO_RD                        552
#define     V_037604_PH_SC4_PA4_DATA_FIFO_WE                        553
#define     V_037604_PH_SC4_PA4_FIFO_EMPTY                          554
#define     V_037604_PH_SC4_PA4_FIFO_FULL                           555
#define     V_037604_PH_SC4_PA4_NULL_WE                             556
#define     V_037604_PH_SC4_PA4_EVENT_WE                            557
#define     V_037604_PH_SC4_PA4_FPOV_WE                             558
#define     V_037604_PH_SC4_PA4_LPOV_WE                             559
#define     V_037604_PH_SC4_PA4_EOP_WE                              560
#define     V_037604_PH_SC4_PA4_DATA_FIFO_EOP_RD                    561
#define     V_037604_PH_SC4_PA4_EOPG_WE                             562
#define     V_037604_PH_SC4_PA4_DEALLOC_4_0_RD                      563
#define     V_037604_PH_SC4_PA5_DATA_FIFO_RD                        564
#define     V_037604_PH_SC4_PA5_DATA_FIFO_WE                        565
#define     V_037604_PH_SC4_PA5_FIFO_EMPTY                          566
#define     V_037604_PH_SC4_PA5_FIFO_FULL                           567
#define     V_037604_PH_SC4_PA5_NULL_WE                             568
#define     V_037604_PH_SC4_PA5_EVENT_WE                            569
#define     V_037604_PH_SC4_PA5_FPOV_WE                             570
#define     V_037604_PH_SC4_PA5_LPOV_WE                             571
#define     V_037604_PH_SC4_PA5_EOP_WE                              572
#define     V_037604_PH_SC4_PA5_DATA_FIFO_EOP_RD                    573
#define     V_037604_PH_SC4_PA5_EOPG_WE                             574
#define     V_037604_PH_SC4_PA5_DEALLOC_4_0_RD                      575
#define     V_037604_PH_SC4_PA6_DATA_FIFO_RD                        576
#define     V_037604_PH_SC4_PA6_DATA_FIFO_WE                        577
#define     V_037604_PH_SC4_PA6_FIFO_EMPTY                          578
#define     V_037604_PH_SC4_PA6_FIFO_FULL                           579
#define     V_037604_PH_SC4_PA6_NULL_WE                             580
#define     V_037604_PH_SC4_PA6_EVENT_WE                            581
#define     V_037604_PH_SC4_PA6_FPOV_WE                             582
#define     V_037604_PH_SC4_PA6_LPOV_WE                             583
#define     V_037604_PH_SC4_PA6_EOP_WE                              584
#define     V_037604_PH_SC4_PA6_DATA_FIFO_EOP_RD                    585
#define     V_037604_PH_SC4_PA6_EOPG_WE                             586
#define     V_037604_PH_SC4_PA6_DEALLOC_4_0_RD                      587
#define     V_037604_PH_SC4_PA7_DATA_FIFO_RD                        588
#define     V_037604_PH_SC4_PA7_DATA_FIFO_WE                        589
#define     V_037604_PH_SC4_PA7_FIFO_EMPTY                          590
#define     V_037604_PH_SC4_PA7_FIFO_FULL                           591
#define     V_037604_PH_SC4_PA7_NULL_WE                             592
#define     V_037604_PH_SC4_PA7_EVENT_WE                            593
#define     V_037604_PH_SC4_PA7_FPOV_WE                             594
#define     V_037604_PH_SC4_PA7_LPOV_WE                             595
#define     V_037604_PH_SC4_PA7_EOP_WE                              596
#define     V_037604_PH_SC4_PA7_DATA_FIFO_EOP_RD                    597
#define     V_037604_PH_SC4_PA7_EOPG_WE                             598
#define     V_037604_PH_SC4_PA7_DEALLOC_4_0_RD                      599
#define     V_037604_PH_SC5_SRPS_WINDOW_VALID                       600
#define     V_037604_PH_SC5_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        601
#define     V_037604_PH_SC5_ARB_XFC_ONLY_PRIM_CYCLES                602
#define     V_037604_PH_SC5_ARB_XFC_ONLY_ONE_INC_PER_PRIM           603
#define     V_037604_PH_SC5_ARB_STALLED_FROM_BELOW                  604
#define     V_037604_PH_SC5_ARB_STARVED_FROM_ABOVE                  605
#define     V_037604_PH_SC5_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 606
#define     V_037604_PH_SC5_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 607
#define     V_037604_PH_SC5_ARB_BUSY                                608
#define     V_037604_PH_SC5_ARB_PA_BUSY_SOP                         609
#define     V_037604_PH_SC5_ARB_EOP_POP_SYNC_POP                    610
#define     V_037604_PH_SC5_ARB_EVENT_SYNC_POP                      611
#define     V_037604_PH_SC5_PS_ENG_MULTICYCLE_BUBBLE                612
#define     V_037604_PH_SC5_EOP_SYNC_WINDOW                         613
#define     V_037604_PH_SC5_BUSY_PROCESSING_MULTICYCLE_PRIM         614
#define     V_037604_PH_SC5_BUSY_CNT_NOT_ZERO                       615
#define     V_037604_PH_SC5_SEND                                    616
#define     V_037604_PH_SC5_CREDIT_AT_ZERO_WITH_PENDING_SEND        617
#define     V_037604_PH_SC5_CREDIT_AT_MAX                           618
#define     V_037604_PH_SC5_CREDIT_AT_MAX_NO_PENDING_SEND           619
#define     V_037604_PH_SC5_GFX_PIPE_EVENT_PROVOKED_TRANSITION      620
#define     V_037604_PH_SC5_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   621
#define     V_037604_PH_SC5_GFX_PIPE0_TO_1_TRANSITION               622
#define     V_037604_PH_SC5_GFX_PIPE1_TO_0_TRANSITION               623
#define     V_037604_PH_SC5_PA0_DATA_FIFO_RD                        624
#define     V_037604_PH_SC5_PA0_DATA_FIFO_WE                        625
#define     V_037604_PH_SC5_PA0_FIFO_EMPTY                          626
#define     V_037604_PH_SC5_PA0_FIFO_FULL                           627
#define     V_037604_PH_SC5_PA0_NULL_WE                             628
#define     V_037604_PH_SC5_PA0_EVENT_WE                            629
#define     V_037604_PH_SC5_PA0_FPOV_WE                             630
#define     V_037604_PH_SC5_PA0_LPOV_WE                             631
#define     V_037604_PH_SC5_PA0_EOP_WE                              632
#define     V_037604_PH_SC5_PA0_DATA_FIFO_EOP_RD                    633
#define     V_037604_PH_SC5_PA0_EOPG_WE                             634
#define     V_037604_PH_SC5_PA0_DEALLOC_4_0_RD                      635
#define     V_037604_PH_SC5_PA1_DATA_FIFO_RD                        636
#define     V_037604_PH_SC5_PA1_DATA_FIFO_WE                        637
#define     V_037604_PH_SC5_PA1_FIFO_EMPTY                          638
#define     V_037604_PH_SC5_PA1_FIFO_FULL                           639
#define     V_037604_PH_SC5_PA1_NULL_WE                             640
#define     V_037604_PH_SC5_PA1_EVENT_WE                            641
#define     V_037604_PH_SC5_PA1_FPOV_WE                             642
#define     V_037604_PH_SC5_PA1_LPOV_WE                             643
#define     V_037604_PH_SC5_PA1_EOP_WE                              644
#define     V_037604_PH_SC5_PA1_DATA_FIFO_EOP_RD                    645
#define     V_037604_PH_SC5_PA1_EOPG_WE                             646
#define     V_037604_PH_SC5_PA1_DEALLOC_4_0_RD                      647
#define     V_037604_PH_SC5_PA2_DATA_FIFO_RD                        648
#define     V_037604_PH_SC5_PA2_DATA_FIFO_WE                        649
#define     V_037604_PH_SC5_PA2_FIFO_EMPTY                          650
#define     V_037604_PH_SC5_PA2_FIFO_FULL                           651
#define     V_037604_PH_SC5_PA2_NULL_WE                             652
#define     V_037604_PH_SC5_PA2_EVENT_WE                            653
#define     V_037604_PH_SC5_PA2_FPOV_WE                             654
#define     V_037604_PH_SC5_PA2_LPOV_WE                             655
#define     V_037604_PH_SC5_PA2_EOP_WE                              656
#define     V_037604_PH_SC5_PA2_DATA_FIFO_EOP_RD                    657
#define     V_037604_PH_SC5_PA2_EOPG_WE                             658
#define     V_037604_PH_SC5_PA2_DEALLOC_4_0_RD                      659
#define     V_037604_PH_SC5_PA3_DATA_FIFO_RD                        660
#define     V_037604_PH_SC5_PA3_DATA_FIFO_WE                        661
#define     V_037604_PH_SC5_PA3_FIFO_EMPTY                          662
#define     V_037604_PH_SC5_PA3_FIFO_FULL                           663
#define     V_037604_PH_SC5_PA3_NULL_WE                             664
#define     V_037604_PH_SC5_PA3_EVENT_WE                            665
#define     V_037604_PH_SC5_PA3_FPOV_WE                             666
#define     V_037604_PH_SC5_PA3_LPOV_WE                             667
#define     V_037604_PH_SC5_PA3_EOP_WE                              668
#define     V_037604_PH_SC5_PA3_DATA_FIFO_EOP_RD                    669
#define     V_037604_PH_SC5_PA3_EOPG_WE                             670
#define     V_037604_PH_SC5_PA3_DEALLOC_4_0_RD                      671
#define     V_037604_PH_SC5_PA4_DATA_FIFO_RD                        672
#define     V_037604_PH_SC5_PA4_DATA_FIFO_WE                        673
#define     V_037604_PH_SC5_PA4_FIFO_EMPTY                          674
#define     V_037604_PH_SC5_PA4_FIFO_FULL                           675
#define     V_037604_PH_SC5_PA4_NULL_WE                             676
#define     V_037604_PH_SC5_PA4_EVENT_WE                            677
#define     V_037604_PH_SC5_PA4_FPOV_WE                             678
#define     V_037604_PH_SC5_PA4_LPOV_WE                             679
#define     V_037604_PH_SC5_PA4_EOP_WE                              680
#define     V_037604_PH_SC5_PA4_DATA_FIFO_EOP_RD                    681
#define     V_037604_PH_SC5_PA4_EOPG_WE                             682
#define     V_037604_PH_SC5_PA4_DEALLOC_4_0_RD                      683
#define     V_037604_PH_SC5_PA5_DATA_FIFO_RD                        684
#define     V_037604_PH_SC5_PA5_DATA_FIFO_WE                        685
#define     V_037604_PH_SC5_PA5_FIFO_EMPTY                          686
#define     V_037604_PH_SC5_PA5_FIFO_FULL                           687
#define     V_037604_PH_SC5_PA5_NULL_WE                             688
#define     V_037604_PH_SC5_PA5_EVENT_WE                            689
#define     V_037604_PH_SC5_PA5_FPOV_WE                             690
#define     V_037604_PH_SC5_PA5_LPOV_WE                             691
#define     V_037604_PH_SC5_PA5_EOP_WE                              692
#define     V_037604_PH_SC5_PA5_DATA_FIFO_EOP_RD                    693
#define     V_037604_PH_SC5_PA5_EOPG_WE                             694
#define     V_037604_PH_SC5_PA5_DEALLOC_4_0_RD                      695
#define     V_037604_PH_SC5_PA6_DATA_FIFO_RD                        696
#define     V_037604_PH_SC5_PA6_DATA_FIFO_WE                        697
#define     V_037604_PH_SC5_PA6_FIFO_EMPTY                          698
#define     V_037604_PH_SC5_PA6_FIFO_FULL                           699
#define     V_037604_PH_SC5_PA6_NULL_WE                             700
#define     V_037604_PH_SC5_PA6_EVENT_WE                            701
#define     V_037604_PH_SC5_PA6_FPOV_WE                             702
#define     V_037604_PH_SC5_PA6_LPOV_WE                             703
#define     V_037604_PH_SC5_PA6_EOP_WE                              704
#define     V_037604_PH_SC5_PA6_DATA_FIFO_EOP_RD                    705
#define     V_037604_PH_SC5_PA6_EOPG_WE                             706
#define     V_037604_PH_SC5_PA6_DEALLOC_4_0_RD                      707
#define     V_037604_PH_SC5_PA7_DATA_FIFO_RD                        708
#define     V_037604_PH_SC5_PA7_DATA_FIFO_WE                        709
#define     V_037604_PH_SC5_PA7_FIFO_EMPTY                          710
#define     V_037604_PH_SC5_PA7_FIFO_FULL                           711
#define     V_037604_PH_SC5_PA7_NULL_WE                             712
#define     V_037604_PH_SC5_PA7_EVENT_WE                            713
#define     V_037604_PH_SC5_PA7_FPOV_WE                             714
#define     V_037604_PH_SC5_PA7_LPOV_WE                             715
#define     V_037604_PH_SC5_PA7_EOP_WE                              716
#define     V_037604_PH_SC5_PA7_DATA_FIFO_EOP_RD                    717
#define     V_037604_PH_SC5_PA7_EOPG_WE                             718
#define     V_037604_PH_SC5_PA7_DEALLOC_4_0_RD                      719
#define     V_037604_PH_SC6_SRPS_WINDOW_VALID                       720
#define     V_037604_PH_SC6_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        721
#define     V_037604_PH_SC6_ARB_XFC_ONLY_PRIM_CYCLES                722
#define     V_037604_PH_SC6_ARB_XFC_ONLY_ONE_INC_PER_PRIM           723
#define     V_037604_PH_SC6_ARB_STALLED_FROM_BELOW                  724
#define     V_037604_PH_SC6_ARB_STARVED_FROM_ABOVE                  725
#define     V_037604_PH_SC6_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 726
#define     V_037604_PH_SC6_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 727
#define     V_037604_PH_SC6_ARB_BUSY                                728
#define     V_037604_PH_SC6_ARB_PA_BUSY_SOP                         729
#define     V_037604_PH_SC6_ARB_EOP_POP_SYNC_POP                    730
#define     V_037604_PH_SC6_ARB_EVENT_SYNC_POP                      731
#define     V_037604_PH_SC6_PS_ENG_MULTICYCLE_BUBBLE                732
#define     V_037604_PH_SC6_EOP_SYNC_WINDOW                         733
#define     V_037604_PH_SC6_BUSY_PROCESSING_MULTICYCLE_PRIM         734
#define     V_037604_PH_SC6_BUSY_CNT_NOT_ZERO                       735
#define     V_037604_PH_SC6_SEND                                    736
#define     V_037604_PH_SC6_CREDIT_AT_ZERO_WITH_PENDING_SEND        737
#define     V_037604_PH_SC6_CREDIT_AT_MAX                           738
#define     V_037604_PH_SC6_CREDIT_AT_MAX_NO_PENDING_SEND           739
#define     V_037604_PH_SC6_GFX_PIPE_EVENT_PROVOKED_TRANSITION      740
#define     V_037604_PH_SC6_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   741
#define     V_037604_PH_SC6_GFX_PIPE0_TO_1_TRANSITION               742
#define     V_037604_PH_SC6_GFX_PIPE1_TO_0_TRANSITION               743
#define     V_037604_PH_SC6_PA0_DATA_FIFO_RD                        744
#define     V_037604_PH_SC6_PA0_DATA_FIFO_WE                        745
#define     V_037604_PH_SC6_PA0_FIFO_EMPTY                          746
#define     V_037604_PH_SC6_PA0_FIFO_FULL                           747
#define     V_037604_PH_SC6_PA0_NULL_WE                             748
#define     V_037604_PH_SC6_PA0_EVENT_WE                            749
#define     V_037604_PH_SC6_PA0_FPOV_WE                             750
#define     V_037604_PH_SC6_PA0_LPOV_WE                             751
#define     V_037604_PH_SC6_PA0_EOP_WE                              752
#define     V_037604_PH_SC6_PA0_DATA_FIFO_EOP_RD                    753
#define     V_037604_PH_SC6_PA0_EOPG_WE                             754
#define     V_037604_PH_SC6_PA0_DEALLOC_4_0_RD                      755
#define     V_037604_PH_SC6_PA1_DATA_FIFO_RD                        756
#define     V_037604_PH_SC6_PA1_DATA_FIFO_WE                        757
#define     V_037604_PH_SC6_PA1_FIFO_EMPTY                          758
#define     V_037604_PH_SC6_PA1_FIFO_FULL                           759
#define     V_037604_PH_SC6_PA1_NULL_WE                             760
#define     V_037604_PH_SC6_PA1_EVENT_WE                            761
#define     V_037604_PH_SC6_PA1_FPOV_WE                             762
#define     V_037604_PH_SC6_PA1_LPOV_WE                             763
#define     V_037604_PH_SC6_PA1_EOP_WE                              764
#define     V_037604_PH_SC6_PA1_DATA_FIFO_EOP_RD                    765
#define     V_037604_PH_SC6_PA1_EOPG_WE                             766
#define     V_037604_PH_SC6_PA1_DEALLOC_4_0_RD                      767
#define     V_037604_PH_SC6_PA2_DATA_FIFO_RD                        768
#define     V_037604_PH_SC6_PA2_DATA_FIFO_WE                        769
#define     V_037604_PH_SC6_PA2_FIFO_EMPTY                          770
#define     V_037604_PH_SC6_PA2_FIFO_FULL                           771
#define     V_037604_PH_SC6_PA2_NULL_WE                             772
#define     V_037604_PH_SC6_PA2_EVENT_WE                            773
#define     V_037604_PH_SC6_PA2_FPOV_WE                             774
#define     V_037604_PH_SC6_PA2_LPOV_WE                             775
#define     V_037604_PH_SC6_PA2_EOP_WE                              776
#define     V_037604_PH_SC6_PA2_DATA_FIFO_EOP_RD                    777
#define     V_037604_PH_SC6_PA2_EOPG_WE                             778
#define     V_037604_PH_SC6_PA2_DEALLOC_4_0_RD                      779
#define     V_037604_PH_SC6_PA3_DATA_FIFO_RD                        780
#define     V_037604_PH_SC6_PA3_DATA_FIFO_WE                        781
#define     V_037604_PH_SC6_PA3_FIFO_EMPTY                          782
#define     V_037604_PH_SC6_PA3_FIFO_FULL                           783
#define     V_037604_PH_SC6_PA3_NULL_WE                             784
#define     V_037604_PH_SC6_PA3_EVENT_WE                            785
#define     V_037604_PH_SC6_PA3_FPOV_WE                             786
#define     V_037604_PH_SC6_PA3_LPOV_WE                             787
#define     V_037604_PH_SC6_PA3_EOP_WE                              788
#define     V_037604_PH_SC6_PA3_DATA_FIFO_EOP_RD                    789
#define     V_037604_PH_SC6_PA3_EOPG_WE                             790
#define     V_037604_PH_SC6_PA3_DEALLOC_4_0_RD                      791
#define     V_037604_PH_SC6_PA4_DATA_FIFO_RD                        792
#define     V_037604_PH_SC6_PA4_DATA_FIFO_WE                        793
#define     V_037604_PH_SC6_PA4_FIFO_EMPTY                          794
#define     V_037604_PH_SC6_PA4_FIFO_FULL                           795
#define     V_037604_PH_SC6_PA4_NULL_WE                             796
#define     V_037604_PH_SC6_PA4_EVENT_WE                            797
#define     V_037604_PH_SC6_PA4_FPOV_WE                             798
#define     V_037604_PH_SC6_PA4_LPOV_WE                             799
#define     V_037604_PH_SC6_PA4_EOP_WE                              800
#define     V_037604_PH_SC6_PA4_DATA_FIFO_EOP_RD                    801
#define     V_037604_PH_SC6_PA4_EOPG_WE                             802
#define     V_037604_PH_SC6_PA4_DEALLOC_4_0_RD                      803
#define     V_037604_PH_SC6_PA5_DATA_FIFO_RD                        804
#define     V_037604_PH_SC6_PA5_DATA_FIFO_WE                        805
#define     V_037604_PH_SC6_PA5_FIFO_EMPTY                          806
#define     V_037604_PH_SC6_PA5_FIFO_FULL                           807
#define     V_037604_PH_SC6_PA5_NULL_WE                             808
#define     V_037604_PH_SC6_PA5_EVENT_WE                            809
#define     V_037604_PH_SC6_PA5_FPOV_WE                             810
#define     V_037604_PH_SC6_PA5_LPOV_WE                             811
#define     V_037604_PH_SC6_PA5_EOP_WE                              812
#define     V_037604_PH_SC6_PA5_DATA_FIFO_EOP_RD                    813
#define     V_037604_PH_SC6_PA5_EOPG_WE                             814
#define     V_037604_PH_SC6_PA5_DEALLOC_4_0_RD                      815
#define     V_037604_PH_SC6_PA6_DATA_FIFO_RD                        816
#define     V_037604_PH_SC6_PA6_DATA_FIFO_WE                        817
#define     V_037604_PH_SC6_PA6_FIFO_EMPTY                          818
#define     V_037604_PH_SC6_PA6_FIFO_FULL                           819
#define     V_037604_PH_SC6_PA6_NULL_WE                             820
#define     V_037604_PH_SC6_PA6_EVENT_WE                            821
#define     V_037604_PH_SC6_PA6_FPOV_WE                             822
#define     V_037604_PH_SC6_PA6_LPOV_WE                             823
#define     V_037604_PH_SC6_PA6_EOP_WE                              824
#define     V_037604_PH_SC6_PA6_DATA_FIFO_EOP_RD                    825
#define     V_037604_PH_SC6_PA6_EOPG_WE                             826
#define     V_037604_PH_SC6_PA6_DEALLOC_4_0_RD                      827
#define     V_037604_PH_SC6_PA7_DATA_FIFO_RD                        828
#define     V_037604_PH_SC6_PA7_DATA_FIFO_WE                        829
#define     V_037604_PH_SC6_PA7_FIFO_EMPTY                          830
#define     V_037604_PH_SC6_PA7_FIFO_FULL                           831
#define     V_037604_PH_SC6_PA7_NULL_WE                             832
#define     V_037604_PH_SC6_PA7_EVENT_WE                            833
#define     V_037604_PH_SC6_PA7_FPOV_WE                             834
#define     V_037604_PH_SC6_PA7_LPOV_WE                             835
#define     V_037604_PH_SC6_PA7_EOP_WE                              836
#define     V_037604_PH_SC6_PA7_DATA_FIFO_EOP_RD                    837
#define     V_037604_PH_SC6_PA7_EOPG_WE                             838
#define     V_037604_PH_SC6_PA7_DEALLOC_4_0_RD                      839
#define     V_037604_PH_SC7_SRPS_WINDOW_VALID                       840
#define     V_037604_PH_SC7_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        841
#define     V_037604_PH_SC7_ARB_XFC_ONLY_PRIM_CYCLES                842
#define     V_037604_PH_SC7_ARB_XFC_ONLY_ONE_INC_PER_PRIM           843
#define     V_037604_PH_SC7_ARB_STALLED_FROM_BELOW                  844
#define     V_037604_PH_SC7_ARB_STARVED_FROM_ABOVE                  845
#define     V_037604_PH_SC7_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 846
#define     V_037604_PH_SC7_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 847
#define     V_037604_PH_SC7_ARB_BUSY                                848
#define     V_037604_PH_SC7_ARB_PA_BUSY_SOP                         849
#define     V_037604_PH_SC7_ARB_EOP_POP_SYNC_POP                    850
#define     V_037604_PH_SC7_ARB_EVENT_SYNC_POP                      851
#define     V_037604_PH_SC7_PS_ENG_MULTICYCLE_BUBBLE                852
#define     V_037604_PH_SC7_EOP_SYNC_WINDOW                         853
#define     V_037604_PH_SC7_BUSY_PROCESSING_MULTICYCLE_PRIM         854
#define     V_037604_PH_SC7_BUSY_CNT_NOT_ZERO                       855
#define     V_037604_PH_SC7_SEND                                    856
#define     V_037604_PH_SC7_CREDIT_AT_ZERO_WITH_PENDING_SEND        857
#define     V_037604_PH_SC7_CREDIT_AT_MAX                           858
#define     V_037604_PH_SC7_CREDIT_AT_MAX_NO_PENDING_SEND           859
#define     V_037604_PH_SC7_GFX_PIPE_EVENT_PROVOKED_TRANSITION      860
#define     V_037604_PH_SC7_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   861
#define     V_037604_PH_SC7_GFX_PIPE0_TO_1_TRANSITION               862
#define     V_037604_PH_SC7_GFX_PIPE1_TO_0_TRANSITION               863
#define     V_037604_PH_SC7_PA0_DATA_FIFO_RD                        864
#define     V_037604_PH_SC7_PA0_DATA_FIFO_WE                        865
#define     V_037604_PH_SC7_PA0_FIFO_EMPTY                          866
#define     V_037604_PH_SC7_PA0_FIFO_FULL                           867
#define     V_037604_PH_SC7_PA0_NULL_WE                             868
#define     V_037604_PH_SC7_PA0_EVENT_WE                            869
#define     V_037604_PH_SC7_PA0_FPOV_WE                             870
#define     V_037604_PH_SC7_PA0_LPOV_WE                             871
#define     V_037604_PH_SC7_PA0_EOP_WE                              872
#define     V_037604_PH_SC7_PA0_DATA_FIFO_EOP_RD                    873
#define     V_037604_PH_SC7_PA0_EOPG_WE                             874
#define     V_037604_PH_SC7_PA0_DEALLOC_4_0_RD                      875
#define     V_037604_PH_SC7_PA1_DATA_FIFO_RD                        876
#define     V_037604_PH_SC7_PA1_DATA_FIFO_WE                        877
#define     V_037604_PH_SC7_PA1_FIFO_EMPTY                          878
#define     V_037604_PH_SC7_PA1_FIFO_FULL                           879
#define     V_037604_PH_SC7_PA1_NULL_WE                             880
#define     V_037604_PH_SC7_PA1_EVENT_WE                            881
#define     V_037604_PH_SC7_PA1_FPOV_WE                             882
#define     V_037604_PH_SC7_PA1_LPOV_WE                             883
#define     V_037604_PH_SC7_PA1_EOP_WE                              884
#define     V_037604_PH_SC7_PA1_DATA_FIFO_EOP_RD                    885
#define     V_037604_PH_SC7_PA1_EOPG_WE                             886
#define     V_037604_PH_SC7_PA1_DEALLOC_4_0_RD                      887
#define     V_037604_PH_SC7_PA2_DATA_FIFO_RD                        888
#define     V_037604_PH_SC7_PA2_DATA_FIFO_WE                        889
#define     V_037604_PH_SC7_PA2_FIFO_EMPTY                          890
#define     V_037604_PH_SC7_PA2_FIFO_FULL                           891
#define     V_037604_PH_SC7_PA2_NULL_WE                             892
#define     V_037604_PH_SC7_PA2_EVENT_WE                            893
#define     V_037604_PH_SC7_PA2_FPOV_WE                             894
#define     V_037604_PH_SC7_PA2_LPOV_WE                             895
#define     V_037604_PH_SC7_PA2_EOP_WE                              896
#define     V_037604_PH_SC7_PA2_DATA_FIFO_EOP_RD                    897
#define     V_037604_PH_SC7_PA2_EOPG_WE                             898
#define     V_037604_PH_SC7_PA2_DEALLOC_4_0_RD                      899
#define     V_037604_PH_SC7_PA3_DATA_FIFO_RD                        900
#define     V_037604_PH_SC7_PA3_DATA_FIFO_WE                        901
#define     V_037604_PH_SC7_PA3_FIFO_EMPTY                          902
#define     V_037604_PH_SC7_PA3_FIFO_FULL                           903
#define     V_037604_PH_SC7_PA3_NULL_WE                             904
#define     V_037604_PH_SC7_PA3_EVENT_WE                            905
#define     V_037604_PH_SC7_PA3_FPOV_WE                             906
#define     V_037604_PH_SC7_PA3_LPOV_WE                             907
#define     V_037604_PH_SC7_PA3_EOP_WE                              908
#define     V_037604_PH_SC7_PA3_DATA_FIFO_EOP_RD                    909
#define     V_037604_PH_SC7_PA3_EOPG_WE                             910
#define     V_037604_PH_SC7_PA3_DEALLOC_4_0_RD                      911
#define     V_037604_PH_SC7_PA4_DATA_FIFO_RD                        912
#define     V_037604_PH_SC7_PA4_DATA_FIFO_WE                        913
#define     V_037604_PH_SC7_PA4_FIFO_EMPTY                          914
#define     V_037604_PH_SC7_PA4_FIFO_FULL                           915
#define     V_037604_PH_SC7_PA4_NULL_WE                             916
#define     V_037604_PH_SC7_PA4_EVENT_WE                            917
#define     V_037604_PH_SC7_PA4_FPOV_WE                             918
#define     V_037604_PH_SC7_PA4_LPOV_WE                             919
#define     V_037604_PH_SC7_PA4_EOP_WE                              920
#define     V_037604_PH_SC7_PA4_DATA_FIFO_EOP_RD                    921
#define     V_037604_PH_SC7_PA4_EOPG_WE                             922
#define     V_037604_PH_SC7_PA4_DEALLOC_4_0_RD                      923
#define     V_037604_PH_SC7_PA5_DATA_FIFO_RD                        924
#define     V_037604_PH_SC7_PA5_DATA_FIFO_WE                        925
#define     V_037604_PH_SC7_PA5_FIFO_EMPTY                          926
#define     V_037604_PH_SC7_PA5_FIFO_FULL                           927
#define     V_037604_PH_SC7_PA5_NULL_WE                             928
#define     V_037604_PH_SC7_PA5_EVENT_WE                            929
#define     V_037604_PH_SC7_PA5_FPOV_WE                             930
#define     V_037604_PH_SC7_PA5_LPOV_WE                             931
#define     V_037604_PH_SC7_PA5_EOP_WE                              932
#define     V_037604_PH_SC7_PA5_DATA_FIFO_EOP_RD                    933
#define     V_037604_PH_SC7_PA5_EOPG_WE                             934
#define     V_037604_PH_SC7_PA5_DEALLOC_4_0_RD                      935
#define     V_037604_PH_SC7_PA6_DATA_FIFO_RD                        936
#define     V_037604_PH_SC7_PA6_DATA_FIFO_WE                        937
#define     V_037604_PH_SC7_PA6_FIFO_EMPTY                          938
#define     V_037604_PH_SC7_PA6_FIFO_FULL                           939
#define     V_037604_PH_SC7_PA6_NULL_WE                             940
#define     V_037604_PH_SC7_PA6_EVENT_WE                            941
#define     V_037604_PH_SC7_PA6_FPOV_WE                             942
#define     V_037604_PH_SC7_PA6_LPOV_WE                             943
#define     V_037604_PH_SC7_PA6_EOP_WE                              944
#define     V_037604_PH_SC7_PA6_DATA_FIFO_EOP_RD                    945
#define     V_037604_PH_SC7_PA6_EOPG_WE                             946
#define     V_037604_PH_SC7_PA6_DEALLOC_4_0_RD                      947
#define     V_037604_PH_SC7_PA7_DATA_FIFO_RD                        948
#define     V_037604_PH_SC7_PA7_DATA_FIFO_WE                        949
#define     V_037604_PH_SC7_PA7_FIFO_EMPTY                          950
#define     V_037604_PH_SC7_PA7_FIFO_FULL                           951
#define     V_037604_PH_SC7_PA7_NULL_WE                             952
#define     V_037604_PH_SC7_PA7_EVENT_WE                            953
#define     V_037604_PH_SC7_PA7_FPOV_WE                             954
#define     V_037604_PH_SC7_PA7_LPOV_WE                             955
#define     V_037604_PH_SC7_PA7_EOP_WE                              956
#define     V_037604_PH_SC7_PA7_DATA_FIFO_EOP_RD                    957
#define     V_037604_PH_SC7_PA7_EOPG_WE                             958
#define     V_037604_PH_SC7_PA7_DEALLOC_4_0_RD                      959
#define   S_037604_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_037604_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_037604_PERF_SEL3                                          0xFFF003FF
#define   S_037604_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_037604_PERF_MODE3(x)                                      (((x) >> 24) & 0xF)
#define   C_037604_PERF_MODE3                                         0xF0FFFFFF
#define   S_037604_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_037604_PERF_MODE2(x)                                      (((x) >> 28) & 0xF)
#define   C_037604_PERF_MODE2                                         0x0FFFFFFF
#define R_037608_PA_PH_PERFCOUNTER1_SELECT                              0x037608 /* >= gfx10 */
#define R_03760C_PA_PH_PERFCOUNTER2_SELECT                              0x03760C /* >= gfx10 */
#define R_037610_PA_PH_PERFCOUNTER3_SELECT                              0x037610 /* >= gfx10 */
#define R_037614_PA_PH_PERFCOUNTER4_SELECT                              0x037614 /* >= gfx10 */
#define   S_037614_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_037614_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_037614_PERF_SEL                                           0xFFFFFC00
#define     V_037614_PH_SC0_SRPS_WINDOW_VALID                       0
#define     V_037614_PH_SC0_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        1
#define     V_037614_PH_SC0_ARB_XFC_ONLY_PRIM_CYCLES                2
#define     V_037614_PH_SC0_ARB_XFC_ONLY_ONE_INC_PER_PRIM           3
#define     V_037614_PH_SC0_ARB_STALLED_FROM_BELOW                  4
#define     V_037614_PH_SC0_ARB_STARVED_FROM_ABOVE                  5
#define     V_037614_PH_SC0_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 6
#define     V_037614_PH_SC0_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 7
#define     V_037614_PH_SC0_ARB_BUSY                                8
#define     V_037614_PH_SC0_ARB_PA_BUSY_SOP                         9
#define     V_037614_PH_SC0_ARB_EOP_POP_SYNC_POP                    10
#define     V_037614_PH_SC0_ARB_EVENT_SYNC_POP                      11
#define     V_037614_PH_SC0_PS_ENG_MULTICYCLE_BUBBLE                12
#define     V_037614_PH_SC0_EOP_SYNC_WINDOW                         13
#define     V_037614_PH_SC0_BUSY_PROCESSING_MULTICYCLE_PRIM         14
#define     V_037614_PH_SC0_BUSY_CNT_NOT_ZERO                       15
#define     V_037614_PH_SC0_SEND                                    16
#define     V_037614_PH_SC0_CREDIT_AT_ZERO_WITH_PENDING_SEND        17
#define     V_037614_PH_SC0_CREDIT_AT_MAX                           18
#define     V_037614_PH_SC0_CREDIT_AT_MAX_NO_PENDING_SEND           19
#define     V_037614_PH_SC0_GFX_PIPE_EVENT_PROVOKED_TRANSITION      20
#define     V_037614_PH_SC0_GFX_PIPE_PRIM_PROVOKED_TRANSITION       21
#define     V_037614_PH_SC0_GFX_PIPE0_TO_1_TRANSITION               22
#define     V_037614_PH_SC0_GFX_PIPE1_TO_0_TRANSITION               23
#define     V_037614_PH_SC0_PA0_DATA_FIFO_RD                        24
#define     V_037614_PH_SC0_PA0_DATA_FIFO_WE                        25
#define     V_037614_PH_SC0_PA0_FIFO_EMPTY                          26
#define     V_037614_PH_SC0_PA0_FIFO_FULL                           27
#define     V_037614_PH_SC0_PA0_NULL_WE                             28
#define     V_037614_PH_SC0_PA0_EVENT_WE                            29
#define     V_037614_PH_SC0_PA0_FPOV_WE                             30
#define     V_037614_PH_SC0_PA0_LPOV_WE                             31
#define     V_037614_PH_SC0_PA0_EOP_WE                              32
#define     V_037614_PH_SC0_PA0_DATA_FIFO_EOP_RD                    33
#define     V_037614_PH_SC0_PA0_EOPG_WE                             34
#define     V_037614_PH_SC0_PA0_DEALLOC_4_0_RD                      35
#define     V_037614_PH_SC0_PA1_DATA_FIFO_RD                        36
#define     V_037614_PH_SC0_PA1_DATA_FIFO_WE                        37
#define     V_037614_PH_SC0_PA1_FIFO_EMPTY                          38
#define     V_037614_PH_SC0_PA1_FIFO_FULL                           39
#define     V_037614_PH_SC0_PA1_NULL_WE                             40
#define     V_037614_PH_SC0_PA1_EVENT_WE                            41
#define     V_037614_PH_SC0_PA1_FPOV_WE                             42
#define     V_037614_PH_SC0_PA1_LPOV_WE                             43
#define     V_037614_PH_SC0_PA1_EOP_WE                              44
#define     V_037614_PH_SC0_PA1_DATA_FIFO_EOP_RD                    45
#define     V_037614_PH_SC0_PA1_EOPG_WE                             46
#define     V_037614_PH_SC0_PA1_DEALLOC_4_0_RD                      47
#define     V_037614_PH_SC0_PA2_DATA_FIFO_RD                        48
#define     V_037614_PH_SC0_PA2_DATA_FIFO_WE                        49
#define     V_037614_PH_SC0_PA2_FIFO_EMPTY                          50
#define     V_037614_PH_SC0_PA2_FIFO_FULL                           51
#define     V_037614_PH_SC0_PA2_NULL_WE                             52
#define     V_037614_PH_SC0_PA2_EVENT_WE                            53
#define     V_037614_PH_SC0_PA2_FPOV_WE                             54
#define     V_037614_PH_SC0_PA2_LPOV_WE                             55
#define     V_037614_PH_SC0_PA2_EOP_WE                              56
#define     V_037614_PH_SC0_PA2_DATA_FIFO_EOP_RD                    57
#define     V_037614_PH_SC0_PA2_EOPG_WE                             58
#define     V_037614_PH_SC0_PA2_DEALLOC_4_0_RD                      59
#define     V_037614_PH_SC0_PA3_DATA_FIFO_RD                        60
#define     V_037614_PH_SC0_PA3_DATA_FIFO_WE                        61
#define     V_037614_PH_SC0_PA3_FIFO_EMPTY                          62
#define     V_037614_PH_SC0_PA3_FIFO_FULL                           63
#define     V_037614_PH_SC0_PA3_NULL_WE                             64
#define     V_037614_PH_SC0_PA3_EVENT_WE                            65
#define     V_037614_PH_SC0_PA3_FPOV_WE                             66
#define     V_037614_PH_SC0_PA3_LPOV_WE                             67
#define     V_037614_PH_SC0_PA3_EOP_WE                              68
#define     V_037614_PH_SC0_PA3_DATA_FIFO_EOP_RD                    69
#define     V_037614_PH_SC0_PA3_EOPG_WE                             70
#define     V_037614_PH_SC0_PA3_DEALLOC_4_0_RD                      71
#define     V_037614_PH_SC0_PA4_DATA_FIFO_RD                        72
#define     V_037614_PH_SC0_PA4_DATA_FIFO_WE                        73
#define     V_037614_PH_SC0_PA4_FIFO_EMPTY                          74
#define     V_037614_PH_SC0_PA4_FIFO_FULL                           75
#define     V_037614_PH_SC0_PA4_NULL_WE                             76
#define     V_037614_PH_SC0_PA4_EVENT_WE                            77
#define     V_037614_PH_SC0_PA4_FPOV_WE                             78
#define     V_037614_PH_SC0_PA4_LPOV_WE                             79
#define     V_037614_PH_SC0_PA4_EOP_WE                              80
#define     V_037614_PH_SC0_PA4_DATA_FIFO_EOP_RD                    81
#define     V_037614_PH_SC0_PA4_EOPG_WE                             82
#define     V_037614_PH_SC0_PA4_DEALLOC_4_0_RD                      83
#define     V_037614_PH_SC0_PA5_DATA_FIFO_RD                        84
#define     V_037614_PH_SC0_PA5_DATA_FIFO_WE                        85
#define     V_037614_PH_SC0_PA5_FIFO_EMPTY                          86
#define     V_037614_PH_SC0_PA5_FIFO_FULL                           87
#define     V_037614_PH_SC0_PA5_NULL_WE                             88
#define     V_037614_PH_SC0_PA5_EVENT_WE                            89
#define     V_037614_PH_SC0_PA5_FPOV_WE                             90
#define     V_037614_PH_SC0_PA5_LPOV_WE                             91
#define     V_037614_PH_SC0_PA5_EOP_WE                              92
#define     V_037614_PH_SC0_PA5_DATA_FIFO_EOP_RD                    93
#define     V_037614_PH_SC0_PA5_EOPG_WE                             94
#define     V_037614_PH_SC0_PA5_DEALLOC_4_0_RD                      95
#define     V_037614_PH_SC0_PA6_DATA_FIFO_RD                        96
#define     V_037614_PH_SC0_PA6_DATA_FIFO_WE                        97
#define     V_037614_PH_SC0_PA6_FIFO_EMPTY                          98
#define     V_037614_PH_SC0_PA6_FIFO_FULL                           99
#define     V_037614_PH_SC0_PA6_NULL_WE                             100
#define     V_037614_PH_SC0_PA6_EVENT_WE                            101
#define     V_037614_PH_SC0_PA6_FPOV_WE                             102
#define     V_037614_PH_SC0_PA6_LPOV_WE                             103
#define     V_037614_PH_SC0_PA6_EOP_WE                              104
#define     V_037614_PH_SC0_PA6_DATA_FIFO_EOP_RD                    105
#define     V_037614_PH_SC0_PA6_EOPG_WE                             106
#define     V_037614_PH_SC0_PA6_DEALLOC_4_0_RD                      107
#define     V_037614_PH_SC0_PA7_DATA_FIFO_RD                        108
#define     V_037614_PH_SC0_PA7_DATA_FIFO_WE                        109
#define     V_037614_PH_SC0_PA7_FIFO_EMPTY                          110
#define     V_037614_PH_SC0_PA7_FIFO_FULL                           111
#define     V_037614_PH_SC0_PA7_NULL_WE                             112
#define     V_037614_PH_SC0_PA7_EVENT_WE                            113
#define     V_037614_PH_SC0_PA7_FPOV_WE                             114
#define     V_037614_PH_SC0_PA7_LPOV_WE                             115
#define     V_037614_PH_SC0_PA7_EOP_WE                              116
#define     V_037614_PH_SC0_PA7_DATA_FIFO_EOP_RD                    117
#define     V_037614_PH_SC0_PA7_EOPG_WE                             118
#define     V_037614_PH_SC0_PA7_DEALLOC_4_0_RD                      119
#define     V_037614_PH_SC1_SRPS_WINDOW_VALID                       120
#define     V_037614_PH_SC1_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        121
#define     V_037614_PH_SC1_ARB_XFC_ONLY_PRIM_CYCLES                122
#define     V_037614_PH_SC1_ARB_XFC_ONLY_ONE_INC_PER_PRIM           123
#define     V_037614_PH_SC1_ARB_STALLED_FROM_BELOW                  124
#define     V_037614_PH_SC1_ARB_STARVED_FROM_ABOVE                  125
#define     V_037614_PH_SC1_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 126
#define     V_037614_PH_SC1_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 127
#define     V_037614_PH_SC1_ARB_BUSY                                128
#define     V_037614_PH_SC1_ARB_PA_BUSY_SOP                         129
#define     V_037614_PH_SC1_ARB_EOP_POP_SYNC_POP                    130
#define     V_037614_PH_SC1_ARB_EVENT_SYNC_POP                      131
#define     V_037614_PH_SC1_PS_ENG_MULTICYCLE_BUBBLE                132
#define     V_037614_PH_SC1_EOP_SYNC_WINDOW                         133
#define     V_037614_PH_SC1_BUSY_PROCESSING_MULTICYCLE_PRIM         134
#define     V_037614_PH_SC1_BUSY_CNT_NOT_ZERO                       135
#define     V_037614_PH_SC1_SEND                                    136
#define     V_037614_PH_SC1_CREDIT_AT_ZERO_WITH_PENDING_SEND        137
#define     V_037614_PH_SC1_CREDIT_AT_MAX                           138
#define     V_037614_PH_SC1_CREDIT_AT_MAX_NO_PENDING_SEND           139
#define     V_037614_PH_SC1_GFX_PIPE_EVENT_PROVOKED_TRANSITION      140
#define     V_037614_PH_SC1_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   141
#define     V_037614_PH_SC1_GFX_PIPE0_TO_1_TRANSITION               142
#define     V_037614_PH_SC1_GFX_PIPE1_TO_0_TRANSITION               143
#define     V_037614_PH_SC1_PA0_DATA_FIFO_RD                        144
#define     V_037614_PH_SC1_PA0_DATA_FIFO_WE                        145
#define     V_037614_PH_SC1_PA0_FIFO_EMPTY                          146
#define     V_037614_PH_SC1_PA0_FIFO_FULL                           147
#define     V_037614_PH_SC1_PA0_NULL_WE                             148
#define     V_037614_PH_SC1_PA0_EVENT_WE                            149
#define     V_037614_PH_SC1_PA0_FPOV_WE                             150
#define     V_037614_PH_SC1_PA0_LPOV_WE                             151
#define     V_037614_PH_SC1_PA0_EOP_WE                              152
#define     V_037614_PH_SC1_PA0_DATA_FIFO_EOP_RD                    153
#define     V_037614_PH_SC1_PA0_EOPG_WE                             154
#define     V_037614_PH_SC1_PA0_DEALLOC_4_0_RD                      155
#define     V_037614_PH_SC1_PA1_DATA_FIFO_RD                        156
#define     V_037614_PH_SC1_PA1_DATA_FIFO_WE                        157
#define     V_037614_PH_SC1_PA1_FIFO_EMPTY                          158
#define     V_037614_PH_SC1_PA1_FIFO_FULL                           159
#define     V_037614_PH_SC1_PA1_NULL_WE                             160
#define     V_037614_PH_SC1_PA1_EVENT_WE                            161
#define     V_037614_PH_SC1_PA1_FPOV_WE                             162
#define     V_037614_PH_SC1_PA1_LPOV_WE                             163
#define     V_037614_PH_SC1_PA1_EOP_WE                              164
#define     V_037614_PH_SC1_PA1_DATA_FIFO_EOP_RD                    165
#define     V_037614_PH_SC1_PA1_EOPG_WE                             166
#define     V_037614_PH_SC1_PA1_DEALLOC_4_0_RD                      167
#define     V_037614_PH_SC1_PA2_DATA_FIFO_RD                        168
#define     V_037614_PH_SC1_PA2_DATA_FIFO_WE                        169
#define     V_037614_PH_SC1_PA2_FIFO_EMPTY                          170
#define     V_037614_PH_SC1_PA2_FIFO_FULL                           171
#define     V_037614_PH_SC1_PA2_NULL_WE                             172
#define     V_037614_PH_SC1_PA2_EVENT_WE                            173
#define     V_037614_PH_SC1_PA2_FPOV_WE                             174
#define     V_037614_PH_SC1_PA2_LPOV_WE                             175
#define     V_037614_PH_SC1_PA2_EOP_WE                              176
#define     V_037614_PH_SC1_PA2_DATA_FIFO_EOP_RD                    177
#define     V_037614_PH_SC1_PA2_EOPG_WE                             178
#define     V_037614_PH_SC1_PA2_DEALLOC_4_0_RD                      179
#define     V_037614_PH_SC1_PA3_DATA_FIFO_RD                        180
#define     V_037614_PH_SC1_PA3_DATA_FIFO_WE                        181
#define     V_037614_PH_SC1_PA3_FIFO_EMPTY                          182
#define     V_037614_PH_SC1_PA3_FIFO_FULL                           183
#define     V_037614_PH_SC1_PA3_NULL_WE                             184
#define     V_037614_PH_SC1_PA3_EVENT_WE                            185
#define     V_037614_PH_SC1_PA3_FPOV_WE                             186
#define     V_037614_PH_SC1_PA3_LPOV_WE                             187
#define     V_037614_PH_SC1_PA3_EOP_WE                              188
#define     V_037614_PH_SC1_PA3_DATA_FIFO_EOP_RD                    189
#define     V_037614_PH_SC1_PA3_EOPG_WE                             190
#define     V_037614_PH_SC1_PA3_DEALLOC_4_0_RD                      191
#define     V_037614_PH_SC1_PA4_DATA_FIFO_RD                        192
#define     V_037614_PH_SC1_PA4_DATA_FIFO_WE                        193
#define     V_037614_PH_SC1_PA4_FIFO_EMPTY                          194
#define     V_037614_PH_SC1_PA4_FIFO_FULL                           195
#define     V_037614_PH_SC1_PA4_NULL_WE                             196
#define     V_037614_PH_SC1_PA4_EVENT_WE                            197
#define     V_037614_PH_SC1_PA4_FPOV_WE                             198
#define     V_037614_PH_SC1_PA4_LPOV_WE                             199
#define     V_037614_PH_SC1_PA4_EOP_WE                              200
#define     V_037614_PH_SC1_PA4_DATA_FIFO_EOP_RD                    201
#define     V_037614_PH_SC1_PA4_EOPG_WE                             202
#define     V_037614_PH_SC1_PA4_DEALLOC_4_0_RD                      203
#define     V_037614_PH_SC1_PA5_DATA_FIFO_RD                        204
#define     V_037614_PH_SC1_PA5_DATA_FIFO_WE                        205
#define     V_037614_PH_SC1_PA5_FIFO_EMPTY                          206
#define     V_037614_PH_SC1_PA5_FIFO_FULL                           207
#define     V_037614_PH_SC1_PA5_NULL_WE                             208
#define     V_037614_PH_SC1_PA5_EVENT_WE                            209
#define     V_037614_PH_SC1_PA5_FPOV_WE                             210
#define     V_037614_PH_SC1_PA5_LPOV_WE                             211
#define     V_037614_PH_SC1_PA5_EOP_WE                              212
#define     V_037614_PH_SC1_PA5_DATA_FIFO_EOP_RD                    213
#define     V_037614_PH_SC1_PA5_EOPG_WE                             214
#define     V_037614_PH_SC1_PA5_DEALLOC_4_0_RD                      215
#define     V_037614_PH_SC1_PA6_DATA_FIFO_RD                        216
#define     V_037614_PH_SC1_PA6_DATA_FIFO_WE                        217
#define     V_037614_PH_SC1_PA6_FIFO_EMPTY                          218
#define     V_037614_PH_SC1_PA6_FIFO_FULL                           219
#define     V_037614_PH_SC1_PA6_NULL_WE                             220
#define     V_037614_PH_SC1_PA6_EVENT_WE                            221
#define     V_037614_PH_SC1_PA6_FPOV_WE                             222
#define     V_037614_PH_SC1_PA6_LPOV_WE                             223
#define     V_037614_PH_SC1_PA6_EOP_WE                              224
#define     V_037614_PH_SC1_PA6_DATA_FIFO_EOP_RD                    225
#define     V_037614_PH_SC1_PA6_EOPG_WE                             226
#define     V_037614_PH_SC1_PA6_DEALLOC_4_0_RD                      227
#define     V_037614_PH_SC1_PA7_DATA_FIFO_RD                        228
#define     V_037614_PH_SC1_PA7_DATA_FIFO_WE                        229
#define     V_037614_PH_SC1_PA7_FIFO_EMPTY                          230
#define     V_037614_PH_SC1_PA7_FIFO_FULL                           231
#define     V_037614_PH_SC1_PA7_NULL_WE                             232
#define     V_037614_PH_SC1_PA7_EVENT_WE                            233
#define     V_037614_PH_SC1_PA7_FPOV_WE                             234
#define     V_037614_PH_SC1_PA7_LPOV_WE                             235
#define     V_037614_PH_SC1_PA7_EOP_WE                              236
#define     V_037614_PH_SC1_PA7_DATA_FIFO_EOP_RD                    237
#define     V_037614_PH_SC1_PA7_EOPG_WE                             238
#define     V_037614_PH_SC1_PA7_DEALLOC_4_0_RD                      239
#define     V_037614_PH_SC2_SRPS_WINDOW_VALID                       240
#define     V_037614_PH_SC2_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        241
#define     V_037614_PH_SC2_ARB_XFC_ONLY_PRIM_CYCLES                242
#define     V_037614_PH_SC2_ARB_XFC_ONLY_ONE_INC_PER_PRIM           243
#define     V_037614_PH_SC2_ARB_STALLED_FROM_BELOW                  244
#define     V_037614_PH_SC2_ARB_STARVED_FROM_ABOVE                  245
#define     V_037614_PH_SC2_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 246
#define     V_037614_PH_SC2_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 247
#define     V_037614_PH_SC2_ARB_BUSY                                248
#define     V_037614_PH_SC2_ARB_PA_BUSY_SOP                         249
#define     V_037614_PH_SC2_ARB_EOP_POP_SYNC_POP                    250
#define     V_037614_PH_SC2_ARB_EVENT_SYNC_POP                      251
#define     V_037614_PH_SC2_PS_ENG_MULTICYCLE_BUBBLE                252
#define     V_037614_PH_SC2_EOP_SYNC_WINDOW                         253
#define     V_037614_PH_SC2_BUSY_PROCESSING_MULTICYCLE_PRIM         254
#define     V_037614_PH_SC2_BUSY_CNT_NOT_ZERO                       255
#define     V_037614_PH_SC2_SEND                                    256
#define     V_037614_PH_SC2_CREDIT_AT_ZERO_WITH_PENDING_SEND        257
#define     V_037614_PH_SC2_CREDIT_AT_MAX                           258
#define     V_037614_PH_SC2_CREDIT_AT_MAX_NO_PENDING_SEND           259
#define     V_037614_PH_SC2_GFX_PIPE_EVENT_PROVOKED_TRANSITION      260
#define     V_037614_PH_SC2_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   261
#define     V_037614_PH_SC2_GFX_PIPE0_TO_1_TRANSITION               262
#define     V_037614_PH_SC2_GFX_PIPE1_TO_0_TRANSITION               263
#define     V_037614_PH_SC2_PA0_DATA_FIFO_RD                        264
#define     V_037614_PH_SC2_PA0_DATA_FIFO_WE                        265
#define     V_037614_PH_SC2_PA0_FIFO_EMPTY                          266
#define     V_037614_PH_SC2_PA0_FIFO_FULL                           267
#define     V_037614_PH_SC2_PA0_NULL_WE                             268
#define     V_037614_PH_SC2_PA0_EVENT_WE                            269
#define     V_037614_PH_SC2_PA0_FPOV_WE                             270
#define     V_037614_PH_SC2_PA0_LPOV_WE                             271
#define     V_037614_PH_SC2_PA0_EOP_WE                              272
#define     V_037614_PH_SC2_PA0_DATA_FIFO_EOP_RD                    273
#define     V_037614_PH_SC2_PA0_EOPG_WE                             274
#define     V_037614_PH_SC2_PA0_DEALLOC_4_0_RD                      275
#define     V_037614_PH_SC2_PA1_DATA_FIFO_RD                        276
#define     V_037614_PH_SC2_PA1_DATA_FIFO_WE                        277
#define     V_037614_PH_SC2_PA1_FIFO_EMPTY                          278
#define     V_037614_PH_SC2_PA1_FIFO_FULL                           279
#define     V_037614_PH_SC2_PA1_NULL_WE                             280
#define     V_037614_PH_SC2_PA1_EVENT_WE                            281
#define     V_037614_PH_SC2_PA1_FPOV_WE                             282
#define     V_037614_PH_SC2_PA1_LPOV_WE                             283
#define     V_037614_PH_SC2_PA1_EOP_WE                              284
#define     V_037614_PH_SC2_PA1_DATA_FIFO_EOP_RD                    285
#define     V_037614_PH_SC2_PA1_EOPG_WE                             286
#define     V_037614_PH_SC2_PA1_DEALLOC_4_0_RD                      287
#define     V_037614_PH_SC2_PA2_DATA_FIFO_RD                        288
#define     V_037614_PH_SC2_PA2_DATA_FIFO_WE                        289
#define     V_037614_PH_SC2_PA2_FIFO_EMPTY                          290
#define     V_037614_PH_SC2_PA2_FIFO_FULL                           291
#define     V_037614_PH_SC2_PA2_NULL_WE                             292
#define     V_037614_PH_SC2_PA2_EVENT_WE                            293
#define     V_037614_PH_SC2_PA2_FPOV_WE                             294
#define     V_037614_PH_SC2_PA2_LPOV_WE                             295
#define     V_037614_PH_SC2_PA2_EOP_WE                              296
#define     V_037614_PH_SC2_PA2_DATA_FIFO_EOP_RD                    297
#define     V_037614_PH_SC2_PA2_EOPG_WE                             298
#define     V_037614_PH_SC2_PA2_DEALLOC_4_0_RD                      299
#define     V_037614_PH_SC2_PA3_DATA_FIFO_RD                        300
#define     V_037614_PH_SC2_PA3_DATA_FIFO_WE                        301
#define     V_037614_PH_SC2_PA3_FIFO_EMPTY                          302
#define     V_037614_PH_SC2_PA3_FIFO_FULL                           303
#define     V_037614_PH_SC2_PA3_NULL_WE                             304
#define     V_037614_PH_SC2_PA3_EVENT_WE                            305
#define     V_037614_PH_SC2_PA3_FPOV_WE                             306
#define     V_037614_PH_SC2_PA3_LPOV_WE                             307
#define     V_037614_PH_SC2_PA3_EOP_WE                              308
#define     V_037614_PH_SC2_PA3_DATA_FIFO_EOP_RD                    309
#define     V_037614_PH_SC2_PA3_EOPG_WE                             310
#define     V_037614_PH_SC2_PA3_DEALLOC_4_0_RD                      311
#define     V_037614_PH_SC2_PA4_DATA_FIFO_RD                        312
#define     V_037614_PH_SC2_PA4_DATA_FIFO_WE                        313
#define     V_037614_PH_SC2_PA4_FIFO_EMPTY                          314
#define     V_037614_PH_SC2_PA4_FIFO_FULL                           315
#define     V_037614_PH_SC2_PA4_NULL_WE                             316
#define     V_037614_PH_SC2_PA4_EVENT_WE                            317
#define     V_037614_PH_SC2_PA4_FPOV_WE                             318
#define     V_037614_PH_SC2_PA4_LPOV_WE                             319
#define     V_037614_PH_SC2_PA4_EOP_WE                              320
#define     V_037614_PH_SC2_PA4_DATA_FIFO_EOP_RD                    321
#define     V_037614_PH_SC2_PA4_EOPG_WE                             322
#define     V_037614_PH_SC2_PA4_DEALLOC_4_0_RD                      323
#define     V_037614_PH_SC2_PA5_DATA_FIFO_RD                        324
#define     V_037614_PH_SC2_PA5_DATA_FIFO_WE                        325
#define     V_037614_PH_SC2_PA5_FIFO_EMPTY                          326
#define     V_037614_PH_SC2_PA5_FIFO_FULL                           327
#define     V_037614_PH_SC2_PA5_NULL_WE                             328
#define     V_037614_PH_SC2_PA5_EVENT_WE                            329
#define     V_037614_PH_SC2_PA5_FPOV_WE                             330
#define     V_037614_PH_SC2_PA5_LPOV_WE                             331
#define     V_037614_PH_SC2_PA5_EOP_WE                              332
#define     V_037614_PH_SC2_PA5_DATA_FIFO_EOP_RD                    333
#define     V_037614_PH_SC2_PA5_EOPG_WE                             334
#define     V_037614_PH_SC2_PA5_DEALLOC_4_0_RD                      335
#define     V_037614_PH_SC2_PA6_DATA_FIFO_RD                        336
#define     V_037614_PH_SC2_PA6_DATA_FIFO_WE                        337
#define     V_037614_PH_SC2_PA6_FIFO_EMPTY                          338
#define     V_037614_PH_SC2_PA6_FIFO_FULL                           339
#define     V_037614_PH_SC2_PA6_NULL_WE                             340
#define     V_037614_PH_SC2_PA6_EVENT_WE                            341
#define     V_037614_PH_SC2_PA6_FPOV_WE                             342
#define     V_037614_PH_SC2_PA6_LPOV_WE                             343
#define     V_037614_PH_SC2_PA6_EOP_WE                              344
#define     V_037614_PH_SC2_PA6_DATA_FIFO_EOP_RD                    345
#define     V_037614_PH_SC2_PA6_EOPG_WE                             346
#define     V_037614_PH_SC2_PA6_DEALLOC_4_0_RD                      347
#define     V_037614_PH_SC2_PA7_DATA_FIFO_RD                        348
#define     V_037614_PH_SC2_PA7_DATA_FIFO_WE                        349
#define     V_037614_PH_SC2_PA7_FIFO_EMPTY                          350
#define     V_037614_PH_SC2_PA7_FIFO_FULL                           351
#define     V_037614_PH_SC2_PA7_NULL_WE                             352
#define     V_037614_PH_SC2_PA7_EVENT_WE                            353
#define     V_037614_PH_SC2_PA7_FPOV_WE                             354
#define     V_037614_PH_SC2_PA7_LPOV_WE                             355
#define     V_037614_PH_SC2_PA7_EOP_WE                              356
#define     V_037614_PH_SC2_PA7_DATA_FIFO_EOP_RD                    357
#define     V_037614_PH_SC2_PA7_EOPG_WE                             358
#define     V_037614_PH_SC2_PA7_DEALLOC_4_0_RD                      359
#define     V_037614_PH_SC3_SRPS_WINDOW_VALID                       360
#define     V_037614_PH_SC3_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        361
#define     V_037614_PH_SC3_ARB_XFC_ONLY_PRIM_CYCLES                362
#define     V_037614_PH_SC3_ARB_XFC_ONLY_ONE_INC_PER_PRIM           363
#define     V_037614_PH_SC3_ARB_STALLED_FROM_BELOW                  364
#define     V_037614_PH_SC3_ARB_STARVED_FROM_ABOVE                  365
#define     V_037614_PH_SC3_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 366
#define     V_037614_PH_SC3_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 367
#define     V_037614_PH_SC3_ARB_BUSY                                368
#define     V_037614_PH_SC3_ARB_PA_BUSY_SOP                         369
#define     V_037614_PH_SC3_ARB_EOP_POP_SYNC_POP                    370
#define     V_037614_PH_SC3_ARB_EVENT_SYNC_POP                      371
#define     V_037614_PH_SC3_PS_ENG_MULTICYCLE_BUBBLE                372
#define     V_037614_PH_SC3_EOP_SYNC_WINDOW                         373
#define     V_037614_PH_SC3_BUSY_PROCESSING_MULTICYCLE_PRIM         374
#define     V_037614_PH_SC3_BUSY_CNT_NOT_ZERO                       375
#define     V_037614_PH_SC3_SEND                                    376
#define     V_037614_PH_SC3_CREDIT_AT_ZERO_WITH_PENDING_SEND        377
#define     V_037614_PH_SC3_CREDIT_AT_MAX                           378
#define     V_037614_PH_SC3_CREDIT_AT_MAX_NO_PENDING_SEND           379
#define     V_037614_PH_SC3_GFX_PIPE_EVENT_PROVOKED_TRANSITION      380
#define     V_037614_PH_SC3_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   381
#define     V_037614_PH_SC3_GFX_PIPE0_TO_1_TRANSITION               382
#define     V_037614_PH_SC3_GFX_PIPE1_TO_0_TRANSITION               383
#define     V_037614_PH_SC3_PA0_DATA_FIFO_RD                        384
#define     V_037614_PH_SC3_PA0_DATA_FIFO_WE                        385
#define     V_037614_PH_SC3_PA0_FIFO_EMPTY                          386
#define     V_037614_PH_SC3_PA0_FIFO_FULL                           387
#define     V_037614_PH_SC3_PA0_NULL_WE                             388
#define     V_037614_PH_SC3_PA0_EVENT_WE                            389
#define     V_037614_PH_SC3_PA0_FPOV_WE                             390
#define     V_037614_PH_SC3_PA0_LPOV_WE                             391
#define     V_037614_PH_SC3_PA0_EOP_WE                              392
#define     V_037614_PH_SC3_PA0_DATA_FIFO_EOP_RD                    393
#define     V_037614_PH_SC3_PA0_EOPG_WE                             394
#define     V_037614_PH_SC3_PA0_DEALLOC_4_0_RD                      395
#define     V_037614_PH_SC3_PA1_DATA_FIFO_RD                        396
#define     V_037614_PH_SC3_PA1_DATA_FIFO_WE                        397
#define     V_037614_PH_SC3_PA1_FIFO_EMPTY                          398
#define     V_037614_PH_SC3_PA1_FIFO_FULL                           399
#define     V_037614_PH_SC3_PA1_NULL_WE                             400
#define     V_037614_PH_SC3_PA1_EVENT_WE                            401
#define     V_037614_PH_SC3_PA1_FPOV_WE                             402
#define     V_037614_PH_SC3_PA1_LPOV_WE                             403
#define     V_037614_PH_SC3_PA1_EOP_WE                              404
#define     V_037614_PH_SC3_PA1_DATA_FIFO_EOP_RD                    405
#define     V_037614_PH_SC3_PA1_EOPG_WE                             406
#define     V_037614_PH_SC3_PA1_DEALLOC_4_0_RD                      407
#define     V_037614_PH_SC3_PA2_DATA_FIFO_RD                        408
#define     V_037614_PH_SC3_PA2_DATA_FIFO_WE                        409
#define     V_037614_PH_SC3_PA2_FIFO_EMPTY                          410
#define     V_037614_PH_SC3_PA2_FIFO_FULL                           411
#define     V_037614_PH_SC3_PA2_NULL_WE                             412
#define     V_037614_PH_SC3_PA2_EVENT_WE                            413
#define     V_037614_PH_SC3_PA2_FPOV_WE                             414
#define     V_037614_PH_SC3_PA2_LPOV_WE                             415
#define     V_037614_PH_SC3_PA2_EOP_WE                              416
#define     V_037614_PH_SC3_PA2_DATA_FIFO_EOP_RD                    417
#define     V_037614_PH_SC3_PA2_EOPG_WE                             418
#define     V_037614_PH_SC3_PA2_DEALLOC_4_0_RD                      419
#define     V_037614_PH_SC3_PA3_DATA_FIFO_RD                        420
#define     V_037614_PH_SC3_PA3_DATA_FIFO_WE                        421
#define     V_037614_PH_SC3_PA3_FIFO_EMPTY                          422
#define     V_037614_PH_SC3_PA3_FIFO_FULL                           423
#define     V_037614_PH_SC3_PA3_NULL_WE                             424
#define     V_037614_PH_SC3_PA3_EVENT_WE                            425
#define     V_037614_PH_SC3_PA3_FPOV_WE                             426
#define     V_037614_PH_SC3_PA3_LPOV_WE                             427
#define     V_037614_PH_SC3_PA3_EOP_WE                              428
#define     V_037614_PH_SC3_PA3_DATA_FIFO_EOP_RD                    429
#define     V_037614_PH_SC3_PA3_EOPG_WE                             430
#define     V_037614_PH_SC3_PA3_DEALLOC_4_0_RD                      431
#define     V_037614_PH_SC3_PA4_DATA_FIFO_RD                        432
#define     V_037614_PH_SC3_PA4_DATA_FIFO_WE                        433
#define     V_037614_PH_SC3_PA4_FIFO_EMPTY                          434
#define     V_037614_PH_SC3_PA4_FIFO_FULL                           435
#define     V_037614_PH_SC3_PA4_NULL_WE                             436
#define     V_037614_PH_SC3_PA4_EVENT_WE                            437
#define     V_037614_PH_SC3_PA4_FPOV_WE                             438
#define     V_037614_PH_SC3_PA4_LPOV_WE                             439
#define     V_037614_PH_SC3_PA4_EOP_WE                              440
#define     V_037614_PH_SC3_PA4_DATA_FIFO_EOP_RD                    441
#define     V_037614_PH_SC3_PA4_EOPG_WE                             442
#define     V_037614_PH_SC3_PA4_DEALLOC_4_0_RD                      443
#define     V_037614_PH_SC3_PA5_DATA_FIFO_RD                        444
#define     V_037614_PH_SC3_PA5_DATA_FIFO_WE                        445
#define     V_037614_PH_SC3_PA5_FIFO_EMPTY                          446
#define     V_037614_PH_SC3_PA5_FIFO_FULL                           447
#define     V_037614_PH_SC3_PA5_NULL_WE                             448
#define     V_037614_PH_SC3_PA5_EVENT_WE                            449
#define     V_037614_PH_SC3_PA5_FPOV_WE                             450
#define     V_037614_PH_SC3_PA5_LPOV_WE                             451
#define     V_037614_PH_SC3_PA5_EOP_WE                              452
#define     V_037614_PH_SC3_PA5_DATA_FIFO_EOP_RD                    453
#define     V_037614_PH_SC3_PA5_EOPG_WE                             454
#define     V_037614_PH_SC3_PA5_DEALLOC_4_0_RD                      455
#define     V_037614_PH_SC3_PA6_DATA_FIFO_RD                        456
#define     V_037614_PH_SC3_PA6_DATA_FIFO_WE                        457
#define     V_037614_PH_SC3_PA6_FIFO_EMPTY                          458
#define     V_037614_PH_SC3_PA6_FIFO_FULL                           459
#define     V_037614_PH_SC3_PA6_NULL_WE                             460
#define     V_037614_PH_SC3_PA6_EVENT_WE                            461
#define     V_037614_PH_SC3_PA6_FPOV_WE                             462
#define     V_037614_PH_SC3_PA6_LPOV_WE                             463
#define     V_037614_PH_SC3_PA6_EOP_WE                              464
#define     V_037614_PH_SC3_PA6_DATA_FIFO_EOP_RD                    465
#define     V_037614_PH_SC3_PA6_EOPG_WE                             466
#define     V_037614_PH_SC3_PA6_DEALLOC_4_0_RD                      467
#define     V_037614_PH_SC3_PA7_DATA_FIFO_RD                        468
#define     V_037614_PH_SC3_PA7_DATA_FIFO_WE                        469
#define     V_037614_PH_SC3_PA7_FIFO_EMPTY                          470
#define     V_037614_PH_SC3_PA7_FIFO_FULL                           471
#define     V_037614_PH_SC3_PA7_NULL_WE                             472
#define     V_037614_PH_SC3_PA7_EVENT_WE                            473
#define     V_037614_PH_SC3_PA7_FPOV_WE                             474
#define     V_037614_PH_SC3_PA7_LPOV_WE                             475
#define     V_037614_PH_SC3_PA7_EOP_WE                              476
#define     V_037614_PH_SC3_PA7_DATA_FIFO_EOP_RD                    477
#define     V_037614_PH_SC3_PA7_EOPG_WE                             478
#define     V_037614_PH_SC3_PA7_DEALLOC_4_0_RD                      479
#define     V_037614_PH_SC4_SRPS_WINDOW_VALID                       480
#define     V_037614_PH_SC4_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        481
#define     V_037614_PH_SC4_ARB_XFC_ONLY_PRIM_CYCLES                482
#define     V_037614_PH_SC4_ARB_XFC_ONLY_ONE_INC_PER_PRIM           483
#define     V_037614_PH_SC4_ARB_STALLED_FROM_BELOW                  484
#define     V_037614_PH_SC4_ARB_STARVED_FROM_ABOVE                  485
#define     V_037614_PH_SC4_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 486
#define     V_037614_PH_SC4_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 487
#define     V_037614_PH_SC4_ARB_BUSY                                488
#define     V_037614_PH_SC4_ARB_PA_BUSY_SOP                         489
#define     V_037614_PH_SC4_ARB_EOP_POP_SYNC_POP                    490
#define     V_037614_PH_SC4_ARB_EVENT_SYNC_POP                      491
#define     V_037614_PH_SC4_PS_ENG_MULTICYCLE_BUBBLE                492
#define     V_037614_PH_SC4_EOP_SYNC_WINDOW                         493
#define     V_037614_PH_SC4_BUSY_PROCESSING_MULTICYCLE_PRIM         494
#define     V_037614_PH_SC4_BUSY_CNT_NOT_ZERO                       495
#define     V_037614_PH_SC4_SEND                                    496
#define     V_037614_PH_SC4_CREDIT_AT_ZERO_WITH_PENDING_SEND        497
#define     V_037614_PH_SC4_CREDIT_AT_MAX                           498
#define     V_037614_PH_SC4_CREDIT_AT_MAX_NO_PENDING_SEND           499
#define     V_037614_PH_SC4_GFX_PIPE_EVENT_PROVOKED_TRANSITION      500
#define     V_037614_PH_SC4_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   501
#define     V_037614_PH_SC4_GFX_PIPE0_TO_1_TRANSITION               502
#define     V_037614_PH_SC4_GFX_PIPE1_TO_0_TRANSITION               503
#define     V_037614_PH_SC4_PA0_DATA_FIFO_RD                        504
#define     V_037614_PH_SC4_PA0_DATA_FIFO_WE                        505
#define     V_037614_PH_SC4_PA0_FIFO_EMPTY                          506
#define     V_037614_PH_SC4_PA0_FIFO_FULL                           507
#define     V_037614_PH_SC4_PA0_NULL_WE                             508
#define     V_037614_PH_SC4_PA0_EVENT_WE                            509
#define     V_037614_PH_SC4_PA0_FPOV_WE                             510
#define     V_037614_PH_SC4_PA0_LPOV_WE                             511
#define     V_037614_PH_SC4_PA0_EOP_WE                              512
#define     V_037614_PH_SC4_PA0_DATA_FIFO_EOP_RD                    513
#define     V_037614_PH_SC4_PA0_EOPG_WE                             514
#define     V_037614_PH_SC4_PA0_DEALLOC_4_0_RD                      515
#define     V_037614_PH_SC4_PA1_DATA_FIFO_RD                        516
#define     V_037614_PH_SC4_PA1_DATA_FIFO_WE                        517
#define     V_037614_PH_SC4_PA1_FIFO_EMPTY                          518
#define     V_037614_PH_SC4_PA1_FIFO_FULL                           519
#define     V_037614_PH_SC4_PA1_NULL_WE                             520
#define     V_037614_PH_SC4_PA1_EVENT_WE                            521
#define     V_037614_PH_SC4_PA1_FPOV_WE                             522
#define     V_037614_PH_SC4_PA1_LPOV_WE                             523
#define     V_037614_PH_SC4_PA1_EOP_WE                              524
#define     V_037614_PH_SC4_PA1_DATA_FIFO_EOP_RD                    525
#define     V_037614_PH_SC4_PA1_EOPG_WE                             526
#define     V_037614_PH_SC4_PA1_DEALLOC_4_0_RD                      527
#define     V_037614_PH_SC4_PA2_DATA_FIFO_RD                        528
#define     V_037614_PH_SC4_PA2_DATA_FIFO_WE                        529
#define     V_037614_PH_SC4_PA2_FIFO_EMPTY                          530
#define     V_037614_PH_SC4_PA2_FIFO_FULL                           531
#define     V_037614_PH_SC4_PA2_NULL_WE                             532
#define     V_037614_PH_SC4_PA2_EVENT_WE                            533
#define     V_037614_PH_SC4_PA2_FPOV_WE                             534
#define     V_037614_PH_SC4_PA2_LPOV_WE                             535
#define     V_037614_PH_SC4_PA2_EOP_WE                              536
#define     V_037614_PH_SC4_PA2_DATA_FIFO_EOP_RD                    537
#define     V_037614_PH_SC4_PA2_EOPG_WE                             538
#define     V_037614_PH_SC4_PA2_DEALLOC_4_0_RD                      539
#define     V_037614_PH_SC4_PA3_DATA_FIFO_RD                        540
#define     V_037614_PH_SC4_PA3_DATA_FIFO_WE                        541
#define     V_037614_PH_SC4_PA3_FIFO_EMPTY                          542
#define     V_037614_PH_SC4_PA3_FIFO_FULL                           543
#define     V_037614_PH_SC4_PA3_NULL_WE                             544
#define     V_037614_PH_SC4_PA3_EVENT_WE                            545
#define     V_037614_PH_SC4_PA3_FPOV_WE                             546
#define     V_037614_PH_SC4_PA3_LPOV_WE                             547
#define     V_037614_PH_SC4_PA3_EOP_WE                              548
#define     V_037614_PH_SC4_PA3_DATA_FIFO_EOP_RD                    549
#define     V_037614_PH_SC4_PA3_EOPG_WE                             550
#define     V_037614_PH_SC4_PA3_DEALLOC_4_0_RD                      551
#define     V_037614_PH_SC4_PA4_DATA_FIFO_RD                        552
#define     V_037614_PH_SC4_PA4_DATA_FIFO_WE                        553
#define     V_037614_PH_SC4_PA4_FIFO_EMPTY                          554
#define     V_037614_PH_SC4_PA4_FIFO_FULL                           555
#define     V_037614_PH_SC4_PA4_NULL_WE                             556
#define     V_037614_PH_SC4_PA4_EVENT_WE                            557
#define     V_037614_PH_SC4_PA4_FPOV_WE                             558
#define     V_037614_PH_SC4_PA4_LPOV_WE                             559
#define     V_037614_PH_SC4_PA4_EOP_WE                              560
#define     V_037614_PH_SC4_PA4_DATA_FIFO_EOP_RD                    561
#define     V_037614_PH_SC4_PA4_EOPG_WE                             562
#define     V_037614_PH_SC4_PA4_DEALLOC_4_0_RD                      563
#define     V_037614_PH_SC4_PA5_DATA_FIFO_RD                        564
#define     V_037614_PH_SC4_PA5_DATA_FIFO_WE                        565
#define     V_037614_PH_SC4_PA5_FIFO_EMPTY                          566
#define     V_037614_PH_SC4_PA5_FIFO_FULL                           567
#define     V_037614_PH_SC4_PA5_NULL_WE                             568
#define     V_037614_PH_SC4_PA5_EVENT_WE                            569
#define     V_037614_PH_SC4_PA5_FPOV_WE                             570
#define     V_037614_PH_SC4_PA5_LPOV_WE                             571
#define     V_037614_PH_SC4_PA5_EOP_WE                              572
#define     V_037614_PH_SC4_PA5_DATA_FIFO_EOP_RD                    573
#define     V_037614_PH_SC4_PA5_EOPG_WE                             574
#define     V_037614_PH_SC4_PA5_DEALLOC_4_0_RD                      575
#define     V_037614_PH_SC4_PA6_DATA_FIFO_RD                        576
#define     V_037614_PH_SC4_PA6_DATA_FIFO_WE                        577
#define     V_037614_PH_SC4_PA6_FIFO_EMPTY                          578
#define     V_037614_PH_SC4_PA6_FIFO_FULL                           579
#define     V_037614_PH_SC4_PA6_NULL_WE                             580
#define     V_037614_PH_SC4_PA6_EVENT_WE                            581
#define     V_037614_PH_SC4_PA6_FPOV_WE                             582
#define     V_037614_PH_SC4_PA6_LPOV_WE                             583
#define     V_037614_PH_SC4_PA6_EOP_WE                              584
#define     V_037614_PH_SC4_PA6_DATA_FIFO_EOP_RD                    585
#define     V_037614_PH_SC4_PA6_EOPG_WE                             586
#define     V_037614_PH_SC4_PA6_DEALLOC_4_0_RD                      587
#define     V_037614_PH_SC4_PA7_DATA_FIFO_RD                        588
#define     V_037614_PH_SC4_PA7_DATA_FIFO_WE                        589
#define     V_037614_PH_SC4_PA7_FIFO_EMPTY                          590
#define     V_037614_PH_SC4_PA7_FIFO_FULL                           591
#define     V_037614_PH_SC4_PA7_NULL_WE                             592
#define     V_037614_PH_SC4_PA7_EVENT_WE                            593
#define     V_037614_PH_SC4_PA7_FPOV_WE                             594
#define     V_037614_PH_SC4_PA7_LPOV_WE                             595
#define     V_037614_PH_SC4_PA7_EOP_WE                              596
#define     V_037614_PH_SC4_PA7_DATA_FIFO_EOP_RD                    597
#define     V_037614_PH_SC4_PA7_EOPG_WE                             598
#define     V_037614_PH_SC4_PA7_DEALLOC_4_0_RD                      599
#define     V_037614_PH_SC5_SRPS_WINDOW_VALID                       600
#define     V_037614_PH_SC5_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        601
#define     V_037614_PH_SC5_ARB_XFC_ONLY_PRIM_CYCLES                602
#define     V_037614_PH_SC5_ARB_XFC_ONLY_ONE_INC_PER_PRIM           603
#define     V_037614_PH_SC5_ARB_STALLED_FROM_BELOW                  604
#define     V_037614_PH_SC5_ARB_STARVED_FROM_ABOVE                  605
#define     V_037614_PH_SC5_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 606
#define     V_037614_PH_SC5_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 607
#define     V_037614_PH_SC5_ARB_BUSY                                608
#define     V_037614_PH_SC5_ARB_PA_BUSY_SOP                         609
#define     V_037614_PH_SC5_ARB_EOP_POP_SYNC_POP                    610
#define     V_037614_PH_SC5_ARB_EVENT_SYNC_POP                      611
#define     V_037614_PH_SC5_PS_ENG_MULTICYCLE_BUBBLE                612
#define     V_037614_PH_SC5_EOP_SYNC_WINDOW                         613
#define     V_037614_PH_SC5_BUSY_PROCESSING_MULTICYCLE_PRIM         614
#define     V_037614_PH_SC5_BUSY_CNT_NOT_ZERO                       615
#define     V_037614_PH_SC5_SEND                                    616
#define     V_037614_PH_SC5_CREDIT_AT_ZERO_WITH_PENDING_SEND        617
#define     V_037614_PH_SC5_CREDIT_AT_MAX                           618
#define     V_037614_PH_SC5_CREDIT_AT_MAX_NO_PENDING_SEND           619
#define     V_037614_PH_SC5_GFX_PIPE_EVENT_PROVOKED_TRANSITION      620
#define     V_037614_PH_SC5_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   621
#define     V_037614_PH_SC5_GFX_PIPE0_TO_1_TRANSITION               622
#define     V_037614_PH_SC5_GFX_PIPE1_TO_0_TRANSITION               623
#define     V_037614_PH_SC5_PA0_DATA_FIFO_RD                        624
#define     V_037614_PH_SC5_PA0_DATA_FIFO_WE                        625
#define     V_037614_PH_SC5_PA0_FIFO_EMPTY                          626
#define     V_037614_PH_SC5_PA0_FIFO_FULL                           627
#define     V_037614_PH_SC5_PA0_NULL_WE                             628
#define     V_037614_PH_SC5_PA0_EVENT_WE                            629
#define     V_037614_PH_SC5_PA0_FPOV_WE                             630
#define     V_037614_PH_SC5_PA0_LPOV_WE                             631
#define     V_037614_PH_SC5_PA0_EOP_WE                              632
#define     V_037614_PH_SC5_PA0_DATA_FIFO_EOP_RD                    633
#define     V_037614_PH_SC5_PA0_EOPG_WE                             634
#define     V_037614_PH_SC5_PA0_DEALLOC_4_0_RD                      635
#define     V_037614_PH_SC5_PA1_DATA_FIFO_RD                        636
#define     V_037614_PH_SC5_PA1_DATA_FIFO_WE                        637
#define     V_037614_PH_SC5_PA1_FIFO_EMPTY                          638
#define     V_037614_PH_SC5_PA1_FIFO_FULL                           639
#define     V_037614_PH_SC5_PA1_NULL_WE                             640
#define     V_037614_PH_SC5_PA1_EVENT_WE                            641
#define     V_037614_PH_SC5_PA1_FPOV_WE                             642
#define     V_037614_PH_SC5_PA1_LPOV_WE                             643
#define     V_037614_PH_SC5_PA1_EOP_WE                              644
#define     V_037614_PH_SC5_PA1_DATA_FIFO_EOP_RD                    645
#define     V_037614_PH_SC5_PA1_EOPG_WE                             646
#define     V_037614_PH_SC5_PA1_DEALLOC_4_0_RD                      647
#define     V_037614_PH_SC5_PA2_DATA_FIFO_RD                        648
#define     V_037614_PH_SC5_PA2_DATA_FIFO_WE                        649
#define     V_037614_PH_SC5_PA2_FIFO_EMPTY                          650
#define     V_037614_PH_SC5_PA2_FIFO_FULL                           651
#define     V_037614_PH_SC5_PA2_NULL_WE                             652
#define     V_037614_PH_SC5_PA2_EVENT_WE                            653
#define     V_037614_PH_SC5_PA2_FPOV_WE                             654
#define     V_037614_PH_SC5_PA2_LPOV_WE                             655
#define     V_037614_PH_SC5_PA2_EOP_WE                              656
#define     V_037614_PH_SC5_PA2_DATA_FIFO_EOP_RD                    657
#define     V_037614_PH_SC5_PA2_EOPG_WE                             658
#define     V_037614_PH_SC5_PA2_DEALLOC_4_0_RD                      659
#define     V_037614_PH_SC5_PA3_DATA_FIFO_RD                        660
#define     V_037614_PH_SC5_PA3_DATA_FIFO_WE                        661
#define     V_037614_PH_SC5_PA3_FIFO_EMPTY                          662
#define     V_037614_PH_SC5_PA3_FIFO_FULL                           663
#define     V_037614_PH_SC5_PA3_NULL_WE                             664
#define     V_037614_PH_SC5_PA3_EVENT_WE                            665
#define     V_037614_PH_SC5_PA3_FPOV_WE                             666
#define     V_037614_PH_SC5_PA3_LPOV_WE                             667
#define     V_037614_PH_SC5_PA3_EOP_WE                              668
#define     V_037614_PH_SC5_PA3_DATA_FIFO_EOP_RD                    669
#define     V_037614_PH_SC5_PA3_EOPG_WE                             670
#define     V_037614_PH_SC5_PA3_DEALLOC_4_0_RD                      671
#define     V_037614_PH_SC5_PA4_DATA_FIFO_RD                        672
#define     V_037614_PH_SC5_PA4_DATA_FIFO_WE                        673
#define     V_037614_PH_SC5_PA4_FIFO_EMPTY                          674
#define     V_037614_PH_SC5_PA4_FIFO_FULL                           675
#define     V_037614_PH_SC5_PA4_NULL_WE                             676
#define     V_037614_PH_SC5_PA4_EVENT_WE                            677
#define     V_037614_PH_SC5_PA4_FPOV_WE                             678
#define     V_037614_PH_SC5_PA4_LPOV_WE                             679
#define     V_037614_PH_SC5_PA4_EOP_WE                              680
#define     V_037614_PH_SC5_PA4_DATA_FIFO_EOP_RD                    681
#define     V_037614_PH_SC5_PA4_EOPG_WE                             682
#define     V_037614_PH_SC5_PA4_DEALLOC_4_0_RD                      683
#define     V_037614_PH_SC5_PA5_DATA_FIFO_RD                        684
#define     V_037614_PH_SC5_PA5_DATA_FIFO_WE                        685
#define     V_037614_PH_SC5_PA5_FIFO_EMPTY                          686
#define     V_037614_PH_SC5_PA5_FIFO_FULL                           687
#define     V_037614_PH_SC5_PA5_NULL_WE                             688
#define     V_037614_PH_SC5_PA5_EVENT_WE                            689
#define     V_037614_PH_SC5_PA5_FPOV_WE                             690
#define     V_037614_PH_SC5_PA5_LPOV_WE                             691
#define     V_037614_PH_SC5_PA5_EOP_WE                              692
#define     V_037614_PH_SC5_PA5_DATA_FIFO_EOP_RD                    693
#define     V_037614_PH_SC5_PA5_EOPG_WE                             694
#define     V_037614_PH_SC5_PA5_DEALLOC_4_0_RD                      695
#define     V_037614_PH_SC5_PA6_DATA_FIFO_RD                        696
#define     V_037614_PH_SC5_PA6_DATA_FIFO_WE                        697
#define     V_037614_PH_SC5_PA6_FIFO_EMPTY                          698
#define     V_037614_PH_SC5_PA6_FIFO_FULL                           699
#define     V_037614_PH_SC5_PA6_NULL_WE                             700
#define     V_037614_PH_SC5_PA6_EVENT_WE                            701
#define     V_037614_PH_SC5_PA6_FPOV_WE                             702
#define     V_037614_PH_SC5_PA6_LPOV_WE                             703
#define     V_037614_PH_SC5_PA6_EOP_WE                              704
#define     V_037614_PH_SC5_PA6_DATA_FIFO_EOP_RD                    705
#define     V_037614_PH_SC5_PA6_EOPG_WE                             706
#define     V_037614_PH_SC5_PA6_DEALLOC_4_0_RD                      707
#define     V_037614_PH_SC5_PA7_DATA_FIFO_RD                        708
#define     V_037614_PH_SC5_PA7_DATA_FIFO_WE                        709
#define     V_037614_PH_SC5_PA7_FIFO_EMPTY                          710
#define     V_037614_PH_SC5_PA7_FIFO_FULL                           711
#define     V_037614_PH_SC5_PA7_NULL_WE                             712
#define     V_037614_PH_SC5_PA7_EVENT_WE                            713
#define     V_037614_PH_SC5_PA7_FPOV_WE                             714
#define     V_037614_PH_SC5_PA7_LPOV_WE                             715
#define     V_037614_PH_SC5_PA7_EOP_WE                              716
#define     V_037614_PH_SC5_PA7_DATA_FIFO_EOP_RD                    717
#define     V_037614_PH_SC5_PA7_EOPG_WE                             718
#define     V_037614_PH_SC5_PA7_DEALLOC_4_0_RD                      719
#define     V_037614_PH_SC6_SRPS_WINDOW_VALID                       720
#define     V_037614_PH_SC6_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        721
#define     V_037614_PH_SC6_ARB_XFC_ONLY_PRIM_CYCLES                722
#define     V_037614_PH_SC6_ARB_XFC_ONLY_ONE_INC_PER_PRIM           723
#define     V_037614_PH_SC6_ARB_STALLED_FROM_BELOW                  724
#define     V_037614_PH_SC6_ARB_STARVED_FROM_ABOVE                  725
#define     V_037614_PH_SC6_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 726
#define     V_037614_PH_SC6_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 727
#define     V_037614_PH_SC6_ARB_BUSY                                728
#define     V_037614_PH_SC6_ARB_PA_BUSY_SOP                         729
#define     V_037614_PH_SC6_ARB_EOP_POP_SYNC_POP                    730
#define     V_037614_PH_SC6_ARB_EVENT_SYNC_POP                      731
#define     V_037614_PH_SC6_PS_ENG_MULTICYCLE_BUBBLE                732
#define     V_037614_PH_SC6_EOP_SYNC_WINDOW                         733
#define     V_037614_PH_SC6_BUSY_PROCESSING_MULTICYCLE_PRIM         734
#define     V_037614_PH_SC6_BUSY_CNT_NOT_ZERO                       735
#define     V_037614_PH_SC6_SEND                                    736
#define     V_037614_PH_SC6_CREDIT_AT_ZERO_WITH_PENDING_SEND        737
#define     V_037614_PH_SC6_CREDIT_AT_MAX                           738
#define     V_037614_PH_SC6_CREDIT_AT_MAX_NO_PENDING_SEND           739
#define     V_037614_PH_SC6_GFX_PIPE_EVENT_PROVOKED_TRANSITION      740
#define     V_037614_PH_SC6_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   741
#define     V_037614_PH_SC6_GFX_PIPE0_TO_1_TRANSITION               742
#define     V_037614_PH_SC6_GFX_PIPE1_TO_0_TRANSITION               743
#define     V_037614_PH_SC6_PA0_DATA_FIFO_RD                        744
#define     V_037614_PH_SC6_PA0_DATA_FIFO_WE                        745
#define     V_037614_PH_SC6_PA0_FIFO_EMPTY                          746
#define     V_037614_PH_SC6_PA0_FIFO_FULL                           747
#define     V_037614_PH_SC6_PA0_NULL_WE                             748
#define     V_037614_PH_SC6_PA0_EVENT_WE                            749
#define     V_037614_PH_SC6_PA0_FPOV_WE                             750
#define     V_037614_PH_SC6_PA0_LPOV_WE                             751
#define     V_037614_PH_SC6_PA0_EOP_WE                              752
#define     V_037614_PH_SC6_PA0_DATA_FIFO_EOP_RD                    753
#define     V_037614_PH_SC6_PA0_EOPG_WE                             754
#define     V_037614_PH_SC6_PA0_DEALLOC_4_0_RD                      755
#define     V_037614_PH_SC6_PA1_DATA_FIFO_RD                        756
#define     V_037614_PH_SC6_PA1_DATA_FIFO_WE                        757
#define     V_037614_PH_SC6_PA1_FIFO_EMPTY                          758
#define     V_037614_PH_SC6_PA1_FIFO_FULL                           759
#define     V_037614_PH_SC6_PA1_NULL_WE                             760
#define     V_037614_PH_SC6_PA1_EVENT_WE                            761
#define     V_037614_PH_SC6_PA1_FPOV_WE                             762
#define     V_037614_PH_SC6_PA1_LPOV_WE                             763
#define     V_037614_PH_SC6_PA1_EOP_WE                              764
#define     V_037614_PH_SC6_PA1_DATA_FIFO_EOP_RD                    765
#define     V_037614_PH_SC6_PA1_EOPG_WE                             766
#define     V_037614_PH_SC6_PA1_DEALLOC_4_0_RD                      767
#define     V_037614_PH_SC6_PA2_DATA_FIFO_RD                        768
#define     V_037614_PH_SC6_PA2_DATA_FIFO_WE                        769
#define     V_037614_PH_SC6_PA2_FIFO_EMPTY                          770
#define     V_037614_PH_SC6_PA2_FIFO_FULL                           771
#define     V_037614_PH_SC6_PA2_NULL_WE                             772
#define     V_037614_PH_SC6_PA2_EVENT_WE                            773
#define     V_037614_PH_SC6_PA2_FPOV_WE                             774
#define     V_037614_PH_SC6_PA2_LPOV_WE                             775
#define     V_037614_PH_SC6_PA2_EOP_WE                              776
#define     V_037614_PH_SC6_PA2_DATA_FIFO_EOP_RD                    777
#define     V_037614_PH_SC6_PA2_EOPG_WE                             778
#define     V_037614_PH_SC6_PA2_DEALLOC_4_0_RD                      779
#define     V_037614_PH_SC6_PA3_DATA_FIFO_RD                        780
#define     V_037614_PH_SC6_PA3_DATA_FIFO_WE                        781
#define     V_037614_PH_SC6_PA3_FIFO_EMPTY                          782
#define     V_037614_PH_SC6_PA3_FIFO_FULL                           783
#define     V_037614_PH_SC6_PA3_NULL_WE                             784
#define     V_037614_PH_SC6_PA3_EVENT_WE                            785
#define     V_037614_PH_SC6_PA3_FPOV_WE                             786
#define     V_037614_PH_SC6_PA3_LPOV_WE                             787
#define     V_037614_PH_SC6_PA3_EOP_WE                              788
#define     V_037614_PH_SC6_PA3_DATA_FIFO_EOP_RD                    789
#define     V_037614_PH_SC6_PA3_EOPG_WE                             790
#define     V_037614_PH_SC6_PA3_DEALLOC_4_0_RD                      791
#define     V_037614_PH_SC6_PA4_DATA_FIFO_RD                        792
#define     V_037614_PH_SC6_PA4_DATA_FIFO_WE                        793
#define     V_037614_PH_SC6_PA4_FIFO_EMPTY                          794
#define     V_037614_PH_SC6_PA4_FIFO_FULL                           795
#define     V_037614_PH_SC6_PA4_NULL_WE                             796
#define     V_037614_PH_SC6_PA4_EVENT_WE                            797
#define     V_037614_PH_SC6_PA4_FPOV_WE                             798
#define     V_037614_PH_SC6_PA4_LPOV_WE                             799
#define     V_037614_PH_SC6_PA4_EOP_WE                              800
#define     V_037614_PH_SC6_PA4_DATA_FIFO_EOP_RD                    801
#define     V_037614_PH_SC6_PA4_EOPG_WE                             802
#define     V_037614_PH_SC6_PA4_DEALLOC_4_0_RD                      803
#define     V_037614_PH_SC6_PA5_DATA_FIFO_RD                        804
#define     V_037614_PH_SC6_PA5_DATA_FIFO_WE                        805
#define     V_037614_PH_SC6_PA5_FIFO_EMPTY                          806
#define     V_037614_PH_SC6_PA5_FIFO_FULL                           807
#define     V_037614_PH_SC6_PA5_NULL_WE                             808
#define     V_037614_PH_SC6_PA5_EVENT_WE                            809
#define     V_037614_PH_SC6_PA5_FPOV_WE                             810
#define     V_037614_PH_SC6_PA5_LPOV_WE                             811
#define     V_037614_PH_SC6_PA5_EOP_WE                              812
#define     V_037614_PH_SC6_PA5_DATA_FIFO_EOP_RD                    813
#define     V_037614_PH_SC6_PA5_EOPG_WE                             814
#define     V_037614_PH_SC6_PA5_DEALLOC_4_0_RD                      815
#define     V_037614_PH_SC6_PA6_DATA_FIFO_RD                        816
#define     V_037614_PH_SC6_PA6_DATA_FIFO_WE                        817
#define     V_037614_PH_SC6_PA6_FIFO_EMPTY                          818
#define     V_037614_PH_SC6_PA6_FIFO_FULL                           819
#define     V_037614_PH_SC6_PA6_NULL_WE                             820
#define     V_037614_PH_SC6_PA6_EVENT_WE                            821
#define     V_037614_PH_SC6_PA6_FPOV_WE                             822
#define     V_037614_PH_SC6_PA6_LPOV_WE                             823
#define     V_037614_PH_SC6_PA6_EOP_WE                              824
#define     V_037614_PH_SC6_PA6_DATA_FIFO_EOP_RD                    825
#define     V_037614_PH_SC6_PA6_EOPG_WE                             826
#define     V_037614_PH_SC6_PA6_DEALLOC_4_0_RD                      827
#define     V_037614_PH_SC6_PA7_DATA_FIFO_RD                        828
#define     V_037614_PH_SC6_PA7_DATA_FIFO_WE                        829
#define     V_037614_PH_SC6_PA7_FIFO_EMPTY                          830
#define     V_037614_PH_SC6_PA7_FIFO_FULL                           831
#define     V_037614_PH_SC6_PA7_NULL_WE                             832
#define     V_037614_PH_SC6_PA7_EVENT_WE                            833
#define     V_037614_PH_SC6_PA7_FPOV_WE                             834
#define     V_037614_PH_SC6_PA7_LPOV_WE                             835
#define     V_037614_PH_SC6_PA7_EOP_WE                              836
#define     V_037614_PH_SC6_PA7_DATA_FIFO_EOP_RD                    837
#define     V_037614_PH_SC6_PA7_EOPG_WE                             838
#define     V_037614_PH_SC6_PA7_DEALLOC_4_0_RD                      839
#define     V_037614_PH_SC7_SRPS_WINDOW_VALID                       840
#define     V_037614_PH_SC7_ARB_XFC_ALL_EVENT_OR_PRIM_CYCLES        841
#define     V_037614_PH_SC7_ARB_XFC_ONLY_PRIM_CYCLES                842
#define     V_037614_PH_SC7_ARB_XFC_ONLY_ONE_INC_PER_PRIM           843
#define     V_037614_PH_SC7_ARB_STALLED_FROM_BELOW                  844
#define     V_037614_PH_SC7_ARB_STARVED_FROM_ABOVE                  845
#define     V_037614_PH_SC7_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_NOT_EMPTY 846
#define     V_037614_PH_SC7_ARB_STARVED_FROM_ABOVE_WITH_UNSELECTED_FIFO_FULL 847
#define     V_037614_PH_SC7_ARB_BUSY                                848
#define     V_037614_PH_SC7_ARB_PA_BUSY_SOP                         849
#define     V_037614_PH_SC7_ARB_EOP_POP_SYNC_POP                    850
#define     V_037614_PH_SC7_ARB_EVENT_SYNC_POP                      851
#define     V_037614_PH_SC7_PS_ENG_MULTICYCLE_BUBBLE                852
#define     V_037614_PH_SC7_EOP_SYNC_WINDOW                         853
#define     V_037614_PH_SC7_BUSY_PROCESSING_MULTICYCLE_PRIM         854
#define     V_037614_PH_SC7_BUSY_CNT_NOT_ZERO                       855
#define     V_037614_PH_SC7_SEND                                    856
#define     V_037614_PH_SC7_CREDIT_AT_ZERO_WITH_PENDING_SEND        857
#define     V_037614_PH_SC7_CREDIT_AT_MAX                           858
#define     V_037614_PH_SC7_CREDIT_AT_MAX_NO_PENDING_SEND           859
#define     V_037614_PH_SC7_GFX_PIPE_EVENT_PROVOKED_TRANSITION      860
#define     V_037614_PH_SC7_GFX_PIPE_EOP_PRIM_PROVOKED_TRANSITION   861
#define     V_037614_PH_SC7_GFX_PIPE0_TO_1_TRANSITION               862
#define     V_037614_PH_SC7_GFX_PIPE1_TO_0_TRANSITION               863
#define     V_037614_PH_SC7_PA0_DATA_FIFO_RD                        864
#define     V_037614_PH_SC7_PA0_DATA_FIFO_WE                        865
#define     V_037614_PH_SC7_PA0_FIFO_EMPTY                          866
#define     V_037614_PH_SC7_PA0_FIFO_FULL                           867
#define     V_037614_PH_SC7_PA0_NULL_WE                             868
#define     V_037614_PH_SC7_PA0_EVENT_WE                            869
#define     V_037614_PH_SC7_PA0_FPOV_WE                             870
#define     V_037614_PH_SC7_PA0_LPOV_WE                             871
#define     V_037614_PH_SC7_PA0_EOP_WE                              872
#define     V_037614_PH_SC7_PA0_DATA_FIFO_EOP_RD                    873
#define     V_037614_PH_SC7_PA0_EOPG_WE                             874
#define     V_037614_PH_SC7_PA0_DEALLOC_4_0_RD                      875
#define     V_037614_PH_SC7_PA1_DATA_FIFO_RD                        876
#define     V_037614_PH_SC7_PA1_DATA_FIFO_WE                        877
#define     V_037614_PH_SC7_PA1_FIFO_EMPTY                          878
#define     V_037614_PH_SC7_PA1_FIFO_FULL                           879
#define     V_037614_PH_SC7_PA1_NULL_WE                             880
#define     V_037614_PH_SC7_PA1_EVENT_WE                            881
#define     V_037614_PH_SC7_PA1_FPOV_WE                             882
#define     V_037614_PH_SC7_PA1_LPOV_WE                             883
#define     V_037614_PH_SC7_PA1_EOP_WE                              884
#define     V_037614_PH_SC7_PA1_DATA_FIFO_EOP_RD                    885
#define     V_037614_PH_SC7_PA1_EOPG_WE                             886
#define     V_037614_PH_SC7_PA1_DEALLOC_4_0_RD                      887
#define     V_037614_PH_SC7_PA2_DATA_FIFO_RD                        888
#define     V_037614_PH_SC7_PA2_DATA_FIFO_WE                        889
#define     V_037614_PH_SC7_PA2_FIFO_EMPTY                          890
#define     V_037614_PH_SC7_PA2_FIFO_FULL                           891
#define     V_037614_PH_SC7_PA2_NULL_WE                             892
#define     V_037614_PH_SC7_PA2_EVENT_WE                            893
#define     V_037614_PH_SC7_PA2_FPOV_WE                             894
#define     V_037614_PH_SC7_PA2_LPOV_WE                             895
#define     V_037614_PH_SC7_PA2_EOP_WE                              896
#define     V_037614_PH_SC7_PA2_DATA_FIFO_EOP_RD                    897
#define     V_037614_PH_SC7_PA2_EOPG_WE                             898
#define     V_037614_PH_SC7_PA2_DEALLOC_4_0_RD                      899
#define     V_037614_PH_SC7_PA3_DATA_FIFO_RD                        900
#define     V_037614_PH_SC7_PA3_DATA_FIFO_WE                        901
#define     V_037614_PH_SC7_PA3_FIFO_EMPTY                          902
#define     V_037614_PH_SC7_PA3_FIFO_FULL                           903
#define     V_037614_PH_SC7_PA3_NULL_WE                             904
#define     V_037614_PH_SC7_PA3_EVENT_WE                            905
#define     V_037614_PH_SC7_PA3_FPOV_WE                             906
#define     V_037614_PH_SC7_PA3_LPOV_WE                             907
#define     V_037614_PH_SC7_PA3_EOP_WE                              908
#define     V_037614_PH_SC7_PA3_DATA_FIFO_EOP_RD                    909
#define     V_037614_PH_SC7_PA3_EOPG_WE                             910
#define     V_037614_PH_SC7_PA3_DEALLOC_4_0_RD                      911
#define     V_037614_PH_SC7_PA4_DATA_FIFO_RD                        912
#define     V_037614_PH_SC7_PA4_DATA_FIFO_WE                        913
#define     V_037614_PH_SC7_PA4_FIFO_EMPTY                          914
#define     V_037614_PH_SC7_PA4_FIFO_FULL                           915
#define     V_037614_PH_SC7_PA4_NULL_WE                             916
#define     V_037614_PH_SC7_PA4_EVENT_WE                            917
#define     V_037614_PH_SC7_PA4_FPOV_WE                             918
#define     V_037614_PH_SC7_PA4_LPOV_WE                             919
#define     V_037614_PH_SC7_PA4_EOP_WE                              920
#define     V_037614_PH_SC7_PA4_DATA_FIFO_EOP_RD                    921
#define     V_037614_PH_SC7_PA4_EOPG_WE                             922
#define     V_037614_PH_SC7_PA4_DEALLOC_4_0_RD                      923
#define     V_037614_PH_SC7_PA5_DATA_FIFO_RD                        924
#define     V_037614_PH_SC7_PA5_DATA_FIFO_WE                        925
#define     V_037614_PH_SC7_PA5_FIFO_EMPTY                          926
#define     V_037614_PH_SC7_PA5_FIFO_FULL                           927
#define     V_037614_PH_SC7_PA5_NULL_WE                             928
#define     V_037614_PH_SC7_PA5_EVENT_WE                            929
#define     V_037614_PH_SC7_PA5_FPOV_WE                             930
#define     V_037614_PH_SC7_PA5_LPOV_WE                             931
#define     V_037614_PH_SC7_PA5_EOP_WE                              932
#define     V_037614_PH_SC7_PA5_DATA_FIFO_EOP_RD                    933
#define     V_037614_PH_SC7_PA5_EOPG_WE                             934
#define     V_037614_PH_SC7_PA5_DEALLOC_4_0_RD                      935
#define     V_037614_PH_SC7_PA6_DATA_FIFO_RD                        936
#define     V_037614_PH_SC7_PA6_DATA_FIFO_WE                        937
#define     V_037614_PH_SC7_PA6_FIFO_EMPTY                          938
#define     V_037614_PH_SC7_PA6_FIFO_FULL                           939
#define     V_037614_PH_SC7_PA6_NULL_WE                             940
#define     V_037614_PH_SC7_PA6_EVENT_WE                            941
#define     V_037614_PH_SC7_PA6_FPOV_WE                             942
#define     V_037614_PH_SC7_PA6_LPOV_WE                             943
#define     V_037614_PH_SC7_PA6_EOP_WE                              944
#define     V_037614_PH_SC7_PA6_DATA_FIFO_EOP_RD                    945
#define     V_037614_PH_SC7_PA6_EOPG_WE                             946
#define     V_037614_PH_SC7_PA6_DEALLOC_4_0_RD                      947
#define     V_037614_PH_SC7_PA7_DATA_FIFO_RD                        948
#define     V_037614_PH_SC7_PA7_DATA_FIFO_WE                        949
#define     V_037614_PH_SC7_PA7_FIFO_EMPTY                          950
#define     V_037614_PH_SC7_PA7_FIFO_FULL                           951
#define     V_037614_PH_SC7_PA7_NULL_WE                             952
#define     V_037614_PH_SC7_PA7_EVENT_WE                            953
#define     V_037614_PH_SC7_PA7_FPOV_WE                             954
#define     V_037614_PH_SC7_PA7_LPOV_WE                             955
#define     V_037614_PH_SC7_PA7_EOP_WE                              956
#define     V_037614_PH_SC7_PA7_DATA_FIFO_EOP_RD                    957
#define     V_037614_PH_SC7_PA7_EOPG_WE                             958
#define     V_037614_PH_SC7_PA7_DEALLOC_4_0_RD                      959
#define R_037618_PA_PH_PERFCOUNTER5_SELECT                              0x037618 /* >= gfx10 */
#define R_03761C_PA_PH_PERFCOUNTER6_SELECT                              0x03761C /* >= gfx10 */
#define R_037620_PA_PH_PERFCOUNTER7_SELECT                              0x037620 /* >= gfx10 */
#define R_037640_PA_PH_PERFCOUNTER1_SELECT1                             0x037640 /* >= gfx10 */
#define R_037644_PA_PH_PERFCOUNTER2_SELECT1                             0x037644 /* >= gfx10 */
#define R_037648_PA_PH_PERFCOUNTER3_SELECT1                             0x037648 /* >= gfx10 */
#define R_037700_GL1A_PERFCOUNTER0_SELECT                               0x037700 /* >= gfx10 */
#define   S_037700_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_037700_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_037700_PERF_SEL                                           0xFFFFFC00
#define     V_037700_GL1A_PERF_SEL_BUSY                             0
#define     V_037700_GL1A_PERF_SEL_STALL_GL1C0                      1
#define     V_037700_GL1A_PERF_SEL_STALL_GL1C1                      2
#define     V_037700_GL1A_PERF_SEL_STALL_GL1C2                      3
#define     V_037700_GL1A_PERF_SEL_STALL_GL1C3                      4
#define     V_037700_GL1A_PERF_SEL_STALL_GL1C4                      5
#define     V_037700_GL1A_PERF_SEL_REQUEST_GL1C0                    6
#define     V_037700_GL1A_PERF_SEL_REQUEST_GL1C1                    7
#define     V_037700_GL1A_PERF_SEL_REQUEST_GL1C2                    8
#define     V_037700_GL1A_PERF_SEL_REQUEST_GL1C3                    9
#define     V_037700_GL1A_PERF_SEL_REQUEST_GL1C4                    10
#define     V_037700_GL1A_PERF_SEL_MEM_32B_WDS_GL1C0                11
#define     V_037700_GL1A_PERF_SEL_MEM_32B_WDS_GL1C1                12
#define     V_037700_GL1A_PERF_SEL_MEM_32B_WDS_GL1C2                13
#define     V_037700_GL1A_PERF_SEL_MEM_32B_WDS_GL1C3                14
#define     V_037700_GL1A_PERF_SEL_MEM_32B_WDS_GL1C4                15
#define     V_037700_GL1A_PERF_SEL_IO_32B_WDS_GL1C0                 16
#define     V_037700_GL1A_PERF_SEL_IO_32B_WDS_GL1C1                 17
#define     V_037700_GL1A_PERF_SEL_IO_32B_WDS_GL1C2                 18
#define     V_037700_GL1A_PERF_SEL_IO_32B_WDS_GL1C3                 19
#define     V_037700_GL1A_PERF_SEL_IO_32B_WDS_GL1C4                 20
#define     V_037700_GL1A_PERF_SEL_MEM_BURST_COUNT_GL1C0            21
#define     V_037700_GL1A_PERF_SEL_MEM_BURST_COUNT_GL1C1            22
#define     V_037700_GL1A_PERF_SEL_MEM_BURST_COUNT_GL1C2            23
#define     V_037700_GL1A_PERF_SEL_MEM_BURST_COUNT_GL1C3            24
#define     V_037700_GL1A_PERF_SEL_MEM_BURST_COUNT_GL1C4            25
#define     V_037700_GL1A_PERF_SEL_IO_BURST_COUNT_GL1C0             26
#define     V_037700_GL1A_PERF_SEL_IO_BURST_COUNT_GL1C1             27
#define     V_037700_GL1A_PERF_SEL_IO_BURST_COUNT_GL1C2             28
#define     V_037700_GL1A_PERF_SEL_IO_BURST_COUNT_GL1C3             29
#define     V_037700_GL1A_PERF_SEL_IO_BURST_COUNT_GL1C4             30
#define     V_037700_GL1A_PERF_SEL_ARB_REQUESTS                     31
#define     V_037700_GL1A_PERF_SEL_REQ_ARB_LEVEL_GL1C0              32
#define     V_037700_GL1A_PERF_SEL_REQ_ARB_LEVEL_GL1C1              33
#define     V_037700_GL1A_PERF_SEL_REQ_ARB_LEVEL_GL1C2              34
#define     V_037700_GL1A_PERF_SEL_REQ_ARB_LEVEL_GL1C3              35
#define     V_037700_GL1A_PERF_SEL_REQ_ARB_LEVEL_GL1C4              36
#define     V_037700_GL1A_PERF_SEL_REQ_INFLIGHT_LEVEL               37
#define     V_037700_GL1A_PERF_SEL_STALL_RET_CONFLICT_GL1C0         38
#define     V_037700_GL1A_PERF_SEL_STALL_RET_CONFLICT_GL1C1         39
#define     V_037700_GL1A_PERF_SEL_STALL_RET_CONFLICT_GL1C2         40
#define     V_037700_GL1A_PERF_SEL_STALL_RET_CONFLICT_GL1C3         41
#define     V_037700_GL1A_PERF_SEL_STALL_RET_CONFLICT_GL1C4         42
#define     V_037700_GL1A_PERF_SEL_CYCLE                            43
#define   S_037700_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_037700_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_037700_PERF_SEL1                                          0xFFF003FF
#define   S_037700_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_037700_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_037700_CNTR_MODE                                          0xFF0FFFFF
#define   S_037700_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_037700_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_037700_PERF_MODE1                                         0xF0FFFFFF
#define   S_037700_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_037700_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_037700_PERF_MODE                                          0x0FFFFFFF
#define R_037704_GL1A_PERFCOUNTER0_SELECT1                              0x037704 /* >= gfx10 */
#define   S_037704_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_037704_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_037704_PERF_SEL2                                          0xFFFFFC00
#define     V_037704_GL1A_PERF_SEL_BUSY                             0
#define     V_037704_GL1A_PERF_SEL_STALL_GL1C0                      1
#define     V_037704_GL1A_PERF_SEL_STALL_GL1C1                      2
#define     V_037704_GL1A_PERF_SEL_STALL_GL1C2                      3
#define     V_037704_GL1A_PERF_SEL_STALL_GL1C3                      4
#define     V_037704_GL1A_PERF_SEL_STALL_GL1C4                      5
#define     V_037704_GL1A_PERF_SEL_REQUEST_GL1C0                    6
#define     V_037704_GL1A_PERF_SEL_REQUEST_GL1C1                    7
#define     V_037704_GL1A_PERF_SEL_REQUEST_GL1C2                    8
#define     V_037704_GL1A_PERF_SEL_REQUEST_GL1C3                    9
#define     V_037704_GL1A_PERF_SEL_REQUEST_GL1C4                    10
#define     V_037704_GL1A_PERF_SEL_MEM_32B_WDS_GL1C0                11
#define     V_037704_GL1A_PERF_SEL_MEM_32B_WDS_GL1C1                12
#define     V_037704_GL1A_PERF_SEL_MEM_32B_WDS_GL1C2                13
#define     V_037704_GL1A_PERF_SEL_MEM_32B_WDS_GL1C3                14
#define     V_037704_GL1A_PERF_SEL_MEM_32B_WDS_GL1C4                15
#define     V_037704_GL1A_PERF_SEL_IO_32B_WDS_GL1C0                 16
#define     V_037704_GL1A_PERF_SEL_IO_32B_WDS_GL1C1                 17
#define     V_037704_GL1A_PERF_SEL_IO_32B_WDS_GL1C2                 18
#define     V_037704_GL1A_PERF_SEL_IO_32B_WDS_GL1C3                 19
#define     V_037704_GL1A_PERF_SEL_IO_32B_WDS_GL1C4                 20
#define     V_037704_GL1A_PERF_SEL_MEM_BURST_COUNT_GL1C0            21
#define     V_037704_GL1A_PERF_SEL_MEM_BURST_COUNT_GL1C1            22
#define     V_037704_GL1A_PERF_SEL_MEM_BURST_COUNT_GL1C2            23
#define     V_037704_GL1A_PERF_SEL_MEM_BURST_COUNT_GL1C3            24
#define     V_037704_GL1A_PERF_SEL_MEM_BURST_COUNT_GL1C4            25
#define     V_037704_GL1A_PERF_SEL_IO_BURST_COUNT_GL1C0             26
#define     V_037704_GL1A_PERF_SEL_IO_BURST_COUNT_GL1C1             27
#define     V_037704_GL1A_PERF_SEL_IO_BURST_COUNT_GL1C2             28
#define     V_037704_GL1A_PERF_SEL_IO_BURST_COUNT_GL1C3             29
#define     V_037704_GL1A_PERF_SEL_IO_BURST_COUNT_GL1C4             30
#define     V_037704_GL1A_PERF_SEL_ARB_REQUESTS                     31
#define     V_037704_GL1A_PERF_SEL_REQ_ARB_LEVEL_GL1C0              32
#define     V_037704_GL1A_PERF_SEL_REQ_ARB_LEVEL_GL1C1              33
#define     V_037704_GL1A_PERF_SEL_REQ_ARB_LEVEL_GL1C2              34
#define     V_037704_GL1A_PERF_SEL_REQ_ARB_LEVEL_GL1C3              35
#define     V_037704_GL1A_PERF_SEL_REQ_ARB_LEVEL_GL1C4              36
#define     V_037704_GL1A_PERF_SEL_REQ_INFLIGHT_LEVEL               37
#define     V_037704_GL1A_PERF_SEL_STALL_RET_CONFLICT_GL1C0         38
#define     V_037704_GL1A_PERF_SEL_STALL_RET_CONFLICT_GL1C1         39
#define     V_037704_GL1A_PERF_SEL_STALL_RET_CONFLICT_GL1C2         40
#define     V_037704_GL1A_PERF_SEL_STALL_RET_CONFLICT_GL1C3         41
#define     V_037704_GL1A_PERF_SEL_STALL_RET_CONFLICT_GL1C4         42
#define     V_037704_GL1A_PERF_SEL_CYCLE                            43
#define   S_037704_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_037704_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_037704_PERF_SEL3                                          0xFFF003FF
#define   S_037704_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_037704_PERF_MODE2(x)                                      (((x) >> 24) & 0xF)
#define   C_037704_PERF_MODE2                                         0xF0FFFFFF
#define   S_037704_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_037704_PERF_MODE3(x)                                      (((x) >> 28) & 0xF)
#define   C_037704_PERF_MODE3                                         0x0FFFFFFF
#define R_037708_GL1A_PERFCOUNTER1_SELECT                               0x037708 /* >= gfx10 */
#define   S_037708_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_037708_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_037708_PERF_SEL                                           0xFFFFFC00
#define     V_037708_GL1A_PERF_SEL_BUSY                             0
#define     V_037708_GL1A_PERF_SEL_STALL_GL1C0                      1
#define     V_037708_GL1A_PERF_SEL_STALL_GL1C1                      2
#define     V_037708_GL1A_PERF_SEL_STALL_GL1C2                      3
#define     V_037708_GL1A_PERF_SEL_STALL_GL1C3                      4
#define     V_037708_GL1A_PERF_SEL_STALL_GL1C4                      5
#define     V_037708_GL1A_PERF_SEL_REQUEST_GL1C0                    6
#define     V_037708_GL1A_PERF_SEL_REQUEST_GL1C1                    7
#define     V_037708_GL1A_PERF_SEL_REQUEST_GL1C2                    8
#define     V_037708_GL1A_PERF_SEL_REQUEST_GL1C3                    9
#define     V_037708_GL1A_PERF_SEL_REQUEST_GL1C4                    10
#define     V_037708_GL1A_PERF_SEL_MEM_32B_WDS_GL1C0                11
#define     V_037708_GL1A_PERF_SEL_MEM_32B_WDS_GL1C1                12
#define     V_037708_GL1A_PERF_SEL_MEM_32B_WDS_GL1C2                13
#define     V_037708_GL1A_PERF_SEL_MEM_32B_WDS_GL1C3                14
#define     V_037708_GL1A_PERF_SEL_MEM_32B_WDS_GL1C4                15
#define     V_037708_GL1A_PERF_SEL_IO_32B_WDS_GL1C0                 16
#define     V_037708_GL1A_PERF_SEL_IO_32B_WDS_GL1C1                 17
#define     V_037708_GL1A_PERF_SEL_IO_32B_WDS_GL1C2                 18
#define     V_037708_GL1A_PERF_SEL_IO_32B_WDS_GL1C3                 19
#define     V_037708_GL1A_PERF_SEL_IO_32B_WDS_GL1C4                 20
#define     V_037708_GL1A_PERF_SEL_MEM_BURST_COUNT_GL1C0            21
#define     V_037708_GL1A_PERF_SEL_MEM_BURST_COUNT_GL1C1            22
#define     V_037708_GL1A_PERF_SEL_MEM_BURST_COUNT_GL1C2            23
#define     V_037708_GL1A_PERF_SEL_MEM_BURST_COUNT_GL1C3            24
#define     V_037708_GL1A_PERF_SEL_MEM_BURST_COUNT_GL1C4            25
#define     V_037708_GL1A_PERF_SEL_IO_BURST_COUNT_GL1C0             26
#define     V_037708_GL1A_PERF_SEL_IO_BURST_COUNT_GL1C1             27
#define     V_037708_GL1A_PERF_SEL_IO_BURST_COUNT_GL1C2             28
#define     V_037708_GL1A_PERF_SEL_IO_BURST_COUNT_GL1C3             29
#define     V_037708_GL1A_PERF_SEL_IO_BURST_COUNT_GL1C4             30
#define     V_037708_GL1A_PERF_SEL_ARB_REQUESTS                     31
#define     V_037708_GL1A_PERF_SEL_REQ_ARB_LEVEL_GL1C0              32
#define     V_037708_GL1A_PERF_SEL_REQ_ARB_LEVEL_GL1C1              33
#define     V_037708_GL1A_PERF_SEL_REQ_ARB_LEVEL_GL1C2              34
#define     V_037708_GL1A_PERF_SEL_REQ_ARB_LEVEL_GL1C3              35
#define     V_037708_GL1A_PERF_SEL_REQ_ARB_LEVEL_GL1C4              36
#define     V_037708_GL1A_PERF_SEL_REQ_INFLIGHT_LEVEL               37
#define     V_037708_GL1A_PERF_SEL_STALL_RET_CONFLICT_GL1C0         38
#define     V_037708_GL1A_PERF_SEL_STALL_RET_CONFLICT_GL1C1         39
#define     V_037708_GL1A_PERF_SEL_STALL_RET_CONFLICT_GL1C2         40
#define     V_037708_GL1A_PERF_SEL_STALL_RET_CONFLICT_GL1C3         41
#define     V_037708_GL1A_PERF_SEL_STALL_RET_CONFLICT_GL1C4         42
#define     V_037708_GL1A_PERF_SEL_CYCLE                            43
#define   S_037708_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_037708_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_037708_CNTR_MODE                                          0xFF0FFFFF
#define   S_037708_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_037708_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_037708_PERF_MODE                                          0x0FFFFFFF
#define R_03770C_GL1A_PERFCOUNTER2_SELECT                               0x03770C /* >= gfx10 */
#define R_037710_GL1A_PERFCOUNTER3_SELECT                               0x037710 /* >= gfx10 */
#define R_037780_CHA_PERFCOUNTER0_SELECT                                0x037780 /* >= gfx10 */
#define   S_037780_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_037780_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_037780_PERF_SEL                                           0xFFFFFC00
#define     V_037780_CHA_PERF_SEL_BUSY                              0
#define     V_037780_CHA_PERF_SEL_STALL_CHC0                        1
#define     V_037780_CHA_PERF_SEL_STALL_CHC1                        2
#define     V_037780_CHA_PERF_SEL_STALL_CHC2                        3
#define     V_037780_CHA_PERF_SEL_STALL_CHC3                        4
#define     V_037780_CHA_PERF_SEL_STALL_CHC4                        5
#define     V_037780_CHA_PERF_SEL_STALL_CHC5                        6
#define     V_037780_CHA_PERF_SEL_REQUEST_CHC0                      7
#define     V_037780_CHA_PERF_SEL_REQUEST_CHC1                      8
#define     V_037780_CHA_PERF_SEL_REQUEST_CHC2                      9
#define     V_037780_CHA_PERF_SEL_REQUEST_CHC3                      10
#define     V_037780_CHA_PERF_SEL_REQUEST_CHC4                      11
#define     V_037780_CHA_PERF_SEL_MEM_32B_WDS_CHC0                  12
#define     V_037780_CHA_PERF_SEL_MEM_32B_WDS_CHC1                  13
#define     V_037780_CHA_PERF_SEL_MEM_32B_WDS_CHC2                  14
#define     V_037780_CHA_PERF_SEL_MEM_32B_WDS_CHC3                  15
#define     V_037780_CHA_PERF_SEL_MEM_32B_WDS_CHC4                  16
#define     V_037780_CHA_PERF_SEL_IO_32B_WDS_CHC0                   17
#define     V_037780_CHA_PERF_SEL_IO_32B_WDS_CHC1                   18
#define     V_037780_CHA_PERF_SEL_IO_32B_WDS_CHC2                   19
#define     V_037780_CHA_PERF_SEL_IO_32B_WDS_CHC3                   20
#define     V_037780_CHA_PERF_SEL_IO_32B_WDS_CHC4                   21
#define     V_037780_CHA_PERF_SEL_MEM_BURST_COUNT_CHC0              22
#define     V_037780_CHA_PERF_SEL_MEM_BURST_COUNT_CHC1              23
#define     V_037780_CHA_PERF_SEL_MEM_BURST_COUNT_CHC2              24
#define     V_037780_CHA_PERF_SEL_MEM_BURST_COUNT_CHC3              25
#define     V_037780_CHA_PERF_SEL_MEM_BURST_COUNT_CHC4              26
#define     V_037780_CHA_PERF_SEL_IO_BURST_COUNT_CHC0               27
#define     V_037780_CHA_PERF_SEL_IO_BURST_COUNT_CHC1               28
#define     V_037780_CHA_PERF_SEL_IO_BURST_COUNT_CHC2               29
#define     V_037780_CHA_PERF_SEL_IO_BURST_COUNT_CHC3               30
#define     V_037780_CHA_PERF_SEL_IO_BURST_COUNT_CHC4               31
#define     V_037780_CHA_PERF_SEL_ARB_REQUESTS                      32
#define     V_037780_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC0                33
#define     V_037780_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC1                34
#define     V_037780_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC2                35
#define     V_037780_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC3                36
#define     V_037780_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC4                37
#define     V_037780_CHA_PERF_SEL_REQ_INFLIGHT_LEVEL                38
#define     V_037780_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC0           39
#define     V_037780_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC1           40
#define     V_037780_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC2           41
#define     V_037780_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC3           42
#define     V_037780_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC4           43
#define     V_037780_CHA_PERF_SEL_CYCLE                             44
#define   S_037780_PERF_SEL1(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_037780_PERF_SEL1(x)                                       (((x) >> 10) & 0x3FF)
#define   C_037780_PERF_SEL1                                          0xFFF003FF
#define   S_037780_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_037780_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_037780_CNTR_MODE                                          0xFF0FFFFF
#define   S_037780_PERF_MODE1(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_037780_PERF_MODE1(x)                                      (((x) >> 24) & 0xF)
#define   C_037780_PERF_MODE1                                         0xF0FFFFFF
#define   S_037780_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_037780_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_037780_PERF_MODE                                          0x0FFFFFFF
#define R_037784_CHA_PERFCOUNTER0_SELECT1                               0x037784 /* >= gfx10 */
#define   S_037784_PERF_SEL2(x)                                       (((unsigned)(x) & 0x3FF) << 0)
#define   G_037784_PERF_SEL2(x)                                       (((x) >> 0) & 0x3FF)
#define   C_037784_PERF_SEL2                                          0xFFFFFC00
#define     V_037784_CHA_PERF_SEL_BUSY                              0
#define     V_037784_CHA_PERF_SEL_STALL_CHC0                        1
#define     V_037784_CHA_PERF_SEL_STALL_CHC1                        2
#define     V_037784_CHA_PERF_SEL_STALL_CHC2                        3
#define     V_037784_CHA_PERF_SEL_STALL_CHC3                        4
#define     V_037784_CHA_PERF_SEL_STALL_CHC4                        5
#define     V_037784_CHA_PERF_SEL_STALL_CHC5                        6
#define     V_037784_CHA_PERF_SEL_REQUEST_CHC0                      7
#define     V_037784_CHA_PERF_SEL_REQUEST_CHC1                      8
#define     V_037784_CHA_PERF_SEL_REQUEST_CHC2                      9
#define     V_037784_CHA_PERF_SEL_REQUEST_CHC3                      10
#define     V_037784_CHA_PERF_SEL_REQUEST_CHC4                      11
#define     V_037784_CHA_PERF_SEL_MEM_32B_WDS_CHC0                  12
#define     V_037784_CHA_PERF_SEL_MEM_32B_WDS_CHC1                  13
#define     V_037784_CHA_PERF_SEL_MEM_32B_WDS_CHC2                  14
#define     V_037784_CHA_PERF_SEL_MEM_32B_WDS_CHC3                  15
#define     V_037784_CHA_PERF_SEL_MEM_32B_WDS_CHC4                  16
#define     V_037784_CHA_PERF_SEL_IO_32B_WDS_CHC0                   17
#define     V_037784_CHA_PERF_SEL_IO_32B_WDS_CHC1                   18
#define     V_037784_CHA_PERF_SEL_IO_32B_WDS_CHC2                   19
#define     V_037784_CHA_PERF_SEL_IO_32B_WDS_CHC3                   20
#define     V_037784_CHA_PERF_SEL_IO_32B_WDS_CHC4                   21
#define     V_037784_CHA_PERF_SEL_MEM_BURST_COUNT_CHC0              22
#define     V_037784_CHA_PERF_SEL_MEM_BURST_COUNT_CHC1              23
#define     V_037784_CHA_PERF_SEL_MEM_BURST_COUNT_CHC2              24
#define     V_037784_CHA_PERF_SEL_MEM_BURST_COUNT_CHC3              25
#define     V_037784_CHA_PERF_SEL_MEM_BURST_COUNT_CHC4              26
#define     V_037784_CHA_PERF_SEL_IO_BURST_COUNT_CHC0               27
#define     V_037784_CHA_PERF_SEL_IO_BURST_COUNT_CHC1               28
#define     V_037784_CHA_PERF_SEL_IO_BURST_COUNT_CHC2               29
#define     V_037784_CHA_PERF_SEL_IO_BURST_COUNT_CHC3               30
#define     V_037784_CHA_PERF_SEL_IO_BURST_COUNT_CHC4               31
#define     V_037784_CHA_PERF_SEL_ARB_REQUESTS                      32
#define     V_037784_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC0                33
#define     V_037784_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC1                34
#define     V_037784_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC2                35
#define     V_037784_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC3                36
#define     V_037784_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC4                37
#define     V_037784_CHA_PERF_SEL_REQ_INFLIGHT_LEVEL                38
#define     V_037784_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC0           39
#define     V_037784_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC1           40
#define     V_037784_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC2           41
#define     V_037784_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC3           42
#define     V_037784_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC4           43
#define     V_037784_CHA_PERF_SEL_CYCLE                             44
#define   S_037784_PERF_SEL3(x)                                       (((unsigned)(x) & 0x3FF) << 10)
#define   G_037784_PERF_SEL3(x)                                       (((x) >> 10) & 0x3FF)
#define   C_037784_PERF_SEL3                                          0xFFF003FF
#define   S_037784_PERF_MODE2(x)                                      (((unsigned)(x) & 0xF) << 24)
#define   G_037784_PERF_MODE2(x)                                      (((x) >> 24) & 0xF)
#define   C_037784_PERF_MODE2                                         0xF0FFFFFF
#define   S_037784_PERF_MODE3(x)                                      (((unsigned)(x) & 0xF) << 28)
#define   G_037784_PERF_MODE3(x)                                      (((x) >> 28) & 0xF)
#define   C_037784_PERF_MODE3                                         0x0FFFFFFF
#define R_037788_CHA_PERFCOUNTER1_SELECT                                0x037788 /* >= gfx10 */
#define   S_037788_PERF_SEL(x)                                        (((unsigned)(x) & 0x3FF) << 0)
#define   G_037788_PERF_SEL(x)                                        (((x) >> 0) & 0x3FF)
#define   C_037788_PERF_SEL                                           0xFFFFFC00
#define     V_037788_CHA_PERF_SEL_BUSY                              0
#define     V_037788_CHA_PERF_SEL_STALL_CHC0                        1
#define     V_037788_CHA_PERF_SEL_STALL_CHC1                        2
#define     V_037788_CHA_PERF_SEL_STALL_CHC2                        3
#define     V_037788_CHA_PERF_SEL_STALL_CHC3                        4
#define     V_037788_CHA_PERF_SEL_STALL_CHC4                        5
#define     V_037788_CHA_PERF_SEL_STALL_CHC5                        6
#define     V_037788_CHA_PERF_SEL_REQUEST_CHC0                      7
#define     V_037788_CHA_PERF_SEL_REQUEST_CHC1                      8
#define     V_037788_CHA_PERF_SEL_REQUEST_CHC2                      9
#define     V_037788_CHA_PERF_SEL_REQUEST_CHC3                      10
#define     V_037788_CHA_PERF_SEL_REQUEST_CHC4                      11
#define     V_037788_CHA_PERF_SEL_MEM_32B_WDS_CHC0                  12
#define     V_037788_CHA_PERF_SEL_MEM_32B_WDS_CHC1                  13
#define     V_037788_CHA_PERF_SEL_MEM_32B_WDS_CHC2                  14
#define     V_037788_CHA_PERF_SEL_MEM_32B_WDS_CHC3                  15
#define     V_037788_CHA_PERF_SEL_MEM_32B_WDS_CHC4                  16
#define     V_037788_CHA_PERF_SEL_IO_32B_WDS_CHC0                   17
#define     V_037788_CHA_PERF_SEL_IO_32B_WDS_CHC1                   18
#define     V_037788_CHA_PERF_SEL_IO_32B_WDS_CHC2                   19
#define     V_037788_CHA_PERF_SEL_IO_32B_WDS_CHC3                   20
#define     V_037788_CHA_PERF_SEL_IO_32B_WDS_CHC4                   21
#define     V_037788_CHA_PERF_SEL_MEM_BURST_COUNT_CHC0              22
#define     V_037788_CHA_PERF_SEL_MEM_BURST_COUNT_CHC1              23
#define     V_037788_CHA_PERF_SEL_MEM_BURST_COUNT_CHC2              24
#define     V_037788_CHA_PERF_SEL_MEM_BURST_COUNT_CHC3              25
#define     V_037788_CHA_PERF_SEL_MEM_BURST_COUNT_CHC4              26
#define     V_037788_CHA_PERF_SEL_IO_BURST_COUNT_CHC0               27
#define     V_037788_CHA_PERF_SEL_IO_BURST_COUNT_CHC1               28
#define     V_037788_CHA_PERF_SEL_IO_BURST_COUNT_CHC2               29
#define     V_037788_CHA_PERF_SEL_IO_BURST_COUNT_CHC3               30
#define     V_037788_CHA_PERF_SEL_IO_BURST_COUNT_CHC4               31
#define     V_037788_CHA_PERF_SEL_ARB_REQUESTS                      32
#define     V_037788_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC0                33
#define     V_037788_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC1                34
#define     V_037788_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC2                35
#define     V_037788_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC3                36
#define     V_037788_CHA_PERF_SEL_REQ_ARB_LEVEL_CHC4                37
#define     V_037788_CHA_PERF_SEL_REQ_INFLIGHT_LEVEL                38
#define     V_037788_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC0           39
#define     V_037788_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC1           40
#define     V_037788_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC2           41
#define     V_037788_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC3           42
#define     V_037788_CHA_PERF_SEL_STALL_RET_CONFLICT_CHC4           43
#define     V_037788_CHA_PERF_SEL_CYCLE                             44
#define   S_037788_CNTR_MODE(x)                                       (((unsigned)(x) & 0xF) << 20)
#define   G_037788_CNTR_MODE(x)                                       (((x) >> 20) & 0xF)
#define   C_037788_CNTR_MODE                                          0xFF0FFFFF
#define   S_037788_PERF_MODE(x)                                       (((unsigned)(x) & 0xF) << 28)
#define   G_037788_PERF_MODE(x)                                       (((x) >> 28) & 0xF)
#define   C_037788_PERF_MODE                                          0x0FFFFFFF
#define R_03778C_CHA_PERFCOUNTER2_SELECT                                0x03778C /* >= gfx10 */
#define R_037790_CHA_PERFCOUNTER3_SELECT                                0x037790 /* >= gfx10 */

#endif // AMDGFXREGS_H
